#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Activity
      switch(to) {
        case 2: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::BaseJob
      switch(to) {
        case 32: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 3: return (void*)(Attica::BaseJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 18: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::Category
      switch(to) {
        case 4: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::Content
      switch(to) {
        case 5: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::DownloadDescription
      switch(to) {
        case 6: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::DownloadItem
      switch(to) {
        case 7: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::Event
      switch(to) {
        case 8: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::Folder
      switch(to) {
        case 9: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::GetJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 32: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::HomePageEntry
      switch(to) {
        case 11: return (void*)(Attica::HomePageEntry*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 12: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::License
      switch(to) {
        case 13: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::Message
      switch(to) {
        case 14: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::Metadata
      switch(to) {
        case 15: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::Person
      switch(to) {
        case 16: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::PlatformDependent
      switch(to) {
        case 17: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::PostJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 32: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 18: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::Provider
      switch(to) {
        case 19: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 20:   //Attica::ProviderManager
      switch(to) {
        case 32: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 20: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 21:   //QByteArray
      switch(to) {
        case 21: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 22:   //QChildEvent
      switch(to) {
        case 22: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QDate
      switch(to) {
        case 23: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 24:   //QDateTime
      switch(to) {
        case 24: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 25:   //QEvent
      switch(to) {
        case 25: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QIODevice
      switch(to) {
        case 32: return (void*)(QObject*)(QIODevice*)xptr;
        case 27: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 28:   //QMetaObject
      switch(to) {
        case 28: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 29:   //QNetworkAccessManager
      switch(to) {
        case 32: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 29: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 30:   //QNetworkReply
      switch(to) {
        case 30: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 31:   //QNetworkRequest
      switch(to) {
        case 31: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 32:   //QObject
      switch(to) {
        case 32: return (void*)(QObject*)xptr;
        case 20: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 3: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 10: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 18: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 33:   //QTimerEvent
      switch(to) {
        case 33: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QUrl
      switch(to) {
        case 34: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 0,	// 1: QObject
    3, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__DownloadDescription(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//2
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//3
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//4
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//5
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, xenum_Attica__DownloadDescription, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//6
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//7
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//8
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//9
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//10
    { "Attica::HomePageEntry", true, 0, 0, 0, 0, 0 },	//11
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//12
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//13
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//14
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//15
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//16
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//17
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//18
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//19
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//20
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//21
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QDate", true, 0, 0, 0, 0, 0 },	//23
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//24
    { "QEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//27
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//28
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//29
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//30
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//31
    { "QObject", true, 0, 0, 0, 0, 0 },	//32
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QUrl", true, 0, 0, 0, 0, 0 },	//34
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 4, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 5, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DownloadDescription", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "Attica::DownloadDescription*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Attica::DownloadDescription::Type", 6, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref },	//14
    { "Attica::DownloadItem*", 7, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref },	//16
    { "Attica::Event*", 8, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref },	//18
    { "Attica::Folder*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Attica::HomePageEntry", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//27
    { "Attica::ItemJob<Attica::PrivateData>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//28
    { "Attica::ItemPostJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//29
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//30
    { "Attica::KnowledgeBaseEntry&", 12, Smoke::t_class|Smoke::tf_ref },	//31
    { "Attica::KnowledgeBaseEntry*", 12, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Attica::License&", 13, Smoke::t_class|Smoke::tf_ref },	//33
    { "Attica::License*", 13, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ListJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::ListJob<Attica::Distribution>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//41
    { "Attica::ListJob<Attica::HomePageType>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//42
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//45
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "Attica::Message&", 14, Smoke::t_class|Smoke::tf_ref },	//47
    { "Attica::Message*", 14, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Attica::Message::Status", 14, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Attica::Metadata", 15, Smoke::t_class|Smoke::tf_stack },	//50
    { "Attica::Metadata&", 15, Smoke::t_class|Smoke::tf_ref },	//51
    { "Attica::Metadata*", 15, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Attica::Metadata::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Attica::Person", 16, Smoke::t_class|Smoke::tf_stack },	//54
    { "Attica::Person&", 16, Smoke::t_class|Smoke::tf_ref },	//55
    { "Attica::Person*", 16, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Attica::PlatformDependent*", 17, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Attica::PostJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Attica::Provider", 19, Smoke::t_class|Smoke::tf_stack },	//59
    { "Attica::Provider&", 19, Smoke::t_class|Smoke::tf_ref },	//60
    { "Attica::Provider*", 19, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Attica::Provider::SortMode", 19, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Attica::ProviderManager*", 20, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QChildEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDate", 23, Smoke::t_class|Smoke::tf_stack },	//65
    { "QDateTime", 24, Smoke::t_class|Smoke::tf_stack },	//66
    { "QEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QIODevice*", 27, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QList<Attica::HomePageEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QList<Attica::Icon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QMetaObject::Call", 28, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QNetworkAccessManager*", 29, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QNetworkReply*", 30, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QNetworkRequest", 31, Smoke::t_class|Smoke::tf_stack },	//78
    { "QObject*", 32, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//81
    { "QTimerEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QUrl", 34, Smoke::t_class|Smoke::tf_stack },	//83
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QtValidLicenseForActiveQtModule", 26, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QtValidLicenseForCoreModule", 26, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtValidLicenseForDBusModule", 26, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForDeclarativeModule", 26, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForGuiModule", 26, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QtValidLicenseForHelpModule", 26, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QtValidLicenseForMultimediaModule", 26, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QtValidLicenseForNetworkModule", 26, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QtValidLicenseForOpenGLModule", 26, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtValidLicenseForOpenVGModule", 26, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QtValidLicenseForQt3SupportLightModule", 26, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtValidLicenseForQt3SupportModule", 26, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForScriptModule", 26, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtValidLicenseForScriptToolsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForSqlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QtValidLicenseForSvgModule", 26, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtValidLicenseForTestModule", 26, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForXmlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForXmlPatternsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//174
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//175
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Attica::Comment::Type", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//179
    { "const Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Attica::KnowledgeBaseEntry&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Attica::License&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Attica::Message&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Attica::Metadata&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Attica::Person&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Attica::PlatformDependent&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Attica::Provider&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QByteArray&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QDate&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QDateTime&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QList<Attica::Distribution>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<Attica::License>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QMetaObject&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//199
    { "const QNetworkRequest&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//201
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QUrl&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//206
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//207
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//208
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//209
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//210
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//211
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//212
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    176, 0,	//1  const Attica::AccountBalance&
    202, 0,	//3  const QString&
    177, 0,	//5  const Attica::Activity&
    189, 0,	//7  const Attica::Person&
    194, 0,	//9  const QDateTime&
    203, 0,	//11  const QUrl&
    204, 0,	//13  const char*
    204, 204, 0,	//15  const char*, const char*
    204, 204, 207, 0,	//18  const char*, const char*, int
    75, 207, 211, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    188, 0,	//28  const Attica::Metadata&
    178, 0,	//30  const Attica::Category&
    180, 0,	//32  const Attica::Content&
    207, 0,	//34  int
    71, 0,	//36  QList<Attica::Icon>
    73, 0,	//38  QList<QUrl>
    202, 202, 0,	//40  const QString&, const QString&
    181, 0,	//43  const Attica::DownloadDescription&
    13, 0,	//45  Attica::DownloadDescription::Type
    175, 0,	//47  bool
    209, 0,	//49  unsigned int
    182, 0,	//51  const Attica::DownloadItem&
    183, 0,	//53  const Attica::Event&
    193, 0,	//55  const QDate&
    206, 0,	//57  double
    184, 0,	//59  const Attica::Folder&
    185, 0,	//61  const Attica::KnowledgeBaseEntry&
    80, 0,	//63  QString
    201, 0,	//65  const QString
    186, 0,	//67  const Attica::License&
    187, 0,	//69  const Attica::Message&
    49, 0,	//71  Attica::Message::Status
    53, 0,	//73  Attica::Metadata::Error
    203, 175, 0,	//75  const QUrl&, bool
    203, 81, 81, 0,	//78  const QUrl&, QString&, QString&
    203, 202, 202, 0,	//82  const QUrl&, const QString&, const QString&
    200, 0,	//86  const QNetworkRequest&
    200, 68, 0,	//88  const QNetworkRequest&, QIODevice*
    200, 192, 0,	//91  const QNetworkRequest&, const QByteArray&
    190, 0,	//94  const Attica::PlatformDependent&
    191, 0,	//96  const Attica::Provider&
    81, 81, 0,	//98  QString&, QString&
    202, 202, 202, 202, 202, 0,	//101  const QString&, const QString&, const QString&, const QString&, const QString&
    206, 206, 206, 207, 207, 0,	//107  double, double, double, int, int
    206, 206, 202, 202, 0,	//113  double, double, const QString&, const QString&
    202, 202, 202, 0,	//118  const QString&, const QString&, const QString&
    202, 207, 207, 0,	//122  const QString&, int, int
    207, 207, 0,	//126  int, int
    184, 49, 0,	//129  const Attica::Folder&, Attica::Message::Status
    184, 202, 0,	//132  const Attica::Folder&, const QString&
    195, 202, 62, 209, 209, 0,	//135  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    195, 202, 202, 62, 209, 209, 0,	//141  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    195, 202, 196, 197, 202, 62, 209, 209, 0,	//148  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    202, 175, 0,	//157  const QString&, bool
    202, 209, 0,	//160  const QString&, unsigned int
    178, 180, 0,	//163  const Attica::Category&, const Attica::Content&
    178, 202, 180, 0,	//166  const Attica::Category&, const QString&, const Attica::Content&
    202, 202, 192, 0,	//170  const QString&, const QString&, const QByteArray&
    202, 202, 202, 192, 0,	//174  const QString&, const QString&, const QString&, const QByteArray&
    180, 202, 62, 207, 207, 0,	//179  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    202, 202, 193, 62, 207, 207, 0,	//185  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    179, 202, 202, 207, 207, 0,	//192  const Attica::Comment::Type, const QString&, const QString&, int, int
    179, 202, 202, 202, 202, 202, 0,	//198  const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&
    202, 209, 209, 0,	//205  const QString&, unsigned int, unsigned int
    206, 206, 0,	//209  double, double
    206, 206, 206, 0,	//212  double, double, double
    206, 206, 206, 207, 0,	//216  double, double, double, int
    206, 206, 202, 0,	//221  double, double, const QString&
    202, 207, 0,	//225  const QString&, int
    195, 0,	//228  const QList<Attica::Category>&
    195, 202, 0,	//230  const QList<Attica::Category>&, const QString&
    195, 202, 62, 0,	//233  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    195, 202, 62, 209, 0,	//237  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    195, 202, 202, 0,	//242  const QList<Attica::Category>&, const QString&, const QString&
    195, 202, 202, 62, 0,	//246  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    195, 202, 202, 62, 209, 0,	//251  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    195, 202, 196, 197, 0,	//257  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&
    195, 202, 196, 197, 202, 0,	//262  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&
    195, 202, 196, 197, 202, 62, 0,	//268  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode
    195, 202, 196, 197, 202, 62, 209, 0,	//275  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int
    67, 0,	//283  QEvent*
    79, 67, 0,	//285  QObject*, QEvent*
    82, 0,	//288  QTimerEvent*
    64, 0,	//290  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DownloadDescription",	//11
    "DownloadDescription#",	//12
    "DownloadItem",	//13
    "DownloadItem#",	//14
    "Downloads",	//15
    "Event",	//16
    "Event#",	//17
    "FileDownload",	//18
    "Folder",	//19
    "Folder#",	//20
    "KnowledgeBaseEntry",	//21
    "KnowledgeBaseEntry#",	//22
    "License",	//23
    "License#",	//24
    "LicensedActiveQt",	//25
    "LicensedCore",	//26
    "LicensedDBus",	//27
    "LicensedDeclarative",	//28
    "LicensedGui",	//29
    "LicensedHelp",	//30
    "LicensedMultimedia",	//31
    "LicensedNetwork",	//32
    "LicensedOpenGL",	//33
    "LicensedOpenVG",	//34
    "LicensedQt3Support",	//35
    "LicensedQt3SupportLight",	//36
    "LicensedScript",	//37
    "LicensedScriptTools",	//38
    "LicensedSql",	//39
    "LicensedSvg",	//40
    "LicensedTest",	//41
    "LicensedXml",	//42
    "LicensedXmlPatterns",	//43
    "LinkDownload",	//44
    "Message",	//45
    "Message#",	//46
    "Metadata",	//47
    "Metadata#",	//48
    "NetworkError",	//49
    "Newest",	//50
    "NoError",	//51
    "OcsError",	//52
    "PackageDownload",	//53
    "Person",	//54
    "Person#",	//55
    "PlatformDependent",	//56
    "PlatformDependent#",	//57
    "Provider",	//58
    "Provider#",	//59
    "ProviderManager",	//60
    "Q_COMPLEX_TYPE",	//61
    "Q_DUMMY_TYPE",	//62
    "Q_MOVABLE_TYPE",	//63
    "Q_PRIMITIVE_TYPE",	//64
    "Q_STATIC_TYPE",	//65
    "QtCriticalMsg",	//66
    "QtDebugMsg",	//67
    "QtFatalMsg",	//68
    "QtSystemMsg",	//69
    "QtWarningMsg",	//70
    "Rating",	//71
    "Read",	//72
    "Unread",	//73
    "abort",	//74
    "activityServiceVersion",	//75
    "addAttribute",	//76
    "addAttribute$$",	//77
    "addDefaultProviderFile",	//78
    "addDefaultProviderFile#",	//79
    "addExtendedAttribute",	//80
    "addExtendedAttribute$$",	//81
    "addNewComment",	//82
    "addNewComment$$$$$$",	//83
    "addNewContent",	//84
    "addNewContent##",	//85
    "addProviderFile",	//86
    "addProviderFile#",	//87
    "addProviderFileToDefaultProviders",	//88
    "addProviderFileToDefaultProviders#",	//89
    "addProviderFromXml",	//90
    "addProviderFromXml$",	//91
    "answer",	//92
    "approveFriendship",	//93
    "approveFriendship$",	//94
    "askForCredentials",	//95
    "askForCredentials#$$",	//96
    "associatedPerson",	//97
    "attribute",	//98
    "attribute$",	//99
    "attributes",	//100
    "authenticationCredentialsMissing",	//101
    "authenticationCredentialsMissing#",	//102
    "author",	//103
    "avatarUrl",	//104
    "balance",	//105
    "baseUrl",	//106
    "becomeFan",	//107
    "becomeFan$",	//108
    "birthday",	//109
    "body",	//110
    "cancelFriendship",	//111
    "cancelFriendship$",	//112
    "category",	//113
    "changed",	//114
    "changelog",	//115
    "checkLogin",	//116
    "checkLogin$$",	//117
    "childEvent",	//118
    "city",	//119
    "clear",	//120
    "commentServiceVersion",	//121
    "comments",	//122
    "connectNotify",	//123
    "contains",	//124
    "contains$",	//125
    "contentId",	//126
    "contentServiceVersion",	//127
    "country",	//128
    "createRequest",	//129
    "createRequest#",	//130
    "createRequest$",	//131
    "createUrl",	//132
    "createUrl$",	//133
    "created",	//134
    "currency",	//135
    "customEvent",	//136
    "dataFinished",	//137
    "declineFriendship",	//138
    "declineFriendship$",	//139
    "defaultProviderFiles",	//140
    "defaultProvidersLoaded",	//141
    "deleteContent",	//142
    "deleteContent$",	//143
    "deleteDownloadFile",	//144
    "deleteDownloadFile$",	//145
    "deletePreviewImage",	//146
    "deletePreviewImage$$",	//147
    "depend",	//148
    "description",	//149
    "detailPage",	//150
    "detailpage",	//151
    "disconnectNotify",	//152
    "distributionType",	//153
    "doRequestAccountBalance",	//154
    "doRequestAccountBalance#",	//155
    "doRequestActivityList",	//156
    "doRequestActivityList#",	//157
    "doRequestFolderList",	//158
    "doRequestFolderList#",	//159
    "doRequestMessageList",	//160
    "doRequestMessageList#",	//161
    "doRequestPerson",	//162
    "doRequestPerson#",	//163
    "doRequestPersonList",	//164
    "doRequestPersonList#",	//165
    "downloadLink",	//166
    "downloadLink$",	//167
    "downloadLink$$",	//168
    "downloadUrlDescription",	//169
    "downloadUrlDescription$",	//170
    "downloadUrlDescriptions",	//171
    "downloads",	//172
    "editContent",	//173
    "editContent#$#",	//174
    "enableProvider",	//175
    "enableProvider#$",	//176
    "endDate",	//177
    "error",	//178
    "event",	//179
    "eventFilter",	//180
    "executeRequest",	//181
    "extendedAttribute",	//182
    "extendedAttribute$",	//183
    "extendedAttributes",	//184
    "fanServiceVersion",	//185
    "finished",	//186
    "finished#",	//187
    "firstName",	//188
    "friendServiceVersion",	//189
    "from",	//190
    "get",	//191
    "get#",	//192
    "getDefaultProviderFiles",	//193
    "gpgFingerprint",	//194
    "gpgSignature",	//195
    "hasActivityService",	//196
    "hasCommentService",	//197
    "hasContentService",	//198
    "hasCredentials",	//199
    "hasCredentials#",	//200
    "hasFanService",	//201
    "hasFriendService",	//202
    "hasKnowledgebaseService",	//203
    "hasMessageService",	//204
    "hasPersonService",	//205
    "hasPrice",	//206
    "homePageEntries",	//207
    "homePageEntry",	//208
    "homePageEntry$",	//209
    "homepage",	//210
    "icons",	//211
    "id",	//212
    "internals",	//213
    "inviteFriend",	//214
    "inviteFriend$$",	//215
    "isDownloadtypLink",	//216
    "isEnabled",	//217
    "isEnabled#",	//218
    "isValid",	//219
    "itemsPerPage",	//220
    "knowledgebaseServiceVersion",	//221
    "lastName",	//222
    "latitude",	//223
    "license",	//224
    "licenseName",	//225
    "link",	//226
    "loadCredentials",	//227
    "loadCredentials#$$",	//228
    "loadCredentials$$",	//229
    "loadDefaultProviders",	//230
    "longitude",	//231
    "message",	//232
    "messageCount",	//233
    "messageServiceVersion",	//234
    "metaObject",	//235
    "metadata",	//236
    "mimeType",	//237
    "nam",	//238
    "name",	//239
    "numberOfComments",	//240
    "operator=",	//241
    "operator=#",	//242
    "packageName",	//243
    "packageRepository",	//244
    "parse",	//245
    "parse$",	//246
    "personServiceVersion",	//247
    "post",	//248
    "post##",	//249
    "postActivity",	//250
    "postActivity$",	//251
    "postLocation",	//252
    "postLocation$$",	//253
    "postLocation$$$",	//254
    "postLocation$$$$",	//255
    "postMessage",	//256
    "postMessage#",	//257
    "previewPicture",	//258
    "previewPicture$",	//259
    "priceAmount",	//260
    "priceReason",	//261
    "providerAdded",	//262
    "providerAdded#",	//263
    "providerByUrl",	//264
    "providerByUrl#",	//265
    "providerFiles",	//266
    "providers",	//267
    "qt_metacall",	//268
    "qt_metacall$$?",	//269
    "qt_metacast",	//270
    "qt_metacast$",	//271
    "rating",	//272
    "registerAccount",	//273
    "registerAccount$$$$$",	//274
    "removeDefaultProviderFile",	//275
    "removeDefaultProviderFile#",	//276
    "removeProviderFileFromDefaultProviders",	//277
    "removeProviderFileFromDefaultProviders#",	//278
    "repository",	//279
    "requestAccountBalance",	//280
    "requestActivities",	//281
    "requestCategories",	//282
    "requestComments",	//283
    "requestComments$$$$$",	//284
    "requestContent",	//285
    "requestContent$",	//286
    "requestDistributions",	//287
    "requestEvent",	//288
    "requestEvent$",	//289
    "requestEvent$$#$$$",	//290
    "requestFans",	//291
    "requestFans$",	//292
    "requestFans$$",	//293
    "requestFans$$$",	//294
    "requestFolders",	//295
    "requestFriends",	//296
    "requestFriends$",	//297
    "requestFriends$$",	//298
    "requestFriends$$$",	//299
    "requestHomePageTypes",	//300
    "requestKnowledgeBaseEntry",	//301
    "requestKnowledgeBaseEntry$",	//302
    "requestLicenses",	//303
    "requestMessage",	//304
    "requestMessage#$",	//305
    "requestMessages",	//306
    "requestMessages#",	//307
    "requestMessages#$",	//308
    "requestPerson",	//309
    "requestPerson$",	//310
    "requestPersonSearchByLocation",	//311
    "requestPersonSearchByLocation$$",	//312
    "requestPersonSearchByLocation$$$",	//313
    "requestPersonSearchByLocation$$$$",	//314
    "requestPersonSearchByLocation$$$$$",	//315
    "requestPersonSearchByName",	//316
    "requestPersonSearchByName$",	//317
    "requestPersonSelf",	//318
    "requestPrivateData",	//319
    "requestPrivateData$",	//320
    "requestPrivateData$$",	//321
    "requestReceivedInvitations",	//322
    "requestReceivedInvitations$",	//323
    "requestReceivedInvitations$$",	//324
    "requestSentInvitations",	//325
    "requestSentInvitations$",	//326
    "requestSentInvitations$$",	//327
    "saveCredentials",	//328
    "saveCredentials#$$",	//329
    "saveCredentials$$",	//330
    "searchContents",	//331
    "searchContents?",	//332
    "searchContents?$",	//333
    "searchContents?$$",	//334
    "searchContents?$$$",	//335
    "searchContents?$$$$",	//336
    "searchContents?$??",	//337
    "searchContents?$??$",	//338
    "searchContents?$??$$",	//339
    "searchContents?$??$$$",	//340
    "searchContents?$??$$$$",	//341
    "searchContentsByPerson",	//342
    "searchContentsByPerson?$",	//343
    "searchContentsByPerson?$$",	//344
    "searchContentsByPerson?$$$",	//345
    "searchContentsByPerson?$$$$",	//346
    "searchContentsByPerson?$$$$$",	//347
    "searchKnowledgeBase",	//348
    "searchKnowledgeBase#$$$$",	//349
    "sent",	//350
    "setAnswer",	//351
    "setAnswer$",	//352
    "setAssociatedPerson",	//353
    "setAssociatedPerson#",	//354
    "setAuthenticationSuppressed",	//355
    "setAuthenticationSuppressed$",	//356
    "setAvatarUrl",	//357
    "setAvatarUrl#",	//358
    "setBalance",	//359
    "setBalance$",	//360
    "setBirthday",	//361
    "setBirthday#",	//362
    "setBody",	//363
    "setBody$",	//364
    "setCategory",	//365
    "setCategory$",	//366
    "setChanged",	//367
    "setChanged#",	//368
    "setCity",	//369
    "setCity$",	//370
    "setComments",	//371
    "setComments$",	//372
    "setContentId",	//373
    "setContentId$",	//374
    "setCountry",	//375
    "setCountry$",	//376
    "setCreated",	//377
    "setCreated#",	//378
    "setCurrency",	//379
    "setCurrency$",	//380
    "setDescription",	//381
    "setDescription$",	//382
    "setDetailPage",	//383
    "setDetailPage#",	//384
    "setDistributionType",	//385
    "setDistributionType$",	//386
    "setDownloadFile",	//387
    "setDownloadFile$$#",	//388
    "setDownloads",	//389
    "setDownloads$",	//390
    "setDownloadtypLink",	//391
    "setDownloadtypLink$",	//392
    "setEnabled",	//393
    "setEnabled$",	//394
    "setEndDate",	//395
    "setEndDate#",	//396
    "setError",	//397
    "setError$",	//398
    "setFirstName",	//399
    "setFirstName$",	//400
    "setFrom",	//401
    "setFrom$",	//402
    "setGpgFingerprint",	//403
    "setGpgFingerprint$",	//404
    "setGpgSignature",	//405
    "setGpgSignature$",	//406
    "setHasPrice",	//407
    "setHasPrice$",	//408
    "setHomepage",	//409
    "setHomepage#",	//410
    "setHomepage$",	//411
    "setIcons",	//412
    "setIcons?",	//413
    "setId",	//414
    "setId$",	//415
    "setItemsPerPage",	//416
    "setItemsPerPage$",	//417
    "setLastName",	//418
    "setLastName$",	//419
    "setLatitude",	//420
    "setLatitude$",	//421
    "setLink",	//422
    "setLink#",	//423
    "setLink$",	//424
    "setLongitude",	//425
    "setLongitude$",	//426
    "setMessage",	//427
    "setMessage$",	//428
    "setMessageCount",	//429
    "setMessageCount$",	//430
    "setMetadata",	//431
    "setMetadata#",	//432
    "setMimeType",	//433
    "setMimeType$",	//434
    "setName",	//435
    "setName$",	//436
    "setNumberOfComments",	//437
    "setNumberOfComments$",	//438
    "setPackageName",	//439
    "setPackageName$",	//440
    "setPackageRepository",	//441
    "setPackageRepository$",	//442
    "setPreviewImage",	//443
    "setPreviewImage$$$#",	//444
    "setPriceAmount",	//445
    "setPriceAmount$",	//446
    "setPriceReason",	//447
    "setPriceReason$",	//448
    "setPrivateData",	//449
    "setPrivateData$$$",	//450
    "setRating",	//451
    "setRating$",	//452
    "setRepository",	//453
    "setRepository$",	//454
    "setSent",	//455
    "setSent#",	//456
    "setSize",	//457
    "setSize$",	//458
    "setStartDate",	//459
    "setStartDate#",	//460
    "setStatus",	//461
    "setStatus$",	//462
    "setStatusCode",	//463
    "setStatusCode$",	//464
    "setStatusString",	//465
    "setStatusString$",	//466
    "setSubject",	//467
    "setSubject$",	//468
    "setTimestamp",	//469
    "setTimestamp#",	//470
    "setTo",	//471
    "setTo$",	//472
    "setTotalItems",	//473
    "setTotalItems$",	//474
    "setType",	//475
    "setType$",	//476
    "setUpdated",	//477
    "setUpdated#",	//478
    "setUrl",	//479
    "setUrl#",	//480
    "setUser",	//481
    "setUser$",	//482
    "setVideos",	//483
    "setVideos?",	//484
    "size",	//485
    "smallPreviewPicture",	//486
    "smallPreviewPicture$",	//487
    "start",	//488
    "startDate",	//489
    "staticMetaObject",	//490
    "status",	//491
    "statusCode",	//492
    "statusString",	//493
    "subject",	//494
    "summary",	//495
    "timerEvent",	//496
    "timestamp",	//497
    "to",	//498
    "totalItems",	//499
    "tr",	//500
    "tr$",	//501
    "tr$$",	//502
    "tr$$$",	//503
    "trUtf8",	//504
    "trUtf8$",	//505
    "trUtf8$$",	//506
    "trUtf8$$$",	//507
    "type",	//508
    "updated",	//509
    "url",	//510
    "user",	//511
    "version",	//512
    "videos",	//513
    "voteForComment",	//514
    "voteForComment$$",	//515
    "voteForContent",	//516
    "voteForContent$$",	//517
    "~AccountBalance",	//518
    "~Activity",	//519
    "~BaseJob",	//520
    "~Category",	//521
    "~Content",	//522
    "~DownloadDescription",	//523
    "~DownloadItem",	//524
    "~Event",	//525
    "~Folder",	//526
    "~GetJob",	//527
    "~KnowledgeBaseEntry",	//528
    "~License",	//529
    "~Message",	//530
    "~Metadata",	//531
    "~Person",	//532
    "~PlatformDependent",	//533
    "~PostJob",	//534
    "~Provider",	//535
    "~ProviderManager",	//536
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 241, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 379, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 135, 0, 0, Smoke::mf_const, 80, 5},	//5 Attica::AccountBalance::currency() const
    {1, 359, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 105, 0, 0, Smoke::mf_const, 80, 7},	//7 Attica::AccountBalance::balance() const
    {1, 518, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {2, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {2, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {2, 241, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {2, 414, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {2, 212, 0, 0, Smoke::mf_const, 80, 5},	//13 Attica::Activity::id() const
    {2, 353, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {2, 97, 0, 0, Smoke::mf_const, 54, 7},	//15 Attica::Activity::associatedPerson() const
    {2, 469, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {2, 497, 0, 0, Smoke::mf_const, 66, 9},	//17 Attica::Activity::timestamp() const
    {2, 427, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {2, 232, 0, 0, Smoke::mf_const, 80, 11},	//19 Attica::Activity::message() const
    {2, 422, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {2, 226, 0, 0, Smoke::mf_const, 83, 13},	//21 Attica::Activity::link() const
    {2, 219, 0, 0, Smoke::mf_const, 175, 14},	//22 Attica::Activity::isValid() const
    {2, 519, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {3, 235, 0, 0, Smoke::mf_const, 199, 1},	//24 Attica::BaseJob::metaObject() const
    {3, 270, 13, 1, 0, 210, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {3, 500, 15, 2, Smoke::mf_static, 80, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {3, 504, 15, 2, Smoke::mf_static, 80, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {3, 500, 18, 3, Smoke::mf_static, 80, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {3, 504, 18, 3, Smoke::mf_static, 80, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {3, 268, 22, 3, 0, 207, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {3, 236, 0, 0, Smoke::mf_const, 50, 8},	//31 Attica::BaseJob::metadata() const
    {3, 488, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {3, 74, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {3, 186, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {3, 137, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {3, 431, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {3, 181, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 77, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {3, 245, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {3, 213, 0, 0, Smoke::mf_protected, 57, 16},	//39 Attica::BaseJob::internals()
    {3, 500, 13, 1, Smoke::mf_static, 80, 17},	//40 Attica::BaseJob::tr(const char*)
    {3, 504, 13, 1, Smoke::mf_static, 80, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {3, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 198, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {3, 520, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {4, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {4, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {4, 241, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {4, 414, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {4, 212, 0, 0, Smoke::mf_const, 80, 5},	//48 Attica::Category::id() const
    {4, 435, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {4, 239, 0, 0, Smoke::mf_const, 80, 7},	//50 Attica::Category::name() const
    {4, 219, 0, 0, Smoke::mf_const, 175, 8},	//51 Attica::Category::isValid() const
    {4, 521, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {5, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {5, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {5, 241, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {5, 414, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {5, 212, 0, 0, Smoke::mf_const, 80, 5},	//57 Attica::Content::id() const
    {5, 435, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {5, 239, 0, 0, Smoke::mf_const, 80, 7},	//59 Attica::Content::name() const
    {5, 451, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {5, 272, 0, 0, Smoke::mf_const, 207, 9},	//61 Attica::Content::rating() const
    {5, 389, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {5, 172, 0, 0, Smoke::mf_const, 207, 11},	//63 Attica::Content::downloads() const
    {5, 437, 34, 1, 0, 0, 12},	//64 Attica::Content::setNumberOfComments(int)
    {5, 240, 0, 0, Smoke::mf_const, 207, 13},	//65 Attica::Content::numberOfComments() const
    {5, 377, 9, 1, 0, 0, 14},	//66 Attica::Content::setCreated(const QDateTime&)
    {5, 134, 0, 0, Smoke::mf_const, 66, 15},	//67 Attica::Content::created() const
    {5, 477, 9, 1, 0, 0, 16},	//68 Attica::Content::setUpdated(const QDateTime&)
    {5, 509, 0, 0, Smoke::mf_const, 66, 17},	//69 Attica::Content::updated() const
    {5, 495, 0, 0, Smoke::mf_const, 80, 18},	//70 Attica::Content::summary() const
    {5, 149, 0, 0, Smoke::mf_const, 80, 19},	//71 Attica::Content::description() const
    {5, 151, 0, 0, Smoke::mf_const, 83, 20},	//72 Attica::Content::detailpage() const
    {5, 115, 0, 0, Smoke::mf_const, 80, 21},	//73 Attica::Content::changelog() const
    {5, 512, 0, 0, Smoke::mf_const, 80, 22},	//74 Attica::Content::version() const
    {5, 148, 0, 0, Smoke::mf_const, 80, 23},	//75 Attica::Content::depend() const
    {5, 169, 34, 1, Smoke::mf_const, 10, 24},	//76 Attica::Content::downloadUrlDescription(int) const
    {5, 171, 0, 0, Smoke::mf_const, 69, 25},	//77 Attica::Content::downloadUrlDescriptions() const
    {5, 208, 34, 1, Smoke::mf_const, 20, 26},	//78 Attica::Content::homePageEntry(int) const
    {5, 207, 0, 0, 0, 70, 27},	//79 Attica::Content::homePageEntries()
    {5, 258, 3, 1, Smoke::mf_const, 80, 28},	//80 Attica::Content::previewPicture(const QString&) const
    {5, 486, 3, 1, Smoke::mf_const, 80, 29},	//81 Attica::Content::smallPreviewPicture(const QString&) const
    {5, 224, 0, 0, Smoke::mf_const, 80, 30},	//82 Attica::Content::license() const
    {5, 225, 0, 0, Smoke::mf_const, 80, 31},	//83 Attica::Content::licenseName() const
    {5, 103, 0, 0, Smoke::mf_const, 80, 32},	//84 Attica::Content::author() const
    {5, 211, 0, 0, 0, 71, 33},	//85 Attica::Content::icons()
    {5, 412, 36, 1, 0, 0, 34},	//86 Attica::Content::setIcons(QList<Attica::Icon>)
    {5, 513, 0, 0, 0, 73, 35},	//87 Attica::Content::videos()
    {5, 483, 38, 1, 0, 0, 36},	//88 Attica::Content::setVideos(QList<QUrl>)
    {5, 76, 40, 2, 0, 0, 37},	//89 Attica::Content::addAttribute(const QString&, const QString&)
    {5, 98, 3, 1, Smoke::mf_const, 80, 38},	//90 Attica::Content::attribute(const QString&) const
    {5, 100, 0, 0, Smoke::mf_const, 74, 39},	//91 Attica::Content::attributes() const
    {5, 219, 0, 0, Smoke::mf_const, 175, 40},	//92 Attica::Content::isValid() const
    {5, 258, 0, 0, Smoke::mf_const, 80, 41},	//93 Attica::Content::previewPicture() const
    {5, 486, 0, 0, Smoke::mf_const, 80, 42},	//94 Attica::Content::smallPreviewPicture() const
    {5, 522, 0, 0, Smoke::mf_dtor, 0, 43 },	//95 Attica::Content::~Content()
    {6, 11, 0, 0, Smoke::mf_ctor, 12, 1},	//96 Attica::DownloadDescription::DownloadDescription()
    {6, 11, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//97 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {6, 241, 43, 1, 0, 11, 3},	//98 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {6, 212, 0, 0, 0, 207, 4},	//99 Attica::DownloadDescription::id()
    {6, 508, 0, 0, 0, 13, 5},	//100 Attica::DownloadDescription::type()
    {6, 216, 0, 0, 0, 175, 6},	//101 Attica::DownloadDescription::isDownloadtypLink()
    {6, 206, 0, 0, 0, 175, 7},	//102 Attica::DownloadDescription::hasPrice()
    {6, 113, 0, 0, 0, 80, 8},	//103 Attica::DownloadDescription::category()
    {6, 239, 0, 0, 0, 80, 9},	//104 Attica::DownloadDescription::name()
    {6, 226, 0, 0, 0, 80, 10},	//105 Attica::DownloadDescription::link()
    {6, 153, 0, 0, 0, 80, 11},	//106 Attica::DownloadDescription::distributionType()
    {6, 261, 0, 0, 0, 80, 12},	//107 Attica::DownloadDescription::priceReason()
    {6, 260, 0, 0, 0, 80, 13},	//108 Attica::DownloadDescription::priceAmount()
    {6, 485, 0, 0, 0, 209, 14},	//109 Attica::DownloadDescription::size()
    {6, 194, 0, 0, 0, 80, 15},	//110 Attica::DownloadDescription::gpgFingerprint()
    {6, 195, 0, 0, 0, 80, 16},	//111 Attica::DownloadDescription::gpgSignature()
    {6, 243, 0, 0, 0, 80, 17},	//112 Attica::DownloadDescription::packageName()
    {6, 279, 0, 0, 0, 80, 18},	//113 Attica::DownloadDescription::repository()
    {6, 414, 34, 1, 0, 0, 19},	//114 Attica::DownloadDescription::setId(int)
    {6, 475, 45, 1, 0, 0, 20},	//115 Attica::DownloadDescription::setType(Attica::DownloadDescription::Type)
    {6, 391, 47, 1, 0, 0, 21},	//116 Attica::DownloadDescription::setDownloadtypLink(bool)
    {6, 407, 47, 1, 0, 0, 22},	//117 Attica::DownloadDescription::setHasPrice(bool)
    {6, 365, 3, 1, 0, 0, 23},	//118 Attica::DownloadDescription::setCategory(const QString&)
    {6, 435, 3, 1, 0, 0, 24},	//119 Attica::DownloadDescription::setName(const QString&)
    {6, 422, 3, 1, 0, 0, 25},	//120 Attica::DownloadDescription::setLink(const QString&)
    {6, 385, 3, 1, 0, 0, 26},	//121 Attica::DownloadDescription::setDistributionType(const QString&)
    {6, 447, 3, 1, 0, 0, 27},	//122 Attica::DownloadDescription::setPriceReason(const QString&)
    {6, 445, 3, 1, 0, 0, 28},	//123 Attica::DownloadDescription::setPriceAmount(const QString&)
    {6, 457, 49, 1, 0, 0, 29},	//124 Attica::DownloadDescription::setSize(unsigned int)
    {6, 403, 3, 1, 0, 0, 30},	//125 Attica::DownloadDescription::setGpgFingerprint(const QString&)
    {6, 405, 3, 1, 0, 0, 31},	//126 Attica::DownloadDescription::setGpgSignature(const QString&)
    {6, 439, 3, 1, 0, 0, 32},	//127 Attica::DownloadDescription::setPackageName(const QString&)
    {6, 453, 3, 1, 0, 0, 33},	//128 Attica::DownloadDescription::setRepository(const QString&)
    {6, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//129 Attica::DownloadDescription::FileDownload (enum)
    {6, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//130 Attica::DownloadDescription::LinkDownload (enum)
    {6, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//131 Attica::DownloadDescription::PackageDownload (enum)
    {6, 523, 0, 0, Smoke::mf_dtor, 0, 37 },	//132 Attica::DownloadDescription::~DownloadDescription()
    {7, 13, 0, 0, Smoke::mf_ctor, 15, 1},	//133 Attica::DownloadItem::DownloadItem()
    {7, 13, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//134 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {7, 241, 51, 1, 0, 14, 3},	//135 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {7, 479, 11, 1, 0, 0, 4},	//136 Attica::DownloadItem::setUrl(const QUrl&)
    {7, 510, 0, 0, Smoke::mf_const, 83, 5},	//137 Attica::DownloadItem::url() const
    {7, 433, 3, 1, 0, 0, 6},	//138 Attica::DownloadItem::setMimeType(const QString&)
    {7, 237, 0, 0, Smoke::mf_const, 80, 7},	//139 Attica::DownloadItem::mimeType() const
    {7, 439, 3, 1, 0, 0, 8},	//140 Attica::DownloadItem::setPackageName(const QString&)
    {7, 243, 0, 0, Smoke::mf_const, 80, 9},	//141 Attica::DownloadItem::packageName() const
    {7, 441, 3, 1, 0, 0, 10},	//142 Attica::DownloadItem::setPackageRepository(const QString&)
    {7, 244, 0, 0, Smoke::mf_const, 80, 11},	//143 Attica::DownloadItem::packageRepository() const
    {7, 403, 3, 1, 0, 0, 12},	//144 Attica::DownloadItem::setGpgFingerprint(const QString&)
    {7, 194, 0, 0, Smoke::mf_const, 80, 13},	//145 Attica::DownloadItem::gpgFingerprint() const
    {7, 405, 3, 1, 0, 0, 14},	//146 Attica::DownloadItem::setGpgSignature(const QString&)
    {7, 195, 0, 0, Smoke::mf_const, 80, 15},	//147 Attica::DownloadItem::gpgSignature() const
    {7, 475, 45, 1, 0, 0, 16},	//148 Attica::DownloadItem::setType(Attica::DownloadDescription::Type)
    {7, 508, 0, 0, 0, 13, 17},	//149 Attica::DownloadItem::type()
    {7, 524, 0, 0, Smoke::mf_dtor, 0, 18 },	//150 Attica::DownloadItem::~DownloadItem()
    {8, 16, 0, 0, Smoke::mf_ctor, 17, 1},	//151 Attica::Event::Event()
    {8, 16, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 2},	//152 Attica::Event::Event(const Attica::Event&)
    {8, 241, 53, 1, 0, 16, 3},	//153 Attica::Event::operator=(const Attica::Event&)
    {8, 414, 3, 1, 0, 0, 4},	//154 Attica::Event::setId(const QString&)
    {8, 212, 0, 0, Smoke::mf_const, 80, 5},	//155 Attica::Event::id() const
    {8, 435, 3, 1, 0, 0, 6},	//156 Attica::Event::setName(const QString&)
    {8, 239, 0, 0, Smoke::mf_const, 80, 7},	//157 Attica::Event::name() const
    {8, 381, 3, 1, 0, 0, 8},	//158 Attica::Event::setDescription(const QString&)
    {8, 149, 0, 0, Smoke::mf_const, 80, 9},	//159 Attica::Event::description() const
    {8, 481, 3, 1, 0, 0, 10},	//160 Attica::Event::setUser(const QString&)
    {8, 511, 0, 0, Smoke::mf_const, 80, 11},	//161 Attica::Event::user() const
    {8, 459, 55, 1, 0, 0, 12},	//162 Attica::Event::setStartDate(const QDate&)
    {8, 489, 0, 0, Smoke::mf_const, 65, 13},	//163 Attica::Event::startDate() const
    {8, 395, 55, 1, 0, 0, 14},	//164 Attica::Event::setEndDate(const QDate&)
    {8, 177, 0, 0, Smoke::mf_const, 65, 15},	//165 Attica::Event::endDate() const
    {8, 420, 57, 1, 0, 0, 16},	//166 Attica::Event::setLatitude(double)
    {8, 223, 0, 0, Smoke::mf_const, 206, 17},	//167 Attica::Event::latitude() const
    {8, 425, 57, 1, 0, 0, 18},	//168 Attica::Event::setLongitude(double)
    {8, 231, 0, 0, Smoke::mf_const, 206, 19},	//169 Attica::Event::longitude() const
    {8, 409, 11, 1, 0, 0, 20},	//170 Attica::Event::setHomepage(const QUrl&)
    {8, 210, 0, 0, Smoke::mf_const, 83, 21},	//171 Attica::Event::homepage() const
    {8, 375, 3, 1, 0, 0, 22},	//172 Attica::Event::setCountry(const QString&)
    {8, 128, 0, 0, Smoke::mf_const, 80, 23},	//173 Attica::Event::country() const
    {8, 369, 3, 1, 0, 0, 24},	//174 Attica::Event::setCity(const QString&)
    {8, 119, 0, 0, Smoke::mf_const, 80, 25},	//175 Attica::Event::city() const
    {8, 80, 40, 2, 0, 0, 26},	//176 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {8, 182, 3, 1, Smoke::mf_const, 80, 27},	//177 Attica::Event::extendedAttribute(const QString&) const
    {8, 184, 0, 0, Smoke::mf_const, 74, 28},	//178 Attica::Event::extendedAttributes() const
    {8, 219, 0, 0, Smoke::mf_const, 175, 29},	//179 Attica::Event::isValid() const
    {8, 525, 0, 0, Smoke::mf_dtor, 0, 30 },	//180 Attica::Event::~Event()
    {9, 19, 0, 0, Smoke::mf_ctor, 19, 1},	//181 Attica::Folder::Folder()
    {9, 19, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//182 Attica::Folder::Folder(const Attica::Folder&)
    {9, 241, 59, 1, 0, 18, 3},	//183 Attica::Folder::operator=(const Attica::Folder&)
    {9, 414, 3, 1, 0, 0, 4},	//184 Attica::Folder::setId(const QString&)
    {9, 212, 0, 0, Smoke::mf_const, 80, 5},	//185 Attica::Folder::id() const
    {9, 435, 3, 1, 0, 0, 6},	//186 Attica::Folder::setName(const QString&)
    {9, 239, 0, 0, Smoke::mf_const, 80, 7},	//187 Attica::Folder::name() const
    {9, 429, 34, 1, 0, 0, 8},	//188 Attica::Folder::setMessageCount(int)
    {9, 233, 0, 0, Smoke::mf_const, 207, 9},	//189 Attica::Folder::messageCount() const
    {9, 475, 3, 1, 0, 0, 10},	//190 Attica::Folder::setType(const QString&)
    {9, 508, 0, 0, Smoke::mf_const, 80, 11},	//191 Attica::Folder::type() const
    {9, 219, 0, 0, Smoke::mf_const, 175, 12},	//192 Attica::Folder::isValid() const
    {9, 526, 0, 0, Smoke::mf_dtor, 0, 13 },	//193 Attica::Folder::~Folder()
    {10, 235, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 1},	//194 Attica::GetJob::metaObject() const
    {10, 270, 13, 1, Smoke::mf_virtual, 210, 2},	//195 Attica::GetJob::qt_metacast(const char*)
    {10, 500, 15, 2, Smoke::mf_static, 80, 3},	//196 Attica::GetJob::tr(const char*, const char*)
    {10, 504, 15, 2, Smoke::mf_static, 80, 4},	//197 Attica::GetJob::trUtf8(const char*, const char*)
    {10, 500, 18, 3, Smoke::mf_static, 80, 5},	//198 Attica::GetJob::tr(const char*, const char*, int)
    {10, 504, 18, 3, Smoke::mf_static, 80, 6},	//199 Attica::GetJob::trUtf8(const char*, const char*, int)
    {10, 268, 22, 3, Smoke::mf_virtual, 207, 7},	//200 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {10, 500, 13, 1, Smoke::mf_static, 80, 8},	//201 Attica::GetJob::tr(const char*)
    {10, 504, 13, 1, Smoke::mf_static, 80, 9},	//202 Attica::GetJob::trUtf8(const char*)
    {10, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 198, 10},	//203 Attica::GetJob::staticMetaObject() const
    {10, 527, 0, 0, Smoke::mf_dtor, 0, 11 },	//204 Attica::GetJob::~GetJob()
    {12, 21, 0, 0, Smoke::mf_ctor, 32, 1},	//205 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {12, 21, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 2},	//206 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {12, 241, 61, 1, 0, 31, 3},	//207 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {12, 414, 63, 1, 0, 0, 4},	//208 Attica::KnowledgeBaseEntry::setId(QString)
    {12, 212, 0, 0, Smoke::mf_const, 80, 5},	//209 Attica::KnowledgeBaseEntry::id() const
    {12, 373, 34, 1, 0, 0, 6},	//210 Attica::KnowledgeBaseEntry::setContentId(int)
    {12, 126, 0, 0, Smoke::mf_const, 207, 7},	//211 Attica::KnowledgeBaseEntry::contentId() const
    {12, 481, 3, 1, 0, 0, 8},	//212 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {12, 511, 0, 0, Smoke::mf_const, 80, 9},	//213 Attica::KnowledgeBaseEntry::user() const
    {12, 461, 65, 1, 0, 0, 10},	//214 Attica::KnowledgeBaseEntry::setStatus(const QString)
    {12, 491, 0, 0, Smoke::mf_const, 80, 11},	//215 Attica::KnowledgeBaseEntry::status() const
    {12, 367, 9, 1, 0, 0, 12},	//216 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {12, 114, 0, 0, Smoke::mf_const, 66, 13},	//217 Attica::KnowledgeBaseEntry::changed() const
    {12, 435, 3, 1, 0, 0, 14},	//218 Attica::KnowledgeBaseEntry::setName(const QString&)
    {12, 239, 0, 0, Smoke::mf_const, 80, 15},	//219 Attica::KnowledgeBaseEntry::name() const
    {12, 381, 3, 1, 0, 0, 16},	//220 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {12, 149, 0, 0, Smoke::mf_const, 80, 17},	//221 Attica::KnowledgeBaseEntry::description() const
    {12, 351, 3, 1, 0, 0, 18},	//222 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {12, 92, 0, 0, Smoke::mf_const, 80, 19},	//223 Attica::KnowledgeBaseEntry::answer() const
    {12, 371, 34, 1, 0, 0, 20},	//224 Attica::KnowledgeBaseEntry::setComments(int)
    {12, 122, 0, 0, Smoke::mf_const, 207, 21},	//225 Attica::KnowledgeBaseEntry::comments() const
    {12, 383, 11, 1, 0, 0, 22},	//226 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {12, 150, 0, 0, Smoke::mf_const, 83, 23},	//227 Attica::KnowledgeBaseEntry::detailPage() const
    {12, 80, 40, 2, 0, 0, 24},	//228 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {12, 182, 3, 1, Smoke::mf_const, 80, 25},	//229 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {12, 184, 0, 0, Smoke::mf_const, 74, 26},	//230 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {12, 219, 0, 0, Smoke::mf_const, 175, 27},	//231 Attica::KnowledgeBaseEntry::isValid() const
    {12, 528, 0, 0, Smoke::mf_dtor, 0, 28 },	//232 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {13, 23, 0, 0, Smoke::mf_ctor, 34, 1},	//233 Attica::License::License()
    {13, 23, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//234 Attica::License::License(const Attica::License&)
    {13, 241, 67, 1, 0, 33, 3},	//235 Attica::License::operator=(const Attica::License&)
    {13, 212, 0, 0, Smoke::mf_const, 209, 4},	//236 Attica::License::id() const
    {13, 414, 49, 1, 0, 0, 5},	//237 Attica::License::setId(unsigned int)
    {13, 239, 0, 0, Smoke::mf_const, 80, 6},	//238 Attica::License::name() const
    {13, 435, 3, 1, 0, 0, 7},	//239 Attica::License::setName(const QString&)
    {13, 510, 0, 0, Smoke::mf_const, 83, 8},	//240 Attica::License::url() const
    {13, 479, 11, 1, 0, 0, 9},	//241 Attica::License::setUrl(const QUrl&)
    {13, 529, 0, 0, Smoke::mf_dtor, 0, 10 },	//242 Attica::License::~License()
    {14, 45, 0, 0, Smoke::mf_ctor, 48, 1},	//243 Attica::Message::Message()
    {14, 45, 69, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//244 Attica::Message::Message(const Attica::Message&)
    {14, 241, 69, 1, 0, 47, 3},	//245 Attica::Message::operator=(const Attica::Message&)
    {14, 414, 3, 1, 0, 0, 4},	//246 Attica::Message::setId(const QString&)
    {14, 212, 0, 0, Smoke::mf_const, 80, 5},	//247 Attica::Message::id() const
    {14, 401, 3, 1, 0, 0, 6},	//248 Attica::Message::setFrom(const QString&)
    {14, 190, 0, 0, Smoke::mf_const, 80, 7},	//249 Attica::Message::from() const
    {14, 471, 3, 1, 0, 0, 8},	//250 Attica::Message::setTo(const QString&)
    {14, 498, 0, 0, Smoke::mf_const, 80, 9},	//251 Attica::Message::to() const
    {14, 455, 9, 1, 0, 0, 10},	//252 Attica::Message::setSent(const QDateTime&)
    {14, 350, 0, 0, Smoke::mf_const, 66, 11},	//253 Attica::Message::sent() const
    {14, 461, 71, 1, 0, 0, 12},	//254 Attica::Message::setStatus(Attica::Message::Status)
    {14, 491, 0, 0, Smoke::mf_const, 49, 13},	//255 Attica::Message::status() const
    {14, 467, 3, 1, 0, 0, 14},	//256 Attica::Message::setSubject(const QString&)
    {14, 494, 0, 0, Smoke::mf_const, 80, 15},	//257 Attica::Message::subject() const
    {14, 363, 3, 1, 0, 0, 16},	//258 Attica::Message::setBody(const QString&)
    {14, 110, 0, 0, Smoke::mf_const, 80, 17},	//259 Attica::Message::body() const
    {14, 219, 0, 0, Smoke::mf_const, 175, 18},	//260 Attica::Message::isValid() const
    {14, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 19},	//261 Attica::Message::Unread (enum)
    {14, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 20},	//262 Attica::Message::Read (enum)
    {14, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 21},	//263 Attica::Message::Answered (enum)
    {14, 530, 0, 0, Smoke::mf_dtor, 0, 22 },	//264 Attica::Message::~Message()
    {15, 47, 0, 0, Smoke::mf_ctor, 52, 1},	//265 Attica::Metadata::Metadata()
    {15, 47, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//266 Attica::Metadata::Metadata(const Attica::Metadata&)
    {15, 241, 28, 1, 0, 51, 3},	//267 Attica::Metadata::operator=(const Attica::Metadata&)
    {15, 178, 0, 0, Smoke::mf_const, 53, 4},	//268 Attica::Metadata::error() const
    {15, 397, 73, 1, 0, 0, 5},	//269 Attica::Metadata::setError(Attica::Metadata::Error)
    {15, 492, 0, 0, Smoke::mf_const, 207, 6},	//270 Attica::Metadata::statusCode() const
    {15, 463, 34, 1, 0, 0, 7},	//271 Attica::Metadata::setStatusCode(int)
    {15, 493, 0, 0, Smoke::mf_const, 80, 8},	//272 Attica::Metadata::statusString() const
    {15, 465, 3, 1, 0, 0, 9},	//273 Attica::Metadata::setStatusString(const QString&)
    {15, 232, 0, 0, 0, 80, 10},	//274 Attica::Metadata::message()
    {15, 427, 3, 1, 0, 0, 11},	//275 Attica::Metadata::setMessage(const QString&)
    {15, 499, 0, 0, 0, 207, 12},	//276 Attica::Metadata::totalItems()
    {15, 473, 34, 1, 0, 0, 13},	//277 Attica::Metadata::setTotalItems(int)
    {15, 220, 0, 0, 0, 207, 14},	//278 Attica::Metadata::itemsPerPage()
    {15, 416, 34, 1, 0, 0, 15},	//279 Attica::Metadata::setItemsPerPage(int)
    {15, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//280 Attica::Metadata::NoError (enum)
    {15, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//281 Attica::Metadata::NetworkError (enum)
    {15, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//282 Attica::Metadata::OcsError (enum)
    {15, 531, 0, 0, Smoke::mf_dtor, 0, 19 },	//283 Attica::Metadata::~Metadata()
    {16, 54, 0, 0, Smoke::mf_ctor, 56, 1},	//284 Attica::Person::Person()
    {16, 54, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//285 Attica::Person::Person(const Attica::Person&)
    {16, 241, 7, 1, 0, 55, 3},	//286 Attica::Person::operator=(const Attica::Person&)
    {16, 414, 3, 1, 0, 0, 4},	//287 Attica::Person::setId(const QString&)
    {16, 212, 0, 0, Smoke::mf_const, 80, 5},	//288 Attica::Person::id() const
    {16, 399, 3, 1, 0, 0, 6},	//289 Attica::Person::setFirstName(const QString&)
    {16, 188, 0, 0, Smoke::mf_const, 80, 7},	//290 Attica::Person::firstName() const
    {16, 418, 3, 1, 0, 0, 8},	//291 Attica::Person::setLastName(const QString&)
    {16, 222, 0, 0, Smoke::mf_const, 80, 9},	//292 Attica::Person::lastName() const
    {16, 361, 55, 1, 0, 0, 10},	//293 Attica::Person::setBirthday(const QDate&)
    {16, 109, 0, 0, Smoke::mf_const, 65, 11},	//294 Attica::Person::birthday() const
    {16, 375, 3, 1, 0, 0, 12},	//295 Attica::Person::setCountry(const QString&)
    {16, 128, 0, 0, Smoke::mf_const, 80, 13},	//296 Attica::Person::country() const
    {16, 420, 57, 1, 0, 0, 14},	//297 Attica::Person::setLatitude(double)
    {16, 223, 0, 0, Smoke::mf_const, 206, 15},	//298 Attica::Person::latitude() const
    {16, 425, 57, 1, 0, 0, 16},	//299 Attica::Person::setLongitude(double)
    {16, 231, 0, 0, Smoke::mf_const, 206, 17},	//300 Attica::Person::longitude() const
    {16, 357, 11, 1, 0, 0, 18},	//301 Attica::Person::setAvatarUrl(const QUrl&)
    {16, 104, 0, 0, Smoke::mf_const, 83, 19},	//302 Attica::Person::avatarUrl() const
    {16, 409, 3, 1, 0, 0, 20},	//303 Attica::Person::setHomepage(const QString&)
    {16, 210, 0, 0, Smoke::mf_const, 80, 21},	//304 Attica::Person::homepage() const
    {16, 369, 3, 1, 0, 0, 22},	//305 Attica::Person::setCity(const QString&)
    {16, 119, 0, 0, Smoke::mf_const, 80, 23},	//306 Attica::Person::city() const
    {16, 80, 40, 2, 0, 0, 24},	//307 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {16, 182, 3, 1, Smoke::mf_const, 80, 25},	//308 Attica::Person::extendedAttribute(const QString&) const
    {16, 184, 0, 0, Smoke::mf_const, 74, 26},	//309 Attica::Person::extendedAttributes() const
    {16, 219, 0, 0, Smoke::mf_const, 175, 27},	//310 Attica::Person::isValid() const
    {16, 532, 0, 0, Smoke::mf_dtor, 0, 28 },	//311 Attica::Person::~Person()
    {17, 193, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 1},	//312 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {17, 78, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//313 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {17, 275, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//314 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {17, 175, 75, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//315 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {17, 217, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 5},	//316 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {17, 199, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 6},	//317 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {17, 227, 78, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 7},	//318 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {17, 95, 78, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 8},	//319 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {17, 328, 82, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 9},	//320 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {17, 191, 86, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 10},	//321 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {17, 248, 88, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 11},	//322 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {17, 248, 91, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 12},	//323 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {17, 238, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 13},	//324 Attica::PlatformDependent::nam() [pure virtual]
    {17, 56, 0, 0, Smoke::mf_ctor, 57, 14},	//325 Attica::PlatformDependent::PlatformDependent()
    {17, 56, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 15},	//326 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {17, 533, 0, 0, Smoke::mf_dtor, 0, 16 },	//327 Attica::PlatformDependent::~PlatformDependent()
    {18, 235, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 1},	//328 Attica::PostJob::metaObject() const
    {18, 270, 13, 1, Smoke::mf_virtual, 210, 2},	//329 Attica::PostJob::qt_metacast(const char*)
    {18, 500, 15, 2, Smoke::mf_static, 80, 3},	//330 Attica::PostJob::tr(const char*, const char*)
    {18, 504, 15, 2, Smoke::mf_static, 80, 4},	//331 Attica::PostJob::trUtf8(const char*, const char*)
    {18, 500, 18, 3, Smoke::mf_static, 80, 5},	//332 Attica::PostJob::tr(const char*, const char*, int)
    {18, 504, 18, 3, Smoke::mf_static, 80, 6},	//333 Attica::PostJob::trUtf8(const char*, const char*, int)
    {18, 268, 22, 3, Smoke::mf_virtual, 207, 7},	//334 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 500, 13, 1, Smoke::mf_static, 80, 8},	//335 Attica::PostJob::tr(const char*)
    {18, 504, 13, 1, Smoke::mf_static, 80, 9},	//336 Attica::PostJob::trUtf8(const char*)
    {18, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 198, 10},	//337 Attica::PostJob::staticMetaObject() const
    {18, 534, 0, 0, Smoke::mf_dtor, 0, 11 },	//338 Attica::PostJob::~PostJob()
    {19, 58, 0, 0, Smoke::mf_ctor, 61, 1},	//339 Attica::Provider::Provider()
    {19, 58, 96, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//340 Attica::Provider::Provider(const Attica::Provider&)
    {19, 241, 96, 1, 0, 60, 3},	//341 Attica::Provider::operator=(const Attica::Provider&)
    {19, 219, 0, 0, Smoke::mf_const, 175, 4},	//342 Attica::Provider::isValid() const
    {19, 217, 0, 0, Smoke::mf_const, 175, 5},	//343 Attica::Provider::isEnabled() const
    {19, 393, 47, 1, 0, 0, 6},	//344 Attica::Provider::setEnabled(bool)
    {19, 106, 0, 0, Smoke::mf_const, 83, 7},	//345 Attica::Provider::baseUrl() const
    {19, 239, 0, 0, Smoke::mf_const, 80, 8},	//346 Attica::Provider::name() const
    {19, 205, 0, 0, Smoke::mf_const, 175, 9},	//347 Attica::Provider::hasPersonService() const
    {19, 247, 0, 0, Smoke::mf_const, 80, 10},	//348 Attica::Provider::personServiceVersion() const
    {19, 202, 0, 0, Smoke::mf_const, 175, 11},	//349 Attica::Provider::hasFriendService() const
    {19, 189, 0, 0, Smoke::mf_const, 80, 12},	//350 Attica::Provider::friendServiceVersion() const
    {19, 204, 0, 0, Smoke::mf_const, 175, 13},	//351 Attica::Provider::hasMessageService() const
    {19, 234, 0, 0, Smoke::mf_const, 80, 14},	//352 Attica::Provider::messageServiceVersion() const
    {19, 196, 0, 0, Smoke::mf_const, 175, 15},	//353 Attica::Provider::hasActivityService() const
    {19, 75, 0, 0, Smoke::mf_const, 80, 16},	//354 Attica::Provider::activityServiceVersion() const
    {19, 198, 0, 0, Smoke::mf_const, 175, 17},	//355 Attica::Provider::hasContentService() const
    {19, 127, 0, 0, Smoke::mf_const, 80, 18},	//356 Attica::Provider::contentServiceVersion() const
    {19, 201, 0, 0, Smoke::mf_const, 175, 19},	//357 Attica::Provider::hasFanService() const
    {19, 185, 0, 0, Smoke::mf_const, 80, 20},	//358 Attica::Provider::fanServiceVersion() const
    {19, 203, 0, 0, Smoke::mf_const, 175, 21},	//359 Attica::Provider::hasKnowledgebaseService() const
    {19, 221, 0, 0, Smoke::mf_const, 80, 22},	//360 Attica::Provider::knowledgebaseServiceVersion() const
    {19, 197, 0, 0, Smoke::mf_const, 175, 23},	//361 Attica::Provider::hasCommentService() const
    {19, 121, 0, 0, Smoke::mf_const, 80, 24},	//362 Attica::Provider::commentServiceVersion() const
    {19, 199, 0, 0, Smoke::mf_const, 175, 25},	//363 Attica::Provider::hasCredentials() const
    {19, 199, 0, 0, 0, 175, 26},	//364 Attica::Provider::hasCredentials()
    {19, 227, 98, 2, 0, 175, 27},	//365 Attica::Provider::loadCredentials(QString&, QString&)
    {19, 328, 40, 2, 0, 175, 28},	//366 Attica::Provider::saveCredentials(const QString&, const QString&)
    {19, 116, 40, 2, 0, 58, 29},	//367 Attica::Provider::checkLogin(const QString&, const QString&)
    {19, 273, 101, 5, 0, 58, 30},	//368 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {19, 309, 3, 1, 0, 27, 31},	//369 Attica::Provider::requestPerson(const QString&)
    {19, 318, 0, 0, 0, 27, 32},	//370 Attica::Provider::requestPersonSelf()
    {19, 280, 0, 0, 0, 21, 33},	//371 Attica::Provider::requestAccountBalance()
    {19, 316, 3, 1, 0, 46, 34},	//372 Attica::Provider::requestPersonSearchByName(const QString&)
    {19, 311, 107, 5, 0, 46, 35},	//373 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {19, 252, 113, 4, 0, 58, 36},	//374 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {19, 319, 40, 2, 0, 28, 37},	//375 Attica::Provider::requestPrivateData(const QString&, const QString&)
    {19, 319, 0, 0, 0, 28, 38},	//376 Attica::Provider::requestPrivateData()
    {19, 449, 118, 3, 0, 58, 39},	//377 Attica::Provider::setPrivateData(const QString&, const QString&, const QString&)
    {19, 296, 122, 3, 0, 46, 40},	//378 Attica::Provider::requestFriends(const QString&, int, int)
    {19, 325, 126, 2, 0, 46, 41},	//379 Attica::Provider::requestSentInvitations(int, int)
    {19, 322, 126, 2, 0, 46, 42},	//380 Attica::Provider::requestReceivedInvitations(int, int)
    {19, 214, 40, 2, 0, 58, 43},	//381 Attica::Provider::inviteFriend(const QString&, const QString&)
    {19, 93, 3, 1, 0, 58, 44},	//382 Attica::Provider::approveFriendship(const QString&)
    {19, 138, 3, 1, 0, 58, 45},	//383 Attica::Provider::declineFriendship(const QString&)
    {19, 111, 3, 1, 0, 58, 46},	//384 Attica::Provider::cancelFriendship(const QString&)
    {19, 295, 0, 0, 0, 41, 47},	//385 Attica::Provider::requestFolders()
    {19, 306, 59, 1, 0, 45, 48},	//386 Attica::Provider::requestMessages(const Attica::Folder&)
    {19, 306, 129, 2, 0, 45, 49},	//387 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {19, 304, 132, 2, 0, 26, 50},	//388 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {19, 256, 69, 1, 0, 58, 51},	//389 Attica::Provider::postMessage(const Attica::Message&)
    {19, 281, 0, 0, 0, 35, 52},	//390 Attica::Provider::requestActivities()
    {19, 250, 3, 1, 0, 58, 53},	//391 Attica::Provider::postActivity(const QString&)
    {19, 282, 0, 0, 0, 36, 54},	//392 Attica::Provider::requestCategories()
    {19, 303, 0, 0, 0, 44, 55},	//393 Attica::Provider::requestLicenses()
    {19, 287, 0, 0, 0, 39, 56},	//394 Attica::Provider::requestDistributions()
    {19, 300, 0, 0, 0, 42, 57},	//395 Attica::Provider::requestHomePageTypes()
    {19, 331, 135, 5, 0, 38, 58},	//396 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 342, 141, 6, 0, 38, 59},	//397 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 331, 148, 8, 0, 38, 60},	//398 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {19, 285, 3, 1, 0, 22, 61},	//399 Attica::Provider::requestContent(const QString&)
    {19, 166, 40, 2, 0, 23, 62},	//400 Attica::Provider::downloadLink(const QString&, const QString&)
    {19, 516, 157, 2, 0, 58, 63},	//401 Attica::Provider::voteForContent(const QString&, bool)
    {19, 516, 160, 2, 0, 58, 64},	//402 Attica::Provider::voteForContent(const QString&, unsigned int)
    {19, 84, 163, 2, 0, 30, 65},	//403 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {19, 173, 166, 3, 0, 30, 66},	//404 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {19, 142, 3, 1, 0, 58, 67},	//405 Attica::Provider::deleteContent(const QString&)
    {19, 387, 170, 3, 0, 58, 68},	//406 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {19, 144, 3, 1, 0, 58, 69},	//407 Attica::Provider::deleteDownloadFile(const QString&)
    {19, 443, 174, 4, 0, 58, 70},	//408 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {19, 146, 40, 2, 0, 58, 71},	//409 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {19, 301, 3, 1, 0, 25, 72},	//410 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {19, 348, 179, 5, 0, 43, 73},	//411 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {19, 288, 3, 1, 0, 24, 74},	//412 Attica::Provider::requestEvent(const QString&)
    {19, 288, 185, 6, 0, 40, 75},	//413 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {19, 283, 192, 5, 0, 37, 76},	//414 Attica::Provider::requestComments(const Attica::Comment::Type, const QString&, const QString&, int, int)
    {19, 82, 198, 6, 0, 29, 77},	//415 Attica::Provider::addNewComment(const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&)
    {19, 514, 160, 2, 0, 58, 78},	//416 Attica::Provider::voteForComment(const QString&, unsigned int)
    {19, 107, 3, 1, 0, 58, 79},	//417 Attica::Provider::becomeFan(const QString&)
    {19, 291, 205, 3, 0, 46, 80},	//418 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {19, 132, 3, 1, Smoke::mf_protected, 83, 81},	//419 Attica::Provider::createUrl(const QString&)
    {19, 129, 11, 1, Smoke::mf_protected, 78, 82},	//420 Attica::Provider::createRequest(const QUrl&)
    {19, 129, 3, 1, Smoke::mf_protected, 78, 83},	//421 Attica::Provider::createRequest(const QString&)
    {19, 162, 11, 1, Smoke::mf_protected, 27, 84},	//422 Attica::Provider::doRequestPerson(const QUrl&)
    {19, 154, 11, 1, Smoke::mf_protected, 21, 85},	//423 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {19, 164, 11, 1, Smoke::mf_protected, 46, 86},	//424 Attica::Provider::doRequestPersonList(const QUrl&)
    {19, 156, 11, 1, Smoke::mf_protected, 35, 87},	//425 Attica::Provider::doRequestActivityList(const QUrl&)
    {19, 158, 11, 1, Smoke::mf_protected, 41, 88},	//426 Attica::Provider::doRequestFolderList(const QUrl&)
    {19, 160, 11, 1, Smoke::mf_protected, 45, 89},	//427 Attica::Provider::doRequestMessageList(const QUrl&)
    {19, 311, 209, 2, 0, 46, 90},	//428 Attica::Provider::requestPersonSearchByLocation(double, double)
    {19, 311, 212, 3, 0, 46, 91},	//429 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {19, 311, 216, 4, 0, 46, 92},	//430 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {19, 252, 209, 2, 0, 58, 93},	//431 Attica::Provider::postLocation(double, double)
    {19, 252, 221, 3, 0, 58, 94},	//432 Attica::Provider::postLocation(double, double, const QString&)
    {19, 319, 3, 1, 0, 28, 95},	//433 Attica::Provider::requestPrivateData(const QString&)
    {19, 296, 3, 1, 0, 46, 96},	//434 Attica::Provider::requestFriends(const QString&)
    {19, 296, 225, 2, 0, 46, 97},	//435 Attica::Provider::requestFriends(const QString&, int)
    {19, 325, 0, 0, 0, 46, 98},	//436 Attica::Provider::requestSentInvitations()
    {19, 325, 34, 1, 0, 46, 99},	//437 Attica::Provider::requestSentInvitations(int)
    {19, 322, 0, 0, 0, 46, 100},	//438 Attica::Provider::requestReceivedInvitations()
    {19, 322, 34, 1, 0, 46, 101},	//439 Attica::Provider::requestReceivedInvitations(int)
    {19, 331, 228, 1, 0, 38, 102},	//440 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {19, 331, 230, 2, 0, 38, 103},	//441 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {19, 331, 233, 3, 0, 38, 104},	//442 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {19, 331, 237, 4, 0, 38, 105},	//443 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 342, 230, 2, 0, 38, 106},	//444 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {19, 342, 242, 3, 0, 38, 107},	//445 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {19, 342, 246, 4, 0, 38, 108},	//446 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {19, 342, 251, 5, 0, 38, 109},	//447 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 331, 257, 4, 0, 38, 110},	//448 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&)
    {19, 331, 262, 5, 0, 38, 111},	//449 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&)
    {19, 331, 268, 6, 0, 38, 112},	//450 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode)
    {19, 331, 275, 7, 0, 38, 113},	//451 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {19, 166, 3, 1, 0, 23, 114},	//452 Attica::Provider::downloadLink(const QString&)
    {19, 291, 3, 1, 0, 46, 115},	//453 Attica::Provider::requestFans(const QString&)
    {19, 291, 160, 2, 0, 46, 116},	//454 Attica::Provider::requestFans(const QString&, unsigned int)
    {19, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 117},	//455 Attica::Provider::Newest (enum)
    {19, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 118},	//456 Attica::Provider::Alphabetical (enum)
    {19, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 119},	//457 Attica::Provider::Rating (enum)
    {19, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 120},	//458 Attica::Provider::Downloads (enum)
    {19, 535, 0, 0, Smoke::mf_dtor, 0, 121 },	//459 Attica::Provider::~Provider()
    {20, 235, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 1},	//460 Attica::ProviderManager::metaObject() const
    {20, 270, 13, 1, Smoke::mf_virtual, 210, 2},	//461 Attica::ProviderManager::qt_metacast(const char*)
    {20, 500, 15, 2, Smoke::mf_static, 80, 3},	//462 Attica::ProviderManager::tr(const char*, const char*)
    {20, 504, 15, 2, Smoke::mf_static, 80, 4},	//463 Attica::ProviderManager::trUtf8(const char*, const char*)
    {20, 500, 18, 3, Smoke::mf_static, 80, 5},	//464 Attica::ProviderManager::tr(const char*, const char*, int)
    {20, 504, 18, 3, Smoke::mf_static, 80, 6},	//465 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {20, 268, 22, 3, Smoke::mf_virtual, 207, 7},	//466 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {20, 60, 0, 0, Smoke::mf_ctor, 63, 8},	//467 Attica::ProviderManager::ProviderManager()
    {20, 230, 0, 0, 0, 0, 9},	//468 Attica::ProviderManager::loadDefaultProviders()
    {20, 140, 0, 0, 0, 73, 10},	//469 Attica::ProviderManager::defaultProviderFiles()
    {20, 88, 11, 1, 0, 0, 11},	//470 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {20, 277, 11, 1, 0, 0, 12},	//471 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {20, 355, 47, 1, 0, 0, 13},	//472 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {20, 120, 0, 0, 0, 0, 14},	//473 Attica::ProviderManager::clear()
    {20, 90, 3, 1, 0, 0, 15},	//474 Attica::ProviderManager::addProviderFromXml(const QString&)
    {20, 86, 11, 1, 0, 0, 16},	//475 Attica::ProviderManager::addProviderFile(const QUrl&)
    {20, 266, 0, 0, Smoke::mf_const, 73, 17},	//476 Attica::ProviderManager::providerFiles() const
    {20, 267, 0, 0, Smoke::mf_const, 72, 18},	//477 Attica::ProviderManager::providers() const
    {20, 124, 3, 1, Smoke::mf_const, 175, 19},	//478 Attica::ProviderManager::contains(const QString&) const
    {20, 264, 11, 1, Smoke::mf_const, 59, 20},	//479 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {20, 262, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//480 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {20, 141, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//481 Attica::ProviderManager::defaultProvidersLoaded()
    {20, 101, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//482 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {20, 500, 13, 1, Smoke::mf_static, 80, 24},	//483 Attica::ProviderManager::tr(const char*)
    {20, 504, 13, 1, Smoke::mf_static, 80, 25},	//484 Attica::ProviderManager::trUtf8(const char*)
    {20, 490, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 198, 26},	//485 Attica::ProviderManager::staticMetaObject() const
    {20, 536, 0, 0, Smoke::mf_dtor, 0, 27 },	//486 Attica::ProviderManager::~ProviderManager()
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 1},	//487 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 2},	//488 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 3},	//489 QGlobalSpace::Q_STATIC_TYPE (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 4},	//490 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 5},	//491 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {26, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 6},	//492 QGlobalSpace::LicensedGui (enum)
    {26, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//493 QGlobalSpace::LicensedXml (enum)
    {26, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 8},	//494 QGlobalSpace::LicensedQt3SupportLight (enum)
    {26, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 9},	//495 QGlobalSpace::LicensedScript (enum)
    {26, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 10},	//496 QGlobalSpace::LicensedOpenVG (enum)
    {26, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 11},	//497 QGlobalSpace::LicensedDBus (enum)
    {26, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 12},	//498 QGlobalSpace::LicensedTest (enum)
    {26, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 13},	//499 QGlobalSpace::LicensedActiveQt (enum)
    {26, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 14},	//500 QGlobalSpace::LicensedScriptTools (enum)
    {26, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 15},	//501 QGlobalSpace::LicensedSvg (enum)
    {26, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 16},	//502 QGlobalSpace::LicensedDeclarative (enum)
    {26, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 17},	//503 QGlobalSpace::LicensedSql (enum)
    {26, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 18},	//504 QGlobalSpace::LicensedOpenGL (enum)
    {26, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 19},	//505 QGlobalSpace::LicensedCore (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 20},	//506 QGlobalSpace::QtDebugMsg (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 21},	//507 QGlobalSpace::QtWarningMsg (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 22},	//508 QGlobalSpace::QtCriticalMsg (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 23},	//509 QGlobalSpace::QtFatalMsg (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 24},	//510 QGlobalSpace::QtSystemMsg (enum)
    {26, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 25},	//511 QGlobalSpace::LicensedHelp (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 26},	//512 QGlobalSpace::LicensedMultimedia (enum)
    {26, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 27},	//513 QGlobalSpace::LicensedQt3Support (enum)
    {26, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 28},	//514 QGlobalSpace::LicensedXmlPatterns (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 29},	//515 QGlobalSpace::LicensedNetwork (enum)
    {32, 179, 283, 1, Smoke::mf_virtual, 175, 0},	//516 QObject::event(QEvent*)
    {32, 180, 285, 2, Smoke::mf_virtual, 175, 0},	//517 QObject::eventFilter(QObject*, QEvent*)
    {32, 496, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//518 QObject::timerEvent(QTimerEvent*)
    {32, 118, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//519 QObject::childEvent(QChildEvent*)
    {32, 136, 283, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//520 QObject::customEvent(QEvent*)
    {32, 123, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//521 QObject::connectNotify(const char*)
    {32, 152, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//522 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    363,  // Attica::Provider::hasCredentials() const
    364,  // Attica::Provider::hasCredentials()
    0,
    401,  // Attica::Provider::voteForContent(const QString&, bool)
    402,  // Attica::Provider::voteForContent(const QString&, unsigned int)
    0,
    322,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    323,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 105, 7},	// Attica::AccountBalance::balance
    {1, 135, 5},	// Attica::AccountBalance::currency
    {1, 242, 3},	// Attica::AccountBalance::operator=#
    {1, 360, 6},	// Attica::AccountBalance::setBalance$
    {1, 380, 4},	// Attica::AccountBalance::setCurrency$
    {1, 518, 8},	// Attica::AccountBalance::~AccountBalance
    {2, 3, 9},	// Attica::Activity::Activity
    {2, 4, 10},	// Attica::Activity::Activity#
    {2, 97, 15},	// Attica::Activity::associatedPerson
    {2, 212, 13},	// Attica::Activity::id
    {2, 219, 22},	// Attica::Activity::isValid
    {2, 226, 21},	// Attica::Activity::link
    {2, 232, 19},	// Attica::Activity::message
    {2, 242, 11},	// Attica::Activity::operator=#
    {2, 354, 14},	// Attica::Activity::setAssociatedPerson#
    {2, 415, 12},	// Attica::Activity::setId$
    {2, 423, 20},	// Attica::Activity::setLink#
    {2, 428, 18},	// Attica::Activity::setMessage$
    {2, 470, 16},	// Attica::Activity::setTimestamp#
    {2, 497, 17},	// Attica::Activity::timestamp
    {2, 519, 23},	// Attica::Activity::~Activity
    {3, 74, 33},	// Attica::BaseJob::abort
    {3, 137, 35},	// Attica::BaseJob::dataFinished
    {3, 181, 37},	// Attica::BaseJob::executeRequest
    {3, 187, 34},	// Attica::BaseJob::finished#
    {3, 213, 39},	// Attica::BaseJob::internals
    {3, 235, 24},	// Attica::BaseJob::metaObject
    {3, 236, 31},	// Attica::BaseJob::metadata
    {3, 246, 38},	// Attica::BaseJob::parse$
    {3, 269, 30},	// Attica::BaseJob::qt_metacall$$?
    {3, 271, 25},	// Attica::BaseJob::qt_metacast$
    {3, 432, 36},	// Attica::BaseJob::setMetadata#
    {3, 488, 32},	// Attica::BaseJob::start
    {3, 490, 42},	// Attica::BaseJob::staticMetaObject
    {3, 501, 40},	// Attica::BaseJob::tr$
    {3, 502, 26},	// Attica::BaseJob::tr$$
    {3, 503, 28},	// Attica::BaseJob::tr$$$
    {3, 505, 41},	// Attica::BaseJob::trUtf8$
    {3, 506, 27},	// Attica::BaseJob::trUtf8$$
    {3, 507, 29},	// Attica::BaseJob::trUtf8$$$
    {3, 520, 43},	// Attica::BaseJob::~BaseJob
    {4, 7, 44},	// Attica::Category::Category
    {4, 8, 45},	// Attica::Category::Category#
    {4, 212, 48},	// Attica::Category::id
    {4, 219, 51},	// Attica::Category::isValid
    {4, 239, 50},	// Attica::Category::name
    {4, 242, 46},	// Attica::Category::operator=#
    {4, 415, 47},	// Attica::Category::setId$
    {4, 436, 49},	// Attica::Category::setName$
    {4, 521, 52},	// Attica::Category::~Category
    {5, 9, 53},	// Attica::Content::Content
    {5, 10, 54},	// Attica::Content::Content#
    {5, 77, 89},	// Attica::Content::addAttribute$$
    {5, 99, 90},	// Attica::Content::attribute$
    {5, 100, 91},	// Attica::Content::attributes
    {5, 103, 84},	// Attica::Content::author
    {5, 115, 73},	// Attica::Content::changelog
    {5, 134, 67},	// Attica::Content::created
    {5, 148, 75},	// Attica::Content::depend
    {5, 149, 71},	// Attica::Content::description
    {5, 151, 72},	// Attica::Content::detailpage
    {5, 170, 76},	// Attica::Content::downloadUrlDescription$
    {5, 171, 77},	// Attica::Content::downloadUrlDescriptions
    {5, 172, 63},	// Attica::Content::downloads
    {5, 207, 79},	// Attica::Content::homePageEntries
    {5, 209, 78},	// Attica::Content::homePageEntry$
    {5, 211, 85},	// Attica::Content::icons
    {5, 212, 57},	// Attica::Content::id
    {5, 219, 92},	// Attica::Content::isValid
    {5, 224, 82},	// Attica::Content::license
    {5, 225, 83},	// Attica::Content::licenseName
    {5, 239, 59},	// Attica::Content::name
    {5, 240, 65},	// Attica::Content::numberOfComments
    {5, 242, 55},	// Attica::Content::operator=#
    {5, 258, 93},	// Attica::Content::previewPicture
    {5, 259, 80},	// Attica::Content::previewPicture$
    {5, 272, 61},	// Attica::Content::rating
    {5, 378, 66},	// Attica::Content::setCreated#
    {5, 390, 62},	// Attica::Content::setDownloads$
    {5, 413, 86},	// Attica::Content::setIcons?
    {5, 415, 56},	// Attica::Content::setId$
    {5, 436, 58},	// Attica::Content::setName$
    {5, 438, 64},	// Attica::Content::setNumberOfComments$
    {5, 452, 60},	// Attica::Content::setRating$
    {5, 478, 68},	// Attica::Content::setUpdated#
    {5, 484, 88},	// Attica::Content::setVideos?
    {5, 486, 94},	// Attica::Content::smallPreviewPicture
    {5, 487, 81},	// Attica::Content::smallPreviewPicture$
    {5, 495, 70},	// Attica::Content::summary
    {5, 509, 69},	// Attica::Content::updated
    {5, 512, 74},	// Attica::Content::version
    {5, 513, 87},	// Attica::Content::videos
    {5, 522, 95},	// Attica::Content::~Content
    {6, 11, 96},	// Attica::DownloadDescription::DownloadDescription
    {6, 12, 97},	// Attica::DownloadDescription::DownloadDescription#
    {6, 18, 129},	// Attica::DownloadDescription::FileDownload
    {6, 44, 130},	// Attica::DownloadDescription::LinkDownload
    {6, 53, 131},	// Attica::DownloadDescription::PackageDownload
    {6, 113, 103},	// Attica::DownloadDescription::category
    {6, 153, 106},	// Attica::DownloadDescription::distributionType
    {6, 194, 110},	// Attica::DownloadDescription::gpgFingerprint
    {6, 195, 111},	// Attica::DownloadDescription::gpgSignature
    {6, 206, 102},	// Attica::DownloadDescription::hasPrice
    {6, 212, 99},	// Attica::DownloadDescription::id
    {6, 216, 101},	// Attica::DownloadDescription::isDownloadtypLink
    {6, 226, 105},	// Attica::DownloadDescription::link
    {6, 239, 104},	// Attica::DownloadDescription::name
    {6, 242, 98},	// Attica::DownloadDescription::operator=#
    {6, 243, 112},	// Attica::DownloadDescription::packageName
    {6, 260, 108},	// Attica::DownloadDescription::priceAmount
    {6, 261, 107},	// Attica::DownloadDescription::priceReason
    {6, 279, 113},	// Attica::DownloadDescription::repository
    {6, 366, 118},	// Attica::DownloadDescription::setCategory$
    {6, 386, 121},	// Attica::DownloadDescription::setDistributionType$
    {6, 392, 116},	// Attica::DownloadDescription::setDownloadtypLink$
    {6, 404, 125},	// Attica::DownloadDescription::setGpgFingerprint$
    {6, 406, 126},	// Attica::DownloadDescription::setGpgSignature$
    {6, 408, 117},	// Attica::DownloadDescription::setHasPrice$
    {6, 415, 114},	// Attica::DownloadDescription::setId$
    {6, 424, 120},	// Attica::DownloadDescription::setLink$
    {6, 436, 119},	// Attica::DownloadDescription::setName$
    {6, 440, 127},	// Attica::DownloadDescription::setPackageName$
    {6, 446, 123},	// Attica::DownloadDescription::setPriceAmount$
    {6, 448, 122},	// Attica::DownloadDescription::setPriceReason$
    {6, 454, 128},	// Attica::DownloadDescription::setRepository$
    {6, 458, 124},	// Attica::DownloadDescription::setSize$
    {6, 476, 115},	// Attica::DownloadDescription::setType$
    {6, 485, 109},	// Attica::DownloadDescription::size
    {6, 508, 100},	// Attica::DownloadDescription::type
    {6, 523, 132},	// Attica::DownloadDescription::~DownloadDescription
    {7, 13, 133},	// Attica::DownloadItem::DownloadItem
    {7, 14, 134},	// Attica::DownloadItem::DownloadItem#
    {7, 194, 145},	// Attica::DownloadItem::gpgFingerprint
    {7, 195, 147},	// Attica::DownloadItem::gpgSignature
    {7, 237, 139},	// Attica::DownloadItem::mimeType
    {7, 242, 135},	// Attica::DownloadItem::operator=#
    {7, 243, 141},	// Attica::DownloadItem::packageName
    {7, 244, 143},	// Attica::DownloadItem::packageRepository
    {7, 404, 144},	// Attica::DownloadItem::setGpgFingerprint$
    {7, 406, 146},	// Attica::DownloadItem::setGpgSignature$
    {7, 434, 138},	// Attica::DownloadItem::setMimeType$
    {7, 440, 140},	// Attica::DownloadItem::setPackageName$
    {7, 442, 142},	// Attica::DownloadItem::setPackageRepository$
    {7, 476, 148},	// Attica::DownloadItem::setType$
    {7, 480, 136},	// Attica::DownloadItem::setUrl#
    {7, 508, 149},	// Attica::DownloadItem::type
    {7, 510, 137},	// Attica::DownloadItem::url
    {7, 524, 150},	// Attica::DownloadItem::~DownloadItem
    {8, 16, 151},	// Attica::Event::Event
    {8, 17, 152},	// Attica::Event::Event#
    {8, 81, 176},	// Attica::Event::addExtendedAttribute$$
    {8, 119, 175},	// Attica::Event::city
    {8, 128, 173},	// Attica::Event::country
    {8, 149, 159},	// Attica::Event::description
    {8, 177, 165},	// Attica::Event::endDate
    {8, 183, 177},	// Attica::Event::extendedAttribute$
    {8, 184, 178},	// Attica::Event::extendedAttributes
    {8, 210, 171},	// Attica::Event::homepage
    {8, 212, 155},	// Attica::Event::id
    {8, 219, 179},	// Attica::Event::isValid
    {8, 223, 167},	// Attica::Event::latitude
    {8, 231, 169},	// Attica::Event::longitude
    {8, 239, 157},	// Attica::Event::name
    {8, 242, 153},	// Attica::Event::operator=#
    {8, 370, 174},	// Attica::Event::setCity$
    {8, 376, 172},	// Attica::Event::setCountry$
    {8, 382, 158},	// Attica::Event::setDescription$
    {8, 396, 164},	// Attica::Event::setEndDate#
    {8, 410, 170},	// Attica::Event::setHomepage#
    {8, 415, 154},	// Attica::Event::setId$
    {8, 421, 166},	// Attica::Event::setLatitude$
    {8, 426, 168},	// Attica::Event::setLongitude$
    {8, 436, 156},	// Attica::Event::setName$
    {8, 460, 162},	// Attica::Event::setStartDate#
    {8, 482, 160},	// Attica::Event::setUser$
    {8, 489, 163},	// Attica::Event::startDate
    {8, 511, 161},	// Attica::Event::user
    {8, 525, 180},	// Attica::Event::~Event
    {9, 19, 181},	// Attica::Folder::Folder
    {9, 20, 182},	// Attica::Folder::Folder#
    {9, 212, 185},	// Attica::Folder::id
    {9, 219, 192},	// Attica::Folder::isValid
    {9, 233, 189},	// Attica::Folder::messageCount
    {9, 239, 187},	// Attica::Folder::name
    {9, 242, 183},	// Attica::Folder::operator=#
    {9, 415, 184},	// Attica::Folder::setId$
    {9, 430, 188},	// Attica::Folder::setMessageCount$
    {9, 436, 186},	// Attica::Folder::setName$
    {9, 476, 190},	// Attica::Folder::setType$
    {9, 508, 191},	// Attica::Folder::type
    {9, 526, 193},	// Attica::Folder::~Folder
    {10, 235, 194},	// Attica::GetJob::metaObject
    {10, 269, 200},	// Attica::GetJob::qt_metacall$$?
    {10, 271, 195},	// Attica::GetJob::qt_metacast$
    {10, 490, 203},	// Attica::GetJob::staticMetaObject
    {10, 501, 201},	// Attica::GetJob::tr$
    {10, 502, 196},	// Attica::GetJob::tr$$
    {10, 503, 198},	// Attica::GetJob::tr$$$
    {10, 505, 202},	// Attica::GetJob::trUtf8$
    {10, 506, 197},	// Attica::GetJob::trUtf8$$
    {10, 507, 199},	// Attica::GetJob::trUtf8$$$
    {10, 527, 204},	// Attica::GetJob::~GetJob
    {12, 21, 205},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {12, 22, 206},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {12, 81, 228},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {12, 92, 223},	// Attica::KnowledgeBaseEntry::answer
    {12, 114, 217},	// Attica::KnowledgeBaseEntry::changed
    {12, 122, 225},	// Attica::KnowledgeBaseEntry::comments
    {12, 126, 211},	// Attica::KnowledgeBaseEntry::contentId
    {12, 149, 221},	// Attica::KnowledgeBaseEntry::description
    {12, 150, 227},	// Attica::KnowledgeBaseEntry::detailPage
    {12, 183, 229},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {12, 184, 230},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {12, 212, 209},	// Attica::KnowledgeBaseEntry::id
    {12, 219, 231},	// Attica::KnowledgeBaseEntry::isValid
    {12, 239, 219},	// Attica::KnowledgeBaseEntry::name
    {12, 242, 207},	// Attica::KnowledgeBaseEntry::operator=#
    {12, 352, 222},	// Attica::KnowledgeBaseEntry::setAnswer$
    {12, 368, 216},	// Attica::KnowledgeBaseEntry::setChanged#
    {12, 372, 224},	// Attica::KnowledgeBaseEntry::setComments$
    {12, 374, 210},	// Attica::KnowledgeBaseEntry::setContentId$
    {12, 382, 220},	// Attica::KnowledgeBaseEntry::setDescription$
    {12, 384, 226},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {12, 415, 208},	// Attica::KnowledgeBaseEntry::setId$
    {12, 436, 218},	// Attica::KnowledgeBaseEntry::setName$
    {12, 462, 214},	// Attica::KnowledgeBaseEntry::setStatus$
    {12, 482, 212},	// Attica::KnowledgeBaseEntry::setUser$
    {12, 491, 215},	// Attica::KnowledgeBaseEntry::status
    {12, 511, 213},	// Attica::KnowledgeBaseEntry::user
    {12, 528, 232},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {13, 23, 233},	// Attica::License::License
    {13, 24, 234},	// Attica::License::License#
    {13, 212, 236},	// Attica::License::id
    {13, 239, 238},	// Attica::License::name
    {13, 242, 235},	// Attica::License::operator=#
    {13, 415, 237},	// Attica::License::setId$
    {13, 436, 239},	// Attica::License::setName$
    {13, 480, 241},	// Attica::License::setUrl#
    {13, 510, 240},	// Attica::License::url
    {13, 529, 242},	// Attica::License::~License
    {14, 6, 263},	// Attica::Message::Answered
    {14, 45, 243},	// Attica::Message::Message
    {14, 46, 244},	// Attica::Message::Message#
    {14, 72, 262},	// Attica::Message::Read
    {14, 73, 261},	// Attica::Message::Unread
    {14, 110, 259},	// Attica::Message::body
    {14, 190, 249},	// Attica::Message::from
    {14, 212, 247},	// Attica::Message::id
    {14, 219, 260},	// Attica::Message::isValid
    {14, 242, 245},	// Attica::Message::operator=#
    {14, 350, 253},	// Attica::Message::sent
    {14, 364, 258},	// Attica::Message::setBody$
    {14, 402, 248},	// Attica::Message::setFrom$
    {14, 415, 246},	// Attica::Message::setId$
    {14, 456, 252},	// Attica::Message::setSent#
    {14, 462, 254},	// Attica::Message::setStatus$
    {14, 468, 256},	// Attica::Message::setSubject$
    {14, 472, 250},	// Attica::Message::setTo$
    {14, 491, 255},	// Attica::Message::status
    {14, 494, 257},	// Attica::Message::subject
    {14, 498, 251},	// Attica::Message::to
    {14, 530, 264},	// Attica::Message::~Message
    {15, 47, 265},	// Attica::Metadata::Metadata
    {15, 48, 266},	// Attica::Metadata::Metadata#
    {15, 49, 281},	// Attica::Metadata::NetworkError
    {15, 51, 280},	// Attica::Metadata::NoError
    {15, 52, 282},	// Attica::Metadata::OcsError
    {15, 178, 268},	// Attica::Metadata::error
    {15, 220, 278},	// Attica::Metadata::itemsPerPage
    {15, 232, 274},	// Attica::Metadata::message
    {15, 242, 267},	// Attica::Metadata::operator=#
    {15, 398, 269},	// Attica::Metadata::setError$
    {15, 417, 279},	// Attica::Metadata::setItemsPerPage$
    {15, 428, 275},	// Attica::Metadata::setMessage$
    {15, 464, 271},	// Attica::Metadata::setStatusCode$
    {15, 466, 273},	// Attica::Metadata::setStatusString$
    {15, 474, 277},	// Attica::Metadata::setTotalItems$
    {15, 492, 270},	// Attica::Metadata::statusCode
    {15, 493, 272},	// Attica::Metadata::statusString
    {15, 499, 276},	// Attica::Metadata::totalItems
    {15, 531, 283},	// Attica::Metadata::~Metadata
    {16, 54, 284},	// Attica::Person::Person
    {16, 55, 285},	// Attica::Person::Person#
    {16, 81, 307},	// Attica::Person::addExtendedAttribute$$
    {16, 104, 302},	// Attica::Person::avatarUrl
    {16, 109, 294},	// Attica::Person::birthday
    {16, 119, 306},	// Attica::Person::city
    {16, 128, 296},	// Attica::Person::country
    {16, 183, 308},	// Attica::Person::extendedAttribute$
    {16, 184, 309},	// Attica::Person::extendedAttributes
    {16, 188, 290},	// Attica::Person::firstName
    {16, 210, 304},	// Attica::Person::homepage
    {16, 212, 288},	// Attica::Person::id
    {16, 219, 310},	// Attica::Person::isValid
    {16, 222, 292},	// Attica::Person::lastName
    {16, 223, 298},	// Attica::Person::latitude
    {16, 231, 300},	// Attica::Person::longitude
    {16, 242, 286},	// Attica::Person::operator=#
    {16, 358, 301},	// Attica::Person::setAvatarUrl#
    {16, 362, 293},	// Attica::Person::setBirthday#
    {16, 370, 305},	// Attica::Person::setCity$
    {16, 376, 295},	// Attica::Person::setCountry$
    {16, 400, 289},	// Attica::Person::setFirstName$
    {16, 411, 303},	// Attica::Person::setHomepage$
    {16, 415, 287},	// Attica::Person::setId$
    {16, 419, 291},	// Attica::Person::setLastName$
    {16, 421, 297},	// Attica::Person::setLatitude$
    {16, 426, 299},	// Attica::Person::setLongitude$
    {16, 532, 311},	// Attica::Person::~Person
    {17, 56, 325},	// Attica::PlatformDependent::PlatformDependent
    {17, 57, 326},	// Attica::PlatformDependent::PlatformDependent#
    {17, 79, 313},	// Attica::PlatformDependent::addDefaultProviderFile#
    {17, 96, 319},	// Attica::PlatformDependent::askForCredentials#$$
    {17, 176, 315},	// Attica::PlatformDependent::enableProvider#$
    {17, 192, 321},	// Attica::PlatformDependent::get#
    {17, 193, 312},	// Attica::PlatformDependent::getDefaultProviderFiles
    {17, 200, 317},	// Attica::PlatformDependent::hasCredentials#
    {17, 218, 316},	// Attica::PlatformDependent::isEnabled#
    {17, 228, 318},	// Attica::PlatformDependent::loadCredentials#$$
    {17, 238, 324},	// Attica::PlatformDependent::nam
    {17, 249, -7},	// Attica::PlatformDependent::post##
    {17, 276, 314},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {17, 329, 320},	// Attica::PlatformDependent::saveCredentials#$$
    {17, 533, 327},	// Attica::PlatformDependent::~PlatformDependent
    {18, 235, 328},	// Attica::PostJob::metaObject
    {18, 269, 334},	// Attica::PostJob::qt_metacall$$?
    {18, 271, 329},	// Attica::PostJob::qt_metacast$
    {18, 490, 337},	// Attica::PostJob::staticMetaObject
    {18, 501, 335},	// Attica::PostJob::tr$
    {18, 502, 330},	// Attica::PostJob::tr$$
    {18, 503, 332},	// Attica::PostJob::tr$$$
    {18, 505, 336},	// Attica::PostJob::trUtf8$
    {18, 506, 331},	// Attica::PostJob::trUtf8$$
    {18, 507, 333},	// Attica::PostJob::trUtf8$$$
    {18, 534, 338},	// Attica::PostJob::~PostJob
    {19, 5, 456},	// Attica::Provider::Alphabetical
    {19, 15, 458},	// Attica::Provider::Downloads
    {19, 50, 455},	// Attica::Provider::Newest
    {19, 58, 339},	// Attica::Provider::Provider
    {19, 59, 340},	// Attica::Provider::Provider#
    {19, 71, 457},	// Attica::Provider::Rating
    {19, 75, 354},	// Attica::Provider::activityServiceVersion
    {19, 83, 415},	// Attica::Provider::addNewComment$$$$$$
    {19, 85, 403},	// Attica::Provider::addNewContent##
    {19, 94, 382},	// Attica::Provider::approveFriendship$
    {19, 106, 345},	// Attica::Provider::baseUrl
    {19, 108, 417},	// Attica::Provider::becomeFan$
    {19, 112, 384},	// Attica::Provider::cancelFriendship$
    {19, 117, 367},	// Attica::Provider::checkLogin$$
    {19, 121, 362},	// Attica::Provider::commentServiceVersion
    {19, 127, 356},	// Attica::Provider::contentServiceVersion
    {19, 130, 420},	// Attica::Provider::createRequest#
    {19, 131, 421},	// Attica::Provider::createRequest$
    {19, 133, 419},	// Attica::Provider::createUrl$
    {19, 139, 383},	// Attica::Provider::declineFriendship$
    {19, 143, 405},	// Attica::Provider::deleteContent$
    {19, 145, 407},	// Attica::Provider::deleteDownloadFile$
    {19, 147, 409},	// Attica::Provider::deletePreviewImage$$
    {19, 155, 423},	// Attica::Provider::doRequestAccountBalance#
    {19, 157, 425},	// Attica::Provider::doRequestActivityList#
    {19, 159, 426},	// Attica::Provider::doRequestFolderList#
    {19, 161, 427},	// Attica::Provider::doRequestMessageList#
    {19, 163, 422},	// Attica::Provider::doRequestPerson#
    {19, 165, 424},	// Attica::Provider::doRequestPersonList#
    {19, 167, 452},	// Attica::Provider::downloadLink$
    {19, 168, 400},	// Attica::Provider::downloadLink$$
    {19, 174, 404},	// Attica::Provider::editContent#$#
    {19, 185, 358},	// Attica::Provider::fanServiceVersion
    {19, 189, 350},	// Attica::Provider::friendServiceVersion
    {19, 196, 353},	// Attica::Provider::hasActivityService
    {19, 197, 361},	// Attica::Provider::hasCommentService
    {19, 198, 355},	// Attica::Provider::hasContentService
    {19, 199, -1},	// Attica::Provider::hasCredentials
    {19, 201, 357},	// Attica::Provider::hasFanService
    {19, 202, 349},	// Attica::Provider::hasFriendService
    {19, 203, 359},	// Attica::Provider::hasKnowledgebaseService
    {19, 204, 351},	// Attica::Provider::hasMessageService
    {19, 205, 347},	// Attica::Provider::hasPersonService
    {19, 215, 381},	// Attica::Provider::inviteFriend$$
    {19, 217, 343},	// Attica::Provider::isEnabled
    {19, 219, 342},	// Attica::Provider::isValid
    {19, 221, 360},	// Attica::Provider::knowledgebaseServiceVersion
    {19, 229, 365},	// Attica::Provider::loadCredentials$$
    {19, 234, 352},	// Attica::Provider::messageServiceVersion
    {19, 239, 346},	// Attica::Provider::name
    {19, 242, 341},	// Attica::Provider::operator=#
    {19, 247, 348},	// Attica::Provider::personServiceVersion
    {19, 251, 391},	// Attica::Provider::postActivity$
    {19, 253, 431},	// Attica::Provider::postLocation$$
    {19, 254, 432},	// Attica::Provider::postLocation$$$
    {19, 255, 374},	// Attica::Provider::postLocation$$$$
    {19, 257, 389},	// Attica::Provider::postMessage#
    {19, 274, 368},	// Attica::Provider::registerAccount$$$$$
    {19, 280, 371},	// Attica::Provider::requestAccountBalance
    {19, 281, 390},	// Attica::Provider::requestActivities
    {19, 282, 392},	// Attica::Provider::requestCategories
    {19, 284, 414},	// Attica::Provider::requestComments$$$$$
    {19, 286, 399},	// Attica::Provider::requestContent$
    {19, 287, 394},	// Attica::Provider::requestDistributions
    {19, 289, 412},	// Attica::Provider::requestEvent$
    {19, 290, 413},	// Attica::Provider::requestEvent$$#$$$
    {19, 292, 453},	// Attica::Provider::requestFans$
    {19, 293, 454},	// Attica::Provider::requestFans$$
    {19, 294, 418},	// Attica::Provider::requestFans$$$
    {19, 295, 385},	// Attica::Provider::requestFolders
    {19, 297, 434},	// Attica::Provider::requestFriends$
    {19, 298, 435},	// Attica::Provider::requestFriends$$
    {19, 299, 378},	// Attica::Provider::requestFriends$$$
    {19, 300, 395},	// Attica::Provider::requestHomePageTypes
    {19, 302, 410},	// Attica::Provider::requestKnowledgeBaseEntry$
    {19, 303, 393},	// Attica::Provider::requestLicenses
    {19, 305, 388},	// Attica::Provider::requestMessage#$
    {19, 307, 386},	// Attica::Provider::requestMessages#
    {19, 308, 387},	// Attica::Provider::requestMessages#$
    {19, 310, 369},	// Attica::Provider::requestPerson$
    {19, 312, 428},	// Attica::Provider::requestPersonSearchByLocation$$
    {19, 313, 429},	// Attica::Provider::requestPersonSearchByLocation$$$
    {19, 314, 430},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {19, 315, 373},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {19, 317, 372},	// Attica::Provider::requestPersonSearchByName$
    {19, 318, 370},	// Attica::Provider::requestPersonSelf
    {19, 319, 376},	// Attica::Provider::requestPrivateData
    {19, 320, 433},	// Attica::Provider::requestPrivateData$
    {19, 321, 375},	// Attica::Provider::requestPrivateData$$
    {19, 322, 438},	// Attica::Provider::requestReceivedInvitations
    {19, 323, 439},	// Attica::Provider::requestReceivedInvitations$
    {19, 324, 380},	// Attica::Provider::requestReceivedInvitations$$
    {19, 325, 436},	// Attica::Provider::requestSentInvitations
    {19, 326, 437},	// Attica::Provider::requestSentInvitations$
    {19, 327, 379},	// Attica::Provider::requestSentInvitations$$
    {19, 330, 366},	// Attica::Provider::saveCredentials$$
    {19, 332, 440},	// Attica::Provider::searchContents?
    {19, 333, 441},	// Attica::Provider::searchContents?$
    {19, 334, 442},	// Attica::Provider::searchContents?$$
    {19, 335, 443},	// Attica::Provider::searchContents?$$$
    {19, 336, 396},	// Attica::Provider::searchContents?$$$$
    {19, 337, 448},	// Attica::Provider::searchContents?$??
    {19, 338, 449},	// Attica::Provider::searchContents?$??$
    {19, 339, 450},	// Attica::Provider::searchContents?$??$$
    {19, 340, 451},	// Attica::Provider::searchContents?$??$$$
    {19, 341, 398},	// Attica::Provider::searchContents?$??$$$$
    {19, 343, 444},	// Attica::Provider::searchContentsByPerson?$
    {19, 344, 445},	// Attica::Provider::searchContentsByPerson?$$
    {19, 345, 446},	// Attica::Provider::searchContentsByPerson?$$$
    {19, 346, 447},	// Attica::Provider::searchContentsByPerson?$$$$
    {19, 347, 397},	// Attica::Provider::searchContentsByPerson?$$$$$
    {19, 349, 411},	// Attica::Provider::searchKnowledgeBase#$$$$
    {19, 388, 406},	// Attica::Provider::setDownloadFile$$#
    {19, 394, 344},	// Attica::Provider::setEnabled$
    {19, 444, 408},	// Attica::Provider::setPreviewImage$$$#
    {19, 450, 377},	// Attica::Provider::setPrivateData$$$
    {19, 515, 416},	// Attica::Provider::voteForComment$$
    {19, 517, -4},	// Attica::Provider::voteForContent$$
    {19, 535, 459},	// Attica::Provider::~Provider
    {20, 60, 467},	// Attica::ProviderManager::ProviderManager
    {20, 87, 475},	// Attica::ProviderManager::addProviderFile#
    {20, 89, 470},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {20, 91, 474},	// Attica::ProviderManager::addProviderFromXml$
    {20, 102, 482},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {20, 120, 473},	// Attica::ProviderManager::clear
    {20, 125, 478},	// Attica::ProviderManager::contains$
    {20, 140, 469},	// Attica::ProviderManager::defaultProviderFiles
    {20, 141, 481},	// Attica::ProviderManager::defaultProvidersLoaded
    {20, 230, 468},	// Attica::ProviderManager::loadDefaultProviders
    {20, 235, 460},	// Attica::ProviderManager::metaObject
    {20, 263, 480},	// Attica::ProviderManager::providerAdded#
    {20, 265, 479},	// Attica::ProviderManager::providerByUrl#
    {20, 266, 476},	// Attica::ProviderManager::providerFiles
    {20, 267, 477},	// Attica::ProviderManager::providers
    {20, 269, 466},	// Attica::ProviderManager::qt_metacall$$?
    {20, 271, 461},	// Attica::ProviderManager::qt_metacast$
    {20, 278, 471},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {20, 356, 472},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {20, 490, 485},	// Attica::ProviderManager::staticMetaObject
    {20, 501, 483},	// Attica::ProviderManager::tr$
    {20, 502, 462},	// Attica::ProviderManager::tr$$
    {20, 503, 464},	// Attica::ProviderManager::tr$$$
    {20, 505, 484},	// Attica::ProviderManager::trUtf8$
    {20, 506, 463},	// Attica::ProviderManager::trUtf8$$
    {20, 507, 465},	// Attica::ProviderManager::trUtf8$$$
    {20, 536, 486},	// Attica::ProviderManager::~ProviderManager
    {26, 25, 499},	// QGlobalSpace::LicensedActiveQt
    {26, 26, 505},	// QGlobalSpace::LicensedCore
    {26, 27, 497},	// QGlobalSpace::LicensedDBus
    {26, 28, 502},	// QGlobalSpace::LicensedDeclarative
    {26, 29, 492},	// QGlobalSpace::LicensedGui
    {26, 30, 511},	// QGlobalSpace::LicensedHelp
    {26, 31, 512},	// QGlobalSpace::LicensedMultimedia
    {26, 32, 515},	// QGlobalSpace::LicensedNetwork
    {26, 33, 504},	// QGlobalSpace::LicensedOpenGL
    {26, 34, 496},	// QGlobalSpace::LicensedOpenVG
    {26, 35, 513},	// QGlobalSpace::LicensedQt3Support
    {26, 36, 494},	// QGlobalSpace::LicensedQt3SupportLight
    {26, 37, 495},	// QGlobalSpace::LicensedScript
    {26, 38, 500},	// QGlobalSpace::LicensedScriptTools
    {26, 39, 503},	// QGlobalSpace::LicensedSql
    {26, 40, 501},	// QGlobalSpace::LicensedSvg
    {26, 41, 498},	// QGlobalSpace::LicensedTest
    {26, 42, 493},	// QGlobalSpace::LicensedXml
    {26, 43, 514},	// QGlobalSpace::LicensedXmlPatterns
    {26, 61, 487},	// QGlobalSpace::Q_COMPLEX_TYPE
    {26, 62, 491},	// QGlobalSpace::Q_DUMMY_TYPE
    {26, 63, 490},	// QGlobalSpace::Q_MOVABLE_TYPE
    {26, 64, 488},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {26, 65, 489},	// QGlobalSpace::Q_STATIC_TYPE
    {26, 66, 508},	// QGlobalSpace::QtCriticalMsg
    {26, 67, 506},	// QGlobalSpace::QtDebugMsg
    {26, 68, 509},	// QGlobalSpace::QtFatalMsg
    {26, 69, 510},	// QGlobalSpace::QtSystemMsg
    {26, 70, 507},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 34,
        __smokeattica::methods, 523,
        __smokeattica::methodMaps, 513,
        __smokeattica::methodNames, 536,
        __smokeattica::types, 212,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
