#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QDataStream
      switch(to) {
        case 6: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 7:   //QDate
      switch(to) {
        case 7: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 10:   //QHashDummyValue
      switch(to) {
        case 10: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 11:   //QIncompatibleFlag
      switch(to) {
        case 11: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 12:   //QLatin1String
      switch(to) {
        case 12: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 13:   //QObject
      switch(to) {
        case 13: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 14:   //QRegExp
      switch(to) {
        case 14: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 15:   //QString::Null
      switch(to) {
        case 15: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 16:   //QStringRef
      switch(to) {
        case 16: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 17:   //QTime
      switch(to) {
        case 17: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 18:   //QUrl
      switch(to) {
        case 18: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 19:   //QVariant
      switch(to) {
        case 19: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 20:   //QVariantComparisonHelper
      switch(to) {
        case 20: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//6
    { "QDate", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//9
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//10
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//11
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//12
    { "QObject", true, 0, 0, 0, 0, 0 },	//13
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//14
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//15
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//16
    { "QTime", true, 0, 0, 0, 0, 0 },	//17
    { "QUrl", true, 0, 0, 0, 0, 0 },	//18
    { "QVariant", true, 0, 0, 0, 0, 0 },	//19
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//20
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//8
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//10
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDataStream&", 6, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDate&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDateTime&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//19
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QIncompatibleFlag", 11, Smoke::t_class|Smoke::tf_stack },	//40
    { "QRegExp&", 14, Smoke::t_class|Smoke::tf_ref },	//41
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//43
    { "QString::Null", 15, Smoke::t_class|Smoke::tf_stack },	//44
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//47
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "QTime&", 17, Smoke::t_class|Smoke::tf_ref },	//49
    { "QUrl&", 18, Smoke::t_class|Smoke::tf_ref },	//50
    { "QUrl::FormattingOption", 18, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QVariant&", 19, Smoke::t_class|Smoke::tf_ref },	//52
    { "QVariant::Type&", 19, Smoke::t_enum|Smoke::tf_ref },	//53
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QtMsgType", 9, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QtValidLicenseForActiveQtModule", 9, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QtValidLicenseForCoreModule", 9, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QtValidLicenseForDBusModule", 9, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QtValidLicenseForDeclarativeModule", 9, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QtValidLicenseForGuiModule", 9, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QtValidLicenseForHelpModule", 9, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QtValidLicenseForMultimediaModule", 9, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QtValidLicenseForNetworkModule", 9, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QtValidLicenseForOpenGLModule", 9, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QtValidLicenseForOpenVGModule", 9, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QtValidLicenseForQt3SupportLightModule", 9, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QtValidLicenseForQt3SupportModule", 9, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QtValidLicenseForScriptModule", 9, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QtValidLicenseForScriptToolsModule", 9, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QtValidLicenseForSqlModule", 9, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QtValidLicenseForSvgModule", 9, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QtValidLicenseForTestModule", 9, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QtValidLicenseForXmlModule", 9, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QtValidLicenseForXmlPatternsModule", 9, Smoke::t_enum|Smoke::tf_stack },	//144
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//145
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//146
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//147
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const QDate&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//150
    { "const QDateTime&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//151
    { "const QHashDummyValue&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const QLatin1String&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const QObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//154
    { "const QRegExp&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//156
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//159
    { "const QStringRef&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QTime&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QUrl&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QVariant&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QVariant::Type", 19, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//164
    { "const QVariantComparisonHelper&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//166
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//167
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//168
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//169
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//170
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 16, 0,	//1  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    12, 11, 0,	//4  QDataStream&, QChar&
    166, 153, 0,	//7  const char*, const QLatin1String&
    124, 168, 0,	//10  Qt::WindowType, int
    148, 166, 0,	//13  const QByteArray&, const char*
    166, 157, 0,	//16  const char*, const QString&
    89, 89, 0,	//19  Qt::ItemFlag, Qt::ItemFlag
    163, 165, 0,	//22  const QVariant&, const QVariantComparisonHelper&
    10, 157, 0,	//25  QChar, const QString&
    153, 153, 0,	//28  const QLatin1String&, const QLatin1String&
    160, 160, 0,	//31  const QStringRef&, const QStringRef&
    157, 160, 0,	//34  const QString&, const QStringRef&
    157, 10, 0,	//37  const QString&, QChar
    153, 160, 0,	//40  const QLatin1String&, const QStringRef&
    114, 114, 0,	//43  Qt::ToolBarArea, Qt::ToolBarArea
    160, 153, 0,	//46  const QStringRef&, const QLatin1String&
    12, 13, 0,	//49  QDataStream&, QDate&
    111, 168, 0,	//52  Qt::TextInteractionFlag, int
    10, 10, 0,	//55  QChar, QChar
    7, 19, 0,	//58  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    12, 50, 0,	//61  QDataStream&, QUrl&
    12, 164, 0,	//64  QDataStream&, const QVariant::Type
    12, 163, 0,	//67  QDataStream&, const QVariant&
    6, 18, 0,	//70  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    111, 34, 0,	//73  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    89, 29, 0,	//76  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    86, 28, 0,	//79  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    44, 44, 0,	//82  QString::Null, QString::Null
    166, 148, 0,	//85  const char*, const QByteArray&
    92, 30, 0,	//88  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    152, 152, 0,	//91  const QHashDummyValue&, const QHashDummyValue&
    3, 168, 0,	//94  KUrl::CleanPathOption, int
    148, 148, 0,	//97  const QByteArray&, const QByteArray&
    12, 157, 0,	//100  QDataStream&, const QString&
    75, 168, 0,	//103  Qt::DropAction, int
    95, 168, 0,	//106  Qt::MatchFlag, int
    111, 111, 0,	//109  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    45, 21, 0,	//112  QString::SectionFlag, QFlags<QString::SectionFlag>
    97, 97, 0,	//115  Qt::MouseButton, Qt::MouseButton
    75, 75, 0,	//118  Qt::DropAction, Qt::DropAction
    157, 44, 0,	//121  const QString&, QString::Null
    80, 26, 0,	//124  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    39, 39, 0,	//127  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    73, 24, 0,	//130  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    95, 31, 0,	//133  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    54, 168, 0,	//136  Qt::AlignmentFlag, int
    84, 168, 0,	//139  Qt::ImageConversionFlag, int
    5, 17, 0,	//142  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    4, 168, 0,	//145  KUrl::DirectoryOption, int
    8, 8, 0,	//148  QBool, QBool
    157, 146, 0,	//151  const QString&, char
    166, 160, 0,	//154  const char*, const QStringRef&
    44, 157, 0,	//157  QString::Null, const QString&
    6, 168, 0,	//160  KUrl::EqualsOption, int
    5, 168, 0,	//163  KUrl::EncodedPathAndQueryOption, int
    80, 80, 0,	//166  Qt::GestureFlag, Qt::GestureFlag
    12, 149, 0,	//169  QDataStream&, const QChar&
    54, 54, 0,	//172  Qt::AlignmentFlag, Qt::AlignmentFlag
    12, 148, 0,	//175  QDataStream&, const QByteArray&
    84, 84, 0,	//178  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    123, 168, 0,	//181  Qt::WindowState, int
    12, 43, 0,	//184  QDataStream&, QString&
    92, 92, 0,	//187  Qt::KeyboardModifier, Qt::KeyboardModifier
    145, 8, 0,	//190  bool, QBool
    12, 14, 0,	//193  QDataStream&, QDateTime&
    160, 157, 0,	//196  const QStringRef&, const QString&
    92, 168, 0,	//199  Qt::KeyboardModifier, int
    12, 151, 0,	//202  QDataStream&, const QDateTime&
    148, 157, 0,	//205  const QByteArray&, const QString&
    51, 51, 0,	//208  QUrl::FormattingOption, QUrl::FormattingOption
    73, 168, 0,	//211  Qt::DockWidgetArea, int
    12, 49, 0,	//214  QDataStream&, QTime&
    124, 124, 0,	//217  Qt::WindowType, Qt::WindowType
    124, 38, 0,	//220  Qt::WindowType, QFlags<Qt::WindowType>
    123, 123, 0,	//223  Qt::WindowState, Qt::WindowState
    12, 47, 0,	//226  QDataStream&, QStringList&
    12, 162, 0,	//229  QDataStream&, const QUrl&
    5, 5, 0,	//232  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    4, 4, 0,	//235  KUrl::DirectoryOption, KUrl::DirectoryOption
    12, 161, 0,	//238  QDataStream&, const QTime&
    12, 41, 0,	//241  QDataStream&, QRegExp&
    86, 168, 0,	//244  Qt::InputMethodHint, int
    157, 148, 0,	//247  const QString&, const QByteArray&
    51, 22, 0,	//250  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    148, 146, 0,	//253  const QByteArray&, char
    54, 23, 0,	//256  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    6, 6, 0,	//259  KUrl::EqualsOption, KUrl::EqualsOption
    7, 7, 0,	//262  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    39, 20, 0,	//265  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    80, 168, 0,	//268  Qt::GestureFlag, int
    12, 150, 0,	//271  QDataStream&, const QDate&
    146, 148, 0,	//274  char, const QByteArray&
    157, 166, 0,	//277  const QString&, const char*
    99, 99, 0,	//280  Qt::Orientation, Qt::Orientation
    157, 157, 0,	//283  const QString&, const QString&
    8, 145, 0,	//286  QBool, bool
    12, 158, 0,	//289  QDataStream&, const QStringList&
    12, 155, 0,	//292  QDataStream&, const QRegExp&
    160, 166, 0,	//295  const QStringRef&, const char*
    114, 35, 0,	//298  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    12, 52, 0,	//301  QDataStream&, QVariant&
    117, 36, 0,	//304  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    7, 168, 0,	//307  KUrl::QueryItemsOption, int
    117, 168, 0,	//310  Qt::TouchPointState, int
    97, 32, 0,	//313  Qt::MouseButton, QFlags<Qt::MouseButton>
    75, 25, 0,	//316  Qt::DropAction, QFlags<Qt::DropAction>
    99, 168, 0,	//319  Qt::Orientation, int
    12, 53, 0,	//322  QDataStream&, QVariant::Type&
    114, 168, 0,	//325  Qt::ToolBarArea, int
    12, 9, 0,	//328  QDataStream&, QByteArray&
    3, 15, 0,	//331  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    117, 117, 0,	//334  Qt::TouchPointState, Qt::TouchPointState
    84, 27, 0,	//337  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    123, 37, 0,	//340  Qt::WindowState, QFlags<Qt::WindowState>
    73, 73, 0,	//343  Qt::DockWidgetArea, Qt::DockWidgetArea
    51, 168, 0,	//346  QUrl::FormattingOption, int
    95, 95, 0,	//349  Qt::MatchFlag, Qt::MatchFlag
    86, 86, 0,	//352  Qt::InputMethodHint, Qt::InputMethodHint
    99, 33, 0,	//355  Qt::Orientation, QFlags<Qt::Orientation>
    89, 168, 0,	//358  Qt::ItemFlag, int
    97, 168, 0,	//361  Qt::MouseButton, int
    3, 3, 0,	//364  KUrl::CleanPathOption, KUrl::CleanPathOption
    39, 168, 0,	//367  QIODevice::OpenModeFlag, int
    45, 168, 0,	//370  QString::SectionFlag, int
    146, 157, 0,	//373  char, const QString&
    45, 45, 0,	//376  QString::SectionFlag, QString::SectionFlag
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "LicensedActiveQt",	//1
    "LicensedCore",	//2
    "LicensedDBus",	//3
    "LicensedDeclarative",	//4
    "LicensedGui",	//5
    "LicensedHelp",	//6
    "LicensedMultimedia",	//7
    "LicensedNetwork",	//8
    "LicensedOpenGL",	//9
    "LicensedOpenVG",	//10
    "LicensedQt3Support",	//11
    "LicensedQt3SupportLight",	//12
    "LicensedScript",	//13
    "LicensedScriptTools",	//14
    "LicensedSql",	//15
    "LicensedSvg",	//16
    "LicensedTest",	//17
    "LicensedXml",	//18
    "LicensedXmlPatterns",	//19
    "Q_COMPLEX_TYPE",	//20
    "Q_DUMMY_TYPE",	//21
    "Q_MOVABLE_TYPE",	//22
    "Q_PRIMITIVE_TYPE",	//23
    "Q_STATIC_TYPE",	//24
    "QtCriticalMsg",	//25
    "QtDebugMsg",	//26
    "QtFatalMsg",	//27
    "QtSystemMsg",	//28
    "QtWarningMsg",	//29
    "operator!=",	//30
    "operator!=##",	//31
    "operator!=#$",	//32
    "operator!=$#",	//33
    "operator!=$$",	//34
    "operator+",	//35
    "operator+##",	//36
    "operator+#$",	//37
    "operator+$#",	//38
    "operator+$$",	//39
    "operator<",	//40
    "operator<##",	//41
    "operator<#$",	//42
    "operator<$#",	//43
    "operator<$$",	//44
    "operator<<",	//45
    "operator<<##",	//46
    "operator<<#$",	//47
    "operator<<#?",	//48
    "operator<=",	//49
    "operator<=##",	//50
    "operator<=#$",	//51
    "operator<=$#",	//52
    "operator<=$$",	//53
    "operator==",	//54
    "operator==##",	//55
    "operator==#$",	//56
    "operator==$#",	//57
    "operator==$$",	//58
    "operator>",	//59
    "operator>##",	//60
    "operator>#$",	//61
    "operator>$#",	//62
    "operator>$$",	//63
    "operator>=",	//64
    "operator>=##",	//65
    "operator>=#$",	//66
    "operator>=$#",	//67
    "operator>=$$",	//68
    "operator>>",	//69
    "operator>>##",	//70
    "operator>>#$",	//71
    "operator>>#?",	//72
    "operator|",	//73
    "operator|$$",	//74
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 73, 1, 2, Smoke::mf_static, 16, 1},	//1 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {9, 69, 4, 2, Smoke::mf_static, 12, 2},	//2 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {9, 64, 7, 2, Smoke::mf_static, 145, 3},	//3 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {9, 73, 10, 2, Smoke::mf_static, 40, 4},	//4 QGlobalSpace::operator|(Qt::WindowType, int)
    {9, 40, 13, 2, Smoke::mf_static, 145, 5},	//5 QGlobalSpace::operator<(const QByteArray&, const char*)
    {9, 59, 16, 2, Smoke::mf_static, 145, 6},	//6 QGlobalSpace::operator>(const char*, const QString&)
    {9, 73, 19, 2, Smoke::mf_static, 29, 7},	//7 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {9, 54, 22, 2, Smoke::mf_static, 145, 8},	//8 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {9, 35, 25, 2, Smoke::mf_static, 156, 9},	//9 QGlobalSpace::operator+(QChar, const QString&)
    {9, 49, 28, 2, Smoke::mf_static, 145, 10},	//10 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {9, 49, 31, 2, Smoke::mf_static, 145, 11},	//11 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {9, 30, 34, 2, Smoke::mf_static, 145, 12},	//12 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {9, 35, 37, 2, Smoke::mf_static, 156, 13},	//13 QGlobalSpace::operator+(const QString&, QChar)
    {9, 54, 31, 2, Smoke::mf_static, 145, 14},	//14 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {9, 30, 40, 2, Smoke::mf_static, 145, 15},	//15 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {9, 73, 43, 2, Smoke::mf_static, 35, 16},	//16 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {9, 54, 46, 2, Smoke::mf_static, 145, 17},	//17 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {9, 69, 49, 2, Smoke::mf_static, 12, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {9, 73, 52, 2, Smoke::mf_static, 40, 19},	//19 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {9, 30, 55, 2, Smoke::mf_static, 145, 20},	//20 QGlobalSpace::operator!=(QChar, QChar)
    {9, 73, 58, 2, Smoke::mf_static, 19, 21},	//21 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {9, 69, 61, 2, Smoke::mf_static, 12, 22},	//22 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {9, 45, 64, 2, Smoke::mf_static, 12, 23},	//23 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {9, 45, 67, 2, Smoke::mf_static, 12, 24},	//24 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {9, 54, 7, 2, Smoke::mf_static, 145, 25},	//25 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {9, 73, 70, 2, Smoke::mf_static, 18, 26},	//26 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {9, 73, 73, 2, Smoke::mf_static, 34, 27},	//27 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {9, 73, 76, 2, Smoke::mf_static, 29, 28},	//28 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {9, 73, 79, 2, Smoke::mf_static, 28, 29},	//29 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {9, 59, 28, 2, Smoke::mf_static, 145, 30},	//30 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {9, 30, 82, 2, Smoke::mf_static, 145, 31},	//31 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {9, 35, 85, 2, Smoke::mf_static, 147, 32},	//32 QGlobalSpace::operator+(const char*, const QByteArray&)
    {9, 30, 7, 2, Smoke::mf_static, 145, 33},	//33 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {9, 40, 85, 2, Smoke::mf_static, 145, 34},	//34 QGlobalSpace::operator<(const char*, const QByteArray&)
    {9, 64, 55, 2, Smoke::mf_static, 145, 35},	//35 QGlobalSpace::operator>=(QChar, QChar)
    {9, 73, 88, 2, Smoke::mf_static, 30, 36},	//36 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {9, 49, 55, 2, Smoke::mf_static, 145, 37},	//37 QGlobalSpace::operator<=(QChar, QChar)
    {9, 54, 91, 2, Smoke::mf_static, 145, 38},	//38 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {9, 73, 94, 2, Smoke::mf_static, 40, 39},	//39 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {9, 54, 82, 2, Smoke::mf_static, 145, 40},	//40 QGlobalSpace::operator==(QString::Null, QString::Null)
    {9, 30, 28, 2, Smoke::mf_static, 145, 41},	//41 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {9, 49, 97, 2, Smoke::mf_static, 145, 42},	//42 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {9, 45, 100, 2, Smoke::mf_static, 12, 43},	//43 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {9, 73, 103, 2, Smoke::mf_static, 40, 44},	//44 QGlobalSpace::operator|(Qt::DropAction, int)
    {9, 73, 106, 2, Smoke::mf_static, 40, 45},	//45 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {9, 59, 7, 2, Smoke::mf_static, 145, 46},	//46 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {9, 59, 31, 2, Smoke::mf_static, 145, 47},	//47 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {9, 64, 97, 2, Smoke::mf_static, 145, 48},	//48 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {9, 59, 85, 2, Smoke::mf_static, 145, 49},	//49 QGlobalSpace::operator>(const char*, const QByteArray&)
    {9, 54, 85, 2, Smoke::mf_static, 145, 50},	//50 QGlobalSpace::operator==(const char*, const QByteArray&)
    {9, 73, 109, 2, Smoke::mf_static, 34, 51},	//51 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {9, 73, 112, 2, Smoke::mf_static, 21, 52},	//52 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {9, 73, 115, 2, Smoke::mf_static, 32, 53},	//53 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {9, 30, 31, 2, Smoke::mf_static, 145, 54},	//54 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {9, 73, 118, 2, Smoke::mf_static, 25, 55},	//55 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {9, 54, 121, 2, Smoke::mf_static, 145, 56},	//56 QGlobalSpace::operator==(const QString&, QString::Null)
    {9, 73, 124, 2, Smoke::mf_static, 26, 57},	//57 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {9, 49, 7, 2, Smoke::mf_static, 145, 58},	//58 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {9, 73, 127, 2, Smoke::mf_static, 20, 59},	//59 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {9, 73, 130, 2, Smoke::mf_static, 24, 60},	//60 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {9, 73, 133, 2, Smoke::mf_static, 31, 61},	//61 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {9, 49, 16, 2, Smoke::mf_static, 145, 62},	//62 QGlobalSpace::operator<=(const char*, const QString&)
    {9, 73, 136, 2, Smoke::mf_static, 40, 63},	//63 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {9, 73, 139, 2, Smoke::mf_static, 40, 64},	//64 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {9, 73, 142, 2, Smoke::mf_static, 17, 65},	//65 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {9, 35, 16, 2, Smoke::mf_static, 156, 66},	//66 QGlobalSpace::operator+(const char*, const QString&)
    {9, 49, 85, 2, Smoke::mf_static, 145, 67},	//67 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {9, 30, 97, 2, Smoke::mf_static, 145, 68},	//68 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {9, 59, 55, 2, Smoke::mf_static, 145, 69},	//69 QGlobalSpace::operator>(QChar, QChar)
    {9, 64, 13, 2, Smoke::mf_static, 145, 70},	//70 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {9, 64, 28, 2, Smoke::mf_static, 145, 71},	//71 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {9, 40, 31, 2, Smoke::mf_static, 145, 72},	//72 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {9, 73, 145, 2, Smoke::mf_static, 40, 73},	//73 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {9, 30, 148, 2, Smoke::mf_static, 145, 74},	//74 QGlobalSpace::operator!=(QBool, QBool)
    {9, 35, 151, 2, Smoke::mf_static, 156, 75},	//75 QGlobalSpace::operator+(const QString&, char)
    {9, 30, 154, 2, Smoke::mf_static, 145, 76},	//76 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {9, 54, 28, 2, Smoke::mf_static, 145, 77},	//77 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {9, 30, 22, 2, Smoke::mf_static, 145, 78},	//78 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {9, 54, 157, 2, Smoke::mf_static, 145, 79},	//79 QGlobalSpace::operator==(QString::Null, const QString&)
    {9, 49, 13, 2, Smoke::mf_static, 145, 80},	//80 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {9, 73, 160, 2, Smoke::mf_static, 40, 81},	//81 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {9, 73, 163, 2, Smoke::mf_static, 40, 82},	//82 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {9, 73, 166, 2, Smoke::mf_static, 26, 83},	//83 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {9, 45, 169, 2, Smoke::mf_static, 12, 84},	//84 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {9, 73, 172, 2, Smoke::mf_static, 23, 85},	//85 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {9, 45, 175, 2, Smoke::mf_static, 12, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {9, 30, 157, 2, Smoke::mf_static, 145, 87},	//87 QGlobalSpace::operator!=(QString::Null, const QString&)
    {9, 73, 178, 2, Smoke::mf_static, 27, 88},	//88 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {9, 54, 34, 2, Smoke::mf_static, 145, 89},	//89 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {9, 73, 181, 2, Smoke::mf_static, 40, 90},	//90 QGlobalSpace::operator|(Qt::WindowState, int)
    {9, 30, 46, 2, Smoke::mf_static, 145, 91},	//91 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {9, 69, 184, 2, Smoke::mf_static, 12, 92},	//92 QGlobalSpace::operator>>(QDataStream&, QString&)
    {9, 54, 148, 2, Smoke::mf_static, 145, 93},	//93 QGlobalSpace::operator==(QBool, QBool)
    {9, 73, 187, 2, Smoke::mf_static, 30, 94},	//94 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {9, 54, 190, 2, Smoke::mf_static, 145, 95},	//95 QGlobalSpace::operator==(bool, QBool)
    {9, 69, 193, 2, Smoke::mf_static, 12, 96},	//96 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {9, 40, 16, 2, Smoke::mf_static, 145, 97},	//97 QGlobalSpace::operator<(const char*, const QString&)
    {9, 54, 196, 2, Smoke::mf_static, 145, 98},	//98 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {9, 73, 199, 2, Smoke::mf_static, 40, 99},	//99 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {9, 45, 202, 2, Smoke::mf_static, 12, 100},	//100 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {9, 30, 196, 2, Smoke::mf_static, 145, 101},	//101 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {9, 40, 7, 2, Smoke::mf_static, 145, 102},	//102 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {9, 30, 190, 2, Smoke::mf_static, 145, 103},	//103 QGlobalSpace::operator!=(bool, QBool)
    {9, 35, 205, 2, Smoke::mf_static, 156, 104},	//104 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {9, 73, 208, 2, Smoke::mf_static, 22, 105},	//105 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {9, 73, 211, 2, Smoke::mf_static, 40, 106},	//106 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {9, 69, 214, 2, Smoke::mf_static, 12, 107},	//107 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {9, 30, 121, 2, Smoke::mf_static, 145, 108},	//108 QGlobalSpace::operator!=(const QString&, QString::Null)
    {9, 73, 217, 2, Smoke::mf_static, 38, 109},	//109 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {9, 73, 220, 2, Smoke::mf_static, 38, 110},	//110 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {9, 73, 223, 2, Smoke::mf_static, 37, 111},	//111 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {9, 54, 154, 2, Smoke::mf_static, 145, 112},	//112 QGlobalSpace::operator==(const char*, const QStringRef&)
    {9, 69, 226, 2, Smoke::mf_static, 12, 113},	//113 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {9, 35, 13, 2, Smoke::mf_static, 147, 114},	//114 QGlobalSpace::operator+(const QByteArray&, const char*)
    {9, 45, 229, 2, Smoke::mf_static, 12, 115},	//115 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {9, 73, 232, 2, Smoke::mf_static, 17, 116},	//116 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {9, 73, 235, 2, Smoke::mf_static, 16, 117},	//117 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {9, 45, 238, 2, Smoke::mf_static, 12, 118},	//118 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {9, 69, 241, 2, Smoke::mf_static, 12, 119},	//119 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {9, 73, 244, 2, Smoke::mf_static, 40, 120},	//120 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {9, 59, 97, 2, Smoke::mf_static, 145, 121},	//121 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {9, 54, 55, 2, Smoke::mf_static, 145, 122},	//122 QGlobalSpace::operator==(QChar, QChar)
    {9, 35, 247, 2, Smoke::mf_static, 156, 123},	//123 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {9, 73, 250, 2, Smoke::mf_static, 22, 124},	//124 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {9, 35, 253, 2, Smoke::mf_static, 147, 125},	//125 QGlobalSpace::operator+(const QByteArray&, char)
    {9, 73, 256, 2, Smoke::mf_static, 23, 126},	//126 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {9, 73, 259, 2, Smoke::mf_static, 18, 127},	//127 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {9, 54, 16, 2, Smoke::mf_static, 145, 128},	//128 QGlobalSpace::operator==(const char*, const QString&)
    {9, 73, 262, 2, Smoke::mf_static, 19, 129},	//129 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {9, 73, 265, 2, Smoke::mf_static, 20, 130},	//130 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {9, 73, 268, 2, Smoke::mf_static, 40, 131},	//131 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {9, 45, 271, 2, Smoke::mf_static, 12, 132},	//132 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {9, 35, 274, 2, Smoke::mf_static, 147, 133},	//133 QGlobalSpace::operator+(char, const QByteArray&)
    {9, 35, 277, 2, Smoke::mf_static, 156, 134},	//134 QGlobalSpace::operator+(const QString&, const char*)
    {9, 40, 97, 2, Smoke::mf_static, 145, 135},	//135 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {9, 73, 280, 2, Smoke::mf_static, 33, 136},	//136 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {9, 35, 283, 2, Smoke::mf_static, 156, 137},	//137 QGlobalSpace::operator+(const QString&, const QString&)
    {9, 30, 286, 2, Smoke::mf_static, 145, 138},	//138 QGlobalSpace::operator!=(QBool, bool)
    {9, 54, 97, 2, Smoke::mf_static, 145, 139},	//139 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {9, 45, 289, 2, Smoke::mf_static, 12, 140},	//140 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {9, 45, 292, 2, Smoke::mf_static, 12, 141},	//141 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {9, 54, 295, 2, Smoke::mf_static, 145, 142},	//142 QGlobalSpace::operator==(const QStringRef&, const char*)
    {9, 64, 16, 2, Smoke::mf_static, 145, 143},	//143 QGlobalSpace::operator>=(const char*, const QString&)
    {9, 73, 298, 2, Smoke::mf_static, 35, 144},	//144 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {9, 69, 301, 2, Smoke::mf_static, 12, 145},	//145 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {9, 73, 304, 2, Smoke::mf_static, 36, 146},	//146 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {9, 35, 97, 2, Smoke::mf_static, 147, 147},	//147 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {9, 30, 295, 2, Smoke::mf_static, 145, 148},	//148 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {9, 73, 307, 2, Smoke::mf_static, 40, 149},	//149 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {9, 64, 85, 2, Smoke::mf_static, 145, 150},	//150 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {9, 73, 310, 2, Smoke::mf_static, 40, 151},	//151 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {9, 30, 85, 2, Smoke::mf_static, 145, 152},	//152 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {9, 40, 55, 2, Smoke::mf_static, 145, 153},	//153 QGlobalSpace::operator<(QChar, QChar)
    {9, 73, 313, 2, Smoke::mf_static, 32, 154},	//154 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {9, 73, 316, 2, Smoke::mf_static, 25, 155},	//155 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {9, 73, 319, 2, Smoke::mf_static, 40, 156},	//156 QGlobalSpace::operator|(Qt::Orientation, int)
    {9, 69, 322, 2, Smoke::mf_static, 12, 157},	//157 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {9, 73, 325, 2, Smoke::mf_static, 40, 158},	//158 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {9, 69, 328, 2, Smoke::mf_static, 12, 159},	//159 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {9, 73, 331, 2, Smoke::mf_static, 15, 160},	//160 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {9, 73, 334, 2, Smoke::mf_static, 36, 161},	//161 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {9, 59, 13, 2, Smoke::mf_static, 145, 162},	//162 QGlobalSpace::operator>(const QByteArray&, const char*)
    {9, 73, 337, 2, Smoke::mf_static, 27, 163},	//163 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {9, 30, 16, 2, Smoke::mf_static, 145, 164},	//164 QGlobalSpace::operator!=(const char*, const QString&)
    {9, 73, 340, 2, Smoke::mf_static, 37, 165},	//165 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {9, 73, 343, 2, Smoke::mf_static, 24, 166},	//166 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {9, 40, 28, 2, Smoke::mf_static, 145, 167},	//167 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {9, 64, 31, 2, Smoke::mf_static, 145, 168},	//168 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {9, 54, 40, 2, Smoke::mf_static, 145, 169},	//169 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {9, 73, 346, 2, Smoke::mf_static, 40, 170},	//170 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {9, 73, 349, 2, Smoke::mf_static, 31, 171},	//171 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {9, 73, 352, 2, Smoke::mf_static, 28, 172},	//172 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {9, 73, 355, 2, Smoke::mf_static, 33, 173},	//173 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {9, 54, 13, 2, Smoke::mf_static, 145, 174},	//174 QGlobalSpace::operator==(const QByteArray&, const char*)
    {9, 73, 358, 2, Smoke::mf_static, 40, 175},	//175 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {9, 73, 361, 2, Smoke::mf_static, 40, 176},	//176 QGlobalSpace::operator|(Qt::MouseButton, int)
    {9, 54, 286, 2, Smoke::mf_static, 145, 177},	//177 QGlobalSpace::operator==(QBool, bool)
    {9, 30, 13, 2, Smoke::mf_static, 145, 178},	//178 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {9, 73, 364, 2, Smoke::mf_static, 15, 179},	//179 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {9, 73, 367, 2, Smoke::mf_static, 40, 180},	//180 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {9, 73, 370, 2, Smoke::mf_static, 40, 181},	//181 QGlobalSpace::operator|(QString::SectionFlag, int)
    {9, 35, 373, 2, Smoke::mf_static, 156, 182},	//182 QGlobalSpace::operator+(char, const QString&)
    {9, 73, 376, 2, Smoke::mf_static, 21, 183},	//183 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {9, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 184},	//184 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {9, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 185},	//185 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {9, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 186},	//186 QGlobalSpace::Q_STATIC_TYPE (enum)
    {9, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 187},	//187 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {9, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 188},	//188 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {9, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 189},	//189 QGlobalSpace::LicensedGui (enum)
    {9, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 190},	//190 QGlobalSpace::LicensedXml (enum)
    {9, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 191},	//191 QGlobalSpace::LicensedQt3SupportLight (enum)
    {9, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 192},	//192 QGlobalSpace::LicensedScript (enum)
    {9, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 193},	//193 QGlobalSpace::LicensedOpenVG (enum)
    {9, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 194},	//194 QGlobalSpace::LicensedDBus (enum)
    {9, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 195},	//195 QGlobalSpace::LicensedTest (enum)
    {9, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 196},	//196 QGlobalSpace::LicensedActiveQt (enum)
    {9, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 197},	//197 QGlobalSpace::LicensedScriptTools (enum)
    {9, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 198},	//198 QGlobalSpace::LicensedSvg (enum)
    {9, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 199},	//199 QGlobalSpace::LicensedDeclarative (enum)
    {9, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 200},	//200 QGlobalSpace::LicensedSql (enum)
    {9, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 201},	//201 QGlobalSpace::LicensedOpenGL (enum)
    {9, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 202},	//202 QGlobalSpace::LicensedCore (enum)
    {9, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 203},	//203 QGlobalSpace::QtDebugMsg (enum)
    {9, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 204},	//204 QGlobalSpace::QtWarningMsg (enum)
    {9, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 205},	//205 QGlobalSpace::QtCriticalMsg (enum)
    {9, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 206},	//206 QGlobalSpace::QtFatalMsg (enum)
    {9, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 207},	//207 QGlobalSpace::QtSystemMsg (enum)
    {9, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 208},	//208 QGlobalSpace::LicensedHelp (enum)
    {9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 209},	//209 QGlobalSpace::LicensedMultimedia (enum)
    {9, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 210},	//210 QGlobalSpace::LicensedQt3Support (enum)
    {9, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 211},	//211 QGlobalSpace::LicensedXmlPatterns (enum)
    {9, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 212},	//212 QGlobalSpace::LicensedNetwork (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    15,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    20,  // QGlobalSpace::operator!=(QChar, QChar)
    31,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    41,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    54,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    68,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    74,  // QGlobalSpace::operator!=(QBool, QBool)
    78,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    91,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    0,
    87,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    101,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    138,  // QGlobalSpace::operator!=(QBool, bool)
    148,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    178,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    12,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    33,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    76,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    103,  // QGlobalSpace::operator!=(bool, QBool)
    108,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    152,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    9,  // QGlobalSpace::operator+(QChar, const QString&)
    104,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    114,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    125,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    13,  // QGlobalSpace::operator+(const QString&, QChar)
    32,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    123,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    133,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    66,  // QGlobalSpace::operator+(const char*, const QString&)
    75,  // QGlobalSpace::operator+(const QString&, char)
    134,  // QGlobalSpace::operator+(const QString&, const char*)
    137,  // QGlobalSpace::operator+(const QString&, const QString&)
    182,  // QGlobalSpace::operator+(char, const QString&)
    0,
    72,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    135,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    153,  // QGlobalSpace::operator<(QChar, QChar)
    167,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    34,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    102,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    24,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    84,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    100,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    115,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    118,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    141,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    0,
    23,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    43,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    0,
    10,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    11,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    37,  // QGlobalSpace::operator<=(QChar, QChar)
    42,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    58,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    67,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    8,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    14,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    17,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    38,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    40,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    77,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    93,  // QGlobalSpace::operator==(QBool, QBool)
    122,  // QGlobalSpace::operator==(QChar, QChar)
    139,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    169,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    0,
    79,  // QGlobalSpace::operator==(QString::Null, const QString&)
    98,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    142,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    174,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    177,  // QGlobalSpace::operator==(QBool, bool)
    0,
    25,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    50,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    56,  // QGlobalSpace::operator==(const QString&, QString::Null)
    89,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    95,  // QGlobalSpace::operator==(bool, QBool)
    112,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    30,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    47,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    69,  // QGlobalSpace::operator>(QChar, QChar)
    121,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    46,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    49,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    35,  // QGlobalSpace::operator>=(QChar, QChar)
    48,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    71,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    168,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    3,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    150,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    2,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    18,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    22,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    96,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    107,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    119,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    145,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    159,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    0,
    92,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    157,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    4,  // QGlobalSpace::operator|(Qt::WindowType, int)
    7,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    16,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    19,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    21,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    26,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    27,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    28,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    29,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    36,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    39,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    44,  // QGlobalSpace::operator|(Qt::DropAction, int)
    45,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    51,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    52,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    53,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    55,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    57,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    59,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    60,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    61,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    63,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    64,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    65,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    73,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    81,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    82,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    83,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    85,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    88,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    90,  // QGlobalSpace::operator|(Qt::WindowState, int)
    94,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    99,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    105,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    106,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    109,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    110,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    111,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    116,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    117,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    120,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    124,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    126,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    127,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    129,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    130,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    131,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    136,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    144,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    146,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    149,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    151,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    154,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    155,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    156,  // QGlobalSpace::operator|(Qt::Orientation, int)
    158,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    160,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    161,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    163,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    165,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    166,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    170,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    171,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    172,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    173,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    175,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    176,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    179,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    180,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    181,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    183,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {9, 1, 196},	// QGlobalSpace::LicensedActiveQt
    {9, 2, 202},	// QGlobalSpace::LicensedCore
    {9, 3, 194},	// QGlobalSpace::LicensedDBus
    {9, 4, 199},	// QGlobalSpace::LicensedDeclarative
    {9, 5, 189},	// QGlobalSpace::LicensedGui
    {9, 6, 208},	// QGlobalSpace::LicensedHelp
    {9, 7, 209},	// QGlobalSpace::LicensedMultimedia
    {9, 8, 212},	// QGlobalSpace::LicensedNetwork
    {9, 9, 201},	// QGlobalSpace::LicensedOpenGL
    {9, 10, 193},	// QGlobalSpace::LicensedOpenVG
    {9, 11, 210},	// QGlobalSpace::LicensedQt3Support
    {9, 12, 191},	// QGlobalSpace::LicensedQt3SupportLight
    {9, 13, 192},	// QGlobalSpace::LicensedScript
    {9, 14, 197},	// QGlobalSpace::LicensedScriptTools
    {9, 15, 200},	// QGlobalSpace::LicensedSql
    {9, 16, 198},	// QGlobalSpace::LicensedSvg
    {9, 17, 195},	// QGlobalSpace::LicensedTest
    {9, 18, 190},	// QGlobalSpace::LicensedXml
    {9, 19, 211},	// QGlobalSpace::LicensedXmlPatterns
    {9, 20, 184},	// QGlobalSpace::Q_COMPLEX_TYPE
    {9, 21, 188},	// QGlobalSpace::Q_DUMMY_TYPE
    {9, 22, 187},	// QGlobalSpace::Q_MOVABLE_TYPE
    {9, 23, 185},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {9, 24, 186},	// QGlobalSpace::Q_STATIC_TYPE
    {9, 25, 205},	// QGlobalSpace::QtCriticalMsg
    {9, 26, 203},	// QGlobalSpace::QtDebugMsg
    {9, 27, 206},	// QGlobalSpace::QtFatalMsg
    {9, 28, 207},	// QGlobalSpace::QtSystemMsg
    {9, 29, 204},	// QGlobalSpace::QtWarningMsg
    {9, 31, -1},	// QGlobalSpace::operator!=##
    {9, 32, -11},	// QGlobalSpace::operator!=#$
    {9, 33, -17},	// QGlobalSpace::operator!=$#
    {9, 34, 164},	// QGlobalSpace::operator!=$$
    {9, 36, 147},	// QGlobalSpace::operator+##
    {9, 37, -24},	// QGlobalSpace::operator+#$
    {9, 38, -29},	// QGlobalSpace::operator+$#
    {9, 39, -34},	// QGlobalSpace::operator+$$
    {9, 41, -40},	// QGlobalSpace::operator<##
    {9, 42, 5},	// QGlobalSpace::operator<#$
    {9, 43, -45},	// QGlobalSpace::operator<$#
    {9, 44, 97},	// QGlobalSpace::operator<$$
    {9, 46, -48},	// QGlobalSpace::operator<<##
    {9, 47, -57},	// QGlobalSpace::operator<<#$
    {9, 48, 140},	// QGlobalSpace::operator<<#?
    {9, 50, -60},	// QGlobalSpace::operator<=##
    {9, 51, 80},	// QGlobalSpace::operator<=#$
    {9, 52, -65},	// QGlobalSpace::operator<=$#
    {9, 53, 62},	// QGlobalSpace::operator<=$$
    {9, 55, -68},	// QGlobalSpace::operator==##
    {9, 56, -79},	// QGlobalSpace::operator==#$
    {9, 57, -85},	// QGlobalSpace::operator==$#
    {9, 58, 128},	// QGlobalSpace::operator==$$
    {9, 60, -92},	// QGlobalSpace::operator>##
    {9, 61, 162},	// QGlobalSpace::operator>#$
    {9, 62, -97},	// QGlobalSpace::operator>$#
    {9, 63, 6},	// QGlobalSpace::operator>$$
    {9, 65, -100},	// QGlobalSpace::operator>=##
    {9, 66, 70},	// QGlobalSpace::operator>=#$
    {9, 67, -105},	// QGlobalSpace::operator>=$#
    {9, 68, 143},	// QGlobalSpace::operator>=$$
    {9, 70, -108},	// QGlobalSpace::operator>>##
    {9, 71, -117},	// QGlobalSpace::operator>>#$
    {9, 72, 113},	// QGlobalSpace::operator>>#?
    {9, 74, -120},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 20,
        __smokeknewstuff2::methods, 213,
        __smokeknewstuff2::methodMaps, 65,
        __smokeknewstuff2::methodNames, 74,
        __smokeknewstuff2::types, 170,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
