#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoserver_smoke.h>

namespace __smokesopranoserver {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 27: return (void*)(Soprano::Server::ServerCore*)(QObject*)xptr;
        case 26: return (void*)(Soprano::Server::DBusExportModel*)(QObject*)xptr;
        case 25: return (void*)(Soprano::Server::DBusExportIterator*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::Error::Error
      switch(to) {
        case 15: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Error::ErrorCache
      switch(to) {
        case 16: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 27: return (void*)(Soprano::Server::ServerCore*)(Soprano::Error::ErrorCache*)xptr;
        case 26: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Error::ErrorCache*)xptr;
        case 25: return (void*)(Soprano::Server::DBusExportIterator*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::FilterModel
      switch(to) {
        case 21: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 17: return (void*)(Soprano::FilterModel*)xptr;
        case 26: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Graph
      switch(to) {
        case 18: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::LanguageTag
      switch(to) {
        case 19: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::LiteralValue
      switch(to) {
        case 20: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::Model*)xptr;
        case 26: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Node
      switch(to) {
        case 22: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::NodeIterator
      switch(to) {
        case 23: return (void*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::QueryResultIterator
      switch(to) {
        case 24: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Server::DBusExportIterator
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Server::DBusExportIterator*)xptr;
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportIterator*)xptr;
        case 25: return (void*)(Soprano::Server::DBusExportIterator*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Server::DBusExportModel
      switch(to) {
        case 17: return (void*)(Soprano::FilterModel*)(Soprano::Server::DBusExportModel*)xptr;
        case 21: return (void*)(Soprano::Model*)(Soprano::Server::DBusExportModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Server::DBusExportModel*)xptr;
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportModel*)xptr;
        case 26: return (void*)(Soprano::Server::DBusExportModel*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Server::ServerCore
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Server::ServerCore*)xptr;
        case 16: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::ServerCore*)xptr;
        case 27: return (void*)(Soprano::Server::ServerCore*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Statement
      switch(to) {
        case 28: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::StatementIterator
      switch(to) {
        case 29: return (void*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 16, 0,	// 1: QObject, Soprano::Error::ErrorCache
    17, 0,	// 4: Soprano::FilterModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__ServerCore(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//13
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//14
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::FilterModel", true, 0, 0, 0, 0, 0 },	//17
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//21
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//22
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::Server::DBusExportIterator", false, 1, xcall_Soprano__Server__DBusExportIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportIterator) },	//25
    { "Soprano::Server::DBusExportModel", false, 4, xcall_Soprano__Server__DBusExportModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportModel) },	//26
    { "Soprano::Server::ServerCore", false, 1, xcall_Soprano__Server__ServerCore, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::ServerCore) },	//27
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//28
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//29
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QList<Soprano::BackendSetting>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//7
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//13
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//14
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//17
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//111
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//112
    { "Soprano::Error::Error", 15, Smoke::t_class|Smoke::tf_stack },	//113
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Soprano::Model*", 21, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Soprano::Node", 22, Smoke::t_class|Smoke::tf_stack },	//117
    { "Soprano::NodeIterator", 23, Smoke::t_class|Smoke::tf_stack },	//118
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Soprano::QueryResultIterator", 24, Smoke::t_class|Smoke::tf_stack },	//120
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Soprano::Server::DBusExportIterator*", 25, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Soprano::Server::DBusExportModel*", 26, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Soprano::Server::ServerCore*", 27, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Soprano::StatementIterator", 29, Smoke::t_class|Smoke::tf_stack },	//125
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//126
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//127
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//128
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//129
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//130
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//134
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//136
    { "const Soprano::Graph&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const Soprano::LanguageTag&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const Soprano::LiteralValue&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const Soprano::Node&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const Soprano::Statement&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//142
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//143
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//144
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//145
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//146
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//147
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    9, 4, 0,	//3  QObject*, QEvent*
    15, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    142, 0,	//10  const char*
    116, 0,	//12  Soprano::Model*
    141, 0,	//14  const Soprano::Statement&
    132, 119, 132, 0,	//16  const QString&, Soprano::Query::QueryLanguage, const QString&
    14, 0,	//20  QTextStream&
    142, 142, 0,	//22  const char*, const char*
    142, 142, 144, 0,	//25  const char*, const char*, int
    8, 144, 149, 0,	//29  QMetaObject::Call, int, void**
    125, 9, 0,	//33  Soprano::StatementIterator, QObject*
    118, 9, 0,	//36  Soprano::NodeIterator, QObject*
    120, 9, 0,	//39  Soprano::QueryResultIterator, QObject*
    127, 0,	//42  bool
    132, 132, 0,	//44  const QString&, const QString&
    125, 0,	//47  Soprano::StatementIterator
    118, 0,	//49  Soprano::NodeIterator
    120, 0,	//51  Soprano::QueryResultIterator
    132, 0,	//53  const QString&
    9, 0,	//55  QObject*
    136, 0,	//57  const Soprano::Backend*
    128, 0,	//59  const QList<Soprano::BackendSetting>&
    144, 0,	//61  int
    147, 0,	//63  unsigned short
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusExportIterator",	//1
    "DBusExportIterator#",	//2
    "DBusExportIterator##",	//3
    "DBusExportModel",	//4
    "DBusExportModel#",	//5
    "DEFAULT_PORT",	//6
    "LicensedActiveQt",	//7
    "LicensedCore",	//8
    "LicensedDBus",	//9
    "LicensedDeclarative",	//10
    "LicensedGui",	//11
    "LicensedHelp",	//12
    "LicensedMultimedia",	//13
    "LicensedNetwork",	//14
    "LicensedOpenGL",	//15
    "LicensedOpenVG",	//16
    "LicensedQt3Support",	//17
    "LicensedQt3SupportLight",	//18
    "LicensedScript",	//19
    "LicensedScriptTools",	//20
    "LicensedSql",	//21
    "LicensedSvg",	//22
    "LicensedTest",	//23
    "LicensedXml",	//24
    "LicensedXmlPatterns",	//25
    "Q_COMPLEX_TYPE",	//26
    "Q_DUMMY_TYPE",	//27
    "Q_MOVABLE_TYPE",	//28
    "Q_PRIMITIVE_TYPE",	//29
    "Q_STATIC_TYPE",	//30
    "QtCriticalMsg",	//31
    "QtDebugMsg",	//32
    "QtFatalMsg",	//33
    "QtSystemMsg",	//34
    "QtWarningMsg",	//35
    "ServerCore",	//36
    "ServerCore#",	//37
    "__codecvt_error",	//38
    "__codecvt_noconv",	//39
    "__codecvt_ok",	//40
    "__codecvt_partial",	//41
    "addStatement",	//42
    "allModels",	//43
    "backend",	//44
    "backendSettings",	//45
    "childEvent",	//46
    "connectNotify",	//47
    "containsAnyStatement",	//48
    "containsStatement",	//49
    "createBlankNode",	//50
    "createModel",	//51
    "createModel?",	//52
    "customEvent",	//53
    "dbusObjectPath",	//54
    "deleteOnClose",	//55
    "disconnectNotify",	//56
    "event",	//57
    "eventFilter",	//58
    "executeQuery",	//59
    "isEmpty",	//60
    "lastError",	//61
    "listContexts",	//62
    "listStatements",	//63
    "listen",	//64
    "listen$",	//65
    "maximumConnectionCount",	//66
    "metaObject",	//67
    "model",	//68
    "model$",	//69
    "nodeIterator",	//70
    "parentModel",	//71
    "parentStatementAdded",	//72
    "parentStatementRemoved",	//73
    "parentStatementsAdded",	//74
    "parentStatementsRemoved",	//75
    "qt_metacall",	//76
    "qt_metacall$$?",	//77
    "qt_metacast",	//78
    "qt_metacast$",	//79
    "queryResultIterator",	//80
    "registerAsDBusObject",	//81
    "registerAsDBusObject$",	//82
    "registerIterator",	//83
    "registerIterator$",	//84
    "registerIterator$$",	//85
    "registerModel",	//86
    "registerModel$",	//87
    "removeAllStatements",	//88
    "removeModel",	//89
    "removeModel$",	//90
    "removeStatement",	//91
    "serverPort",	//92
    "setBackend",	//93
    "setBackend#",	//94
    "setBackendSettings",	//95
    "setBackendSettings?",	//96
    "setDeleteOnClose",	//97
    "setDeleteOnClose$",	//98
    "setMaximumConnectionCount",	//99
    "setMaximumConnectionCount$",	//100
    "setParentModel",	//101
    "start",	//102
    "start$",	//103
    "statementCount",	//104
    "statementIterator",	//105
    "staticMetaObject",	//106
    "timerEvent",	//107
    "tr",	//108
    "tr$",	//109
    "tr$$",	//110
    "tr$$$",	//111
    "trUtf8",	//112
    "trUtf8$",	//113
    "trUtf8$$",	//114
    "trUtf8$$$",	//115
    "unregisterIterator",	//116
    "unregisterModel",	//117
    "write",	//118
    "~DBusExportIterator",	//119
    "~DBusExportModel",	//120
    "~ServerCore",	//121
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {5, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {5, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {7, 57, 1, 1, Smoke::mf_virtual, 127, 0},	//34 QObject::event(QEvent*)
    {7, 58, 3, 2, Smoke::mf_virtual, 127, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {7, 107, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {7, 46, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {7, 53, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {7, 47, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {7, 56, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {16, 61, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//41 Soprano::Error::ErrorCache::lastError() const
    {17, 101, 12, 1, Smoke::mf_virtual, 0, 0},	//42 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {17, 71, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 0},	//43 Soprano::FilterModel::parentModel() const
    {17, 42, 14, 1, Smoke::mf_virtual, 114, 0},	//44 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {17, 91, 14, 1, Smoke::mf_virtual, 114, 0},	//45 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {17, 88, 14, 1, Smoke::mf_virtual, 114, 0},	//46 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {17, 63, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 125, 0},	//47 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {17, 62, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 0},	//48 Soprano::FilterModel::listContexts() const
    {17, 59, 16, 3, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//49 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {17, 49, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//50 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {17, 48, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//51 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {17, 60, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//52 Soprano::FilterModel::isEmpty() const
    {17, 104, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//53 Soprano::FilterModel::statementCount() const
    {17, 118, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 114, 0},	//54 Soprano::FilterModel::write(QTextStream&) const
    {17, 50, 0, 0, Smoke::mf_virtual, 117, 0},	//55 Soprano::FilterModel::createBlankNode()
    {17, 74, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 Soprano::FilterModel::parentStatementsAdded()
    {17, 75, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 Soprano::FilterModel::parentStatementsRemoved()
    {17, 72, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {17, 73, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {25, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 130, 1},	//60 Soprano::Server::DBusExportIterator::metaObject() const
    {25, 78, 10, 1, Smoke::mf_virtual, 148, 2},	//61 Soprano::Server::DBusExportIterator::qt_metacast(const char*)
    {25, 108, 22, 2, Smoke::mf_static, 11, 3},	//62 Soprano::Server::DBusExportIterator::tr(const char*, const char*)
    {25, 112, 22, 2, Smoke::mf_static, 11, 4},	//63 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*)
    {25, 108, 25, 3, Smoke::mf_static, 11, 5},	//64 Soprano::Server::DBusExportIterator::tr(const char*, const char*, int)
    {25, 112, 25, 3, Smoke::mf_static, 11, 6},	//65 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*, int)
    {25, 76, 29, 3, Smoke::mf_virtual, 144, 7},	//66 Soprano::Server::DBusExportIterator::qt_metacall(QMetaObject::Call, int, void**)
    {25, 1, 33, 2, Smoke::mf_ctor, 122, 8},	//67 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    {25, 1, 36, 2, Smoke::mf_ctor, 122, 9},	//68 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    {25, 1, 39, 2, Smoke::mf_ctor, 122, 10},	//69 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    {25, 105, 0, 0, Smoke::mf_const, 125, 11},	//70 Soprano::Server::DBusExportIterator::statementIterator() const
    {25, 70, 0, 0, Smoke::mf_const, 118, 12},	//71 Soprano::Server::DBusExportIterator::nodeIterator() const
    {25, 80, 0, 0, Smoke::mf_const, 120, 13},	//72 Soprano::Server::DBusExportIterator::queryResultIterator() const
    {25, 54, 0, 0, Smoke::mf_const, 11, 14},	//73 Soprano::Server::DBusExportIterator::dbusObjectPath() const
    {25, 55, 0, 0, Smoke::mf_const, 127, 15},	//74 Soprano::Server::DBusExportIterator::deleteOnClose() const
    {25, 97, 42, 1, Smoke::mf_slot, 0, 16},	//75 Soprano::Server::DBusExportIterator::setDeleteOnClose(bool)
    {25, 83, 44, 2, Smoke::mf_slot, 127, 17},	//76 Soprano::Server::DBusExportIterator::registerIterator(const QString&, const QString&)
    {25, 116, 0, 0, Smoke::mf_slot, 0, 18},	//77 Soprano::Server::DBusExportIterator::unregisterIterator()
    {25, 108, 10, 1, Smoke::mf_static, 11, 19},	//78 Soprano::Server::DBusExportIterator::tr(const char*)
    {25, 112, 10, 1, Smoke::mf_static, 11, 20},	//79 Soprano::Server::DBusExportIterator::trUtf8(const char*)
    {25, 1, 47, 1, Smoke::mf_ctor, 122, 21},	//80 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    {25, 1, 49, 1, Smoke::mf_ctor, 122, 22},	//81 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    {25, 1, 51, 1, Smoke::mf_ctor, 122, 23},	//82 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    {25, 83, 53, 1, Smoke::mf_slot, 127, 24},	//83 Soprano::Server::DBusExportIterator::registerIterator(const QString&)
    {25, 106, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 129, 25},	//84 Soprano::Server::DBusExportIterator::staticMetaObject() const
    {25, 119, 0, 0, Smoke::mf_dtor, 0, 26 },	//85 Soprano::Server::DBusExportIterator::~DBusExportIterator()
    {26, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 130, 1},	//86 Soprano::Server::DBusExportModel::metaObject() const
    {26, 78, 10, 1, Smoke::mf_virtual, 148, 2},	//87 Soprano::Server::DBusExportModel::qt_metacast(const char*)
    {26, 108, 22, 2, Smoke::mf_static, 11, 3},	//88 Soprano::Server::DBusExportModel::tr(const char*, const char*)
    {26, 112, 22, 2, Smoke::mf_static, 11, 4},	//89 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*)
    {26, 108, 25, 3, Smoke::mf_static, 11, 5},	//90 Soprano::Server::DBusExportModel::tr(const char*, const char*, int)
    {26, 112, 25, 3, Smoke::mf_static, 11, 6},	//91 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*, int)
    {26, 76, 29, 3, Smoke::mf_virtual, 144, 7},	//92 Soprano::Server::DBusExportModel::qt_metacall(QMetaObject::Call, int, void**)
    {26, 4, 12, 1, Smoke::mf_ctor, 123, 8},	//93 Soprano::Server::DBusExportModel::DBusExportModel(Soprano::Model*)
    {26, 86, 53, 1, 0, 127, 9},	//94 Soprano::Server::DBusExportModel::registerModel(const QString&)
    {26, 117, 0, 0, 0, 0, 10},	//95 Soprano::Server::DBusExportModel::unregisterModel()
    {26, 54, 0, 0, Smoke::mf_const, 11, 11},	//96 Soprano::Server::DBusExportModel::dbusObjectPath() const
    {26, 108, 10, 1, Smoke::mf_static, 11, 12},	//97 Soprano::Server::DBusExportModel::tr(const char*)
    {26, 112, 10, 1, Smoke::mf_static, 11, 13},	//98 Soprano::Server::DBusExportModel::trUtf8(const char*)
    {26, 4, 0, 0, Smoke::mf_ctor, 123, 14},	//99 Soprano::Server::DBusExportModel::DBusExportModel()
    {26, 106, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 129, 15},	//100 Soprano::Server::DBusExportModel::staticMetaObject() const
    {26, 120, 0, 0, Smoke::mf_dtor, 0, 16 },	//101 Soprano::Server::DBusExportModel::~DBusExportModel()
    {27, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 130, 1},	//102 Soprano::Server::ServerCore::metaObject() const
    {27, 78, 10, 1, Smoke::mf_virtual, 148, 2},	//103 Soprano::Server::ServerCore::qt_metacast(const char*)
    {27, 108, 22, 2, Smoke::mf_static, 11, 3},	//104 Soprano::Server::ServerCore::tr(const char*, const char*)
    {27, 112, 22, 2, Smoke::mf_static, 11, 4},	//105 Soprano::Server::ServerCore::trUtf8(const char*, const char*)
    {27, 108, 25, 3, Smoke::mf_static, 11, 5},	//106 Soprano::Server::ServerCore::tr(const char*, const char*, int)
    {27, 112, 25, 3, Smoke::mf_static, 11, 6},	//107 Soprano::Server::ServerCore::trUtf8(const char*, const char*, int)
    {27, 76, 29, 3, Smoke::mf_virtual, 144, 7},	//108 Soprano::Server::ServerCore::qt_metacall(QMetaObject::Call, int, void**)
    {27, 36, 55, 1, Smoke::mf_ctor, 124, 8},	//109 Soprano::Server::ServerCore::ServerCore(QObject*)
    {27, 93, 57, 1, 0, 0, 9},	//110 Soprano::Server::ServerCore::setBackend(const Soprano::Backend*)
    {27, 44, 0, 0, Smoke::mf_const, 136, 10},	//111 Soprano::Server::ServerCore::backend() const
    {27, 95, 59, 1, 0, 0, 11},	//112 Soprano::Server::ServerCore::setBackendSettings(const QList<Soprano::BackendSetting>&)
    {27, 45, 0, 0, Smoke::mf_const, 6, 12},	//113 Soprano::Server::ServerCore::backendSettings() const
    {27, 99, 61, 1, 0, 0, 13},	//114 Soprano::Server::ServerCore::setMaximumConnectionCount(int)
    {27, 66, 0, 0, Smoke::mf_const, 144, 14},	//115 Soprano::Server::ServerCore::maximumConnectionCount() const
    {27, 68, 53, 1, Smoke::mf_virtual, 116, 15},	//116 Soprano::Server::ServerCore::model(const QString&)
    {27, 89, 53, 1, Smoke::mf_virtual, 0, 16},	//117 Soprano::Server::ServerCore::removeModel(const QString&)
    {27, 43, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 12, 17},	//118 Soprano::Server::ServerCore::allModels() const
    {27, 102, 53, 1, 0, 127, 18},	//119 Soprano::Server::ServerCore::start(const QString&)
    {27, 64, 63, 1, 0, 127, 19},	//120 Soprano::Server::ServerCore::listen(unsigned short)
    {27, 92, 0, 0, Smoke::mf_const, 147, 20},	//121 Soprano::Server::ServerCore::serverPort() const
    {27, 81, 53, 1, 0, 0, 21},	//122 Soprano::Server::ServerCore::registerAsDBusObject(const QString&)
    {27, 51, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 116, 22},	//123 Soprano::Server::ServerCore::createModel(const QList<Soprano::BackendSetting>&)
    {27, 108, 10, 1, Smoke::mf_static, 11, 23},	//124 Soprano::Server::ServerCore::tr(const char*)
    {27, 112, 10, 1, Smoke::mf_static, 11, 24},	//125 Soprano::Server::ServerCore::trUtf8(const char*)
    {27, 36, 0, 0, Smoke::mf_ctor, 124, 25},	//126 Soprano::Server::ServerCore::ServerCore()
    {27, 102, 0, 0, 0, 127, 26},	//127 Soprano::Server::ServerCore::start()
    {27, 64, 0, 0, 0, 127, 27},	//128 Soprano::Server::ServerCore::listen()
    {27, 81, 0, 0, 0, 0, 28},	//129 Soprano::Server::ServerCore::registerAsDBusObject()
    {27, 106, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 129, 29},	//130 Soprano::Server::ServerCore::staticMetaObject() const
    {27, 6, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 143, 30},	//131 Soprano::Server::ServerCore::DEFAULT_PORT() const
    {27, 121, 0, 0, Smoke::mf_dtor, 0, 31 },	//132 Soprano::Server::ServerCore::~ServerCore()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    80,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    81,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    82,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    0,
    67,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    68,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    69,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 7, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 8, 19},	// QGlobalSpace::LicensedCore
    {5, 9, 11},	// QGlobalSpace::LicensedDBus
    {5, 10, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 11, 6},	// QGlobalSpace::LicensedGui
    {5, 12, 25},	// QGlobalSpace::LicensedHelp
    {5, 13, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 14, 29},	// QGlobalSpace::LicensedNetwork
    {5, 15, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 16, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 17, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 18, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 19, 9},	// QGlobalSpace::LicensedScript
    {5, 20, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 21, 17},	// QGlobalSpace::LicensedSql
    {5, 22, 15},	// QGlobalSpace::LicensedSvg
    {5, 23, 12},	// QGlobalSpace::LicensedTest
    {5, 24, 7},	// QGlobalSpace::LicensedXml
    {5, 25, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 26, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 27, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 28, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 29, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 30, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 31, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 32, 20},	// QGlobalSpace::QtDebugMsg
    {5, 33, 23},	// QGlobalSpace::QtFatalMsg
    {5, 34, 24},	// QGlobalSpace::QtSystemMsg
    {5, 35, 21},	// QGlobalSpace::QtWarningMsg
    {5, 38, 32},	// QGlobalSpace::__codecvt_error
    {5, 39, 33},	// QGlobalSpace::__codecvt_noconv
    {5, 40, 30},	// QGlobalSpace::__codecvt_ok
    {5, 41, 31},	// QGlobalSpace::__codecvt_partial
    {25, 2, -1},	// Soprano::Server::DBusExportIterator::DBusExportIterator#
    {25, 3, -5},	// Soprano::Server::DBusExportIterator::DBusExportIterator##
    {25, 54, 73},	// Soprano::Server::DBusExportIterator::dbusObjectPath
    {25, 55, 74},	// Soprano::Server::DBusExportIterator::deleteOnClose
    {25, 67, 60},	// Soprano::Server::DBusExportIterator::metaObject
    {25, 70, 71},	// Soprano::Server::DBusExportIterator::nodeIterator
    {25, 77, 66},	// Soprano::Server::DBusExportIterator::qt_metacall$$?
    {25, 79, 61},	// Soprano::Server::DBusExportIterator::qt_metacast$
    {25, 80, 72},	// Soprano::Server::DBusExportIterator::queryResultIterator
    {25, 84, 83},	// Soprano::Server::DBusExportIterator::registerIterator$
    {25, 85, 76},	// Soprano::Server::DBusExportIterator::registerIterator$$
    {25, 98, 75},	// Soprano::Server::DBusExportIterator::setDeleteOnClose$
    {25, 105, 70},	// Soprano::Server::DBusExportIterator::statementIterator
    {25, 106, 84},	// Soprano::Server::DBusExportIterator::staticMetaObject
    {25, 109, 78},	// Soprano::Server::DBusExportIterator::tr$
    {25, 110, 62},	// Soprano::Server::DBusExportIterator::tr$$
    {25, 111, 64},	// Soprano::Server::DBusExportIterator::tr$$$
    {25, 113, 79},	// Soprano::Server::DBusExportIterator::trUtf8$
    {25, 114, 63},	// Soprano::Server::DBusExportIterator::trUtf8$$
    {25, 115, 65},	// Soprano::Server::DBusExportIterator::trUtf8$$$
    {25, 116, 77},	// Soprano::Server::DBusExportIterator::unregisterIterator
    {25, 119, 85},	// Soprano::Server::DBusExportIterator::~DBusExportIterator
    {26, 4, 99},	// Soprano::Server::DBusExportModel::DBusExportModel
    {26, 5, 93},	// Soprano::Server::DBusExportModel::DBusExportModel#
    {26, 54, 96},	// Soprano::Server::DBusExportModel::dbusObjectPath
    {26, 67, 86},	// Soprano::Server::DBusExportModel::metaObject
    {26, 77, 92},	// Soprano::Server::DBusExportModel::qt_metacall$$?
    {26, 79, 87},	// Soprano::Server::DBusExportModel::qt_metacast$
    {26, 87, 94},	// Soprano::Server::DBusExportModel::registerModel$
    {26, 106, 100},	// Soprano::Server::DBusExportModel::staticMetaObject
    {26, 109, 97},	// Soprano::Server::DBusExportModel::tr$
    {26, 110, 88},	// Soprano::Server::DBusExportModel::tr$$
    {26, 111, 90},	// Soprano::Server::DBusExportModel::tr$$$
    {26, 113, 98},	// Soprano::Server::DBusExportModel::trUtf8$
    {26, 114, 89},	// Soprano::Server::DBusExportModel::trUtf8$$
    {26, 115, 91},	// Soprano::Server::DBusExportModel::trUtf8$$$
    {26, 117, 95},	// Soprano::Server::DBusExportModel::unregisterModel
    {26, 120, 101},	// Soprano::Server::DBusExportModel::~DBusExportModel
    {27, 6, 131},	// Soprano::Server::ServerCore::DEFAULT_PORT
    {27, 36, 126},	// Soprano::Server::ServerCore::ServerCore
    {27, 37, 109},	// Soprano::Server::ServerCore::ServerCore#
    {27, 43, 118},	// Soprano::Server::ServerCore::allModels
    {27, 44, 111},	// Soprano::Server::ServerCore::backend
    {27, 45, 113},	// Soprano::Server::ServerCore::backendSettings
    {27, 52, 123},	// Soprano::Server::ServerCore::createModel?
    {27, 64, 128},	// Soprano::Server::ServerCore::listen
    {27, 65, 120},	// Soprano::Server::ServerCore::listen$
    {27, 66, 115},	// Soprano::Server::ServerCore::maximumConnectionCount
    {27, 67, 102},	// Soprano::Server::ServerCore::metaObject
    {27, 69, 116},	// Soprano::Server::ServerCore::model$
    {27, 77, 108},	// Soprano::Server::ServerCore::qt_metacall$$?
    {27, 79, 103},	// Soprano::Server::ServerCore::qt_metacast$
    {27, 81, 129},	// Soprano::Server::ServerCore::registerAsDBusObject
    {27, 82, 122},	// Soprano::Server::ServerCore::registerAsDBusObject$
    {27, 90, 117},	// Soprano::Server::ServerCore::removeModel$
    {27, 92, 121},	// Soprano::Server::ServerCore::serverPort
    {27, 94, 110},	// Soprano::Server::ServerCore::setBackend#
    {27, 96, 112},	// Soprano::Server::ServerCore::setBackendSettings?
    {27, 100, 114},	// Soprano::Server::ServerCore::setMaximumConnectionCount$
    {27, 102, 127},	// Soprano::Server::ServerCore::start
    {27, 103, 119},	// Soprano::Server::ServerCore::start$
    {27, 106, 130},	// Soprano::Server::ServerCore::staticMetaObject
    {27, 109, 124},	// Soprano::Server::ServerCore::tr$
    {27, 110, 104},	// Soprano::Server::ServerCore::tr$$
    {27, 111, 106},	// Soprano::Server::ServerCore::tr$$$
    {27, 113, 125},	// Soprano::Server::ServerCore::trUtf8$
    {27, 114, 105},	// Soprano::Server::ServerCore::trUtf8$$
    {27, 115, 107},	// Soprano::Server::ServerCore::trUtf8$$$
    {27, 121, 132},	// Soprano::Server::ServerCore::~ServerCore
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoserver_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoserver_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoserver_Smoke = new Smoke(
        "sopranoserver",
        __smokesopranoserver::classes, 29,
        __smokesopranoserver::methods, 133,
        __smokesopranoserver::methodMaps, 103,
        __smokesopranoserver::methodNames, 121,
        __smokesopranoserver::types, 149,
        __smokesopranoserver::inheritanceList,
        __smokesopranoserver::argumentList,
        __smokesopranoserver::ambiguousMethodList,
        __smokesopranoserver::cast );
    initialized = true;
}

void delete_sopranoserver_Smoke() { delete sopranoserver_Smoke; }

}
