#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Qt::KeyboardModifier>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//7
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//11
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//12
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//16
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//27
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//125
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//126
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//127
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//130
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//131
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//135
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//143
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//144
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//145
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//146
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//147
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    143, 0,	//1  const char*
    5, 0,	//3  QEvent*
    10, 5, 0,	//5  QObject*, QEvent*
    33, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    10, 143, 0,	//12  QObject*, const char*
    9, 146, 149, 0,	//15  QMetaObject::Call, int, void**
    146, 143, 0,	//19  int, const char*
    143, 146, 0,	//22  const char*, int
    126, 143, 128, 128, 143, 143, 143, 146, 0,	//25  bool, const char*, char*, char*, const char*, const char*, const char*, int
    34, 72, 6, 146, 0,	//34  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    34, 72, 0,	//39  QWidget*, Qt::Key
    34, 72, 6, 0,	//42  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    106, 143, 0,	//46  QtMsgType, const char*
    34, 127, 6, 146, 0,	//49  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    34, 127, 0,	//54  QWidget*, char
    34, 127, 6, 0,	//57  QWidget*, char, QFlags<Qt::KeyboardModifier>
    72, 0,	//61  Qt::Key
    18, 34, 78, 6, 11, 146, 0,	//63  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    18, 34, 78, 6, 11, 0,	//70  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    126, 143, 143, 143, 146, 0,	//76  bool, const char*, const char*, const char*, int
    145, 19, 0,	//82  double, QTest::QBenchmarkMetric
    146, 0,	//85  int
    127, 0,	//87  char
    17, 34, 127, 6, 146, 0,	//89  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    17, 34, 127, 0,	//95  QTest::KeyAction, QWidget*, char
    17, 34, 127, 6, 0,	//99  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    34, 133, 6, 146, 0,	//104  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    34, 133, 0,	//109  QWidget*, const QString&
    34, 133, 6, 0,	//112  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    17, 34, 72, 127, 6, 146, 0,	//116  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 127, 6, 0,	//123  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    144, 144, 143, 143, 143, 146, 0,	//129  const void*, const void*, const char*, const char*, const char*, int
    143, 143, 143, 143, 143, 146, 0,	//136  const char*, const char*, const char*, const char*, const char*, int
    34, 78, 6, 11, 146, 0,	//143  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    34, 78, 0,	//149  QWidget*, Qt::MouseButton
    34, 78, 6, 0,	//152  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    34, 78, 6, 11, 0,	//156  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    17, 34, 72, 14, 6, 146, 0,	//161  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 14, 6, 0,	//168  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    144, 0,	//174  const void*
    126, 143, 143, 146, 0,	//176  bool, const char*, const char*, int
    34, 0,	//181  QWidget*
    143, 143, 21, 143, 146, 0,	//183  const char*, const char*, QTest::TestFailMode, const char*, int
    143, 20, 143, 146, 0,	//189  const char*, QTest::SkipMode, const char*, int
    143, 143, 146, 0,	//194  const char*, const char*, int
    34, 11, 146, 0,	//198  QWidget*, QPoint, int
    34, 11, 0,	//202  QWidget*, QPoint
    34, 126, 146, 6, 14, 126, 146, 0,	//205  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    34, 126, 146, 6, 14, 126, 0,	//213  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    10, 146, 129, 0,	//220  QObject*, int, char**
    10, 0,	//224  QObject*
    10, 146, 0,	//226  QObject*, int
    17, 34, 72, 6, 146, 0,	//229  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 0,	//235  QTest::KeyAction, QWidget*, Qt::Key
    17, 34, 72, 6, 0,	//239  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    10, 134, 0,	//244  QObject*, const QStringList&
    136, 0,	//247  const QTestAccessibilityEvent&
    10, 146, 146, 0,	//249  QObject*, int, int
    146, 144, 0,	//253  int, const void*
    137, 0,	//256  const QTestDelayEvent&
    138, 0,	//258  const QTestEvent&
    139, 0,	//260  const QTestEventList&
    72, 6, 146, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 72, 6, 146, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    127, 6, 146, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    133, 6, 146, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    17, 127, 6, 146, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    78, 6, 11, 146, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    11, 146, 0,	//289  QPoint, int
    72, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    17, 72, 0,	//295  QTest::KeyAction, Qt::Key
    17, 72, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    127, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    133, 0,	//305  const QString&
    133, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    17, 127, 0,	//310  QTest::KeyAction, char
    17, 127, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    78, 0,	//317  Qt::MouseButton
    78, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    78, 6, 11, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    11, 0,	//326  QPoint
    143, 143, 0,	//328  const char*, const char*
    140, 0,	//331  const QTestKeyClicksEvent&
    141, 0,	//333  const QTestKeyEvent&
    17, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    18, 78, 6, 11, 146, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    142, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MouseClick",	//29
    "MouseDClick",	//30
    "MouseMove",	//31
    "MousePress",	//32
    "MouseRelease",	//33
    "Press",	//34
    "QSignalSpy",	//35
    "QSignalSpy#$",	//36
    "QTestAccessibilityEvent",	//37
    "QTestAccessibilityEvent#",	//38
    "QTestAccessibilityEvent#$",	//39
    "QTestAccessibilityEvent#$$",	//40
    "QTestDelayEvent",	//41
    "QTestDelayEvent#",	//42
    "QTestDelayEvent$",	//43
    "QTestEvent",	//44
    "QTestEvent#",	//45
    "QTestEventList",	//46
    "QTestEventList#",	//47
    "QTestEventLoop",	//48
    "QTestEventLoop#",	//49
    "QTestKeyClicksEvent",	//50
    "QTestKeyClicksEvent#",	//51
    "QTestKeyClicksEvent$$$",	//52
    "QTestKeyEvent",	//53
    "QTestKeyEvent#",	//54
    "QTestKeyEvent$$$$",	//55
    "QTestMouseEvent",	//56
    "QTestMouseEvent#",	//57
    "QTestMouseEvent$$$#$",	//58
    "Q_COMPLEX_TYPE",	//59
    "Q_DUMMY_TYPE",	//60
    "Q_MOVABLE_TYPE",	//61
    "Q_PRIMITIVE_TYPE",	//62
    "Q_STATIC_TYPE",	//63
    "QtCriticalMsg",	//64
    "QtDebugMsg",	//65
    "QtFatalMsg",	//66
    "QtSystemMsg",	//67
    "QtWarningMsg",	//68
    "Release",	//69
    "SkipAll",	//70
    "SkipSingle",	//71
    "WalltimeMilliseconds",	//72
    "_action",	//73
    "_ascii",	//74
    "_delay",	//75
    "_key",	//76
    "_modifiers",	//77
    "addColumnInternal",	//78
    "addColumnInternal$$",	//79
    "addDelay",	//80
    "addDelay$",	//81
    "addKeyClick",	//82
    "addKeyClick$",	//83
    "addKeyClick$$",	//84
    "addKeyClick$$$",	//85
    "addKeyClicks",	//86
    "addKeyClicks$",	//87
    "addKeyClicks$$",	//88
    "addKeyClicks$$$",	//89
    "addKeyEvent",	//90
    "addKeyEvent$$",	//91
    "addKeyEvent$$$",	//92
    "addKeyEvent$$$$",	//93
    "addKeyPress",	//94
    "addKeyPress$",	//95
    "addKeyPress$$",	//96
    "addKeyPress$$$",	//97
    "addKeyRelease",	//98
    "addKeyRelease$",	//99
    "addKeyRelease$$",	//100
    "addKeyRelease$$$",	//101
    "addMouseClick",	//102
    "addMouseClick$",	//103
    "addMouseClick$$",	//104
    "addMouseClick$$#",	//105
    "addMouseClick$$#$",	//106
    "addMouseDClick",	//107
    "addMouseDClick$",	//108
    "addMouseDClick$$",	//109
    "addMouseDClick$$#",	//110
    "addMouseDClick$$#$",	//111
    "addMouseMove",	//112
    "addMouseMove#",	//113
    "addMouseMove#$",	//114
    "addMousePress",	//115
    "addMousePress$",	//116
    "addMousePress$$",	//117
    "addMousePress$$#",	//118
    "addMousePress$$#$",	//119
    "addMouseRelease",	//120
    "addMouseRelease$",	//121
    "addMouseRelease$$",	//122
    "addMouseRelease$$#",	//123
    "addMouseRelease$$#$",	//124
    "append",	//125
    "append$$",	//126
    "asciiToKey",	//127
    "asciiToKey$",	//128
    "changeInterval",	//129
    "changeInterval$",	//130
    "child",	//131
    "childEvent",	//132
    "cleanup",	//133
    "clear",	//134
    "clearEvents",	//135
    "clone",	//136
    "compare_helper",	//137
    "compare_helper$$$$",	//138
    "compare_helper$$$$$$$$",	//139
    "compare_ptr_helper",	//140
    "compare_ptr_helper$$$$$$",	//141
    "compare_string_helper",	//142
    "compare_string_helper$$$$$$",	//143
    "connectNotify",	//144
    "currentDataTag",	//145
    "currentTestFailed",	//146
    "currentTestFunction",	//147
    "customEvent",	//148
    "data",	//149
    "data$",	//150
    "dataCount",	//151
    "dataTag",	//152
    "disconnectNotify",	//153
    "enterLoop",	//154
    "enterLoop$",	//155
    "event",	//156
    "eventFilter",	//157
    "events",	//158
    "exitLoop",	//159
    "ignoreMessage",	//160
    "ignoreMessage$$",	//161
    "initialize",	//162
    "instance",	//163
    "isValid",	//164
    "keyClick",	//165
    "keyClick#$",	//166
    "keyClick#$$",	//167
    "keyClick#$$$",	//168
    "keyClicks",	//169
    "keyClicks#$",	//170
    "keyClicks#$$",	//171
    "keyClicks#$$$",	//172
    "keyEvent",	//173
    "keyEvent$#$",	//174
    "keyEvent$#$$",	//175
    "keyEvent$#$$$",	//176
    "keyPress",	//177
    "keyPress#$",	//178
    "keyPress#$$",	//179
    "keyPress#$$$",	//180
    "keyRelease",	//181
    "keyRelease#$",	//182
    "keyRelease#$$",	//183
    "keyRelease#$$$",	//184
    "keyToAscii",	//185
    "keyToAscii$",	//186
    "metaObject",	//187
    "mouseClick",	//188
    "mouseClick#$",	//189
    "mouseClick#$$",	//190
    "mouseClick#$$#",	//191
    "mouseClick#$$#$",	//192
    "mouseDClick",	//193
    "mouseDClick#$",	//194
    "mouseDClick#$$",	//195
    "mouseDClick#$$#",	//196
    "mouseDClick#$$#$",	//197
    "mouseEvent",	//198
    "mouseEvent$#$$#",	//199
    "mouseEvent$#$$#$",	//200
    "mouseMove",	//201
    "mouseMove#",	//202
    "mouseMove##",	//203
    "mouseMove##$",	//204
    "mousePress",	//205
    "mousePress#$",	//206
    "mousePress#$$",	//207
    "mousePress#$$#",	//208
    "mousePress#$$#$",	//209
    "mouseRelease",	//210
    "mouseRelease#$",	//211
    "mouseRelease#$$",	//212
    "mouseRelease#$$#",	//213
    "mouseRelease#$$#$",	//214
    "newRow",	//215
    "newRow$",	//216
    "object",	//217
    "operator==",	//218
    "operator==#",	//219
    "parent",	//220
    "qData",	//221
    "qData$$",	//222
    "qElementData",	//223
    "qElementData$$",	//224
    "qExec",	//225
    "qExec#",	//226
    "qExec#$",	//227
    "qExec#$?",	//228
    "qExec#?",	//229
    "qExpectFail",	//230
    "qExpectFail$$$$$",	//231
    "qFail",	//232
    "qFail$$$",	//233
    "qGlobalData",	//234
    "qGlobalData$$",	//235
    "qSkip",	//236
    "qSkip$$$$",	//237
    "qSleep",	//238
    "qSleep$",	//239
    "qVerify",	//240
    "qVerify$$$$$",	//241
    "qWait",	//242
    "qWait$",	//243
    "qWaitForWindowShown",	//244
    "qWaitForWindowShown#",	//245
    "qWarn",	//246
    "qWarn$",	//247
    "qt_metacall",	//248
    "qt_metacall$$?",	//249
    "qt_metacast",	//250
    "qt_metacast$",	//251
    "sendKeyEvent",	//252
    "sendKeyEvent$#$$$",	//253
    "sendKeyEvent$#$$$$",	//254
    "setBenchmarkResult",	//255
    "setBenchmarkResult$$",	//256
    "setChild",	//257
    "setChild$",	//258
    "setEvent",	//259
    "setEvent$",	//260
    "setObject",	//261
    "setObject#",	//262
    "set_action",	//263
    "set_action$",	//264
    "set_ascii",	//265
    "set_ascii$",	//266
    "set_delay",	//267
    "set_delay$",	//268
    "set_key",	//269
    "set_key$",	//270
    "set_modifiers",	//271
    "set_modifiers$",	//272
    "signal",	//273
    "simulate",	//274
    "simulate#",	//275
    "simulateEvent",	//276
    "simulateEvent#$$$$$",	//277
    "simulateEvent#$$$$$$",	//278
    "staticMetaObject",	//279
    "testObject",	//280
    "timeout",	//281
    "timerEvent",	//282
    "timerEvent#",	//283
    "toHexRepresentation",	//284
    "toHexRepresentation$$",	//285
    "toString",	//286
    "toString$",	//287
    "tr",	//288
    "tr$",	//289
    "tr$$",	//290
    "tr$$$",	//291
    "trUtf8",	//292
    "trUtf8$",	//293
    "trUtf8$$",	//294
    "trUtf8$$$",	//295
    "verifyEvent",	//296
    "verifyEvent#",	//297
    "verifyEvent#$$",	//298
    "~QSignalSpy",	//299
    "~QTestAccessibilityEvent",	//300
    "~QTestData",	//301
    "~QTestDelayEvent",	//302
    "~QTestEvent",	//303
    "~QTestEventList",	//304
    "~QTestEventLoop",	//305
    "~QTestKeyClicksEvent",	//306
    "~QTestKeyEvent",	//307
    "~QTestMouseEvent",	//308
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {7, 187, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 131, 0},	//30 QObject::metaObject() const
    {7, 250, 1, 1, Smoke::mf_virtual, 148, 0},	//31 QObject::qt_metacast(const char*)
    {7, 156, 3, 1, Smoke::mf_virtual, 126, 0},	//32 QObject::event(QEvent*)
    {7, 157, 5, 2, Smoke::mf_virtual, 126, 0},	//33 QObject::eventFilter(QObject*, QEvent*)
    {7, 282, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::timerEvent(QTimerEvent*)
    {7, 132, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::childEvent(QChildEvent*)
    {7, 148, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::customEvent(QEvent*)
    {7, 144, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::connectNotify(const char*)
    {7, 153, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::disconnectNotify(const char*)
    {10, 35, 12, 2, Smoke::mf_ctor, 13, 1},	//39 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 164, 0, 0, Smoke::mf_const, 126, 2},	//40 QSignalSpy::isValid() const
    {10, 273, 0, 0, Smoke::mf_const, 3, 3},	//41 QSignalSpy::signal() const
    {10, 248, 15, 3, Smoke::mf_virtual, 146, 4},	//42 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 299, 0, 0, Smoke::mf_dtor, 0, 5 },	//43 QSignalSpy::~QSignalSpy()
    {11, 78, 19, 2, Smoke::mf_static, 0, 1},	//44 QTest::addColumnInternal(int, const char*)
    {11, 234, 22, 2, Smoke::mf_static, 148, 2},	//45 QTest::qGlobalData(const char*, int)
    {11, 137, 25, 8, Smoke::mf_static, 126, 3},	//46 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 177, 34, 4, Smoke::mf_static, 0, 4},	//47 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 177, 39, 2, Smoke::mf_static, 0, 5},	//48 QTest::keyPress(QWidget*, Qt::Key)
    {11, 177, 42, 3, Smoke::mf_static, 0, 6},	//49 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 160, 46, 2, Smoke::mf_static, 0, 7},	//50 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 177, 49, 4, Smoke::mf_static, 0, 8},	//51 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 177, 54, 2, Smoke::mf_static, 0, 9},	//52 QTest::keyPress(QWidget*, char)
    {11, 177, 57, 3, Smoke::mf_static, 0, 10},	//53 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 185, 61, 1, Smoke::mf_static, 127, 11},	//54 QTest::keyToAscii(Qt::Key)
    {11, 198, 63, 6, Smoke::mf_static, 0, 12},	//55 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 198, 70, 5, Smoke::mf_static, 0, 13},	//56 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 240, 76, 5, Smoke::mf_static, 126, 14},	//57 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 255, 82, 2, Smoke::mf_static, 0, 15},	//58 QTest::setBenchmarkResult(double, QTest::QBenchmarkMetric)
    {11, 145, 0, 0, Smoke::mf_static, 143, 16},	//59 QTest::currentDataTag()
    {11, 238, 85, 1, Smoke::mf_static, 0, 17},	//60 QTest::qSleep(int)
    {11, 127, 87, 1, Smoke::mf_static, 72, 18},	//61 QTest::asciiToKey(char)
    {11, 246, 1, 1, Smoke::mf_static, 0, 19},	//62 QTest::qWarn(const char*)
    {11, 173, 89, 5, Smoke::mf_static, 0, 20},	//63 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 173, 95, 3, Smoke::mf_static, 0, 21},	//64 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 173, 99, 4, Smoke::mf_static, 0, 22},	//65 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 169, 104, 4, Smoke::mf_static, 0, 23},	//66 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 169, 109, 2, Smoke::mf_static, 0, 24},	//67 QTest::keyClicks(QWidget*, const QString&)
    {11, 169, 112, 3, Smoke::mf_static, 0, 25},	//68 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 181, 34, 4, Smoke::mf_static, 0, 26},	//69 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 181, 39, 2, Smoke::mf_static, 0, 27},	//70 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 181, 42, 3, Smoke::mf_static, 0, 28},	//71 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 147, 0, 0, Smoke::mf_static, 143, 29},	//72 QTest::currentTestFunction()
    {11, 280, 0, 0, Smoke::mf_static, 10, 30},	//73 QTest::testObject()
    {11, 252, 116, 6, Smoke::mf_static, 0, 31},	//74 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 252, 123, 5, Smoke::mf_static, 0, 32},	//75 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 140, 129, 6, Smoke::mf_static, 126, 33},	//76 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 142, 136, 6, Smoke::mf_static, 126, 34},	//77 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 205, 143, 5, Smoke::mf_static, 0, 35},	//78 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 205, 149, 2, Smoke::mf_static, 0, 36},	//79 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 205, 152, 3, Smoke::mf_static, 0, 37},	//80 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 205, 156, 4, Smoke::mf_static, 0, 38},	//81 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 242, 85, 1, Smoke::mf_static, 0, 39},	//82 QTest::qWait(int)
    {11, 252, 161, 6, Smoke::mf_static, 0, 40},	//83 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 252, 168, 5, Smoke::mf_static, 0, 41},	//84 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 165, 34, 4, Smoke::mf_static, 0, 42},	//85 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 165, 39, 2, Smoke::mf_static, 0, 43},	//86 QTest::keyClick(QWidget*, Qt::Key)
    {11, 165, 42, 3, Smoke::mf_static, 0, 44},	//87 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 286, 174, 1, Smoke::mf_static, 128, 45},	//88 QTest::toString(const void*)
    {11, 215, 1, 1, Smoke::mf_static, 23, 46},	//89 QTest::newRow(const char*)
    {11, 188, 143, 5, Smoke::mf_static, 0, 47},	//90 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 188, 149, 2, Smoke::mf_static, 0, 48},	//91 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 188, 152, 3, Smoke::mf_static, 0, 49},	//92 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 188, 156, 4, Smoke::mf_static, 0, 50},	//93 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 284, 22, 2, Smoke::mf_static, 128, 51},	//94 QTest::toHexRepresentation(const char*, int)
    {11, 137, 176, 4, Smoke::mf_static, 126, 52},	//95 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 244, 181, 1, Smoke::mf_static, 126, 53},	//96 QTest::qWaitForWindowShown(QWidget*)
    {11, 181, 49, 4, Smoke::mf_static, 0, 54},	//97 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 181, 54, 2, Smoke::mf_static, 0, 55},	//98 QTest::keyRelease(QWidget*, char)
    {11, 181, 57, 3, Smoke::mf_static, 0, 56},	//99 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 193, 143, 5, Smoke::mf_static, 0, 57},	//100 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 193, 149, 2, Smoke::mf_static, 0, 58},	//101 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 193, 152, 3, Smoke::mf_static, 0, 59},	//102 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 193, 156, 4, Smoke::mf_static, 0, 60},	//103 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 221, 22, 2, Smoke::mf_static, 148, 61},	//104 QTest::qData(const char*, int)
    {11, 230, 183, 5, Smoke::mf_static, 126, 62},	//105 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 146, 0, 0, Smoke::mf_static, 126, 63},	//106 QTest::currentTestFailed()
    {11, 236, 189, 4, Smoke::mf_static, 0, 64},	//107 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 232, 194, 3, Smoke::mf_static, 0, 65},	//108 QTest::qFail(const char*, const char*, int)
    {11, 201, 198, 3, Smoke::mf_static, 0, 66},	//109 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 201, 181, 1, Smoke::mf_static, 0, 67},	//110 QTest::mouseMove(QWidget*)
    {11, 201, 202, 2, Smoke::mf_static, 0, 68},	//111 QTest::mouseMove(QWidget*, QPoint)
    {11, 276, 205, 7, Smoke::mf_static, 0, 69},	//112 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 276, 213, 6, Smoke::mf_static, 0, 70},	//113 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 223, 22, 2, Smoke::mf_static, 148, 71},	//114 QTest::qElementData(const char*, int)
    {11, 210, 143, 5, Smoke::mf_static, 0, 72},	//115 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 210, 149, 2, Smoke::mf_static, 0, 73},	//116 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 210, 152, 3, Smoke::mf_static, 0, 74},	//117 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 210, 156, 4, Smoke::mf_static, 0, 75},	//118 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 225, 220, 3, Smoke::mf_static, 146, 76},	//119 QTest::qExec(QObject*, int, char**)
    {11, 225, 224, 1, Smoke::mf_static, 146, 77},	//120 QTest::qExec(QObject*)
    {11, 225, 226, 2, Smoke::mf_static, 146, 78},	//121 QTest::qExec(QObject*, int)
    {11, 165, 49, 4, Smoke::mf_static, 0, 79},	//122 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 165, 54, 2, Smoke::mf_static, 0, 80},	//123 QTest::keyClick(QWidget*, char)
    {11, 165, 57, 3, Smoke::mf_static, 0, 81},	//124 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 173, 229, 5, Smoke::mf_static, 0, 82},	//125 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 173, 235, 3, Smoke::mf_static, 0, 83},	//126 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 173, 239, 4, Smoke::mf_static, 0, 84},	//127 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 225, 244, 2, Smoke::mf_static, 146, 85},	//128 QTest::qExec(QObject*, const QStringList&)
    {11, 286, 1, 1, Smoke::mf_static, 128, 86},	//129 QTest::toString(const char*)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 87},	//130 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 88},	//131 QTest::Continue (enum)
    {11, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 89},	//132 QTest::MousePress (enum)
    {11, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 90},	//133 QTest::MouseRelease (enum)
    {11, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 91},	//134 QTest::MouseClick (enum)
    {11, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 92},	//135 QTest::MouseDClick (enum)
    {11, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 93},	//136 QTest::MouseMove (enum)
    {11, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 94},	//137 QTest::Press (enum)
    {11, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 95},	//138 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 96},	//139 QTest::Click (enum)
    {11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 97},	//140 QTest::SkipSingle (enum)
    {11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 98},	//141 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 99},	//142 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 100},	//143 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 101},	//144 QTest::BytesPerSecond (enum)
    {11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 102},	//145 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 103},	//146 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 104},	//147 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 105},	//148 QTest::Events (enum)
    {12, 162, 0, 0, Smoke::mf_static, 0, 1},	//149 QTestAccessibility::initialize()
    {12, 133, 0, 0, Smoke::mf_static, 0, 2},	//150 QTestAccessibility::cleanup()
    {12, 135, 0, 0, Smoke::mf_static, 0, 3},	//151 QTestAccessibility::clearEvents()
    {12, 158, 0, 0, Smoke::mf_static, 8, 4},	//152 QTestAccessibility::events()
    {12, 296, 247, 1, Smoke::mf_static, 126, 5},	//153 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 296, 249, 3, Smoke::mf_static, 126, 6},	//154 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 37, 249, 3, Smoke::mf_ctor, 22, 1},	//155 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 218, 247, 1, Smoke::mf_const, 126, 2},	//156 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 37, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 3},	//157 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 37, 0, 0, Smoke::mf_ctor, 22, 4},	//158 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 37, 224, 1, Smoke::mf_ctor, 22, 5},	//159 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 37, 226, 2, Smoke::mf_ctor, 22, 6},	//160 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 217, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 10, 7},	//161 QTestAccessibilityEvent::object() const
    {13, 261, 224, 1, Smoke::mf_attribute, 0, 8},	//162 QTestAccessibilityEvent::setObject(QObject*)
    {13, 131, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 146, 9},	//163 QTestAccessibilityEvent::child() const
    {13, 257, 85, 1, Smoke::mf_attribute, 0, 10},	//164 QTestAccessibilityEvent::setChild(int)
    {13, 156, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 146, 11},	//165 QTestAccessibilityEvent::event() const
    {13, 259, 85, 1, Smoke::mf_attribute, 0, 12},	//166 QTestAccessibilityEvent::setEvent(int)
    {13, 300, 0, 0, Smoke::mf_dtor, 0, 13 },	//167 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 125, 253, 2, 0, 0, 1},	//168 QTestData::append(int, const void*)
    {14, 149, 85, 1, Smoke::mf_const, 148, 2},	//169 QTestData::data(int) const
    {14, 152, 0, 0, Smoke::mf_const, 143, 3},	//170 QTestData::dataTag() const
    {14, 220, 0, 0, Smoke::mf_const, 32, 4},	//171 QTestData::parent() const
    {14, 151, 0, 0, Smoke::mf_const, 146, 5},	//172 QTestData::dataCount() const
    {14, 301, 0, 0, Smoke::mf_dtor, 0, 6 },	//173 QTestData::~QTestData()
    {15, 41, 85, 1, Smoke::mf_ctor, 24, 1},	//174 QTestDelayEvent::QTestDelayEvent(int)
    {15, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//175 QTestDelayEvent::clone() const
    {15, 274, 181, 1, Smoke::mf_virtual, 0, 3},	//176 QTestDelayEvent::simulate(QWidget*)
    {15, 41, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//177 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 302, 0, 0, Smoke::mf_dtor, 0, 5 },	//178 QTestDelayEvent::~QTestDelayEvent()
    {16, 274, 181, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//179 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 2},	//180 QTestEvent::clone() const [pure virtual]
    {16, 44, 0, 0, Smoke::mf_ctor, 25, 3},	//181 QTestEvent::QTestEvent()
    {16, 44, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//182 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 303, 0, 0, Smoke::mf_dtor, 0, 5 },	//183 QTestEvent::~QTestEvent()
    {17, 46, 0, 0, Smoke::mf_ctor, 26, 1},	//184 QTestEventList::QTestEventList()
    {17, 46, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//185 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 134, 0, 0, 0, 0, 3},	//186 QTestEventList::clear()
    {17, 82, 262, 3, 0, 0, 4},	//187 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 94, 262, 3, 0, 0, 5},	//188 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 98, 262, 3, 0, 0, 6},	//189 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 90, 266, 4, 0, 0, 7},	//190 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 82, 271, 3, 0, 0, 8},	//191 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 94, 271, 3, 0, 0, 9},	//192 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 98, 271, 3, 0, 0, 10},	//193 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 86, 275, 3, 0, 0, 11},	//194 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 90, 279, 4, 0, 0, 12},	//195 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 115, 284, 4, 0, 0, 13},	//196 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 120, 284, 4, 0, 0, 14},	//197 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 102, 284, 4, 0, 0, 15},	//198 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 107, 284, 4, 0, 0, 16},	//199 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 112, 289, 2, 0, 0, 17},	//200 QTestEventList::addMouseMove(QPoint, int)
    {17, 80, 85, 1, 0, 0, 18},	//201 QTestEventList::addDelay(int)
    {17, 274, 181, 1, 0, 0, 19},	//202 QTestEventList::simulate(QWidget*)
    {17, 82, 61, 1, 0, 0, 20},	//203 QTestEventList::addKeyClick(Qt::Key)
    {17, 82, 292, 2, 0, 0, 21},	//204 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 94, 61, 1, 0, 0, 22},	//205 QTestEventList::addKeyPress(Qt::Key)
    {17, 94, 292, 2, 0, 0, 23},	//206 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 98, 61, 1, 0, 0, 24},	//207 QTestEventList::addKeyRelease(Qt::Key)
    {17, 98, 292, 2, 0, 0, 25},	//208 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 90, 295, 2, 0, 0, 26},	//209 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 90, 298, 3, 0, 0, 27},	//210 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 82, 87, 1, 0, 0, 28},	//211 QTestEventList::addKeyClick(char)
    {17, 82, 302, 2, 0, 0, 29},	//212 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 94, 87, 1, 0, 0, 30},	//213 QTestEventList::addKeyPress(char)
    {17, 94, 302, 2, 0, 0, 31},	//214 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 98, 87, 1, 0, 0, 32},	//215 QTestEventList::addKeyRelease(char)
    {17, 98, 302, 2, 0, 0, 33},	//216 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 86, 305, 1, 0, 0, 34},	//217 QTestEventList::addKeyClicks(const QString&)
    {17, 86, 307, 2, 0, 0, 35},	//218 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 90, 310, 2, 0, 0, 36},	//219 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 90, 313, 3, 0, 0, 37},	//220 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 115, 317, 1, 0, 0, 38},	//221 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 115, 319, 2, 0, 0, 39},	//222 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 115, 322, 3, 0, 0, 40},	//223 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 120, 317, 1, 0, 0, 41},	//224 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 120, 319, 2, 0, 0, 42},	//225 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 120, 322, 3, 0, 0, 43},	//226 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 102, 317, 1, 0, 0, 44},	//227 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 102, 319, 2, 0, 0, 45},	//228 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 102, 322, 3, 0, 0, 46},	//229 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 107, 317, 1, 0, 0, 47},	//230 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 107, 319, 2, 0, 0, 48},	//231 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 107, 322, 3, 0, 0, 49},	//232 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 112, 0, 0, 0, 0, 50},	//233 QTestEventList::addMouseMove()
    {17, 112, 326, 1, 0, 0, 51},	//234 QTestEventList::addMouseMove(QPoint)
    {17, 304, 0, 0, Smoke::mf_dtor, 0, 52 },	//235 QTestEventList::~QTestEventList()
    {18, 187, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 131, 1},	//236 QTestEventLoop::metaObject() const
    {18, 250, 1, 1, Smoke::mf_virtual, 148, 2},	//237 QTestEventLoop::qt_metacast(const char*)
    {18, 288, 328, 2, Smoke::mf_static, 14, 3},	//238 QTestEventLoop::tr(const char*, const char*)
    {18, 292, 328, 2, Smoke::mf_static, 14, 4},	//239 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 288, 194, 3, Smoke::mf_static, 14, 5},	//240 QTestEventLoop::tr(const char*, const char*, int)
    {18, 292, 194, 3, Smoke::mf_static, 14, 6},	//241 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 248, 15, 3, Smoke::mf_virtual, 146, 7},	//242 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 48, 224, 1, Smoke::mf_ctor, 28, 8},	//243 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 154, 85, 1, 0, 0, 9},	//244 QTestEventLoop::enterLoop(int)
    {18, 129, 85, 1, 0, 0, 10},	//245 QTestEventLoop::changeInterval(int)
    {18, 281, 0, 0, Smoke::mf_const, 126, 11},	//246 QTestEventLoop::timeout() const
    {18, 163, 0, 0, Smoke::mf_static, 27, 12},	//247 QTestEventLoop::instance()
    {18, 159, 0, 0, Smoke::mf_slot, 0, 13},	//248 QTestEventLoop::exitLoop()
    {18, 282, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//249 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 288, 1, 1, Smoke::mf_static, 14, 15},	//250 QTestEventLoop::tr(const char*)
    {18, 292, 1, 1, Smoke::mf_static, 14, 16},	//251 QTestEventLoop::trUtf8(const char*)
    {18, 48, 0, 0, Smoke::mf_ctor, 28, 17},	//252 QTestEventLoop::QTestEventLoop()
    {18, 279, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 130, 18},	//253 QTestEventLoop::staticMetaObject() const
    {18, 305, 0, 0, Smoke::mf_dtor, 0, 19 },	//254 QTestEventLoop::~QTestEventLoop()
    {19, 50, 275, 3, Smoke::mf_ctor, 29, 1},	//255 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//256 QTestKeyClicksEvent::clone() const
    {19, 274, 181, 1, Smoke::mf_virtual, 0, 3},	//257 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 50, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//258 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 306, 0, 0, Smoke::mf_dtor, 0, 5 },	//259 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 53, 266, 4, Smoke::mf_ctor, 30, 1},	//260 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 53, 279, 4, Smoke::mf_ctor, 30, 2},	//261 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 3},	//262 QTestKeyEvent::clone() const
    {20, 274, 181, 1, Smoke::mf_virtual, 0, 4},	//263 QTestKeyEvent::simulate(QWidget*)
    {20, 53, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//264 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 73, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 17, 6},	//265 QTestKeyEvent::_action() const
    {20, 263, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//266 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 75, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 146, 8},	//267 QTestKeyEvent::_delay() const
    {20, 267, 85, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//268 QTestKeyEvent::set_delay(int)
    {20, 77, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 7, 10},	//269 QTestKeyEvent::_modifiers() const
    {20, 271, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//270 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 74, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 127, 12},	//271 QTestKeyEvent::_ascii() const
    {20, 265, 87, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//272 QTestKeyEvent::set_ascii(char)
    {20, 76, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 72, 14},	//273 QTestKeyEvent::_key() const
    {20, 269, 61, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//274 QTestKeyEvent::set_key(Qt::Key)
    {20, 307, 0, 0, Smoke::mf_dtor, 0, 16 },	//275 QTestKeyEvent::~QTestKeyEvent()
    {21, 56, 339, 5, Smoke::mf_ctor, 31, 1},	//276 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//277 QTestMouseEvent::clone() const
    {21, 274, 181, 1, Smoke::mf_virtual, 0, 3},	//278 QTestMouseEvent::simulate(QWidget*)
    {21, 56, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//279 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 308, 0, 0, Smoke::mf_dtor, 0, 5 },	//280 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    86,  // QTest::keyClick(QWidget*, Qt::Key)
    123,  // QTest::keyClick(QWidget*, char)
    0,
    87,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    124,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    85,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    122,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    64,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    126,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    65,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    127,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    63,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    125,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    48,  // QTest::keyPress(QWidget*, Qt::Key)
    52,  // QTest::keyPress(QWidget*, char)
    0,
    49,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    53,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    47,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    51,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    70,  // QTest::keyRelease(QWidget*, Qt::Key)
    98,  // QTest::keyRelease(QWidget*, char)
    0,
    71,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    99,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    69,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    97,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    75,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    84,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    74,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    83,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    88,  // QTest::toString(const void*)
    129,  // QTest::toString(const char*)
    0,
    203,  // QTestEventList::addKeyClick(Qt::Key)
    211,  // QTestEventList::addKeyClick(char)
    0,
    204,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    212,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    187,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    191,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    209,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    219,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    210,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    220,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    190,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    195,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    205,  // QTestEventList::addKeyPress(Qt::Key)
    213,  // QTestEventList::addKeyPress(char)
    0,
    206,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    214,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    188,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    192,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    207,  // QTestEventList::addKeyRelease(Qt::Key)
    215,  // QTestEventList::addKeyRelease(char)
    0,
    208,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    216,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    189,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    193,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    260,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    261,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    157,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    159,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 10, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 11, 19},	// QGlobalSpace::LicensedCore
    {5, 12, 11},	// QGlobalSpace::LicensedDBus
    {5, 13, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 14, 6},	// QGlobalSpace::LicensedGui
    {5, 15, 25},	// QGlobalSpace::LicensedHelp
    {5, 16, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 17, 29},	// QGlobalSpace::LicensedNetwork
    {5, 18, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 19, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 20, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 21, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 22, 9},	// QGlobalSpace::LicensedScript
    {5, 23, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 24, 17},	// QGlobalSpace::LicensedSql
    {5, 25, 15},	// QGlobalSpace::LicensedSvg
    {5, 26, 12},	// QGlobalSpace::LicensedTest
    {5, 27, 7},	// QGlobalSpace::LicensedXml
    {5, 28, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 59, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 60, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 61, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 62, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 63, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 64, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 65, 20},	// QGlobalSpace::QtDebugMsg
    {5, 66, 23},	// QGlobalSpace::QtFatalMsg
    {5, 67, 24},	// QGlobalSpace::QtSystemMsg
    {5, 68, 21},	// QGlobalSpace::QtWarningMsg
    {10, 36, 39},	// QSignalSpy::QSignalSpy#$
    {10, 164, 40},	// QSignalSpy::isValid
    {10, 249, 42},	// QSignalSpy::qt_metacall$$?
    {10, 273, 41},	// QSignalSpy::signal
    {10, 299, 43},	// QSignalSpy::~QSignalSpy
    {11, 1, 130},	// QTest::Abort
    {11, 2, 143},	// QTest::BitsPerSecond
    {11, 3, 144},	// QTest::BytesPerSecond
    {11, 4, 146},	// QTest::CPUTicks
    {11, 5, 139},	// QTest::Click
    {11, 6, 131},	// QTest::Continue
    {11, 7, 148},	// QTest::Events
    {11, 8, 142},	// QTest::FramesPerSecond
    {11, 9, 147},	// QTest::InstructionReads
    {11, 29, 134},	// QTest::MouseClick
    {11, 30, 135},	// QTest::MouseDClick
    {11, 31, 136},	// QTest::MouseMove
    {11, 32, 132},	// QTest::MousePress
    {11, 33, 133},	// QTest::MouseRelease
    {11, 34, 137},	// QTest::Press
    {11, 69, 138},	// QTest::Release
    {11, 70, 141},	// QTest::SkipAll
    {11, 71, 140},	// QTest::SkipSingle
    {11, 72, 145},	// QTest::WalltimeMilliseconds
    {11, 79, 44},	// QTest::addColumnInternal$$
    {11, 128, 61},	// QTest::asciiToKey$
    {11, 138, 95},	// QTest::compare_helper$$$$
    {11, 139, 46},	// QTest::compare_helper$$$$$$$$
    {11, 141, 76},	// QTest::compare_ptr_helper$$$$$$
    {11, 143, 77},	// QTest::compare_string_helper$$$$$$
    {11, 145, 59},	// QTest::currentDataTag
    {11, 146, 106},	// QTest::currentTestFailed
    {11, 147, 72},	// QTest::currentTestFunction
    {11, 161, 50},	// QTest::ignoreMessage$$
    {11, 166, -1},	// QTest::keyClick#$
    {11, 167, -4},	// QTest::keyClick#$$
    {11, 168, -7},	// QTest::keyClick#$$$
    {11, 170, 67},	// QTest::keyClicks#$
    {11, 171, 68},	// QTest::keyClicks#$$
    {11, 172, 66},	// QTest::keyClicks#$$$
    {11, 174, -10},	// QTest::keyEvent$#$
    {11, 175, -13},	// QTest::keyEvent$#$$
    {11, 176, -16},	// QTest::keyEvent$#$$$
    {11, 178, -19},	// QTest::keyPress#$
    {11, 179, -22},	// QTest::keyPress#$$
    {11, 180, -25},	// QTest::keyPress#$$$
    {11, 182, -28},	// QTest::keyRelease#$
    {11, 183, -31},	// QTest::keyRelease#$$
    {11, 184, -34},	// QTest::keyRelease#$$$
    {11, 186, 54},	// QTest::keyToAscii$
    {11, 189, 91},	// QTest::mouseClick#$
    {11, 190, 92},	// QTest::mouseClick#$$
    {11, 191, 93},	// QTest::mouseClick#$$#
    {11, 192, 90},	// QTest::mouseClick#$$#$
    {11, 194, 101},	// QTest::mouseDClick#$
    {11, 195, 102},	// QTest::mouseDClick#$$
    {11, 196, 103},	// QTest::mouseDClick#$$#
    {11, 197, 100},	// QTest::mouseDClick#$$#$
    {11, 199, 56},	// QTest::mouseEvent$#$$#
    {11, 200, 55},	// QTest::mouseEvent$#$$#$
    {11, 202, 110},	// QTest::mouseMove#
    {11, 203, 111},	// QTest::mouseMove##
    {11, 204, 109},	// QTest::mouseMove##$
    {11, 206, 79},	// QTest::mousePress#$
    {11, 207, 80},	// QTest::mousePress#$$
    {11, 208, 81},	// QTest::mousePress#$$#
    {11, 209, 78},	// QTest::mousePress#$$#$
    {11, 211, 116},	// QTest::mouseRelease#$
    {11, 212, 117},	// QTest::mouseRelease#$$
    {11, 213, 118},	// QTest::mouseRelease#$$#
    {11, 214, 115},	// QTest::mouseRelease#$$#$
    {11, 216, 89},	// QTest::newRow$
    {11, 222, 104},	// QTest::qData$$
    {11, 224, 114},	// QTest::qElementData$$
    {11, 226, 120},	// QTest::qExec#
    {11, 227, 121},	// QTest::qExec#$
    {11, 228, 119},	// QTest::qExec#$?
    {11, 229, 128},	// QTest::qExec#?
    {11, 231, 105},	// QTest::qExpectFail$$$$$
    {11, 233, 108},	// QTest::qFail$$$
    {11, 235, 45},	// QTest::qGlobalData$$
    {11, 237, 107},	// QTest::qSkip$$$$
    {11, 239, 60},	// QTest::qSleep$
    {11, 241, 57},	// QTest::qVerify$$$$$
    {11, 243, 82},	// QTest::qWait$
    {11, 245, 96},	// QTest::qWaitForWindowShown#
    {11, 247, 62},	// QTest::qWarn$
    {11, 253, -37},	// QTest::sendKeyEvent$#$$$
    {11, 254, -40},	// QTest::sendKeyEvent$#$$$$
    {11, 256, 58},	// QTest::setBenchmarkResult$$
    {11, 277, 113},	// QTest::simulateEvent#$$$$$
    {11, 278, 112},	// QTest::simulateEvent#$$$$$$
    {11, 280, 73},	// QTest::testObject
    {11, 285, 94},	// QTest::toHexRepresentation$$
    {11, 287, -43},	// QTest::toString$
    {12, 133, 150},	// QTestAccessibility::cleanup
    {12, 135, 151},	// QTestAccessibility::clearEvents
    {12, 158, 152},	// QTestAccessibility::events
    {12, 162, 149},	// QTestAccessibility::initialize
    {12, 297, 153},	// QTestAccessibility::verifyEvent#
    {12, 298, 154},	// QTestAccessibility::verifyEvent#$$
    {13, 37, 158},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 38, -85},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 39, 160},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 40, 155},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 131, 163},	// QTestAccessibilityEvent::child
    {13, 156, 165},	// QTestAccessibilityEvent::event
    {13, 217, 161},	// QTestAccessibilityEvent::object
    {13, 219, 156},	// QTestAccessibilityEvent::operator==#
    {13, 258, 164},	// QTestAccessibilityEvent::setChild$
    {13, 260, 166},	// QTestAccessibilityEvent::setEvent$
    {13, 262, 162},	// QTestAccessibilityEvent::setObject#
    {13, 300, 167},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 126, 168},	// QTestData::append$$
    {14, 150, 169},	// QTestData::data$
    {14, 151, 172},	// QTestData::dataCount
    {14, 152, 170},	// QTestData::dataTag
    {14, 220, 171},	// QTestData::parent
    {14, 301, 173},	// QTestData::~QTestData
    {15, 42, 177},	// QTestDelayEvent::QTestDelayEvent#
    {15, 43, 174},	// QTestDelayEvent::QTestDelayEvent$
    {15, 136, 175},	// QTestDelayEvent::clone
    {15, 275, 176},	// QTestDelayEvent::simulate#
    {15, 302, 178},	// QTestDelayEvent::~QTestDelayEvent
    {16, 44, 181},	// QTestEvent::QTestEvent
    {16, 45, 182},	// QTestEvent::QTestEvent#
    {16, 136, 180},	// QTestEvent::clone
    {16, 275, 179},	// QTestEvent::simulate#
    {16, 303, 183},	// QTestEvent::~QTestEvent
    {17, 46, 184},	// QTestEventList::QTestEventList
    {17, 47, 185},	// QTestEventList::QTestEventList#
    {17, 81, 201},	// QTestEventList::addDelay$
    {17, 83, -46},	// QTestEventList::addKeyClick$
    {17, 84, -49},	// QTestEventList::addKeyClick$$
    {17, 85, -52},	// QTestEventList::addKeyClick$$$
    {17, 87, 217},	// QTestEventList::addKeyClicks$
    {17, 88, 218},	// QTestEventList::addKeyClicks$$
    {17, 89, 194},	// QTestEventList::addKeyClicks$$$
    {17, 91, -55},	// QTestEventList::addKeyEvent$$
    {17, 92, -58},	// QTestEventList::addKeyEvent$$$
    {17, 93, -61},	// QTestEventList::addKeyEvent$$$$
    {17, 95, -64},	// QTestEventList::addKeyPress$
    {17, 96, -67},	// QTestEventList::addKeyPress$$
    {17, 97, -70},	// QTestEventList::addKeyPress$$$
    {17, 99, -73},	// QTestEventList::addKeyRelease$
    {17, 100, -76},	// QTestEventList::addKeyRelease$$
    {17, 101, -79},	// QTestEventList::addKeyRelease$$$
    {17, 103, 227},	// QTestEventList::addMouseClick$
    {17, 104, 228},	// QTestEventList::addMouseClick$$
    {17, 105, 229},	// QTestEventList::addMouseClick$$#
    {17, 106, 198},	// QTestEventList::addMouseClick$$#$
    {17, 108, 230},	// QTestEventList::addMouseDClick$
    {17, 109, 231},	// QTestEventList::addMouseDClick$$
    {17, 110, 232},	// QTestEventList::addMouseDClick$$#
    {17, 111, 199},	// QTestEventList::addMouseDClick$$#$
    {17, 112, 233},	// QTestEventList::addMouseMove
    {17, 113, 234},	// QTestEventList::addMouseMove#
    {17, 114, 200},	// QTestEventList::addMouseMove#$
    {17, 116, 221},	// QTestEventList::addMousePress$
    {17, 117, 222},	// QTestEventList::addMousePress$$
    {17, 118, 223},	// QTestEventList::addMousePress$$#
    {17, 119, 196},	// QTestEventList::addMousePress$$#$
    {17, 121, 224},	// QTestEventList::addMouseRelease$
    {17, 122, 225},	// QTestEventList::addMouseRelease$$
    {17, 123, 226},	// QTestEventList::addMouseRelease$$#
    {17, 124, 197},	// QTestEventList::addMouseRelease$$#$
    {17, 134, 186},	// QTestEventList::clear
    {17, 275, 202},	// QTestEventList::simulate#
    {17, 304, 235},	// QTestEventList::~QTestEventList
    {18, 48, 252},	// QTestEventLoop::QTestEventLoop
    {18, 49, 243},	// QTestEventLoop::QTestEventLoop#
    {18, 130, 245},	// QTestEventLoop::changeInterval$
    {18, 155, 244},	// QTestEventLoop::enterLoop$
    {18, 159, 248},	// QTestEventLoop::exitLoop
    {18, 163, 247},	// QTestEventLoop::instance
    {18, 187, 236},	// QTestEventLoop::metaObject
    {18, 249, 242},	// QTestEventLoop::qt_metacall$$?
    {18, 251, 237},	// QTestEventLoop::qt_metacast$
    {18, 279, 253},	// QTestEventLoop::staticMetaObject
    {18, 281, 246},	// QTestEventLoop::timeout
    {18, 283, 249},	// QTestEventLoop::timerEvent#
    {18, 289, 250},	// QTestEventLoop::tr$
    {18, 290, 238},	// QTestEventLoop::tr$$
    {18, 291, 240},	// QTestEventLoop::tr$$$
    {18, 293, 251},	// QTestEventLoop::trUtf8$
    {18, 294, 239},	// QTestEventLoop::trUtf8$$
    {18, 295, 241},	// QTestEventLoop::trUtf8$$$
    {18, 305, 254},	// QTestEventLoop::~QTestEventLoop
    {19, 51, 258},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 52, 255},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 136, 256},	// QTestKeyClicksEvent::clone
    {19, 275, 257},	// QTestKeyClicksEvent::simulate#
    {19, 306, 259},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 54, 264},	// QTestKeyEvent::QTestKeyEvent#
    {20, 55, -82},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 73, 265},	// QTestKeyEvent::_action
    {20, 74, 271},	// QTestKeyEvent::_ascii
    {20, 75, 267},	// QTestKeyEvent::_delay
    {20, 76, 273},	// QTestKeyEvent::_key
    {20, 77, 269},	// QTestKeyEvent::_modifiers
    {20, 136, 262},	// QTestKeyEvent::clone
    {20, 264, 266},	// QTestKeyEvent::set_action$
    {20, 266, 272},	// QTestKeyEvent::set_ascii$
    {20, 268, 268},	// QTestKeyEvent::set_delay$
    {20, 270, 274},	// QTestKeyEvent::set_key$
    {20, 272, 270},	// QTestKeyEvent::set_modifiers$
    {20, 275, 263},	// QTestKeyEvent::simulate#
    {20, 307, 275},	// QTestKeyEvent::~QTestKeyEvent
    {21, 57, 279},	// QTestMouseEvent::QTestMouseEvent#
    {21, 58, 276},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 136, 277},	// QTestMouseEvent::clone
    {21, 275, 278},	// QTestMouseEvent::simulate#
    {21, 308, 280},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 281,
        __smokeqttest::methodMaps, 243,
        __smokeqttest::methodNames, 308,
        __smokeqttest::types, 150,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
