#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 131: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 159: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 206: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 183: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 135: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KCharsets
      switch(to) {
        case 130: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 131:   //KComboBox
      switch(to) {
        case 159: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 213: return (void*)(QWidget*)(KComboBox*)xptr;
        case 190: return (void*)(QObject*)(KComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 131: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletion
      switch(to) {
        case 190: return (void*)(QObject*)(KCompletion*)xptr;
        case 132: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 133:   //KCompletionBase
      switch(to) {
        case 133: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 134:   //KComponentData
      switch(to) {
        case 134: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 135:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 190: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 135: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 136:   //KConfigGroup
      switch(to) {
        case 136: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 164: return (void*)(QDialog*)(KDialog*)xptr;
        case 213: return (void*)(QWidget*)(KDialog*)xptr;
        case 190: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 172: return (void*)(QFrame*)(KHBox*)xptr;
        case 213: return (void*)(QWidget*)(KHBox*)xptr;
        case 190: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 176: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 190: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocale
      switch(to) {
        case 141: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 142:   //KLocalizedString
      switch(to) {
        case 142: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 143:   //KSelectionProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 144:   //KStandardDirs
      switch(to) {
        case 144: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 210: return (void*)(QUrl*)(KUrl*)xptr;
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 147:   //KXmlGuiWindow
      switch(to) {
        case 147: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemModel
      switch(to) {
        case 190: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractItemView
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 172: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 190: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractProxyModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 190: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractTableModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 156: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCloseEvent
      switch(to) {
        case 157: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QColor
      switch(to) {
        case 158: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 159:   //QComboBox
      switch(to) {
        case 213: return (void*)(QWidget*)(QComboBox*)xptr;
        case 190: return (void*)(QObject*)(QComboBox*)xptr;
        case 159: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QDBusContext
      switch(to) {
        case 161: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDateTime
      switch(to) {
        case 163: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 164:   //QDialog
      switch(to) {
        case 213: return (void*)(QWidget*)(QDialog*)xptr;
        case 190: return (void*)(QObject*)(QDialog*)xptr;
        case 164: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 213: return (void*)(QWidget*)(QFrame*)xptr;
        case 190: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QIODevice
      switch(to) {
        case 190: return (void*)(QObject*)(QIODevice*)xptr;
        case 175: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 176:   //QIcon
      switch(to) {
        case 176: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 177:   //QIncompatibleFlag
      switch(to) {
        case 177: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 178:   //QInputMethodEvent
      switch(to) {
        case 178: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelection
      switch(to) {
        case 179: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 180:   //QItemSelectionModel
      switch(to) {
        case 190: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 180: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 181:   //QKeyEvent
      switch(to) {
        case 181: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QLineEdit
      switch(to) {
        case 182: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 183:   //QListView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 172: return (void*)(QFrame*)(QListView*)xptr;
        case 213: return (void*)(QWidget*)(QListView*)xptr;
        case 190: return (void*)(QObject*)(QListView*)xptr;
        case 183: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 184:   //QLocale
      switch(to) {
        case 184: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 185:   //QMetaObject
      switch(to) {
        case 185: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 186:   //QMimeData
      switch(to) {
        case 186: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 187:   //QModelIndex
      switch(to) {
        case 187: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 188:   //QMouseEvent
      switch(to) {
        case 188: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QMoveEvent
      switch(to) {
        case 189: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QObject
      switch(to) {
        case 190: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 191:   //QPaintEngine
      switch(to) {
        case 191: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEvent
      switch(to) {
        case 192: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QPainter
      switch(to) {
        case 193: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 194:   //QPalette
      switch(to) {
        case 194: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 195:   //QPoint
      switch(to) {
        case 195: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 196:   //QRect
      switch(to) {
        case 196: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 197:   //QRegExp
      switch(to) {
        case 197: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 198:   //QRegion
      switch(to) {
        case 198: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 199:   //QResizeEvent
      switch(to) {
        case 199: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 200:   //QSettings
      switch(to) {
        case 200: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 201:   //QShowEvent
      switch(to) {
        case 201: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 202:   //QSize
      switch(to) {
        case 202: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 203:   //QSortFilterProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 203: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 204:   //QStyle
      switch(to) {
        case 190: return (void*)(QObject*)(QStyle*)xptr;
        case 204: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 205:   //QStyleOptionViewItem
      switch(to) {
        case 205: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 206:   //QStyledItemDelegate
      switch(to) {
        case 190: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 206: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 207:   //QTabletEvent
      switch(to) {
        case 207: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 208:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 208: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTreeView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 172: return (void*)(QFrame*)(QTreeView*)xptr;
        case 213: return (void*)(QWidget*)(QTreeView*)xptr;
        case 190: return (void*)(QObject*)(QTreeView*)xptr;
        case 209: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 210:   //QUrl
      switch(to) {
        case 210: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 211:   //QVariant
      switch(to) {
        case 211: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 212:   //QWheelEvent
      switch(to) {
        case 212: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 213:   //QWidget
      switch(to) {
        case 190: return (void*)(QObject*)(QWidget*)xptr;
        case 213: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 214:   //boost::exception
      switch(to) {
        case 214: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception_detail::large_size
      switch(to) {
        case 215: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::small_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    190, 161, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    203, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    148, 0,	// 12: QAbstractItemModel
    213, 0,	// 14: QWidget
    190, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    131, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    206, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    209, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    213, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    183, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    152, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    135, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    150, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    143, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//130
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//132
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//133
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//134
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//135
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocale", true, 0, 0, 0, 0, 0 },	//141
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//142
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//143
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QColor", true, 0, 0, 0, 0, 0 },	//158
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//163
    { "QDialog", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//175
    { "QIcon", true, 0, 0, 0, 0, 0 },	//176
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//177
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//179
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//180
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//182
    { "QListView", true, 0, 0, 0, 0, 0 },	//183
    { "QLocale", true, 0, 0, 0, 0, 0 },	//184
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//185
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//186
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//187
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QObject", true, 0, 0, 0, 0, 0 },	//190
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QPainter", true, 0, 0, 0, 0, 0 },	//193
    { "QPalette", true, 0, 0, 0, 0, 0 },	//194
    { "QPoint", true, 0, 0, 0, 0, 0 },	//195
    { "QRect", true, 0, 0, 0, 0, 0 },	//196
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//197
    { "QRegion", true, 0, 0, 0, 0, 0 },	//198
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//199
    { "QSettings", true, 0, 0, 0, 0, 0 },	//200
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//201
    { "QSize", true, 0, 0, 0, 0, 0 },	//202
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//203
    { "QStyle", true, 0, 0, 0, 0, 0 },	//204
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//205
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//206
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//207
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//209
    { "QUrl", true, 0, 0, 0, 0, 0 },	//210
    { "QVariant", true, 0, 0, 0, 0, 0 },	//211
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//212
    { "QWidget", true, 0, 0, 0, 0, 0 },	//213
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//216
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//47
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//61
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//62
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//91
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//110
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//111
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//118
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//142
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//170
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//171
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//173
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//174
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//175
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//176
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//177
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//179
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//180
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//182
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//183
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//185
    { "KCharsets*", 130, Smoke::t_class|Smoke::tf_ptr },	//186
    { "KCompletion*", 132, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KComponentData", 134, Smoke::t_class|Smoke::tf_stack },	//188
    { "KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref },	//189
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//192
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KLocale*", 141, Smoke::t_class|Smoke::tf_ptr },	//194
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "KStandardDirs*", 144, Smoke::t_class|Smoke::tf_ptr },	//196
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//197
    { "KXMLGUIClient*", 146, Smoke::t_class|Smoke::tf_ptr },	//198
    { "KXmlGuiWindow*", 147, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QAbstractItemView*", 149, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QAbstractItemView::CursorAction", 149, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QAbstractItemView::EditTrigger", 149, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QAbstractItemView::ScrollHint", 149, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QAbstractItemView::SelectionMode", 149, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//208
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//209
    { "QChildEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QCloseEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QColor", 158, Smoke::t_class|Smoke::tf_stack },	//212
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//215
    { "QDateTime", 163, Smoke::t_class|Smoke::tf_stack },	//216
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//222
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//223
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//224
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//225
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//226
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//227
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//228
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//229
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIODevice&", 175, Smoke::t_class|Smoke::tf_ref },	//233
    { "QIcon", 176, Smoke::t_class|Smoke::tf_stack },	//234
    { "QIncompatibleFlag", 177, Smoke::t_class|Smoke::tf_stack },	//235
    { "QInputMethodEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QItemSelection", 179, Smoke::t_class|Smoke::tf_stack },	//237
    { "QItemSelectionModel*", 180, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QKeyEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QLineEdit*", 182, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QMetaObject::Call", 185, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QModelIndex", 187, Smoke::t_class|Smoke::tf_stack },	//254
    { "QMouseEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QMoveEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QObject*", 190, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QPaintEngine*", 191, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QPaintEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QPainter*", 193, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QRect", 196, Smoke::t_class|Smoke::tf_stack },	//262
    { "QRegExp&", 197, Smoke::t_class|Smoke::tf_ref },	//263
    { "QRegion", 198, Smoke::t_class|Smoke::tf_stack },	//264
    { "QResizeEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "QSettings*", 200, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QShowEvent*", 201, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QSize", 202, Smoke::t_class|Smoke::tf_stack },	//269
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//272
    { "QStyle&", 204, Smoke::t_class|Smoke::tf_ref },	//273
    { "QStyleOptionViewItem", 205, Smoke::t_class|Smoke::tf_stack },	//274
    { "QStyleOptionViewItem*", 205, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QTabletEvent*", 207, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QTimerEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QTreeView*", 209, Smoke::t_class|Smoke::tf_ptr },	//278
    { "QUrl", 210, Smoke::t_class|Smoke::tf_stack },	//279
    { "QVariant", 211, Smoke::t_class|Smoke::tf_stack },	//280
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//282
    { "QWheelEvent*", 212, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QWidget*", 213, Smoke::t_class|Smoke::tf_ptr },	//284
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForActiveQtModule", 173, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForCoreModule", 173, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForDBusModule", 173, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForDeclarativeModule", 173, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForGuiModule", 173, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForHelpModule", 173, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForMultimediaModule", 173, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForNetworkModule", 173, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForOpenGLModule", 173, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForOpenVGModule", 173, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForQt3SupportLightModule", 173, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForQt3SupportModule", 173, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForScriptModule", 173, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForScriptToolsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForSqlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForSvgModule", 173, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForTestModule", 173, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForXmlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForXmlPatternsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//375
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//376
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//377
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//378
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//379
    { "boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr },	//380
    { "boost::exception_detail::large_size", 215, Smoke::t_class|Smoke::tf_stack },	//381
    { "boost::exception_detail::small_size", 216, Smoke::t_class|Smoke::tf_stack },	//382
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//384
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//394
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//406
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const E&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const KComponentData&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const KLocalizedString&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//431
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QColor&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QDateTime&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QItemSelection&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QLocale&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QMetaObject&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QMetaObject*", 185, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//446
    { "const QModelIndex&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QObject*", 190, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//448
    { "const QPalette&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QPoint&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QRect&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QRegExp&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QStyleOptionViewItem&", 205, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVariant&", 211, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//459
    { "const boost::exception&", 214, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//461
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//463
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//466
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//467
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//468
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//469
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//470
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//471
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//472
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//473
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//474
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//475
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//476
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    454, 455, 455, 455, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    432, 0,	//6  const QByteArray&
    454, 0,	//8  const QString&
    455, 0,	//10  const QStringList&
    385, 0,	//12  const Akonadi::AddressAttribute&
    454, 455, 0,	//14  const QString&, const QStringList&
    454, 455, 455, 0,	//17  const QString&, const QStringList&, const QStringList&
    462, 0,	//21  const char*
    462, 462, 0,	//23  const char*, const char*
    462, 462, 466, 0,	//26  const char*, const char*, int
    252, 466, 475, 0,	//30  QMetaObject::Call, int, void**
    376, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    466, 454, 0,	//38  int, const QString&
    466, 0,	//41  int
    459, 0,	//43  const QVariantMap&
    379, 0,	//45  bool
    9, 454, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    405, 393, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    405, 453, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    405, 0,	//56  const Akonadi::Item&
    393, 393, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    393, 0,	//61  const Akonadi::Collection&
    386, 0,	//63  const Akonadi::AgentBase::Observer&
    405, 393, 393, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    393, 393, 393, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    393, 453, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    387, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    257, 0,	//78  QObject*
    466, 447, 0,	//80  int, const QModelIndex&
    388, 0,	//83  const Akonadi::AgentInstance&
    284, 0,	//85  QWidget*
    389, 257, 0,	//87  const Akonadi::AgentType&, QObject*
    454, 257, 0,	//90  const QString&, QObject*
    389, 0,	//93  const Akonadi::AgentType&
    447, 0,	//95  const QModelIndex&
    447, 466, 0,	//97  const QModelIndex&, int
    466, 330, 466, 0,	//100  int, Qt::Orientation, int
    466, 466, 447, 0,	//104  int, int, const QModelIndex&
    447, 458, 466, 0,	//108  const QModelIndex&, const QVariant&, int
    466, 330, 0,	//112  int, Qt::Orientation
    466, 466, 0,	//115  int, int
    388, 388, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    393, 379, 0,	//121  const Akonadi::Collection&, bool
    388, 454, 0,	//124  const Akonadi::AgentInstance&, const QString&
    388, 379, 0,	//127  const Akonadi::AgentInstance&, bool
    389, 389, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    390, 0,	//133  const Akonadi::Attribute&
    391, 0,	//135  const Akonadi::AttributeFactory&
    392, 0,	//137  const Akonadi::CachePolicy&
    267, 0,	//139  QSettings*
    33, 257, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    469, 0,	//146  long long
    430, 0,	//148  const KUrl&
    222, 0,	//150  QFlags<Akonadi::Collection::Right>
    398, 0,	//152  const Akonadi::CollectionStatistics&
    201, 284, 0,	//154  QAbstractItemModel*, QWidget*
    201, 0,	//157  QAbstractItemModel*
    393, 393, 257, 0,	//159  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    393, 257, 0,	//163  const Akonadi::Collection&, QObject*
    432, 432, 0,	//166  const QByteArray&, const QByteArray&
    223, 201, 284, 0,	//169  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    206, 0,	//173  QAbstractItemView::SelectionMode
    223, 0,	//175  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    223, 201, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    393, 46, 257, 0,	//180  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    438, 257, 0,	//184  const QList<Akonadi::Collection>&, QObject*
    395, 0,	//187  const Akonadi::CollectionFetchScope&
    394, 0,	//189  const Akonadi::Collection::List&
    193, 0,	//191  KJob*
    393, 46, 0,	//193  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    438, 0,	//196  const QList<Akonadi::Collection>&
    49, 0,	//198  Akonadi::CollectionFetchScope::AncestorRetrieval
    466, 330, 458, 466, 0,	//200  int, Qt::Orientation, const QVariant&, int
    441, 0,	//205  const QList<QModelIndex>&
    446, 306, 466, 466, 447, 0,	//207  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//213  Akonadi::Collection::Id
    53, 257, 0,	//215  Akonadi::CollectionModelPrivate*, QObject*
    466, 330, 458, 0,	//218  int, Qt::Orientation, const QVariant&
    447, 458, 0,	//222  const QModelIndex&, const QVariant&
    53, 0,	//225  Akonadi::CollectionModelPrivate*
    393, 284, 0,	//227  const Akonadi::Collection&, QWidget*
    393, 455, 284, 0,	//230  const Akonadi::Collection&, const QStringList&, QWidget*
    58, 0,	//234  Akonadi::CollectionPropertiesPageFactory*
    393, 455, 0,	//236  const Akonadi::Collection&, const QStringList&
    35, 0,	//239  Akonadi::Collection&
    396, 0,	//241  const Akonadi::CollectionPropertiesPageFactory&
    469, 469, 0,	//243  long long, long long
    397, 0,	//246  const Akonadi::CollectionQuotaAttribute&
    202, 0,	//248  QAbstractItemView*
    278, 0,	//250  QTreeView*
    261, 457, 447, 0,	//252  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    275, 447, 0,	//256  QStyleOptionViewItem*, const QModelIndex&
    199, 284, 0,	//259  KXmlGuiWindow*, QWidget*
    198, 284, 0,	//262  KXMLGUIClient*, QWidget*
    199, 0,	//265  KXmlGuiWindow*
    198, 0,	//267  KXMLGUIClient*
    447, 447, 0,	//269  const QModelIndex&, const QModelIndex&
    219, 0,	//272  QDragMoveEvent*
    218, 0,	//274  QDragLeaveEvent*
    220, 0,	//276  QDropEvent*
    213, 0,	//278  QContextMenuEvent*
    454, 454, 0,	//280  const QString&, const QString&
    422, 0,	//283  const KABC::PhoneNumber&
    417, 0,	//285  const KABC::Address&
    71, 284, 0,	//287  Akonadi::ContactEditor::Mode, QWidget*
    71, 1, 284, 0,	//290  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    418, 0,	//294  const KABC::Addressee&
    71, 0,	//296  Akonadi::ContactEditor::Mode
    71, 1, 0,	//298  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    73, 284, 0,	//301  Akonadi::ContactEditorDialog::Mode, QWidget*
    73, 1, 284, 0,	//304  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    73, 0,	//308  Akonadi::ContactEditorDialog::Mode
    73, 1, 0,	//310  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    174, 0,	//313  KABC::Addressee&
    76, 284, 0,	//315  Akonadi::ContactGroupEditor::Mode, QWidget*
    419, 0,	//318  const KABC::ContactGroup&
    76, 0,	//320  Akonadi::ContactGroupEditor::Mode
    78, 284, 0,	//322  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    78, 0,	//325  Akonadi::ContactGroupEditorDialog::Mode
    419, 257, 0,	//327  const KABC::ContactGroup&, QObject*
    81, 454, 0,	//330  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    81, 454, 82, 0,	//333  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//337  Akonadi::AbstractContactGroupFormatter*
    86, 454, 0,	//339  Akonadi::ContactSearchJob::Criterion, const QString&
    86, 454, 87, 0,	//342  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//346  Akonadi::AbstractContactFormatter*
    399, 0,	//348  const Akonadi::Entity&
    27, 0,	//350  Akonadi::Attribute*
    98, 0,	//352  Akonadi::EntityPrivate*
    433, 0,	//354  const QColor&
    400, 0,	//356  const Akonadi::EntityDisplayAttribute&
    401, 0,	//358  const Akonadi::EntityHiddenAttribute&
    227, 0,	//360  QFlags<Qt::DropAction>
    102, 0,	//362  Akonadi::EntityTreeModel::HeaderGroup
    447, 466, 458, 466, 230, 0,	//364  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    447, 466, 458, 0,	//370  const QModelIndex&, int, const QVariant&
    447, 466, 458, 466, 0,	//374  const QModelIndex&, int, const QVariant&, int
    32, 257, 0,	//379  Akonadi::ChangeRecorder*, QObject*
    103, 0,	//382  Akonadi::EntityTreeModel::ItemPopulationStrategy
    100, 0,	//384  Akonadi::EntityTreeModel::CollectionFetchStrategy
    431, 393, 0,	//386  const QAbstractItemModel*, const Akonadi::Collection&
    431, 405, 0,	//389  const QAbstractItemModel*, const Akonadi::Item&
    405, 466, 466, 0,	//392  const Akonadi::Item&, int, int
    393, 466, 466, 0,	//396  const Akonadi::Collection&, int, int
    466, 330, 466, 102, 0,	//400  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    405, 458, 230, 0,	//405  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    393, 458, 230, 0,	//409  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 105, 257, 0,	//413  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//417  Akonadi::ChangeRecorder*
    405, 466, 0,	//419  const Akonadi::Item&, int
    393, 466, 0,	//422  const Akonadi::Collection&, int
    32, 105, 0,	//425  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    277, 0,	//428  QTimerEvent*
    189, 0,	//430  KConfigGroup&
    428, 0,	//432  const KConfigGroup&
    404, 0,	//434  const Akonadi::Exception&
    201, 428, 257, 0,	//436  QAbstractItemModel*, const KConfigGroup&, QObject*
    393, 454, 0,	//440  const Akonadi::Collection&, const QString&
    201, 428, 0,	//443  QAbstractItemModel*, const KConfigGroup&
    434, 0,	//446  const QDateTime&
    453, 0,	//448  const QSet<QByteArray>&
    113, 0,	//450  Akonadi::Item::UrlType
    405, 393, 257, 0,	//452  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    440, 393, 257, 0,	//456  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    440, 393, 0,	//460  const QList<Akonadi::Item>&, const Akonadi::Collection&
    405, 257, 0,	//463  const Akonadi::Item&, QObject*
    440, 257, 0,	//466  const QList<Akonadi::Item>&, QObject*
    440, 0,	//469  const QList<Akonadi::Item>&
    118, 0,	//471  Akonadi::ItemFetchScope&
    407, 0,	//473  const Akonadi::ItemFetchScope&
    406, 0,	//475  const Akonadi::Item::List&
    432, 379, 0,	//477  const QByteArray&, bool
    120, 0,	//480  Akonadi::ItemFetchScope::AncestorRetrieval
    405, 463, 0,	//482  const Akonadi::Item&, const int
    111, 432, 233, 466, 0,	//485  Akonadi::Item&, const QByteArray&, QIODevice&, int
    405, 432, 233, 467, 0,	//490  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    408, 0,	//495  const Akonadi::ItemSerializerPlugin&
    111, 405, 0,	//497  Akonadi::Item&, const Akonadi::Item&
    409, 0,	//500  const Akonadi::ItemSerializerPluginV2&
    440, 440, 0,	//502  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    131, 0,	//505  Akonadi::ItemSync::TransactionMode
    405, 111, 0,	//507  const Akonadi::Item&, Akonadi::Item&
    133, 0,	//510  Akonadi::Job*
    135, 257, 0,	//512  Akonadi::JobPrivate*, QObject*
    393, 440, 257, 0,	//515  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    393, 440, 0,	//519  const Akonadi::Collection&, const QList<Akonadi::Item>&
    410, 0,	//522  const Akonadi::MessageFolderAttribute&
    466, 466, 472, 0,	//524  int, int, unsigned int
    411, 0,	//528  const Akonadi::MessageThreadingAttribute&
    439, 0,	//530  const QList<Akonadi::Item::Id>&
    412, 0,	//532  const Akonadi::MimeTypeChecker&
    405, 454, 0,	//534  const Akonadi::Item&, const QString&
    405, 379, 0,	//537  const Akonadi::Item&, bool
    454, 379, 0,	//540  const QString&, bool
    158, 0,	//543  Akonadi::Session*
    37, 398, 0,	//545  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    145, 257, 0,	//548  Akonadi::MonitorPrivate*, QObject*
    145, 0,	//551  Akonadi::MonitorPrivate*
    447, 432, 257, 0,	//553  const QModelIndex&, const QByteArray&, QObject*
    447, 432, 0,	//557  const QModelIndex&, const QByteArray&
    413, 0,	//560  const Akonadi::PayloadBase&
    414, 0,	//562  const Akonadi::PayloadException&
    150, 0,	//564  Akonadi::PreprocessorBase::ProcessingResult
    471, 0,	//566  qlonglong
    438, 438, 0,	//568  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    469, 379, 0,	//571  long long, bool
    257, 462, 458, 152, 0,	//574  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    257, 462, 458, 0,	//579  QObject*, const char*, const QVariant&
    388, 257, 0,	//583  const Akonadi::AgentInstance&, QObject*
    454, 454, 257, 0,	//586  const QString&, const QString&, QObject*
    238, 257, 0,	//590  QItemSelectionModel*, QObject*
    238, 0,	//593  QItemSelectionModel*
    157, 0,	//595  Akonadi::ServerManager::State
    432, 257, 0,	//597  const QByteArray&, QObject*
    159, 432, 257, 0,	//600  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    159, 0,	//604  Akonadi::SessionPrivate*
    159, 432, 0,	//606  Akonadi::SessionPrivate*, const QByteArray&
    185, 284, 0,	//609  KActionCollection*, QWidget*
    109, 0,	//612  Akonadi::FavoriteCollectionsModel*
    162, 0,	//614  Akonadi::StandardActionManager::Type
    162, 429, 0,	//616  Akonadi::StandardActionManager::Type, const KLocalizedString&
    162, 379, 0,	//619  Akonadi::StandardActionManager::Type, bool
    162, 161, 454, 0,	//622  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    162, 161, 429, 0,	//626  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    185, 0,	//630  KActionCollection*
    405, 169, 454, 0,	//632  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    415, 0,	//636  const Akonadi::TransportResourceBase&
    405, 169, 0,	//638  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    257, 221, 0,	//641  QObject*, QEvent*
    240, 0,	//644  QLineEdit*
    455, 379, 0,	//646  const QStringList&, bool
    473, 379, 379, 0,	//649  unsigned long, bool, bool
    283, 0,	//653  QWheelEvent*
    187, 379, 0,	//655  KCompletion*, bool
    191, 0,	//658  KGlobalSettings::Completion
    466, 474, 0,	//660  int, void*
    193, 454, 454, 0,	//663  KJob*, const QString&, const QString&
    232, 0,	//667  QHideEvent*
    211, 0,	//669  QCloseEvent*
    239, 0,	//671  QKeyEvent*
    210, 0,	//673  QChildEvent*
    437, 0,	//675  const QItemSelection&
    447, 443, 0,	//677  const QModelIndex&, const QMap<int,QVariant>&
    466, 338, 0,	//680  int, Qt::SortOrder
    318, 0,	//683  Qt::InputMethodQuery
    284, 200, 0,	//685  QWidget*, QAbstractItemDelegate::EndEditHint
    447, 204, 221, 0,	//688  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    447, 435, 0,	//692  const QModelIndex&, const QEvent*
    221, 0,	//695  QEvent*
    255, 0,	//697  QMouseEvent*
    217, 0,	//699  QDragEnterEvent*
    231, 0,	//701  QFocusEvent*
    265, 0,	//703  QResizeEvent*
    236, 0,	//705  QInputMethodEvent*
    260, 0,	//707  QPaintEvent*
    268, 0,	//709  QShowEvent*
    447, 205, 0,	//711  const QModelIndex&, QAbstractItemView::ScrollHint
    450, 0,	//714  const QPoint&
    447, 466, 466, 0,	//716  const QModelIndex&, int, int
    203, 229, 0,	//720  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    451, 226, 0,	//723  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    437, 437, 0,	//726  const QItemSelection&, const QItemSelection&
    457, 447, 0,	//729  const QStyleOptionViewItem&, const QModelIndex&
    284, 457, 447, 0,	//732  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    284, 447, 0,	//736  QWidget*, const QModelIndex&
    284, 201, 447, 0,	//739  QWidget*, QAbstractItemModel*, const QModelIndex&
    458, 442, 0,	//743  const QVariant&, const QLocale&
    221, 201, 457, 447, 0,	//746  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    261, 451, 447, 0,	//751  QPainter*, const QRect&, const QModelIndex&
    256, 0,	//755  QMoveEvent*
    276, 0,	//757  QTabletEvent*
    207, 0,	//759  QActionEvent*
    377, 0,	//761  _XEvent*
    258, 0,	//763  QPaintDevice::PaintDeviceMetric
    273, 0,	//765  QStyle&
    449, 0,	//767  const QPalette&
    436, 0,	//769  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "AgentBase",	//17
    "AgentBase#$",	//18
    "AgentBase$",	//19
    "AgentFilterProxyModel",	//20
    "AgentFilterProxyModel#",	//21
    "AgentInstance",	//22
    "AgentInstance#",	//23
    "AgentInstanceCreateJob",	//24
    "AgentInstanceCreateJob#",	//25
    "AgentInstanceCreateJob##",	//26
    "AgentInstanceCreateJob$",	//27
    "AgentInstanceCreateJob$#",	//28
    "AgentInstanceModel",	//29
    "AgentInstanceModel#",	//30
    "AgentInstanceWidget",	//31
    "AgentInstanceWidget#",	//32
    "AgentType",	//33
    "AgentType#",	//34
    "AgentTypeDialog",	//35
    "AgentTypeDialog#",	//36
    "AgentTypeModel",	//37
    "AgentTypeModel#",	//38
    "AgentTypeWidget",	//39
    "AgentTypeWidget#",	//40
    "All",	//41
    "AllEditTriggers",	//42
    "AllRights",	//43
    "AllowToCreateNewChildCollection",	//44
    "AmazingCompletionRole",	//45
    "AnimatingState",	//46
    "AnyKeyPressed",	//47
    "AppNameCaption",	//48
    "Append",	//49
    "Apply",	//50
    "Attribute",	//51
    "Attribute#",	//52
    "AttributeFactory",	//53
    "AttributeFactory#",	//54
    "AvailablePartsRole",	//55
    "Base",	//56
    "Batched",	//57
    "BelowItem",	//58
    "Box",	//59
    "Broken",	//60
    "Bytes",	//61
    "CachePolicy",	//62
    "CachePolicy#",	//63
    "CanChangeCollection",	//64
    "CanChangeItem",	//65
    "CanCreateCollection",	//66
    "CanCreateItem",	//67
    "CanDeleteCollection",	//68
    "CanDeleteItem",	//69
    "CanLinkItem",	//70
    "CanUnlinkItem",	//71
    "Cancel",	//72
    "CapabilitiesRole",	//73
    "ChangeRecorder",	//74
    "ChangeRecorder#",	//75
    "ChangeRecorder##",	//76
    "ChildrenOfExactSelection",	//77
    "Close",	//78
    "CollapsingState",	//79
    "Collection",	//80
    "Collection#",	//81
    "Collection$",	//82
    "CollectionChildOrderRole",	//83
    "CollectionComboBox",	//84
    "CollectionComboBox#",	//85
    "CollectionComboBox##",	//86
    "CollectionCopyJob",	//87
    "CollectionCopyJob##",	//88
    "CollectionCopyJob###",	//89
    "CollectionCreateJob",	//90
    "CollectionCreateJob#",	//91
    "CollectionCreateJob##",	//92
    "CollectionDeleteJob",	//93
    "CollectionDeleteJob#",	//94
    "CollectionDeleteJob##",	//95
    "CollectionDerefRole",	//96
    "CollectionDialog",	//97
    "CollectionDialog#",	//98
    "CollectionDialog##",	//99
    "CollectionDialog$",	//100
    "CollectionDialog$#",	//101
    "CollectionDialog$##",	//102
    "CollectionFetchJob",	//103
    "CollectionFetchJob#",	//104
    "CollectionFetchJob#$",	//105
    "CollectionFetchJob#$#",	//106
    "CollectionFetchJob?",	//107
    "CollectionFetchJob?#",	//108
    "CollectionFetchScope",	//109
    "CollectionFetchScope#",	//110
    "CollectionFilterProxyModel",	//111
    "CollectionFilterProxyModel#",	//112
    "CollectionIdRole",	//113
    "CollectionModel",	//114
    "CollectionModel#",	//115
    "CollectionModel##",	//116
    "CollectionModifyJob",	//117
    "CollectionModifyJob#",	//118
    "CollectionModifyJob##",	//119
    "CollectionMoveJob",	//120
    "CollectionMoveJob##",	//121
    "CollectionMoveJob###",	//122
    "CollectionProperties",	//123
    "CollectionPropertiesDialog",	//124
    "CollectionPropertiesDialog#",	//125
    "CollectionPropertiesDialog##",	//126
    "CollectionPropertiesDialog#?",	//127
    "CollectionPropertiesDialog#?#",	//128
    "CollectionPropertiesPage",	//129
    "CollectionPropertiesPage#",	//130
    "CollectionPropertiesPageFactory",	//131
    "CollectionPropertiesPageFactory#",	//132
    "CollectionQuotaAttribute",	//133
    "CollectionQuotaAttribute#",	//134
    "CollectionQuotaAttribute$$",	//135
    "CollectionRefRole",	//136
    "CollectionRequester",	//137
    "CollectionRequester#",	//138
    "CollectionRequester##",	//139
    "CollectionRole",	//140
    "CollectionStatistics",	//141
    "CollectionStatistics#",	//142
    "CollectionStatisticsDelegate",	//143
    "CollectionStatisticsDelegate#",	//144
    "CollectionStatisticsJob",	//145
    "CollectionStatisticsJob#",	//146
    "CollectionStatisticsJob##",	//147
    "CollectionStatisticsModel",	//148
    "CollectionStatisticsModel#",	//149
    "CollectionSyncProgressRole",	//150
    "CollectionTreeHeaders",	//151
    "CollectionView",	//152
    "CollectionView#",	//153
    "CollectionView##",	//154
    "ColumnCountRole",	//155
    "ConnectionFailed",	//156
    "ContactDefaultActions",	//157
    "ContactDefaultActions#",	//158
    "ContactEditor",	//159
    "ContactEditor$",	//160
    "ContactEditor$#",	//161
    "ContactEditor$##",	//162
    "ContactEditorDialog",	//163
    "ContactEditorDialog$",	//164
    "ContactEditorDialog$#",	//165
    "ContactEditorDialog$##",	//166
    "ContactEditorPagePlugin",	//167
    "ContactGroupEditor",	//168
    "ContactGroupEditor$",	//169
    "ContactGroupEditor$#",	//170
    "ContactGroupEditorDialog",	//171
    "ContactGroupEditorDialog$",	//172
    "ContactGroupEditorDialog$#",	//173
    "ContactGroupExpandJob",	//174
    "ContactGroupExpandJob#",	//175
    "ContactGroupExpandJob##",	//176
    "ContactGroupExpandJob$",	//177
    "ContactGroupExpandJob$#",	//178
    "ContactGroupSearchJob",	//179
    "ContactGroupSearchJob#",	//180
    "ContactGroupViewer",	//181
    "ContactGroupViewer#",	//182
    "ContactGroupViewerDialog",	//183
    "ContactGroupViewerDialog#",	//184
    "ContactSearchJob",	//185
    "ContactSearchJob#",	//186
    "ContactUid",	//187
    "ContactViewer",	//188
    "ContactViewer#",	//189
    "ContactViewerDialog",	//190
    "ContactViewerDialog#",	//191
    "ContainsMatch",	//192
    "ContiguousSelection",	//193
    "Control",	//194
    "CopyCollectionToDialog",	//195
    "CopyCollectionToMenu",	//196
    "CopyCollections",	//197
    "CopyItemToDialog",	//198
    "CopyItemToMenu",	//199
    "CopyItems",	//200
    "CreateCollection",	//201
    "CreateMode",	//202
    "CreateResource",	//203
    "CurrentChanged",	//204
    "CutCollections",	//205
    "CutItems",	//206
    "Date",	//207
    "Default",	//208
    "DelayedPopup",	//209
    "DeleteCollections",	//210
    "DeleteItems",	//211
    "DeleteResources",	//212
    "DescriptionRole",	//213
    "Details",	//214
    "DialogText",	//215
    "DialogTitle",	//216
    "Directories",	//217
    "DoubleClicked",	//218
    "DragDrop",	//219
    "DragOnly",	//220
    "DragSelectingState",	//221
    "DraggingState",	//222
    "DrawChildren",	//223
    "DrawWindowBackground",	//224
    "DropOnly",	//225
    "EditKeyPressed",	//226
    "EditMode",	//227
    "EditingState",	//228
    "Email",	//229
    "EmitResult",	//230
    "EndHeaderGroup",	//231
    "EndRole",	//232
    "EnsureVisible",	//233
    "Entity",	//234
    "Entity#",	//235
    "EntityDisplayAttribute",	//236
    "EntityDisplayAttribute#",	//237
    "EntityHiddenAttribute",	//238
    "EntityHiddenAttribute#",	//239
    "EntityListView",	//240
    "EntityListView#",	//241
    "EntityListView##",	//242
    "EntityMimeTypeFilterModel",	//243
    "EntityMimeTypeFilterModel#",	//244
    "EntityTreeHeaders",	//245
    "EntityTreeModel",	//246
    "EntityTreeModel#",	//247
    "EntityTreeModel##",	//248
    "EntityTreeModel###",	//249
    "EntityTreeView",	//250
    "EntityTreeView#",	//251
    "EntityTreeView##",	//252
    "EntityTreeViewStateSaver",	//253
    "EntityTreeViewStateSaver#",	//254
    "EntityUrlRole",	//255
    "ErrorMessageText",	//256
    "ErrorMessageTitle",	//257
    "ExactMatch",	//258
    "ExactSelection",	//259
    "Exception",	//260
    "Exception#",	//261
    "Exception$",	//262
    "ExpandingState",	//263
    "ExtendedSelection",	//264
    "FavoriteCollectionsModel",	//265
    "FavoriteCollectionsModel##",	//266
    "FavoriteCollectionsModel###",	//267
    "FetchCollectionsRecursive",	//268
    "FetchFirstLevelChildCollections",	//269
    "FetchNoCollections",	//270
    "FetchStateRole",	//271
    "FetchingState",	//272
    "Files",	//273
    "FirstLevel",	//274
    "Fixed",	//275
    "Free",	//276
    "FullPayload",	//277
    "HIGCompliantCaption",	//278
    "HLine",	//279
    "Help",	//280
    "IconMode",	//281
    "Id",	//282
    "IdRole",	//283
    "IdentifierRole",	//284
    "Idle",	//285
    "IdleState",	//286
    "IgnoreMask",	//287
    "ImmediatePopulation",	//288
    "InsertAfterCurrent",	//289
    "InsertAlphabetically",	//290
    "InsertAtBottom",	//291
    "InsertAtCurrent",	//292
    "InsertAtTop",	//293
    "InsertBeforeCurrent",	//294
    "InstanceIdentifierRole",	//295
    "InstanceRole",	//296
    "InstantPopup",	//297
    "InternalMove",	//298
    "InvisibleCollectionFetch",	//299
    "Item",	//300
    "Item#",	//301
    "Item$",	//302
    "ItemCopyJob",	//303
    "ItemCopyJob##",	//304
    "ItemCopyJob###",	//305
    "ItemCopyJob?#",	//306
    "ItemCopyJob?##",	//307
    "ItemCreateJob",	//308
    "ItemCreateJob##",	//309
    "ItemCreateJob###",	//310
    "ItemDeleteJob",	//311
    "ItemDeleteJob#",	//312
    "ItemDeleteJob##",	//313
    "ItemDeleteJob?",	//314
    "ItemDeleteJob?#",	//315
    "ItemFetchJob",	//316
    "ItemFetchJob#",	//317
    "ItemFetchJob##",	//318
    "ItemFetchJob?",	//319
    "ItemFetchJob?#",	//320
    "ItemFetchScope",	//321
    "ItemFetchScope#",	//322
    "ItemIdRole",	//323
    "ItemListHeaders",	//324
    "ItemModel",	//325
    "ItemModel#",	//326
    "ItemModifyJob",	//327
    "ItemModifyJob#",	//328
    "ItemModifyJob##",	//329
    "ItemModifyJob?",	//330
    "ItemModifyJob?#",	//331
    "ItemMonitor",	//332
    "ItemMoveJob",	//333
    "ItemMoveJob##",	//334
    "ItemMoveJob###",	//335
    "ItemMoveJob?#",	//336
    "ItemMoveJob?##",	//337
    "ItemRole",	//338
    "ItemSearchJob",	//339
    "ItemSearchJob$",	//340
    "ItemSearchJob$#",	//341
    "ItemSerializerPlugin",	//342
    "ItemSerializerPlugin#",	//343
    "ItemSerializerPluginV2",	//344
    "ItemSerializerPluginV2#",	//345
    "ItemSync",	//346
    "ItemSync#",	//347
    "ItemSync##",	//348
    "ItemView",	//349
    "ItemView#",	//350
    "ItemView##",	//351
    "Job",	//352
    "Job#",	//353
    "Job##",	//354
    "Killable",	//355
    "KilledJobError",	//356
    "LastType",	//357
    "LazyPopulation",	//358
    "LeftToRight",	//359
    "LicensedActiveQt",	//360
    "LicensedCore",	//361
    "LicensedDBus",	//362
    "LicensedDeclarative",	//363
    "LicensedGui",	//364
    "LicensedHelp",	//365
    "LicensedMultimedia",	//366
    "LicensedNetwork",	//367
    "LicensedOpenGL",	//368
    "LicensedOpenVG",	//369
    "LicensedQt3Support",	//370
    "LicensedQt3SupportLight",	//371
    "LicensedScript",	//372
    "LicensedScriptTools",	//373
    "LicensedSql",	//374
    "LicensedSvg",	//375
    "LicensedTest",	//376
    "LicensedXml",	//377
    "LicensedXmlPatterns",	//378
    "LinkJob",	//379
    "LinkJob#?",	//380
    "LinkJob#?#",	//381
    "ListMode",	//382
    "LoadedPartsRole",	//383
    "ManageLocalSubscriptions",	//384
    "MessageBoxAlternativeText",	//385
    "MessageBoxText",	//386
    "MessageBoxTitle",	//387
    "MessageFolderAttribute",	//388
    "MessageFolderAttribute#",	//389
    "MessageModel",	//390
    "MessageModel#",	//391
    "MessageThreaderProxyModel",	//392
    "MessageThreaderProxyModel#",	//393
    "MessageThreadingAttribute",	//394
    "MessageThreadingAttribute#",	//395
    "MimeType",	//396
    "MimeTypeChecker",	//397
    "MimeTypeChecker#",	//398
    "MimeTypeRole",	//399
    "MimeTypesRole",	//400
    "ModifiedCaption",	//401
    "Monitor",	//402
    "Monitor#",	//403
    "Monitor##",	//404
    "MoveCollectionToDialog",	//405
    "MoveCollectionToMenu",	//406
    "MoveDown",	//407
    "MoveEnd",	//408
    "MoveHome",	//409
    "MoveItemToDialog",	//410
    "MoveItemToMenu",	//411
    "MoveLeft",	//412
    "MoveNext",	//413
    "MovePageDown",	//414
    "MovePageUp",	//415
    "MovePrevious",	//416
    "MoveRight",	//417
    "MoveUp",	//418
    "MultiSelection",	//419
    "MultipleTransactions",	//420
    "Name",	//421
    "NameOrEmail",	//422
    "NextCompletionMatch",	//423
    "NickName",	//424
    "No",	//425
    "NoCapabilities",	//426
    "NoCaptionFlags",	//427
    "NoDefault",	//428
    "NoDragDrop",	//429
    "NoEditTriggers",	//430
    "NoError",	//431
    "NoFrame",	//432
    "NoInsert",	//433
    "NoItemPopulation",	//434
    "NoSelection",	//435
    "NoState",	//436
    "NoTransaction",	//437
    "None",	//438
    "NotRunning",	//439
    "Observer",	//440
    "Observer#",	//441
    "ObserverV2",	//442
    "ObserverV2#",	//443
    "Ok",	//444
    "OldCollectionIdRole",	//445
    "OldCollectionRole",	//446
    "OnItem",	//447
    "OnViewport",	//448
    "OnlineRole",	//449
    "Panel",	//450
    "Parent",	//451
    "ParentCollectionRole",	//452
    "PartFetcher",	//453
    "PartFetcher##",	//454
    "PartFetcher###",	//455
    "Paste",	//456
    "PayloadBase",	//457
    "PayloadBase#",	//458
    "PayloadException",	//459
    "PayloadException#",	//460
    "PayloadException$",	//461
    "PendingCutRole",	//462
    "Plain",	//463
    "PositionAtBottom",	//464
    "PositionAtCenter",	//465
    "PositionAtTop",	//466
    "Prepend",	//467
    "PreprocessorBase",	//468
    "PreprocessorBase$",	//469
    "PrevCompletionMatch",	//470
    "ProcessingCompleted",	//471
    "ProcessingDelayed",	//472
    "ProcessingFailed",	//473
    "ProcessingRefused",	//474
    "ProgressRole",	//475
    "ProtocolVersionMismatch",	//476
    "QtCriticalMsg",	//477
    "QtDebugMsg",	//478
    "QtFatalMsg",	//479
    "QtSystemMsg",	//480
    "QtWarningMsg",	//481
    "Quietly",	//482
    "Raised",	//483
    "ReadOnly",	//484
    "Receiver",	//485
    "Recursive",	//486
    "RecursiveSizeRole",	//487
    "RecursiveStatisticsRole",	//488
    "RecursiveTotalRole",	//489
    "RecursiveUnreadRole",	//490
    "Rejected",	//491
    "RemoteId",	//492
    "RemoteIdRole",	//493
    "RemoveFromFavoriteCollections",	//494
    "RenameFavoriteCollection",	//495
    "Reset",	//496
    "ResourceBase",	//497
    "ResourceBase$",	//498
    "ResourceProperties",	//499
    "ResourceSynchronizationJob",	//500
    "ResourceSynchronizationJob#",	//501
    "ResourceSynchronizationJob##",	//502
    "Running",	//503
    "ScrollPerItem",	//504
    "ScrollPerPixel",	//505
    "SearchCreateJob",	//506
    "SearchCreateJob$$",	//507
    "SearchCreateJob$$#",	//508
    "SelectColumns",	//509
    "SelectItems",	//510
    "SelectRows",	//511
    "SelectedClicked",	//512
    "SelectionProxyModel",	//513
    "SelectionProxyModel#",	//514
    "SelectionProxyModel##",	//515
    "Sender",	//516
    "Session",	//517
    "Session#",	//518
    "Session##",	//519
    "Session###",	//520
    "SessionRole",	//521
    "Shadow_Mask",	//522
    "Shape_Mask",	//523
    "SinglePass",	//524
    "SingleSelection",	//525
    "SingleTransaction",	//526
    "Size",	//527
    "SizeRole",	//528
    "Snap",	//529
    "StandardActionManager",	//530
    "StandardActionManager#",	//531
    "StandardActionManager##",	//532
    "Starting",	//533
    "StartsWithMatch",	//534
    "Static",	//535
    "StatisticsProxyModel",	//536
    "StatisticsProxyModel#",	//537
    "StatisticsRole",	//538
    "StatusMessageRole",	//539
    "StatusRole",	//540
    "Stopping",	//541
    "StyledPanel",	//542
    "SubTreeRoots",	//543
    "SubTrees",	//544
    "SubTreesWithoutRoots",	//545
    "Subject",	//546
    "SubstringCompletion",	//547
    "Sunken",	//548
    "Suspendable",	//549
    "SynchronizeCollections",	//550
    "SynchronizeCollectionsRecursive",	//551
    "SynchronizeResources",	//552
    "TerminalUserRole",	//553
    "TextCompletion",	//554
    "ToggleWorkOffline",	//555
    "TopToBottom",	//556
    "TotalRole",	//557
    "TransactionBeginJob",	//558
    "TransactionBeginJob#",	//559
    "TransactionCommitJob",	//560
    "TransactionCommitJob#",	//561
    "TransactionRollbackJob",	//562
    "TransactionRollbackJob#",	//563
    "TransactionSequence",	//564
    "TransactionSequence#",	//565
    "TransportFailed",	//566
    "TransportResourceBase",	//567
    "TransportResourceBase#",	//568
    "TransportSucceeded",	//569
    "Try",	//570
    "TypeIdentifierRole",	//571
    "TypeRole",	//572
    "Unknown",	//573
    "UnlinkJob",	//574
    "UnlinkJob#?",	//575
    "UnlinkJob#?#",	//576
    "UnreadCountRole",	//577
    "UnreadRole",	//578
    "UrlShort",	//579
    "UrlWithMimeType",	//580
    "User1",	//581
    "User2",	//582
    "User3",	//583
    "UserCanceled",	//584
    "UserDefinedError",	//585
    "UserError",	//586
    "UserHeaders",	//587
    "UserRole",	//588
    "VLine",	//589
    "WinPanel",	//590
    "Yes",	//591
    "_CS_GNU_LIBC_VERSION",	//592
    "_CS_GNU_LIBPTHREAD_VERSION",	//593
    "_CS_LFS64_CFLAGS",	//594
    "_CS_LFS64_LDFLAGS",	//595
    "_CS_LFS64_LIBS",	//596
    "_CS_LFS64_LINTFLAGS",	//597
    "_CS_LFS_CFLAGS",	//598
    "_CS_LFS_LDFLAGS",	//599
    "_CS_LFS_LIBS",	//600
    "_CS_LFS_LINTFLAGS",	//601
    "_CS_PATH",	//602
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//603
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//604
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//605
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//606
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//607
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//608
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//609
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//610
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//611
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//612
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//613
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//614
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//615
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//616
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//617
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//618
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//619
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//620
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//621
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//622
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//623
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//624
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//625
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//626
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//627
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//628
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//629
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//630
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//631
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//632
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//633
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//634
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//635
    "_CS_V6_ENV",	//636
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//637
    "_CS_V7_ENV",	//638
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//639
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//640
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//641
    "_CS_XBS5_ILP32_OFF32_LIBS",	//642
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//643
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//644
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//645
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//646
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//647
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//648
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//649
    "_CS_XBS5_LP64_OFF64_LIBS",	//650
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//651
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//652
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//653
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//654
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//655
    "__codecvt_error",	//656
    "__codecvt_noconv",	//657
    "__codecvt_ok",	//658
    "__codecvt_partial",	//659
    "abortActivity",	//660
    "abortCurrentTask",	//661
    "abortRequested",	//662
    "aboutToQuit",	//663
    "aboutToStart",	//664
    "aboutToStart#",	//665
    "accept",	//666
    "accessRightsFilter",	//667
    "action",	//668
    "action$",	//669
    "actionEvent",	//670
    "actionStateUpdated",	//671
    "activated",	//672
    "activated#",	//673
    "activeIcon",	//674
    "activeIconName",	//675
    "addAttribute",	//676
    "addAttribute#",	//677
    "addCapabilityFilter",	//678
    "addCapabilityFilter$",	//679
    "addCollection",	//680
    "addCollection#",	//681
    "addMimeTypeExclusionFilter",	//682
    "addMimeTypeExclusionFilter$",	//683
    "addMimeTypeExclusionFilters",	//684
    "addMimeTypeExclusionFilters?",	//685
    "addMimeTypeFilter",	//686
    "addMimeTypeFilter$",	//687
    "addMimeTypeFilters",	//688
    "addMimeTypeFilters?",	//689
    "addMimeTypeInclusionFilter",	//690
    "addMimeTypeInclusionFilter$",	//691
    "addMimeTypeInclusionFilters",	//692
    "addMimeTypeInclusionFilters?",	//693
    "addSubjob",	//694
    "addSubjob#",	//695
    "addWantedMimeType",	//696
    "addWantedMimeType$",	//697
    "addressClicked",	//698
    "addressClicked#",	//699
    "advancedStatus",	//700
    "advancedStatus?",	//701
    "agentFilterProxyModel",	//702
    "agentName",	//703
    "agentNameChanged",	//704
    "agentNameChanged$",	//705
    "agentType",	//706
    "akonadiItemIdUri",	//707
    "allAttributes",	//708
    "allMonitored",	//709
    "allMonitored$",	//710
    "ancestorRetrieval",	//711
    "apply",	//712
    "apply#",	//713
    "apply##",	//714
    "attribute",	//715
    "attribute#",	//716
    "attributes",	//717
    "attributesSynchronized",	//718
    "attributesSynchronized$",	//719
    "availableParts",	//720
    "availableParts#",	//721
    "availablePayloadMetaTypeIds",	//722
    "availablePayloadParts",	//723
    "backgroundColor",	//724
    "bcc",	//725
    "buddy",	//726
    "cacheOnly",	//727
    "cachePolicy",	//728
    "cacheTimeout",	//729
    "canFetchMore",	//730
    "canFetchMore#",	//731
    "canHandle",	//732
    "canHandle#",	//733
    "cancelTask",	//734
    "cancelTask$",	//735
    "capabilities",	//736
    "cc",	//737
    "changeCollectionDialogOptions",	//738
    "changeCollectionDialogOptions$",	//739
    "changeCommitted",	//740
    "changeCommitted#",	//741
    "changeEvent",	//742
    "changeProcessed",	//743
    "changeRecorder",	//744
    "changesAdded",	//745
    "childEvent",	//746
    "cleanup",	//747
    "clear",	//748
    "clearAndReset",	//749
    "clearAttributes",	//750
    "clearCache",	//751
    "clearFilters",	//752
    "clearFlag",	//753
    "clearFlag#",	//754
    "clearFlags",	//755
    "clearPayload",	//756
    "clicked",	//757
    "clicked#",	//758
    "clone",	//759
    "closeEditor",	//760
    "closeEvent",	//761
    "collection",	//762
    "collectionAdded",	//763
    "collectionAdded##",	//764
    "collectionAttributesRetrieved",	//765
    "collectionAttributesRetrieved#",	//766
    "collectionChanged",	//767
    "collectionChanged#",	//768
    "collectionChanged#?",	//769
    "collectionFetchScope",	//770
    "collectionFetchStrategy",	//771
    "collectionForId",	//772
    "collectionForId?",	//773
    "collectionIds",	//774
    "collectionMonitored",	//775
    "collectionMonitored#$",	//776
    "collectionMoved",	//777
    "collectionMoved###",	//778
    "collectionRemoved",	//779
    "collectionRemoved#",	//780
    "collectionStatisticsChanged",	//781
    "collectionStatisticsChanged?#",	//782
    "collectionSubscribed",	//783
    "collectionSubscribed##",	//784
    "collectionUnsubscribed",	//785
    "collectionUnsubscribed#",	//786
    "collections",	//787
    "collectionsMonitored",	//788
    "collectionsReceived",	//789
    "collectionsReceived?",	//790
    "collectionsRetrievalDone",	//791
    "collectionsRetrieved",	//792
    "collectionsRetrieved?",	//793
    "collectionsRetrievedIncremental",	//794
    "collectionsRetrievedIncremental??",	//795
    "columnCount",	//796
    "columnCount#",	//797
    "commit",	//798
    "commitData",	//799
    "componentData",	//800
    "config",	//801
    "configurationDialogAccepted",	//802
    "configurationDialogRejected",	//803
    "configure",	//804
    "configure#",	//805
    "configure$",	//806
    "connectNotify",	//807
    "connectNotify$",	//808
    "connectToView",	//809
    "connectToView#",	//810
    "contact",	//811
    "contactGroup",	//812
    "contactGroupStored",	//813
    "contactGroupStored#",	//814
    "contactGroups",	//815
    "contactStored",	//816
    "contactStored#",	//817
    "contacts",	//818
    "containsWantedMimeType",	//819
    "containsWantedMimeType?",	//820
    "contentMimeTypes",	//821
    "contextMenuEvent",	//822
    "contextMenuEvent#",	//823
    "count",	//824
    "create",	//825
    "createAction",	//826
    "createAction$",	//827
    "createAllActions",	//828
    "createAttribute",	//829
    "createAttribute#",	//830
    "createEditor",	//831
    "createIndex",	//832
    "createIndex$$$",	//833
    "createWidget",	//834
    "createWidget#",	//835
    "createdCollection",	//836
    "currentAgentInstance",	//837
    "currentAgentType",	//838
    "currentChanged",	//839
    "currentChanged#",	//840
    "currentChanged##",	//841
    "currentCollection",	//842
    "currentItem",	//843
    "currentValue",	//844
    "customEvent",	//845
    "d_func",	//846
    "data",	//847
    "data#",	//848
    "data#$",	//849
    "dataChanged",	//850
    "defaultSession",	//851
    "deferTask",	//852
    "deletedItems",	//853
    "deliveryDone",	//854
    "description",	//855
    "deserialize",	//856
    "deserialize#",	//857
    "deserialize###$",	//858
    "devType",	//859
    "dialPhoneNumber",	//860
    "dialPhoneNumber#",	//861
    "disableAutomaticConflictHandling",	//862
    "disableRevisionCheck",	//863
    "disconnectNotify",	//864
    "displayName",	//865
    "displayText",	//866
    "doHandleResponse",	//867
    "doHandleResponse##",	//868
    "doItemsLayout",	//869
    "doKill",	//870
    "doResume",	//871
    "doSetOnline",	//872
    "doSetOnline$",	//873
    "doStart",	//874
    "doSuspend",	//875
    "done",	//876
    "done$",	//877
    "doubleClicked",	//878
    "doubleClicked#",	//879
    "dragEnterEvent",	//880
    "dragLeaveEvent",	//881
    "dragLeaveEvent#",	//882
    "dragMoveEvent",	//883
    "dragMoveEvent#",	//884
    "drawBranches",	//885
    "drawRow",	//886
    "dropEvent",	//887
    "dropEvent#",	//888
    "dropMimeData",	//889
    "dropMimeData#$$$#",	//890
    "edit",	//891
    "editor",	//892
    "editorDestroyed",	//893
    "editorEvent",	//894
    "emailClicked",	//895
    "emailClicked$$",	//896
    "emitWriteFinished",	//897
    "enabledChange",	//898
    "enterEvent",	//899
    "entityColumnCount",	//900
    "entityColumnCount$",	//901
    "entityData",	//902
    "entityData#$",	//903
    "entityData#$$",	//904
    "entityHeaderData",	//905
    "entityHeaderData$$$$",	//906
    "entityMatch",	//907
    "entityMatch##$",	//908
    "error",	//909
    "error$",	//910
    "errorString",	//911
    "event",	//912
    "eventFilter",	//913
    "excludeCapabilities",	//914
    "excludeCapabilities$",	//915
    "favoriteLabel",	//916
    "favoriteLabel#",	//917
    "fetchAllAttributes",	//918
    "fetchAllAttributes$",	//919
    "fetchAttribute",	//920
    "fetchAttribute#",	//921
    "fetchAttribute#$",	//922
    "fetchCollection",	//923
    "fetchCollection$",	//924
    "fetchCollectionStatistics",	//925
    "fetchCollectionStatistics$",	//926
    "fetchFullPayload",	//927
    "fetchFullPayload$",	//928
    "fetchModificationTime",	//929
    "fetchMore",	//930
    "fetchMore#",	//931
    "fetchPayloadPart",	//932
    "fetchPayloadPart#",	//933
    "fetchPayloadPart#$",	//934
    "fetchScope",	//935
    "filterAcceptsColumn",	//936
    "filterAcceptsRow",	//937
    "filterAcceptsRow$#",	//938
    "finishProcessing",	//939
    "finishProcessing$",	//940
    "flags",	//941
    "flags#",	//942
    "focusInEvent",	//943
    "focusNextPrevChild",	//944
    "focusOutEvent",	//945
    "fontChange",	//946
    "from",	//947
    "fromUrl",	//948
    "fromUrl#",	//949
    "fullPayload",	//950
    "hasAttribute",	//951
    "hasAttribute#",	//952
    "hasChildren",	//953
    "hasChildren#",	//954
    "hasFlag",	//955
    "hasFlag#",	//956
    "hasPayload",	//957
    "headerData",	//958
    "headerData$$",	//959
    "headerData$$$",	//960
    "heightForWidth",	//961
    "hideEvent",	//962
    "hidePopup",	//963
    "horizontalOffset",	//964
    "horizontalScrollbarAction",	//965
    "horizontalScrollbarValueChanged",	//966
    "icon",	//967
    "iconName",	//968
    "id",	//969
    "identifier",	//970
    "ignorePayload",	//971
    "ignoreSession",	//972
    "ignoreSession#",	//973
    "includeRootCollection",	//974
    "includeStatistics",	//975
    "includeStatistics$",	//976
    "includeUnsubscribed",	//977
    "includeUnsubscribed$",	//978
    "includeUnubscribed",	//979
    "index",	//980
    "index$$",	//981
    "index$$#",	//982
    "indexAt",	//983
    "indexForItem",	//984
    "indexForItem#$",	//985
    "inheritFromParent",	//986
    "initStyleOption",	//987
    "initStyleOption##",	//988
    "inputMethodEvent",	//989
    "inputMethodQuery",	//990
    "insertColumns",	//991
    "insertRows",	//992
    "instance",	//993
    "instance$",	//994
    "instanceAdded",	//995
    "instanceAdded#",	//996
    "instanceError",	//997
    "instanceError#$",	//998
    "instanceNameChanged",	//999
    "instanceNameChanged#",	//1000
    "instanceOnline",	//1001
    "instanceOnline#$",	//1002
    "instanceProgressChanged",	//1003
    "instanceProgressChanged#",	//1004
    "instanceRemoved",	//1005
    "instanceRemoved#",	//1006
    "instanceStatusChanged",	//1007
    "instanceStatusChanged#",	//1008
    "instanceWarning",	//1009
    "instanceWarning#$",	//1010
    "instances",	//1011
    "interceptAction",	//1012
    "interceptAction$",	//1013
    "interceptAction$$",	//1014
    "intervalCheckTime",	//1015
    "isAllMonitored",	//1016
    "isDropActionMenuEnabled",	//1017
    "isEmpty",	//1018
    "isExtraColumnsEnabled",	//1019
    "isIndexHidden",	//1020
    "isOnline",	//1021
    "isOutboundFolder",	//1022
    "isRunning",	//1023
    "isToolTipEnabled",	//1024
    "isValid",	//1025
    "isVirtual",	//1026
    "isWantedCollection",	//1027
    "isWantedCollection#",	//1028
    "isWantedCollection#$",	//1029
    "isWantedItem",	//1030
    "isWantedItem#",	//1031
    "isWantedItem#$",	//1032
    "isWantedMimeType",	//1033
    "isWantedMimeType$",	//1034
    "item",	//1035
    "itemAdded",	//1036
    "itemAdded##",	//1037
    "itemChanged",	//1038
    "itemChanged#",	//1039
    "itemChanged#?",	//1040
    "itemData",	//1041
    "itemFetchScope",	//1042
    "itemForIndex",	//1043
    "itemForIndex#",	//1044
    "itemLinked",	//1045
    "itemLinked##",	//1046
    "itemMonitored",	//1047
    "itemMonitored#$",	//1048
    "itemMoved",	//1049
    "itemMoved###",	//1050
    "itemPopulationStrategy",	//1051
    "itemRemoved",	//1052
    "itemRemoved#",	//1053
    "itemRetrieved",	//1054
    "itemRetrieved#",	//1055
    "itemSent",	//1056
    "itemSent#$",	//1057
    "itemSent#$$",	//1058
    "itemUnlinked",	//1059
    "itemUnlinked##",	//1060
    "items",	//1061
    "itemsMonitored",	//1062
    "itemsMonitoredEx",	//1063
    "itemsReceived",	//1064
    "itemsReceived?",	//1065
    "itemsRetrievalDone",	//1066
    "itemsRetrieved",	//1067
    "itemsRetrieved?",	//1068
    "itemsRetrievedIncremental",	//1069
    "itemsRetrievedIncremental??",	//1070
    "keyPressEvent",	//1071
    "keyReleaseEvent",	//1072
    "keyboardSearch",	//1073
    "languageChange",	//1074
    "leaveEvent",	//1075
    "lessThan",	//1076
    "load",	//1077
    "load#",	//1078
    "loadContact",	//1079
    "loadContact#",	//1080
    "loadContactGroup",	//1081
    "loadContactGroup#",	//1082
    "loadedPayloadParts",	//1083
    "localParts",	//1084
    "makeCompletion",	//1085
    "mapFromSource",	//1086
    "mapFromSource#",	//1087
    "mapSelectionFromSource",	//1088
    "mapSelectionToSource",	//1089
    "mapToSource",	//1090
    "mapToSource#",	//1091
    "match",	//1092
    "match#$#",	//1093
    "match#$#$",	//1094
    "match#$#$$",	//1095
    "maximumValue",	//1096
    "metaObject",	//1097
    "metric",	//1098
    "mimeData",	//1099
    "mimeData?",	//1100
    "mimeType",	//1101
    "mimeTypeExclusionFilters",	//1102
    "mimeTypeFilter",	//1103
    "mimeTypeFilters",	//1104
    "mimeTypeInclusionFilters",	//1105
    "mimeTypeMonitored",	//1106
    "mimeTypeMonitored$$",	//1107
    "mimeTypes",	//1108
    "mimeTypesMonitored",	//1109
    "minimumSizeHint",	//1110
    "modelIndexForCollection",	//1111
    "modelIndexForCollection##",	//1112
    "modelIndexesForItem",	//1113
    "modelIndexesForItem##",	//1114
    "modificationTime",	//1115
    "mouseDoubleClickEvent",	//1116
    "mouseMoveEvent",	//1117
    "mousePressEvent",	//1118
    "mouseReleaseEvent",	//1119
    "moveCursor",	//1120
    "moveEvent",	//1121
    "name",	//1122
    "nameChanged",	//1123
    "nameChanged$",	//1124
    "nothingToReplay",	//1125
    "onlineChanged",	//1126
    "onlineChanged$",	//1127
    "operator!=",	//1128
    "operator!=#",	//1129
    "operator=",	//1130
    "operator=#",	//1131
    "operator==",	//1132
    "operator==#",	//1133
    "pageTitle",	//1134
    "paint",	//1135
    "paint###",	//1136
    "paintEngine",	//1137
    "paintEvent",	//1138
    "paletteChange",	//1139
    "parent",	//1140
    "parent#",	//1141
    "parentCollection",	//1142
    "parentRemoteId",	//1143
    "partName",	//1144
    "parts",	//1145
    "parts#",	//1146
    "payloadData",	//1147
    "payloadParts",	//1148
    "percent",	//1149
    "percent$",	//1150
    "perfectParents",	//1151
    "phoneNumberClicked",	//1152
    "phoneNumberClicked#",	//1153
    "processItem",	//1154
    "processItem#",	//1155
    "progress",	//1156
    "progressAnimationEnabled",	//1157
    "progressMessage",	//1158
    "qt_metacall",	//1159
    "qt_metacall$$?",	//1160
    "qt_metacast",	//1161
    "qt_metacast$",	//1162
    "rawContact",	//1163
    "reconfigure",	//1164
    "reconnected",	//1165
    "registerObserver",	//1166
    "registerObserver#",	//1167
    "registerPage",	//1168
    "registerPage#",	//1169
    "reject",	//1170
    "reloadConfiguration",	//1171
    "remoteId",	//1172
    "remoteRevision",	//1173
    "removeAttribute",	//1174
    "removeAttribute#",	//1175
    "removeCollection",	//1176
    "removeCollection#",	//1177
    "removeColumns",	//1178
    "removeInstance",	//1179
    "removeInstance#",	//1180
    "removeRows",	//1181
    "removeSubjob",	//1182
    "removeSubjob#",	//1183
    "removeWantedMimeType",	//1184
    "removeWantedMimeType$",	//1185
    "replayNext",	//1186
    "reset",	//1187
    "resizeEvent",	//1188
    "resource",	//1189
    "resourceMonitored",	//1190
    "resourceMonitored#$",	//1191
    "resourcesMonitored",	//1192
    "restart",	//1193
    "restart#",	//1194
    "restoreState",	//1195
    "restoreState#",	//1196
    "retrieveCollectionAttributes",	//1197
    "retrieveCollectionAttributes#",	//1198
    "retrieveCollections",	//1199
    "retrieveItem",	//1200
    "retrieveItem#?",	//1201
    "retrieveItems",	//1202
    "retrieveItems#",	//1203
    "revert",	//1204
    "revision",	//1205
    "rights",	//1206
    "rollback",	//1207
    "root",	//1208
    "rootCollectionDisplayName",	//1209
    "rowCount",	//1210
    "rowCount#",	//1211
    "rowsAboutToBeRemoved",	//1212
    "rowsInserted",	//1213
    "save",	//1214
    "save#",	//1215
    "saveContact",	//1216
    "saveContactGroup",	//1217
    "saveState",	//1218
    "saveState#",	//1219
    "scheduleCustomTask",	//1220
    "scheduleCustomTask#$#",	//1221
    "scheduleCustomTask#$#$",	//1222
    "scrollContentsBy",	//1223
    "scrollTo",	//1224
    "selectAll",	//1225
    "selectedAgentInstances",	//1226
    "selectedCollection",	//1227
    "selectedCollections",	//1228
    "selectedIndexes",	//1229
    "selectedItems",	//1230
    "selectionChanged",	//1231
    "selectionCommand",	//1232
    "selectionMode",	//1233
    "self",	//1234
    "sendEmail",	//1235
    "sendEmail$$",	//1236
    "sendItem",	//1237
    "sendItem#",	//1238
    "sendSms",	//1239
    "sendSms#",	//1240
    "serialize",	//1241
    "serialize###$",	//1242
    "serialized",	//1243
    "session",	//1244
    "sessionId",	//1245
    "setAccessRightsFilter",	//1246
    "setAccessRightsFilter$",	//1247
    "setActionText",	//1248
    "setActionText$#",	//1249
    "setActiveIconName",	//1250
    "setActiveIconName$",	//1251
    "setAgentName",	//1252
    "setAgentName$",	//1253
    "setAllMonitored",	//1254
    "setAllMonitored$",	//1255
    "setAncestorRetrieval",	//1256
    "setAncestorRetrieval$",	//1257
    "setAutoCompletion",	//1258
    "setAutomaticCommittingEnabled",	//1259
    "setAutomaticCommittingEnabled$",	//1260
    "setBackgroundColor",	//1261
    "setBackgroundColor#",	//1262
    "setBcc",	//1263
    "setBcc?",	//1264
    "setCacheOnly",	//1265
    "setCacheOnly$",	//1266
    "setCachePolicy",	//1267
    "setCachePolicy#",	//1268
    "setCacheTimeout",	//1269
    "setCacheTimeout$",	//1270
    "setCapabilityFilter",	//1271
    "setCapabilityFilter?",	//1272
    "setCaption",	//1273
    "setCc",	//1274
    "setCc?",	//1275
    "setChangeRecordingEnabled",	//1276
    "setChangeRecordingEnabled$",	//1277
    "setCollection",	//1278
    "setCollection#",	//1279
    "setCollectionFetchScope",	//1280
    "setCollectionFetchScope#",	//1281
    "setCollectionFetchStrategy",	//1282
    "setCollectionFetchStrategy$",	//1283
    "setCollectionMonitored",	//1284
    "setCollectionMonitored#",	//1285
    "setCollectionMonitored#$",	//1286
    "setCollectionPropertiesPageNames",	//1287
    "setCollectionPropertiesPageNames?",	//1288
    "setCollectionSelectionModel",	//1289
    "setCollectionSelectionModel#",	//1290
    "setCollectionStreamingEnabled",	//1291
    "setCollectionStreamingEnabled$",	//1292
    "setCollections",	//1293
    "setCollections?",	//1294
    "setCompletedItems",	//1295
    "setCompletedText",	//1296
    "setCompletionMode",	//1297
    "setCompletionObject",	//1298
    "setConfig",	//1299
    "setConfig#",	//1300
    "setContact",	//1301
    "setContact#",	//1302
    "setContactFormatter",	//1303
    "setContactFormatter#",	//1304
    "setContactGroup",	//1305
    "setContactGroup#",	//1306
    "setContactGroupFormatter",	//1307
    "setContactGroupFormatter#",	//1308
    "setContactGroupTemplate",	//1309
    "setContactGroupTemplate#",	//1310
    "setContactTemplate",	//1311
    "setContactTemplate#",	//1312
    "setContentMimeTypes",	//1313
    "setContentMimeTypes?",	//1314
    "setContextMenuEnabled",	//1315
    "setContextText",	//1316
    "setContextText$$#",	//1317
    "setContextText$$$",	//1318
    "setCount",	//1319
    "setCount$",	//1320
    "setCurrentValue",	//1321
    "setCurrentValue$",	//1322
    "setData",	//1323
    "setData##",	//1324
    "setData##$",	//1325
    "setDefaultAddressBook",	//1326
    "setDefaultAddressBook#",	//1327
    "setDefaultCollection",	//1328
    "setDefaultCollection#",	//1329
    "setDescription",	//1330
    "setDescription$",	//1331
    "setDisplayName",	//1332
    "setDisplayName$",	//1333
    "setDropActionMenuEnabled",	//1334
    "setDropActionMenuEnabled$",	//1335
    "setEditorData",	//1336
    "setExtraColumnsEnabled",	//1337
    "setExtraColumnsEnabled$",	//1338
    "setFavoriteCollectionsModel",	//1339
    "setFavoriteCollectionsModel#",	//1340
    "setFavoriteLabel",	//1341
    "setFavoriteLabel#$",	//1342
    "setFavoriteSelectionModel",	//1343
    "setFavoriteSelectionModel#",	//1344
    "setFetchModificationTime",	//1345
    "setFetchModificationTime$",	//1346
    "setFetchScope",	//1347
    "setFetchScope#",	//1348
    "setFlag",	//1349
    "setFlag#",	//1350
    "setFlags",	//1351
    "setFlags?",	//1352
    "setFrom",	//1353
    "setFrom$",	//1354
    "setFullPayload",	//1355
    "setFullPayload$",	//1356
    "setFullSyncItems",	//1357
    "setFullSyncItems?",	//1358
    "setHandleSignals",	//1359
    "setHeaderData",	//1360
    "setHeaderData$$#",	//1361
    "setHeaderData$$#$",	//1362
    "setHeaderGroup",	//1363
    "setHeaderGroup$",	//1364
    "setHierarchicalRemoteIdentifiersEnabled",	//1365
    "setHierarchicalRemoteIdentifiersEnabled$",	//1366
    "setIconName",	//1367
    "setIconName$",	//1368
    "setId",	//1369
    "setId$",	//1370
    "setIgnoreJobFailure",	//1371
    "setIgnoreJobFailure#",	//1372
    "setIgnorePayload",	//1373
    "setIgnorePayload$",	//1374
    "setIncludeRootCollection",	//1375
    "setIncludeRootCollection$",	//1376
    "setIncludeStatistics",	//1377
    "setIncludeStatistics$",	//1378
    "setIncludeUnsubscribed",	//1379
    "setIncludeUnsubscribed$",	//1380
    "setIncrementalSyncItems",	//1381
    "setIncrementalSyncItems??",	//1382
    "setInheritFromParent",	//1383
    "setInheritFromParent$",	//1384
    "setIntervalCheckTime",	//1385
    "setIntervalCheckTime$",	//1386
    "setIsOnline",	//1387
    "setIsOnline$",	//1388
    "setItem",	//1389
    "setItem#",	//1390
    "setItemData",	//1391
    "setItemFetchScope",	//1392
    "setItemFetchScope#",	//1393
    "setItemMonitored",	//1394
    "setItemMonitored#",	//1395
    "setItemMonitored#$",	//1396
    "setItemPopulationStrategy",	//1397
    "setItemPopulationStrategy$",	//1398
    "setItemSelectionModel",	//1399
    "setItemSelectionModel#",	//1400
    "setItemStreamingEnabled",	//1401
    "setItemStreamingEnabled$",	//1402
    "setItemSynchronizationFetchScope",	//1403
    "setItemSynchronizationFetchScope#",	//1404
    "setItemTransactionMode",	//1405
    "setItemTransactionMode$",	//1406
    "setLimit",	//1407
    "setLimit$",	//1408
    "setLineEdit",	//1409
    "setLocalParts",	//1410
    "setLocalParts?",	//1411
    "setMaximumValue",	//1412
    "setMaximumValue$",	//1413
    "setMimeType",	//1414
    "setMimeType$",	//1415
    "setMimeTypeFilter",	//1416
    "setMimeTypeFilter?",	//1417
    "setMimeTypeMonitored",	//1418
    "setMimeTypeMonitored$",	//1419
    "setMimeTypeMonitored$$",	//1420
    "setModel",	//1421
    "setModel#",	//1422
    "setModelData",	//1423
    "setModificationTime",	//1424
    "setModificationTime#",	//1425
    "setName",	//1426
    "setName$",	//1427
    "setNeedsNetwork",	//1428
    "setNeedsNetwork$",	//1429
    "setOnline",	//1430
    "setOnline$",	//1431
    "setOutboundFolder",	//1432
    "setOutboundFolder$",	//1433
    "setPageTitle",	//1434
    "setPageTitle$",	//1435
    "setParent",	//1436
    "setParent#",	//1437
    "setParent$",	//1438
    "setParentCollection",	//1439
    "setParentCollection#",	//1440
    "setParentRemoteId",	//1441
    "setParentRemoteId$",	//1442
    "setPayloadFromData",	//1443
    "setPayloadFromData#",	//1444
    "setPerfectParents",	//1445
    "setPerfectParents?",	//1446
    "setPlainCaption",	//1447
    "setProgressAnimationEnabled",	//1448
    "setProgressAnimationEnabled$",	//1449
    "setQuery",	//1450
    "setQuery$",	//1451
    "setQuery$$",	//1452
    "setQuery$$$",	//1453
    "setQueryLanguage",	//1454
    "setQueryLanguage$",	//1455
    "setRawContact",	//1456
    "setRawContact#",	//1457
    "setReadOnly",	//1458
    "setReadOnly$",	//1459
    "setRemoteId",	//1460
    "setRemoteId$",	//1461
    "setRemoteRevision",	//1462
    "setRemoteRevision$",	//1463
    "setResource",	//1464
    "setResource$",	//1465
    "setResourceMonitored",	//1466
    "setResourceMonitored#",	//1467
    "setResourceMonitored#$",	//1468
    "setRevision",	//1469
    "setRevision$",	//1470
    "setRights",	//1471
    "setRights$",	//1472
    "setRootCollectionDisplayName",	//1473
    "setRootCollectionDisplayName$",	//1474
    "setRootIndex",	//1475
    "setSelection",	//1476
    "setSelectionMode",	//1477
    "setSelectionMode$",	//1478
    "setSelectionModel",	//1479
    "setSession",	//1480
    "setSession#",	//1481
    "setShowSystemEntities",	//1482
    "setShowSystemEntities$",	//1483
    "setSize",	//1484
    "setSize$",	//1485
    "setSourceModel",	//1486
    "setSourceModel#",	//1487
    "setStatistics",	//1488
    "setStatistics#",	//1489
    "setStreamingEnabled",	//1490
    "setStreamingEnabled$",	//1491
    "setSubjectParents",	//1492
    "setSubjectParents?",	//1493
    "setSyncOnDemand",	//1494
    "setSyncOnDemand$",	//1495
    "setTo",	//1496
    "setTo?",	//1497
    "setToolTipEnabled",	//1498
    "setToolTipEnabled$",	//1499
    "setTotalItems",	//1500
    "setTotalItems$",	//1501
    "setTransactionMode",	//1502
    "setTransactionMode$",	//1503
    "setUnperfectParents",	//1504
    "setUnperfectParents?",	//1505
    "setUnreadCount",	//1506
    "setUnreadCount$",	//1507
    "setUnreadCountShown",	//1508
    "setUnreadCountShown$",	//1509
    "setVisible",	//1510
    "setWantedMimeTypes",	//1511
    "setWantedMimeTypes?",	//1512
    "setXmlGuiClient",	//1513
    "setXmlGuiClient#",	//1514
    "setXmlGuiWindow",	//1515
    "setXmlGuiWindow#",	//1516
    "showAddress",	//1517
    "showAddress#",	//1518
    "showEvent",	//1519
    "showPopup",	//1520
    "showSelfTestDialog",	//1521
    "showSelfTestDialog#",	//1522
    "showUrl",	//1523
    "showUrl#",	//1524
    "size",	//1525
    "sizeHint",	//1526
    "sizeHintForColumn",	//1527
    "sizeHintForRow",	//1528
    "slotButtonClicked",	//1529
    "slotButtonClicked$",	//1530
    "slotInfoMessage",	//1531
    "slotResult",	//1532
    "slotResult#",	//1533
    "smsClicked",	//1534
    "smsClicked#",	//1535
    "sort",	//1536
    "span",	//1537
    "start",	//1538
    "start#",	//1539
    "startDrag",	//1540
    "startDrag$",	//1541
    "started",	//1542
    "state",	//1543
    "stateChanged",	//1544
    "stateChanged$",	//1545
    "staticMetaObject",	//1546
    "statistics",	//1547
    "status",	//1548
    "status$",	//1549
    "status$$",	//1550
    "statusMessage",	//1551
    "stop",	//1552
    "stop#",	//1553
    "stopped",	//1554
    "storageCollectionId",	//1555
    "storeContact",	//1556
    "storeContact#",	//1557
    "styleChange",	//1558
    "subjectParents",	//1559
    "submit",	//1560
    "supportedDropActions",	//1561
    "syncOnDemand",	//1562
    "synchronize",	//1563
    "synchronizeCollection",	//1564
    "synchronizeCollection#",	//1565
    "synchronizeCollection#$",	//1566
    "synchronizeCollection$",	//1567
    "synchronizeCollection$$",	//1568
    "synchronizeCollectionAttributes",	//1569
    "synchronizeCollectionAttributes$",	//1570
    "synchronizeCollectionTree",	//1571
    "synchronized",	//1572
    "systemEntitiesShown",	//1573
    "tabletEvent",	//1574
    "taskDone",	//1575
    "timerEvent",	//1576
    "timerEvent#",	//1577
    "title",	//1578
    "to",	//1579
    "tr",	//1580
    "tr$",	//1581
    "tr$$",	//1582
    "tr$$$",	//1583
    "trUtf8",	//1584
    "trUtf8$",	//1585
    "trUtf8$$",	//1586
    "trUtf8$$$",	//1587
    "type",	//1588
    "type$",	//1589
    "typeAdded",	//1590
    "typeAdded#",	//1591
    "typeName",	//1592
    "typeRemoved",	//1593
    "typeRemoved#",	//1594
    "types",	//1595
    "unperfectParents",	//1596
    "unreadCount",	//1597
    "unreadCountShown",	//1598
    "updateEditorData",	//1599
    "updateEditorGeometries",	//1600
    "updateEditorGeometry",	//1601
    "updateGeometries",	//1602
    "updateItem",	//1603
    "updateItem##",	//1604
    "url",	//1605
    "url$",	//1606
    "urlClicked",	//1607
    "urlClicked#",	//1608
    "useDefaultPage",	//1609
    "useDefaultPage$",	//1610
    "verticalOffset",	//1611
    "verticalScrollbarAction",	//1612
    "verticalScrollbarValueChanged",	//1613
    "view",	//1614
    "viewOptions",	//1615
    "viewer",	//1616
    "viewportEvent",	//1617
    "virtual_hook",	//1618
    "visualRect",	//1619
    "visualRegionForSelection",	//1620
    "wantedMimeTypes",	//1621
    "warning",	//1622
    "warning$",	//1623
    "what",	//1624
    "wheelEvent",	//1625
    "widgetNeedsAkonadi",	//1626
    "widgetNeedsAkonadi#",	//1627
    "winIdForDialogs",	//1628
    "windowActivationChange",	//1629
    "writeFinished",	//1630
    "writeFinished#",	//1631
    "x11Event",	//1632
    "~AddressAttribute",	//1633
    "~AgentBase",	//1634
    "~AgentFilterProxyModel",	//1635
    "~AgentInstance",	//1636
    "~AgentInstanceCreateJob",	//1637
    "~AgentInstanceModel",	//1638
    "~AgentInstanceWidget",	//1639
    "~AgentManager",	//1640
    "~AgentType",	//1641
    "~AgentTypeDialog",	//1642
    "~AgentTypeModel",	//1643
    "~AgentTypeWidget",	//1644
    "~Attribute",	//1645
    "~AttributeFactory",	//1646
    "~CachePolicy",	//1647
    "~ChangeRecorder",	//1648
    "~Collection",	//1649
    "~CollectionComboBox",	//1650
    "~CollectionCopyJob",	//1651
    "~CollectionCreateJob",	//1652
    "~CollectionDeleteJob",	//1653
    "~CollectionDialog",	//1654
    "~CollectionFetchJob",	//1655
    "~CollectionFetchScope",	//1656
    "~CollectionFilterProxyModel",	//1657
    "~CollectionModel",	//1658
    "~CollectionModifyJob",	//1659
    "~CollectionMoveJob",	//1660
    "~CollectionPropertiesDialog",	//1661
    "~CollectionPropertiesPage",	//1662
    "~CollectionPropertiesPageFactory",	//1663
    "~CollectionQuotaAttribute",	//1664
    "~CollectionRequester",	//1665
    "~CollectionStatistics",	//1666
    "~CollectionStatisticsDelegate",	//1667
    "~CollectionStatisticsJob",	//1668
    "~CollectionStatisticsModel",	//1669
    "~CollectionView",	//1670
    "~ContactDefaultActions",	//1671
    "~ContactEditor",	//1672
    "~ContactEditorDialog",	//1673
    "~ContactEditorPagePlugin",	//1674
    "~ContactGroupEditor",	//1675
    "~ContactGroupEditorDialog",	//1676
    "~ContactGroupExpandJob",	//1677
    "~ContactGroupSearchJob",	//1678
    "~ContactGroupViewer",	//1679
    "~ContactGroupViewerDialog",	//1680
    "~ContactSearchJob",	//1681
    "~ContactViewer",	//1682
    "~ContactViewerDialog",	//1683
    "~Control",	//1684
    "~Entity",	//1685
    "~EntityDisplayAttribute",	//1686
    "~EntityHiddenAttribute",	//1687
    "~EntityListView",	//1688
    "~EntityMimeTypeFilterModel",	//1689
    "~EntityTreeModel",	//1690
    "~EntityTreeView",	//1691
    "~EntityTreeViewStateSaver",	//1692
    "~Exception",	//1693
    "~FavoriteCollectionsModel",	//1694
    "~Item",	//1695
    "~ItemCopyJob",	//1696
    "~ItemCreateJob",	//1697
    "~ItemDeleteJob",	//1698
    "~ItemFetchJob",	//1699
    "~ItemFetchScope",	//1700
    "~ItemModel",	//1701
    "~ItemModifyJob",	//1702
    "~ItemMonitor",	//1703
    "~ItemMoveJob",	//1704
    "~ItemSearchJob",	//1705
    "~ItemSerializerPlugin",	//1706
    "~ItemSerializerPluginV2",	//1707
    "~ItemSync",	//1708
    "~ItemView",	//1709
    "~Job",	//1710
    "~LinkJob",	//1711
    "~MessageFolderAttribute",	//1712
    "~MessageModel",	//1713
    "~MessageThreaderProxyModel",	//1714
    "~MessageThreadingAttribute",	//1715
    "~MimeTypeChecker",	//1716
    "~Monitor",	//1717
    "~Observer",	//1718
    "~ObserverV2",	//1719
    "~PartFetcher",	//1720
    "~PayloadBase",	//1721
    "~PayloadException",	//1722
    "~PreprocessorBase",	//1723
    "~ResourceBase",	//1724
    "~ResourceSynchronizationJob",	//1725
    "~SearchCreateJob",	//1726
    "~SelectionProxyModel",	//1727
    "~ServerManager",	//1728
    "~Session",	//1729
    "~StandardActionManager",	//1730
    "~StatisticsProxyModel",	//1731
    "~TransactionBeginJob",	//1732
    "~TransactionCommitJob",	//1733
    "~TransactionRollbackJob",	//1734
    "~TransactionSequence",	//1735
    "~TransportResourceBase",	//1736
    "~UnlinkJob",	//1737
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 856, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 947, 0, 0, Smoke::mf_const, 270, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1353, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1579, 0, 0, Smoke::mf_const, 271, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1496, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 737, 0, 0, Smoke::mf_const, 271, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1274, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 725, 0, 0, Smoke::mf_const, 271, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1263, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1633, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1580, 23, 2, Smoke::mf_static, 270, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1584, 23, 2, Smoke::mf_static, 270, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1580, 26, 3, Smoke::mf_static, 270, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1584, 26, 3, Smoke::mf_static, 270, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1548, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 466, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1551, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 466, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 804, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1628, 0, 0, Smoke::mf_const, 473, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 970, 0, 0, Smoke::mf_const, 270, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 747, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1166, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1252, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 703, 0, 0, Smoke::mf_const, 270, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 800, 0, 0, Smoke::mf_static, 188, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 704, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1548, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1149, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1622, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 909, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 700, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 662, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1171, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1126, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 802, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 803, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 17, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 663, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 744, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 801, 0, 0, Smoke::mf_protected, 195, 34},	//53 Akonadi::AgentBase::config()
    {5, 743, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1021, 0, 0, Smoke::mf_const|Smoke::mf_protected, 379, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1428, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1430, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 17, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 872, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1580, 21, 1, Smoke::mf_static, 270, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1584, 21, 1, Smoke::mf_static, 270, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1548, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 1634, 0, 0, Smoke::mf_dtor, 0, 48 },	//67 Akonadi::AgentBase::~AgentBase()
    {6, 440, 0, 0, Smoke::mf_ctor, 6, 1},	//68 Akonadi::AgentBase::Observer::Observer()
    {6, 1036, 50, 2, Smoke::mf_virtual, 0, 2},	//69 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1038, 53, 2, Smoke::mf_virtual, 0, 3},	//70 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1052, 56, 1, Smoke::mf_virtual, 0, 4},	//71 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 763, 58, 2, Smoke::mf_virtual, 0, 5},	//72 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 767, 61, 1, Smoke::mf_virtual, 0, 6},	//73 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 779, 61, 1, Smoke::mf_virtual, 0, 7},	//74 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 440, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//75 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1718, 0, 0, Smoke::mf_dtor, 0, 9 },	//76 Akonadi::AgentBase::Observer::~Observer()
    {7, 767, 61, 1, Smoke::mf_virtual, 0, 1},	//77 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1049, 65, 3, Smoke::mf_virtual, 0, 2},	//78 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1045, 50, 2, Smoke::mf_virtual, 0, 3},	//79 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1059, 50, 2, Smoke::mf_virtual, 0, 4},	//80 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 777, 69, 3, Smoke::mf_virtual, 0, 5},	//81 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 767, 73, 2, Smoke::mf_virtual, 0, 6},	//82 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 442, 0, 0, Smoke::mf_ctor, 7, 7},	//83 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 442, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1719, 0, 0, Smoke::mf_dtor, 0, 9 },	//85 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//86 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//87 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1580, 23, 2, Smoke::mf_static, 270, 3},	//88 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1584, 23, 2, Smoke::mf_static, 270, 4},	//89 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1580, 26, 3, Smoke::mf_static, 270, 5},	//90 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1584, 26, 3, Smoke::mf_static, 270, 6},	//91 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//92 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 78, 1, Smoke::mf_ctor, 10, 8},	//93 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 686, 8, 1, 0, 0, 9},	//94 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 678, 8, 1, 0, 0, 10},	//95 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 752, 0, 0, 0, 0, 11},	//96 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 914, 8, 1, 0, 0, 12},	//97 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 937, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 13},	//98 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1580, 21, 1, Smoke::mf_static, 270, 14},	//99 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1584, 21, 1, Smoke::mf_static, 270, 15},	//100 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//101 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 17},	//102 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1635, 0, 0, Smoke::mf_dtor, 0, 18 },	//103 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 22, 0, 0, Smoke::mf_ctor, 13, 1},	//104 Akonadi::AgentInstance::AgentInstance()
    {10, 22, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//105 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1025, 0, 0, Smoke::mf_const, 379, 3},	//106 Akonadi::AgentInstance::isValid() const
    {10, 1588, 0, 0, Smoke::mf_const, 20, 4},	//107 Akonadi::AgentInstance::type() const
    {10, 970, 0, 0, Smoke::mf_const, 270, 5},	//108 Akonadi::AgentInstance::identifier() const
    {10, 1122, 0, 0, Smoke::mf_const, 270, 6},	//109 Akonadi::AgentInstance::name() const
    {10, 1426, 8, 1, 0, 0, 7},	//110 Akonadi::AgentInstance::setName(const QString&)
    {10, 1548, 0, 0, Smoke::mf_const, 14, 8},	//111 Akonadi::AgentInstance::status() const
    {10, 1551, 0, 0, Smoke::mf_const, 270, 9},	//112 Akonadi::AgentInstance::statusMessage() const
    {10, 1156, 0, 0, Smoke::mf_const, 466, 10},	//113 Akonadi::AgentInstance::progress() const
    {10, 1021, 0, 0, Smoke::mf_const, 379, 11},	//114 Akonadi::AgentInstance::isOnline() const
    {10, 1387, 45, 1, 0, 0, 12},	//115 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 804, 85, 1, 0, 0, 13},	//116 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1563, 0, 0, 0, 0, 14},	//117 Akonadi::AgentInstance::synchronize()
    {10, 1571, 0, 0, 0, 0, 15},	//118 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1130, 83, 1, 0, 12, 16},	//119 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1132, 83, 1, Smoke::mf_const, 379, 17},	//120 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 661, 0, 0, Smoke::mf_const, 0, 18},	//121 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1164, 0, 0, Smoke::mf_const, 0, 19},	//122 Akonadi::AgentInstance::reconfigure() const
    {10, 1193, 0, 0, Smoke::mf_const, 0, 20},	//123 Akonadi::AgentInstance::restart() const
    {10, 804, 0, 0, 0, 0, 21},	//124 Akonadi::AgentInstance::configure()
    {10, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//125 Akonadi::AgentInstance::Idle (enum)
    {10, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//126 Akonadi::AgentInstance::Running (enum)
    {10, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//127 Akonadi::AgentInstance::Broken (enum)
    {10, 1636, 0, 0, Smoke::mf_dtor, 0, 25 },	//128 Akonadi::AgentInstance::~AgentInstance()
    {11, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//129 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//130 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1580, 23, 2, Smoke::mf_static, 270, 3},	//131 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1584, 23, 2, Smoke::mf_static, 270, 4},	//132 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1580, 26, 3, Smoke::mf_static, 270, 5},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1584, 26, 3, Smoke::mf_static, 270, 6},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//135 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 24, 87, 2, Smoke::mf_ctor, 15, 8},	//136 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 24, 90, 2, Smoke::mf_ctor, 15, 9},	//137 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 804, 85, 1, 0, 0, 10},	//138 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 993, 0, 0, Smoke::mf_const, 11, 11},	//139 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1538, 0, 0, Smoke::mf_virtual, 0, 12},	//140 Akonadi::AgentInstanceCreateJob::start()
    {11, 1580, 21, 1, Smoke::mf_static, 270, 13},	//141 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1584, 21, 1, Smoke::mf_static, 270, 14},	//142 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 24, 93, 1, Smoke::mf_ctor, 15, 15},	//143 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 24, 8, 1, Smoke::mf_ctor, 15, 16},	//144 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 804, 0, 0, 0, 0, 17},	//145 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//146 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1637, 0, 0, Smoke::mf_dtor, 0, 19 },	//147 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//148 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//149 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1580, 23, 2, Smoke::mf_static, 270, 3},	//150 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1584, 23, 2, Smoke::mf_static, 270, 4},	//151 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1580, 26, 3, Smoke::mf_static, 270, 5},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1584, 26, 3, Smoke::mf_static, 270, 6},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//154 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 29, 78, 1, Smoke::mf_ctor, 16, 8},	//155 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 9},	//156 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 10},	//157 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//158 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//159 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//160 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 14},	//161 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 15},	//162 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1323, 108, 3, Smoke::mf_virtual, 379, 16},	//163 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1580, 21, 1, Smoke::mf_static, 270, 17},	//164 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1584, 21, 1, Smoke::mf_static, 270, 18},	//165 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 29, 0, 0, Smoke::mf_ctor, 16, 19},	//166 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 796, 0, 0, Smoke::mf_const, 466, 20},	//167 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1210, 0, 0, Smoke::mf_const, 466, 21},	//168 Akonadi::AgentInstanceModel::rowCount() const
    {12, 847, 95, 1, Smoke::mf_const, 280, 22},	//169 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 958, 112, 2, Smoke::mf_const, 280, 23},	//170 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 980, 115, 2, Smoke::mf_const, 254, 24},	//171 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 25},	//172 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//173 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//174 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//175 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//176 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//177 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//178 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//179 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//180 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//181 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//182 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//183 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//184 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1638, 0, 0, Smoke::mf_dtor, 0, 38 },	//185 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//186 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//187 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1580, 23, 2, Smoke::mf_static, 270, 3},	//188 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1584, 23, 2, Smoke::mf_static, 270, 4},	//189 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1580, 26, 3, Smoke::mf_static, 270, 5},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1584, 26, 3, Smoke::mf_static, 270, 6},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//192 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 31, 85, 1, Smoke::mf_ctor, 18, 8},	//193 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 837, 0, 0, Smoke::mf_const, 11, 9},	//194 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1226, 0, 0, Smoke::mf_const, 241, 10},	//195 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 702, 0, 0, Smoke::mf_const, 10, 11},	//196 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1614, 0, 0, Smoke::mf_const, 202, 12},	//197 Akonadi::AgentInstanceWidget::view() const
    {13, 839, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 878, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 1580, 21, 1, Smoke::mf_static, 270, 15},	//200 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1584, 21, 1, Smoke::mf_static, 270, 16},	//201 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 31, 0, 0, Smoke::mf_ctor, 18, 17},	//202 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//203 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1639, 0, 0, Smoke::mf_dtor, 0, 19 },	//204 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1097, 0, 0, Smoke::mf_const, 445, 1},	//205 Akonadi::AgentManager::metaObject() const
    {14, 1161, 21, 1, 0, 474, 2},	//206 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1580, 23, 2, Smoke::mf_static, 270, 3},	//207 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1584, 23, 2, Smoke::mf_static, 270, 4},	//208 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1580, 26, 3, Smoke::mf_static, 270, 5},	//209 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1584, 26, 3, Smoke::mf_static, 270, 6},	//210 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1159, 30, 3, 0, 466, 7},	//211 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1234, 0, 0, Smoke::mf_static, 19, 8},	//212 Akonadi::AgentManager::self()
    {14, 1595, 0, 0, Smoke::mf_const, 242, 9},	//213 Akonadi::AgentManager::types() const
    {14, 1588, 8, 1, Smoke::mf_const, 20, 10},	//214 Akonadi::AgentManager::type(const QString&) const
    {14, 1011, 0, 0, Smoke::mf_const, 241, 11},	//215 Akonadi::AgentManager::instances() const
    {14, 993, 8, 1, Smoke::mf_const, 11, 12},	//216 Akonadi::AgentManager::instance(const QString&) const
    {14, 1179, 83, 1, 0, 0, 13},	//217 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1564, 61, 1, 0, 0, 14},	//218 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1564, 121, 2, 0, 0, 15},	//219 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1590, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//220 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1593, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//221 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 995, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//222 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1005, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1007, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1003, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//225 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 999, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//226 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 997, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//227 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1009, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//228 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1001, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//229 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1580, 21, 1, Smoke::mf_static, 270, 26},	//230 Akonadi::AgentManager::tr(const char*)
    {14, 1584, 21, 1, Smoke::mf_static, 270, 27},	//231 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 28},	//232 Akonadi::AgentManager::staticMetaObject() const
    {14, 1640, 0, 0, Smoke::mf_dtor, 0, 29 },	//233 Akonadi::AgentManager::~AgentManager()
    {15, 33, 0, 0, Smoke::mf_ctor, 22, 1},	//234 Akonadi::AgentType::AgentType()
    {15, 33, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//235 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1025, 0, 0, Smoke::mf_const, 379, 3},	//236 Akonadi::AgentType::isValid() const
    {15, 970, 0, 0, Smoke::mf_const, 270, 4},	//237 Akonadi::AgentType::identifier() const
    {15, 1122, 0, 0, Smoke::mf_const, 270, 5},	//238 Akonadi::AgentType::name() const
    {15, 855, 0, 0, Smoke::mf_const, 270, 6},	//239 Akonadi::AgentType::description() const
    {15, 968, 0, 0, Smoke::mf_const, 270, 7},	//240 Akonadi::AgentType::iconName() const
    {15, 967, 0, 0, Smoke::mf_const, 234, 8},	//241 Akonadi::AgentType::icon() const
    {15, 1108, 0, 0, Smoke::mf_const, 271, 9},	//242 Akonadi::AgentType::mimeTypes() const
    {15, 736, 0, 0, Smoke::mf_const, 271, 10},	//243 Akonadi::AgentType::capabilities() const
    {15, 1130, 93, 1, 0, 21, 11},	//244 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1132, 93, 1, Smoke::mf_const, 379, 12},	//245 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1641, 0, 0, Smoke::mf_dtor, 0, 13 },	//246 Akonadi::AgentType::~AgentType()
    {16, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//247 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//248 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1580, 23, 2, Smoke::mf_static, 270, 3},	//249 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1584, 23, 2, Smoke::mf_static, 270, 4},	//250 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1580, 26, 3, Smoke::mf_static, 270, 5},	//251 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1584, 26, 3, Smoke::mf_static, 270, 6},	//252 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//253 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 35, 85, 1, Smoke::mf_ctor, 23, 8},	//254 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 706, 0, 0, Smoke::mf_const, 20, 9},	//255 Akonadi::AgentTypeDialog::agentType() const
    {16, 702, 0, 0, Smoke::mf_const, 10, 10},	//256 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 876, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//257 Akonadi::AgentTypeDialog::done(int)
    {16, 1580, 21, 1, Smoke::mf_static, 270, 12},	//258 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1584, 21, 1, Smoke::mf_static, 270, 13},	//259 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 35, 0, 0, Smoke::mf_ctor, 23, 14},	//260 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//261 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1642, 0, 0, Smoke::mf_dtor, 0, 16 },	//262 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//263 Akonadi::AgentTypeModel::metaObject() const
    {17, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//264 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1580, 23, 2, Smoke::mf_static, 270, 3},	//265 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1584, 23, 2, Smoke::mf_static, 270, 4},	//266 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1580, 26, 3, Smoke::mf_static, 270, 5},	//267 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1584, 26, 3, Smoke::mf_static, 270, 6},	//268 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//269 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 37, 78, 1, Smoke::mf_ctor, 24, 8},	//270 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 9},	//271 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 10},	//272 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//273 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 12},	//274 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//275 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 14},	//276 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1580, 21, 1, Smoke::mf_static, 270, 15},	//277 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1584, 21, 1, Smoke::mf_static, 270, 16},	//278 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 37, 0, 0, Smoke::mf_ctor, 24, 17},	//279 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 796, 0, 0, Smoke::mf_const, 466, 18},	//280 Akonadi::AgentTypeModel::columnCount() const
    {17, 1210, 0, 0, Smoke::mf_const, 466, 19},	//281 Akonadi::AgentTypeModel::rowCount() const
    {17, 847, 95, 1, Smoke::mf_const, 280, 20},	//282 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 980, 115, 2, Smoke::mf_const, 254, 21},	//283 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 22},	//284 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//285 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//286 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//287 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//288 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//289 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//290 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1643, 0, 0, Smoke::mf_dtor, 0, 29 },	//291 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//292 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//293 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1580, 23, 2, Smoke::mf_static, 270, 3},	//294 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1584, 23, 2, Smoke::mf_static, 270, 4},	//295 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1580, 26, 3, Smoke::mf_static, 270, 5},	//296 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1584, 26, 3, Smoke::mf_static, 270, 6},	//297 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//298 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 39, 85, 1, Smoke::mf_ctor, 26, 8},	//299 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 838, 0, 0, Smoke::mf_const, 20, 9},	//300 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 702, 0, 0, Smoke::mf_const, 10, 10},	//301 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 839, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//302 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 672, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//303 Akonadi::AgentTypeWidget::activated()
    {18, 1580, 21, 1, Smoke::mf_static, 270, 13},	//304 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1584, 21, 1, Smoke::mf_static, 270, 14},	//305 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 39, 0, 0, Smoke::mf_ctor, 26, 15},	//306 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//307 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1644, 0, 0, Smoke::mf_dtor, 0, 17 },	//308 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 209, 1},	//309 Akonadi::Attribute::type() const [pure virtual]
    {19, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//310 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 209, 3},	//311 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 856, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//312 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 51, 0, 0, Smoke::mf_ctor, 27, 5},	//313 Akonadi::Attribute::Attribute()
    {19, 51, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//314 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1645, 0, 0, Smoke::mf_dtor, 0, 7 },	//315 Akonadi::Attribute::~Attribute()
    {20, 829, 6, 1, Smoke::mf_static, 27, 1},	//316 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//317 Akonadi::AttributeFactory::AttributeFactory()
    {20, 53, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//318 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1646, 0, 0, Smoke::mf_dtor, 0, 4 },	//319 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 62, 0, 0, Smoke::mf_ctor, 31, 1},	//320 Akonadi::CachePolicy::CachePolicy()
    {21, 62, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//321 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 986, 0, 0, Smoke::mf_const, 379, 3},	//322 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1383, 45, 1, 0, 0, 4},	//323 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1084, 0, 0, Smoke::mf_const, 271, 5},	//324 Akonadi::CachePolicy::localParts() const
    {21, 1410, 10, 1, 0, 0, 6},	//325 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 729, 0, 0, Smoke::mf_const, 466, 7},	//326 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1269, 41, 1, 0, 0, 8},	//327 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1015, 0, 0, Smoke::mf_const, 466, 9},	//328 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1385, 41, 1, 0, 0, 10},	//329 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1562, 0, 0, Smoke::mf_const, 379, 11},	//330 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1494, 45, 1, 0, 0, 12},	//331 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1130, 137, 1, 0, 30, 13},	//332 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1132, 137, 1, Smoke::mf_const, 379, 14},	//333 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1647, 0, 0, Smoke::mf_dtor, 0, 15 },	//334 Akonadi::CachePolicy::~CachePolicy()
    {22, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//335 Akonadi::ChangeRecorder::metaObject() const
    {22, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//336 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1580, 23, 2, Smoke::mf_static, 270, 3},	//337 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1584, 23, 2, Smoke::mf_static, 270, 4},	//338 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1580, 26, 3, Smoke::mf_static, 270, 5},	//339 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1584, 26, 3, Smoke::mf_static, 270, 6},	//340 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//341 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 74, 78, 1, Smoke::mf_ctor, 32, 8},	//342 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1299, 139, 1, 0, 0, 9},	//343 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1018, 0, 0, Smoke::mf_const, 379, 10},	//344 Akonadi::ChangeRecorder::isEmpty() const
    {22, 743, 0, 0, 0, 0, 11},	//345 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1276, 45, 1, 0, 0, 12},	//346 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 1186, 0, 0, Smoke::mf_slot, 0, 13},	//347 Akonadi::ChangeRecorder::replayNext()
    {22, 745, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//348 Akonadi::ChangeRecorder::changesAdded()
    {22, 1125, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//349 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 74, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 16},	//350 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1580, 21, 1, Smoke::mf_static, 270, 17},	//351 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1584, 21, 1, Smoke::mf_static, 270, 18},	//352 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 74, 0, 0, Smoke::mf_ctor, 32, 19},	//353 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 74, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 20},	//354 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 21},	//355 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1648, 0, 0, Smoke::mf_dtor, 0, 22 },	//356 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 80, 0, 0, Smoke::mf_ctor, 36, 1},	//357 Akonadi::Collection::Collection()
    {24, 80, 146, 1, Smoke::mf_ctor, 36, 2},	//358 Akonadi::Collection::Collection(long long)
    {24, 80, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//359 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 948, 148, 1, Smoke::mf_static, 34, 4},	//360 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1122, 0, 0, Smoke::mf_const, 270, 5},	//361 Akonadi::Collection::name() const
    {24, 1426, 8, 1, 0, 0, 6},	//362 Akonadi::Collection::setName(const QString&)
    {24, 1206, 0, 0, Smoke::mf_const, 222, 7},	//363 Akonadi::Collection::rights() const
    {24, 1471, 150, 1, 0, 0, 8},	//364 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 821, 0, 0, Smoke::mf_const, 271, 9},	//365 Akonadi::Collection::contentMimeTypes() const
    {24, 1313, 10, 1, 0, 0, 10},	//366 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1140, 0, 0, Smoke::mf_const, 469, 11},	//367 Akonadi::Collection::parent() const
    {24, 1436, 146, 1, 0, 0, 12},	//368 Akonadi::Collection::setParent(long long)
    {24, 1436, 61, 1, 0, 0, 13},	//369 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1143, 0, 0, Smoke::mf_const, 270, 14},	//370 Akonadi::Collection::parentRemoteId() const
    {24, 1441, 8, 1, 0, 0, 15},	//371 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1208, 0, 0, Smoke::mf_static, 34, 16},	//372 Akonadi::Collection::root()
    {24, 1101, 0, 0, Smoke::mf_static, 270, 17},	//373 Akonadi::Collection::mimeType()
    {24, 1189, 0, 0, Smoke::mf_const, 270, 18},	//374 Akonadi::Collection::resource() const
    {24, 1464, 8, 1, 0, 0, 19},	//375 Akonadi::Collection::setResource(const QString&)
    {24, 728, 0, 0, Smoke::mf_const, 29, 20},	//376 Akonadi::Collection::cachePolicy() const
    {24, 1267, 137, 1, 0, 0, 21},	//377 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1547, 0, 0, Smoke::mf_const, 61, 22},	//378 Akonadi::Collection::statistics() const
    {24, 1488, 152, 1, 0, 0, 23},	//379 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1605, 0, 0, Smoke::mf_const, 197, 24},	//380 Akonadi::Collection::url() const
    {24, 1026, 0, 0, Smoke::mf_const, 379, 25},	//381 Akonadi::Collection::isVirtual() const
    {24, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 26},	//382 Akonadi::Collection::ReadOnly (enum)
    {24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 27},	//383 Akonadi::Collection::CanChangeItem (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 28},	//384 Akonadi::Collection::CanCreateItem (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 29},	//385 Akonadi::Collection::CanDeleteItem (enum)
    {24, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//386 Akonadi::Collection::CanChangeCollection (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//387 Akonadi::Collection::CanCreateCollection (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//388 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//389 Akonadi::Collection::CanLinkItem (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 34},	//390 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//391 Akonadi::Collection::AllRights (enum)
    {24, 1649, 0, 0, Smoke::mf_dtor, 0, 36 },	//392 Akonadi::Collection::~Collection()
    {25, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//393 Akonadi::CollectionComboBox::metaObject() const
    {25, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//394 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1580, 23, 2, Smoke::mf_static, 270, 3},	//395 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1584, 23, 2, Smoke::mf_static, 270, 4},	//396 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1580, 26, 3, Smoke::mf_static, 270, 5},	//397 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1584, 26, 3, Smoke::mf_static, 270, 6},	//398 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//399 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 84, 85, 1, Smoke::mf_ctor, 39, 8},	//400 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 84, 154, 2, Smoke::mf_ctor, 39, 9},	//401 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1416, 10, 1, 0, 0, 10},	//402 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1103, 0, 0, Smoke::mf_const, 271, 11},	//403 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1246, 150, 1, 0, 0, 12},	//404 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 667, 0, 0, Smoke::mf_const, 222, 13},	//405 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1328, 61, 1, 0, 0, 14},	//406 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 842, 0, 0, Smoke::mf_const, 34, 15},	//407 Akonadi::CollectionComboBox::currentCollection() const
    {25, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//408 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1580, 21, 1, Smoke::mf_static, 270, 17},	//409 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1584, 21, 1, Smoke::mf_static, 270, 18},	//410 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 84, 0, 0, Smoke::mf_ctor, 39, 19},	//411 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 84, 157, 1, Smoke::mf_ctor, 39, 20},	//412 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 21},	//413 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1650, 0, 0, Smoke::mf_dtor, 0, 22 },	//414 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//415 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//416 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1580, 23, 2, Smoke::mf_static, 270, 3},	//417 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1584, 23, 2, Smoke::mf_static, 270, 4},	//418 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1580, 26, 3, Smoke::mf_static, 270, 5},	//419 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1584, 26, 3, Smoke::mf_static, 270, 6},	//420 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//421 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 87, 159, 3, Smoke::mf_ctor, 40, 8},	//422 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//423 Akonadi::CollectionCopyJob::doStart()
    {26, 1580, 21, 1, Smoke::mf_static, 270, 10},	//424 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1584, 21, 1, Smoke::mf_static, 270, 11},	//425 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 87, 58, 2, Smoke::mf_ctor, 40, 12},	//426 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//427 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1651, 0, 0, Smoke::mf_dtor, 0, 14 },	//428 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//429 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//430 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1580, 23, 2, Smoke::mf_static, 270, 3},	//431 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1584, 23, 2, Smoke::mf_static, 270, 4},	//432 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1580, 26, 3, Smoke::mf_static, 270, 5},	//433 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1584, 26, 3, Smoke::mf_static, 270, 6},	//434 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//435 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 90, 163, 2, Smoke::mf_ctor, 41, 8},	//436 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 762, 0, 0, Smoke::mf_const, 34, 9},	//437 Akonadi::CollectionCreateJob::collection() const
    {27, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//438 Akonadi::CollectionCreateJob::doStart()
    {27, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//439 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1580, 21, 1, Smoke::mf_static, 270, 12},	//440 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1584, 21, 1, Smoke::mf_static, 270, 13},	//441 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 90, 61, 1, Smoke::mf_ctor, 41, 14},	//442 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//443 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1652, 0, 0, Smoke::mf_dtor, 0, 16 },	//444 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//445 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//446 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1580, 23, 2, Smoke::mf_static, 270, 3},	//447 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1584, 23, 2, Smoke::mf_static, 270, 4},	//448 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1580, 26, 3, Smoke::mf_static, 270, 5},	//449 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1584, 26, 3, Smoke::mf_static, 270, 6},	//450 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//451 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 93, 163, 2, Smoke::mf_ctor, 42, 8},	//452 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//453 Akonadi::CollectionDeleteJob::doStart()
    {28, 1580, 21, 1, Smoke::mf_static, 270, 10},	//454 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1584, 21, 1, Smoke::mf_static, 270, 11},	//455 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 93, 61, 1, Smoke::mf_ctor, 42, 12},	//456 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//457 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1653, 0, 0, Smoke::mf_dtor, 0, 14 },	//458 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//459 Akonadi::CollectionDialog::metaObject() const
    {29, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//460 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1580, 23, 2, Smoke::mf_static, 270, 3},	//461 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1584, 23, 2, Smoke::mf_static, 270, 4},	//462 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1580, 26, 3, Smoke::mf_static, 270, 5},	//463 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1584, 26, 3, Smoke::mf_static, 270, 6},	//464 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//465 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 97, 85, 1, Smoke::mf_ctor, 43, 8},	//466 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 97, 154, 2, Smoke::mf_ctor, 43, 9},	//467 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 97, 169, 3, Smoke::mf_ctor, 43, 10},	//468 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1416, 10, 1, 0, 0, 11},	//469 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1103, 0, 0, Smoke::mf_const, 271, 12},	//470 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1246, 150, 1, 0, 0, 13},	//471 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 667, 0, 0, Smoke::mf_const, 222, 14},	//472 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1330, 8, 1, 0, 0, 15},	//473 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1328, 61, 1, 0, 0, 16},	//474 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1477, 173, 1, 0, 0, 17},	//475 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1233, 0, 0, Smoke::mf_const, 206, 18},	//476 Akonadi::CollectionDialog::selectionMode() const
    {29, 1227, 0, 0, Smoke::mf_const, 34, 19},	//477 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1228, 0, 0, Smoke::mf_const, 245, 20},	//478 Akonadi::CollectionDialog::selectedCollections() const
    {29, 738, 175, 1, 0, 0, 21},	//479 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1580, 21, 1, Smoke::mf_static, 270, 22},	//480 Akonadi::CollectionDialog::tr(const char*)
    {29, 1584, 21, 1, Smoke::mf_static, 270, 23},	//481 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 97, 0, 0, Smoke::mf_ctor, 43, 24},	//482 Akonadi::CollectionDialog::CollectionDialog()
    {29, 97, 157, 1, Smoke::mf_ctor, 43, 25},	//483 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 97, 175, 1, Smoke::mf_ctor, 43, 26},	//484 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 97, 177, 2, Smoke::mf_ctor, 43, 27},	//485 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 28},	//486 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 29},	//487 Akonadi::CollectionDialog::None (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 30},	//488 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 1654, 0, 0, Smoke::mf_dtor, 0, 31 },	//489 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//490 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//491 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1580, 23, 2, Smoke::mf_static, 270, 3},	//492 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1584, 23, 2, Smoke::mf_static, 270, 4},	//493 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1580, 26, 3, Smoke::mf_static, 270, 5},	//494 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1584, 26, 3, Smoke::mf_static, 270, 6},	//495 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//496 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 103, 180, 3, Smoke::mf_ctor, 45, 8},	//497 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 103, 184, 2, Smoke::mf_ctor, 45, 9},	//498 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 787, 0, 0, Smoke::mf_const, 245, 10},	//499 Akonadi::CollectionFetchJob::collections() const
    {30, 1464, 8, 1, 0, 0, 11},	//500 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 977, 45, 1, 0, 0, 12},	//501 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 975, 45, 1, 0, 0, 13},	//502 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1347, 187, 1, 0, 0, 14},	//503 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 935, 0, 0, 0, 47, 15},	//504 Akonadi::CollectionFetchJob::fetchScope()
    {30, 789, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//505 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//506 Akonadi::CollectionFetchJob::doStart()
    {30, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//507 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1532, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//508 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1580, 21, 1, Smoke::mf_static, 270, 20},	//509 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1584, 21, 1, Smoke::mf_static, 270, 21},	//510 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 103, 61, 1, Smoke::mf_ctor, 45, 22},	//511 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 103, 193, 2, Smoke::mf_ctor, 45, 23},	//512 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 103, 196, 1, Smoke::mf_ctor, 45, 24},	//513 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 977, 0, 0, 0, 0, 25},	//514 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 975, 0, 0, 0, 0, 26},	//515 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 27},	//516 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 28},	//517 Akonadi::CollectionFetchJob::Base (enum)
    {30, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//518 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//519 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 1655, 0, 0, Smoke::mf_dtor, 0, 31 },	//520 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 109, 0, 0, Smoke::mf_ctor, 48, 1},	//521 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 109, 187, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//522 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1130, 187, 1, 0, 47, 3},	//523 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 979, 0, 0, Smoke::mf_const, 379, 4},	//524 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 977, 0, 0, Smoke::mf_const, 379, 5},	//525 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1379, 45, 1, 0, 0, 6},	//526 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 975, 0, 0, Smoke::mf_const, 379, 7},	//527 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1377, 45, 1, 0, 0, 8},	//528 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1189, 0, 0, Smoke::mf_const, 270, 9},	//529 Akonadi::CollectionFetchScope::resource() const
    {31, 1464, 8, 1, 0, 0, 10},	//530 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1313, 10, 1, 0, 0, 11},	//531 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 821, 0, 0, Smoke::mf_const, 271, 12},	//532 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1256, 198, 1, 0, 0, 13},	//533 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 711, 0, 0, Smoke::mf_const, 49, 14},	//534 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1018, 0, 0, Smoke::mf_const, 379, 15},	//535 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 16},	//536 Akonadi::CollectionFetchScope::None (enum)
    {31, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 17},	//537 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 18},	//538 Akonadi::CollectionFetchScope::All (enum)
    {31, 1656, 0, 0, Smoke::mf_dtor, 0, 19 },	//539 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//540 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//541 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1580, 23, 2, Smoke::mf_static, 270, 3},	//542 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1584, 23, 2, Smoke::mf_static, 270, 4},	//543 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1580, 26, 3, Smoke::mf_static, 270, 5},	//544 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1584, 26, 3, Smoke::mf_static, 270, 6},	//545 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//546 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 111, 78, 1, Smoke::mf_ctor, 50, 8},	//547 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 688, 10, 1, 0, 0, 9},	//548 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 686, 8, 1, 0, 0, 10},	//549 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1104, 0, 0, Smoke::mf_const, 271, 11},	//550 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 752, 0, 0, 0, 0, 12},	//551 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//552 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 937, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 14},	//553 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1580, 21, 1, Smoke::mf_static, 270, 15},	//554 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1584, 21, 1, Smoke::mf_static, 270, 16},	//555 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 111, 0, 0, Smoke::mf_ctor, 50, 17},	//556 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//557 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1657, 0, 0, Smoke::mf_dtor, 0, 19 },	//558 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//559 Akonadi::CollectionModel::metaObject() const
    {33, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//560 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1580, 23, 2, Smoke::mf_static, 270, 3},	//561 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1584, 23, 2, Smoke::mf_static, 270, 4},	//562 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1580, 26, 3, Smoke::mf_static, 270, 5},	//563 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1584, 26, 3, Smoke::mf_static, 270, 6},	//564 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//565 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 114, 78, 1, Smoke::mf_ctor, 51, 8},	//566 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 925, 45, 1, 0, 0, 9},	//567 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 977, 45, 1, 0, 0, 10},	//568 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 11},	//569 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//570 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//571 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 14},	//572 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 15},	//573 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 16},	//574 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1360, 200, 4, Smoke::mf_virtual, 379, 17},	//575 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1323, 108, 3, Smoke::mf_virtual, 379, 18},	//576 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 19},	//577 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 20},	//578 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 21},	//579 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 889, 207, 5, Smoke::mf_virtual, 379, 22},	//580 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 23},	//581 Akonadi::CollectionModel::mimeTypes() const
    {33, 772, 213, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//582 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 114, 215, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 25},	//583 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1580, 21, 1, Smoke::mf_static, 270, 26},	//584 Akonadi::CollectionModel::tr(const char*)
    {33, 1584, 21, 1, Smoke::mf_static, 270, 27},	//585 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 114, 0, 0, Smoke::mf_ctor, 51, 28},	//586 Akonadi::CollectionModel::CollectionModel()
    {33, 977, 0, 0, 0, 0, 29},	//587 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 796, 0, 0, Smoke::mf_const, 466, 30},	//588 Akonadi::CollectionModel::columnCount() const
    {33, 847, 95, 1, Smoke::mf_const, 280, 31},	//589 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 980, 115, 2, Smoke::mf_const, 254, 32},	//590 Akonadi::CollectionModel::index(int, int) const
    {33, 1210, 0, 0, Smoke::mf_const, 466, 33},	//591 Akonadi::CollectionModel::rowCount() const
    {33, 958, 112, 2, Smoke::mf_const, 280, 34},	//592 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1360, 218, 3, 0, 379, 35},	//593 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1323, 222, 2, 0, 379, 36},	//594 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 114, 225, 1, Smoke::mf_ctor|Smoke::mf_protected, 51, 37},	//595 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 38},	//596 Akonadi::CollectionModel::staticMetaObject() const
    {33, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 39},	//597 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 40},	//598 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 41},	//599 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 42},	//600 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 43},	//601 Akonadi::CollectionModel::UserRole (enum)
    {33, 1658, 0, 0, Smoke::mf_dtor, 0, 44 },	//602 Akonadi::CollectionModel::~CollectionModel()
    {35, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//603 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//604 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1580, 23, 2, Smoke::mf_static, 270, 3},	//605 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1584, 23, 2, Smoke::mf_static, 270, 4},	//606 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1580, 26, 3, Smoke::mf_static, 270, 5},	//607 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1584, 26, 3, Smoke::mf_static, 270, 6},	//608 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//609 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 117, 163, 2, Smoke::mf_ctor, 54, 8},	//610 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 762, 0, 0, Smoke::mf_const, 34, 9},	//611 Akonadi::CollectionModifyJob::collection() const
    {35, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//612 Akonadi::CollectionModifyJob::doStart()
    {35, 1580, 21, 1, Smoke::mf_static, 270, 11},	//613 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1584, 21, 1, Smoke::mf_static, 270, 12},	//614 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 117, 61, 1, Smoke::mf_ctor, 54, 13},	//615 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 14},	//616 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1659, 0, 0, Smoke::mf_dtor, 0, 15 },	//617 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//618 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//619 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1580, 23, 2, Smoke::mf_static, 270, 3},	//620 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1584, 23, 2, Smoke::mf_static, 270, 4},	//621 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1580, 26, 3, Smoke::mf_static, 270, 5},	//622 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1584, 26, 3, Smoke::mf_static, 270, 6},	//623 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//624 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 120, 159, 3, Smoke::mf_ctor, 55, 8},	//625 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//626 Akonadi::CollectionMoveJob::doStart()
    {36, 1580, 21, 1, Smoke::mf_static, 270, 10},	//627 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1584, 21, 1, Smoke::mf_static, 270, 11},	//628 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 120, 58, 2, Smoke::mf_ctor, 55, 12},	//629 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//630 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1660, 0, 0, Smoke::mf_dtor, 0, 14 },	//631 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//632 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//633 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1580, 23, 2, Smoke::mf_static, 270, 3},	//634 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1584, 23, 2, Smoke::mf_static, 270, 4},	//635 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1580, 26, 3, Smoke::mf_static, 270, 5},	//636 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1584, 26, 3, Smoke::mf_static, 270, 6},	//637 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//638 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 124, 227, 2, Smoke::mf_ctor, 56, 8},	//639 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 124, 230, 3, Smoke::mf_ctor, 56, 9},	//640 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1168, 234, 1, Smoke::mf_static, 0, 10},	//641 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1609, 45, 1, Smoke::mf_static, 0, 11},	//642 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 1580, 21, 1, Smoke::mf_static, 270, 12},	//643 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1584, 21, 1, Smoke::mf_static, 270, 13},	//644 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 124, 61, 1, Smoke::mf_ctor, 56, 14},	//645 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 124, 236, 2, Smoke::mf_ctor, 56, 15},	//646 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//647 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 1661, 0, 0, Smoke::mf_dtor, 0, 17 },	//648 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//649 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//650 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1580, 23, 2, Smoke::mf_static, 270, 3},	//651 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1584, 23, 2, Smoke::mf_static, 270, 4},	//652 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1580, 26, 3, Smoke::mf_static, 270, 5},	//653 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1584, 26, 3, Smoke::mf_static, 270, 6},	//654 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//655 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 129, 85, 1, Smoke::mf_ctor, 57, 8},	//656 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1077, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//657 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1214, 239, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//658 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 732, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 11},	//659 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1434, 8, 1, 0, 0, 12},	//660 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1134, 0, 0, Smoke::mf_const, 270, 13},	//661 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1580, 21, 1, Smoke::mf_static, 270, 14},	//662 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1584, 21, 1, Smoke::mf_static, 270, 15},	//663 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 129, 0, 0, Smoke::mf_ctor, 57, 16},	//664 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 17},	//665 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1662, 0, 0, Smoke::mf_dtor, 0, 18 },	//666 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 834, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 1},	//667 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 131, 0, 0, Smoke::mf_ctor, 58, 2},	//668 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 131, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 3},	//669 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 834, 0, 0, Smoke::mf_const, 57, 4},	//670 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1663, 0, 0, Smoke::mf_dtor, 0, 5 },	//671 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 133, 0, 0, Smoke::mf_ctor, 59, 1},	//672 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 133, 243, 2, Smoke::mf_ctor, 59, 2},	//673 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1321, 146, 1, 0, 0, 3},	//674 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1412, 146, 1, 0, 0, 4},	//675 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 844, 0, 0, Smoke::mf_const, 469, 5},	//676 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1096, 0, 0, Smoke::mf_const, 469, 6},	//677 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 7},	//678 Akonadi::CollectionQuotaAttribute::type() const
    {40, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//679 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 9},	//680 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 856, 6, 1, Smoke::mf_virtual, 0, 10},	//681 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 133, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 11},	//682 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1664, 0, 0, Smoke::mf_dtor, 0, 12 },	//683 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//684 Akonadi::CollectionRequester::metaObject() const
    {41, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//685 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1580, 23, 2, Smoke::mf_static, 270, 3},	//686 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1584, 23, 2, Smoke::mf_static, 270, 4},	//687 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1580, 26, 3, Smoke::mf_static, 270, 5},	//688 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1584, 26, 3, Smoke::mf_static, 270, 6},	//689 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//690 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 137, 85, 1, Smoke::mf_ctor, 60, 8},	//691 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 137, 227, 2, Smoke::mf_ctor, 60, 9},	//692 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 762, 0, 0, Smoke::mf_const, 34, 10},	//693 Akonadi::CollectionRequester::collection() const
    {41, 1416, 10, 1, 0, 0, 11},	//694 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1103, 0, 0, Smoke::mf_const, 271, 12},	//695 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1246, 150, 1, 0, 0, 13},	//696 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 667, 0, 0, Smoke::mf_const, 222, 14},	//697 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 738, 175, 1, 0, 0, 15},	//698 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1278, 61, 1, Smoke::mf_slot, 0, 16},	//699 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 767, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//700 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1580, 21, 1, Smoke::mf_static, 270, 18},	//701 Akonadi::CollectionRequester::tr(const char*)
    {41, 1584, 21, 1, Smoke::mf_static, 270, 19},	//702 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 137, 0, 0, Smoke::mf_ctor, 60, 20},	//703 Akonadi::CollectionRequester::CollectionRequester()
    {41, 137, 61, 1, Smoke::mf_ctor, 60, 21},	//704 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 22},	//705 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1665, 0, 0, Smoke::mf_dtor, 0, 23 },	//706 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 141, 0, 0, Smoke::mf_ctor, 63, 1},	//707 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 141, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//708 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 824, 0, 0, Smoke::mf_const, 469, 3},	//709 Akonadi::CollectionStatistics::count() const
    {42, 1319, 146, 1, 0, 0, 4},	//710 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1597, 0, 0, Smoke::mf_const, 469, 5},	//711 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1506, 146, 1, 0, 0, 6},	//712 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1525, 0, 0, Smoke::mf_const, 469, 7},	//713 Akonadi::CollectionStatistics::size() const
    {42, 1484, 146, 1, 0, 0, 8},	//714 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1130, 152, 1, 0, 62, 9},	//715 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1666, 0, 0, Smoke::mf_dtor, 0, 10 },	//716 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//717 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//718 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1580, 23, 2, Smoke::mf_static, 270, 3},	//719 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1584, 23, 2, Smoke::mf_static, 270, 4},	//720 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1580, 26, 3, Smoke::mf_static, 270, 5},	//721 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1584, 26, 3, Smoke::mf_static, 270, 6},	//722 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//723 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 143, 248, 1, Smoke::mf_ctor, 64, 8},	//724 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 143, 250, 1, Smoke::mf_ctor, 64, 9},	//725 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1508, 45, 1, Smoke::mf_slot, 0, 10},	//726 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1598, 0, 0, Smoke::mf_const|Smoke::mf_slot, 379, 11},	//727 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1448, 45, 1, Smoke::mf_slot, 0, 12},	//728 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1157, 0, 0, Smoke::mf_const|Smoke::mf_slot, 379, 13},	//729 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1135, 252, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//730 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 987, 256, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//731 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1580, 21, 1, Smoke::mf_static, 270, 16},	//732 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1584, 21, 1, Smoke::mf_static, 270, 17},	//733 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//734 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1667, 0, 0, Smoke::mf_dtor, 0, 19 },	//735 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//736 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//737 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1580, 23, 2, Smoke::mf_static, 270, 3},	//738 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1584, 23, 2, Smoke::mf_static, 270, 4},	//739 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1580, 26, 3, Smoke::mf_static, 270, 5},	//740 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1584, 26, 3, Smoke::mf_static, 270, 6},	//741 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//742 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 145, 163, 2, Smoke::mf_ctor, 65, 8},	//743 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1547, 0, 0, Smoke::mf_const, 61, 9},	//744 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 762, 0, 0, Smoke::mf_const, 34, 10},	//745 Akonadi::CollectionStatisticsJob::collection() const
    {44, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//746 Akonadi::CollectionStatisticsJob::doStart()
    {44, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//747 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1580, 21, 1, Smoke::mf_static, 270, 13},	//748 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1584, 21, 1, Smoke::mf_static, 270, 14},	//749 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 145, 61, 1, Smoke::mf_ctor, 65, 15},	//750 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//751 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1668, 0, 0, Smoke::mf_dtor, 0, 17 },	//752 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//753 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//754 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1580, 23, 2, Smoke::mf_static, 270, 3},	//755 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1584, 23, 2, Smoke::mf_static, 270, 4},	//756 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1580, 26, 3, Smoke::mf_static, 270, 5},	//757 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1584, 26, 3, Smoke::mf_static, 270, 6},	//758 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//759 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 148, 78, 1, Smoke::mf_ctor, 66, 8},	//760 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 9},	//761 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 10},	//762 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//763 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1580, 21, 1, Smoke::mf_static, 270, 12},	//764 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1584, 21, 1, Smoke::mf_static, 270, 13},	//765 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 148, 0, 0, Smoke::mf_ctor, 66, 14},	//766 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 796, 0, 0, Smoke::mf_const, 466, 15},	//767 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 847, 95, 1, Smoke::mf_const, 280, 16},	//768 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 958, 112, 2, Smoke::mf_const, 280, 17},	//769 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//770 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 19},	//771 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 20},	//772 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 21},	//773 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 22},	//774 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 23},	//775 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 24},	//776 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 25},	//777 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 26},	//778 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 27},	//779 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1669, 0, 0, Smoke::mf_dtor, 0, 28 },	//780 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//781 Akonadi::CollectionView::metaObject() const
    {46, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//782 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1580, 23, 2, Smoke::mf_static, 270, 3},	//783 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1584, 23, 2, Smoke::mf_static, 270, 4},	//784 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1580, 26, 3, Smoke::mf_static, 270, 5},	//785 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1584, 26, 3, Smoke::mf_static, 270, 6},	//786 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//787 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 152, 85, 1, Smoke::mf_ctor, 68, 8},	//788 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 152, 259, 2, Smoke::mf_ctor, 68, 9},	//789 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 152, 262, 2, Smoke::mf_ctor, 68, 10},	//790 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1515, 265, 1, 0, 0, 11},	//791 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1513, 267, 1, 0, 0, 12},	//792 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1421, 157, 1, Smoke::mf_virtual, 0, 13},	//793 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 757, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//794 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//795 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 839, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//796 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 883, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//797 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 881, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//798 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 887, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//799 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//800 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1580, 21, 1, Smoke::mf_static, 270, 21},	//801 Akonadi::CollectionView::tr(const char*)
    {46, 1584, 21, 1, Smoke::mf_static, 270, 22},	//802 Akonadi::CollectionView::trUtf8(const char*)
    {46, 152, 0, 0, Smoke::mf_ctor, 68, 23},	//803 Akonadi::CollectionView::CollectionView()
    {46, 152, 265, 1, Smoke::mf_ctor, 68, 24},	//804 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 152, 267, 1, Smoke::mf_ctor, 68, 25},	//805 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 26},	//806 Akonadi::CollectionView::staticMetaObject() const
    {46, 1670, 0, 0, Smoke::mf_dtor, 0, 27 },	//807 Akonadi::CollectionView::~CollectionView()
    {47, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//808 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//809 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1580, 23, 2, Smoke::mf_static, 270, 3},	//810 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1584, 23, 2, Smoke::mf_static, 270, 4},	//811 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1580, 26, 3, Smoke::mf_static, 270, 5},	//812 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1584, 26, 3, Smoke::mf_static, 270, 6},	//813 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//814 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 157, 78, 1, Smoke::mf_ctor, 69, 8},	//815 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 809, 78, 1, 0, 0, 9},	//816 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1523, 148, 1, Smoke::mf_slot, 0, 10},	//817 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1235, 280, 2, Smoke::mf_slot, 0, 11},	//818 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 860, 283, 1, Smoke::mf_slot, 0, 12},	//819 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1239, 283, 1, Smoke::mf_slot, 0, 13},	//820 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1517, 285, 1, Smoke::mf_slot, 0, 14},	//821 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1580, 21, 1, Smoke::mf_static, 270, 15},	//822 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1584, 21, 1, Smoke::mf_static, 270, 16},	//823 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 157, 0, 0, Smoke::mf_ctor, 69, 17},	//824 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//825 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1671, 0, 0, Smoke::mf_dtor, 0, 19 },	//826 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//827 Akonadi::ContactEditor::metaObject() const
    {48, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//828 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1580, 23, 2, Smoke::mf_static, 270, 3},	//829 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1584, 23, 2, Smoke::mf_static, 270, 4},	//830 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1580, 26, 3, Smoke::mf_static, 270, 5},	//831 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1584, 26, 3, Smoke::mf_static, 270, 6},	//832 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//833 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 159, 287, 2, Smoke::mf_ctor, 70, 8},	//834 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 159, 290, 3, Smoke::mf_ctor, 70, 9},	//835 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 1311, 294, 1, 0, 0, 10},	//836 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1326, 61, 1, 0, 0, 11},	//837 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 1079, 56, 1, Smoke::mf_slot, 0, 12},	//838 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1216, 0, 0, Smoke::mf_slot, 379, 13},	//839 Akonadi::ContactEditor::saveContact()
    {48, 816, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//840 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 909, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//841 Akonadi::ContactEditor::error(const QString&)
    {48, 1580, 21, 1, Smoke::mf_static, 270, 16},	//842 Akonadi::ContactEditor::tr(const char*)
    {48, 1584, 21, 1, Smoke::mf_static, 270, 17},	//843 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 159, 296, 1, Smoke::mf_ctor, 70, 18},	//844 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 159, 298, 2, Smoke::mf_ctor, 70, 19},	//845 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 20},	//846 Akonadi::ContactEditor::staticMetaObject() const
    {48, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 21},	//847 Akonadi::ContactEditor::CreateMode (enum)
    {48, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//848 Akonadi::ContactEditor::EditMode (enum)
    {48, 1672, 0, 0, Smoke::mf_dtor, 0, 23 },	//849 Akonadi::ContactEditor::~ContactEditor()
    {49, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//850 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//851 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1580, 23, 2, Smoke::mf_static, 270, 3},	//852 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1584, 23, 2, Smoke::mf_static, 270, 4},	//853 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1580, 26, 3, Smoke::mf_static, 270, 5},	//854 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1584, 26, 3, Smoke::mf_static, 270, 6},	//855 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//856 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 163, 301, 2, Smoke::mf_ctor, 72, 8},	//857 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 163, 304, 3, Smoke::mf_ctor, 72, 9},	//858 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 1301, 56, 1, 0, 0, 10},	//859 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1326, 61, 1, 0, 0, 11},	//860 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 892, 0, 0, Smoke::mf_const, 70, 12},	//861 Akonadi::ContactEditorDialog::editor() const
    {49, 816, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//862 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 1580, 21, 1, Smoke::mf_static, 270, 14},	//863 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1584, 21, 1, Smoke::mf_static, 270, 15},	//864 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 163, 308, 1, Smoke::mf_ctor, 72, 16},	//865 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 163, 310, 2, Smoke::mf_ctor, 72, 17},	//866 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//867 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 19},	//868 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 20},	//869 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 1673, 0, 0, Smoke::mf_dtor, 0, 21 },	//870 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1578, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 1},	//871 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1079, 294, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//872 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1556, 313, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//873 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1458, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//874 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 167, 0, 0, Smoke::mf_ctor, 74, 5},	//875 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1674, 0, 0, Smoke::mf_dtor, 0, 6 },	//876 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//877 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//878 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1580, 23, 2, Smoke::mf_static, 270, 3},	//879 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1584, 23, 2, Smoke::mf_static, 270, 4},	//880 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1580, 26, 3, Smoke::mf_static, 270, 5},	//881 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1584, 26, 3, Smoke::mf_static, 270, 6},	//882 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//883 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 168, 315, 2, Smoke::mf_ctor, 75, 8},	//884 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1309, 318, 1, 0, 0, 9},	//885 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1326, 61, 1, 0, 0, 10},	//886 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 1081, 56, 1, Smoke::mf_slot, 0, 11},	//887 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1217, 0, 0, Smoke::mf_slot, 379, 12},	//888 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 813, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//889 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 909, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//890 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1580, 21, 1, Smoke::mf_static, 270, 15},	//891 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1584, 21, 1, Smoke::mf_static, 270, 16},	//892 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 168, 320, 1, Smoke::mf_ctor, 75, 17},	//893 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//894 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 19},	//895 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 20},	//896 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1675, 0, 0, Smoke::mf_dtor, 0, 21 },	//897 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//898 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//899 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1580, 23, 2, Smoke::mf_static, 270, 3},	//900 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1584, 23, 2, Smoke::mf_static, 270, 4},	//901 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1580, 26, 3, Smoke::mf_static, 270, 5},	//902 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1584, 26, 3, Smoke::mf_static, 270, 6},	//903 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//904 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 171, 322, 2, Smoke::mf_ctor, 77, 8},	//905 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1305, 56, 1, 0, 0, 9},	//906 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1326, 61, 1, 0, 0, 10},	//907 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 892, 0, 0, Smoke::mf_const, 75, 11},	//908 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 813, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//909 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1529, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//910 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1580, 21, 1, Smoke::mf_static, 270, 14},	//911 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1584, 21, 1, Smoke::mf_static, 270, 15},	//912 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 171, 325, 1, Smoke::mf_ctor, 77, 16},	//913 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 17},	//914 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 18},	//915 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 19},	//916 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1676, 0, 0, Smoke::mf_dtor, 0, 20 },	//917 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//918 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//919 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1580, 23, 2, Smoke::mf_static, 270, 3},	//920 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1584, 23, 2, Smoke::mf_static, 270, 4},	//921 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1580, 26, 3, Smoke::mf_static, 270, 5},	//922 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1584, 26, 3, Smoke::mf_static, 270, 6},	//923 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//924 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 174, 327, 2, Smoke::mf_ctor, 79, 8},	//925 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 174, 90, 2, Smoke::mf_ctor, 79, 9},	//926 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 818, 0, 0, Smoke::mf_const, 175, 10},	//927 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1538, 0, 0, Smoke::mf_virtual, 0, 11},	//928 Akonadi::ContactGroupExpandJob::start()
    {53, 1580, 21, 1, Smoke::mf_static, 270, 12},	//929 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1584, 21, 1, Smoke::mf_static, 270, 13},	//930 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 174, 318, 1, Smoke::mf_ctor, 79, 14},	//931 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 174, 8, 1, Smoke::mf_ctor, 79, 15},	//932 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//933 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1677, 0, 0, Smoke::mf_dtor, 0, 17 },	//934 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//935 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//936 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1580, 23, 2, Smoke::mf_static, 270, 3},	//937 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1584, 23, 2, Smoke::mf_static, 270, 4},	//938 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1580, 26, 3, Smoke::mf_static, 270, 5},	//939 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1584, 26, 3, Smoke::mf_static, 270, 6},	//940 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//941 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 179, 78, 1, Smoke::mf_ctor, 80, 8},	//942 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1450, 330, 2, 0, 0, 9},	//943 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1450, 333, 3, 0, 0, 10},	//944 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1407, 41, 1, 0, 0, 11},	//945 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 815, 0, 0, Smoke::mf_const, 248, 12},	//946 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1580, 21, 1, Smoke::mf_static, 270, 13},	//947 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1584, 21, 1, Smoke::mf_static, 270, 14},	//948 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 179, 0, 0, Smoke::mf_ctor, 80, 15},	//949 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//950 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 17},	//951 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 18},	//952 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 19},	//953 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 20},	//954 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1678, 0, 0, Smoke::mf_dtor, 0, 21 },	//955 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//956 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//957 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1580, 23, 2, Smoke::mf_static, 270, 3},	//958 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1584, 23, 2, Smoke::mf_static, 270, 4},	//959 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1580, 26, 3, Smoke::mf_static, 270, 5},	//960 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1584, 26, 3, Smoke::mf_static, 270, 6},	//961 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//962 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 181, 85, 1, Smoke::mf_ctor, 83, 8},	//963 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 812, 0, 0, Smoke::mf_const, 110, 9},	//964 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1307, 337, 1, 0, 0, 10},	//965 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1305, 56, 1, Smoke::mf_slot, 0, 11},	//966 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 895, 280, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//967 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1580, 21, 1, Smoke::mf_static, 270, 13},	//968 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1584, 21, 1, Smoke::mf_static, 270, 14},	//969 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 181, 0, 0, Smoke::mf_ctor, 83, 15},	//970 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//971 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1679, 0, 0, Smoke::mf_dtor, 0, 17 },	//972 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//973 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//974 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1580, 23, 2, Smoke::mf_static, 270, 3},	//975 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1584, 23, 2, Smoke::mf_static, 270, 4},	//976 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1580, 26, 3, Smoke::mf_static, 270, 5},	//977 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1584, 26, 3, Smoke::mf_static, 270, 6},	//978 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//979 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 183, 85, 1, Smoke::mf_ctor, 84, 8},	//980 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 812, 0, 0, Smoke::mf_const, 110, 9},	//981 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1616, 0, 0, Smoke::mf_const, 83, 10},	//982 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1305, 56, 1, Smoke::mf_slot, 0, 11},	//983 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1580, 21, 1, Smoke::mf_static, 270, 12},	//984 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1584, 21, 1, Smoke::mf_static, 270, 13},	//985 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 183, 0, 0, Smoke::mf_ctor, 84, 14},	//986 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//987 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1680, 0, 0, Smoke::mf_dtor, 0, 16 },	//988 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//989 Akonadi::ContactSearchJob::metaObject() const
    {57, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//990 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1580, 23, 2, Smoke::mf_static, 270, 3},	//991 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1584, 23, 2, Smoke::mf_static, 270, 4},	//992 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1580, 26, 3, Smoke::mf_static, 270, 5},	//993 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1584, 26, 3, Smoke::mf_static, 270, 6},	//994 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//995 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 185, 78, 1, Smoke::mf_ctor, 85, 8},	//996 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1450, 339, 2, 0, 0, 9},	//997 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1450, 342, 3, 0, 0, 10},	//998 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1407, 41, 1, 0, 0, 11},	//999 Akonadi::ContactSearchJob::setLimit(int)
    {57, 818, 0, 0, Smoke::mf_const, 175, 12},	//1000 Akonadi::ContactSearchJob::contacts() const
    {57, 1580, 21, 1, Smoke::mf_static, 270, 13},	//1001 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1584, 21, 1, Smoke::mf_static, 270, 14},	//1002 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 185, 0, 0, Smoke::mf_ctor, 85, 15},	//1003 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//1004 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 17},	//1005 Akonadi::ContactSearchJob::Name (enum)
    {57, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 18},	//1006 Akonadi::ContactSearchJob::Email (enum)
    {57, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 19},	//1007 Akonadi::ContactSearchJob::NickName (enum)
    {57, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 20},	//1008 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 21},	//1009 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 22},	//1010 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 23},	//1011 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1012 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 1681, 0, 0, Smoke::mf_dtor, 0, 25 },	//1013 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1014 Akonadi::ContactViewer::metaObject() const
    {58, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1015 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1016 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1017 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1018 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1019 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1020 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 188, 85, 1, Smoke::mf_ctor, 88, 8},	//1021 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 811, 0, 0, Smoke::mf_const, 110, 9},	//1022 Akonadi::ContactViewer::contact() const
    {58, 1163, 0, 0, Smoke::mf_const, 173, 10},	//1023 Akonadi::ContactViewer::rawContact() const
    {58, 1303, 346, 1, 0, 0, 11},	//1024 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1301, 56, 1, Smoke::mf_slot, 0, 12},	//1025 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1456, 294, 1, Smoke::mf_slot, 0, 13},	//1026 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1607, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1027 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 895, 280, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1028 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1152, 283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1029 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1534, 283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1030 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 698, 285, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1031 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1580, 21, 1, Smoke::mf_static, 270, 19},	//1032 Akonadi::ContactViewer::tr(const char*)
    {58, 1584, 21, 1, Smoke::mf_static, 270, 20},	//1033 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 188, 0, 0, Smoke::mf_ctor, 88, 21},	//1034 Akonadi::ContactViewer::ContactViewer()
    {58, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 22},	//1035 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1682, 0, 0, Smoke::mf_dtor, 0, 23 },	//1036 Akonadi::ContactViewer::~ContactViewer()
    {59, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1037 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1038 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1039 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1040 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1041 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1042 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1043 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 190, 85, 1, Smoke::mf_ctor, 89, 8},	//1044 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 811, 0, 0, Smoke::mf_const, 110, 9},	//1045 Akonadi::ContactViewerDialog::contact() const
    {59, 1616, 0, 0, Smoke::mf_const, 88, 10},	//1046 Akonadi::ContactViewerDialog::viewer() const
    {59, 1301, 56, 1, Smoke::mf_slot, 0, 11},	//1047 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1580, 21, 1, Smoke::mf_static, 270, 12},	//1048 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1584, 21, 1, Smoke::mf_static, 270, 13},	//1049 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 190, 0, 0, Smoke::mf_ctor, 89, 14},	//1050 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//1051 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1683, 0, 0, Smoke::mf_dtor, 0, 16 },	//1052 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1053 Akonadi::Control::metaObject() const
    {60, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1054 Akonadi::Control::qt_metacast(const char*)
    {60, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1055 Akonadi::Control::tr(const char*, const char*)
    {60, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1056 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1057 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1058 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1059 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1538, 0, 0, Smoke::mf_static, 379, 8},	//1060 Akonadi::Control::start()
    {60, 1538, 85, 1, Smoke::mf_static, 379, 9},	//1061 Akonadi::Control::start(QWidget*)
    {60, 1552, 0, 0, Smoke::mf_static, 379, 10},	//1062 Akonadi::Control::stop()
    {60, 1552, 85, 1, Smoke::mf_static, 379, 11},	//1063 Akonadi::Control::stop(QWidget*)
    {60, 1193, 0, 0, Smoke::mf_static, 379, 12},	//1064 Akonadi::Control::restart()
    {60, 1193, 85, 1, Smoke::mf_static, 379, 13},	//1065 Akonadi::Control::restart(QWidget*)
    {60, 1626, 85, 1, Smoke::mf_static, 0, 14},	//1066 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 194, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 90, 15},	//1067 Akonadi::Control::Control()
    {60, 1580, 21, 1, Smoke::mf_static, 270, 16},	//1068 Akonadi::Control::tr(const char*)
    {60, 1584, 21, 1, Smoke::mf_static, 270, 17},	//1069 Akonadi::Control::trUtf8(const char*)
    {60, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//1070 Akonadi::Control::staticMetaObject() const
    {60, 1684, 0, 0, Smoke::mf_dtor, 0, 19 },	//1071 Akonadi::Control::~Control()
    {61, 1369, 146, 1, 0, 0, 1},	//1072 Akonadi::Entity::setId(long long)
    {61, 969, 0, 0, Smoke::mf_const, 469, 2},	//1073 Akonadi::Entity::id() const
    {61, 1460, 8, 1, 0, 0, 3},	//1074 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1172, 0, 0, Smoke::mf_const, 270, 4},	//1075 Akonadi::Entity::remoteId() const
    {61, 1462, 8, 1, 0, 0, 5},	//1076 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1173, 0, 0, Smoke::mf_const, 270, 6},	//1077 Akonadi::Entity::remoteRevision() const
    {61, 1025, 0, 0, Smoke::mf_const, 379, 7},	//1078 Akonadi::Entity::isValid() const
    {61, 1132, 348, 1, Smoke::mf_const, 379, 8},	//1079 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1128, 348, 1, Smoke::mf_const, 379, 9},	//1080 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1130, 348, 1, 0, 91, 10},	//1081 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1142, 0, 0, Smoke::mf_const, 34, 11},	//1082 Akonadi::Entity::parentCollection() const
    {61, 1142, 0, 0, 0, 35, 12},	//1083 Akonadi::Entity::parentCollection()
    {61, 1439, 61, 1, 0, 0, 13},	//1084 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 676, 350, 1, 0, 0, 14},	//1085 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1174, 6, 1, 0, 0, 15},	//1086 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 951, 6, 1, Smoke::mf_const, 379, 16},	//1087 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 717, 0, 0, Smoke::mf_const, 243, 17},	//1088 Akonadi::Entity::attributes() const
    {61, 750, 0, 0, 0, 0, 18},	//1089 Akonadi::Entity::clearAttributes()
    {61, 715, 6, 1, Smoke::mf_const, 27, 19},	//1090 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 234, 348, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 92, 20},	//1091 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 234, 352, 1, Smoke::mf_ctor|Smoke::mf_protected, 92, 21},	//1092 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 846, 0, 0, Smoke::mf_protected, 98, 22},	//1093 Akonadi::Entity::d_func()
    {61, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected, 402, 23},	//1094 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 24},	//1095 Akonadi::Entity::AddIfMissing (enum)
    {61, 1685, 0, 0, Smoke::mf_dtor, 0, 25 },	//1096 Akonadi::Entity::~Entity()
    {62, 236, 0, 0, Smoke::mf_ctor, 94, 1},	//1097 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1332, 8, 1, 0, 0, 2},	//1098 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 865, 0, 0, Smoke::mf_const, 270, 3},	//1099 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1367, 8, 1, 0, 0, 4},	//1100 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 967, 0, 0, Smoke::mf_const, 192, 5},	//1101 Akonadi::EntityDisplayAttribute::icon() const
    {62, 968, 0, 0, Smoke::mf_const, 270, 6},	//1102 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1250, 8, 1, 0, 0, 7},	//1103 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 674, 0, 0, Smoke::mf_const, 192, 8},	//1104 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 675, 0, 0, Smoke::mf_const, 270, 9},	//1105 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 724, 0, 0, Smoke::mf_const, 212, 10},	//1106 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1261, 354, 1, 0, 0, 11},	//1107 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 12},	//1108 Akonadi::EntityDisplayAttribute::type() const
    {62, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 94, 13},	//1109 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//1110 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 856, 6, 1, Smoke::mf_virtual, 0, 15},	//1111 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 236, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 16},	//1112 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1686, 0, 0, Smoke::mf_dtor, 0, 17 },	//1113 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 238, 0, 0, Smoke::mf_ctor, 95, 1},	//1114 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 2},	//1115 Akonadi::EntityHiddenAttribute::type() const
    {63, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 3},	//1116 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//1117 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 856, 6, 1, Smoke::mf_virtual, 0, 5},	//1118 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 238, 358, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 6},	//1119 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1687, 0, 0, Smoke::mf_dtor, 0, 7 },	//1120 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1121 Akonadi::EntityListView::metaObject() const
    {64, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1122 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1123 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1124 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1125 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1126 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1127 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 240, 85, 1, Smoke::mf_ctor, 96, 8},	//1128 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 240, 262, 2, Smoke::mf_ctor, 96, 9},	//1129 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1513, 267, 1, 0, 0, 10},	//1130 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1421, 157, 1, Smoke::mf_virtual, 0, 11},	//1131 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 757, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1132 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 757, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1133 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 878, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1134 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 878, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1135 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1136 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1137 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 839, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1138 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 883, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1139 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 887, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1140 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1141 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1540, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1142 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 1580, 21, 1, Smoke::mf_static, 270, 23},	//1143 Akonadi::EntityListView::tr(const char*)
    {64, 1584, 21, 1, Smoke::mf_static, 270, 24},	//1144 Akonadi::EntityListView::trUtf8(const char*)
    {64, 240, 0, 0, Smoke::mf_ctor, 96, 25},	//1145 Akonadi::EntityListView::EntityListView()
    {64, 240, 267, 1, Smoke::mf_ctor, 96, 26},	//1146 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 27},	//1147 Akonadi::EntityListView::staticMetaObject() const
    {64, 1688, 0, 0, Smoke::mf_dtor, 0, 28 },	//1148 Akonadi::EntityListView::~EntityListView()
    {65, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1149 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1150 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1151 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1152 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1153 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1154 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1155 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 243, 78, 1, Smoke::mf_ctor, 97, 8},	//1156 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 692, 10, 1, 0, 0, 9},	//1157 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 684, 10, 1, 0, 0, 10},	//1158 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 690, 8, 1, 0, 0, 11},	//1159 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 682, 8, 1, 0, 0, 12},	//1160 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1105, 0, 0, Smoke::mf_const, 271, 13},	//1161 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1102, 0, 0, Smoke::mf_const, 271, 14},	//1162 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 752, 0, 0, 0, 0, 15},	//1163 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1363, 362, 1, 0, 0, 16},	//1164 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 17},	//1165 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 18},	//1166 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 730, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 19},	//1167 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 20},	//1168 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 21},	//1169 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 937, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 22},	//1170 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 1580, 21, 1, Smoke::mf_static, 270, 23},	//1171 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1584, 21, 1, Smoke::mf_static, 270, 24},	//1172 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 243, 0, 0, Smoke::mf_ctor, 97, 25},	//1173 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 958, 112, 2, Smoke::mf_const, 280, 26},	//1174 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 953, 0, 0, Smoke::mf_const, 379, 27},	//1175 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1092, 370, 3, Smoke::mf_const, 250, 28},	//1176 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1092, 374, 4, Smoke::mf_const, 250, 29},	//1177 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 796, 0, 0, Smoke::mf_const, 466, 30},	//1178 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 31},	//1179 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1689, 0, 0, Smoke::mf_dtor, 0, 32 },	//1180 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1181 Akonadi::EntityTreeModel::metaObject() const
    {67, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1182 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1183 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1184 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1185 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1186 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1187 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 246, 379, 2, Smoke::mf_ctor, 99, 8},	//1188 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1482, 45, 1, 0, 0, 9},	//1189 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1573, 0, 0, Smoke::mf_const, 379, 10},	//1190 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 977, 0, 0, Smoke::mf_const, 379, 11},	//1191 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1379, 45, 1, 0, 0, 12},	//1192 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1397, 382, 1, 0, 0, 13},	//1193 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1051, 0, 0, Smoke::mf_const, 103, 14},	//1194 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1375, 45, 1, 0, 0, 15},	//1195 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 974, 0, 0, Smoke::mf_const, 379, 16},	//1196 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1473, 8, 1, 0, 0, 17},	//1197 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1209, 0, 0, Smoke::mf_const, 270, 18},	//1198 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1282, 384, 1, 0, 0, 19},	//1199 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 771, 0, 0, Smoke::mf_const, 100, 20},	//1200 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 21},	//1201 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 22},	//1202 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 23},	//1203 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 24},	//1204 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 25},	//1205 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 26},	//1206 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 27},	//1207 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 28},	//1208 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 889, 207, 5, Smoke::mf_virtual, 379, 29},	//1209 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1323, 108, 3, Smoke::mf_virtual, 379, 30},	//1210 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 31},	//1211 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 32},	//1212 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 730, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 33},	//1213 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 930, 95, 1, Smoke::mf_virtual, 0, 34},	//1214 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 35},	//1215 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 36},	//1216 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1111, 386, 2, Smoke::mf_static, 254, 37},	//1217 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1113, 389, 2, Smoke::mf_static, 250, 38},	//1218 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 749, 0, 0, Smoke::mf_protected, 0, 39},	//1219 Akonadi::EntityTreeModel::clearAndReset()
    {67, 902, 392, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 40},	//1220 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 902, 396, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 41},	//1221 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 905, 400, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 42},	//1222 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 900, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 43},	//1223 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 907, 405, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 44},	//1224 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 907, 409, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 45},	//1225 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 846, 0, 0, Smoke::mf_protected, 105, 46},	//1226 Akonadi::EntityTreeModel::d_func()
    {67, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected, 403, 47},	//1227 Akonadi::EntityTreeModel::d_func() const
    {67, 246, 413, 3, Smoke::mf_ctor|Smoke::mf_protected, 99, 48},	//1228 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1580, 21, 1, Smoke::mf_static, 270, 49},	//1229 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1584, 21, 1, Smoke::mf_static, 270, 50},	//1230 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 246, 417, 1, Smoke::mf_ctor, 99, 51},	//1231 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 796, 0, 0, Smoke::mf_const, 466, 52},	//1232 Akonadi::EntityTreeModel::columnCount() const
    {67, 1210, 0, 0, Smoke::mf_const, 466, 53},	//1233 Akonadi::EntityTreeModel::rowCount() const
    {67, 847, 95, 1, Smoke::mf_const, 280, 54},	//1234 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 958, 112, 2, Smoke::mf_const, 280, 55},	//1235 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1323, 222, 2, 0, 379, 56},	//1236 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 980, 115, 2, Smoke::mf_const, 254, 57},	//1237 Akonadi::EntityTreeModel::index(int, int) const
    {67, 953, 0, 0, Smoke::mf_const, 379, 58},	//1238 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1092, 370, 3, Smoke::mf_const, 250, 59},	//1239 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1092, 374, 4, Smoke::mf_const, 250, 60},	//1240 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 902, 419, 2, Smoke::mf_const|Smoke::mf_protected, 280, 61},	//1241 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 902, 422, 2, Smoke::mf_const|Smoke::mf_protected, 280, 62},	//1242 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 246, 425, 2, Smoke::mf_ctor|Smoke::mf_protected, 99, 63},	//1243 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 64},	//1244 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 65},	//1245 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 66},	//1246 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 67},	//1247 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 68},	//1248 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 69},	//1249 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 70},	//1250 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 71},	//1251 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 72},	//1252 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 73},	//1253 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 74},	//1254 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 75},	//1255 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 76},	//1256 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 77},	//1257 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 78},	//1258 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 79},	//1259 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 80},	//1260 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 81},	//1261 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 82},	//1262 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 83},	//1263 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 84},	//1264 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 85},	//1265 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 86},	//1266 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 87},	//1267 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 88},	//1268 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 89},	//1269 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 90},	//1270 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 91},	//1271 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 92},	//1272 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 93},	//1273 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 94},	//1274 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 95},	//1275 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 96},	//1276 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 97},	//1277 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 98},	//1278 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 99},	//1279 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 100},	//1280 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 101},	//1281 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1690, 0, 0, Smoke::mf_dtor, 0, 102 },	//1282 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1283 Akonadi::EntityTreeView::metaObject() const
    {69, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1284 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1285 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1286 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1287 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1288 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1289 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 250, 85, 1, Smoke::mf_ctor, 106, 8},	//1290 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 250, 262, 2, Smoke::mf_ctor, 106, 9},	//1291 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1513, 267, 1, 0, 0, 10},	//1292 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1421, 157, 1, Smoke::mf_virtual, 0, 11},	//1293 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1334, 45, 1, 0, 0, 12},	//1294 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1017, 0, 0, Smoke::mf_const, 379, 13},	//1295 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 757, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1296 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 757, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1297 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 878, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1298 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 878, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1299 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 839, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1300 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1301 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 839, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1302 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1540, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1303 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 883, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1304 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 887, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1305 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1576, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1306 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1307 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1580, 21, 1, Smoke::mf_static, 270, 26},	//1308 Akonadi::EntityTreeView::tr(const char*)
    {69, 1584, 21, 1, Smoke::mf_static, 270, 27},	//1309 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 250, 0, 0, Smoke::mf_ctor, 106, 28},	//1310 Akonadi::EntityTreeView::EntityTreeView()
    {69, 250, 267, 1, Smoke::mf_ctor, 106, 29},	//1311 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 30},	//1312 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1691, 0, 0, Smoke::mf_dtor, 0, 31 },	//1313 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1314 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1315 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1316 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1317 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1318 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1319 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1320 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 253, 250, 1, Smoke::mf_ctor, 107, 8},	//1321 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1218, 430, 1, Smoke::mf_const, 0, 9},	//1322 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1195, 432, 1, Smoke::mf_const, 0, 10},	//1323 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1580, 21, 1, Smoke::mf_static, 270, 11},	//1324 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1584, 21, 1, Smoke::mf_static, 270, 12},	//1325 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//1326 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1692, 0, 0, Smoke::mf_dtor, 0, 14 },	//1327 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 260, 21, 1, Smoke::mf_ctor, 108, 1},	//1328 Akonadi::Exception::Exception(const char*)
    {71, 260, 6, 1, Smoke::mf_ctor, 108, 2},	//1329 Akonadi::Exception::Exception(const QByteArray&)
    {71, 260, 8, 1, Smoke::mf_ctor, 108, 3},	//1330 Akonadi::Exception::Exception(const QString&)
    {71, 260, 434, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 4},	//1331 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1624, 0, 0, Smoke::mf_const, 462, 5},	//1332 Akonadi::Exception::what() const
    {71, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 6},	//1333 Akonadi::Exception::type() const
    {71, 1693, 0, 0, Smoke::mf_dtor, 0, 7 },	//1334 Akonadi::Exception::~Exception()
    {72, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1335 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1336 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1337 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1338 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1339 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1340 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1341 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 265, 436, 3, Smoke::mf_ctor, 109, 8},	//1342 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 787, 0, 0, Smoke::mf_const, 245, 9},	//1343 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 774, 0, 0, Smoke::mf_const, 244, 10},	//1344 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 916, 61, 1, 0, 270, 11},	//1345 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1346 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1323, 108, 3, Smoke::mf_virtual, 379, 13},	//1347 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 14},	//1348 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 889, 207, 5, Smoke::mf_virtual, 379, 15},	//1349 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 16},	//1350 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 17},	//1351 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1293, 189, 1, Smoke::mf_slot, 0, 18},	//1352 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 680, 61, 1, Smoke::mf_slot, 0, 19},	//1353 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1176, 61, 1, Smoke::mf_slot, 0, 20},	//1354 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1341, 440, 2, Smoke::mf_slot, 0, 21},	//1355 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1580, 21, 1, Smoke::mf_static, 270, 22},	//1356 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1584, 21, 1, Smoke::mf_static, 270, 23},	//1357 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 265, 443, 2, Smoke::mf_ctor, 109, 24},	//1358 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 847, 95, 1, Smoke::mf_const, 280, 25},	//1359 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1323, 222, 2, 0, 379, 26},	//1360 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 958, 112, 2, Smoke::mf_const, 280, 27},	//1361 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 28},	//1362 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1694, 0, 0, Smoke::mf_dtor, 0, 29 },	//1363 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 300, 0, 0, Smoke::mf_ctor, 112, 1},	//1364 Akonadi::Item::Item()
    {73, 300, 146, 1, Smoke::mf_ctor, 112, 2},	//1365 Akonadi::Item::Item(long long)
    {73, 300, 8, 1, Smoke::mf_ctor, 112, 3},	//1366 Akonadi::Item::Item(const QString&)
    {73, 300, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 112, 4},	//1367 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 948, 148, 1, Smoke::mf_static, 110, 5},	//1368 Akonadi::Item::fromUrl(const KUrl&)
    {73, 941, 0, 0, Smoke::mf_const, 266, 6},	//1369 Akonadi::Item::flags() const
    {73, 1115, 0, 0, Smoke::mf_const, 216, 7},	//1370 Akonadi::Item::modificationTime() const
    {73, 1424, 446, 1, 0, 0, 8},	//1371 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 955, 6, 1, Smoke::mf_const, 379, 9},	//1372 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1349, 6, 1, 0, 0, 10},	//1373 Akonadi::Item::setFlag(const QByteArray&)
    {73, 753, 6, 1, 0, 0, 11},	//1374 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1351, 448, 1, 0, 0, 12},	//1375 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 755, 0, 0, 0, 0, 13},	//1376 Akonadi::Item::clearFlags()
    {73, 1443, 6, 1, 0, 0, 14},	//1377 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1147, 0, 0, Smoke::mf_const, 209, 15},	//1378 Akonadi::Item::payloadData() const
    {73, 1083, 0, 0, Smoke::mf_const, 266, 16},	//1379 Akonadi::Item::loadedPayloadParts() const
    {73, 756, 0, 0, 0, 0, 17},	//1380 Akonadi::Item::clearPayload()
    {73, 1469, 41, 1, 0, 0, 18},	//1381 Akonadi::Item::setRevision(int)
    {73, 1205, 0, 0, Smoke::mf_const, 466, 19},	//1382 Akonadi::Item::revision() const
    {73, 1555, 0, 0, Smoke::mf_const, 469, 20},	//1383 Akonadi::Item::storageCollectionId() const
    {73, 1484, 146, 1, 0, 0, 21},	//1384 Akonadi::Item::setSize(long long)
    {73, 1525, 0, 0, Smoke::mf_const, 469, 22},	//1385 Akonadi::Item::size() const
    {73, 1414, 8, 1, 0, 0, 23},	//1386 Akonadi::Item::setMimeType(const QString&)
    {73, 1101, 0, 0, Smoke::mf_const, 270, 24},	//1387 Akonadi::Item::mimeType() const
    {73, 722, 0, 0, Smoke::mf_const, 282, 25},	//1388 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 957, 0, 0, Smoke::mf_const, 379, 26},	//1389 Akonadi::Item::hasPayload() const
    {73, 1605, 450, 1, Smoke::mf_const, 197, 27},	//1390 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 723, 0, 0, Smoke::mf_const, 266, 28},	//1391 Akonadi::Item::availablePayloadParts() const
    {73, 712, 56, 1, 0, 0, 29},	//1392 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1605, 0, 0, Smoke::mf_const, 197, 30},	//1393 Akonadi::Item::url() const
    {73, 277, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 31},	//1394 Akonadi::Item::FullPayload() const
    {73, 1355, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 32},	//1395 Akonadi::Item::setFullPayload(const char*)
    {73, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 33},	//1396 Akonadi::Item::UrlShort (enum)
    {73, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 34},	//1397 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1695, 0, 0, Smoke::mf_dtor, 0, 35 },	//1398 Akonadi::Item::~Item()
    {74, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1399 Akonadi::ItemCopyJob::metaObject() const
    {74, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1400 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1401 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1402 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1403 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1404 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1405 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 303, 452, 3, Smoke::mf_ctor, 114, 8},	//1406 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 303, 456, 3, Smoke::mf_ctor, 114, 9},	//1407 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1408 Akonadi::ItemCopyJob::doStart()
    {74, 1580, 21, 1, Smoke::mf_static, 270, 11},	//1409 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1584, 21, 1, Smoke::mf_static, 270, 12},	//1410 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 303, 50, 2, Smoke::mf_ctor, 114, 13},	//1411 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 303, 460, 2, Smoke::mf_ctor, 114, 14},	//1412 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//1413 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1696, 0, 0, Smoke::mf_dtor, 0, 16 },	//1414 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1415 Akonadi::ItemCreateJob::metaObject() const
    {75, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1416 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1417 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1418 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1419 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1420 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1421 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 308, 452, 3, Smoke::mf_ctor, 115, 8},	//1422 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1035, 0, 0, Smoke::mf_const, 110, 9},	//1423 Akonadi::ItemCreateJob::item() const
    {75, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1424 Akonadi::ItemCreateJob::doStart()
    {75, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1425 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1580, 21, 1, Smoke::mf_static, 270, 12},	//1426 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1584, 21, 1, Smoke::mf_static, 270, 13},	//1427 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 308, 50, 2, Smoke::mf_ctor, 115, 14},	//1428 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//1429 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1697, 0, 0, Smoke::mf_dtor, 0, 16 },	//1430 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1431 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1432 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1433 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1434 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1435 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1436 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1437 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 311, 463, 2, Smoke::mf_ctor, 116, 8},	//1438 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 311, 466, 2, Smoke::mf_ctor, 116, 9},	//1439 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 311, 163, 2, Smoke::mf_ctor, 116, 10},	//1440 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 853, 0, 0, Smoke::mf_const, 247, 11},	//1441 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1442 Akonadi::ItemDeleteJob::doStart()
    {76, 1580, 21, 1, Smoke::mf_static, 270, 13},	//1443 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1584, 21, 1, Smoke::mf_static, 270, 14},	//1444 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 311, 56, 1, Smoke::mf_ctor, 116, 15},	//1445 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 311, 469, 1, Smoke::mf_ctor, 116, 16},	//1446 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 311, 61, 1, Smoke::mf_ctor, 116, 17},	//1447 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 18},	//1448 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1698, 0, 0, Smoke::mf_dtor, 0, 19 },	//1449 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1450 Akonadi::ItemFetchJob::metaObject() const
    {77, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1451 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1452 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1453 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1454 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1455 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1456 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 316, 163, 2, Smoke::mf_ctor, 117, 8},	//1457 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 316, 463, 2, Smoke::mf_ctor, 117, 9},	//1458 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 316, 466, 2, Smoke::mf_ctor, 117, 10},	//1459 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 1061, 0, 0, Smoke::mf_const, 247, 11},	//1460 Akonadi::ItemFetchJob::items() const
    {77, 1347, 471, 1, 0, 0, 12},	//1461 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1347, 473, 1, 0, 0, 13},	//1462 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 935, 0, 0, 0, 118, 14},	//1463 Akonadi::ItemFetchJob::fetchScope()
    {77, 1278, 61, 1, 0, 0, 15},	//1464 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1064, 475, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1465 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1466 Akonadi::ItemFetchJob::doStart()
    {77, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1467 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1580, 21, 1, Smoke::mf_static, 270, 19},	//1468 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1584, 21, 1, Smoke::mf_static, 270, 20},	//1469 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 316, 61, 1, Smoke::mf_ctor, 117, 21},	//1470 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 316, 56, 1, Smoke::mf_ctor, 117, 22},	//1471 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 316, 469, 1, Smoke::mf_ctor, 117, 23},	//1472 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 24},	//1473 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1699, 0, 0, Smoke::mf_dtor, 0, 25 },	//1474 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 321, 0, 0, Smoke::mf_ctor, 119, 1},	//1475 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 321, 473, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//1476 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1130, 473, 1, 0, 118, 3},	//1477 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1148, 0, 0, Smoke::mf_const, 266, 4},	//1478 Akonadi::ItemFetchScope::payloadParts() const
    {78, 932, 477, 2, 0, 0, 5},	//1479 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 950, 0, 0, Smoke::mf_const, 379, 6},	//1480 Akonadi::ItemFetchScope::fullPayload() const
    {78, 927, 45, 1, 0, 0, 7},	//1481 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 717, 0, 0, Smoke::mf_const, 266, 8},	//1482 Akonadi::ItemFetchScope::attributes() const
    {78, 920, 477, 2, 0, 0, 9},	//1483 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 708, 0, 0, Smoke::mf_const, 379, 10},	//1484 Akonadi::ItemFetchScope::allAttributes() const
    {78, 918, 45, 1, 0, 0, 11},	//1485 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 727, 0, 0, Smoke::mf_const, 379, 12},	//1486 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1265, 45, 1, 0, 0, 13},	//1487 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1256, 480, 1, 0, 0, 14},	//1488 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 711, 0, 0, Smoke::mf_const, 120, 15},	//1489 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1345, 45, 1, 0, 0, 16},	//1490 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 929, 0, 0, Smoke::mf_const, 379, 17},	//1491 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1018, 0, 0, Smoke::mf_const, 379, 18},	//1492 Akonadi::ItemFetchScope::isEmpty() const
    {78, 932, 6, 1, 0, 0, 19},	//1493 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 927, 0, 0, 0, 0, 20},	//1494 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 920, 6, 1, 0, 0, 21},	//1495 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 918, 0, 0, 0, 0, 22},	//1496 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 23},	//1497 Akonadi::ItemFetchScope::None (enum)
    {78, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 24},	//1498 Akonadi::ItemFetchScope::Parent (enum)
    {78, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 25},	//1499 Akonadi::ItemFetchScope::All (enum)
    {78, 1700, 0, 0, Smoke::mf_dtor, 0, 26 },	//1500 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1501 Akonadi::ItemModel::metaObject() const
    {79, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1502 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1503 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1504 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1505 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1506 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1507 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 325, 78, 1, Smoke::mf_ctor, 121, 8},	//1508 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 9},	//1509 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 10},	//1510 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 11},	//1511 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1512 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//1513 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 14},	//1514 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 15},	//1515 Akonadi::ItemModel::mimeTypes() const
    {79, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 16},	//1516 Akonadi::ItemModel::supportedDropActions() const
    {79, 1347, 473, 1, 0, 0, 17},	//1517 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 935, 0, 0, 0, 118, 18},	//1518 Akonadi::ItemModel::fetchScope()
    {79, 1043, 95, 1, Smoke::mf_const, 110, 19},	//1519 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 984, 482, 2, Smoke::mf_const, 254, 20},	//1520 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 889, 207, 5, Smoke::mf_virtual, 379, 21},	//1521 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 762, 0, 0, Smoke::mf_const, 34, 22},	//1522 Akonadi::ItemModel::collection() const
    {79, 1278, 61, 1, Smoke::mf_slot, 0, 23},	//1523 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 767, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1524 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1244, 0, 0, Smoke::mf_const|Smoke::mf_protected, 158, 25},	//1525 Akonadi::ItemModel::session() const
    {79, 1580, 21, 1, Smoke::mf_static, 270, 26},	//1526 Akonadi::ItemModel::tr(const char*)
    {79, 1584, 21, 1, Smoke::mf_static, 270, 27},	//1527 Akonadi::ItemModel::trUtf8(const char*)
    {79, 325, 0, 0, Smoke::mf_ctor, 121, 28},	//1528 Akonadi::ItemModel::ItemModel()
    {79, 796, 0, 0, Smoke::mf_const, 466, 29},	//1529 Akonadi::ItemModel::columnCount() const
    {79, 847, 95, 1, Smoke::mf_const, 280, 30},	//1530 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1210, 0, 0, Smoke::mf_const, 466, 31},	//1531 Akonadi::ItemModel::rowCount() const
    {79, 958, 112, 2, Smoke::mf_const, 280, 32},	//1532 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 33},	//1533 Akonadi::ItemModel::staticMetaObject() const
    {79, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//1534 Akonadi::ItemModel::Id (enum)
    {79, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//1535 Akonadi::ItemModel::RemoteId (enum)
    {79, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//1536 Akonadi::ItemModel::MimeType (enum)
    {79, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 37},	//1537 Akonadi::ItemModel::IdRole (enum)
    {79, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 38},	//1538 Akonadi::ItemModel::ItemRole (enum)
    {79, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 39},	//1539 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 40},	//1540 Akonadi::ItemModel::UserRole (enum)
    {79, 1701, 0, 0, Smoke::mf_dtor, 0, 41 },	//1541 Akonadi::ItemModel::~ItemModel()
    {80, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1542 Akonadi::ItemModifyJob::metaObject() const
    {80, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1543 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1544 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1545 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1546 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1547 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1548 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 327, 463, 2, Smoke::mf_ctor, 124, 8},	//1549 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 327, 466, 2, Smoke::mf_ctor, 124, 9},	//1550 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1373, 45, 1, 0, 0, 10},	//1551 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 971, 0, 0, Smoke::mf_const, 379, 11},	//1552 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 863, 0, 0, 0, 0, 12},	//1553 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1035, 0, 0, Smoke::mf_const, 110, 13},	//1554 Akonadi::ItemModifyJob::item() const
    {80, 1061, 0, 0, Smoke::mf_const, 247, 14},	//1555 Akonadi::ItemModifyJob::items() const
    {80, 862, 0, 0, 0, 0, 15},	//1556 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1557 Akonadi::ItemModifyJob::doStart()
    {80, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1558 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1580, 21, 1, Smoke::mf_static, 270, 18},	//1559 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1584, 21, 1, Smoke::mf_static, 270, 19},	//1560 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 327, 56, 1, Smoke::mf_ctor, 124, 20},	//1561 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 327, 469, 1, Smoke::mf_ctor, 124, 21},	//1562 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 22},	//1563 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1702, 0, 0, Smoke::mf_dtor, 0, 23 },	//1564 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 332, 0, 0, Smoke::mf_ctor, 125, 1},	//1565 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1389, 56, 1, 0, 0, 2},	//1566 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1035, 0, 0, Smoke::mf_const, 110, 3},	//1567 Akonadi::ItemMonitor::item() const
    {81, 1038, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1568 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1052, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1569 Akonadi::ItemMonitor::itemRemoved()
    {81, 1347, 473, 1, Smoke::mf_protected, 0, 6},	//1570 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 935, 0, 0, Smoke::mf_protected, 118, 7},	//1571 Akonadi::ItemMonitor::fetchScope()
    {81, 1703, 0, 0, Smoke::mf_dtor, 0, 8 },	//1572 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1573 Akonadi::ItemMoveJob::metaObject() const
    {82, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1574 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1575 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1576 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1577 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1578 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1579 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 333, 452, 3, Smoke::mf_ctor, 126, 8},	//1580 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 333, 456, 3, Smoke::mf_ctor, 126, 9},	//1581 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1582 Akonadi::ItemMoveJob::doStart()
    {82, 1580, 21, 1, Smoke::mf_static, 270, 11},	//1583 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1584, 21, 1, Smoke::mf_static, 270, 12},	//1584 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 333, 50, 2, Smoke::mf_ctor, 126, 13},	//1585 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 333, 460, 2, Smoke::mf_ctor, 126, 14},	//1586 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//1587 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1704, 0, 0, Smoke::mf_dtor, 0, 16 },	//1588 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1589 Akonadi::ItemSearchJob::metaObject() const
    {83, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1590 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1591 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1592 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1593 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1594 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1595 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 339, 90, 2, Smoke::mf_ctor, 127, 8},	//1596 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1450, 8, 1, 0, 0, 9},	//1597 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1347, 473, 1, 0, 0, 10},	//1598 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 935, 0, 0, 0, 118, 11},	//1599 Akonadi::ItemSearchJob::fetchScope()
    {83, 1061, 0, 0, Smoke::mf_const, 247, 12},	//1600 Akonadi::ItemSearchJob::items() const
    {83, 707, 0, 0, Smoke::mf_static, 279, 13},	//1601 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1064, 475, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1602 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1603 Akonadi::ItemSearchJob::doStart()
    {83, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1604 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1580, 21, 1, Smoke::mf_static, 270, 17},	//1605 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1584, 21, 1, Smoke::mf_static, 270, 18},	//1606 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 339, 8, 1, Smoke::mf_ctor, 127, 19},	//1607 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 20},	//1608 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1705, 0, 0, Smoke::mf_dtor, 0, 21 },	//1609 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 856, 485, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 379, 1},	//1610 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1241, 490, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1611 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1145, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 266, 3},	//1612 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 342, 0, 0, Smoke::mf_ctor, 128, 4},	//1613 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 342, 495, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 5},	//1614 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1706, 0, 0, Smoke::mf_dtor, 0, 6 },	//1615 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 712, 497, 2, Smoke::mf_virtual, 0, 1},	//1616 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 720, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 266, 2},	//1617 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 344, 0, 0, Smoke::mf_ctor, 129, 3},	//1618 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 344, 500, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 4},	//1619 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1707, 0, 0, Smoke::mf_dtor, 0, 5 },	//1620 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1621 Akonadi::ItemSync::metaObject() const
    {86, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1622 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1623 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1624 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1625 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1626 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1627 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 346, 163, 2, Smoke::mf_ctor, 130, 8},	//1628 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1357, 469, 1, 0, 0, 9},	//1629 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1500, 41, 1, 0, 0, 10},	//1630 Akonadi::ItemSync::setTotalItems(int)
    {86, 1490, 45, 1, 0, 0, 11},	//1631 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 854, 0, 0, 0, 0, 12},	//1632 Akonadi::ItemSync::deliveryDone()
    {86, 1381, 502, 2, 0, 0, 13},	//1633 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1347, 471, 1, 0, 0, 14},	//1634 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 935, 0, 0, 0, 118, 15},	//1635 Akonadi::ItemSync::fetchScope()
    {86, 1207, 0, 0, 0, 0, 16},	//1636 Akonadi::ItemSync::rollback()
    {86, 1502, 505, 1, 0, 0, 17},	//1637 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1638 Akonadi::ItemSync::doStart()
    {86, 1532, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1639 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1603, 507, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 20},	//1640 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1580, 21, 1, Smoke::mf_static, 270, 21},	//1641 Akonadi::ItemSync::tr(const char*)
    {86, 1584, 21, 1, Smoke::mf_static, 270, 22},	//1642 Akonadi::ItemSync::trUtf8(const char*)
    {86, 346, 61, 1, Smoke::mf_ctor, 130, 23},	//1643 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 24},	//1644 Akonadi::ItemSync::staticMetaObject() const
    {86, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 25},	//1645 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 26},	//1646 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 27},	//1647 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1708, 0, 0, Smoke::mf_dtor, 0, 28 },	//1648 Akonadi::ItemSync::~ItemSync()
    {87, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1649 Akonadi::ItemView::metaObject() const
    {87, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1650 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1651 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1652 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1653 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1654 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1655 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 349, 85, 1, Smoke::mf_ctor, 132, 8},	//1656 Akonadi::ItemView::ItemView(QWidget*)
    {87, 349, 259, 2, Smoke::mf_ctor, 132, 9},	//1657 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 349, 262, 2, Smoke::mf_ctor, 132, 10},	//1658 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1515, 265, 1, 0, 0, 11},	//1659 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1513, 267, 1, 0, 0, 12},	//1660 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1421, 157, 1, Smoke::mf_virtual, 0, 13},	//1661 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 672, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1662 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 839, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1663 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 757, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1664 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 878, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1665 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 839, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1666 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1667 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1580, 21, 1, Smoke::mf_static, 270, 20},	//1668 Akonadi::ItemView::tr(const char*)
    {87, 1584, 21, 1, Smoke::mf_static, 270, 21},	//1669 Akonadi::ItemView::trUtf8(const char*)
    {87, 349, 0, 0, Smoke::mf_ctor, 132, 22},	//1670 Akonadi::ItemView::ItemView()
    {87, 349, 265, 1, Smoke::mf_ctor, 132, 23},	//1671 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 349, 267, 1, Smoke::mf_ctor, 132, 24},	//1672 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 25},	//1673 Akonadi::ItemView::staticMetaObject() const
    {87, 1709, 0, 0, Smoke::mf_dtor, 0, 26 },	//1674 Akonadi::ItemView::~ItemView()
    {88, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1675 Akonadi::Job::metaObject() const
    {88, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1676 Akonadi::Job::qt_metacast(const char*)
    {88, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1677 Akonadi::Job::tr(const char*, const char*)
    {88, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1678 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1679 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1680 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1681 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 352, 78, 1, Smoke::mf_ctor, 133, 8},	//1682 Akonadi::Job::Job(QObject*)
    {88, 1538, 0, 0, Smoke::mf_virtual, 0, 9},	//1683 Akonadi::Job::start()
    {88, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 10},	//1684 Akonadi::Job::errorString() const
    {88, 664, 510, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1685 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1630, 510, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1686 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1687 Akonadi::Job::doStart() [pure virtual]
    {88, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1688 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 694, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 15},	//1689 Akonadi::Job::addSubjob(KJob*)
    {88, 1182, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 16},	//1690 Akonadi::Job::removeSubjob(KJob*)
    {88, 870, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 379, 17},	//1691 Akonadi::Job::doKill()
    {88, 897, 0, 0, Smoke::mf_protected, 0, 18},	//1692 Akonadi::Job::emitWriteFinished()
    {88, 1532, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1693 Akonadi::Job::slotResult(KJob*)
    {88, 352, 512, 2, Smoke::mf_ctor|Smoke::mf_protected, 133, 20},	//1694 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1580, 21, 1, Smoke::mf_static, 270, 21},	//1695 Akonadi::Job::tr(const char*)
    {88, 1584, 21, 1, Smoke::mf_static, 270, 22},	//1696 Akonadi::Job::trUtf8(const char*)
    {88, 352, 0, 0, Smoke::mf_ctor, 133, 23},	//1697 Akonadi::Job::Job()
    {88, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 24},	//1698 Akonadi::Job::staticMetaObject() const
    {88, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 25},	//1699 Akonadi::Job::ConnectionFailed (enum)
    {88, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 26},	//1700 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 27},	//1701 Akonadi::Job::UserCanceled (enum)
    {88, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 28},	//1702 Akonadi::Job::Unknown (enum)
    {88, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 29},	//1703 Akonadi::Job::UserError (enum)
    {88, 1710, 0, 0, Smoke::mf_dtor, 0, 30 },	//1704 Akonadi::Job::~Job()
    {90, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1705 Akonadi::LinkJob::metaObject() const
    {90, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1706 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1707 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1708 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1709 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1710 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1711 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 379, 515, 3, Smoke::mf_ctor, 136, 8},	//1712 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1713 Akonadi::LinkJob::doStart()
    {90, 1580, 21, 1, Smoke::mf_static, 270, 10},	//1714 Akonadi::LinkJob::tr(const char*)
    {90, 1584, 21, 1, Smoke::mf_static, 270, 11},	//1715 Akonadi::LinkJob::trUtf8(const char*)
    {90, 379, 519, 2, Smoke::mf_ctor, 136, 12},	//1716 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//1717 Akonadi::LinkJob::staticMetaObject() const
    {90, 1711, 0, 0, Smoke::mf_dtor, 0, 14 },	//1718 Akonadi::LinkJob::~LinkJob()
    {91, 388, 0, 0, Smoke::mf_ctor, 137, 1},	//1719 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 388, 522, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//1720 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1022, 0, 0, Smoke::mf_const, 379, 3},	//1721 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1432, 45, 1, 0, 0, 4},	//1722 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 5},	//1723 Akonadi::MessageFolderAttribute::type() const
    {91, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 6},	//1724 Akonadi::MessageFolderAttribute::clone() const
    {91, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 7},	//1725 Akonadi::MessageFolderAttribute::serialized() const
    {91, 856, 6, 1, Smoke::mf_virtual, 0, 8},	//1726 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1712, 0, 0, Smoke::mf_dtor, 0, 9 },	//1727 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1728 Akonadi::MessageModel::metaObject() const
    {92, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1729 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1730 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1731 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1732 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1733 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1734 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 390, 78, 1, Smoke::mf_ctor, 138, 8},	//1735 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 9},	//1736 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 10},	//1737 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//1738 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1739 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 13},	//1740 Akonadi::MessageModel::mimeTypes() const
    {92, 1580, 21, 1, Smoke::mf_static, 270, 14},	//1741 Akonadi::MessageModel::tr(const char*)
    {92, 1584, 21, 1, Smoke::mf_static, 270, 15},	//1742 Akonadi::MessageModel::trUtf8(const char*)
    {92, 390, 0, 0, Smoke::mf_ctor, 138, 16},	//1743 Akonadi::MessageModel::MessageModel()
    {92, 1210, 0, 0, Smoke::mf_const, 466, 17},	//1744 Akonadi::MessageModel::rowCount() const
    {92, 796, 0, 0, Smoke::mf_const, 466, 18},	//1745 Akonadi::MessageModel::columnCount() const
    {92, 847, 95, 1, Smoke::mf_const, 280, 19},	//1746 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 958, 112, 2, Smoke::mf_const, 280, 20},	//1747 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 21},	//1748 Akonadi::MessageModel::staticMetaObject() const
    {92, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 22},	//1749 Akonadi::MessageModel::Subject (enum)
    {92, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 23},	//1750 Akonadi::MessageModel::Sender (enum)
    {92, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 24},	//1751 Akonadi::MessageModel::Receiver (enum)
    {92, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//1752 Akonadi::MessageModel::Date (enum)
    {92, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//1753 Akonadi::MessageModel::Size (enum)
    {92, 1713, 0, 0, Smoke::mf_dtor, 0, 27 },	//1754 Akonadi::MessageModel::~MessageModel()
    {93, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1755 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1756 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1757 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1758 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1759 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1760 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1761 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 392, 78, 1, Smoke::mf_ctor, 140, 8},	//1762 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 9},	//1763 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 10},	//1764 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 11},	//1765 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 12},	//1766 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 832, 524, 3, Smoke::mf_const, 254, 13},	//1767 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 14},	//1768 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 15},	//1769 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 16},	//1770 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1086, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 17},	//1771 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1090, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 18},	//1772 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1486, 157, 1, Smoke::mf_virtual, 0, 19},	//1773 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1580, 21, 1, Smoke::mf_static, 270, 20},	//1774 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1584, 21, 1, Smoke::mf_static, 270, 21},	//1775 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 392, 0, 0, Smoke::mf_ctor, 140, 22},	//1776 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 23},	//1777 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1714, 0, 0, Smoke::mf_dtor, 0, 24 },	//1778 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 394, 0, 0, Smoke::mf_ctor, 141, 1},	//1779 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 394, 528, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1780 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1151, 0, 0, Smoke::mf_const, 246, 3},	//1781 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1445, 530, 1, 0, 0, 4},	//1782 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1596, 0, 0, Smoke::mf_const, 246, 5},	//1783 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1504, 530, 1, 0, 0, 6},	//1784 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1559, 0, 0, Smoke::mf_const, 246, 7},	//1785 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1492, 530, 1, 0, 0, 8},	//1786 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 9},	//1787 Akonadi::MessageThreadingAttribute::type() const
    {94, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 10},	//1788 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//1789 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 856, 6, 1, Smoke::mf_virtual, 0, 12},	//1790 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1715, 0, 0, Smoke::mf_dtor, 0, 13 },	//1791 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 397, 0, 0, Smoke::mf_ctor, 143, 1},	//1792 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 397, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//1793 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1130, 532, 1, 0, 142, 3},	//1794 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1621, 0, 0, Smoke::mf_const, 271, 4},	//1795 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1511, 10, 1, 0, 0, 5},	//1796 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 696, 8, 1, 0, 0, 6},	//1797 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1184, 8, 1, 0, 0, 7},	//1798 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1030, 56, 1, Smoke::mf_const, 379, 8},	//1799 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1027, 61, 1, Smoke::mf_const, 379, 9},	//1800 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1033, 8, 1, Smoke::mf_const, 379, 10},	//1801 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 819, 10, 1, Smoke::mf_const, 379, 11},	//1802 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1030, 534, 2, Smoke::mf_static, 379, 12},	//1803 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1027, 440, 2, Smoke::mf_static, 379, 13},	//1804 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1716, 0, 0, Smoke::mf_dtor, 0, 14 },	//1805 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1806 Akonadi::Monitor::metaObject() const
    {96, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1807 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1808 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1809 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1810 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1811 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1812 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 402, 78, 1, Smoke::mf_ctor, 144, 8},	//1813 Akonadi::Monitor::Monitor(QObject*)
    {96, 1284, 121, 2, 0, 0, 9},	//1814 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1394, 537, 2, 0, 0, 10},	//1815 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1466, 477, 2, 0, 0, 11},	//1816 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1418, 540, 2, 0, 0, 12},	//1817 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1254, 45, 1, 0, 0, 13},	//1818 Akonadi::Monitor::setAllMonitored(bool)
    {96, 972, 543, 1, 0, 0, 14},	//1819 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 923, 45, 1, 0, 0, 15},	//1820 Akonadi::Monitor::fetchCollection(bool)
    {96, 925, 45, 1, 0, 0, 16},	//1821 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1392, 473, 1, 0, 0, 17},	//1822 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 1042, 0, 0, 0, 118, 18},	//1823 Akonadi::Monitor::itemFetchScope()
    {96, 1280, 187, 1, 0, 0, 19},	//1824 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 770, 0, 0, 0, 47, 20},	//1825 Akonadi::Monitor::collectionFetchScope()
    {96, 788, 0, 0, Smoke::mf_const, 245, 21},	//1826 Akonadi::Monitor::collectionsMonitored() const
    {96, 1062, 0, 0, Smoke::mf_const, 246, 22},	//1827 Akonadi::Monitor::itemsMonitored() const
    {96, 1063, 0, 0, Smoke::mf_const, 281, 23},	//1828 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1109, 0, 0, Smoke::mf_const, 271, 24},	//1829 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1192, 0, 0, Smoke::mf_const, 249, 25},	//1830 Akonadi::Monitor::resourcesMonitored() const
    {96, 1016, 0, 0, Smoke::mf_const, 379, 26},	//1831 Akonadi::Monitor::isAllMonitored() const
    {96, 1480, 543, 1, 0, 0, 27},	//1832 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1244, 0, 0, Smoke::mf_const, 158, 28},	//1833 Akonadi::Monitor::session() const
    {96, 1038, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1834 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1049, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1835 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1036, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1836 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1052, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1837 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1045, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1838 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1059, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1839 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 763, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1840 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 767, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1841 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 767, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1842 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 777, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1843 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 779, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1844 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 783, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1845 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 785, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1846 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 781, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1847 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 775, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1848 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1047, 537, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1849 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1190, 477, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1850 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1106, 540, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1851 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 709, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1852 Akonadi::Monitor::allMonitored(bool)
    {96, 402, 548, 2, Smoke::mf_ctor|Smoke::mf_protected, 144, 48},	//1853 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1580, 21, 1, Smoke::mf_static, 270, 49},	//1854 Akonadi::Monitor::tr(const char*)
    {96, 1584, 21, 1, Smoke::mf_static, 270, 50},	//1855 Akonadi::Monitor::trUtf8(const char*)
    {96, 402, 0, 0, Smoke::mf_ctor, 144, 51},	//1856 Akonadi::Monitor::Monitor()
    {96, 1284, 61, 1, 0, 0, 52},	//1857 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1394, 56, 1, 0, 0, 53},	//1858 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1466, 6, 1, 0, 0, 54},	//1859 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1418, 8, 1, 0, 0, 55},	//1860 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1254, 0, 0, 0, 0, 56},	//1861 Akonadi::Monitor::setAllMonitored()
    {96, 402, 551, 1, Smoke::mf_ctor|Smoke::mf_protected, 144, 57},	//1862 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 58},	//1863 Akonadi::Monitor::staticMetaObject() const
    {96, 1717, 0, 0, Smoke::mf_dtor, 0, 59 },	//1864 Akonadi::Monitor::~Monitor()
    {98, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1865 Akonadi::PartFetcher::metaObject() const
    {98, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1866 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1867 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1868 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1869 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1870 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1871 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 453, 553, 3, Smoke::mf_ctor, 146, 8},	//1872 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1538, 0, 0, Smoke::mf_virtual, 0, 9},	//1873 Akonadi::PartFetcher::start()
    {98, 980, 0, 0, Smoke::mf_const, 254, 10},	//1874 Akonadi::PartFetcher::index() const
    {98, 1144, 0, 0, Smoke::mf_const, 209, 11},	//1875 Akonadi::PartFetcher::partName() const
    {98, 1035, 0, 0, Smoke::mf_const, 110, 12},	//1876 Akonadi::PartFetcher::item() const
    {98, 1580, 21, 1, Smoke::mf_static, 270, 13},	//1877 Akonadi::PartFetcher::tr(const char*)
    {98, 1584, 21, 1, Smoke::mf_static, 270, 14},	//1878 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 453, 557, 2, Smoke::mf_ctor, 146, 15},	//1879 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//1880 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1720, 0, 0, Smoke::mf_dtor, 0, 17 },	//1881 Akonadi::PartFetcher::~PartFetcher()
    {99, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 1},	//1882 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1592, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 462, 2},	//1883 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 457, 0, 0, Smoke::mf_ctor, 147, 3},	//1884 Akonadi::PayloadBase::PayloadBase()
    {99, 457, 560, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 4},	//1885 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1721, 0, 0, Smoke::mf_dtor, 0, 5 },	//1886 Akonadi::PayloadBase::~PayloadBase()
    {100, 459, 21, 1, Smoke::mf_ctor, 148, 1},	//1887 Akonadi::PayloadException::PayloadException(const char*)
    {100, 459, 6, 1, Smoke::mf_ctor, 148, 2},	//1888 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 459, 8, 1, Smoke::mf_ctor, 148, 3},	//1889 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//1890 Akonadi::PayloadException::type() const
    {100, 459, 562, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 5},	//1891 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1722, 0, 0, Smoke::mf_dtor, 0, 6 },	//1892 Akonadi::PayloadException::~PayloadException()
    {101, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1893 Akonadi::PreprocessorBase::metaObject() const
    {101, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1894 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1895 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1896 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1897 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1898 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1899 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1154, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 150, 8},	//1900 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 939, 564, 1, 0, 0, 9},	//1901 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1347, 473, 1, 0, 0, 10},	//1902 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 935, 0, 0, 0, 118, 11},	//1903 Akonadi::PreprocessorBase::fetchScope()
    {101, 468, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 149, 12},	//1904 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1580, 21, 1, Smoke::mf_static, 270, 13},	//1905 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1584, 21, 1, Smoke::mf_static, 270, 14},	//1906 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 15},	//1907 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 16},	//1908 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 17},	//1909 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 18},	//1910 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 19},	//1911 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1723, 0, 0, Smoke::mf_dtor, 0, 20 },	//1912 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1913 Akonadi::ResourceBase::metaObject() const
    {102, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1914 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1915 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1916 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1917 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1918 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1919 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1426, 8, 1, 0, 0, 8},	//1920 Akonadi::ResourceBase::setName(const QString&)
    {102, 1122, 0, 0, Smoke::mf_const, 270, 9},	//1921 Akonadi::ResourceBase::name() const
    {102, 1123, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//1922 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1572, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1923 Akonadi::ResourceBase::synchronized()
    {102, 718, 566, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1924 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 1199, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 13},	//1925 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1197, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 14},	//1926 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1202, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//1927 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1200, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 379, 16},	//1928 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 660, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//1929 Akonadi::ResourceBase::abortActivity()
    {102, 497, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 151, 18},	//1930 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1054, 56, 1, Smoke::mf_protected, 0, 19},	//1931 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 765, 61, 1, Smoke::mf_protected, 0, 20},	//1932 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 740, 56, 1, Smoke::mf_protected, 0, 21},	//1933 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 740, 61, 1, Smoke::mf_protected, 0, 22},	//1934 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 792, 196, 1, Smoke::mf_protected, 0, 23},	//1935 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 794, 568, 2, Smoke::mf_protected, 0, 24},	//1936 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1291, 45, 1, Smoke::mf_protected, 0, 25},	//1937 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 791, 0, 0, Smoke::mf_protected, 0, 26},	//1938 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1067, 469, 1, Smoke::mf_protected, 0, 27},	//1939 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1500, 41, 1, Smoke::mf_protected, 0, 28},	//1940 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1401, 45, 1, Smoke::mf_protected, 0, 29},	//1941 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1405, 505, 1, Smoke::mf_protected, 0, 30},	//1942 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1403, 473, 1, Smoke::mf_protected, 0, 31},	//1943 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1069, 502, 2, Smoke::mf_protected, 0, 32},	//1944 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1066, 0, 0, Smoke::mf_protected, 0, 33},	//1945 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 751, 0, 0, Smoke::mf_protected, 0, 34},	//1946 Akonadi::ResourceBase::clearCache()
    {102, 842, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 35},	//1947 Akonadi::ResourceBase::currentCollection() const
    {102, 843, 0, 0, Smoke::mf_const|Smoke::mf_protected, 110, 36},	//1948 Akonadi::ResourceBase::currentItem() const
    {102, 1563, 0, 0, Smoke::mf_protected, 0, 37},	//1949 Akonadi::ResourceBase::synchronize()
    {102, 1564, 146, 1, Smoke::mf_protected, 0, 38},	//1950 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1564, 571, 2, Smoke::mf_protected, 0, 39},	//1951 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1569, 146, 1, Smoke::mf_protected, 0, 40},	//1952 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1571, 0, 0, Smoke::mf_protected, 0, 41},	//1953 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 734, 0, 0, Smoke::mf_protected, 0, 42},	//1954 Akonadi::ResourceBase::cancelTask()
    {102, 734, 8, 1, Smoke::mf_protected, 0, 43},	//1955 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 852, 0, 0, Smoke::mf_protected, 0, 44},	//1956 Akonadi::ResourceBase::deferTask()
    {102, 872, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1957 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1365, 45, 1, Smoke::mf_protected, 0, 46},	//1958 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1220, 574, 4, Smoke::mf_protected, 0, 47},	//1959 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1575, 0, 0, Smoke::mf_protected, 0, 48},	//1960 Akonadi::ResourceBase::taskDone()
    {102, 1580, 21, 1, Smoke::mf_static, 270, 49},	//1961 Akonadi::ResourceBase::tr(const char*)
    {102, 1584, 21, 1, Smoke::mf_static, 270, 50},	//1962 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1220, 579, 3, Smoke::mf_protected, 0, 51},	//1963 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 52},	//1964 Akonadi::ResourceBase::staticMetaObject() const
    {102, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 53},	//1965 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 54},	//1966 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 55},	//1967 Akonadi::ResourceBase::Append (enum)
    {102, 1724, 0, 0, Smoke::mf_dtor, 0, 56 },	//1968 Akonadi::ResourceBase::~ResourceBase()
    {103, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1969 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1970 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1971 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1972 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1973 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1974 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1975 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 500, 583, 2, Smoke::mf_ctor, 153, 8},	//1976 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 1189, 0, 0, Smoke::mf_const, 11, 9},	//1977 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1538, 0, 0, Smoke::mf_virtual, 0, 10},	//1978 Akonadi::ResourceSynchronizationJob::start()
    {103, 1580, 21, 1, Smoke::mf_static, 270, 11},	//1979 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1584, 21, 1, Smoke::mf_static, 270, 12},	//1980 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 500, 83, 1, Smoke::mf_ctor, 153, 13},	//1981 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 14},	//1982 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1725, 0, 0, Smoke::mf_dtor, 0, 15 },	//1983 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//1984 Akonadi::SearchCreateJob::metaObject() const
    {104, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//1985 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1580, 23, 2, Smoke::mf_static, 270, 3},	//1986 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1584, 23, 2, Smoke::mf_static, 270, 4},	//1987 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1580, 26, 3, Smoke::mf_static, 270, 5},	//1988 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1584, 26, 3, Smoke::mf_static, 270, 6},	//1989 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//1990 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 506, 586, 3, Smoke::mf_ctor, 154, 8},	//1991 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1454, 8, 1, 0, 0, 9},	//1992 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 836, 0, 0, Smoke::mf_const, 34, 10},	//1993 Akonadi::SearchCreateJob::createdCollection() const
    {104, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1994 Akonadi::SearchCreateJob::doStart()
    {104, 867, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1995 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1580, 21, 1, Smoke::mf_static, 270, 13},	//1996 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1584, 21, 1, Smoke::mf_static, 270, 14},	//1997 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 506, 280, 2, Smoke::mf_ctor, 154, 15},	//1998 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 16},	//1999 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1726, 0, 0, Smoke::mf_dtor, 0, 17 },	//2000 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2001 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2002 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2003 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2004 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2005 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2006 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2007 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 513, 590, 2, Smoke::mf_ctor, 155, 8},	//2008 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1580, 21, 1, Smoke::mf_static, 270, 9},	//2009 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1584, 21, 1, Smoke::mf_static, 270, 10},	//2010 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 513, 593, 1, Smoke::mf_ctor, 155, 11},	//2011 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 12},	//2012 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1727, 0, 0, Smoke::mf_dtor, 0, 13 },	//2013 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1097, 0, 0, Smoke::mf_const, 445, 1},	//2014 Akonadi::ServerManager::metaObject() const
    {106, 1161, 21, 1, 0, 474, 2},	//2015 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2016 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2017 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2018 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2019 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1159, 30, 3, 0, 466, 7},	//2020 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1538, 0, 0, Smoke::mf_static, 379, 8},	//2021 Akonadi::ServerManager::start()
    {106, 1552, 0, 0, Smoke::mf_static, 379, 9},	//2022 Akonadi::ServerManager::stop()
    {106, 1521, 85, 1, Smoke::mf_static, 0, 10},	//2023 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1023, 0, 0, Smoke::mf_static, 379, 11},	//2024 Akonadi::ServerManager::isRunning()
    {106, 1543, 0, 0, Smoke::mf_static, 157, 12},	//2025 Akonadi::ServerManager::state()
    {106, 1234, 0, 0, Smoke::mf_static, 156, 13},	//2026 Akonadi::ServerManager::self()
    {106, 1542, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2027 Akonadi::ServerManager::started()
    {106, 1554, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2028 Akonadi::ServerManager::stopped()
    {106, 1544, 595, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2029 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1580, 21, 1, Smoke::mf_static, 270, 17},	//2030 Akonadi::ServerManager::tr(const char*)
    {106, 1584, 21, 1, Smoke::mf_static, 270, 18},	//2031 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 19},	//2032 Akonadi::ServerManager::staticMetaObject() const
    {106, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 20},	//2033 Akonadi::ServerManager::NotRunning (enum)
    {106, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 21},	//2034 Akonadi::ServerManager::Starting (enum)
    {106, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 22},	//2035 Akonadi::ServerManager::Running (enum)
    {106, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 23},	//2036 Akonadi::ServerManager::Stopping (enum)
    {106, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 24},	//2037 Akonadi::ServerManager::Broken (enum)
    {106, 1728, 0, 0, Smoke::mf_dtor, 0, 25 },	//2038 Akonadi::ServerManager::~ServerManager()
    {107, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2039 Akonadi::Session::metaObject() const
    {107, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2040 Akonadi::Session::qt_metacast(const char*)
    {107, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2041 Akonadi::Session::tr(const char*, const char*)
    {107, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2042 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2043 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2044 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2045 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 517, 597, 2, Smoke::mf_ctor, 158, 8},	//2046 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1245, 0, 0, Smoke::mf_const, 209, 9},	//2047 Akonadi::Session::sessionId() const
    {107, 851, 0, 0, Smoke::mf_static, 158, 10},	//2048 Akonadi::Session::defaultSession()
    {107, 748, 0, 0, 0, 0, 11},	//2049 Akonadi::Session::clear()
    {107, 1165, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2050 Akonadi::Session::reconnected()
    {107, 517, 600, 3, Smoke::mf_ctor|Smoke::mf_protected, 158, 13},	//2051 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1580, 21, 1, Smoke::mf_static, 270, 14},	//2052 Akonadi::Session::tr(const char*)
    {107, 1584, 21, 1, Smoke::mf_static, 270, 15},	//2053 Akonadi::Session::trUtf8(const char*)
    {107, 517, 0, 0, Smoke::mf_ctor, 158, 16},	//2054 Akonadi::Session::Session()
    {107, 517, 6, 1, Smoke::mf_ctor, 158, 17},	//2055 Akonadi::Session::Session(const QByteArray&)
    {107, 517, 604, 1, Smoke::mf_ctor|Smoke::mf_protected, 158, 18},	//2056 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 517, 606, 2, Smoke::mf_ctor|Smoke::mf_protected, 158, 19},	//2057 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 20},	//2058 Akonadi::Session::staticMetaObject() const
    {107, 1729, 0, 0, Smoke::mf_dtor, 0, 21 },	//2059 Akonadi::Session::~Session()
    {109, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2060 Akonadi::StandardActionManager::metaObject() const
    {109, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2061 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2062 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2063 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2064 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2065 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2066 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 530, 609, 2, Smoke::mf_ctor, 160, 8},	//2067 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1289, 593, 1, 0, 0, 9},	//2068 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1399, 593, 1, 0, 0, 10},	//2069 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1339, 612, 1, 0, 0, 11},	//2070 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1343, 593, 1, 0, 0, 12},	//2071 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 826, 614, 1, 0, 184, 13},	//2072 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 828, 0, 0, 0, 0, 14},	//2073 Akonadi::StandardActionManager::createAllActions()
    {109, 668, 614, 1, Smoke::mf_const, 184, 15},	//2074 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1248, 616, 2, 0, 0, 16},	//2075 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 1012, 619, 2, 0, 0, 17},	//2076 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1228, 0, 0, Smoke::mf_const, 245, 18},	//2077 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1230, 0, 0, Smoke::mf_const, 247, 19},	//2078 Akonadi::StandardActionManager::selectedItems() const
    {109, 1316, 622, 3, 0, 0, 20},	//2079 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1316, 626, 3, 0, 0, 21},	//2080 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1416, 10, 1, 0, 0, 22},	//2081 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1271, 10, 1, 0, 0, 23},	//2082 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1287, 10, 1, 0, 0, 24},	//2083 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 671, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2084 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1580, 21, 1, Smoke::mf_static, 270, 26},	//2085 Akonadi::StandardActionManager::tr(const char*)
    {109, 1584, 21, 1, Smoke::mf_static, 270, 27},	//2086 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 530, 630, 1, Smoke::mf_ctor, 160, 28},	//2087 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 1012, 614, 1, 0, 0, 29},	//2088 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 30},	//2089 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 31},	//2090 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 32},	//2091 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 33},	//2092 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 34},	//2093 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 35},	//2094 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 36},	//2095 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 37},	//2096 Akonadi::StandardActionManager::Paste (enum)
    {109, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 38},	//2097 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 39},	//2098 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 40},	//2099 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 41},	//2100 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 42},	//2101 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 43},	//2102 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 44},	//2103 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 45},	//2104 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 46},	//2105 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 47},	//2106 Akonadi::StandardActionManager::CutItems (enum)
    {109, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 48},	//2107 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 49},	//2108 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 50},	//2109 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 51},	//2110 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 52},	//2111 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 53},	//2112 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 54},	//2113 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 55},	//2114 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 56},	//2115 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 57},	//2116 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 58},	//2117 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 59},	//2118 Akonadi::StandardActionManager::LastType (enum)
    {109, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 60},	//2119 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 61},	//2120 Akonadi::StandardActionManager::DialogText (enum)
    {109, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 62},	//2121 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//2122 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 64},	//2123 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 65},	//2124 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 66},	//2125 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1730, 0, 0, Smoke::mf_dtor, 0, 67 },	//2126 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2127 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2128 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2129 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2130 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2131 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2132 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2133 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 536, 78, 1, Smoke::mf_ctor, 163, 8},	//2134 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1498, 45, 1, 0, 0, 9},	//2135 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1024, 0, 0, Smoke::mf_const, 379, 10},	//2136 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1337, 45, 1, 0, 0, 11},	//2137 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1019, 0, 0, Smoke::mf_const, 379, 12},	//2138 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//2139 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 14},	//2140 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 15},	//2141 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//2142 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 17},	//2143 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 18},	//2144 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1486, 157, 1, Smoke::mf_virtual, 0, 19},	//2145 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 807, 21, 1, Smoke::mf_virtual, 0, 20},	//2146 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1580, 21, 1, Smoke::mf_static, 270, 21},	//2147 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1584, 21, 1, Smoke::mf_static, 270, 22},	//2148 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 536, 0, 0, Smoke::mf_ctor, 163, 23},	//2149 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 980, 115, 2, Smoke::mf_const, 254, 24},	//2150 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 847, 95, 1, Smoke::mf_const, 280, 25},	//2151 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 958, 112, 2, Smoke::mf_const, 280, 26},	//2152 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 796, 0, 0, Smoke::mf_const, 466, 27},	//2153 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1092, 370, 3, Smoke::mf_const, 250, 28},	//2154 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1092, 374, 4, Smoke::mf_const, 250, 29},	//2155 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 30},	//2156 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1731, 0, 0, Smoke::mf_dtor, 0, 31 },	//2157 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2158 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2159 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2160 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2161 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2162 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2163 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2164 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 558, 78, 1, Smoke::mf_ctor, 164, 8},	//2165 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2166 Akonadi::TransactionBeginJob::doStart()
    {111, 1580, 21, 1, Smoke::mf_static, 270, 10},	//2167 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1584, 21, 1, Smoke::mf_static, 270, 11},	//2168 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 12},	//2169 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1732, 0, 0, Smoke::mf_dtor, 0, 13 },	//2170 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2171 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2172 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2173 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2174 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2175 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2176 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2177 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 560, 78, 1, Smoke::mf_ctor, 165, 8},	//2178 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2179 Akonadi::TransactionCommitJob::doStart()
    {112, 1580, 21, 1, Smoke::mf_static, 270, 10},	//2180 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1584, 21, 1, Smoke::mf_static, 270, 11},	//2181 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 12},	//2182 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1733, 0, 0, Smoke::mf_dtor, 0, 13 },	//2183 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2184 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2185 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2186 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2187 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2188 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2189 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2190 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 562, 78, 1, Smoke::mf_ctor, 166, 8},	//2191 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2192 Akonadi::TransactionRollbackJob::doStart()
    {113, 1580, 21, 1, Smoke::mf_static, 270, 10},	//2193 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1584, 21, 1, Smoke::mf_static, 270, 11},	//2194 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 12},	//2195 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1734, 0, 0, Smoke::mf_dtor, 0, 13 },	//2196 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2197 Akonadi::TransactionSequence::metaObject() const
    {114, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2198 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2199 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2200 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2201 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2202 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2203 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 564, 78, 1, Smoke::mf_ctor, 167, 8},	//2204 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 798, 0, 0, 0, 0, 9},	//2205 Akonadi::TransactionSequence::commit()
    {114, 1207, 0, 0, 0, 0, 10},	//2206 Akonadi::TransactionSequence::rollback()
    {114, 1371, 191, 1, 0, 0, 11},	//2207 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1259, 45, 1, 0, 0, 12},	//2208 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 694, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 13},	//2209 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2210 Akonadi::TransactionSequence::doStart()
    {114, 1532, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2211 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1580, 21, 1, Smoke::mf_static, 270, 16},	//2212 Akonadi::TransactionSequence::tr(const char*)
    {114, 1584, 21, 1, Smoke::mf_static, 270, 17},	//2213 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 564, 0, 0, Smoke::mf_ctor, 167, 18},	//2214 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 19},	//2215 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1735, 0, 0, Smoke::mf_dtor, 0, 20 },	//2216 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 567, 0, 0, Smoke::mf_ctor, 168, 1},	//2217 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1237, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2218 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1056, 632, 3, 0, 0, 3},	//2219 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 567, 636, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 168, 4},	//2220 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1056, 638, 2, 0, 0, 5},	//2221 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 6},	//2222 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 7},	//2223 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1736, 0, 0, Smoke::mf_dtor, 0, 8 },	//2224 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 1},	//2225 Akonadi::UnlinkJob::metaObject() const
    {116, 1161, 21, 1, Smoke::mf_virtual, 474, 2},	//2226 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1580, 23, 2, Smoke::mf_static, 270, 3},	//2227 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1584, 23, 2, Smoke::mf_static, 270, 4},	//2228 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1580, 26, 3, Smoke::mf_static, 270, 5},	//2229 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1584, 26, 3, Smoke::mf_static, 270, 6},	//2230 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1159, 30, 3, Smoke::mf_virtual, 466, 7},	//2231 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 574, 515, 3, Smoke::mf_ctor, 170, 8},	//2232 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 874, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2233 Akonadi::UnlinkJob::doStart()
    {116, 1580, 21, 1, Smoke::mf_static, 270, 10},	//2234 Akonadi::UnlinkJob::tr(const char*)
    {116, 1584, 21, 1, Smoke::mf_static, 270, 11},	//2235 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 574, 519, 2, Smoke::mf_ctor, 170, 12},	//2236 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 444, 13},	//2237 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1737, 0, 0, Smoke::mf_dtor, 0, 14 },	//2238 Akonadi::UnlinkJob::~UnlinkJob()
    {131, 1258, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2239 KComboBox::setAutoCompletion(bool)
    {131, 1315, 45, 1, Smoke::mf_virtual, 0, 0},	//2240 KComboBox::setContextMenuEnabled(bool)
    {131, 913, 641, 2, Smoke::mf_virtual, 379, 0},	//2241 KComboBox::eventFilter(QObject*, QEvent*)
    {131, 1409, 644, 1, Smoke::mf_virtual, 0, 0},	//2242 KComboBox::setLineEdit(QLineEdit*)
    {131, 1296, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2243 KComboBox::setCompletedText(const QString&)
    {131, 1295, 646, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2244 KComboBox::setCompletedItems(const QStringList&, bool)
    {131, 1085, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2245 KComboBox::makeCompletion(const QString&)
    {131, 1296, 540, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2246 KComboBox::setCompletedText(const QString&, bool)
    {131, 825, 649, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2247 KComboBox::create(unsigned long, bool, bool)
    {131, 1625, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2248 KComboBox::wheelEvent(QWheelEvent*)
    {131, 1110, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 269, 0},	//2249 KComboBox::minimumSizeHint() const
    {133, 1298, 655, 2, Smoke::mf_virtual, 0, 0},	//2250 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {133, 1359, 45, 1, Smoke::mf_virtual, 0, 0},	//2251 KCompletionBase::setHandleSignals(bool)
    {133, 1297, 658, 1, Smoke::mf_virtual, 0, 0},	//2252 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {133, 1618, 660, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2253 KCompletionBase::virtual_hook(int, void*)
    {135, 1531, 663, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2254 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2255 KDialog::sizeHint() const
    {137, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2256 KDialog::minimumSizeHint() const
    {137, 1273, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2257 KDialog::setCaption(const QString&)
    {137, 1273, 540, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2258 KDialog::setCaption(const QString&, bool)
    {137, 1447, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2259 KDialog::setPlainCaption(const QString&)
    {137, 962, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2260 KDialog::hideEvent(QHideEvent*)
    {137, 761, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2261 KDialog::closeEvent(QCloseEvent*)
    {137, 1071, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2262 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1529, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2263 KDialog::slotButtonClicked(int)
    {138, 1526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2264 KHBox::sizeHint() const
    {138, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2265 KHBox::minimumSizeHint() const
    {138, 746, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2266 KHBox::childEvent(QChildEvent*)
    {140, 870, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2267 KJob::doKill()
    {140, 875, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2268 KJob::doSuspend()
    {140, 871, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2269 KJob::doResume()
    {140, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2270 KJob::errorString() const
    {140, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 5},	//2271 KJob::NoError (enum)
    {140, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 6},	//2272 KJob::KilledJobError (enum)
    {140, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 7},	//2273 KJob::UserDefinedError (enum)
    {143, 1486, 157, 1, Smoke::mf_virtual, 0, 0},	//2274 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {143, 1086, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2275 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {143, 1090, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2276 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {143, 1088, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2277 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {143, 1089, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2278 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {143, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2279 KSelectionProxyModel::flags(const QModelIndex&) const
    {143, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2280 KSelectionProxyModel::data(const QModelIndex&, int) const
    {143, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2281 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {143, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2282 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {143, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2283 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {143, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2284 KSelectionProxyModel::mimeTypes() const
    {143, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2285 KSelectionProxyModel::supportedDropActions() const
    {143, 889, 207, 5, Smoke::mf_virtual, 379, 0},	//2286 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {143, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//2287 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {143, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2288 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {143, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2289 KSelectionProxyModel::parent(const QModelIndex&) const
    {143, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2290 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {143, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2291 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//2292 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {148, 1323, 108, 3, Smoke::mf_virtual, 379, 0},	//2293 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {148, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2294 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {148, 1360, 200, 4, Smoke::mf_virtual, 379, 0},	//2295 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {148, 1041, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 0},	//2296 QAbstractItemModel::itemData(const QModelIndex&) const
    {148, 1391, 677, 2, Smoke::mf_virtual, 379, 0},	//2297 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {148, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2298 QAbstractItemModel::mimeTypes() const
    {148, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2299 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {148, 889, 207, 5, Smoke::mf_virtual, 379, 0},	//2300 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {148, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2301 QAbstractItemModel::supportedDropActions() const
    {148, 992, 104, 3, Smoke::mf_virtual, 379, 0},	//2302 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {148, 991, 104, 3, Smoke::mf_virtual, 379, 0},	//2303 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {148, 1181, 104, 3, Smoke::mf_virtual, 379, 0},	//2304 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {148, 1178, 104, 3, Smoke::mf_virtual, 379, 0},	//2305 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {148, 930, 95, 1, Smoke::mf_virtual, 0, 0},	//2306 QAbstractItemModel::fetchMore(const QModelIndex&)
    {148, 730, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//2307 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {148, 1536, 680, 2, Smoke::mf_virtual, 0, 0},	//2308 QAbstractItemModel::sort(int, Qt::SortOrder)
    {148, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2309 QAbstractItemModel::buddy(const QModelIndex&) const
    {148, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2310 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 1537, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2311 QAbstractItemModel::span(const QModelIndex&) const
    {148, 1560, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 379, 0},	//2312 QAbstractItemModel::submit()
    {148, 1204, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2313 QAbstractItemModel::revert()
    {149, 1479, 593, 1, Smoke::mf_virtual, 0, 0},	//2314 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {149, 1073, 8, 1, Smoke::mf_virtual, 0, 0},	//2315 QAbstractItemView::keyboardSearch(const QString&)
    {149, 1528, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2316 QAbstractItemView::sizeHintForRow(int) const
    {149, 1527, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2317 QAbstractItemView::sizeHintForColumn(int) const
    {149, 990, 683, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2318 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {149, 1225, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2319 QAbstractItemView::selectAll()
    {149, 1599, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2320 QAbstractItemView::updateEditorData()
    {149, 1600, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2321 QAbstractItemView::updateEditorGeometries()
    {149, 1612, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2322 QAbstractItemView::verticalScrollbarAction(int)
    {149, 965, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2323 QAbstractItemView::horizontalScrollbarAction(int)
    {149, 1613, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2324 QAbstractItemView::verticalScrollbarValueChanged(int)
    {149, 966, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2325 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {149, 760, 685, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2326 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {149, 799, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2327 QAbstractItemView::commitData(QWidget*)
    {149, 893, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2328 QAbstractItemView::editorDestroyed(QObject*)
    {149, 891, 688, 3, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2329 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {149, 1232, 692, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//2330 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {149, 1540, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2331 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {149, 1615, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2332 QAbstractItemView::viewOptions() const
    {149, 944, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2333 QAbstractItemView::focusNextPrevChild(bool)
    {149, 912, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2334 QAbstractItemView::event(QEvent*)
    {149, 1617, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2335 QAbstractItemView::viewportEvent(QEvent*)
    {149, 1118, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2336 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {149, 1116, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2337 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {149, 880, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2338 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {149, 881, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2339 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {149, 887, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2340 QAbstractItemView::dropEvent(QDropEvent*)
    {149, 943, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2341 QAbstractItemView::focusInEvent(QFocusEvent*)
    {149, 945, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2342 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {149, 1071, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2343 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {149, 1188, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2344 QAbstractItemView::resizeEvent(QResizeEvent*)
    {149, 989, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2345 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {149, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 33},	//2346 QAbstractItemView::NoSelection (enum)
    {149, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 34},	//2347 QAbstractItemView::SingleSelection (enum)
    {149, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 35},	//2348 QAbstractItemView::MultiSelection (enum)
    {149, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 36},	//2349 QAbstractItemView::ExtendedSelection (enum)
    {149, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 37},	//2350 QAbstractItemView::ContiguousSelection (enum)
    {149, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//2351 QAbstractItemView::EnsureVisible (enum)
    {149, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//2352 QAbstractItemView::PositionAtTop (enum)
    {149, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//2353 QAbstractItemView::PositionAtBottom (enum)
    {149, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//2354 QAbstractItemView::PositionAtCenter (enum)
    {149, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//2355 QAbstractItemView::NoEditTriggers (enum)
    {149, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//2356 QAbstractItemView::CurrentChanged (enum)
    {149, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//2357 QAbstractItemView::DoubleClicked (enum)
    {149, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//2358 QAbstractItemView::SelectedClicked (enum)
    {149, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//2359 QAbstractItemView::EditKeyPressed (enum)
    {149, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//2360 QAbstractItemView::AnyKeyPressed (enum)
    {149, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//2361 QAbstractItemView::AllEditTriggers (enum)
    {149, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 49},	//2362 QAbstractItemView::MoveUp (enum)
    {149, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 50},	//2363 QAbstractItemView::MoveDown (enum)
    {149, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 51},	//2364 QAbstractItemView::MoveLeft (enum)
    {149, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 52},	//2365 QAbstractItemView::MoveRight (enum)
    {149, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 53},	//2366 QAbstractItemView::MoveHome (enum)
    {149, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 54},	//2367 QAbstractItemView::MoveEnd (enum)
    {149, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 55},	//2368 QAbstractItemView::MovePageUp (enum)
    {149, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 56},	//2369 QAbstractItemView::MovePageDown (enum)
    {149, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 57},	//2370 QAbstractItemView::MoveNext (enum)
    {149, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 58},	//2371 QAbstractItemView::MovePrevious (enum)
    {150, 1089, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2372 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {150, 1088, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2373 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {150, 1560, 0, 0, Smoke::mf_virtual, 379, 0},	//2374 QAbstractProxyModel::submit()
    {150, 1204, 0, 0, Smoke::mf_virtual, 0, 0},	//2375 QAbstractProxyModel::revert()
    {150, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2376 QAbstractProxyModel::data(const QModelIndex&, int) const
    {150, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2377 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {150, 1041, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 0},	//2378 QAbstractProxyModel::itemData(const QModelIndex&) const
    {150, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2379 QAbstractProxyModel::flags(const QModelIndex&) const
    {150, 1323, 108, 3, Smoke::mf_virtual, 379, 0},	//2380 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1360, 200, 4, Smoke::mf_virtual, 379, 0},	//2381 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {151, 1110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2382 QAbstractScrollArea::minimumSizeHint() const
    {151, 1526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2383 QAbstractScrollArea::sizeHint() const
    {151, 1625, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2384 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {152, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2385 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {159, 1526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2386 QComboBox::sizeHint() const
    {159, 1520, 0, 0, Smoke::mf_virtual, 0, 0},	//2387 QComboBox::showPopup()
    {159, 963, 0, 0, Smoke::mf_virtual, 0, 0},	//2388 QComboBox::hidePopup()
    {159, 912, 695, 1, Smoke::mf_virtual, 379, 0},	//2389 QComboBox::event(QEvent*)
    {159, 943, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2390 QComboBox::focusInEvent(QFocusEvent*)
    {159, 945, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2391 QComboBox::focusOutEvent(QFocusEvent*)
    {159, 742, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2392 QComboBox::changeEvent(QEvent*)
    {159, 1188, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2393 QComboBox::resizeEvent(QResizeEvent*)
    {159, 1138, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2394 QComboBox::paintEvent(QPaintEvent*)
    {159, 1519, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2395 QComboBox::showEvent(QShowEvent*)
    {159, 962, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2396 QComboBox::hideEvent(QHideEvent*)
    {159, 1118, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2397 QComboBox::mousePressEvent(QMouseEvent*)
    {159, 1119, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2398 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {159, 1071, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2399 QComboBox::keyPressEvent(QKeyEvent*)
    {159, 1072, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2400 QComboBox::keyReleaseEvent(QKeyEvent*)
    {159, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2401 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {159, 989, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2402 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {159, 990, 683, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 0},	//2403 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {164, 1510, 45, 1, Smoke::mf_virtual, 0, 0},	//2404 QDialog::setVisible(bool)
    {164, 876, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2405 QDialog::done(int)
    {164, 666, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2406 QDialog::accept()
    {164, 1170, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2407 QDialog::reject()
    {164, 1519, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2408 QDialog::showEvent(QShowEvent*)
    {164, 1188, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2409 QDialog::resizeEvent(QResizeEvent*)
    {164, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2410 QDialog::contextMenuEvent(QContextMenuEvent*)
    {164, 913, 641, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2411 QDialog::eventFilter(QObject*, QEvent*)
    {172, 912, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2412 QFrame::event(QEvent*)
    {172, 1138, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2413 QFrame::paintEvent(QPaintEvent*)
    {172, 742, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2414 QFrame::changeEvent(QEvent*)
    {173, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 1},	//2415 QGlobalSpace::_CS_PATH (enum)
    {173, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 2},	//2416 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {173, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 3},	//2417 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {173, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 4},	//2418 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {173, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 5},	//2419 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {173, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 6},	//2420 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {173, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 7},	//2421 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {173, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 8},	//2422 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {173, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 9},	//2423 QGlobalSpace::_CS_LFS_LIBS (enum)
    {173, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 10},	//2424 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {173, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 11},	//2425 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {173, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 12},	//2426 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {173, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 13},	//2427 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {173, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 14},	//2428 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {173, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 15},	//2429 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {173, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 16},	//2430 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {173, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 17},	//2431 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {173, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 18},	//2432 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {173, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 19},	//2433 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {173, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 20},	//2434 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 21},	//2435 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {173, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 22},	//2436 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 23},	//2437 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {173, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 24},	//2438 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {173, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 25},	//2439 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {173, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 26},	//2440 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {173, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 27},	//2441 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 28},	//2442 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 29},	//2443 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {173, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 30},	//2444 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 31},	//2445 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {173, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 32},	//2446 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {173, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 33},	//2447 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {173, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 34},	//2448 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {173, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 35},	//2449 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {173, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 36},	//2450 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 37},	//2451 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {173, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 38},	//2452 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 39},	//2453 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {173, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 40},	//2454 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {173, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 41},	//2455 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {173, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 42},	//2456 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {173, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 43},	//2457 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 44},	//2458 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 45},	//2459 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {173, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 46},	//2460 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 47},	//2461 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {173, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 48},	//2462 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {173, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 49},	//2463 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {173, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 50},	//2464 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {173, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 51},	//2465 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {173, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 52},	//2466 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 53},	//2467 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {173, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 54},	//2468 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 55},	//2469 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {173, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 56},	//2470 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {173, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 57},	//2471 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {173, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 58},	//2472 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {173, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 59},	//2473 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 60},	//2474 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 61},	//2475 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {173, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 62},	//2476 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 63},	//2477 QGlobalSpace::_CS_V6_ENV (enum)
    {173, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 64},	//2478 QGlobalSpace::_CS_V7_ENV (enum)
    {173, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 65},	//2479 QGlobalSpace::LicensedXml (enum)
    {173, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 66},	//2480 QGlobalSpace::QtDebugMsg (enum)
    {173, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 67},	//2481 QGlobalSpace::QtWarningMsg (enum)
    {173, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 68},	//2482 QGlobalSpace::QtCriticalMsg (enum)
    {173, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 69},	//2483 QGlobalSpace::QtFatalMsg (enum)
    {173, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 70},	//2484 QGlobalSpace::QtSystemMsg (enum)
    {173, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 71},	//2485 QGlobalSpace::LicensedOpenGL (enum)
    {173, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 72},	//2486 QGlobalSpace::LicensedQt3Support (enum)
    {173, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 73},	//2487 QGlobalSpace::LicensedOpenVG (enum)
    {173, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 74},	//2488 QGlobalSpace::LicensedNetwork (enum)
    {173, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 75},	//2489 QGlobalSpace::LicensedSql (enum)
    {173, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 76},	//2490 QGlobalSpace::LicensedCore (enum)
    {173, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 77},	//2491 QGlobalSpace::LicensedSvg (enum)
    {173, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 78},	//2492 QGlobalSpace::LicensedXmlPatterns (enum)
    {173, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 79},	//2493 QGlobalSpace::LicensedGui (enum)
    {173, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 80},	//2494 QGlobalSpace::LicensedDeclarative (enum)
    {173, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 81},	//2495 QGlobalSpace::LicensedActiveQt (enum)
    {173, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 82},	//2496 QGlobalSpace::LicensedDBus (enum)
    {173, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 83},	//2497 QGlobalSpace::LicensedTest (enum)
    {173, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 84},	//2498 QGlobalSpace::LicensedScriptTools (enum)
    {173, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 85},	//2499 QGlobalSpace::LicensedQt3SupportLight (enum)
    {173, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 86},	//2500 QGlobalSpace::__codecvt_ok (enum)
    {173, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 87},	//2501 QGlobalSpace::__codecvt_partial (enum)
    {173, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 88},	//2502 QGlobalSpace::__codecvt_error (enum)
    {173, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 89},	//2503 QGlobalSpace::__codecvt_noconv (enum)
    {173, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 90},	//2504 QGlobalSpace::LicensedScript (enum)
    {173, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 91},	//2505 QGlobalSpace::LicensedMultimedia (enum)
    {173, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 92},	//2506 QGlobalSpace::LicensedHelp (enum)
    {183, 1619, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2507 QListView::visualRect(const QModelIndex&) const
    {183, 1224, 711, 2, Smoke::mf_virtual, 0, 0},	//2508 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {183, 983, 714, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2509 QListView::indexAt(const QPoint&) const
    {183, 869, 0, 0, Smoke::mf_virtual, 0, 0},	//2510 QListView::doItemsLayout()
    {183, 1187, 0, 0, Smoke::mf_virtual, 0, 0},	//2511 QListView::reset()
    {183, 1475, 95, 1, Smoke::mf_virtual, 0, 0},	//2512 QListView::setRootIndex(const QModelIndex&)
    {183, 912, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2513 QListView::event(QEvent*)
    {183, 1223, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2514 QListView::scrollContentsBy(int, int)
    {183, 850, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2515 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {183, 1213, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2516 QListView::rowsInserted(const QModelIndex&, int, int)
    {183, 1212, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2517 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {183, 1117, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2518 QListView::mouseMoveEvent(QMouseEvent*)
    {183, 1119, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2519 QListView::mouseReleaseEvent(QMouseEvent*)
    {183, 1576, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2520 QListView::timerEvent(QTimerEvent*)
    {183, 1188, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2521 QListView::resizeEvent(QResizeEvent*)
    {183, 881, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2522 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {183, 1615, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2523 QListView::viewOptions() const
    {183, 1138, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2524 QListView::paintEvent(QPaintEvent*)
    {183, 964, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2525 QListView::horizontalOffset() const
    {183, 1611, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2526 QListView::verticalOffset() const
    {183, 1120, 720, 2, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//2527 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {183, 1476, 723, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2528 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {183, 1620, 675, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//2529 QListView::visualRegionForSelection(const QItemSelection&) const
    {183, 1229, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 250, 0},	//2530 QListView::selectedIndexes() const
    {183, 1602, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2531 QListView::updateGeometries()
    {183, 1020, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2532 QListView::isIndexHidden(const QModelIndex&) const
    {183, 1231, 726, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2533 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {190, 912, 695, 1, Smoke::mf_virtual, 379, 0},	//2534 QObject::event(QEvent*)
    {190, 913, 641, 2, Smoke::mf_virtual, 379, 0},	//2535 QObject::eventFilter(QObject*, QEvent*)
    {190, 1576, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2536 QObject::timerEvent(QTimerEvent*)
    {190, 746, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2537 QObject::childEvent(QChildEvent*)
    {190, 845, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2538 QObject::customEvent(QEvent*)
    {190, 807, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2539 QObject::connectNotify(const char*)
    {190, 864, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2540 QObject::disconnectNotify(const char*)
    {203, 1486, 157, 1, Smoke::mf_virtual, 0, 0},	//2541 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {203, 1090, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2542 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {203, 1086, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2543 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {203, 1089, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2544 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {203, 1088, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2545 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {203, 937, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2546 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {203, 936, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2547 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {203, 1076, 269, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2548 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {203, 980, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2549 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {203, 1140, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2550 QSortFilterProxyModel::parent(const QModelIndex&) const
    {203, 1210, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2551 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {203, 796, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2552 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {203, 953, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//2553 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {203, 847, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2554 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {203, 1323, 108, 3, Smoke::mf_virtual, 379, 0},	//2555 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {203, 958, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2556 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {203, 1360, 200, 4, Smoke::mf_virtual, 379, 0},	//2557 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {203, 1099, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2558 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {203, 889, 207, 5, Smoke::mf_virtual, 379, 0},	//2559 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {203, 992, 104, 3, Smoke::mf_virtual, 379, 0},	//2560 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {203, 991, 104, 3, Smoke::mf_virtual, 379, 0},	//2561 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {203, 1181, 104, 3, Smoke::mf_virtual, 379, 0},	//2562 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {203, 1178, 104, 3, Smoke::mf_virtual, 379, 0},	//2563 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {203, 930, 95, 1, Smoke::mf_virtual, 0, 0},	//2564 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {203, 730, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//2565 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {203, 941, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2566 QSortFilterProxyModel::flags(const QModelIndex&) const
    {203, 726, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2567 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {203, 1092, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2568 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {203, 1537, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2569 QSortFilterProxyModel::span(const QModelIndex&) const
    {203, 1536, 680, 2, Smoke::mf_virtual, 0, 0},	//2570 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {203, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2571 QSortFilterProxyModel::mimeTypes() const
    {203, 1561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2572 QSortFilterProxyModel::supportedDropActions() const
    {206, 1526, 729, 2, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2573 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 831, 732, 3, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2574 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 1336, 736, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2575 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {206, 1423, 739, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2576 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {206, 1601, 732, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2577 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 866, 743, 2, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2578 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {206, 913, 641, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2579 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {206, 894, 746, 4, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2580 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {209, 1475, 95, 1, Smoke::mf_virtual, 0, 0},	//2581 QTreeView::setRootIndex(const QModelIndex&)
    {209, 1479, 593, 1, Smoke::mf_virtual, 0, 0},	//2582 QTreeView::setSelectionModel(QItemSelectionModel*)
    {209, 1073, 8, 1, Smoke::mf_virtual, 0, 0},	//2583 QTreeView::keyboardSearch(const QString&)
    {209, 1619, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2584 QTreeView::visualRect(const QModelIndex&) const
    {209, 1224, 711, 2, Smoke::mf_virtual, 0, 0},	//2585 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {209, 983, 714, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2586 QTreeView::indexAt(const QPoint&) const
    {209, 869, 0, 0, Smoke::mf_virtual, 0, 0},	//2587 QTreeView::doItemsLayout()
    {209, 1187, 0, 0, Smoke::mf_virtual, 0, 0},	//2588 QTreeView::reset()
    {209, 850, 269, 2, Smoke::mf_virtual, 0, 0},	//2589 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {209, 1225, 0, 0, Smoke::mf_virtual, 0, 0},	//2590 QTreeView::selectAll()
    {209, 1223, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2591 QTreeView::scrollContentsBy(int, int)
    {209, 1213, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2592 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {209, 1212, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2593 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {209, 1120, 720, 2, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//2594 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {209, 964, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2595 QTreeView::horizontalOffset() const
    {209, 1611, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2596 QTreeView::verticalOffset() const
    {209, 1476, 723, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2597 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {209, 1620, 675, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//2598 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {209, 1229, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 250, 0},	//2599 QTreeView::selectedIndexes() const
    {209, 1576, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2600 QTreeView::timerEvent(QTimerEvent*)
    {209, 1138, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2601 QTreeView::paintEvent(QPaintEvent*)
    {209, 886, 252, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2602 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 885, 751, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2603 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {209, 1118, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2604 QTreeView::mousePressEvent(QMouseEvent*)
    {209, 1119, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2605 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {209, 1116, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2606 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {209, 1117, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2607 QTreeView::mouseMoveEvent(QMouseEvent*)
    {209, 1071, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2608 QTreeView::keyPressEvent(QKeyEvent*)
    {209, 883, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2609 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {209, 1617, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2610 QTreeView::viewportEvent(QEvent*)
    {209, 1602, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2611 QTreeView::updateGeometries()
    {209, 1527, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2612 QTreeView::sizeHintForColumn(int) const
    {209, 965, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2613 QTreeView::horizontalScrollbarAction(int)
    {209, 1020, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2614 QTreeView::isIndexHidden(const QModelIndex&) const
    {209, 1231, 726, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2615 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {213, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 445, 0},	//2616 QWidget::metaObject() const
    {213, 1161, 21, 1, Smoke::mf_virtual, 474, 0},	//2617 QWidget::qt_metacast(const char*)
    {213, 1159, 30, 3, Smoke::mf_virtual, 466, 0},	//2618 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {213, 859, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2619 QWidget::devType() const
    {213, 1510, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2620 QWidget::setVisible(bool)
    {213, 1526, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 269, 0},	//2621 QWidget::sizeHint() const
    {213, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 269, 0},	//2622 QWidget::minimumSizeHint() const
    {213, 961, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 466, 0},	//2623 QWidget::heightForWidth(int) const
    {213, 1137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 0},	//2624 QWidget::paintEngine() const
    {213, 912, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2625 QWidget::event(QEvent*)
    {213, 1118, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2626 QWidget::mousePressEvent(QMouseEvent*)
    {213, 1119, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2627 QWidget::mouseReleaseEvent(QMouseEvent*)
    {213, 1116, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2628 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {213, 1117, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2629 QWidget::mouseMoveEvent(QMouseEvent*)
    {213, 1625, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2630 QWidget::wheelEvent(QWheelEvent*)
    {213, 1071, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2631 QWidget::keyPressEvent(QKeyEvent*)
    {213, 1072, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2632 QWidget::keyReleaseEvent(QKeyEvent*)
    {213, 943, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2633 QWidget::focusInEvent(QFocusEvent*)
    {213, 945, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2634 QWidget::focusOutEvent(QFocusEvent*)
    {213, 899, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2635 QWidget::enterEvent(QEvent*)
    {213, 1075, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2636 QWidget::leaveEvent(QEvent*)
    {213, 1138, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2637 QWidget::paintEvent(QPaintEvent*)
    {213, 1121, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2638 QWidget::moveEvent(QMoveEvent*)
    {213, 1188, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2639 QWidget::resizeEvent(QResizeEvent*)
    {213, 761, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2640 QWidget::closeEvent(QCloseEvent*)
    {213, 822, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2641 QWidget::contextMenuEvent(QContextMenuEvent*)
    {213, 1574, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2642 QWidget::tabletEvent(QTabletEvent*)
    {213, 670, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2643 QWidget::actionEvent(QActionEvent*)
    {213, 880, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2644 QWidget::dragEnterEvent(QDragEnterEvent*)
    {213, 883, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2645 QWidget::dragMoveEvent(QDragMoveEvent*)
    {213, 881, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2646 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {213, 887, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2647 QWidget::dropEvent(QDropEvent*)
    {213, 1519, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2648 QWidget::showEvent(QShowEvent*)
    {213, 962, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2649 QWidget::hideEvent(QHideEvent*)
    {213, 1632, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2650 QWidget::x11Event(_XEvent*)
    {213, 742, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2651 QWidget::changeEvent(QEvent*)
    {213, 1098, 763, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 466, 0},	//2652 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {213, 989, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2653 QWidget::inputMethodEvent(QInputMethodEvent*)
    {213, 990, 683, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2654 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {213, 944, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//2655 QWidget::focusNextPrevChild(bool)
    {213, 1558, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2656 QWidget::styleChange(QStyle&)
    {213, 898, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2657 QWidget::enabledChange(bool)
    {213, 1139, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2658 QWidget::paletteChange(const QPalette&)
    {213, 946, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2659 QWidget::fontChange(const QFont&)
    {213, 1629, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2660 QWidget::windowActivationChange(bool)
    {213, 1074, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2661 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    724,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    725,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    1091,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1092,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1093,  // Akonadi::Entity::d_func()
    1094,  // Akonadi::Entity::d_func() const
    0,
    1082,  // Akonadi::Entity::parentCollection() const
    1083,  // Akonadi::Entity::parentCollection()
    0,
    466,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    483,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    1128,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1146,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1132,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1133,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1136,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1137,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1134,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1135,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    691,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    704,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    1813,  // Akonadi::Monitor::Monitor(QObject*)
    1862,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    2055,  // Akonadi::Session::Session(const QByteArray&)
    2056,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2046,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2057,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    566,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    595,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    857,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    866,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1365,  // Akonadi::Item::Item(long long)
    1366,  // Akonadi::Item::Item(const QString&)
    0,
    1445,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1447,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1438,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1440,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    400,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    412,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
    1188,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1243,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1226,  // Akonadi::EntityTreeModel::d_func()
    1227,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1241,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1242,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1220,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1221,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1224,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1225,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1329,  // Akonadi::Exception::Exception(const QByteArray&)
    1331,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1328,  // Akonadi::Exception::Exception(const char*)
    1330,  // Akonadi::Exception::Exception(const QString&)
    0,
    1933,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    1934,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    1656,  // Akonadi::ItemView::ItemView(QWidget*)
    1671,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1672,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1657,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1658,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    1290,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1311,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1296,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1297,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1300,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1301,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1298,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1299,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    788,  // Akonadi::CollectionView::CollectionView(QWidget*)
    804,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    805,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    789,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    790,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    1470,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1471,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1457,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1458,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1461,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1462,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    834,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    845,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1888,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1891,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1887,  // Akonadi::PayloadException::PayloadException(const char*)
    1889,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    342,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    354,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 725, 12},	// Akonadi::AddressAttribute::bcc
    {4, 737, 10},	// Akonadi::AddressAttribute::cc
    {4, 759, 2},	// Akonadi::AddressAttribute::clone
    {4, 857, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 947, 6},	// Akonadi::AddressAttribute::from
    {4, 1243, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1264, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1275, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1354, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1497, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1579, 8},	// Akonadi::AddressAttribute::to
    {4, 1588, 3},	// Akonadi::AddressAttribute::type
    {4, 1633, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 18, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 19, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 60, 66},	// Akonadi::AgentBase::Broken
    {5, 285, 64},	// Akonadi::AgentBase::Idle
    {5, 503, 65},	// Akonadi::AgentBase::Running
    {5, 662, 45},	// Akonadi::AgentBase::abortRequested
    {5, 663, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 701, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 703, 37},	// Akonadi::AgentBase::agentName
    {5, 705, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 743, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 744, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 747, 34},	// Akonadi::AgentBase::cleanup
    {5, 800, 38},	// Akonadi::AgentBase::componentData
    {5, 801, 53},	// Akonadi::AgentBase::config
    {5, 802, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 803, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 806, 31},	// Akonadi::AgentBase::configure$
    {5, 873, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 910, 43},	// Akonadi::AgentBase::error$
    {5, 970, 33},	// Akonadi::AgentBase::identifier
    {5, 1021, 55},	// Akonadi::AgentBase::isOnline
    {5, 1097, 20},	// Akonadi::AgentBase::metaObject
    {5, 1127, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1150, 41},	// Akonadi::AgentBase::percent$
    {5, 1156, 29},	// Akonadi::AgentBase::progress
    {5, 1158, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1160, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1162, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1167, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1171, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1253, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1429, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1431, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1546, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1548, 27},	// Akonadi::AgentBase::status
    {5, 1549, 62},	// Akonadi::AgentBase::status$
    {5, 1550, 40},	// Akonadi::AgentBase::status$$
    {5, 1551, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1581, 60},	// Akonadi::AgentBase::tr$
    {5, 1582, 22},	// Akonadi::AgentBase::tr$$
    {5, 1583, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1585, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1586, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1587, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1623, 42},	// Akonadi::AgentBase::warning$
    {5, 1628, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1634, 67},	// Akonadi::AgentBase::~AgentBase
    {6, 440, 68},	// Akonadi::AgentBase::Observer::Observer
    {6, 441, 75},	// Akonadi::AgentBase::Observer::Observer#
    {6, 764, 72},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 768, 73},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 780, 74},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1037, 69},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1040, 70},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1053, 71},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1718, 76},	// Akonadi::AgentBase::Observer::~Observer
    {7, 442, 83},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 443, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 768, 77},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 769, 82},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 778, 81},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1046, 79},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1050, 78},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1060, 80},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1719, 85},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 20, 101},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 21, 93},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 679, 95},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 687, 94},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 752, 96},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 915, 97},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 938, 98},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1097, 86},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1160, 92},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1162, 87},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1546, 102},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1581, 99},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1582, 88},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1583, 90},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1585, 100},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1586, 89},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1587, 91},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1635, 103},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 22, 104},	// Akonadi::AgentInstance::AgentInstance
    {10, 23, 105},	// Akonadi::AgentInstance::AgentInstance#
    {10, 60, 127},	// Akonadi::AgentInstance::Broken
    {10, 285, 125},	// Akonadi::AgentInstance::Idle
    {10, 503, 126},	// Akonadi::AgentInstance::Running
    {10, 661, 121},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 804, 124},	// Akonadi::AgentInstance::configure
    {10, 805, 116},	// Akonadi::AgentInstance::configure#
    {10, 970, 108},	// Akonadi::AgentInstance::identifier
    {10, 1021, 114},	// Akonadi::AgentInstance::isOnline
    {10, 1025, 106},	// Akonadi::AgentInstance::isValid
    {10, 1122, 109},	// Akonadi::AgentInstance::name
    {10, 1131, 119},	// Akonadi::AgentInstance::operator=#
    {10, 1133, 120},	// Akonadi::AgentInstance::operator==#
    {10, 1156, 113},	// Akonadi::AgentInstance::progress
    {10, 1164, 122},	// Akonadi::AgentInstance::reconfigure
    {10, 1193, 123},	// Akonadi::AgentInstance::restart
    {10, 1388, 115},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1427, 110},	// Akonadi::AgentInstance::setName$
    {10, 1548, 111},	// Akonadi::AgentInstance::status
    {10, 1551, 112},	// Akonadi::AgentInstance::statusMessage
    {10, 1563, 117},	// Akonadi::AgentInstance::synchronize
    {10, 1571, 118},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1588, 107},	// Akonadi::AgentInstance::type
    {10, 1636, 128},	// Akonadi::AgentInstance::~AgentInstance
    {11, 25, 143},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 26, 136},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 27, 144},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 28, 137},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 804, 145},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 805, 138},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 993, 139},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1097, 129},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1160, 135},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1162, 130},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1538, 140},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1546, 146},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1581, 141},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1582, 131},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1583, 133},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1585, 142},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1586, 132},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1587, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1637, 147},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 29, 166},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 30, 155},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 73, 177},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 213, 175},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 295, 179},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 296, 178},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 400, 176},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 449, 183},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 475, 182},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 539, 181},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 540, 180},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 571, 174},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 572, 173},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 588, 184},	// Akonadi::AgentInstanceModel::UserRole
    {12, 796, 167},	// Akonadi::AgentInstanceModel::columnCount
    {12, 797, 156},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 848, 169},	// Akonadi::AgentInstanceModel::data#
    {12, 849, 158},	// Akonadi::AgentInstanceModel::data#$
    {12, 942, 162},	// Akonadi::AgentInstanceModel::flags#
    {12, 959, 170},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 960, 159},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 981, 171},	// Akonadi::AgentInstanceModel::index$$
    {12, 982, 160},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1097, 148},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1141, 161},	// Akonadi::AgentInstanceModel::parent#
    {12, 1160, 154},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1162, 149},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1210, 168},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1211, 157},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1325, 163},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1546, 172},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1581, 164},	// Akonadi::AgentInstanceModel::tr$
    {12, 1582, 150},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1583, 152},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1585, 165},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1586, 151},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1587, 153},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1638, 185},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 31, 202},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 32, 193},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 702, 196},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 837, 194},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 841, 198},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 879, 199},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1097, 186},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1160, 192},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1162, 187},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1226, 195},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1546, 203},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1581, 200},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1582, 188},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1583, 190},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1585, 201},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1586, 189},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1587, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1614, 197},	// Akonadi::AgentInstanceWidget::view
    {13, 1639, 204},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 994, 216},	// Akonadi::AgentManager::instance$
    {14, 996, 222},	// Akonadi::AgentManager::instanceAdded#
    {14, 998, 227},	// Akonadi::AgentManager::instanceError#$
    {14, 1000, 226},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1002, 229},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1004, 225},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1006, 223},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1008, 224},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1010, 228},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1011, 215},	// Akonadi::AgentManager::instances
    {14, 1097, 205},	// Akonadi::AgentManager::metaObject
    {14, 1160, 211},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1162, 206},	// Akonadi::AgentManager::qt_metacast$
    {14, 1180, 217},	// Akonadi::AgentManager::removeInstance#
    {14, 1234, 212},	// Akonadi::AgentManager::self
    {14, 1546, 232},	// Akonadi::AgentManager::staticMetaObject
    {14, 1565, 218},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1566, 219},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1581, 230},	// Akonadi::AgentManager::tr$
    {14, 1582, 207},	// Akonadi::AgentManager::tr$$
    {14, 1583, 209},	// Akonadi::AgentManager::tr$$$
    {14, 1585, 231},	// Akonadi::AgentManager::trUtf8$
    {14, 1586, 208},	// Akonadi::AgentManager::trUtf8$$
    {14, 1587, 210},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1589, 214},	// Akonadi::AgentManager::type$
    {14, 1591, 220},	// Akonadi::AgentManager::typeAdded#
    {14, 1594, 221},	// Akonadi::AgentManager::typeRemoved#
    {14, 1595, 213},	// Akonadi::AgentManager::types
    {14, 1640, 233},	// Akonadi::AgentManager::~AgentManager
    {15, 33, 234},	// Akonadi::AgentType::AgentType
    {15, 34, 235},	// Akonadi::AgentType::AgentType#
    {15, 736, 243},	// Akonadi::AgentType::capabilities
    {15, 855, 239},	// Akonadi::AgentType::description
    {15, 967, 241},	// Akonadi::AgentType::icon
    {15, 968, 240},	// Akonadi::AgentType::iconName
    {15, 970, 237},	// Akonadi::AgentType::identifier
    {15, 1025, 236},	// Akonadi::AgentType::isValid
    {15, 1108, 242},	// Akonadi::AgentType::mimeTypes
    {15, 1122, 238},	// Akonadi::AgentType::name
    {15, 1131, 244},	// Akonadi::AgentType::operator=#
    {15, 1133, 245},	// Akonadi::AgentType::operator==#
    {15, 1641, 246},	// Akonadi::AgentType::~AgentType
    {16, 35, 260},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 36, 254},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 702, 256},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 706, 255},	// Akonadi::AgentTypeDialog::agentType
    {16, 877, 257},	// Akonadi::AgentTypeDialog::done$
    {16, 1097, 247},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1160, 253},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1162, 248},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1546, 261},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1581, 258},	// Akonadi::AgentTypeDialog::tr$
    {16, 1582, 249},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1583, 251},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1585, 259},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1586, 250},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1587, 252},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1642, 262},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 37, 279},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 38, 270},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 73, 289},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 213, 287},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 284, 286},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 400, 288},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 572, 285},	// Akonadi::AgentTypeModel::TypeRole
    {17, 588, 290},	// Akonadi::AgentTypeModel::UserRole
    {17, 796, 280},	// Akonadi::AgentTypeModel::columnCount
    {17, 797, 271},	// Akonadi::AgentTypeModel::columnCount#
    {17, 848, 282},	// Akonadi::AgentTypeModel::data#
    {17, 849, 273},	// Akonadi::AgentTypeModel::data#$
    {17, 942, 276},	// Akonadi::AgentTypeModel::flags#
    {17, 981, 283},	// Akonadi::AgentTypeModel::index$$
    {17, 982, 274},	// Akonadi::AgentTypeModel::index$$#
    {17, 1097, 263},	// Akonadi::AgentTypeModel::metaObject
    {17, 1141, 275},	// Akonadi::AgentTypeModel::parent#
    {17, 1160, 269},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1162, 264},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1210, 281},	// Akonadi::AgentTypeModel::rowCount
    {17, 1211, 272},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1546, 284},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1581, 277},	// Akonadi::AgentTypeModel::tr$
    {17, 1582, 265},	// Akonadi::AgentTypeModel::tr$$
    {17, 1583, 267},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1585, 278},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1586, 266},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1587, 268},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1643, 291},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 39, 306},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 40, 299},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 672, 303},	// Akonadi::AgentTypeWidget::activated
    {18, 702, 301},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 838, 300},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 841, 302},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1097, 292},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1160, 298},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1162, 293},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1546, 307},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1581, 304},	// Akonadi::AgentTypeWidget::tr$
    {18, 1582, 294},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1583, 296},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1585, 305},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1586, 295},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1587, 297},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1644, 308},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 51, 313},	// Akonadi::Attribute::Attribute
    {19, 52, 314},	// Akonadi::Attribute::Attribute#
    {19, 759, 310},	// Akonadi::Attribute::clone
    {19, 857, 312},	// Akonadi::Attribute::deserialize#
    {19, 1243, 311},	// Akonadi::Attribute::serialized
    {19, 1588, 309},	// Akonadi::Attribute::type
    {19, 1645, 315},	// Akonadi::Attribute::~Attribute
    {20, 53, 317},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 54, 318},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 830, 316},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1646, 319},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 62, 320},	// Akonadi::CachePolicy::CachePolicy
    {21, 63, 321},	// Akonadi::CachePolicy::CachePolicy#
    {21, 729, 326},	// Akonadi::CachePolicy::cacheTimeout
    {21, 986, 322},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1015, 328},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1084, 324},	// Akonadi::CachePolicy::localParts
    {21, 1131, 332},	// Akonadi::CachePolicy::operator=#
    {21, 1133, 333},	// Akonadi::CachePolicy::operator==#
    {21, 1270, 327},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1384, 323},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1386, 329},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1411, 325},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1495, 331},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1562, 330},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1647, 334},	// Akonadi::CachePolicy::~CachePolicy
    {22, 74, 353},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 75, -126},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 76, 350},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 743, 345},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 745, 348},	// Akonadi::ChangeRecorder::changesAdded
    {22, 1018, 344},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1097, 335},	// Akonadi::ChangeRecorder::metaObject
    {22, 1125, 349},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1160, 341},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1162, 336},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1186, 347},	// Akonadi::ChangeRecorder::replayNext
    {22, 1277, 346},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1300, 343},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1546, 355},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1581, 351},	// Akonadi::ChangeRecorder::tr$
    {22, 1582, 337},	// Akonadi::ChangeRecorder::tr$$
    {22, 1583, 339},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1585, 352},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1586, 338},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1587, 340},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1648, 356},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 43, 391},	// Akonadi::Collection::AllRights
    {24, 64, 386},	// Akonadi::Collection::CanChangeCollection
    {24, 65, 383},	// Akonadi::Collection::CanChangeItem
    {24, 66, 387},	// Akonadi::Collection::CanCreateCollection
    {24, 67, 384},	// Akonadi::Collection::CanCreateItem
    {24, 68, 388},	// Akonadi::Collection::CanDeleteCollection
    {24, 69, 385},	// Akonadi::Collection::CanDeleteItem
    {24, 70, 389},	// Akonadi::Collection::CanLinkItem
    {24, 71, 390},	// Akonadi::Collection::CanUnlinkItem
    {24, 80, 357},	// Akonadi::Collection::Collection
    {24, 81, 359},	// Akonadi::Collection::Collection#
    {24, 82, 358},	// Akonadi::Collection::Collection$
    {24, 484, 382},	// Akonadi::Collection::ReadOnly
    {24, 728, 376},	// Akonadi::Collection::cachePolicy
    {24, 821, 365},	// Akonadi::Collection::contentMimeTypes
    {24, 949, 360},	// Akonadi::Collection::fromUrl#
    {24, 1026, 381},	// Akonadi::Collection::isVirtual
    {24, 1101, 373},	// Akonadi::Collection::mimeType
    {24, 1122, 361},	// Akonadi::Collection::name
    {24, 1140, 367},	// Akonadi::Collection::parent
    {24, 1143, 370},	// Akonadi::Collection::parentRemoteId
    {24, 1189, 374},	// Akonadi::Collection::resource
    {24, 1206, 363},	// Akonadi::Collection::rights
    {24, 1208, 372},	// Akonadi::Collection::root
    {24, 1268, 377},	// Akonadi::Collection::setCachePolicy#
    {24, 1314, 366},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1427, 362},	// Akonadi::Collection::setName$
    {24, 1437, 369},	// Akonadi::Collection::setParent#
    {24, 1438, 368},	// Akonadi::Collection::setParent$
    {24, 1442, 371},	// Akonadi::Collection::setParentRemoteId$
    {24, 1465, 375},	// Akonadi::Collection::setResource$
    {24, 1472, 364},	// Akonadi::Collection::setRights$
    {24, 1489, 379},	// Akonadi::Collection::setStatistics#
    {24, 1547, 378},	// Akonadi::Collection::statistics
    {24, 1605, 380},	// Akonadi::Collection::url
    {24, 1649, 392},	// Akonadi::Collection::~Collection
    {25, 84, 411},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 85, -55},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 86, 401},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 667, 405},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 840, 408},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 842, 407},	// Akonadi::CollectionComboBox::currentCollection
    {25, 1097, 393},	// Akonadi::CollectionComboBox::metaObject
    {25, 1103, 403},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1160, 399},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1162, 394},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1247, 404},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1329, 406},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1417, 402},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1546, 413},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1581, 409},	// Akonadi::CollectionComboBox::tr$
    {25, 1582, 395},	// Akonadi::CollectionComboBox::tr$$
    {25, 1583, 397},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1585, 410},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1586, 396},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1587, 398},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1650, 414},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 88, 426},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 89, 422},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 874, 423},	// Akonadi::CollectionCopyJob::doStart
    {26, 1097, 415},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1160, 421},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1162, 416},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1546, 427},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1581, 424},	// Akonadi::CollectionCopyJob::tr$
    {26, 1582, 417},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1583, 419},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1585, 425},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1586, 418},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1587, 420},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1651, 428},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 91, 442},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 92, 436},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 762, 437},	// Akonadi::CollectionCreateJob::collection
    {27, 868, 439},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 874, 438},	// Akonadi::CollectionCreateJob::doStart
    {27, 1097, 429},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1160, 435},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1162, 430},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1546, 443},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1581, 440},	// Akonadi::CollectionCreateJob::tr$
    {27, 1582, 431},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1583, 433},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1585, 441},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1586, 432},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1587, 434},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1652, 444},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 94, 456},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 95, 452},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 874, 453},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1097, 445},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1160, 451},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1162, 446},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1546, 457},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1581, 454},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1582, 447},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1583, 449},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1585, 455},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1586, 448},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1587, 450},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1653, 458},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 44, 488},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 97, 482},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 98, -13},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 99, 467},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 100, 484},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 101, 485},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 102, 468},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 438, 487},	// Akonadi::CollectionDialog::None
    {29, 667, 472},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 739, 479},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1097, 459},	// Akonadi::CollectionDialog::metaObject
    {29, 1103, 470},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1160, 465},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1162, 460},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1227, 477},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1228, 478},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1233, 476},	// Akonadi::CollectionDialog::selectionMode
    {29, 1247, 471},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1329, 474},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1331, 473},	// Akonadi::CollectionDialog::setDescription$
    {29, 1417, 469},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1478, 475},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1546, 486},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1581, 480},	// Akonadi::CollectionDialog::tr$
    {29, 1582, 461},	// Akonadi::CollectionDialog::tr$$
    {29, 1583, 463},	// Akonadi::CollectionDialog::tr$$$
    {29, 1585, 481},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1586, 462},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1587, 464},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1654, 489},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 56, 517},	// Akonadi::CollectionFetchJob::Base
    {30, 104, 511},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 105, 512},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 106, 497},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 107, 513},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 108, 498},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 274, 518},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 486, 519},	// Akonadi::CollectionFetchJob::Recursive
    {30, 787, 499},	// Akonadi::CollectionFetchJob::collections
    {30, 790, 505},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 868, 507},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 874, 506},	// Akonadi::CollectionFetchJob::doStart
    {30, 935, 504},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 975, 515},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 976, 502},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 977, 514},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 978, 501},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1097, 490},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1160, 496},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1162, 491},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1348, 503},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1465, 500},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1533, 508},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1546, 516},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1581, 509},	// Akonadi::CollectionFetchJob::tr$
    {30, 1582, 492},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1583, 494},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1585, 510},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1586, 493},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1587, 495},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1655, 520},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 41, 538},	// Akonadi::CollectionFetchScope::All
    {31, 109, 521},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 110, 522},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 438, 536},	// Akonadi::CollectionFetchScope::None
    {31, 451, 537},	// Akonadi::CollectionFetchScope::Parent
    {31, 711, 534},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 821, 532},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 975, 527},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 977, 525},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 979, 524},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1018, 535},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1131, 523},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1189, 529},	// Akonadi::CollectionFetchScope::resource
    {31, 1257, 533},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1314, 531},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1378, 528},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1380, 526},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1465, 530},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1656, 539},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 111, 556},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 112, 547},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 687, 549},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 689, 548},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 752, 551},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 938, 553},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 942, 552},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1097, 540},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1104, 550},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1160, 546},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1162, 541},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1546, 557},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1581, 554},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1582, 542},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1583, 544},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1585, 555},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1586, 543},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1587, 545},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1657, 558},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 113, 599},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 114, 586},	// Akonadi::CollectionModel::CollectionModel
    {33, 115, -40},	// Akonadi::CollectionModel::CollectionModel#
    {33, 116, 583},	// Akonadi::CollectionModel::CollectionModel##
    {33, 140, 600},	// Akonadi::CollectionModel::CollectionRole
    {33, 445, 597},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 446, 598},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 588, 601},	// Akonadi::CollectionModel::UserRole
    {33, 773, 582},	// Akonadi::CollectionModel::collectionForId?
    {33, 796, 588},	// Akonadi::CollectionModel::columnCount
    {33, 797, 569},	// Akonadi::CollectionModel::columnCount#
    {33, 848, 589},	// Akonadi::CollectionModel::data#
    {33, 849, 570},	// Akonadi::CollectionModel::data#$
    {33, 890, 580},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 926, 567},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 942, 577},	// Akonadi::CollectionModel::flags#
    {33, 959, 592},	// Akonadi::CollectionModel::headerData$$
    {33, 960, 574},	// Akonadi::CollectionModel::headerData$$$
    {33, 977, 587},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 978, 568},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 981, 590},	// Akonadi::CollectionModel::index$$
    {33, 982, 571},	// Akonadi::CollectionModel::index$$#
    {33, 1097, 559},	// Akonadi::CollectionModel::metaObject
    {33, 1100, 579},	// Akonadi::CollectionModel::mimeData?
    {33, 1108, 581},	// Akonadi::CollectionModel::mimeTypes
    {33, 1141, 572},	// Akonadi::CollectionModel::parent#
    {33, 1160, 565},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1162, 560},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1210, 591},	// Akonadi::CollectionModel::rowCount
    {33, 1211, 573},	// Akonadi::CollectionModel::rowCount#
    {33, 1324, 594},	// Akonadi::CollectionModel::setData##
    {33, 1325, 576},	// Akonadi::CollectionModel::setData##$
    {33, 1361, 593},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1362, 575},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1546, 596},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1561, 578},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1581, 584},	// Akonadi::CollectionModel::tr$
    {33, 1582, 561},	// Akonadi::CollectionModel::tr$$
    {33, 1583, 563},	// Akonadi::CollectionModel::tr$$$
    {33, 1585, 585},	// Akonadi::CollectionModel::trUtf8$
    {33, 1586, 562},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1587, 564},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1658, 602},	// Akonadi::CollectionModel::~CollectionModel
    {35, 118, 615},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 119, 610},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 762, 611},	// Akonadi::CollectionModifyJob::collection
    {35, 874, 612},	// Akonadi::CollectionModifyJob::doStart
    {35, 1097, 603},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1160, 609},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1162, 604},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1546, 616},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1581, 613},	// Akonadi::CollectionModifyJob::tr$
    {35, 1582, 605},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1583, 607},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1585, 614},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1586, 606},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1587, 608},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1659, 617},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 121, 629},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 122, 625},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 874, 626},	// Akonadi::CollectionMoveJob::doStart
    {36, 1097, 618},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1160, 624},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1162, 619},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1546, 630},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1581, 627},	// Akonadi::CollectionMoveJob::tr$
    {36, 1582, 620},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1583, 622},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1585, 628},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1586, 621},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1587, 623},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1660, 631},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 125, 645},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 126, 639},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 127, 646},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 128, 640},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 1097, 632},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1160, 638},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1162, 633},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1169, 641},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1546, 647},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1581, 643},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1582, 634},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1583, 636},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1585, 644},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1586, 635},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1587, 637},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1610, 642},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1661, 648},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 129, 664},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 130, 656},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 733, 659},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1078, 657},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1097, 649},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1134, 661},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1160, 655},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1162, 650},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1215, 658},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1435, 660},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1546, 665},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1581, 662},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1582, 651},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1583, 653},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1585, 663},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1586, 652},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1587, 654},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1662, 666},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 131, 668},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 132, 669},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 834, 670},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 835, 667},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1663, 671},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 133, 672},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 134, 682},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 135, 673},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 759, 679},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 844, 676},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 857, 681},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1096, 677},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1243, 680},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1322, 674},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1413, 675},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1588, 678},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1664, 683},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 137, 703},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 138, -28},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 139, 692},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 667, 697},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 739, 698},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 762, 693},	// Akonadi::CollectionRequester::collection
    {41, 768, 700},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1097, 684},	// Akonadi::CollectionRequester::metaObject
    {41, 1103, 695},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1160, 690},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1162, 685},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1247, 696},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1279, 699},	// Akonadi::CollectionRequester::setCollection#
    {41, 1417, 694},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1546, 705},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1581, 701},	// Akonadi::CollectionRequester::tr$
    {41, 1582, 686},	// Akonadi::CollectionRequester::tr$$
    {41, 1583, 688},	// Akonadi::CollectionRequester::tr$$$
    {41, 1585, 702},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1586, 687},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1587, 689},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1665, 706},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 141, 707},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 142, 708},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 824, 709},	// Akonadi::CollectionStatistics::count
    {42, 1131, 715},	// Akonadi::CollectionStatistics::operator=#
    {42, 1320, 710},	// Akonadi::CollectionStatistics::setCount$
    {42, 1485, 714},	// Akonadi::CollectionStatistics::setSize$
    {42, 1507, 712},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1525, 713},	// Akonadi::CollectionStatistics::size
    {42, 1597, 711},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1666, 716},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 144, -1},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 988, 731},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1097, 717},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1136, 730},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1157, 729},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1160, 723},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1162, 718},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1449, 728},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1509, 726},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1546, 734},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1581, 732},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1582, 719},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1583, 721},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1585, 733},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1586, 720},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1587, 722},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1598, 727},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1667, 735},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 146, 750},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 147, 743},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 762, 745},	// Akonadi::CollectionStatisticsJob::collection
    {44, 868, 747},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 874, 746},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1097, 736},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1160, 742},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1162, 737},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1546, 751},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1547, 744},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1581, 748},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1582, 738},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1583, 740},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1585, 749},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1586, 739},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1587, 741},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1668, 752},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 148, 766},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 149, 760},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 487, 778},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 488, 776},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 489, 775},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 490, 774},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 528, 777},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 538, 773},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 557, 772},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 578, 771},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 588, 779},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 796, 767},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 797, 761},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 848, 768},	// Akonadi::CollectionStatisticsModel::data#
    {45, 849, 762},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 959, 769},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 960, 763},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1097, 753},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1160, 759},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1162, 754},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1546, 770},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1581, 764},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1582, 755},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1583, 757},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1585, 765},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1586, 756},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1587, 758},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1669, 780},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 152, 803},	// Akonadi::CollectionView::CollectionView
    {46, 153, -101},	// Akonadi::CollectionView::CollectionView#
    {46, 154, -105},	// Akonadi::CollectionView::CollectionView##
    {46, 758, 794},	// Akonadi::CollectionView::clicked#
    {46, 823, 800},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 840, 795},	// Akonadi::CollectionView::currentChanged#
    {46, 841, 796},	// Akonadi::CollectionView::currentChanged##
    {46, 882, 798},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 884, 797},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 888, 799},	// Akonadi::CollectionView::dropEvent#
    {46, 1097, 781},	// Akonadi::CollectionView::metaObject
    {46, 1160, 787},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1162, 782},	// Akonadi::CollectionView::qt_metacast$
    {46, 1422, 793},	// Akonadi::CollectionView::setModel#
    {46, 1514, 792},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1516, 791},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1546, 806},	// Akonadi::CollectionView::staticMetaObject
    {46, 1581, 801},	// Akonadi::CollectionView::tr$
    {46, 1582, 783},	// Akonadi::CollectionView::tr$$
    {46, 1583, 785},	// Akonadi::CollectionView::tr$$$
    {46, 1585, 802},	// Akonadi::CollectionView::trUtf8$
    {46, 1586, 784},	// Akonadi::CollectionView::trUtf8$$
    {46, 1587, 786},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1670, 807},	// Akonadi::CollectionView::~CollectionView
    {47, 157, 824},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 158, 815},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 810, 816},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 861, 819},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1097, 808},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1160, 814},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1162, 809},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1236, 818},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1240, 820},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1518, 821},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1524, 817},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1546, 825},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1581, 822},	// Akonadi::ContactDefaultActions::tr$
    {47, 1582, 810},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1583, 812},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1585, 823},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1586, 811},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1587, 813},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1671, 826},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 160, 844},	// Akonadi::ContactEditor::ContactEditor$
    {48, 161, -117},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 162, 835},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 202, 847},	// Akonadi::ContactEditor::CreateMode
    {48, 227, 848},	// Akonadi::ContactEditor::EditMode
    {48, 817, 840},	// Akonadi::ContactEditor::contactStored#
    {48, 910, 841},	// Akonadi::ContactEditor::error$
    {48, 1080, 838},	// Akonadi::ContactEditor::loadContact#
    {48, 1097, 827},	// Akonadi::ContactEditor::metaObject
    {48, 1160, 833},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1162, 828},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1216, 839},	// Akonadi::ContactEditor::saveContact
    {48, 1312, 836},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1327, 837},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1546, 846},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1581, 842},	// Akonadi::ContactEditor::tr$
    {48, 1582, 829},	// Akonadi::ContactEditor::tr$$
    {48, 1583, 831},	// Akonadi::ContactEditor::tr$$$
    {48, 1585, 843},	// Akonadi::ContactEditor::trUtf8$
    {48, 1586, 830},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1587, 832},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1672, 849},	// Akonadi::ContactEditor::~ContactEditor
    {49, 164, 865},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 165, -43},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 166, 858},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 202, 868},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 227, 869},	// Akonadi::ContactEditorDialog::EditMode
    {49, 817, 862},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 892, 861},	// Akonadi::ContactEditorDialog::editor
    {49, 1097, 850},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1160, 856},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1162, 851},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1302, 859},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1327, 860},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1546, 867},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1581, 863},	// Akonadi::ContactEditorDialog::tr$
    {49, 1582, 852},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1583, 854},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1585, 864},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1586, 853},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1587, 855},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1673, 870},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 167, 875},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1080, 872},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1459, 874},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1557, 873},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1578, 871},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1674, 876},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 169, 893},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 170, 884},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 202, 895},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 227, 896},	// Akonadi::ContactGroupEditor::EditMode
    {51, 814, 889},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 910, 890},	// Akonadi::ContactGroupEditor::error$
    {51, 1082, 887},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1097, 877},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1160, 883},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1162, 878},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1217, 888},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1310, 885},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1327, 886},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1546, 894},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1581, 891},	// Akonadi::ContactGroupEditor::tr$
    {51, 1582, 879},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1583, 881},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1585, 892},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1586, 880},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1587, 882},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1675, 897},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 172, 913},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 173, 905},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 202, 915},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 227, 916},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 814, 909},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 892, 908},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1097, 898},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1160, 904},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1162, 899},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1306, 906},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1327, 907},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1530, 910},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1546, 914},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1581, 911},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1582, 900},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1583, 902},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1585, 912},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1586, 901},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1587, 903},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1676, 917},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 175, 931},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 176, 925},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 177, 932},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 178, 926},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 818, 927},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1097, 918},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1160, 924},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1162, 919},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1538, 928},	// Akonadi::ContactGroupExpandJob::start
    {53, 1546, 933},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1581, 929},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1582, 920},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1583, 922},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1585, 930},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1586, 921},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1587, 923},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1677, 934},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 179, 949},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 180, 942},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 192, 954},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 258, 952},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 421, 951},	// Akonadi::ContactGroupSearchJob::Name
    {54, 534, 953},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 815, 946},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1097, 935},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1160, 941},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1162, 936},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1408, 945},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1452, 943},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1453, 944},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1546, 950},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1581, 947},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1582, 937},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1583, 939},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1585, 948},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1586, 938},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1587, 940},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1678, 955},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 181, 970},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 182, 963},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 812, 964},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 896, 967},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1097, 956},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1160, 962},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1162, 957},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1306, 966},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1308, 965},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1546, 971},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1581, 968},	// Akonadi::ContactGroupViewer::tr$
    {55, 1582, 958},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1583, 960},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1585, 969},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1586, 959},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1587, 961},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1679, 972},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 183, 986},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 184, 980},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 812, 981},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1097, 973},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1160, 979},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1162, 974},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1306, 983},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1546, 987},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1581, 984},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1582, 975},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1583, 977},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1585, 985},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1586, 976},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1587, 978},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1616, 982},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1680, 988},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 185, 1003},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 186, 996},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 187, 1009},	// Akonadi::ContactSearchJob::ContactUid
    {57, 192, 1012},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 229, 1006},	// Akonadi::ContactSearchJob::Email
    {57, 258, 1010},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 421, 1005},	// Akonadi::ContactSearchJob::Name
    {57, 422, 1008},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 424, 1007},	// Akonadi::ContactSearchJob::NickName
    {57, 534, 1011},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 818, 1000},	// Akonadi::ContactSearchJob::contacts
    {57, 1097, 989},	// Akonadi::ContactSearchJob::metaObject
    {57, 1160, 995},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1162, 990},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1408, 999},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1452, 997},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1453, 998},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1546, 1004},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1581, 1001},	// Akonadi::ContactSearchJob::tr$
    {57, 1582, 991},	// Akonadi::ContactSearchJob::tr$$
    {57, 1583, 993},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1585, 1002},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1586, 992},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1587, 994},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1681, 1013},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 188, 1034},	// Akonadi::ContactViewer::ContactViewer
    {58, 189, 1021},	// Akonadi::ContactViewer::ContactViewer#
    {58, 699, 1031},	// Akonadi::ContactViewer::addressClicked#
    {58, 811, 1022},	// Akonadi::ContactViewer::contact
    {58, 896, 1028},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1097, 1014},	// Akonadi::ContactViewer::metaObject
    {58, 1153, 1029},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1160, 1020},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1162, 1015},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1163, 1023},	// Akonadi::ContactViewer::rawContact
    {58, 1302, 1025},	// Akonadi::ContactViewer::setContact#
    {58, 1304, 1024},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1457, 1026},	// Akonadi::ContactViewer::setRawContact#
    {58, 1535, 1030},	// Akonadi::ContactViewer::smsClicked#
    {58, 1546, 1035},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1581, 1032},	// Akonadi::ContactViewer::tr$
    {58, 1582, 1016},	// Akonadi::ContactViewer::tr$$
    {58, 1583, 1018},	// Akonadi::ContactViewer::tr$$$
    {58, 1585, 1033},	// Akonadi::ContactViewer::trUtf8$
    {58, 1586, 1017},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1587, 1019},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1608, 1027},	// Akonadi::ContactViewer::urlClicked#
    {58, 1682, 1036},	// Akonadi::ContactViewer::~ContactViewer
    {59, 190, 1050},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 191, 1044},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 811, 1045},	// Akonadi::ContactViewerDialog::contact
    {59, 1097, 1037},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1160, 1043},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1162, 1038},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1302, 1047},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1546, 1051},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1581, 1048},	// Akonadi::ContactViewerDialog::tr$
    {59, 1582, 1039},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1583, 1041},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1585, 1049},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1586, 1040},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1587, 1042},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1616, 1046},	// Akonadi::ContactViewerDialog::viewer
    {59, 1683, 1052},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 194, 1067},	// Akonadi::Control::Control
    {60, 1097, 1053},	// Akonadi::Control::metaObject
    {60, 1160, 1059},	// Akonadi::Control::qt_metacall$$?
    {60, 1162, 1054},	// Akonadi::Control::qt_metacast$
    {60, 1193, 1064},	// Akonadi::Control::restart
    {60, 1194, 1065},	// Akonadi::Control::restart#
    {60, 1538, 1060},	// Akonadi::Control::start
    {60, 1539, 1061},	// Akonadi::Control::start#
    {60, 1546, 1070},	// Akonadi::Control::staticMetaObject
    {60, 1552, 1062},	// Akonadi::Control::stop
    {60, 1553, 1063},	// Akonadi::Control::stop#
    {60, 1581, 1068},	// Akonadi::Control::tr$
    {60, 1582, 1055},	// Akonadi::Control::tr$$
    {60, 1583, 1057},	// Akonadi::Control::tr$$$
    {60, 1585, 1069},	// Akonadi::Control::trUtf8$
    {60, 1586, 1056},	// Akonadi::Control::trUtf8$$
    {60, 1587, 1058},	// Akonadi::Control::trUtf8$$$
    {60, 1627, 1066},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1684, 1071},	// Akonadi::Control::~Control
    {61, 3, 1095},	// Akonadi::Entity::AddIfMissing
    {61, 235, -4},	// Akonadi::Entity::Entity#
    {61, 677, 1085},	// Akonadi::Entity::addAttribute#
    {61, 716, 1090},	// Akonadi::Entity::attribute#
    {61, 717, 1088},	// Akonadi::Entity::attributes
    {61, 750, 1089},	// Akonadi::Entity::clearAttributes
    {61, 846, -7},	// Akonadi::Entity::d_func
    {61, 952, 1087},	// Akonadi::Entity::hasAttribute#
    {61, 969, 1073},	// Akonadi::Entity::id
    {61, 1025, 1078},	// Akonadi::Entity::isValid
    {61, 1129, 1080},	// Akonadi::Entity::operator!=#
    {61, 1131, 1081},	// Akonadi::Entity::operator=#
    {61, 1133, 1079},	// Akonadi::Entity::operator==#
    {61, 1142, -10},	// Akonadi::Entity::parentCollection
    {61, 1172, 1075},	// Akonadi::Entity::remoteId
    {61, 1173, 1077},	// Akonadi::Entity::remoteRevision
    {61, 1175, 1086},	// Akonadi::Entity::removeAttribute#
    {61, 1370, 1072},	// Akonadi::Entity::setId$
    {61, 1440, 1084},	// Akonadi::Entity::setParentCollection#
    {61, 1461, 1074},	// Akonadi::Entity::setRemoteId$
    {61, 1463, 1076},	// Akonadi::Entity::setRemoteRevision$
    {61, 1685, 1096},	// Akonadi::Entity::~Entity
    {62, 236, 1097},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 237, 1112},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 674, 1104},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 675, 1105},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 724, 1106},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 759, 1109},	// Akonadi::EntityDisplayAttribute::clone
    {62, 857, 1111},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 865, 1099},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 967, 1101},	// Akonadi::EntityDisplayAttribute::icon
    {62, 968, 1102},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1243, 1110},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1251, 1103},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1262, 1107},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1333, 1098},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1368, 1100},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1588, 1108},	// Akonadi::EntityDisplayAttribute::type
    {62, 1686, 1113},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 238, 1114},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 239, 1119},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 759, 1116},	// Akonadi::EntityHiddenAttribute::clone
    {63, 857, 1118},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1243, 1117},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1588, 1115},	// Akonadi::EntityHiddenAttribute::type
    {63, 1687, 1120},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 240, 1145},	// Akonadi::EntityListView::EntityListView
    {64, 241, -16},	// Akonadi::EntityListView::EntityListView#
    {64, 242, 1129},	// Akonadi::EntityListView::EntityListView##
    {64, 758, -19},	// Akonadi::EntityListView::clicked#
    {64, 823, 1141},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 840, -22},	// Akonadi::EntityListView::currentChanged#
    {64, 841, 1138},	// Akonadi::EntityListView::currentChanged##
    {64, 879, -25},	// Akonadi::EntityListView::doubleClicked#
    {64, 884, 1139},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 888, 1140},	// Akonadi::EntityListView::dropEvent#
    {64, 1097, 1121},	// Akonadi::EntityListView::metaObject
    {64, 1160, 1127},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1162, 1122},	// Akonadi::EntityListView::qt_metacast$
    {64, 1422, 1131},	// Akonadi::EntityListView::setModel#
    {64, 1514, 1130},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1541, 1142},	// Akonadi::EntityListView::startDrag$
    {64, 1546, 1147},	// Akonadi::EntityListView::staticMetaObject
    {64, 1581, 1143},	// Akonadi::EntityListView::tr$
    {64, 1582, 1123},	// Akonadi::EntityListView::tr$$
    {64, 1583, 1125},	// Akonadi::EntityListView::tr$$$
    {64, 1585, 1144},	// Akonadi::EntityListView::trUtf8$
    {64, 1586, 1124},	// Akonadi::EntityListView::trUtf8$$
    {64, 1587, 1126},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1688, 1148},	// Akonadi::EntityListView::~EntityListView
    {65, 243, 1173},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 244, 1156},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 683, 1160},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 685, 1158},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 691, 1159},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 693, 1157},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 731, 1167},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 752, 1163},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 796, 1178},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 797, 1169},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 938, 1170},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 953, 1175},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 954, 1166},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 959, 1174},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 960, 1165},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1093, 1176},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1094, 1177},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1095, 1168},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1097, 1149},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1102, 1162},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1105, 1161},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1160, 1155},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1162, 1150},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1364, 1164},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1546, 1179},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1581, 1171},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1582, 1151},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1583, 1153},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1585, 1172},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1586, 1152},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1587, 1154},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1689, 1180},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 45, 1252},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 55, 1256},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 83, 1251},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 96, 1259},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 113, 1248},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 136, 1258},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 140, 1249},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 150, 1264},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 151, 1271},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 155, 1254},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 231, 1274},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 232, 1267},	// Akonadi::EntityTreeModel::EndRole
    {67, 245, 1270},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 247, 1231},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 248, -58},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 249, 1228},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 255, 1261},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 268, 1280},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 269, 1279},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 270, 1278},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 271, 1263},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 272, 1269},	// Akonadi::EntityTreeModel::FetchingState
    {67, 286, 1268},	// Akonadi::EntityTreeModel::IdleState
    {67, 288, 1276},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 299, 1281},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 323, 1245},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 324, 1272},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 338, 1246},	// Akonadi::EntityTreeModel::ItemRole
    {67, 358, 1277},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 383, 1255},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 399, 1247},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 434, 1275},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 452, 1253},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 462, 1260},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 493, 1250},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 521, 1257},	// Akonadi::EntityTreeModel::SessionRole
    {67, 553, 1266},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 577, 1262},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 587, 1273},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 588, 1265},	// Akonadi::EntityTreeModel::UserRole
    {67, 731, 1213},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 749, 1219},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 771, 1200},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 796, 1232},	// Akonadi::EntityTreeModel::columnCount
    {67, 797, 1201},	// Akonadi::EntityTreeModel::columnCount#
    {67, 846, -61},	// Akonadi::EntityTreeModel::d_func
    {67, 848, 1234},	// Akonadi::EntityTreeModel::data#
    {67, 849, 1203},	// Akonadi::EntityTreeModel::data#$
    {67, 890, 1209},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 901, 1223},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 903, -64},	// Akonadi::EntityTreeModel::entityData#$
    {67, 904, -67},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 906, 1222},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 908, -70},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 931, 1214},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 942, 1205},	// Akonadi::EntityTreeModel::flags#
    {67, 953, 1238},	// Akonadi::EntityTreeModel::hasChildren
    {67, 954, 1215},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 959, 1235},	// Akonadi::EntityTreeModel::headerData$$
    {67, 960, 1204},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 974, 1196},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 977, 1191},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 981, 1237},	// Akonadi::EntityTreeModel::index$$
    {67, 982, 1211},	// Akonadi::EntityTreeModel::index$$#
    {67, 1051, 1194},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1093, 1239},	// Akonadi::EntityTreeModel::match#$#
    {67, 1094, 1240},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1095, 1216},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1097, 1181},	// Akonadi::EntityTreeModel::metaObject
    {67, 1100, 1208},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1108, 1206},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1112, 1217},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1114, 1218},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1141, 1212},	// Akonadi::EntityTreeModel::parent#
    {67, 1160, 1187},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1162, 1182},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1209, 1198},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1210, 1233},	// Akonadi::EntityTreeModel::rowCount
    {67, 1211, 1202},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1283, 1199},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1324, 1236},	// Akonadi::EntityTreeModel::setData##
    {67, 1325, 1210},	// Akonadi::EntityTreeModel::setData##$
    {67, 1376, 1195},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1380, 1192},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1398, 1193},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1474, 1197},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1483, 1189},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1546, 1244},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1561, 1207},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1573, 1190},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1581, 1229},	// Akonadi::EntityTreeModel::tr$
    {67, 1582, 1183},	// Akonadi::EntityTreeModel::tr$$
    {67, 1583, 1185},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1585, 1230},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1586, 1184},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1587, 1186},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1690, 1282},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 250, 1310},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 251, -89},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 252, 1291},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 758, -92},	// Akonadi::EntityTreeView::clicked#
    {69, 823, 1307},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 840, -95},	// Akonadi::EntityTreeView::currentChanged#
    {69, 841, 1302},	// Akonadi::EntityTreeView::currentChanged##
    {69, 879, -98},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 884, 1304},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 888, 1305},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1017, 1295},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1097, 1283},	// Akonadi::EntityTreeView::metaObject
    {69, 1160, 1289},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1162, 1284},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1335, 1294},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1422, 1293},	// Akonadi::EntityTreeView::setModel#
    {69, 1514, 1292},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1541, 1303},	// Akonadi::EntityTreeView::startDrag$
    {69, 1546, 1312},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1577, 1306},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1581, 1308},	// Akonadi::EntityTreeView::tr$
    {69, 1582, 1285},	// Akonadi::EntityTreeView::tr$$
    {69, 1583, 1287},	// Akonadi::EntityTreeView::tr$$$
    {69, 1585, 1309},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1586, 1286},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1587, 1288},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1691, 1313},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 254, 1321},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1097, 1314},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1160, 1320},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1162, 1315},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1196, 1323},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1219, 1322},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1546, 1326},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1581, 1324},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1582, 1316},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1583, 1318},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1585, 1325},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1586, 1317},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1587, 1319},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1692, 1327},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 261, -73},	// Akonadi::Exception::Exception#
    {71, 262, -76},	// Akonadi::Exception::Exception$
    {71, 1588, 1333},	// Akonadi::Exception::type
    {71, 1624, 1332},	// Akonadi::Exception::what
    {71, 1693, 1334},	// Akonadi::Exception::~Exception
    {72, 266, 1358},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 267, 1342},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 681, 1353},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 774, 1344},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 787, 1343},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 848, 1359},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 849, 1346},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 890, 1349},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 917, 1345},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 942, 1351},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 959, 1361},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 960, 1348},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1097, 1335},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1108, 1350},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1160, 1341},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1162, 1336},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1177, 1354},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1294, 1352},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1324, 1360},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1325, 1347},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1342, 1355},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1546, 1362},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1581, 1356},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1582, 1337},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1583, 1339},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1585, 1357},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1586, 1338},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1587, 1340},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1694, 1363},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 277, 1394},	// Akonadi::Item::FullPayload
    {73, 300, 1364},	// Akonadi::Item::Item
    {73, 301, 1367},	// Akonadi::Item::Item#
    {73, 302, -46},	// Akonadi::Item::Item$
    {73, 579, 1396},	// Akonadi::Item::UrlShort
    {73, 580, 1397},	// Akonadi::Item::UrlWithMimeType
    {73, 713, 1392},	// Akonadi::Item::apply#
    {73, 722, 1388},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 723, 1391},	// Akonadi::Item::availablePayloadParts
    {73, 754, 1374},	// Akonadi::Item::clearFlag#
    {73, 755, 1376},	// Akonadi::Item::clearFlags
    {73, 756, 1380},	// Akonadi::Item::clearPayload
    {73, 941, 1369},	// Akonadi::Item::flags
    {73, 949, 1368},	// Akonadi::Item::fromUrl#
    {73, 956, 1372},	// Akonadi::Item::hasFlag#
    {73, 957, 1389},	// Akonadi::Item::hasPayload
    {73, 1083, 1379},	// Akonadi::Item::loadedPayloadParts
    {73, 1101, 1387},	// Akonadi::Item::mimeType
    {73, 1115, 1370},	// Akonadi::Item::modificationTime
    {73, 1147, 1378},	// Akonadi::Item::payloadData
    {73, 1205, 1382},	// Akonadi::Item::revision
    {73, 1350, 1373},	// Akonadi::Item::setFlag#
    {73, 1352, 1375},	// Akonadi::Item::setFlags?
    {73, 1356, 1395},	// Akonadi::Item::setFullPayload$
    {73, 1415, 1386},	// Akonadi::Item::setMimeType$
    {73, 1425, 1371},	// Akonadi::Item::setModificationTime#
    {73, 1444, 1377},	// Akonadi::Item::setPayloadFromData#
    {73, 1470, 1381},	// Akonadi::Item::setRevision$
    {73, 1485, 1384},	// Akonadi::Item::setSize$
    {73, 1525, 1385},	// Akonadi::Item::size
    {73, 1555, 1383},	// Akonadi::Item::storageCollectionId
    {73, 1605, 1393},	// Akonadi::Item::url
    {73, 1606, 1390},	// Akonadi::Item::url$
    {73, 1695, 1398},	// Akonadi::Item::~Item
    {74, 304, 1411},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 305, 1406},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 306, 1412},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 307, 1407},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 874, 1408},	// Akonadi::ItemCopyJob::doStart
    {74, 1097, 1399},	// Akonadi::ItemCopyJob::metaObject
    {74, 1160, 1405},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1162, 1400},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1546, 1413},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1581, 1409},	// Akonadi::ItemCopyJob::tr$
    {74, 1582, 1401},	// Akonadi::ItemCopyJob::tr$$
    {74, 1583, 1403},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1585, 1410},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1586, 1402},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1587, 1404},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1696, 1414},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 309, 1428},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 310, 1422},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 868, 1425},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 874, 1424},	// Akonadi::ItemCreateJob::doStart
    {75, 1035, 1423},	// Akonadi::ItemCreateJob::item
    {75, 1097, 1415},	// Akonadi::ItemCreateJob::metaObject
    {75, 1160, 1421},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1162, 1416},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1546, 1429},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1581, 1426},	// Akonadi::ItemCreateJob::tr$
    {75, 1582, 1417},	// Akonadi::ItemCreateJob::tr$$
    {75, 1583, 1419},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1585, 1427},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1586, 1418},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1587, 1420},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1697, 1430},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 312, -49},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 313, -52},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 314, 1446},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 315, 1439},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 853, 1441},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 874, 1442},	// Akonadi::ItemDeleteJob::doStart
    {76, 1097, 1431},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1160, 1437},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1162, 1432},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1546, 1448},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1581, 1443},	// Akonadi::ItemDeleteJob::tr$
    {76, 1582, 1433},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1583, 1435},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1585, 1444},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1586, 1434},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1587, 1436},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1698, 1449},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 317, -108},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 318, -111},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 319, 1472},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 320, 1459},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 868, 1467},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 874, 1466},	// Akonadi::ItemFetchJob::doStart
    {77, 935, 1463},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1061, 1460},	// Akonadi::ItemFetchJob::items
    {77, 1065, 1465},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1097, 1450},	// Akonadi::ItemFetchJob::metaObject
    {77, 1160, 1456},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1162, 1451},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1279, 1464},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1348, -114},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1546, 1473},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1581, 1468},	// Akonadi::ItemFetchJob::tr$
    {77, 1582, 1452},	// Akonadi::ItemFetchJob::tr$$
    {77, 1583, 1454},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1585, 1469},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1586, 1453},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1587, 1455},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1699, 1474},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 41, 1499},	// Akonadi::ItemFetchScope::All
    {78, 321, 1475},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 322, 1476},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 438, 1497},	// Akonadi::ItemFetchScope::None
    {78, 451, 1498},	// Akonadi::ItemFetchScope::Parent
    {78, 708, 1484},	// Akonadi::ItemFetchScope::allAttributes
    {78, 711, 1489},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 717, 1482},	// Akonadi::ItemFetchScope::attributes
    {78, 727, 1486},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 918, 1496},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 919, 1485},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 921, 1495},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 922, 1483},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 927, 1494},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 928, 1481},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 929, 1491},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 933, 1493},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 934, 1479},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 950, 1480},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1018, 1492},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1131, 1477},	// Akonadi::ItemFetchScope::operator=#
    {78, 1148, 1478},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1257, 1488},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1266, 1487},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1346, 1490},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1700, 1500},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 282, 1534},	// Akonadi::ItemModel::Id
    {79, 283, 1537},	// Akonadi::ItemModel::IdRole
    {79, 325, 1528},	// Akonadi::ItemModel::ItemModel
    {79, 326, 1508},	// Akonadi::ItemModel::ItemModel#
    {79, 338, 1538},	// Akonadi::ItemModel::ItemRole
    {79, 396, 1536},	// Akonadi::ItemModel::MimeType
    {79, 399, 1539},	// Akonadi::ItemModel::MimeTypeRole
    {79, 492, 1535},	// Akonadi::ItemModel::RemoteId
    {79, 588, 1540},	// Akonadi::ItemModel::UserRole
    {79, 762, 1522},	// Akonadi::ItemModel::collection
    {79, 768, 1524},	// Akonadi::ItemModel::collectionChanged#
    {79, 796, 1529},	// Akonadi::ItemModel::columnCount
    {79, 797, 1509},	// Akonadi::ItemModel::columnCount#
    {79, 848, 1530},	// Akonadi::ItemModel::data#
    {79, 849, 1510},	// Akonadi::ItemModel::data#$
    {79, 890, 1521},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 935, 1518},	// Akonadi::ItemModel::fetchScope
    {79, 942, 1513},	// Akonadi::ItemModel::flags#
    {79, 959, 1532},	// Akonadi::ItemModel::headerData$$
    {79, 960, 1512},	// Akonadi::ItemModel::headerData$$$
    {79, 985, 1520},	// Akonadi::ItemModel::indexForItem#$
    {79, 1044, 1519},	// Akonadi::ItemModel::itemForIndex#
    {79, 1097, 1501},	// Akonadi::ItemModel::metaObject
    {79, 1100, 1514},	// Akonadi::ItemModel::mimeData?
    {79, 1108, 1515},	// Akonadi::ItemModel::mimeTypes
    {79, 1160, 1507},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1162, 1502},	// Akonadi::ItemModel::qt_metacast$
    {79, 1210, 1531},	// Akonadi::ItemModel::rowCount
    {79, 1211, 1511},	// Akonadi::ItemModel::rowCount#
    {79, 1244, 1525},	// Akonadi::ItemModel::session
    {79, 1279, 1523},	// Akonadi::ItemModel::setCollection#
    {79, 1348, 1517},	// Akonadi::ItemModel::setFetchScope#
    {79, 1546, 1533},	// Akonadi::ItemModel::staticMetaObject
    {79, 1561, 1516},	// Akonadi::ItemModel::supportedDropActions
    {79, 1581, 1526},	// Akonadi::ItemModel::tr$
    {79, 1582, 1503},	// Akonadi::ItemModel::tr$$
    {79, 1583, 1505},	// Akonadi::ItemModel::tr$$$
    {79, 1585, 1527},	// Akonadi::ItemModel::trUtf8$
    {79, 1586, 1504},	// Akonadi::ItemModel::trUtf8$$
    {79, 1587, 1506},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1701, 1541},	// Akonadi::ItemModel::~ItemModel
    {80, 328, 1561},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 329, 1549},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 330, 1562},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 331, 1550},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 862, 1556},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 863, 1553},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 868, 1558},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 874, 1557},	// Akonadi::ItemModifyJob::doStart
    {80, 971, 1552},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1035, 1554},	// Akonadi::ItemModifyJob::item
    {80, 1061, 1555},	// Akonadi::ItemModifyJob::items
    {80, 1097, 1542},	// Akonadi::ItemModifyJob::metaObject
    {80, 1160, 1548},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1162, 1543},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1374, 1551},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1546, 1563},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1581, 1559},	// Akonadi::ItemModifyJob::tr$
    {80, 1582, 1544},	// Akonadi::ItemModifyJob::tr$$
    {80, 1583, 1546},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1585, 1560},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1586, 1545},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1587, 1547},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1702, 1564},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 332, 1565},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 935, 1571},	// Akonadi::ItemMonitor::fetchScope
    {81, 1035, 1567},	// Akonadi::ItemMonitor::item
    {81, 1039, 1568},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1052, 1569},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1348, 1570},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1390, 1566},	// Akonadi::ItemMonitor::setItem#
    {81, 1703, 1572},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 334, 1585},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 335, 1580},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 336, 1586},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 337, 1581},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 874, 1582},	// Akonadi::ItemMoveJob::doStart
    {82, 1097, 1573},	// Akonadi::ItemMoveJob::metaObject
    {82, 1160, 1579},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1162, 1574},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1546, 1587},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1581, 1583},	// Akonadi::ItemMoveJob::tr$
    {82, 1582, 1575},	// Akonadi::ItemMoveJob::tr$$
    {82, 1583, 1577},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1585, 1584},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1586, 1576},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1587, 1578},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1704, 1588},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 340, 1607},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 341, 1596},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 707, 1601},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 868, 1604},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 874, 1603},	// Akonadi::ItemSearchJob::doStart
    {83, 935, 1599},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1061, 1600},	// Akonadi::ItemSearchJob::items
    {83, 1065, 1602},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1097, 1589},	// Akonadi::ItemSearchJob::metaObject
    {83, 1160, 1595},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1162, 1590},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1348, 1598},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1451, 1597},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1546, 1608},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1581, 1605},	// Akonadi::ItemSearchJob::tr$
    {83, 1582, 1591},	// Akonadi::ItemSearchJob::tr$$
    {83, 1583, 1593},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1585, 1606},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1586, 1592},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1587, 1594},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1705, 1609},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 342, 1613},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 343, 1614},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 858, 1610},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1146, 1612},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1242, 1611},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1706, 1615},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 344, 1618},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 345, 1619},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 714, 1616},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 721, 1617},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1707, 1620},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 347, 1643},	// Akonadi::ItemSync::ItemSync#
    {86, 348, 1628},	// Akonadi::ItemSync::ItemSync##
    {86, 420, 1646},	// Akonadi::ItemSync::MultipleTransactions
    {86, 437, 1647},	// Akonadi::ItemSync::NoTransaction
    {86, 526, 1645},	// Akonadi::ItemSync::SingleTransaction
    {86, 854, 1632},	// Akonadi::ItemSync::deliveryDone
    {86, 874, 1638},	// Akonadi::ItemSync::doStart
    {86, 935, 1635},	// Akonadi::ItemSync::fetchScope
    {86, 1097, 1621},	// Akonadi::ItemSync::metaObject
    {86, 1160, 1627},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1162, 1622},	// Akonadi::ItemSync::qt_metacast$
    {86, 1207, 1636},	// Akonadi::ItemSync::rollback
    {86, 1348, 1634},	// Akonadi::ItemSync::setFetchScope#
    {86, 1358, 1629},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1382, 1633},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1491, 1631},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1501, 1630},	// Akonadi::ItemSync::setTotalItems$
    {86, 1503, 1637},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1533, 1639},	// Akonadi::ItemSync::slotResult#
    {86, 1546, 1644},	// Akonadi::ItemSync::staticMetaObject
    {86, 1581, 1641},	// Akonadi::ItemSync::tr$
    {86, 1582, 1623},	// Akonadi::ItemSync::tr$$
    {86, 1583, 1625},	// Akonadi::ItemSync::tr$$$
    {86, 1585, 1642},	// Akonadi::ItemSync::trUtf8$
    {86, 1586, 1624},	// Akonadi::ItemSync::trUtf8$$
    {86, 1587, 1626},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1604, 1640},	// Akonadi::ItemSync::updateItem##
    {86, 1708, 1648},	// Akonadi::ItemSync::~ItemSync
    {87, 349, 1670},	// Akonadi::ItemView::ItemView
    {87, 350, -82},	// Akonadi::ItemView::ItemView#
    {87, 351, -86},	// Akonadi::ItemView::ItemView##
    {87, 673, 1662},	// Akonadi::ItemView::activated#
    {87, 758, 1664},	// Akonadi::ItemView::clicked#
    {87, 823, 1667},	// Akonadi::ItemView::contextMenuEvent#
    {87, 840, 1663},	// Akonadi::ItemView::currentChanged#
    {87, 841, 1666},	// Akonadi::ItemView::currentChanged##
    {87, 879, 1665},	// Akonadi::ItemView::doubleClicked#
    {87, 1097, 1649},	// Akonadi::ItemView::metaObject
    {87, 1160, 1655},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1162, 1650},	// Akonadi::ItemView::qt_metacast$
    {87, 1422, 1661},	// Akonadi::ItemView::setModel#
    {87, 1514, 1660},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1516, 1659},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1546, 1673},	// Akonadi::ItemView::staticMetaObject
    {87, 1581, 1668},	// Akonadi::ItemView::tr$
    {87, 1582, 1651},	// Akonadi::ItemView::tr$$
    {87, 1583, 1653},	// Akonadi::ItemView::tr$$$
    {87, 1585, 1669},	// Akonadi::ItemView::trUtf8$
    {87, 1586, 1652},	// Akonadi::ItemView::trUtf8$$
    {87, 1587, 1654},	// Akonadi::ItemView::trUtf8$$$
    {87, 1709, 1674},	// Akonadi::ItemView::~ItemView
    {88, 156, 1699},	// Akonadi::Job::ConnectionFailed
    {88, 352, 1697},	// Akonadi::Job::Job
    {88, 353, 1682},	// Akonadi::Job::Job#
    {88, 354, 1694},	// Akonadi::Job::Job##
    {88, 476, 1700},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 573, 1702},	// Akonadi::Job::Unknown
    {88, 584, 1701},	// Akonadi::Job::UserCanceled
    {88, 586, 1703},	// Akonadi::Job::UserError
    {88, 665, 1685},	// Akonadi::Job::aboutToStart#
    {88, 695, 1689},	// Akonadi::Job::addSubjob#
    {88, 868, 1688},	// Akonadi::Job::doHandleResponse##
    {88, 870, 1691},	// Akonadi::Job::doKill
    {88, 874, 1687},	// Akonadi::Job::doStart
    {88, 897, 1692},	// Akonadi::Job::emitWriteFinished
    {88, 911, 1684},	// Akonadi::Job::errorString
    {88, 1097, 1675},	// Akonadi::Job::metaObject
    {88, 1160, 1681},	// Akonadi::Job::qt_metacall$$?
    {88, 1162, 1676},	// Akonadi::Job::qt_metacast$
    {88, 1183, 1690},	// Akonadi::Job::removeSubjob#
    {88, 1533, 1693},	// Akonadi::Job::slotResult#
    {88, 1538, 1683},	// Akonadi::Job::start
    {88, 1546, 1698},	// Akonadi::Job::staticMetaObject
    {88, 1581, 1695},	// Akonadi::Job::tr$
    {88, 1582, 1677},	// Akonadi::Job::tr$$
    {88, 1583, 1679},	// Akonadi::Job::tr$$$
    {88, 1585, 1696},	// Akonadi::Job::trUtf8$
    {88, 1586, 1678},	// Akonadi::Job::trUtf8$$
    {88, 1587, 1680},	// Akonadi::Job::trUtf8$$$
    {88, 1631, 1686},	// Akonadi::Job::writeFinished#
    {88, 1710, 1704},	// Akonadi::Job::~Job
    {90, 380, 1716},	// Akonadi::LinkJob::LinkJob#?
    {90, 381, 1712},	// Akonadi::LinkJob::LinkJob#?#
    {90, 874, 1713},	// Akonadi::LinkJob::doStart
    {90, 1097, 1705},	// Akonadi::LinkJob::metaObject
    {90, 1160, 1711},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1162, 1706},	// Akonadi::LinkJob::qt_metacast$
    {90, 1546, 1717},	// Akonadi::LinkJob::staticMetaObject
    {90, 1581, 1714},	// Akonadi::LinkJob::tr$
    {90, 1582, 1707},	// Akonadi::LinkJob::tr$$
    {90, 1583, 1709},	// Akonadi::LinkJob::tr$$$
    {90, 1585, 1715},	// Akonadi::LinkJob::trUtf8$
    {90, 1586, 1708},	// Akonadi::LinkJob::trUtf8$$
    {90, 1587, 1710},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1711, 1718},	// Akonadi::LinkJob::~LinkJob
    {91, 388, 1719},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 389, 1720},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 759, 1724},	// Akonadi::MessageFolderAttribute::clone
    {91, 857, 1726},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1022, 1721},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1243, 1725},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1433, 1722},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1588, 1723},	// Akonadi::MessageFolderAttribute::type
    {91, 1712, 1727},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 207, 1752},	// Akonadi::MessageModel::Date
    {92, 390, 1743},	// Akonadi::MessageModel::MessageModel
    {92, 391, 1735},	// Akonadi::MessageModel::MessageModel#
    {92, 485, 1751},	// Akonadi::MessageModel::Receiver
    {92, 516, 1750},	// Akonadi::MessageModel::Sender
    {92, 527, 1753},	// Akonadi::MessageModel::Size
    {92, 546, 1749},	// Akonadi::MessageModel::Subject
    {92, 796, 1745},	// Akonadi::MessageModel::columnCount
    {92, 797, 1737},	// Akonadi::MessageModel::columnCount#
    {92, 848, 1746},	// Akonadi::MessageModel::data#
    {92, 849, 1738},	// Akonadi::MessageModel::data#$
    {92, 959, 1747},	// Akonadi::MessageModel::headerData$$
    {92, 960, 1739},	// Akonadi::MessageModel::headerData$$$
    {92, 1097, 1728},	// Akonadi::MessageModel::metaObject
    {92, 1108, 1740},	// Akonadi::MessageModel::mimeTypes
    {92, 1160, 1734},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1162, 1729},	// Akonadi::MessageModel::qt_metacast$
    {92, 1210, 1744},	// Akonadi::MessageModel::rowCount
    {92, 1211, 1736},	// Akonadi::MessageModel::rowCount#
    {92, 1546, 1748},	// Akonadi::MessageModel::staticMetaObject
    {92, 1581, 1741},	// Akonadi::MessageModel::tr$
    {92, 1582, 1730},	// Akonadi::MessageModel::tr$$
    {92, 1583, 1732},	// Akonadi::MessageModel::tr$$$
    {92, 1585, 1742},	// Akonadi::MessageModel::trUtf8$
    {92, 1586, 1731},	// Akonadi::MessageModel::trUtf8$$
    {92, 1587, 1733},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1713, 1754},	// Akonadi::MessageModel::~MessageModel
    {93, 392, 1776},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 393, 1762},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 797, 1768},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 833, 1767},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 954, 1766},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 982, 1765},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1087, 1771},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1091, 1772},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1097, 1755},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1100, 1770},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1108, 1769},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1141, 1763},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1160, 1761},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1162, 1756},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1211, 1764},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1487, 1773},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1546, 1777},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1581, 1774},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1582, 1757},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1583, 1759},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1585, 1775},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1586, 1758},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1587, 1760},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1714, 1778},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 394, 1779},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 395, 1780},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 759, 1788},	// Akonadi::MessageThreadingAttribute::clone
    {94, 857, 1790},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1151, 1781},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1243, 1789},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1446, 1782},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1493, 1786},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1505, 1784},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1559, 1785},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1588, 1787},	// Akonadi::MessageThreadingAttribute::type
    {94, 1596, 1783},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1715, 1791},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 397, 1792},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 398, 1793},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 697, 1797},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 820, 1802},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1028, 1800},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1029, 1804},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1031, 1799},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1032, 1803},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1034, 1801},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1131, 1794},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1185, 1798},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1512, 1796},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1621, 1795},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1716, 1805},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 402, 1856},	// Akonadi::Monitor::Monitor
    {96, 403, -31},	// Akonadi::Monitor::Monitor#
    {96, 404, 1853},	// Akonadi::Monitor::Monitor##
    {96, 710, 1852},	// Akonadi::Monitor::allMonitored$
    {96, 764, 1840},	// Akonadi::Monitor::collectionAdded##
    {96, 768, 1841},	// Akonadi::Monitor::collectionChanged#
    {96, 769, 1842},	// Akonadi::Monitor::collectionChanged#?
    {96, 770, 1825},	// Akonadi::Monitor::collectionFetchScope
    {96, 776, 1848},	// Akonadi::Monitor::collectionMonitored#$
    {96, 778, 1843},	// Akonadi::Monitor::collectionMoved###
    {96, 780, 1844},	// Akonadi::Monitor::collectionRemoved#
    {96, 782, 1847},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 784, 1845},	// Akonadi::Monitor::collectionSubscribed##
    {96, 786, 1846},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 788, 1826},	// Akonadi::Monitor::collectionsMonitored
    {96, 924, 1820},	// Akonadi::Monitor::fetchCollection$
    {96, 926, 1821},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 973, 1819},	// Akonadi::Monitor::ignoreSession#
    {96, 1016, 1831},	// Akonadi::Monitor::isAllMonitored
    {96, 1037, 1836},	// Akonadi::Monitor::itemAdded##
    {96, 1040, 1834},	// Akonadi::Monitor::itemChanged#?
    {96, 1042, 1823},	// Akonadi::Monitor::itemFetchScope
    {96, 1046, 1838},	// Akonadi::Monitor::itemLinked##
    {96, 1048, 1849},	// Akonadi::Monitor::itemMonitored#$
    {96, 1050, 1835},	// Akonadi::Monitor::itemMoved###
    {96, 1053, 1837},	// Akonadi::Monitor::itemRemoved#
    {96, 1060, 1839},	// Akonadi::Monitor::itemUnlinked##
    {96, 1062, 1827},	// Akonadi::Monitor::itemsMonitored
    {96, 1063, 1828},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1097, 1806},	// Akonadi::Monitor::metaObject
    {96, 1107, 1851},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1109, 1829},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1160, 1812},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1162, 1807},	// Akonadi::Monitor::qt_metacast$
    {96, 1191, 1850},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1192, 1830},	// Akonadi::Monitor::resourcesMonitored
    {96, 1244, 1833},	// Akonadi::Monitor::session
    {96, 1254, 1861},	// Akonadi::Monitor::setAllMonitored
    {96, 1255, 1818},	// Akonadi::Monitor::setAllMonitored$
    {96, 1281, 1824},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1285, 1857},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1286, 1814},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1393, 1822},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1395, 1858},	// Akonadi::Monitor::setItemMonitored#
    {96, 1396, 1815},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1419, 1860},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1420, 1817},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1467, 1859},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1468, 1816},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1481, 1832},	// Akonadi::Monitor::setSession#
    {96, 1546, 1863},	// Akonadi::Monitor::staticMetaObject
    {96, 1581, 1854},	// Akonadi::Monitor::tr$
    {96, 1582, 1808},	// Akonadi::Monitor::tr$$
    {96, 1583, 1810},	// Akonadi::Monitor::tr$$$
    {96, 1585, 1855},	// Akonadi::Monitor::trUtf8$
    {96, 1586, 1809},	// Akonadi::Monitor::trUtf8$$
    {96, 1587, 1811},	// Akonadi::Monitor::trUtf8$$$
    {96, 1717, 1864},	// Akonadi::Monitor::~Monitor
    {98, 454, 1879},	// Akonadi::PartFetcher::PartFetcher##
    {98, 455, 1872},	// Akonadi::PartFetcher::PartFetcher###
    {98, 980, 1874},	// Akonadi::PartFetcher::index
    {98, 1035, 1876},	// Akonadi::PartFetcher::item
    {98, 1097, 1865},	// Akonadi::PartFetcher::metaObject
    {98, 1144, 1875},	// Akonadi::PartFetcher::partName
    {98, 1160, 1871},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1162, 1866},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1538, 1873},	// Akonadi::PartFetcher::start
    {98, 1546, 1880},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1581, 1877},	// Akonadi::PartFetcher::tr$
    {98, 1582, 1867},	// Akonadi::PartFetcher::tr$$
    {98, 1583, 1869},	// Akonadi::PartFetcher::tr$$$
    {98, 1585, 1878},	// Akonadi::PartFetcher::trUtf8$
    {98, 1586, 1868},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1587, 1870},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1720, 1881},	// Akonadi::PartFetcher::~PartFetcher
    {99, 457, 1884},	// Akonadi::PayloadBase::PayloadBase
    {99, 458, 1885},	// Akonadi::PayloadBase::PayloadBase#
    {99, 759, 1882},	// Akonadi::PayloadBase::clone
    {99, 1592, 1883},	// Akonadi::PayloadBase::typeName
    {99, 1721, 1886},	// Akonadi::PayloadBase::~PayloadBase
    {100, 460, -120},	// Akonadi::PayloadException::PayloadException#
    {100, 461, -123},	// Akonadi::PayloadException::PayloadException$
    {100, 1588, 1890},	// Akonadi::PayloadException::type
    {100, 1722, 1892},	// Akonadi::PayloadException::~PayloadException
    {101, 469, 1904},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 471, 1908},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 472, 1909},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 473, 1910},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 474, 1911},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 935, 1903},	// Akonadi::PreprocessorBase::fetchScope
    {101, 940, 1901},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1097, 1893},	// Akonadi::PreprocessorBase::metaObject
    {101, 1155, 1900},	// Akonadi::PreprocessorBase::processItem#
    {101, 1160, 1899},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1162, 1894},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1348, 1902},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1546, 1907},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1581, 1905},	// Akonadi::PreprocessorBase::tr$
    {101, 1582, 1895},	// Akonadi::PreprocessorBase::tr$$
    {101, 1583, 1897},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1585, 1906},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1586, 1896},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1587, 1898},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1723, 1912},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 1966},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 49, 1967},	// Akonadi::ResourceBase::Append
    {102, 467, 1965},	// Akonadi::ResourceBase::Prepend
    {102, 498, 1930},	// Akonadi::ResourceBase::ResourceBase$
    {102, 660, 1929},	// Akonadi::ResourceBase::abortActivity
    {102, 719, 1924},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 734, 1954},	// Akonadi::ResourceBase::cancelTask
    {102, 735, 1955},	// Akonadi::ResourceBase::cancelTask$
    {102, 741, -79},	// Akonadi::ResourceBase::changeCommitted#
    {102, 751, 1946},	// Akonadi::ResourceBase::clearCache
    {102, 766, 1932},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 791, 1938},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 793, 1935},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 795, 1936},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 842, 1947},	// Akonadi::ResourceBase::currentCollection
    {102, 843, 1948},	// Akonadi::ResourceBase::currentItem
    {102, 852, 1956},	// Akonadi::ResourceBase::deferTask
    {102, 873, 1957},	// Akonadi::ResourceBase::doSetOnline$
    {102, 1055, 1931},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1066, 1945},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1068, 1939},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1070, 1944},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1097, 1913},	// Akonadi::ResourceBase::metaObject
    {102, 1122, 1921},	// Akonadi::ResourceBase::name
    {102, 1124, 1922},	// Akonadi::ResourceBase::nameChanged$
    {102, 1160, 1919},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1162, 1914},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1198, 1926},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1199, 1925},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1201, 1928},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1203, 1927},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1221, 1963},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1222, 1959},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1292, 1937},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1366, 1958},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1402, 1941},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1404, 1943},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1406, 1942},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1427, 1920},	// Akonadi::ResourceBase::setName$
    {102, 1501, 1940},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1546, 1964},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1563, 1949},	// Akonadi::ResourceBase::synchronize
    {102, 1567, 1950},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1568, 1951},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1570, 1952},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1571, 1953},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1572, 1923},	// Akonadi::ResourceBase::synchronized
    {102, 1575, 1960},	// Akonadi::ResourceBase::taskDone
    {102, 1581, 1961},	// Akonadi::ResourceBase::tr$
    {102, 1582, 1915},	// Akonadi::ResourceBase::tr$$
    {102, 1583, 1917},	// Akonadi::ResourceBase::tr$$$
    {102, 1585, 1962},	// Akonadi::ResourceBase::trUtf8$
    {102, 1586, 1916},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1587, 1918},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1724, 1968},	// Akonadi::ResourceBase::~ResourceBase
    {103, 501, 1981},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 502, 1976},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 1097, 1969},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1160, 1975},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1162, 1970},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1189, 1977},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1538, 1978},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1546, 1982},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1581, 1979},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1582, 1971},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1583, 1973},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1585, 1980},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1586, 1972},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1587, 1974},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1725, 1983},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 507, 1998},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 508, 1991},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 836, 1993},	// Akonadi::SearchCreateJob::createdCollection
    {104, 868, 1995},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 874, 1994},	// Akonadi::SearchCreateJob::doStart
    {104, 1097, 1984},	// Akonadi::SearchCreateJob::metaObject
    {104, 1160, 1990},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1162, 1985},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1455, 1992},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1546, 1999},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1581, 1996},	// Akonadi::SearchCreateJob::tr$
    {104, 1582, 1986},	// Akonadi::SearchCreateJob::tr$$
    {104, 1583, 1988},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1585, 1997},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1586, 1987},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1587, 1989},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1726, 2000},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 514, 2011},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 515, 2008},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1097, 2001},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1160, 2007},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1162, 2002},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1546, 2012},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1581, 2009},	// Akonadi::SelectionProxyModel::tr$
    {105, 1582, 2003},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1583, 2005},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1585, 2010},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1586, 2004},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1587, 2006},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1727, 2013},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 60, 2037},	// Akonadi::ServerManager::Broken
    {106, 439, 2033},	// Akonadi::ServerManager::NotRunning
    {106, 503, 2035},	// Akonadi::ServerManager::Running
    {106, 533, 2034},	// Akonadi::ServerManager::Starting
    {106, 541, 2036},	// Akonadi::ServerManager::Stopping
    {106, 1023, 2024},	// Akonadi::ServerManager::isRunning
    {106, 1097, 2014},	// Akonadi::ServerManager::metaObject
    {106, 1160, 2020},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1162, 2015},	// Akonadi::ServerManager::qt_metacast$
    {106, 1234, 2026},	// Akonadi::ServerManager::self
    {106, 1522, 2023},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1538, 2021},	// Akonadi::ServerManager::start
    {106, 1542, 2027},	// Akonadi::ServerManager::started
    {106, 1543, 2025},	// Akonadi::ServerManager::state
    {106, 1545, 2029},	// Akonadi::ServerManager::stateChanged$
    {106, 1546, 2032},	// Akonadi::ServerManager::staticMetaObject
    {106, 1552, 2022},	// Akonadi::ServerManager::stop
    {106, 1554, 2028},	// Akonadi::ServerManager::stopped
    {106, 1581, 2030},	// Akonadi::ServerManager::tr$
    {106, 1582, 2016},	// Akonadi::ServerManager::tr$$
    {106, 1583, 2018},	// Akonadi::ServerManager::tr$$$
    {106, 1585, 2031},	// Akonadi::ServerManager::trUtf8$
    {106, 1586, 2017},	// Akonadi::ServerManager::trUtf8$$
    {106, 1587, 2019},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1728, 2038},	// Akonadi::ServerManager::~ServerManager
    {107, 517, 2054},	// Akonadi::Session::Session
    {107, 518, -34},	// Akonadi::Session::Session#
    {107, 519, -37},	// Akonadi::Session::Session##
    {107, 520, 2051},	// Akonadi::Session::Session###
    {107, 748, 2049},	// Akonadi::Session::clear
    {107, 851, 2048},	// Akonadi::Session::defaultSession
    {107, 1097, 2039},	// Akonadi::Session::metaObject
    {107, 1160, 2045},	// Akonadi::Session::qt_metacall$$?
    {107, 1162, 2040},	// Akonadi::Session::qt_metacast$
    {107, 1165, 2050},	// Akonadi::Session::reconnected
    {107, 1245, 2047},	// Akonadi::Session::sessionId
    {107, 1546, 2058},	// Akonadi::Session::staticMetaObject
    {107, 1581, 2052},	// Akonadi::Session::tr$
    {107, 1582, 2041},	// Akonadi::Session::tr$$
    {107, 1583, 2043},	// Akonadi::Session::tr$$$
    {107, 1585, 2053},	// Akonadi::Session::trUtf8$
    {107, 1586, 2042},	// Akonadi::Session::trUtf8$$
    {107, 1587, 2044},	// Akonadi::Session::trUtf8$$$
    {107, 1729, 2059},	// Akonadi::Session::~Session
    {109, 4, 2099},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 123, 2094},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 195, 2113},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 196, 2102},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 197, 2091},	// Akonadi::StandardActionManager::CopyCollections
    {109, 198, 2115},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 199, 2103},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 200, 2095},	// Akonadi::StandardActionManager::CopyItems
    {109, 201, 2090},	// Akonadi::StandardActionManager::CreateCollection
    {109, 203, 2108},	// Akonadi::StandardActionManager::CreateResource
    {109, 205, 2107},	// Akonadi::StandardActionManager::CutCollections
    {109, 206, 2106},	// Akonadi::StandardActionManager::CutItems
    {109, 210, 2092},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 211, 2097},	// Akonadi::StandardActionManager::DeleteItems
    {109, 212, 2109},	// Akonadi::StandardActionManager::DeleteResources
    {109, 215, 2120},	// Akonadi::StandardActionManager::DialogText
    {109, 216, 2119},	// Akonadi::StandardActionManager::DialogTitle
    {109, 256, 2125},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 257, 2124},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 357, 2118},	// Akonadi::StandardActionManager::LastType
    {109, 384, 2098},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 385, 2123},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 386, 2122},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 387, 2121},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 405, 2114},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 406, 2105},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 410, 2116},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 411, 2104},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 456, 2096},	// Akonadi::StandardActionManager::Paste
    {109, 494, 2100},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 495, 2101},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 499, 2110},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 531, 2087},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 532, 2067},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 550, 2093},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 551, 2117},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 552, 2111},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 555, 2112},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 669, 2074},	// Akonadi::StandardActionManager::action$
    {109, 671, 2084},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 827, 2072},	// Akonadi::StandardActionManager::createAction$
    {109, 828, 2073},	// Akonadi::StandardActionManager::createAllActions
    {109, 1013, 2088},	// Akonadi::StandardActionManager::interceptAction$
    {109, 1014, 2076},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1097, 2060},	// Akonadi::StandardActionManager::metaObject
    {109, 1160, 2066},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1162, 2061},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1228, 2077},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1230, 2078},	// Akonadi::StandardActionManager::selectedItems
    {109, 1249, 2075},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1272, 2082},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1288, 2083},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1290, 2068},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1317, 2080},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1318, 2079},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1340, 2070},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1344, 2071},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1400, 2069},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1417, 2081},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1546, 2089},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1581, 2085},	// Akonadi::StandardActionManager::tr$
    {109, 1582, 2062},	// Akonadi::StandardActionManager::tr$$
    {109, 1583, 2064},	// Akonadi::StandardActionManager::tr$$$
    {109, 1585, 2086},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1586, 2063},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1587, 2065},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1730, 2126},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 536, 2149},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 537, 2134},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 796, 2153},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 797, 2143},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 808, 2146},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 848, 2151},	// Akonadi::StatisticsProxyModel::data#
    {110, 849, 2140},	// Akonadi::StatisticsProxyModel::data#$
    {110, 942, 2142},	// Akonadi::StatisticsProxyModel::flags#
    {110, 959, 2152},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 960, 2141},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 981, 2150},	// Akonadi::StatisticsProxyModel::index$$
    {110, 982, 2139},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1019, 2138},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1024, 2136},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1093, 2154},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1094, 2155},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1095, 2144},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1097, 2127},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1160, 2133},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1162, 2128},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1338, 2137},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1487, 2145},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1499, 2135},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1546, 2156},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1581, 2147},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1582, 2129},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1583, 2131},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1585, 2148},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1586, 2130},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1587, 2132},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1731, 2157},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 559, 2165},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 874, 2166},	// Akonadi::TransactionBeginJob::doStart
    {111, 1097, 2158},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1160, 2164},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1162, 2159},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1546, 2169},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1581, 2167},	// Akonadi::TransactionBeginJob::tr$
    {111, 1582, 2160},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1583, 2162},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1585, 2168},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1586, 2161},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1587, 2163},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1732, 2170},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 561, 2178},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 874, 2179},	// Akonadi::TransactionCommitJob::doStart
    {112, 1097, 2171},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1160, 2177},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1162, 2172},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1546, 2182},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1581, 2180},	// Akonadi::TransactionCommitJob::tr$
    {112, 1582, 2173},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1583, 2175},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1585, 2181},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1586, 2174},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1587, 2176},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1733, 2183},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 563, 2191},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 874, 2192},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1097, 2184},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1160, 2190},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1162, 2185},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1546, 2195},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1581, 2193},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1582, 2186},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1583, 2188},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1585, 2194},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1586, 2187},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1587, 2189},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1734, 2196},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 564, 2214},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 565, 2204},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 695, 2209},	// Akonadi::TransactionSequence::addSubjob#
    {114, 798, 2205},	// Akonadi::TransactionSequence::commit
    {114, 874, 2210},	// Akonadi::TransactionSequence::doStart
    {114, 1097, 2197},	// Akonadi::TransactionSequence::metaObject
    {114, 1160, 2203},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1162, 2198},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1207, 2206},	// Akonadi::TransactionSequence::rollback
    {114, 1260, 2208},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1372, 2207},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1533, 2211},	// Akonadi::TransactionSequence::slotResult#
    {114, 1546, 2215},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1581, 2212},	// Akonadi::TransactionSequence::tr$
    {114, 1582, 2199},	// Akonadi::TransactionSequence::tr$$
    {114, 1583, 2201},	// Akonadi::TransactionSequence::tr$$$
    {114, 1585, 2213},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1586, 2200},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1587, 2202},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1735, 2216},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 566, 2223},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 567, 2217},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 568, 2220},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 569, 2222},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1057, 2221},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1058, 2219},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1238, 2218},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1736, 2224},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 575, 2236},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 576, 2232},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 874, 2233},	// Akonadi::UnlinkJob::doStart
    {116, 1097, 2225},	// Akonadi::UnlinkJob::metaObject
    {116, 1160, 2231},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1162, 2226},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1546, 2237},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1581, 2234},	// Akonadi::UnlinkJob::tr$
    {116, 1582, 2227},	// Akonadi::UnlinkJob::tr$$
    {116, 1583, 2229},	// Akonadi::UnlinkJob::tr$$$
    {116, 1585, 2235},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1586, 2228},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1587, 2230},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1737, 2238},	// Akonadi::UnlinkJob::~UnlinkJob
    {173, 360, 2495},	// QGlobalSpace::LicensedActiveQt
    {173, 361, 2490},	// QGlobalSpace::LicensedCore
    {173, 362, 2496},	// QGlobalSpace::LicensedDBus
    {173, 363, 2494},	// QGlobalSpace::LicensedDeclarative
    {173, 364, 2493},	// QGlobalSpace::LicensedGui
    {173, 365, 2506},	// QGlobalSpace::LicensedHelp
    {173, 366, 2505},	// QGlobalSpace::LicensedMultimedia
    {173, 367, 2488},	// QGlobalSpace::LicensedNetwork
    {173, 368, 2485},	// QGlobalSpace::LicensedOpenGL
    {173, 369, 2487},	// QGlobalSpace::LicensedOpenVG
    {173, 370, 2486},	// QGlobalSpace::LicensedQt3Support
    {173, 371, 2499},	// QGlobalSpace::LicensedQt3SupportLight
    {173, 372, 2504},	// QGlobalSpace::LicensedScript
    {173, 373, 2498},	// QGlobalSpace::LicensedScriptTools
    {173, 374, 2489},	// QGlobalSpace::LicensedSql
    {173, 375, 2491},	// QGlobalSpace::LicensedSvg
    {173, 376, 2497},	// QGlobalSpace::LicensedTest
    {173, 377, 2479},	// QGlobalSpace::LicensedXml
    {173, 378, 2492},	// QGlobalSpace::LicensedXmlPatterns
    {173, 477, 2482},	// QGlobalSpace::QtCriticalMsg
    {173, 478, 2480},	// QGlobalSpace::QtDebugMsg
    {173, 479, 2483},	// QGlobalSpace::QtFatalMsg
    {173, 480, 2484},	// QGlobalSpace::QtSystemMsg
    {173, 481, 2481},	// QGlobalSpace::QtWarningMsg
    {173, 592, 2417},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {173, 593, 2418},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {173, 594, 2425},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {173, 595, 2426},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {173, 596, 2427},	// QGlobalSpace::_CS_LFS64_LIBS
    {173, 597, 2428},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {173, 598, 2421},	// QGlobalSpace::_CS_LFS_CFLAGS
    {173, 599, 2422},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {173, 600, 2423},	// QGlobalSpace::_CS_LFS_LIBS
    {173, 601, 2424},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {173, 602, 2415},	// QGlobalSpace::_CS_PATH
    {173, 603, 2445},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {173, 604, 2446},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {173, 605, 2447},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {173, 606, 2448},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {173, 607, 2449},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {173, 608, 2450},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {173, 609, 2451},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {173, 610, 2452},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {173, 611, 2453},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {173, 612, 2454},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {173, 613, 2455},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {173, 614, 2456},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {173, 615, 2457},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {173, 616, 2458},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {173, 617, 2459},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {173, 618, 2460},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {173, 619, 2461},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {173, 620, 2462},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {173, 621, 2463},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {173, 622, 2464},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {173, 623, 2465},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {173, 624, 2466},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {173, 625, 2467},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {173, 626, 2468},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {173, 627, 2469},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {173, 628, 2470},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {173, 629, 2471},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {173, 630, 2472},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {173, 631, 2473},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {173, 632, 2474},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {173, 633, 2475},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {173, 634, 2476},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {173, 635, 2419},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {173, 636, 2477},	// QGlobalSpace::_CS_V6_ENV
    {173, 637, 2416},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {173, 638, 2478},	// QGlobalSpace::_CS_V7_ENV
    {173, 639, 2420},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {173, 640, 2429},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {173, 641, 2430},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {173, 642, 2431},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {173, 643, 2432},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {173, 644, 2433},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {173, 645, 2434},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {173, 646, 2435},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {173, 647, 2436},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {173, 648, 2437},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {173, 649, 2438},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {173, 650, 2439},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {173, 651, 2440},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {173, 652, 2441},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {173, 653, 2442},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {173, 654, 2443},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {173, 655, 2444},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {173, 656, 2502},	// QGlobalSpace::__codecvt_error
    {173, 657, 2503},	// QGlobalSpace::__codecvt_noconv
    {173, 658, 2500},	// QGlobalSpace::__codecvt_ok
    {173, 659, 2501},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 216,
        __smokeakonadi::methods, 2662,
        __smokeakonadi::methodMaps, 2287,
        __smokeakonadi::methodNames, 1737,
        __smokeakonadi::types, 476,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
