#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigBase
      switch(to) {
        case 4: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 48: return (void*)(QIcon*)(KIcon*)xptr;
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KTextEditor::Document
      switch(to) {
        case 8: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 9:   //KTextEditor::Editor
      switch(to) {
        case 9: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 10:   //KTextEditor::View
      switch(to) {
        case 10: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 11:   //KUrl
      switch(to) {
        case 88: return (void*)(QUrl*)(KUrl*)xptr;
        case 11: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 12:   //KXMLGUIClient
      switch(to) {
        case 12: return (void*)(KXMLGUIClient*)xptr;
        case 22: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 13:   //KXMLGUIFactory
      switch(to) {
        case 62: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 13: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 14:   //Kate::Application
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::Application*)xptr;
        case 14: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::DocumentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 15: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::MainWindow
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 16: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::Plugin
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 17: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::PluginConfigPage
      switch(to) {
        case 92: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 62: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 19: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 20:   //Kate::PluginManager
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 20: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 21:   //Kate::PluginView
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 21: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 22:   //Kate::XMLGUIClient
      switch(to) {
        case 12: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 22: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 23:   //QAction
      switch(to) {
        case 23: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 24:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QBool
      switch(to) {
        case 25: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 26:   //QBrush
      switch(to) {
        case 26: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 27:   //QByteArray
      switch(to) {
        case 27: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 28:   //QChar
      switch(to) {
        case 28: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 29:   //QChildEvent
      switch(to) {
        case 29: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QCloseEvent
      switch(to) {
        case 30: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QColor
      switch(to) {
        case 31: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 32:   //QContextMenuEvent
      switch(to) {
        case 32: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QCursor
      switch(to) {
        case 33: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 34:   //QDataStream
      switch(to) {
        case 34: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 35:   //QDomDocument
      switch(to) {
        case 37: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 35: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 36:   //QDomElement
      switch(to) {
        case 37: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 36: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 37:   //QDomNode
      switch(to) {
        case 37: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 38:   //QDragEnterEvent
      switch(to) {
        case 38: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QDragLeaveEvent
      switch(to) {
        case 39: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragMoveEvent
      switch(to) {
        case 40: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDropEvent
      switch(to) {
        case 41: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QEvent
      switch(to) {
        case 42: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QFocusEvent
      switch(to) {
        case 43: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFont
      switch(to) {
        case 44: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 46:   //QHashDummyValue
      switch(to) {
        case 46: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 47:   //QHideEvent
      switch(to) {
        case 47: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QIcon
      switch(to) {
        case 48: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 49:   //QImage
      switch(to) {
        case 49: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 50:   //QIncompatibleFlag
      switch(to) {
        case 50: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 51:   //QInputMethodEvent
      switch(to) {
        case 51: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QKeyEvent
      switch(to) {
        case 52: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeySequence
      switch(to) {
        case 53: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 54:   //QLatin1String
      switch(to) {
        case 54: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 55:   //QLine
      switch(to) {
        case 55: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 56:   //QLineF
      switch(to) {
        case 56: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 57:   //QMargins
      switch(to) {
        case 57: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 58:   //QMatrix
      switch(to) {
        case 58: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 59:   //QMetaObject
      switch(to) {
        case 59: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 20: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 15: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 21: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 16: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 17: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 14: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainterPath
      switch(to) {
        case 65: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 66:   //QPalette
      switch(to) {
        case 66: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QRect
      switch(to) {
        case 72: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 73:   //QRectF
      switch(to) {
        case 73: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 74:   //QRegExp
      switch(to) {
        case 74: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 75:   //QRegion
      switch(to) {
        case 75: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 76:   //QResizeEvent
      switch(to) {
        case 76: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QShowEvent
      switch(to) {
        case 77: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QSize
      switch(to) {
        case 78: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 79:   //QSizeF
      switch(to) {
        case 79: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 80:   //QSizePolicy
      switch(to) {
        case 80: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 81:   //QString::Null
      switch(to) {
        case 81: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 82:   //QStringRef
      switch(to) {
        case 82: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 83:   //QStyle
      switch(to) {
        case 83: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 84:   //QTabletEvent
      switch(to) {
        case 84: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QTextStream
      switch(to) {
        case 85: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 86:   //QTimerEvent
      switch(to) {
        case 86: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 87:   //QTransform
      switch(to) {
        case 87: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 88:   //QUrl
      switch(to) {
        case 88: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 89:   //QVariant
      switch(to) {
        case 89: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 90:   //QVariantComparisonHelper
      switch(to) {
        case 90: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 91:   //QWheelEvent
      switch(to) {
        case 91: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 92:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 92: return (void*)(QWidget*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QObject
    92, 0,	// 3: QWidget
    12, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//8
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//9
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//10
    { "KUrl", true, 0, 0, 0, 0, 0 },	//11
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//12
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//13
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//14
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//15
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//16
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//17
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//18
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//19
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//20
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//21
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//22
    { "QAction", true, 0, 0, 0, 0, 0 },	//23
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QBool", true, 0, 0, 0, 0, 0 },	//25
    { "QBrush", true, 0, 0, 0, 0, 0 },	//26
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//27
    { "QChar", true, 0, 0, 0, 0, 0 },	//28
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QColor", true, 0, 0, 0, 0, 0 },	//31
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QCursor", true, 0, 0, 0, 0, 0 },	//33
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//34
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//35
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//36
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//37
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFont", true, 0, 0, 0, 0, 0 },	//44
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//45
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//46
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QIcon", true, 0, 0, 0, 0, 0 },	//48
    { "QImage", true, 0, 0, 0, 0, 0 },	//49
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//50
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//53
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//54
    { "QLine", true, 0, 0, 0, 0, 0 },	//55
    { "QLineF", true, 0, 0, 0, 0, 0 },	//56
    { "QMargins", true, 0, 0, 0, 0, 0 },	//57
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//58
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//65
    { "QPalette", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QRect", true, 0, 0, 0, 0, 0 },	//72
    { "QRectF", true, 0, 0, 0, 0, 0 },	//73
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//74
    { "QRegion", true, 0, 0, 0, 0, 0 },	//75
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QSize", true, 0, 0, 0, 0, 0 },	//78
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//79
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//80
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//81
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//82
    { "QStyle", true, 0, 0, 0, 0, 0 },	//83
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//85
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//86
    { "QTransform", true, 0, 0, 0, 0, 0 },	//87
    { "QUrl", true, 0, 0, 0, 0, 0 },	//88
    { "QVariant", true, 0, 0, 0, 0, 0 },	//89
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//90
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//91
    { "QWidget", true, 0, 0, 0, 0, 0 },	//92
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigBase::WriteConfigFlag", 4, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//8
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//10
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KTextEditor::Document*", 8, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KTextEditor::Editor*", 9, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KTextEditor::View*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KUrl::CleanPathOption", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KUrl::DirectoryOption", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::EncodedPathAndQueryOption", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KUrl::EqualsOption", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KUrl::QueryItemsOption", 11, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KXMLGUIClient::ReverseStateChange", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KXMLGUIFactory*", 13, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Kate::Application*", 14, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Kate::DocumentManager*", 15, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Kate::MainWindow*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Kate::MainWindow::Position", 16, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Kate::Plugin*", 17, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Kate::PluginConfigPage*", 18, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Kate::PluginConfigPageInterface*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Kate::PluginManager*", 20, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Kate::PluginView*", 21, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Kate::XMLGUIClient*", 22, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QActionEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QBool", 25, Smoke::t_class|Smoke::tf_stack },	//36
    { "QBrush&", 26, Smoke::t_class|Smoke::tf_ref },	//37
    { "QByteArray&", 27, Smoke::t_class|Smoke::tf_ref },	//38
    { "QChar", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QChar&", 28, Smoke::t_class|Smoke::tf_ref },	//40
    { "QChildEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QCloseEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QColor&", 31, Smoke::t_class|Smoke::tf_ref },	//43
    { "QContextMenuEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QCursor&", 33, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDataStream&", 34, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDomDocument", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDragEnterEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDragLeaveEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDragMoveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDropEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFocusEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QFont&", 44, Smoke::t_class|Smoke::tf_ref },	//82
    { "QHideEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QIcon&", 48, Smoke::t_class|Smoke::tf_ref },	//85
    { "QImage&", 49, Smoke::t_class|Smoke::tf_ref },	//86
    { "QIncompatibleFlag", 50, Smoke::t_class|Smoke::tf_stack },	//87
    { "QInputMethodEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QKeyEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QKeySequence&", 53, Smoke::t_class|Smoke::tf_ref },	//90
    { "QLine", 55, Smoke::t_class|Smoke::tf_stack },	//91
    { "QLine&", 55, Smoke::t_class|Smoke::tf_ref },	//92
    { "QLineF", 56, Smoke::t_class|Smoke::tf_stack },	//93
    { "QLineF&", 56, Smoke::t_class|Smoke::tf_ref },	//94
    { "QMatrix&", 58, Smoke::t_class|Smoke::tf_ref },	//95
    { "QMetaObject::Call", 59, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QPainterPath", 65, Smoke::t_class|Smoke::tf_stack },	//103
    { "QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref },	//104
    { "QPalette&", 66, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//107
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//113
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRect&", 72, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRectF&", 73, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegExp&", 74, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegion", 75, Smoke::t_class|Smoke::tf_stack },	//118
    { "QRegion&", 75, Smoke::t_class|Smoke::tf_ref },	//119
    { "QResizeEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QShowEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QSize", 78, Smoke::t_class|Smoke::tf_stack },	//122
    { "QSize&", 78, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizeF&", 79, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizePolicy&", 80, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizePolicy::ControlType", 80, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QString::Null", 81, Smoke::t_class|Smoke::tf_stack },	//129
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//132
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//133
    { "QStyle&", 83, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTabletEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QTextStream&", 85, Smoke::t_class|Smoke::tf_ref },	//136
    { "QTimerEvent*", 86, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QTransform", 87, Smoke::t_class|Smoke::tf_stack },	//138
    { "QTransform&", 87, Smoke::t_class|Smoke::tf_ref },	//139
    { "QUrl&", 88, Smoke::t_class|Smoke::tf_ref },	//140
    { "QUrl::FormattingOption", 88, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant", 89, Smoke::t_class|Smoke::tf_stack },	//142
    { "QVariant&", 89, Smoke::t_class|Smoke::tf_ref },	//143
    { "QVariant::Type&", 89, Smoke::t_enum|Smoke::tf_ref },	//144
    { "QWheelEvent*", 91, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QWidget*", 92, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QWidget::RenderFlag", 92, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtMsgType", 45, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForActiveQtModule", 45, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForCoreModule", 45, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForDBusModule", 45, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForDeclarativeModule", 45, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForGuiModule", 45, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForHelpModule", 45, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForMultimediaModule", 45, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForNetworkModule", 45, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForOpenGLModule", 45, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForOpenVGModule", 45, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForQt3SupportLightModule", 45, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForQt3SupportModule", 45, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForScriptModule", 45, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForScriptToolsModule", 45, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForSqlModule", 45, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForSvgModule", 45, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForTestModule", 45, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForXmlModule", 45, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForXmlPatternsModule", 45, Smoke::t_enum|Smoke::tf_stack },	//238
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//240
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//241
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const KUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const Kate::PluginConfigPageInterface&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const Kate::XMLGUIClient&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QBrush&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QByteArray", 27, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QByteArray&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QChar&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QColor&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QCursor&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocument&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomElement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomNode&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QFont&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QHashDummyValue&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QIcon&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QImage&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QKeySequence&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QLatin1String&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QLine&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QLineF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QMargins&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QMatrix&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QMetaObject&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QMetaObject*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "const QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QPalette&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//273
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRect&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRectF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRegion&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QSize", 78, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//283
    { "const QSize&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QSizeF", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QSizeF&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QSizePolicy&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const QStringRef&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QTransform&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUrl&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant::Type", 89, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QVariantComparisonHelper&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//300
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//301
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//302
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//305
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//306
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    253, 0,	//1  const QDomElement&
    242, 0,	//3  const KComponentData&
    289, 240, 240, 0,	//5  const QString&, bool, bool
    289, 0,	//9  const QString&
    289, 240, 0,	//11  const QString&, bool
    252, 240, 0,	//14  const QDomDocument&, bool
    289, 22, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    301, 304, 0,	//20  int, void*
    298, 0,	//23  const char*
    298, 298, 0,	//25  const char*, const char*
    298, 298, 301, 0,	//28  const char*, const char*, int
    96, 301, 305, 0,	//32  QMetaObject::Call, int, void**
    304, 0,	//36  void*
    243, 0,	//38  const KUrl&
    243, 289, 0,	//40  const KUrl&, const QString&
    14, 0,	//43  KTextEditor::Document*
    16, 0,	//45  KTextEditor::View*
    289, 27, 272, 289, 0,	//47  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    146, 27, 0,	//52  QWidget*, Kate::MainWindow::Position
    146, 0,	//55  QWidget*
    30, 303, 0,	//57  Kate::PluginConfigPageInterface*, unsigned int
    24, 298, 0,	//60  Kate::Application*, const char*
    26, 0,	//63  Kate::MainWindow*
    5, 289, 0,	//65  KConfigBase*, const QString&
    24, 0,	//68  Kate::Application*
    146, 298, 0,	//70  QWidget*, const char*
    303, 146, 298, 0,	//73  unsigned int, QWidget*, const char*
    303, 0,	//77  unsigned int
    244, 0,	//79  const Kate::PluginConfigPageInterface&
    303, 146, 0,	//81  unsigned int, QWidget*
    245, 0,	//84  const Kate::XMLGUIClient&
    18, 56, 0,	//86  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    46, 95, 0,	//89  QDataStream&, QMatrix&
    46, 40, 0,	//92  QDataStream&, QChar&
    298, 260, 0,	//95  const char*, const QLatin1String&
    218, 301, 0,	//98  Qt::WindowType, int
    286, 300, 0,	//101  const QSizeF&, double
    46, 115, 0,	//104  QDataStream&, QRect&
    248, 298, 0,	//107  const QByteArray&, const char*
    298, 289, 0,	//110  const char*, const QString&
    276, 266, 0,	//113  const QPointF&, const QMatrix&
    183, 183, 0,	//116  Qt::ItemFlag, Qt::ItemFlag
    295, 297, 0,	//119  const QVariant&, const QVariantComparisonHelper&
    293, 300, 0,	//122  const QTransform&, double
    284, 284, 0,	//125  const QSize&, const QSize&
    39, 289, 0,	//128  QChar, const QString&
    260, 260, 0,	//131  const QLatin1String&, const QLatin1String&
    292, 292, 0,	//134  const QStringRef&, const QStringRef&
    276, 276, 0,	//137  const QPointF&, const QPointF&
    289, 292, 0,	//140  const QString&, const QStringRef&
    289, 39, 0,	//143  const QString&, QChar
    6, 6, 0,	//146  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    260, 292, 0,	//149  const QLatin1String&, const QStringRef&
    270, 293, 0,	//152  const QPainterPath&, const QTransform&
    208, 208, 0,	//155  Qt::ToolBarArea, Qt::ToolBarArea
    280, 280, 0,	//158  const QRectF&, const QRectF&
    46, 106, 0,	//161  QDataStream&, QPixmap&
    292, 260, 0,	//164  const QStringRef&, const QLatin1String&
    46, 259, 0,	//167  QDataStream&, const QKeySequence&
    147, 301, 0,	//170  QWidget::RenderFlag, int
    205, 301, 0,	//173  Qt::TextInteractionFlag, int
    39, 39, 0,	//176  QChar, QChar
    147, 64, 0,	//179  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    46, 293, 0,	//182  QDataStream&, const QTransform&
    21, 59, 0,	//185  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    46, 105, 0,	//188  QDataStream&, QPalette&
    278, 293, 0,	//191  const QPolygonF&, const QTransform&
    46, 140, 0,	//194  QDataStream&, QUrl&
    46, 296, 0,	//197  QDataStream&, const QVariant::Type
    46, 295, 0,	//200  QDataStream&, const QVariant&
    20, 58, 0,	//203  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    205, 76, 0,	//206  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    183, 71, 0,	//209  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    180, 70, 0,	//212  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    46, 266, 0,	//215  QDataStream&, const QMatrix&
    46, 286, 0,	//218  QDataStream&, const QSizeF&
    129, 129, 0,	//221  QString::Null, QString::Null
    298, 248, 0,	//224  const char*, const QByteArray&
    46, 85, 0,	//227  QDataStream&, QIcon&
    46, 112, 0,	//230  QDataStream&, QPolygon&
    4, 301, 0,	//233  KConfig::OpenFlag, int
    261, 293, 0,	//236  const QLine&, const QTransform&
    274, 274, 0,	//239  const QPoint&, const QPoint&
    186, 72, 0,	//242  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    46, 278, 0,	//245  QDataStream&, const QPolygonF&
    276, 300, 0,	//248  const QPointF&, double
    277, 266, 0,	//251  const QPolygon&, const QMatrix&
    256, 256, 0,	//254  const QHashDummyValue&, const QHashDummyValue&
    17, 301, 0,	//257  KUrl::CleanPathOption, int
    126, 301, 0,	//260  QSizePolicy::ControlType, int
    279, 279, 0,	//263  const QRect&, const QRect&
    248, 248, 0,	//266  const QByteArray&, const QByteArray&
    46, 289, 0,	//269  QDataStream&, const QString&
    169, 301, 0,	//272  Qt::DropAction, int
    46, 139, 0,	//275  QDataStream&, QTransform&
    189, 301, 0,	//278  Qt::MatchFlag, int
    46, 274, 0,	//281  QDataStream&, const QPoint&
    205, 205, 0,	//284  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    130, 62, 0,	//287  QString::SectionFlag, QFlags<QString::SectionFlag>
    191, 191, 0,	//290  Qt::MouseButton, Qt::MouseButton
    169, 169, 0,	//293  Qt::DropAction, Qt::DropAction
    277, 293, 0,	//296  const QPolygon&, const QTransform&
    289, 129, 0,	//299  const QString&, QString::Null
    174, 68, 0,	//302  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    261, 266, 0,	//305  const QLine&, const QMatrix&
    10, 0,	//308  KIconLoader::Group&
    84, 84, 0,	//310  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    46, 94, 0,	//313  QDataStream&, QLineF&
    286, 286, 0,	//316  const QSizeF&, const QSizeF&
    46, 262, 0,	//319  QDataStream&, const QLineF&
    300, 284, 0,	//322  double, const QSize&
    167, 66, 0,	//325  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    189, 73, 0,	//328  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    276, 0,	//331  const QPointF&
    148, 301, 0,	//333  Qt::AlignmentFlag, int
    178, 301, 0,	//336  Qt::ImageConversionFlag, int
    19, 57, 0,	//339  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    46, 246, 0,	//342  QDataStream&, const QBrush&
    262, 293, 0,	//345  const QLineF&, const QTransform&
    278, 266, 0,	//348  const QPolygonF&, const QMatrix&
    274, 0,	//351  const QPoint&
    46, 250, 0,	//353  QDataStream&, const QColor&
    46, 37, 0,	//356  QDataStream&, QBrush&
    46, 276, 0,	//359  QDataStream&, const QPointF&
    18, 301, 0,	//362  KUrl::DirectoryOption, int
    36, 36, 0,	//365  QBool, QBool
    289, 241, 0,	//368  const QString&, char
    298, 292, 0,	//371  const char*, const QStringRef&
    6, 54, 0,	//374  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    274, 266, 0,	//377  const QPoint&, const QMatrix&
    276, 293, 0,	//380  const QPointF&, const QTransform&
    129, 289, 0,	//383  QString::Null, const QString&
    270, 266, 0,	//386  const QPainterPath&, const QMatrix&
    20, 301, 0,	//389  KUrl::EqualsOption, int
    46, 257, 0,	//392  QDataStream&, const QIcon&
    19, 301, 0,	//395  KUrl::EncodedPathAndQueryOption, int
    174, 174, 0,	//398  Qt::GestureFlag, Qt::GestureFlag
    46, 116, 0,	//401  QDataStream&, QRectF&
    46, 249, 0,	//404  QDataStream&, const QChar&
    284, 300, 0,	//407  const QSize&, double
    46, 110, 0,	//410  QDataStream&, QPointF&
    148, 148, 0,	//413  Qt::AlignmentFlag, Qt::AlignmentFlag
    274, 293, 0,	//416  const QPoint&, const QTransform&
    46, 92, 0,	//419  QDataStream&, QLine&
    46, 90, 0,	//422  QDataStream&, QKeySequence&
    46, 255, 0,	//425  QDataStream&, const QFont&
    274, 300, 0,	//428  const QPoint&, double
    46, 248, 0,	//431  QDataStream&, const QByteArray&
    46, 270, 0,	//434  QDataStream&, const QPainterPath&
    46, 277, 0,	//437  QDataStream&, const QPolygon&
    178, 178, 0,	//440  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    217, 301, 0,	//443  Qt::WindowState, int
    46, 128, 0,	//446  QDataStream&, QString&
    46, 280, 0,	//449  QDataStream&, const QRectF&
    46, 123, 0,	//452  QDataStream&, QSize&
    186, 186, 0,	//455  Qt::KeyboardModifier, Qt::KeyboardModifier
    240, 36, 0,	//458  bool, QBool
    46, 282, 0,	//461  QDataStream&, const QRegion&
    292, 289, 0,	//464  const QStringRef&, const QString&
    186, 301, 0,	//467  Qt::KeyboardModifier, int
    46, 258, 0,	//470  QDataStream&, const QImage&
    265, 265, 0,	//473  const QMargins&, const QMargins&
    248, 289, 0,	//476  const QByteArray&, const QString&
    141, 141, 0,	//479  QUrl::FormattingOption, QUrl::FormattingOption
    167, 301, 0,	//482  Qt::DockWidgetArea, int
    218, 218, 0,	//485  Qt::WindowType, Qt::WindowType
    46, 119, 0,	//488  QDataStream&, QRegion&
    218, 80, 0,	//491  Qt::WindowType, QFlags<Qt::WindowType>
    217, 217, 0,	//494  Qt::WindowState, Qt::WindowState
    46, 132, 0,	//497  QDataStream&, QStringList&
    300, 276, 0,	//500  double, const QPointF&
    46, 294, 0,	//503  QDataStream&, const QUrl&
    19, 19, 0,	//506  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    46, 108, 0,	//509  QDataStream&, QPoint&
    18, 18, 0,	//512  KUrl::DirectoryOption, KUrl::DirectoryOption
    46, 117, 0,	//515  QDataStream&, QRegExp&
    180, 301, 0,	//518  Qt::InputMethodHint, int
    136, 254, 0,	//521  QTextStream&, const QDomNode&
    289, 248, 0,	//524  const QString&, const QByteArray&
    141, 63, 0,	//527  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    248, 241, 0,	//530  const QByteArray&, char
    148, 65, 0,	//533  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    20, 20, 0,	//536  KUrl::EqualsOption, KUrl::EqualsOption
    46, 43, 0,	//539  QDataStream&, QColor&
    21, 21, 0,	//542  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    84, 60, 0,	//545  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    46, 261, 0,	//548  QDataStream&, const QLine&
    174, 301, 0,	//551  Qt::GestureFlag, int
    6, 301, 0,	//554  KConfigBase::WriteConfigFlag, int
    241, 248, 0,	//557  char, const QByteArray&
    289, 298, 0,	//560  const QString&, const char*
    193, 193, 0,	//563  Qt::Orientation, Qt::Orientation
    289, 289, 0,	//566  const QString&, const QString&
    36, 240, 0,	//569  QBool, bool
    46, 290, 0,	//572  QDataStream&, const QStringList&
    147, 147, 0,	//575  QWidget::RenderFlag, QWidget::RenderFlag
    282, 266, 0,	//578  const QRegion&, const QMatrix&
    46, 281, 0,	//581  QDataStream&, const QRegExp&
    292, 298, 0,	//584  const QStringRef&, const char*
    282, 293, 0,	//587  const QRegion&, const QTransform&
    208, 77, 0,	//590  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    126, 126, 0,	//593  QSizePolicy::ControlType, QSizePolicy::ControlType
    46, 143, 0,	//596  QDataStream&, QVariant&
    211, 78, 0,	//599  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    300, 274, 0,	//602  double, const QPoint&
    46, 82, 0,	//605  QDataStream&, QFont&
    46, 251, 0,	//608  QDataStream&, const QCursor&
    21, 301, 0,	//611  KUrl::QueryItemsOption, int
    46, 45, 0,	//614  QDataStream&, QCursor&
    46, 272, 0,	//617  QDataStream&, const QPixmap&
    46, 104, 0,	//620  QDataStream&, QPainterPath&
    4, 53, 0,	//623  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    211, 301, 0,	//626  Qt::TouchPointState, int
    262, 266, 0,	//629  const QLineF&, const QMatrix&
    191, 74, 0,	//632  Qt::MouseButton, QFlags<Qt::MouseButton>
    169, 67, 0,	//635  Qt::DropAction, QFlags<Qt::DropAction>
    193, 301, 0,	//638  Qt::Orientation, int
    208, 301, 0,	//641  Qt::ToolBarArea, int
    46, 38, 0,	//644  QDataStream&, QByteArray&
    46, 144, 0,	//647  QDataStream&, QVariant::Type&
    46, 279, 0,	//650  QDataStream&, const QRect&
    46, 114, 0,	//653  QDataStream&, QPolygonF&
    17, 55, 0,	//656  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    46, 125, 0,	//659  QDataStream&, QSizePolicy&
    211, 211, 0,	//662  Qt::TouchPointState, Qt::TouchPointState
    178, 69, 0,	//665  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    46, 86, 0,	//668  QDataStream&, QImage&
    217, 79, 0,	//671  Qt::WindowState, QFlags<Qt::WindowState>
    167, 167, 0,	//674  Qt::DockWidgetArea, Qt::DockWidgetArea
    300, 286, 0,	//677  double, const QSizeF&
    141, 301, 0,	//680  QUrl::FormattingOption, int
    189, 189, 0,	//683  Qt::MatchFlag, Qt::MatchFlag
    180, 180, 0,	//686  Qt::InputMethodHint, Qt::InputMethodHint
    193, 75, 0,	//689  Qt::Orientation, QFlags<Qt::Orientation>
    183, 301, 0,	//692  Qt::ItemFlag, int
    191, 301, 0,	//695  Qt::MouseButton, int
    46, 271, 0,	//698  QDataStream&, const QPalette&
    10, 301, 0,	//701  KIconLoader::Group&, int
    126, 61, 0,	//704  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    46, 124, 0,	//707  QDataStream&, QSizeF&
    17, 17, 0,	//710  KUrl::CleanPathOption, KUrl::CleanPathOption
    130, 301, 0,	//713  QString::SectionFlag, int
    84, 301, 0,	//716  QIODevice::OpenModeFlag, int
    4, 4, 0,	//719  KConfig::OpenFlag, KConfig::OpenFlag
    241, 289, 0,	//722  char, const QString&
    46, 284, 0,	//725  QDataStream&, const QSize&
    46, 287, 0,	//728  QDataStream&, const QSizePolicy&
    130, 130, 0,	//731  QString::SectionFlag, QString::SectionFlag
    52, 0,	//734  QEvent*
    99, 52, 0,	//736  QObject*, QEvent*
    137, 0,	//739  QTimerEvent*
    41, 0,	//741  QChildEvent*
    240, 0,	//743  bool
    301, 0,	//745  int
    97, 0,	//747  QMouseEvent*
    145, 0,	//749  QWheelEvent*
    89, 0,	//751  QKeyEvent*
    81, 0,	//753  QFocusEvent*
    102, 0,	//755  QPaintEvent*
    98, 0,	//757  QMoveEvent*
    120, 0,	//759  QResizeEvent*
    42, 0,	//761  QCloseEvent*
    44, 0,	//763  QContextMenuEvent*
    135, 0,	//765  QTabletEvent*
    35, 0,	//767  QActionEvent*
    48, 0,	//769  QDragEnterEvent*
    50, 0,	//771  QDragMoveEvent*
    49, 0,	//773  QDragLeaveEvent*
    51, 0,	//775  QDropEvent*
    121, 0,	//777  QShowEvent*
    83, 0,	//779  QHideEvent*
    239, 0,	//781  _XEvent*
    100, 0,	//783  QPaintDevice::PaintDeviceMetric
    88, 0,	//785  QInputMethodEvent*
    181, 0,	//787  Qt::InputMethodQuery
    134, 0,	//789  QStyle&
    271, 0,	//791  const QPalette&
    255, 0,	//793  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MainWindow",	//29
    "MainWindow$",	//30
    "Plugin",	//31
    "Plugin#",	//32
    "Plugin#$",	//33
    "PluginConfigPage",	//34
    "PluginConfigPage#",	//35
    "PluginConfigPage#$",	//36
    "PluginConfigPageInterface",	//37
    "PluginConfigPageInterface#",	//38
    "PluginManager",	//39
    "PluginManager$",	//40
    "PluginView",	//41
    "PluginView#",	//42
    "Q_COMPLEX_TYPE",	//43
    "Q_DUMMY_TYPE",	//44
    "Q_MOVABLE_TYPE",	//45
    "Q_PRIMITIVE_TYPE",	//46
    "Q_STATIC_TYPE",	//47
    "QtCriticalMsg",	//48
    "QtDebugMsg",	//49
    "QtFatalMsg",	//50
    "QtSystemMsg",	//51
    "QtWarningMsg",	//52
    "Right",	//53
    "StateNoReverse",	//54
    "StateReverse",	//55
    "Top",	//56
    "XMLGUIClient",	//57
    "XMLGUIClient#",	//58
    "action",	//59
    "actionCollection",	//60
    "actionEvent",	//61
    "activateView",	//62
    "activateView#",	//63
    "activeMainWindow",	//64
    "activeView",	//65
    "application",	//66
    "apply",	//67
    "centralWidget",	//68
    "changeEvent",	//69
    "changed",	//70
    "childEvent",	//71
    "closeDocument",	//72
    "closeDocument#",	//73
    "closeEvent",	//74
    "componentData",	//75
    "configPage",	//76
    "configPage$",	//77
    "configPage$#",	//78
    "configPage$#$",	//79
    "configPageFullName",	//80
    "configPageFullName$",	//81
    "configPageIcon",	//82
    "configPageIcon$",	//83
    "configPageName",	//84
    "configPageName$",	//85
    "configPages",	//86
    "connectNotify",	//87
    "contextMenuEvent",	//88
    "createToolView",	//89
    "createToolView$$#$",	//90
    "createView",	//91
    "createView#",	//92
    "customEvent",	//93
    "defaults",	//94
    "devType",	//95
    "disconnectNotify",	//96
    "documentCreated",	//97
    "documentCreated#",	//98
    "documentDeleted",	//99
    "documentDeleted#",	//100
    "documentManager",	//101
    "documentWillBeDeleted",	//102
    "documentWillBeDeleted#",	//103
    "documents",	//104
    "domDocument",	//105
    "dragEnterEvent",	//106
    "dragLeaveEvent",	//107
    "dragMoveEvent",	//108
    "dropEvent",	//109
    "editor",	//110
    "enabledChange",	//111
    "enterEvent",	//112
    "event",	//113
    "eventFilter",	//114
    "findUrl",	//115
    "findUrl#",	//116
    "focusInEvent",	//117
    "focusNextPrevChild",	//118
    "focusOutEvent",	//119
    "fontChange",	//120
    "guiFactory",	//121
    "heightForWidth",	//122
    "hideEvent",	//123
    "hideToolView",	//124
    "hideToolView#",	//125
    "inputMethodEvent",	//126
    "inputMethodQuery",	//127
    "keyPressEvent",	//128
    "keyReleaseEvent",	//129
    "languageChange",	//130
    "leaveEvent",	//131
    "loadPlugin",	//132
    "loadPlugin$",	//133
    "loadPlugin$$",	//134
    "localXMLFile",	//135
    "mainWindow",	//136
    "mainWindows",	//137
    "metaObject",	//138
    "metric",	//139
    "minimumSizeHint",	//140
    "mouseDoubleClickEvent",	//141
    "mouseMoveEvent",	//142
    "mousePressEvent",	//143
    "mouseReleaseEvent",	//144
    "moveEvent",	//145
    "moveToolView",	//146
    "moveToolView#$",	//147
    "openUrl",	//148
    "openUrl#",	//149
    "openUrl#$",	//150
    "operator!=",	//151
    "operator!=##",	//152
    "operator!=#$",	//153
    "operator!=$#",	//154
    "operator!=$$",	//155
    "operator*",	//156
    "operator*##",	//157
    "operator*#$",	//158
    "operator*$#",	//159
    "operator+",	//160
    "operator+##",	//161
    "operator+#$",	//162
    "operator+$#",	//163
    "operator+$$",	//164
    "operator++",	//165
    "operator++$",	//166
    "operator++$$",	//167
    "operator-",	//168
    "operator-#",	//169
    "operator-##",	//170
    "operator-#$",	//171
    "operator/",	//172
    "operator/#$",	//173
    "operator<",	//174
    "operator<##",	//175
    "operator<#$",	//176
    "operator<$#",	//177
    "operator<$$",	//178
    "operator<<",	//179
    "operator<<##",	//180
    "operator<<#$",	//181
    "operator<<#?",	//182
    "operator<=",	//183
    "operator<=##",	//184
    "operator<=#$",	//185
    "operator<=$#",	//186
    "operator<=$$",	//187
    "operator==",	//188
    "operator==##",	//189
    "operator==#$",	//190
    "operator==$#",	//191
    "operator==$$",	//192
    "operator>",	//193
    "operator>##",	//194
    "operator>#$",	//195
    "operator>$#",	//196
    "operator>$$",	//197
    "operator>=",	//198
    "operator>=##",	//199
    "operator>=#$",	//200
    "operator>=$#",	//201
    "operator>=$$",	//202
    "operator>>",	//203
    "operator>>##",	//204
    "operator>>#$",	//205
    "operator>>#?",	//206
    "operator|",	//207
    "operator|$$",	//208
    "paintEngine",	//209
    "paintEvent",	//210
    "paletteChange",	//211
    "plugin",	//212
    "plugin$",	//213
    "pluginAvailable",	//214
    "pluginAvailable$",	//215
    "pluginConfigPageInterfaceNumber",	//216
    "pluginManager",	//217
    "qt_metacall",	//218
    "qt_metacall$$?",	//219
    "qt_metacast",	//220
    "qt_metacast$",	//221
    "readSessionConfig",	//222
    "readSessionConfig#$",	//223
    "reset",	//224
    "resizeEvent",	//225
    "setComponentData",	//226
    "setDOMDocument",	//227
    "setLocalXMLFile",	//228
    "setVisible",	//229
    "setXML",	//230
    "setXMLFile",	//231
    "showEvent",	//232
    "showPluginConfigPage",	//233
    "showPluginConfigPage#$",	//234
    "showToolView",	//235
    "showToolView#",	//236
    "sizeHint",	//237
    "stateChanged",	//238
    "staticMetaObject",	//239
    "styleChange",	//240
    "tabletEvent",	//241
    "timerEvent",	//242
    "tr",	//243
    "tr$",	//244
    "tr$$",	//245
    "tr$$$",	//246
    "trUtf8",	//247
    "trUtf8$",	//248
    "trUtf8$$",	//249
    "trUtf8$$$",	//250
    "unloadPlugin",	//251
    "unloadPlugin$",	//252
    "unloadPlugin$$",	//253
    "viewChanged",	//254
    "viewCreated",	//255
    "viewCreated#",	//256
    "virtual_hook",	//257
    "wheelEvent",	//258
    "window",	//259
    "windowActivationChange",	//260
    "writeSessionConfig",	//261
    "writeSessionConfig#$",	//262
    "x11Event",	//263
    "xmlFile",	//264
    "~Application",	//265
    "~DocumentManager",	//266
    "~MainWindow",	//267
    "~Plugin",	//268
    "~PluginConfigPage",	//269
    "~PluginConfigPageInterface",	//270
    "~PluginManager",	//271
    "~PluginView",	//272
    "~XMLGUIClient",	//273
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {12, 59, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 34, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {12, 60, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {12, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {12, 105, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 47, 0},	//4 KXMLGUIClient::domDocument() const
    {12, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//5 KXMLGUIClient::xmlFile() const
    {12, 135, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//6 KXMLGUIClient::localXMLFile() const
    {12, 226, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {12, 231, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {12, 228, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {12, 230, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {12, 227, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {12, 238, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {12, 257, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {12, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {12, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {14, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//16 Kate::Application::metaObject() const
    {14, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//17 Kate::Application::qt_metacast(const char*)
    {14, 243, 25, 2, Smoke::mf_static, 127, 3},	//18 Kate::Application::tr(const char*, const char*)
    {14, 247, 25, 2, Smoke::mf_static, 127, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {14, 243, 28, 3, Smoke::mf_static, 127, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {14, 247, 28, 3, Smoke::mf_static, 127, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {14, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1, 36, 1, Smoke::mf_ctor, 24, 8},	//23 Kate::Application::Application(void*)
    {14, 101, 0, 0, 0, 25, 9},	//24 Kate::Application::documentManager()
    {14, 217, 0, 0, 0, 31, 10},	//25 Kate::Application::pluginManager()
    {14, 110, 0, 0, 0, 15, 11},	//26 Kate::Application::editor()
    {14, 64, 0, 0, 0, 26, 12},	//27 Kate::Application::activeMainWindow()
    {14, 137, 0, 0, Smoke::mf_const, 264, 13},	//28 Kate::Application::mainWindows() const
    {14, 243, 23, 1, Smoke::mf_static, 127, 14},	//29 Kate::Application::tr(const char*)
    {14, 247, 23, 1, Smoke::mf_static, 127, 15},	//30 Kate::Application::trUtf8(const char*)
    {14, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 16},	//31 Kate::Application::staticMetaObject() const
    {14, 265, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {15, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//33 Kate::DocumentManager::metaObject() const
    {15, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {15, 243, 25, 2, Smoke::mf_static, 127, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {15, 247, 25, 2, Smoke::mf_static, 127, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {15, 243, 28, 3, Smoke::mf_static, 127, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {15, 247, 28, 3, Smoke::mf_static, 127, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {15, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {15, 4, 36, 1, Smoke::mf_ctor, 25, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {15, 104, 0, 0, Smoke::mf_const, 263, 9},	//41 Kate::DocumentManager::documents() const
    {15, 115, 38, 1, Smoke::mf_const, 14, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {15, 148, 40, 2, 0, 14, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {15, 72, 43, 1, 0, 240, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {15, 97, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//45 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {15, 102, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {15, 99, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {15, 243, 23, 1, Smoke::mf_static, 127, 16},	//48 Kate::DocumentManager::tr(const char*)
    {15, 247, 23, 1, Smoke::mf_static, 127, 17},	//49 Kate::DocumentManager::trUtf8(const char*)
    {15, 148, 38, 1, 0, 14, 18},	//50 Kate::DocumentManager::openUrl(const KUrl&)
    {15, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 19},	//51 Kate::DocumentManager::staticMetaObject() const
    {15, 266, 0, 0, Smoke::mf_dtor, 0, 20 },	//52 Kate::DocumentManager::~DocumentManager()
    {16, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//53 Kate::MainWindow::metaObject() const
    {16, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//54 Kate::MainWindow::qt_metacast(const char*)
    {16, 243, 25, 2, Smoke::mf_static, 127, 3},	//55 Kate::MainWindow::tr(const char*, const char*)
    {16, 247, 25, 2, Smoke::mf_static, 127, 4},	//56 Kate::MainWindow::trUtf8(const char*, const char*)
    {16, 243, 28, 3, Smoke::mf_static, 127, 5},	//57 Kate::MainWindow::tr(const char*, const char*, int)
    {16, 247, 28, 3, Smoke::mf_static, 127, 6},	//58 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {16, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//59 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {16, 29, 36, 1, Smoke::mf_ctor, 26, 8},	//60 Kate::MainWindow::MainWindow(void*)
    {16, 121, 0, 0, Smoke::mf_const, 23, 9},	//61 Kate::MainWindow::guiFactory() const
    {16, 259, 0, 0, Smoke::mf_const, 146, 10},	//62 Kate::MainWindow::window() const
    {16, 68, 0, 0, Smoke::mf_const, 146, 11},	//63 Kate::MainWindow::centralWidget() const
    {16, 65, 0, 0, 0, 16, 12},	//64 Kate::MainWindow::activeView()
    {16, 62, 43, 1, 0, 16, 13},	//65 Kate::MainWindow::activateView(KTextEditor::Document*)
    {16, 148, 40, 2, 0, 16, 14},	//66 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {16, 254, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//67 Kate::MainWindow::viewChanged()
    {16, 255, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//68 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {16, 89, 47, 4, 0, 146, 17},	//69 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {16, 146, 52, 2, 0, 240, 18},	//70 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {16, 235, 55, 1, 0, 240, 19},	//71 Kate::MainWindow::showToolView(QWidget*)
    {16, 124, 55, 1, 0, 240, 20},	//72 Kate::MainWindow::hideToolView(QWidget*)
    {16, 233, 57, 2, 0, 0, 21},	//73 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {16, 243, 23, 1, Smoke::mf_static, 127, 22},	//74 Kate::MainWindow::tr(const char*)
    {16, 247, 23, 1, Smoke::mf_static, 127, 23},	//75 Kate::MainWindow::trUtf8(const char*)
    {16, 148, 38, 1, 0, 16, 24},	//76 Kate::MainWindow::openUrl(const KUrl&)
    {16, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 25},	//77 Kate::MainWindow::staticMetaObject() const
    {16, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 26},	//78 Kate::MainWindow::Left (enum)
    {16, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 27},	//79 Kate::MainWindow::Right (enum)
    {16, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 28},	//80 Kate::MainWindow::Top (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 29},	//81 Kate::MainWindow::Bottom (enum)
    {16, 267, 0, 0, Smoke::mf_dtor, 0, 30 },	//82 Kate::MainWindow::~MainWindow()
    {17, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//83 Kate::Plugin::metaObject() const
    {17, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//84 Kate::Plugin::qt_metacast(const char*)
    {17, 243, 25, 2, Smoke::mf_static, 127, 3},	//85 Kate::Plugin::tr(const char*, const char*)
    {17, 247, 25, 2, Smoke::mf_static, 127, 4},	//86 Kate::Plugin::trUtf8(const char*, const char*)
    {17, 243, 28, 3, Smoke::mf_static, 127, 5},	//87 Kate::Plugin::tr(const char*, const char*, int)
    {17, 247, 28, 3, Smoke::mf_static, 127, 6},	//88 Kate::Plugin::trUtf8(const char*, const char*, int)
    {17, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//89 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {17, 31, 60, 2, Smoke::mf_ctor, 28, 8},	//90 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {17, 66, 0, 0, Smoke::mf_const, 24, 9},	//91 Kate::Plugin::application() const
    {17, 91, 63, 1, Smoke::mf_virtual, 32, 10},	//92 Kate::Plugin::createView(Kate::MainWindow*)
    {17, 222, 65, 2, Smoke::mf_virtual, 0, 11},	//93 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {17, 261, 65, 2, Smoke::mf_virtual, 0, 12},	//94 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {17, 243, 23, 1, Smoke::mf_static, 127, 13},	//95 Kate::Plugin::tr(const char*)
    {17, 247, 23, 1, Smoke::mf_static, 127, 14},	//96 Kate::Plugin::trUtf8(const char*)
    {17, 31, 0, 0, Smoke::mf_ctor, 28, 15},	//97 Kate::Plugin::Plugin()
    {17, 31, 68, 1, Smoke::mf_ctor, 28, 16},	//98 Kate::Plugin::Plugin(Kate::Application*)
    {17, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 17},	//99 Kate::Plugin::staticMetaObject() const
    {17, 268, 0, 0, Smoke::mf_dtor, 0, 18 },	//100 Kate::Plugin::~Plugin()
    {18, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//101 Kate::PluginConfigPage::metaObject() const
    {18, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//102 Kate::PluginConfigPage::qt_metacast(const char*)
    {18, 243, 25, 2, Smoke::mf_static, 127, 3},	//103 Kate::PluginConfigPage::tr(const char*, const char*)
    {18, 247, 25, 2, Smoke::mf_static, 127, 4},	//104 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {18, 243, 28, 3, Smoke::mf_static, 127, 5},	//105 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {18, 247, 28, 3, Smoke::mf_static, 127, 6},	//106 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {18, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//107 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {18, 34, 70, 2, Smoke::mf_ctor, 29, 8},	//108 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {18, 67, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//109 Kate::PluginConfigPage::apply() [pure virtual]
    {18, 224, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//110 Kate::PluginConfigPage::reset() [pure virtual]
    {18, 94, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//111 Kate::PluginConfigPage::defaults() [pure virtual]
    {18, 70, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//112 Kate::PluginConfigPage::changed()
    {18, 243, 23, 1, Smoke::mf_static, 127, 13},	//113 Kate::PluginConfigPage::tr(const char*)
    {18, 247, 23, 1, Smoke::mf_static, 127, 14},	//114 Kate::PluginConfigPage::trUtf8(const char*)
    {18, 34, 0, 0, Smoke::mf_ctor, 29, 15},	//115 Kate::PluginConfigPage::PluginConfigPage()
    {18, 34, 55, 1, Smoke::mf_ctor, 29, 16},	//116 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {18, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 17},	//117 Kate::PluginConfigPage::staticMetaObject() const
    {18, 269, 0, 0, Smoke::mf_dtor, 0, 18 },	//118 Kate::PluginConfigPage::~PluginConfigPage()
    {19, 37, 0, 0, Smoke::mf_ctor, 30, 1},	//119 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {19, 216, 0, 0, Smoke::mf_const, 303, 2},	//120 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {19, 86, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 303, 3},	//121 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {19, 76, 73, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 4},	//122 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {19, 84, 77, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 5},	//123 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {19, 80, 77, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 127, 6},	//124 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {19, 82, 77, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 8, 7},	//125 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {19, 37, 79, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 8},	//126 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {19, 76, 0, 0, 0, 29, 9},	//127 Kate::PluginConfigPageInterface::configPage()
    {19, 76, 77, 1, 0, 29, 10},	//128 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {19, 76, 81, 2, 0, 29, 11},	//129 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {19, 84, 0, 0, Smoke::mf_const, 127, 12},	//130 Kate::PluginConfigPageInterface::configPageName() const
    {19, 80, 0, 0, Smoke::mf_const, 127, 13},	//131 Kate::PluginConfigPageInterface::configPageFullName() const
    {19, 82, 0, 0, Smoke::mf_const, 8, 14},	//132 Kate::PluginConfigPageInterface::configPageIcon() const
    {19, 270, 0, 0, Smoke::mf_dtor, 0, 15 },	//133 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {20, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//134 Kate::PluginManager::metaObject() const
    {20, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//135 Kate::PluginManager::qt_metacast(const char*)
    {20, 243, 25, 2, Smoke::mf_static, 127, 3},	//136 Kate::PluginManager::tr(const char*, const char*)
    {20, 247, 25, 2, Smoke::mf_static, 127, 4},	//137 Kate::PluginManager::trUtf8(const char*, const char*)
    {20, 243, 28, 3, Smoke::mf_static, 127, 5},	//138 Kate::PluginManager::tr(const char*, const char*, int)
    {20, 247, 28, 3, Smoke::mf_static, 127, 6},	//139 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {20, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//140 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {20, 39, 36, 1, Smoke::mf_ctor, 31, 8},	//141 Kate::PluginManager::PluginManager(void*)
    {20, 212, 9, 1, 0, 28, 9},	//142 Kate::PluginManager::plugin(const QString&)
    {20, 214, 9, 1, 0, 240, 10},	//143 Kate::PluginManager::pluginAvailable(const QString&)
    {20, 132, 11, 2, 0, 28, 11},	//144 Kate::PluginManager::loadPlugin(const QString&, bool)
    {20, 251, 11, 2, 0, 0, 12},	//145 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {20, 243, 23, 1, Smoke::mf_static, 127, 13},	//146 Kate::PluginManager::tr(const char*)
    {20, 247, 23, 1, Smoke::mf_static, 127, 14},	//147 Kate::PluginManager::trUtf8(const char*)
    {20, 132, 9, 1, 0, 28, 15},	//148 Kate::PluginManager::loadPlugin(const QString&)
    {20, 251, 9, 1, 0, 0, 16},	//149 Kate::PluginManager::unloadPlugin(const QString&)
    {20, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 17},	//150 Kate::PluginManager::staticMetaObject() const
    {20, 271, 0, 0, Smoke::mf_dtor, 0, 18 },	//151 Kate::PluginManager::~PluginManager()
    {21, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 1},	//152 Kate::PluginView::metaObject() const
    {21, 220, 23, 1, Smoke::mf_virtual, 304, 2},	//153 Kate::PluginView::qt_metacast(const char*)
    {21, 243, 25, 2, Smoke::mf_static, 127, 3},	//154 Kate::PluginView::tr(const char*, const char*)
    {21, 247, 25, 2, Smoke::mf_static, 127, 4},	//155 Kate::PluginView::trUtf8(const char*, const char*)
    {21, 243, 28, 3, Smoke::mf_static, 127, 5},	//156 Kate::PluginView::tr(const char*, const char*, int)
    {21, 247, 28, 3, Smoke::mf_static, 127, 6},	//157 Kate::PluginView::trUtf8(const char*, const char*, int)
    {21, 218, 32, 3, Smoke::mf_virtual, 301, 7},	//158 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {21, 41, 63, 1, Smoke::mf_ctor, 32, 8},	//159 Kate::PluginView::PluginView(Kate::MainWindow*)
    {21, 136, 0, 0, Smoke::mf_const, 26, 9},	//160 Kate::PluginView::mainWindow() const
    {21, 222, 65, 2, Smoke::mf_virtual, 0, 10},	//161 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {21, 261, 65, 2, Smoke::mf_virtual, 0, 11},	//162 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {21, 243, 23, 1, Smoke::mf_static, 127, 12},	//163 Kate::PluginView::tr(const char*)
    {21, 247, 23, 1, Smoke::mf_static, 127, 13},	//164 Kate::PluginView::trUtf8(const char*)
    {21, 239, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 267, 14},	//165 Kate::PluginView::staticMetaObject() const
    {21, 272, 0, 0, Smoke::mf_dtor, 0, 15 },	//166 Kate::PluginView::~PluginView()
    {22, 57, 3, 1, Smoke::mf_ctor, 33, 1},	//167 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {22, 57, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//168 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {22, 273, 0, 0, Smoke::mf_dtor, 0, 3 },	//169 Kate::XMLGUIClient::~XMLGUIClient()
    {45, 207, 86, 2, Smoke::mf_static, 56, 1},	//170 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {45, 203, 89, 2, Smoke::mf_static, 46, 2},	//171 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {45, 203, 92, 2, Smoke::mf_static, 46, 3},	//172 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {45, 198, 95, 2, Smoke::mf_static, 240, 4},	//173 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {45, 207, 98, 2, Smoke::mf_static, 87, 5},	//174 QGlobalSpace::operator|(Qt::WindowType, int)
    {45, 156, 101, 2, Smoke::mf_static, 285, 6},	//175 QGlobalSpace::operator*(const QSizeF&, double)
    {45, 203, 104, 2, Smoke::mf_static, 46, 7},	//176 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {45, 174, 107, 2, Smoke::mf_static, 240, 8},	//177 QGlobalSpace::operator<(const QByteArray&, const char*)
    {45, 193, 110, 2, Smoke::mf_static, 240, 9},	//178 QGlobalSpace::operator>(const char*, const QString&)
    {45, 156, 113, 2, Smoke::mf_static, 109, 10},	//179 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {45, 207, 116, 2, Smoke::mf_static, 71, 11},	//180 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {45, 188, 119, 2, Smoke::mf_static, 240, 12},	//181 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {45, 172, 122, 2, Smoke::mf_static, 138, 13},	//182 QGlobalSpace::operator/(const QTransform&, double)
    {45, 188, 125, 2, Smoke::mf_static, 240, 14},	//183 QGlobalSpace::operator==(const QSize&, const QSize&)
    {45, 160, 128, 2, Smoke::mf_static, 288, 15},	//184 QGlobalSpace::operator+(QChar, const QString&)
    {45, 183, 131, 2, Smoke::mf_static, 240, 16},	//185 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {45, 183, 134, 2, Smoke::mf_static, 240, 17},	//186 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {45, 151, 137, 2, Smoke::mf_static, 240, 18},	//187 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {45, 151, 140, 2, Smoke::mf_static, 240, 19},	//188 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {45, 160, 125, 2, Smoke::mf_static, 283, 20},	//189 QGlobalSpace::operator+(const QSize&, const QSize&)
    {45, 160, 143, 2, Smoke::mf_static, 288, 21},	//190 QGlobalSpace::operator+(const QString&, QChar)
    {45, 207, 146, 2, Smoke::mf_static, 54, 22},	//191 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {45, 188, 134, 2, Smoke::mf_static, 240, 23},	//192 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {45, 151, 149, 2, Smoke::mf_static, 240, 24},	//193 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {45, 156, 152, 2, Smoke::mf_static, 103, 25},	//194 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {45, 207, 155, 2, Smoke::mf_static, 77, 26},	//195 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {45, 151, 158, 2, Smoke::mf_static, 240, 27},	//196 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {45, 203, 161, 2, Smoke::mf_static, 46, 28},	//197 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {45, 188, 164, 2, Smoke::mf_static, 240, 29},	//198 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {45, 179, 167, 2, Smoke::mf_static, 46, 30},	//199 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {45, 207, 170, 2, Smoke::mf_static, 87, 31},	//200 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {45, 207, 173, 2, Smoke::mf_static, 87, 32},	//201 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {45, 151, 176, 2, Smoke::mf_static, 240, 33},	//202 QGlobalSpace::operator!=(QChar, QChar)
    {45, 207, 179, 2, Smoke::mf_static, 64, 34},	//203 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {45, 179, 182, 2, Smoke::mf_static, 46, 35},	//204 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {45, 207, 185, 2, Smoke::mf_static, 59, 36},	//205 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {45, 203, 188, 2, Smoke::mf_static, 46, 37},	//206 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {45, 156, 191, 2, Smoke::mf_static, 113, 38},	//207 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {45, 203, 194, 2, Smoke::mf_static, 46, 39},	//208 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {45, 168, 137, 2, Smoke::mf_static, 275, 40},	//209 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {45, 179, 197, 2, Smoke::mf_static, 46, 41},	//210 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {45, 188, 95, 2, Smoke::mf_static, 240, 42},	//211 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {45, 179, 200, 2, Smoke::mf_static, 46, 43},	//212 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {45, 207, 203, 2, Smoke::mf_static, 58, 44},	//213 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {45, 207, 206, 2, Smoke::mf_static, 76, 45},	//214 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {45, 207, 209, 2, Smoke::mf_static, 71, 46},	//215 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {45, 207, 212, 2, Smoke::mf_static, 70, 47},	//216 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {45, 179, 215, 2, Smoke::mf_static, 46, 48},	//217 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {45, 179, 218, 2, Smoke::mf_static, 46, 49},	//218 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {45, 193, 131, 2, Smoke::mf_static, 240, 50},	//219 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {45, 151, 221, 2, Smoke::mf_static, 240, 51},	//220 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {45, 160, 224, 2, Smoke::mf_static, 247, 52},	//221 QGlobalSpace::operator+(const char*, const QByteArray&)
    {45, 203, 227, 2, Smoke::mf_static, 46, 53},	//222 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {45, 151, 95, 2, Smoke::mf_static, 240, 54},	//223 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {45, 203, 230, 2, Smoke::mf_static, 46, 55},	//224 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {45, 207, 233, 2, Smoke::mf_static, 87, 56},	//225 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {45, 156, 236, 2, Smoke::mf_static, 91, 57},	//226 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {45, 151, 239, 2, Smoke::mf_static, 240, 58},	//227 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {45, 174, 224, 2, Smoke::mf_static, 240, 59},	//228 QGlobalSpace::operator<(const char*, const QByteArray&)
    {45, 198, 176, 2, Smoke::mf_static, 240, 60},	//229 QGlobalSpace::operator>=(QChar, QChar)
    {45, 207, 242, 2, Smoke::mf_static, 72, 61},	//230 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {45, 179, 245, 2, Smoke::mf_static, 46, 62},	//231 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {45, 183, 176, 2, Smoke::mf_static, 240, 63},	//232 QGlobalSpace::operator<=(QChar, QChar)
    {45, 156, 248, 2, Smoke::mf_static, 275, 64},	//233 QGlobalSpace::operator*(const QPointF&, double)
    {45, 156, 251, 2, Smoke::mf_static, 111, 65},	//234 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {45, 188, 254, 2, Smoke::mf_static, 240, 66},	//235 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {45, 207, 257, 2, Smoke::mf_static, 87, 67},	//236 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {45, 207, 260, 2, Smoke::mf_static, 87, 68},	//237 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {45, 151, 263, 2, Smoke::mf_static, 240, 69},	//238 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {45, 188, 221, 2, Smoke::mf_static, 240, 70},	//239 QGlobalSpace::operator==(QString::Null, QString::Null)
    {45, 151, 131, 2, Smoke::mf_static, 240, 71},	//240 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {45, 183, 266, 2, Smoke::mf_static, 240, 72},	//241 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {45, 168, 122, 2, Smoke::mf_static, 138, 73},	//242 QGlobalSpace::operator-(const QTransform&, double)
    {45, 179, 269, 2, Smoke::mf_static, 46, 74},	//243 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {45, 207, 272, 2, Smoke::mf_static, 87, 75},	//244 QGlobalSpace::operator|(Qt::DropAction, int)
    {45, 203, 275, 2, Smoke::mf_static, 46, 76},	//245 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {45, 207, 278, 2, Smoke::mf_static, 87, 77},	//246 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {45, 193, 95, 2, Smoke::mf_static, 240, 78},	//247 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {45, 179, 281, 2, Smoke::mf_static, 46, 79},	//248 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {45, 193, 134, 2, Smoke::mf_static, 240, 80},	//249 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {45, 198, 266, 2, Smoke::mf_static, 240, 81},	//250 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {45, 188, 137, 2, Smoke::mf_static, 240, 82},	//251 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {45, 193, 224, 2, Smoke::mf_static, 240, 83},	//252 QGlobalSpace::operator>(const char*, const QByteArray&)
    {45, 188, 224, 2, Smoke::mf_static, 240, 84},	//253 QGlobalSpace::operator==(const char*, const QByteArray&)
    {45, 207, 284, 2, Smoke::mf_static, 76, 85},	//254 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {45, 207, 287, 2, Smoke::mf_static, 62, 86},	//255 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {45, 207, 290, 2, Smoke::mf_static, 74, 87},	//256 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {45, 151, 134, 2, Smoke::mf_static, 240, 88},	//257 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {45, 207, 293, 2, Smoke::mf_static, 67, 89},	//258 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {45, 156, 296, 2, Smoke::mf_static, 111, 90},	//259 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {45, 188, 299, 2, Smoke::mf_static, 240, 91},	//260 QGlobalSpace::operator==(const QString&, QString::Null)
    {45, 207, 302, 2, Smoke::mf_static, 68, 92},	//261 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {45, 156, 305, 2, Smoke::mf_static, 91, 93},	//262 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {45, 183, 95, 2, Smoke::mf_static, 240, 94},	//263 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {45, 165, 308, 1, Smoke::mf_static, 10, 95},	//264 QGlobalSpace::operator++(KIconLoader::Group&)
    {45, 207, 310, 2, Smoke::mf_static, 60, 96},	//265 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {45, 203, 313, 2, Smoke::mf_static, 46, 97},	//266 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {45, 151, 316, 2, Smoke::mf_static, 240, 98},	//267 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {45, 179, 319, 2, Smoke::mf_static, 46, 99},	//268 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {45, 156, 322, 2, Smoke::mf_static, 283, 100},	//269 QGlobalSpace::operator*(double, const QSize&)
    {45, 207, 325, 2, Smoke::mf_static, 66, 101},	//270 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {45, 207, 328, 2, Smoke::mf_static, 73, 102},	//271 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {45, 183, 110, 2, Smoke::mf_static, 240, 103},	//272 QGlobalSpace::operator<=(const char*, const QString&)
    {45, 168, 331, 1, Smoke::mf_static, 275, 104},	//273 QGlobalSpace::operator-(const QPointF&)
    {45, 207, 333, 2, Smoke::mf_static, 87, 105},	//274 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {45, 207, 336, 2, Smoke::mf_static, 87, 106},	//275 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {45, 207, 339, 2, Smoke::mf_static, 57, 107},	//276 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {45, 160, 110, 2, Smoke::mf_static, 288, 108},	//277 QGlobalSpace::operator+(const char*, const QString&)
    {45, 179, 342, 2, Smoke::mf_static, 46, 109},	//278 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {45, 183, 224, 2, Smoke::mf_static, 240, 110},	//279 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {45, 151, 266, 2, Smoke::mf_static, 240, 111},	//280 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {45, 193, 176, 2, Smoke::mf_static, 240, 112},	//281 QGlobalSpace::operator>(QChar, QChar)
    {45, 172, 101, 2, Smoke::mf_static, 285, 113},	//282 QGlobalSpace::operator/(const QSizeF&, double)
    {45, 156, 345, 2, Smoke::mf_static, 93, 114},	//283 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {45, 156, 348, 2, Smoke::mf_static, 113, 115},	//284 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {45, 168, 351, 1, Smoke::mf_static, 273, 116},	//285 QGlobalSpace::operator-(const QPoint&)
    {45, 179, 353, 2, Smoke::mf_static, 46, 117},	//286 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {45, 198, 107, 2, Smoke::mf_static, 240, 118},	//287 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {45, 203, 356, 2, Smoke::mf_static, 46, 119},	//288 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {45, 179, 359, 2, Smoke::mf_static, 46, 120},	//289 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {45, 198, 131, 2, Smoke::mf_static, 240, 121},	//290 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {45, 174, 134, 2, Smoke::mf_static, 240, 122},	//291 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {45, 207, 362, 2, Smoke::mf_static, 87, 123},	//292 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {45, 151, 365, 2, Smoke::mf_static, 240, 124},	//293 QGlobalSpace::operator!=(QBool, QBool)
    {45, 160, 368, 2, Smoke::mf_static, 288, 125},	//294 QGlobalSpace::operator+(const QString&, char)
    {45, 151, 371, 2, Smoke::mf_static, 240, 126},	//295 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {45, 188, 131, 2, Smoke::mf_static, 240, 127},	//296 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {45, 172, 248, 2, Smoke::mf_static, 275, 128},	//297 QGlobalSpace::operator/(const QPointF&, double)
    {45, 207, 374, 2, Smoke::mf_static, 54, 129},	//298 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {45, 156, 377, 2, Smoke::mf_static, 107, 130},	//299 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {45, 156, 380, 2, Smoke::mf_static, 109, 131},	//300 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {45, 151, 119, 2, Smoke::mf_static, 240, 132},	//301 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {45, 188, 383, 2, Smoke::mf_static, 240, 133},	//302 QGlobalSpace::operator==(QString::Null, const QString&)
    {45, 183, 107, 2, Smoke::mf_static, 240, 134},	//303 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {45, 156, 386, 2, Smoke::mf_static, 103, 135},	//304 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {45, 156, 122, 2, Smoke::mf_static, 138, 136},	//305 QGlobalSpace::operator*(const QTransform&, double)
    {45, 207, 389, 2, Smoke::mf_static, 87, 137},	//306 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {45, 179, 392, 2, Smoke::mf_static, 46, 138},	//307 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {45, 207, 395, 2, Smoke::mf_static, 87, 139},	//308 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {45, 207, 398, 2, Smoke::mf_static, 68, 140},	//309 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {45, 203, 401, 2, Smoke::mf_static, 46, 141},	//310 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {45, 179, 404, 2, Smoke::mf_static, 46, 142},	//311 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {45, 156, 407, 2, Smoke::mf_static, 283, 143},	//312 QGlobalSpace::operator*(const QSize&, double)
    {45, 203, 410, 2, Smoke::mf_static, 46, 144},	//313 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {45, 168, 239, 2, Smoke::mf_static, 273, 145},	//314 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {45, 207, 413, 2, Smoke::mf_static, 65, 146},	//315 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {45, 156, 416, 2, Smoke::mf_static, 107, 147},	//316 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {45, 203, 419, 2, Smoke::mf_static, 46, 148},	//317 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {45, 203, 422, 2, Smoke::mf_static, 46, 149},	//318 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {45, 179, 425, 2, Smoke::mf_static, 46, 150},	//319 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {45, 172, 428, 2, Smoke::mf_static, 273, 151},	//320 QGlobalSpace::operator/(const QPoint&, double)
    {45, 179, 431, 2, Smoke::mf_static, 46, 152},	//321 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {45, 179, 434, 2, Smoke::mf_static, 46, 153},	//322 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {45, 151, 383, 2, Smoke::mf_static, 240, 154},	//323 QGlobalSpace::operator!=(QString::Null, const QString&)
    {45, 179, 437, 2, Smoke::mf_static, 46, 155},	//324 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {45, 207, 440, 2, Smoke::mf_static, 69, 156},	//325 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {45, 188, 140, 2, Smoke::mf_static, 240, 157},	//326 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {45, 207, 443, 2, Smoke::mf_static, 87, 158},	//327 QGlobalSpace::operator|(Qt::WindowState, int)
    {45, 151, 164, 2, Smoke::mf_static, 240, 159},	//328 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {45, 203, 446, 2, Smoke::mf_static, 46, 160},	//329 QGlobalSpace::operator>>(QDataStream&, QString&)
    {45, 179, 449, 2, Smoke::mf_static, 46, 161},	//330 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {45, 188, 365, 2, Smoke::mf_static, 240, 162},	//331 QGlobalSpace::operator==(QBool, QBool)
    {45, 203, 452, 2, Smoke::mf_static, 46, 163},	//332 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {45, 207, 455, 2, Smoke::mf_static, 72, 164},	//333 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {45, 188, 458, 2, Smoke::mf_static, 240, 165},	//334 QGlobalSpace::operator==(bool, QBool)
    {45, 179, 461, 2, Smoke::mf_static, 46, 166},	//335 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {45, 174, 110, 2, Smoke::mf_static, 240, 167},	//336 QGlobalSpace::operator<(const char*, const QString&)
    {45, 188, 464, 2, Smoke::mf_static, 240, 168},	//337 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {45, 207, 467, 2, Smoke::mf_static, 87, 169},	//338 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {45, 151, 464, 2, Smoke::mf_static, 240, 170},	//339 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {45, 174, 95, 2, Smoke::mf_static, 240, 171},	//340 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {45, 179, 470, 2, Smoke::mf_static, 46, 172},	//341 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {45, 151, 458, 2, Smoke::mf_static, 240, 173},	//342 QGlobalSpace::operator!=(bool, QBool)
    {45, 188, 473, 2, Smoke::mf_static, 240, 174},	//343 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {45, 160, 476, 2, Smoke::mf_static, 288, 175},	//344 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {45, 207, 479, 2, Smoke::mf_static, 63, 176},	//345 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {45, 207, 482, 2, Smoke::mf_static, 87, 177},	//346 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {45, 151, 299, 2, Smoke::mf_static, 240, 178},	//347 QGlobalSpace::operator!=(const QString&, QString::Null)
    {45, 207, 485, 2, Smoke::mf_static, 80, 179},	//348 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {45, 151, 125, 2, Smoke::mf_static, 240, 180},	//349 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {45, 203, 488, 2, Smoke::mf_static, 46, 181},	//350 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {45, 207, 491, 2, Smoke::mf_static, 80, 182},	//351 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {45, 188, 158, 2, Smoke::mf_static, 240, 183},	//352 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {45, 207, 494, 2, Smoke::mf_static, 79, 184},	//353 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {45, 188, 371, 2, Smoke::mf_static, 240, 185},	//354 QGlobalSpace::operator==(const char*, const QStringRef&)
    {45, 203, 497, 2, Smoke::mf_static, 46, 186},	//355 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {45, 160, 239, 2, Smoke::mf_static, 273, 187},	//356 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {45, 160, 107, 2, Smoke::mf_static, 247, 188},	//357 QGlobalSpace::operator+(const QByteArray&, const char*)
    {45, 156, 500, 2, Smoke::mf_static, 275, 189},	//358 QGlobalSpace::operator*(double, const QPointF&)
    {45, 179, 503, 2, Smoke::mf_static, 46, 190},	//359 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {45, 207, 506, 2, Smoke::mf_static, 57, 191},	//360 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {45, 203, 509, 2, Smoke::mf_static, 46, 192},	//361 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {45, 207, 512, 2, Smoke::mf_static, 56, 193},	//362 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {45, 203, 515, 2, Smoke::mf_static, 46, 194},	//363 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {45, 207, 518, 2, Smoke::mf_static, 87, 195},	//364 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {45, 193, 266, 2, Smoke::mf_static, 240, 196},	//365 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {45, 179, 521, 2, Smoke::mf_static, 136, 197},	//366 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {45, 188, 176, 2, Smoke::mf_static, 240, 198},	//367 QGlobalSpace::operator==(QChar, QChar)
    {45, 160, 524, 2, Smoke::mf_static, 288, 199},	//368 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {45, 160, 122, 2, Smoke::mf_static, 138, 200},	//369 QGlobalSpace::operator+(const QTransform&, double)
    {45, 207, 527, 2, Smoke::mf_static, 63, 201},	//370 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {45, 160, 530, 2, Smoke::mf_static, 247, 202},	//371 QGlobalSpace::operator+(const QByteArray&, char)
    {45, 207, 533, 2, Smoke::mf_static, 65, 203},	//372 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {45, 207, 536, 2, Smoke::mf_static, 58, 204},	//373 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {45, 203, 539, 2, Smoke::mf_static, 46, 205},	//374 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {45, 160, 137, 2, Smoke::mf_static, 275, 206},	//375 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {45, 188, 110, 2, Smoke::mf_static, 240, 207},	//376 QGlobalSpace::operator==(const char*, const QString&)
    {45, 207, 542, 2, Smoke::mf_static, 59, 208},	//377 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {45, 207, 545, 2, Smoke::mf_static, 60, 209},	//378 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {45, 179, 548, 2, Smoke::mf_static, 46, 210},	//379 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {45, 188, 316, 2, Smoke::mf_static, 240, 211},	//380 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {45, 207, 551, 2, Smoke::mf_static, 87, 212},	//381 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {45, 207, 554, 2, Smoke::mf_static, 87, 213},	//382 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {45, 160, 557, 2, Smoke::mf_static, 247, 214},	//383 QGlobalSpace::operator+(char, const QByteArray&)
    {45, 160, 560, 2, Smoke::mf_static, 288, 215},	//384 QGlobalSpace::operator+(const QString&, const char*)
    {45, 174, 266, 2, Smoke::mf_static, 240, 216},	//385 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {45, 207, 563, 2, Smoke::mf_static, 75, 217},	//386 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {45, 160, 566, 2, Smoke::mf_static, 288, 218},	//387 QGlobalSpace::operator+(const QString&, const QString&)
    {45, 151, 569, 2, Smoke::mf_static, 240, 219},	//388 QGlobalSpace::operator!=(QBool, bool)
    {45, 188, 266, 2, Smoke::mf_static, 240, 220},	//389 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {45, 179, 572, 2, Smoke::mf_static, 46, 221},	//390 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {45, 207, 575, 2, Smoke::mf_static, 64, 222},	//391 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {45, 156, 578, 2, Smoke::mf_static, 118, 223},	//392 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {45, 179, 581, 2, Smoke::mf_static, 46, 224},	//393 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {45, 188, 584, 2, Smoke::mf_static, 240, 225},	//394 QGlobalSpace::operator==(const QStringRef&, const char*)
    {45, 198, 110, 2, Smoke::mf_static, 240, 226},	//395 QGlobalSpace::operator>=(const char*, const QString&)
    {45, 156, 587, 2, Smoke::mf_static, 118, 227},	//396 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {45, 207, 590, 2, Smoke::mf_static, 77, 228},	//397 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {45, 156, 428, 2, Smoke::mf_static, 273, 229},	//398 QGlobalSpace::operator*(const QPoint&, double)
    {45, 207, 593, 2, Smoke::mf_static, 61, 230},	//399 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {45, 203, 596, 2, Smoke::mf_static, 46, 231},	//400 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {45, 207, 599, 2, Smoke::mf_static, 78, 232},	//401 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {45, 160, 266, 2, Smoke::mf_static, 247, 233},	//402 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {45, 156, 602, 2, Smoke::mf_static, 273, 234},	//403 QGlobalSpace::operator*(double, const QPoint&)
    {45, 203, 605, 2, Smoke::mf_static, 46, 235},	//404 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {45, 151, 584, 2, Smoke::mf_static, 240, 236},	//405 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {45, 188, 239, 2, Smoke::mf_static, 240, 237},	//406 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {45, 179, 608, 2, Smoke::mf_static, 46, 238},	//407 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {45, 207, 611, 2, Smoke::mf_static, 87, 239},	//408 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {45, 203, 614, 2, Smoke::mf_static, 46, 240},	//409 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {45, 179, 617, 2, Smoke::mf_static, 46, 241},	//410 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {45, 168, 125, 2, Smoke::mf_static, 283, 242},	//411 QGlobalSpace::operator-(const QSize&, const QSize&)
    {45, 203, 620, 2, Smoke::mf_static, 46, 243},	//412 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {45, 207, 623, 2, Smoke::mf_static, 53, 244},	//413 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {45, 172, 407, 2, Smoke::mf_static, 283, 245},	//414 QGlobalSpace::operator/(const QSize&, double)
    {45, 198, 224, 2, Smoke::mf_static, 240, 246},	//415 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {45, 207, 626, 2, Smoke::mf_static, 87, 247},	//416 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {45, 151, 224, 2, Smoke::mf_static, 240, 248},	//417 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {45, 156, 629, 2, Smoke::mf_static, 93, 249},	//418 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {45, 174, 176, 2, Smoke::mf_static, 240, 250},	//419 QGlobalSpace::operator<(QChar, QChar)
    {45, 207, 632, 2, Smoke::mf_static, 74, 251},	//420 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {45, 207, 635, 2, Smoke::mf_static, 67, 252},	//421 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {45, 168, 316, 2, Smoke::mf_static, 285, 253},	//422 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {45, 207, 638, 2, Smoke::mf_static, 87, 254},	//423 QGlobalSpace::operator|(Qt::Orientation, int)
    {45, 207, 641, 2, Smoke::mf_static, 87, 255},	//424 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {45, 203, 644, 2, Smoke::mf_static, 46, 256},	//425 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {45, 203, 647, 2, Smoke::mf_static, 46, 257},	//426 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {45, 179, 650, 2, Smoke::mf_static, 46, 258},	//427 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {45, 203, 653, 2, Smoke::mf_static, 46, 259},	//428 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {45, 207, 656, 2, Smoke::mf_static, 55, 260},	//429 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {45, 203, 659, 2, Smoke::mf_static, 46, 261},	//430 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {45, 207, 662, 2, Smoke::mf_static, 78, 262},	//431 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {45, 193, 107, 2, Smoke::mf_static, 240, 263},	//432 QGlobalSpace::operator>(const QByteArray&, const char*)
    {45, 151, 473, 2, Smoke::mf_static, 240, 264},	//433 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {45, 207, 665, 2, Smoke::mf_static, 69, 265},	//434 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {45, 203, 668, 2, Smoke::mf_static, 46, 266},	//435 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {45, 151, 110, 2, Smoke::mf_static, 240, 267},	//436 QGlobalSpace::operator!=(const char*, const QString&)
    {45, 207, 671, 2, Smoke::mf_static, 79, 268},	//437 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {45, 207, 674, 2, Smoke::mf_static, 66, 269},	//438 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {45, 174, 131, 2, Smoke::mf_static, 240, 270},	//439 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {45, 156, 677, 2, Smoke::mf_static, 285, 271},	//440 QGlobalSpace::operator*(double, const QSizeF&)
    {45, 198, 134, 2, Smoke::mf_static, 240, 272},	//441 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {45, 188, 149, 2, Smoke::mf_static, 240, 273},	//442 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {45, 188, 263, 2, Smoke::mf_static, 240, 274},	//443 QGlobalSpace::operator==(const QRect&, const QRect&)
    {45, 207, 680, 2, Smoke::mf_static, 87, 275},	//444 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {45, 207, 683, 2, Smoke::mf_static, 73, 276},	//445 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {45, 207, 686, 2, Smoke::mf_static, 70, 277},	//446 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {45, 207, 689, 2, Smoke::mf_static, 75, 278},	//447 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {45, 188, 107, 2, Smoke::mf_static, 240, 279},	//448 QGlobalSpace::operator==(const QByteArray&, const char*)
    {45, 207, 692, 2, Smoke::mf_static, 87, 280},	//449 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {45, 207, 695, 2, Smoke::mf_static, 87, 281},	//450 QGlobalSpace::operator|(Qt::MouseButton, int)
    {45, 179, 698, 2, Smoke::mf_static, 46, 282},	//451 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {45, 188, 569, 2, Smoke::mf_static, 240, 283},	//452 QGlobalSpace::operator==(QBool, bool)
    {45, 151, 107, 2, Smoke::mf_static, 240, 284},	//453 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {45, 165, 701, 2, Smoke::mf_static, 9, 285},	//454 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {45, 207, 704, 2, Smoke::mf_static, 61, 286},	//455 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {45, 203, 707, 2, Smoke::mf_static, 46, 287},	//456 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {45, 207, 710, 2, Smoke::mf_static, 55, 288},	//457 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {45, 207, 713, 2, Smoke::mf_static, 87, 289},	//458 QGlobalSpace::operator|(QString::SectionFlag, int)
    {45, 207, 716, 2, Smoke::mf_static, 87, 290},	//459 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {45, 207, 719, 2, Smoke::mf_static, 53, 291},	//460 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {45, 160, 722, 2, Smoke::mf_static, 288, 292},	//461 QGlobalSpace::operator+(char, const QString&)
    {45, 179, 725, 2, Smoke::mf_static, 46, 293},	//462 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {45, 179, 728, 2, Smoke::mf_static, 46, 294},	//463 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {45, 160, 316, 2, Smoke::mf_static, 285, 295},	//464 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {45, 207, 731, 2, Smoke::mf_static, 62, 296},	//465 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {45, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 297},	//466 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {45, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 298},	//467 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {45, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 299},	//468 QGlobalSpace::Q_STATIC_TYPE (enum)
    {45, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 300},	//469 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {45, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 301},	//470 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {45, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 302},	//471 QGlobalSpace::LicensedGui (enum)
    {45, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 303},	//472 QGlobalSpace::LicensedXml (enum)
    {45, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 304},	//473 QGlobalSpace::LicensedQt3SupportLight (enum)
    {45, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 305},	//474 QGlobalSpace::LicensedScript (enum)
    {45, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 306},	//475 QGlobalSpace::LicensedOpenVG (enum)
    {45, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 307},	//476 QGlobalSpace::LicensedDBus (enum)
    {45, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 308},	//477 QGlobalSpace::LicensedTest (enum)
    {45, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 309},	//478 QGlobalSpace::LicensedActiveQt (enum)
    {45, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 310},	//479 QGlobalSpace::LicensedScriptTools (enum)
    {45, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 311},	//480 QGlobalSpace::LicensedSvg (enum)
    {45, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 312},	//481 QGlobalSpace::LicensedDeclarative (enum)
    {45, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 313},	//482 QGlobalSpace::LicensedSql (enum)
    {45, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 314},	//483 QGlobalSpace::LicensedOpenGL (enum)
    {45, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 315},	//484 QGlobalSpace::LicensedCore (enum)
    {45, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 316},	//485 QGlobalSpace::QtDebugMsg (enum)
    {45, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 317},	//486 QGlobalSpace::QtWarningMsg (enum)
    {45, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 318},	//487 QGlobalSpace::QtCriticalMsg (enum)
    {45, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 319},	//488 QGlobalSpace::QtFatalMsg (enum)
    {45, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 320},	//489 QGlobalSpace::QtSystemMsg (enum)
    {45, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 321},	//490 QGlobalSpace::LicensedHelp (enum)
    {45, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 322},	//491 QGlobalSpace::LicensedMultimedia (enum)
    {45, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 323},	//492 QGlobalSpace::LicensedQt3Support (enum)
    {45, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 324},	//493 QGlobalSpace::LicensedXmlPatterns (enum)
    {45, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 325},	//494 QGlobalSpace::LicensedNetwork (enum)
    {62, 113, 734, 1, Smoke::mf_virtual, 240, 0},	//495 QObject::event(QEvent*)
    {62, 114, 736, 2, Smoke::mf_virtual, 240, 0},	//496 QObject::eventFilter(QObject*, QEvent*)
    {62, 242, 739, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//497 QObject::timerEvent(QTimerEvent*)
    {62, 71, 741, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//498 QObject::childEvent(QChildEvent*)
    {62, 93, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//499 QObject::customEvent(QEvent*)
    {62, 87, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//500 QObject::connectNotify(const char*)
    {62, 96, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//501 QObject::disconnectNotify(const char*)
    {92, 95, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//502 QWidget::devType() const
    {92, 229, 743, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//503 QWidget::setVisible(bool)
    {92, 237, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 122, 0},	//504 QWidget::sizeHint() const
    {92, 140, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 122, 0},	//505 QWidget::minimumSizeHint() const
    {92, 122, 745, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//506 QWidget::heightForWidth(int) const
    {92, 209, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//507 QWidget::paintEngine() const
    {92, 113, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//508 QWidget::event(QEvent*)
    {92, 143, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//509 QWidget::mousePressEvent(QMouseEvent*)
    {92, 144, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//510 QWidget::mouseReleaseEvent(QMouseEvent*)
    {92, 141, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//511 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {92, 142, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//512 QWidget::mouseMoveEvent(QMouseEvent*)
    {92, 258, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//513 QWidget::wheelEvent(QWheelEvent*)
    {92, 128, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//514 QWidget::keyPressEvent(QKeyEvent*)
    {92, 129, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//515 QWidget::keyReleaseEvent(QKeyEvent*)
    {92, 117, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//516 QWidget::focusInEvent(QFocusEvent*)
    {92, 119, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//517 QWidget::focusOutEvent(QFocusEvent*)
    {92, 112, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//518 QWidget::enterEvent(QEvent*)
    {92, 131, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//519 QWidget::leaveEvent(QEvent*)
    {92, 210, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//520 QWidget::paintEvent(QPaintEvent*)
    {92, 145, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//521 QWidget::moveEvent(QMoveEvent*)
    {92, 225, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//522 QWidget::resizeEvent(QResizeEvent*)
    {92, 74, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//523 QWidget::closeEvent(QCloseEvent*)
    {92, 88, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//524 QWidget::contextMenuEvent(QContextMenuEvent*)
    {92, 241, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//525 QWidget::tabletEvent(QTabletEvent*)
    {92, 61, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//526 QWidget::actionEvent(QActionEvent*)
    {92, 106, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//527 QWidget::dragEnterEvent(QDragEnterEvent*)
    {92, 108, 771, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//528 QWidget::dragMoveEvent(QDragMoveEvent*)
    {92, 107, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//529 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {92, 109, 775, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//530 QWidget::dropEvent(QDropEvent*)
    {92, 232, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//531 QWidget::showEvent(QShowEvent*)
    {92, 123, 779, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//532 QWidget::hideEvent(QHideEvent*)
    {92, 263, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//533 QWidget::x11Event(_XEvent*)
    {92, 69, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//534 QWidget::changeEvent(QEvent*)
    {92, 139, 783, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 0},	//535 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {92, 126, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//536 QWidget::inputMethodEvent(QInputMethodEvent*)
    {92, 127, 787, 1, Smoke::mf_const|Smoke::mf_virtual, 142, 0},	//537 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {92, 118, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//538 QWidget::focusNextPrevChild(bool)
    {92, 240, 789, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//539 QWidget::styleChange(QStyle&)
    {92, 111, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//540 QWidget::enabledChange(bool)
    {92, 211, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//541 QWidget::paletteChange(const QPalette&)
    {92, 120, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//542 QWidget::fontChange(const QFont&)
    {92, 260, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//543 QWidget::windowActivationChange(bool)
    {92, 130, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//544 QWidget::languageChange()
    {92, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 44},	//545 QWidget::DrawWindowBackground (enum)
    {92, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 45},	//546 QWidget::DrawChildren (enum)
    {92, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 46},	//547 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    167,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    168,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
    187,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    193,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    196,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    202,  // QGlobalSpace::operator!=(QChar, QChar)
    220,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    227,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    238,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    240,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    257,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    267,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    280,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    293,  // QGlobalSpace::operator!=(QBool, QBool)
    301,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    328,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    349,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    433,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    323,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    339,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    388,  // QGlobalSpace::operator!=(QBool, bool)
    405,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    453,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    188,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    223,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    295,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    342,  // QGlobalSpace::operator!=(bool, QBool)
    347,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    417,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    179,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    194,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    207,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    226,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    234,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    259,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    262,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    283,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    284,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    299,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    300,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    304,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    316,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    392,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    396,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    418,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    0,
    175,  // QGlobalSpace::operator*(const QSizeF&, double)
    233,  // QGlobalSpace::operator*(const QPointF&, double)
    305,  // QGlobalSpace::operator*(const QTransform&, double)
    312,  // QGlobalSpace::operator*(const QSize&, double)
    398,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    269,  // QGlobalSpace::operator*(double, const QSize&)
    358,  // QGlobalSpace::operator*(double, const QPointF&)
    403,  // QGlobalSpace::operator*(double, const QPoint&)
    440,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    189,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    356,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    375,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    402,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    464,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    184,  // QGlobalSpace::operator+(QChar, const QString&)
    344,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    357,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    369,  // QGlobalSpace::operator+(const QTransform&, double)
    371,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    190,  // QGlobalSpace::operator+(const QString&, QChar)
    221,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    368,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    383,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    277,  // QGlobalSpace::operator+(const char*, const QString&)
    294,  // QGlobalSpace::operator+(const QString&, char)
    384,  // QGlobalSpace::operator+(const QString&, const char*)
    387,  // QGlobalSpace::operator+(const QString&, const QString&)
    461,  // QGlobalSpace::operator+(char, const QString&)
    0,
    273,  // QGlobalSpace::operator-(const QPointF&)
    285,  // QGlobalSpace::operator-(const QPoint&)
    0,
    209,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    314,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    411,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    422,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    182,  // QGlobalSpace::operator/(const QTransform&, double)
    282,  // QGlobalSpace::operator/(const QSizeF&, double)
    297,  // QGlobalSpace::operator/(const QPointF&, double)
    320,  // QGlobalSpace::operator/(const QPoint&, double)
    414,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    291,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    385,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    419,  // QGlobalSpace::operator<(QChar, QChar)
    439,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    228,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    340,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    199,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    212,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    217,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    231,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    248,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    268,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    278,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    286,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    289,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    322,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    324,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    330,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    359,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    366,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    393,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    407,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    410,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    463,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    0,
    210,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    243,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    0,
    185,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    186,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    232,  // QGlobalSpace::operator<=(QChar, QChar)
    241,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    263,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    279,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    181,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    183,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    192,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    198,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    235,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    239,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    251,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    296,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    331,  // QGlobalSpace::operator==(QBool, QBool)
    343,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    352,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    367,  // QGlobalSpace::operator==(QChar, QChar)
    380,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    389,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    406,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    442,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    443,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    302,  // QGlobalSpace::operator==(QString::Null, const QString&)
    337,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    394,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    448,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    452,  // QGlobalSpace::operator==(QBool, bool)
    0,
    211,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    253,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    260,  // QGlobalSpace::operator==(const QString&, QString::Null)
    326,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    334,  // QGlobalSpace::operator==(bool, QBool)
    354,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    219,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    249,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    281,  // QGlobalSpace::operator>(QChar, QChar)
    365,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    247,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    252,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    229,  // QGlobalSpace::operator>=(QChar, QChar)
    250,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    290,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    441,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    173,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    415,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    171,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    172,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    197,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    206,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    222,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    224,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    266,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    288,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    310,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    313,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    317,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    318,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    332,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    374,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    400,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    404,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    412,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    425,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    435,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    456,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    329,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    426,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    170,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    174,  // QGlobalSpace::operator|(Qt::WindowType, int)
    180,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    191,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    195,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    200,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    201,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    203,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    205,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    213,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    214,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    215,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    216,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    225,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    230,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    236,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    237,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    244,  // QGlobalSpace::operator|(Qt::DropAction, int)
    246,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    254,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    255,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    256,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    258,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    261,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    265,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    270,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    271,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    274,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    275,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    276,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    292,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    298,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    306,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    308,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    309,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    315,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    325,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    327,  // QGlobalSpace::operator|(Qt::WindowState, int)
    333,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    338,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    345,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    346,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    348,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    351,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    353,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    360,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    362,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    364,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    370,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    372,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    373,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    377,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    378,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    381,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    382,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    386,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    391,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    397,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    399,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    401,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    408,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    413,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    416,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    420,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    421,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    423,  // QGlobalSpace::operator|(Qt::Orientation, int)
    424,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    429,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    431,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    434,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    437,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    438,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    444,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    445,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    446,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    447,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    449,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    450,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    455,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    457,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    458,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    459,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    460,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    465,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {14, 2, 23},	// Kate::Application::Application$
    {14, 64, 27},	// Kate::Application::activeMainWindow
    {14, 101, 24},	// Kate::Application::documentManager
    {14, 110, 26},	// Kate::Application::editor
    {14, 137, 28},	// Kate::Application::mainWindows
    {14, 138, 16},	// Kate::Application::metaObject
    {14, 217, 25},	// Kate::Application::pluginManager
    {14, 219, 22},	// Kate::Application::qt_metacall$$?
    {14, 221, 17},	// Kate::Application::qt_metacast$
    {14, 239, 31},	// Kate::Application::staticMetaObject
    {14, 244, 29},	// Kate::Application::tr$
    {14, 245, 18},	// Kate::Application::tr$$
    {14, 246, 20},	// Kate::Application::tr$$$
    {14, 248, 30},	// Kate::Application::trUtf8$
    {14, 249, 19},	// Kate::Application::trUtf8$$
    {14, 250, 21},	// Kate::Application::trUtf8$$$
    {14, 265, 32},	// Kate::Application::~Application
    {15, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {15, 73, 44},	// Kate::DocumentManager::closeDocument#
    {15, 98, 45},	// Kate::DocumentManager::documentCreated#
    {15, 100, 47},	// Kate::DocumentManager::documentDeleted#
    {15, 103, 46},	// Kate::DocumentManager::documentWillBeDeleted#
    {15, 104, 41},	// Kate::DocumentManager::documents
    {15, 116, 42},	// Kate::DocumentManager::findUrl#
    {15, 138, 33},	// Kate::DocumentManager::metaObject
    {15, 149, 50},	// Kate::DocumentManager::openUrl#
    {15, 150, 43},	// Kate::DocumentManager::openUrl#$
    {15, 219, 39},	// Kate::DocumentManager::qt_metacall$$?
    {15, 221, 34},	// Kate::DocumentManager::qt_metacast$
    {15, 239, 51},	// Kate::DocumentManager::staticMetaObject
    {15, 244, 48},	// Kate::DocumentManager::tr$
    {15, 245, 35},	// Kate::DocumentManager::tr$$
    {15, 246, 37},	// Kate::DocumentManager::tr$$$
    {15, 248, 49},	// Kate::DocumentManager::trUtf8$
    {15, 249, 36},	// Kate::DocumentManager::trUtf8$$
    {15, 250, 38},	// Kate::DocumentManager::trUtf8$$$
    {15, 266, 52},	// Kate::DocumentManager::~DocumentManager
    {16, 3, 81},	// Kate::MainWindow::Bottom
    {16, 9, 78},	// Kate::MainWindow::Left
    {16, 30, 60},	// Kate::MainWindow::MainWindow$
    {16, 53, 79},	// Kate::MainWindow::Right
    {16, 56, 80},	// Kate::MainWindow::Top
    {16, 63, 65},	// Kate::MainWindow::activateView#
    {16, 65, 64},	// Kate::MainWindow::activeView
    {16, 68, 63},	// Kate::MainWindow::centralWidget
    {16, 90, 69},	// Kate::MainWindow::createToolView$$#$
    {16, 121, 61},	// Kate::MainWindow::guiFactory
    {16, 125, 72},	// Kate::MainWindow::hideToolView#
    {16, 138, 53},	// Kate::MainWindow::metaObject
    {16, 147, 70},	// Kate::MainWindow::moveToolView#$
    {16, 149, 76},	// Kate::MainWindow::openUrl#
    {16, 150, 66},	// Kate::MainWindow::openUrl#$
    {16, 219, 59},	// Kate::MainWindow::qt_metacall$$?
    {16, 221, 54},	// Kate::MainWindow::qt_metacast$
    {16, 234, 73},	// Kate::MainWindow::showPluginConfigPage#$
    {16, 236, 71},	// Kate::MainWindow::showToolView#
    {16, 239, 77},	// Kate::MainWindow::staticMetaObject
    {16, 244, 74},	// Kate::MainWindow::tr$
    {16, 245, 55},	// Kate::MainWindow::tr$$
    {16, 246, 57},	// Kate::MainWindow::tr$$$
    {16, 248, 75},	// Kate::MainWindow::trUtf8$
    {16, 249, 56},	// Kate::MainWindow::trUtf8$$
    {16, 250, 58},	// Kate::MainWindow::trUtf8$$$
    {16, 254, 67},	// Kate::MainWindow::viewChanged
    {16, 256, 68},	// Kate::MainWindow::viewCreated#
    {16, 259, 62},	// Kate::MainWindow::window
    {16, 267, 82},	// Kate::MainWindow::~MainWindow
    {17, 31, 97},	// Kate::Plugin::Plugin
    {17, 32, 98},	// Kate::Plugin::Plugin#
    {17, 33, 90},	// Kate::Plugin::Plugin#$
    {17, 66, 91},	// Kate::Plugin::application
    {17, 92, 92},	// Kate::Plugin::createView#
    {17, 138, 83},	// Kate::Plugin::metaObject
    {17, 219, 89},	// Kate::Plugin::qt_metacall$$?
    {17, 221, 84},	// Kate::Plugin::qt_metacast$
    {17, 223, 93},	// Kate::Plugin::readSessionConfig#$
    {17, 239, 99},	// Kate::Plugin::staticMetaObject
    {17, 244, 95},	// Kate::Plugin::tr$
    {17, 245, 85},	// Kate::Plugin::tr$$
    {17, 246, 87},	// Kate::Plugin::tr$$$
    {17, 248, 96},	// Kate::Plugin::trUtf8$
    {17, 249, 86},	// Kate::Plugin::trUtf8$$
    {17, 250, 88},	// Kate::Plugin::trUtf8$$$
    {17, 262, 94},	// Kate::Plugin::writeSessionConfig#$
    {17, 268, 100},	// Kate::Plugin::~Plugin
    {18, 34, 115},	// Kate::PluginConfigPage::PluginConfigPage
    {18, 35, 116},	// Kate::PluginConfigPage::PluginConfigPage#
    {18, 36, 108},	// Kate::PluginConfigPage::PluginConfigPage#$
    {18, 67, 109},	// Kate::PluginConfigPage::apply
    {18, 70, 112},	// Kate::PluginConfigPage::changed
    {18, 94, 111},	// Kate::PluginConfigPage::defaults
    {18, 138, 101},	// Kate::PluginConfigPage::metaObject
    {18, 219, 107},	// Kate::PluginConfigPage::qt_metacall$$?
    {18, 221, 102},	// Kate::PluginConfigPage::qt_metacast$
    {18, 224, 110},	// Kate::PluginConfigPage::reset
    {18, 239, 117},	// Kate::PluginConfigPage::staticMetaObject
    {18, 244, 113},	// Kate::PluginConfigPage::tr$
    {18, 245, 103},	// Kate::PluginConfigPage::tr$$
    {18, 246, 105},	// Kate::PluginConfigPage::tr$$$
    {18, 248, 114},	// Kate::PluginConfigPage::trUtf8$
    {18, 249, 104},	// Kate::PluginConfigPage::trUtf8$$
    {18, 250, 106},	// Kate::PluginConfigPage::trUtf8$$$
    {18, 269, 118},	// Kate::PluginConfigPage::~PluginConfigPage
    {19, 37, 119},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {19, 38, 126},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {19, 76, 127},	// Kate::PluginConfigPageInterface::configPage
    {19, 77, 128},	// Kate::PluginConfigPageInterface::configPage$
    {19, 78, 129},	// Kate::PluginConfigPageInterface::configPage$#
    {19, 79, 122},	// Kate::PluginConfigPageInterface::configPage$#$
    {19, 80, 131},	// Kate::PluginConfigPageInterface::configPageFullName
    {19, 81, 124},	// Kate::PluginConfigPageInterface::configPageFullName$
    {19, 82, 132},	// Kate::PluginConfigPageInterface::configPageIcon
    {19, 83, 125},	// Kate::PluginConfigPageInterface::configPageIcon$
    {19, 84, 130},	// Kate::PluginConfigPageInterface::configPageName
    {19, 85, 123},	// Kate::PluginConfigPageInterface::configPageName$
    {19, 86, 121},	// Kate::PluginConfigPageInterface::configPages
    {19, 216, 120},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {19, 270, 133},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {20, 40, 141},	// Kate::PluginManager::PluginManager$
    {20, 133, 148},	// Kate::PluginManager::loadPlugin$
    {20, 134, 144},	// Kate::PluginManager::loadPlugin$$
    {20, 138, 134},	// Kate::PluginManager::metaObject
    {20, 213, 142},	// Kate::PluginManager::plugin$
    {20, 215, 143},	// Kate::PluginManager::pluginAvailable$
    {20, 219, 140},	// Kate::PluginManager::qt_metacall$$?
    {20, 221, 135},	// Kate::PluginManager::qt_metacast$
    {20, 239, 150},	// Kate::PluginManager::staticMetaObject
    {20, 244, 146},	// Kate::PluginManager::tr$
    {20, 245, 136},	// Kate::PluginManager::tr$$
    {20, 246, 138},	// Kate::PluginManager::tr$$$
    {20, 248, 147},	// Kate::PluginManager::trUtf8$
    {20, 249, 137},	// Kate::PluginManager::trUtf8$$
    {20, 250, 139},	// Kate::PluginManager::trUtf8$$$
    {20, 252, 149},	// Kate::PluginManager::unloadPlugin$
    {20, 253, 145},	// Kate::PluginManager::unloadPlugin$$
    {20, 271, 151},	// Kate::PluginManager::~PluginManager
    {21, 42, 159},	// Kate::PluginView::PluginView#
    {21, 136, 160},	// Kate::PluginView::mainWindow
    {21, 138, 152},	// Kate::PluginView::metaObject
    {21, 219, 158},	// Kate::PluginView::qt_metacall$$?
    {21, 221, 153},	// Kate::PluginView::qt_metacast$
    {21, 223, 161},	// Kate::PluginView::readSessionConfig#$
    {21, 239, 165},	// Kate::PluginView::staticMetaObject
    {21, 244, 163},	// Kate::PluginView::tr$
    {21, 245, 154},	// Kate::PluginView::tr$$
    {21, 246, 156},	// Kate::PluginView::tr$$$
    {21, 248, 164},	// Kate::PluginView::trUtf8$
    {21, 249, 155},	// Kate::PluginView::trUtf8$$
    {21, 250, 157},	// Kate::PluginView::trUtf8$$$
    {21, 262, 162},	// Kate::PluginView::writeSessionConfig#$
    {21, 272, 166},	// Kate::PluginView::~PluginView
    {22, 58, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {22, 273, 169},	// Kate::XMLGUIClient::~XMLGUIClient
    {45, 10, 478},	// QGlobalSpace::LicensedActiveQt
    {45, 11, 484},	// QGlobalSpace::LicensedCore
    {45, 12, 476},	// QGlobalSpace::LicensedDBus
    {45, 13, 481},	// QGlobalSpace::LicensedDeclarative
    {45, 14, 471},	// QGlobalSpace::LicensedGui
    {45, 15, 490},	// QGlobalSpace::LicensedHelp
    {45, 16, 491},	// QGlobalSpace::LicensedMultimedia
    {45, 17, 494},	// QGlobalSpace::LicensedNetwork
    {45, 18, 483},	// QGlobalSpace::LicensedOpenGL
    {45, 19, 475},	// QGlobalSpace::LicensedOpenVG
    {45, 20, 492},	// QGlobalSpace::LicensedQt3Support
    {45, 21, 473},	// QGlobalSpace::LicensedQt3SupportLight
    {45, 22, 474},	// QGlobalSpace::LicensedScript
    {45, 23, 479},	// QGlobalSpace::LicensedScriptTools
    {45, 24, 482},	// QGlobalSpace::LicensedSql
    {45, 25, 480},	// QGlobalSpace::LicensedSvg
    {45, 26, 477},	// QGlobalSpace::LicensedTest
    {45, 27, 472},	// QGlobalSpace::LicensedXml
    {45, 28, 493},	// QGlobalSpace::LicensedXmlPatterns
    {45, 43, 466},	// QGlobalSpace::Q_COMPLEX_TYPE
    {45, 44, 470},	// QGlobalSpace::Q_DUMMY_TYPE
    {45, 45, 469},	// QGlobalSpace::Q_MOVABLE_TYPE
    {45, 46, 467},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {45, 47, 468},	// QGlobalSpace::Q_STATIC_TYPE
    {45, 48, 487},	// QGlobalSpace::QtCriticalMsg
    {45, 49, 485},	// QGlobalSpace::QtDebugMsg
    {45, 50, 488},	// QGlobalSpace::QtFatalMsg
    {45, 51, 489},	// QGlobalSpace::QtSystemMsg
    {45, 52, 486},	// QGlobalSpace::QtWarningMsg
    {45, 152, -4},	// QGlobalSpace::operator!=##
    {45, 153, -21},	// QGlobalSpace::operator!=#$
    {45, 154, -27},	// QGlobalSpace::operator!=$#
    {45, 155, 436},	// QGlobalSpace::operator!=$$
    {45, 157, -34},	// QGlobalSpace::operator*##
    {45, 158, -51},	// QGlobalSpace::operator*#$
    {45, 159, -57},	// QGlobalSpace::operator*$#
    {45, 161, -62},	// QGlobalSpace::operator+##
    {45, 162, -68},	// QGlobalSpace::operator+#$
    {45, 163, -74},	// QGlobalSpace::operator+$#
    {45, 164, -79},	// QGlobalSpace::operator+$$
    {45, 166, 264},	// QGlobalSpace::operator++$
    {45, 167, 454},	// QGlobalSpace::operator++$$
    {45, 169, -85},	// QGlobalSpace::operator-#
    {45, 170, -88},	// QGlobalSpace::operator-##
    {45, 171, 242},	// QGlobalSpace::operator-#$
    {45, 173, -93},	// QGlobalSpace::operator/#$
    {45, 175, -99},	// QGlobalSpace::operator<##
    {45, 176, 177},	// QGlobalSpace::operator<#$
    {45, 177, -104},	// QGlobalSpace::operator<$#
    {45, 178, 336},	// QGlobalSpace::operator<$$
    {45, 180, -107},	// QGlobalSpace::operator<<##
    {45, 181, -138},	// QGlobalSpace::operator<<#$
    {45, 182, 390},	// QGlobalSpace::operator<<#?
    {45, 184, -141},	// QGlobalSpace::operator<=##
    {45, 185, 303},	// QGlobalSpace::operator<=#$
    {45, 186, -146},	// QGlobalSpace::operator<=$#
    {45, 187, 272},	// QGlobalSpace::operator<=$$
    {45, 189, -149},	// QGlobalSpace::operator==##
    {45, 190, -167},	// QGlobalSpace::operator==#$
    {45, 191, -173},	// QGlobalSpace::operator==$#
    {45, 192, 376},	// QGlobalSpace::operator==$$
    {45, 194, -180},	// QGlobalSpace::operator>##
    {45, 195, 432},	// QGlobalSpace::operator>#$
    {45, 196, -185},	// QGlobalSpace::operator>$#
    {45, 197, 178},	// QGlobalSpace::operator>$$
    {45, 199, -188},	// QGlobalSpace::operator>=##
    {45, 200, 287},	// QGlobalSpace::operator>=#$
    {45, 201, -193},	// QGlobalSpace::operator>=$#
    {45, 202, 395},	// QGlobalSpace::operator>=$$
    {45, 204, -196},	// QGlobalSpace::operator>>##
    {45, 205, -226},	// QGlobalSpace::operator>>#$
    {45, 206, 355},	// QGlobalSpace::operator>>#?
    {45, 208, -229},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 92,
        __smokekate::methods, 548,
        __smokekate::methodMaps, 227,
        __smokekate::methodNames, 273,
        __smokekate::types, 306,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
