#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCharsets
      switch(to) {
        case 4: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 5:   //KCompletion
      switch(to) {
        case 5: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 6:   //KComponentData
      switch(to) {
        case 6: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 7:   //KConfig
      switch(to) {
        case 7: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KIcon
      switch(to) {
        case 9: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 10:   //KLocale
      switch(to) {
        case 10: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Factory
      switch(to) {
        case 20: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 101: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 11: return (void*)(KParts::Factory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::GUIActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::Part
      switch(to) {
        case 101: return (void*)(QObject*)(KParts::Part*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::Part*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartActivateEvent
      switch(to) {
        case 14: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartBase
      switch(to) {
        case 70: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 15: return (void*)(KParts::PartBase*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::PartManager
      switch(to) {
        case 16: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::PartSelectEvent
      switch(to) {
        case 17: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 18:   //KParts::ReadOnlyPart
      switch(to) {
        case 13: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 101: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 19:   //KParts::ReadWritePart
      switch(to) {
        case 18: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 101: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 19: return (void*)(KParts::ReadWritePart*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginFactory
      switch(to) {
        case 101: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 20: return (void*)(KPluginFactory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 23:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEditor::AnnotationModel
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::Attribute
      switch(to) {
        case 114: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 109: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 27: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 71: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 71: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::CodeCompletionModelControllerInterface
      switch(to) {
        case 30: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CodeCompletionModelControllerInterface2
      switch(to) {
        case 30: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::Command
      switch(to) {
        case 32: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::CommandExtension
      switch(to) {
        case 33: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::CommandInterface
      switch(to) {
        case 34: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::ConfigInterface
      switch(to) {
        case 35: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::ConfigPage
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::ContainerInterface
      switch(to) {
        case 37: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::CoordinatesToCursorInterface
      switch(to) {
        case 38: return (void*)(KTextEditor::CoordinatesToCursorInterface*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::Cursor
      switch(to) {
        case 39: return (void*)(KTextEditor::Cursor*)xptr;
        case 57: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::Document
      switch(to) {
        case 19: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 40: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Editor
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 41: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::EditorChooser
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::Factory
      switch(to) {
        case 11: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 20: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::HighlightInterface
      switch(to) {
        case 44: return (void*)(KTextEditor::HighlightInterface*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::HighlightInterface::AttributeBlock
      switch(to) {
        case 45: return (void*)(KTextEditor::HighlightInterface::AttributeBlock*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::LoadSaveFilterCheckPlugin
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        case 46: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::Mark
      switch(to) {
        case 47: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::MarkInterface
      switch(to) {
        case 48: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::MdiContainer
      switch(to) {
        case 49: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::ModificationInterface
      switch(to) {
        case 50: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::ParameterizedSessionConfigInterface
      switch(to) {
        case 51: return (void*)(KTextEditor::ParameterizedSessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::Plugin
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 52: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::Range
      switch(to) {
        case 53: return (void*)(KTextEditor::Range*)xptr;
        case 61: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::RangeCommand
      switch(to) {
        case 54: return (void*)(KTextEditor::RangeCommand*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::SearchInterface
      switch(to) {
        case 55: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 56: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::SmartCursor
      switch(to) {
        case 39: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 57: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 58: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 59: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 60:   //KTextEditor::SmartInterface
      switch(to) {
        case 60: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 61:   //KTextEditor::SmartRange
      switch(to) {
        case 53: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 61: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 62:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 62: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 63:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 63: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 64:   //KTextEditor::TemplateInterface
      switch(to) {
        case 64: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KTextEditor::TextHintInterface
      switch(to) {
        case 65: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 66:   //KTextEditor::VariableInterface
      switch(to) {
        case 66: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 67:   //KTextEditor::View
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 67: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 68:   //KTextEditor::ViewBarContainer
      switch(to) {
        case 68: return (void*)(KTextEditor::ViewBarContainer*)xptr;
        default: return xptr;
      }
    case 69:   //KUrl
      switch(to) {
        case 69: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 70:   //KXMLGUIClient
      switch(to) {
        case 70: return (void*)(KXMLGUIClient*)xptr;
        case 40: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 67: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 71:   //QAbstractItemModel
      switch(to) {
        case 101: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 71: return (void*)(QAbstractItemModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 72:   //QAction
      switch(to) {
        case 72: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 73:   //QActionEvent
      switch(to) {
        case 73: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QBool
      switch(to) {
        case 74: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 75:   //QBrush
      switch(to) {
        case 75: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 76:   //QChar
      switch(to) {
        case 76: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 77:   //QChildEvent
      switch(to) {
        case 86: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 77: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QCloseEvent
      switch(to) {
        case 78: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QContextMenuEvent
      switch(to) {
        case 79: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QDomDocument
      switch(to) {
        case 80: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 81:   //QDomElement
      switch(to) {
        case 81: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 82:   //QDragEnterEvent
      switch(to) {
        case 82: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QDragLeaveEvent
      switch(to) {
        case 83: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QDragMoveEvent
      switch(to) {
        case 84: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QDropEvent
      switch(to) {
        case 85: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QEvent
      switch(to) {
        case 86: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 87:   //QFocusEvent
      switch(to) {
        case 87: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QFont
      switch(to) {
        case 88: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 90:   //QHideEvent
      switch(to) {
        case 90: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 91:   //QIncompatibleFlag
      switch(to) {
        case 91: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 92:   //QInputMethodEvent
      switch(to) {
        case 92: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QKeyEvent
      switch(to) {
        case 93: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QMenu
      switch(to) {
        case 94: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 95:   //QMetaObject
      switch(to) {
        case 95: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 96:   //QMimeData
      switch(to) {
        case 96: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 97:   //QModelIndex
      switch(to) {
        case 97: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 98:   //QMouseEvent
      switch(to) {
        case 98: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 99:   //QMoveEvent
      switch(to) {
        case 99: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QMutex
      switch(to) {
        case 100: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 101:   //QObject
      switch(to) {
        case 101: return (void*)(QObject*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 46: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)(QObject*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 52: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 41: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 58: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 67: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 62: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 102:   //QPaintEngine
      switch(to) {
        case 102: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 103:   //QPaintEvent
      switch(to) {
        case 103: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QPalette
      switch(to) {
        case 104: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 105:   //QPixmap
      switch(to) {
        case 105: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 106:   //QPoint
      switch(to) {
        case 106: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 107:   //QRegExp
      switch(to) {
        case 107: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 108:   //QResizeEvent
      switch(to) {
        case 108: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 109:   //QSharedData
      switch(to) {
        case 109: return (void*)(QSharedData*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 110:   //QShowEvent
      switch(to) {
        case 110: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QSize
      switch(to) {
        case 111: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 112:   //QStyle
      switch(to) {
        case 112: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 113:   //QTabletEvent
      switch(to) {
        case 113: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 114:   //QTextCharFormat
      switch(to) {
        case 114: return (void*)(QTextCharFormat*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 115:   //QTimerEvent
      switch(to) {
        case 86: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 115: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QVariant
      switch(to) {
        case 116: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 117:   //QWheelEvent
      switch(to) {
        case 117: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QWidget
      switch(to) {
        case 101: return (void*)(QObject*)(QWidget*)xptr;
        case 118: return (void*)(QWidget*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 67: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    101, 0,	// 1: QObject
    23, 0,	// 3: KTextEditor::AnnotationInterface
    114, 109, 0,	// 5: QTextCharFormat, QSharedData
    71, 0,	// 8: QAbstractItemModel
    28, 0,	// 10: KTextEditor::CodeCompletionModel
    30, 0,	// 12: KTextEditor::CodeCompletionModelControllerInterface
    118, 0,	// 14: QWidget
    19, 0,	// 16: KParts::ReadWritePart
    11, 0,	// 18: KParts::Factory
    39, 0,	// 20: KTextEditor::Cursor
    53, 0,	// 22: KTextEditor::Range
    118, 70, 0,	// 24: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__HighlightInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CoordinatesToCursorInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface__AttributeBlock(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__LoadSaveFilterCheckPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ParameterizedSessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__RangeCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ViewBarContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//4
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//5
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//6
    { "KConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KIcon", true, 0, 0, 0, 0, 0 },	//9
    { "KLocale", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//17
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//18
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//22
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//23
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//24
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//25
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//26
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//27
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//28
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//29
    { "KTextEditor::CodeCompletionModelControllerInterface", false, 0, xcall_KTextEditor__CodeCompletionModelControllerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface) },	//30
    { "KTextEditor::CodeCompletionModelControllerInterface2", false, 12, xcall_KTextEditor__CodeCompletionModelControllerInterface2, xenum_KTextEditor__CodeCompletionModelControllerInterface2, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface2) },	//31
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//32
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//33
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//34
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//35
    { "KTextEditor::ConfigPage", false, 14, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//36
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//37
    { "KTextEditor::CoordinatesToCursorInterface", false, 0, xcall_KTextEditor__CoordinatesToCursorInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CoordinatesToCursorInterface) },	//38
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//39
    { "KTextEditor::Document", false, 16, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//40
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//41
    { "KTextEditor::EditorChooser", false, 14, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//42
    { "KTextEditor::Factory", false, 18, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//43
    { "KTextEditor::HighlightInterface", false, 0, xcall_KTextEditor__HighlightInterface, xenum_KTextEditor__HighlightInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::HighlightInterface) },	//44
    { "KTextEditor::HighlightInterface::AttributeBlock", false, 0, xcall_KTextEditor__HighlightInterface__AttributeBlock, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::HighlightInterface::AttributeBlock) },	//45
    { "KTextEditor::LoadSaveFilterCheckPlugin", false, 1, xcall_KTextEditor__LoadSaveFilterCheckPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::LoadSaveFilterCheckPlugin) },	//46
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//47
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//48
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//49
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//50
    { "KTextEditor::ParameterizedSessionConfigInterface", false, 0, xcall_KTextEditor__ParameterizedSessionConfigInterface, xenum_KTextEditor__ParameterizedSessionConfigInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ParameterizedSessionConfigInterface) },	//51
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//52
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//53
    { "KTextEditor::RangeCommand", false, 0, xcall_KTextEditor__RangeCommand, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::RangeCommand) },	//54
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//55
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//56
    { "KTextEditor::SmartCursor", false, 20, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//57
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//58
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//59
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//60
    { "KTextEditor::SmartRange", false, 22, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//61
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//62
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//63
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//64
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//65
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//66
    { "KTextEditor::View", false, 24, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//67
    { "KTextEditor::ViewBarContainer", false, 0, xcall_KTextEditor__ViewBarContainer, xenum_KTextEditor__ViewBarContainer, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ViewBarContainer) },	//68
    { "KUrl", true, 0, 0, 0, 0, 0 },	//69
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//70
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//71
    { "QAction", true, 0, 0, 0, 0, 0 },	//72
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QBool", true, 0, 0, 0, 0, 0 },	//74
    { "QBrush", true, 0, 0, 0, 0, 0 },	//75
    { "QChar", true, 0, 0, 0, 0, 0 },	//76
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//80
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//81
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QEvent", true, 0, 0, 0, 0, 0 },	//86
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QFont", true, 0, 0, 0, 0, 0 },	//88
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//89
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//90
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//91
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QMenu", true, 0, 0, 0, 0, 0 },	//94
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//95
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//96
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//97
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//98
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QMutex", true, 0, 0, 0, 0, 0 },	//100
    { "QObject", true, 0, 0, 0, 0, 0 },	//101
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//102
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QPalette", true, 0, 0, 0, 0, 0 },	//104
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//105
    { "QPoint", true, 0, 0, 0, 0, 0 },	//106
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//107
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//108
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//109
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QSize", true, 0, 0, 0, 0, 0 },	//111
    { "QStyle", true, 0, 0, 0, 0, 0 },	//112
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//113
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//114
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QVariant", true, 0, 0, 0, 0, 0 },	//116
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QWidget", true, 0, 0, 0, 0, 0 },	//118
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCompletion*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfig*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KIcon", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "KLocale*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::GUIActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::Part*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartActivateEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KParts::PartManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KParts::PartSelectEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KSycocaFactoryId", 89, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KSycocaType", 89, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KTextEditor::AnnotationInterface*", 23, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KTextEditor::AnnotationModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KTextEditor::AnnotationViewInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref },	//26
    { "KTextEditor::Attribute*", 26, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KTextEditor::Attribute::ActivationType", 26, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute::CustomProperties", 26, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KTextEditor::Attribute::Effect", 26, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "KTextEditor::CodeCompletionInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KTextEditor::CodeCompletionModel*", 28, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KTextEditor::CodeCompletionModel2*", 29, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KTextEditor::CodeCompletionModel::Columns", 28, Smoke::t_enum|Smoke::tf_stack },	//36
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 28, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 28, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "KTextEditor::CodeCompletionModel::InvocationType", 28, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KTextEditor::CodeCompletionModelControllerInterface*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KTextEditor::CodeCompletionModelControllerInterface2*", 31, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KTextEditor::CodeCompletionModelControllerInterface2::MatchReaction", 31, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KTextEditor::Command*", 32, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::CommandExtension*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::CommandInterface*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "KTextEditor::ConfigInterface*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KTextEditor::ConfigPage*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::ContainerInterface*", 37, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KTextEditor::CoordinatesToCursorInterface*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KTextEditor::Cursor", 39, Smoke::t_class|Smoke::tf_stack },	//53
    { "KTextEditor::Cursor&", 39, Smoke::t_class|Smoke::tf_ref },	//54
    { "KTextEditor::Cursor*", 39, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KTextEditor::Document*", 40, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KTextEditor::Editor*", 41, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KTextEditor::EditorChooser*", 42, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KTextEditor::Factory*", 43, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KTextEditor::HighlightInterface*", 44, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::HighlightInterface::AttributeBlock*", 45, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KTextEditor::HighlightInterface::DefaultStyle", 44, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KTextEditor::LoadSaveFilterCheckPlugin*", 46, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KTextEditor::Mark", 47, Smoke::t_class|Smoke::tf_stack },	//64
    { "KTextEditor::Mark*", 47, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KTextEditor::MarkInterface*", 48, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KTextEditor::MarkInterface::MarkChangeAction", 48, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KTextEditor::MarkInterface::MarkTypes", 48, Smoke::t_enum|Smoke::tf_stack },	//68
    { "KTextEditor::MdiContainer*", 49, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KTextEditor::ModificationInterface*", 50, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 50, Smoke::t_enum|Smoke::tf_stack },	//71
    { "KTextEditor::ParameterizedSessionConfigInterface*", 51, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KTextEditor::ParameterizedSessionConfigInterface::SessionConfigParameter", 51, Smoke::t_enum|Smoke::tf_stack },	//73
    { "KTextEditor::Plugin*", 52, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KTextEditor::Range", 53, Smoke::t_class|Smoke::tf_stack },	//75
    { "KTextEditor::Range&", 53, Smoke::t_class|Smoke::tf_ref },	//76
    { "KTextEditor::Range*", 53, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KTextEditor::RangeCommand*", 54, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "KTextEditor::SearchInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KTextEditor::SessionConfigInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//82
    { "KTextEditor::SmartCursor&", 57, Smoke::t_class|Smoke::tf_ref },	//83
    { "KTextEditor::SmartCursor*", 57, Smoke::t_class|Smoke::tf_ptr },	//84
    { "KTextEditor::SmartCursor::AdvanceMode", 57, Smoke::t_enum|Smoke::tf_stack },	//85
    { "KTextEditor::SmartCursor::InsertBehavior", 57, Smoke::t_enum|Smoke::tf_stack },	//86
    { "KTextEditor::SmartCursorNotifier*", 58, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KTextEditor::SmartCursorWatcher*", 59, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::SmartInterface*", 60, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KTextEditor::SmartRange&", 61, Smoke::t_class|Smoke::tf_ref },	//90
    { "KTextEditor::SmartRange*", 61, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KTextEditor::SmartRange::InsertBehavior", 61, Smoke::t_enum|Smoke::tf_stack },	//92
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "KTextEditor::SmartRangeNotifier*", 62, Smoke::t_class|Smoke::tf_ptr },	//94
    { "KTextEditor::SmartRangeWatcher*", 63, Smoke::t_class|Smoke::tf_ptr },	//95
    { "KTextEditor::TemplateInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KTextEditor::TextHintInterface*", 65, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KTextEditor::VariableInterface*", 66, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KTextEditor::View*", 67, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KTextEditor::View::EditMode", 67, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KTextEditor::ViewBarContainer*", 68, Smoke::t_class|Smoke::tf_ptr },	//101
    { "KTextEditor::ViewBarContainer::Position", 68, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KXMLGUIClient::ReverseStateChange", 70, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QAction*", 72, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QActionEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QBool", 74, Smoke::t_class|Smoke::tf_stack },	//106
    { "QBrush", 75, Smoke::t_class|Smoke::tf_stack },	//107
    { "QChar", 76, Smoke::t_class|Smoke::tf_stack },	//108
    { "QChildEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QCloseEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QContextMenuEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QDomDocument", 80, Smoke::t_class|Smoke::tf_stack },	//112
    { "QDragEnterEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QDragLeaveEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QDragMoveEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QDropEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QEvent*", 86, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QFlags<KTextEditor::Attribute::Effect>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KTextEditor::SmartRange::InsertBehavior>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFocusEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QHideEvent*", 90, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QIncompatibleFlag", 91, Smoke::t_class|Smoke::tf_stack },	//131
    { "QInputMethodEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QKeyEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QList<KTextEditor::HighlightInterface::AttributeBlock>", 0, Smoke::t_voidp|Smoke::tf_stack },	//135
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//136
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//137
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//138
    { "QMap<QString,QString>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//139
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QMenu*", 94, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QMetaObject::Call", 95, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QModelIndex", 97, Smoke::t_class|Smoke::tf_stack },	//144
    { "QMouseEvent*", 98, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QMoveEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QMutex*", 100, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QObject*", 101, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QPaintEngine*", 102, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QPaintEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QPixmap", 105, Smoke::t_class|Smoke::tf_stack },	//152
    { "QPoint", 106, Smoke::t_class|Smoke::tf_stack },	//153
    { "QRegExp&", 107, Smoke::t_class|Smoke::tf_ref },	//154
    { "QResizeEvent*", 108, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QShowEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QSize", 111, Smoke::t_class|Smoke::tf_stack },	//157
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//160
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//162
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QStyle&", 112, Smoke::t_class|Smoke::tf_ref },	//164
    { "QTabletEvent*", 113, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QTimerEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QVariant", 116, Smoke::t_class|Smoke::tf_stack },	//167
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QWheelEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QWidget*", 118, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtMsgType", 89, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForActiveQtModule", 89, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForCoreModule", 89, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForDBusModule", 89, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForDeclarativeModule", 89, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForGuiModule", 89, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForHelpModule", 89, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForMultimediaModule", 89, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForNetworkModule", 89, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForOpenGLModule", 89, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForOpenVGModule", 89, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QtValidLicenseForQt3SupportLightModule", 89, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QtValidLicenseForQt3SupportModule", 89, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QtValidLicenseForScriptModule", 89, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QtValidLicenseForScriptToolsModule", 89, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtValidLicenseForSqlModule", 89, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QtValidLicenseForSvgModule", 89, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QtValidLicenseForTestModule", 89, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QtValidLicenseForXmlModule", 89, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QtValidLicenseForXmlPatternsModule", 89, Smoke::t_enum|Smoke::tf_stack },	//261
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//262
    { "__codecvt_result", 89, Smoke::t_enum|Smoke::tf_stack },	//263
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//264
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const KComponentData&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const KTextEditor::AnnotationInterface&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const KTextEditor::AnnotationViewInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const KTextEditor::CodeCompletionInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const KTextEditor::CodeCompletionModelControllerInterface&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const KTextEditor::CodeCompletionModelControllerInterface2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const KTextEditor::Command&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KTextEditor::CommandExtension&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KTextEditor::CommandInterface&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KTextEditor::ConfigInterface&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const KTextEditor::ContainerInterface&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const KTextEditor::CoordinatesToCursorInterface&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KTextEditor::Cursor&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KTextEditor::HighlightInterface&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KTextEditor::HighlightInterface::AttributeBlock&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KTextEditor::HighlightInterface::DefaultStyle", 44, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const KTextEditor::Mark&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const KTextEditor::MarkInterface&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const KTextEditor::MdiContainer&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const KTextEditor::ModificationInterface&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const KTextEditor::ParameterizedSessionConfigInterface&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const KTextEditor::Range&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const KTextEditor::RangeCommand&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const KTextEditor::SearchInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const KTextEditor::SessionConfigInterface&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const KTextEditor::SmartCursor&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const KTextEditor::SmartCursorWatcher&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const KTextEditor::SmartInterface&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const KTextEditor::SmartRange&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const KTextEditor::SmartRange*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const KTextEditor::SmartRangeWatcher&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const KTextEditor::TemplateInterface&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const KTextEditor::TextHintInterface&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const KTextEditor::VariableInterface&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const KTextEditor::ViewBarContainer&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const KUrl&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QBrush&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QDomDocument&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QDomElement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//308
    { "const QFont&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//313
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QMetaObject&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QMetaObject*", 95, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//324
    { "const QModelIndex&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QObject*", 101, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//326
    { "const QPalette&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QPixmap&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QPoint&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QRegExp&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "const QVariant&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//336
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//337
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//338
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//339
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//340
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//341
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//342
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//343
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//344
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//345
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//346
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    170, 148, 335, 332, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    148, 335, 332, 0,	//6  QObject*, const char*, const QStringList&
    170, 0,	//10  QWidget*
    14, 0,	//12  KParts::PartManager*
    170, 329, 0,	//14  QWidget*, const QPoint&
    264, 0,	//17  bool
    117, 0,	//19  QEvent*
    13, 0,	//21  KParts::PartActivateEvent*
    15, 0,	//23  KParts::PartSelectEvent*
    266, 0,	//25  const KComponentData&
    266, 264, 0,	//27  const KComponentData&, bool
    304, 0,	//30  const KUrl&
    11, 0,	//32  KParts::GUIActivateEvent*
    335, 170, 148, 319, 331, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    41, 121, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    93, 93, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    41, 339, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    31, 31, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    37, 120, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    93, 339, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    93, 125, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    31, 119, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    37, 37, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    31, 339, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    335, 0,	//70  const char*
    16, 148, 0,	//72  KSharedPtr<KService>, QObject*
    37, 339, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    41, 41, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    24, 0,	//81  KTextEditor::AnnotationModel*
    269, 0,	//83  const KTextEditor::AnnotationInterface&
    335, 335, 0,	//85  const char*, const char*
    335, 335, 339, 0,	//88  const char*, const char*, int
    142, 339, 345, 0,	//92  QMetaObject::Call, int, void**
    339, 205, 0,	//96  int, Qt::ItemDataRole
    339, 0,	//99  int
    99, 141, 339, 0,	//101  KTextEditor::View*, QMenu*, int
    99, 339, 0,	//105  KTextEditor::View*, int
    99, 264, 0,	//108  KTextEditor::View*, bool
    270, 0,	//111  const KTextEditor::AnnotationViewInterface&
    271, 0,	//113  const KTextEditor::Attribute&
    305, 0,	//115  const QBrush&
    28, 0,	//117  KTextEditor::Attribute::ActivationType
    28, 18, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    118, 0,	//122  QFlags<KTextEditor::Attribute::Effect>
    290, 34, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    34, 0,	//127  KTextEditor::CodeCompletionModel*
    272, 0,	//129  const KTextEditor::CodeCompletionInterface&
    148, 0,	//131  QObject*
    99, 290, 42, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    56, 290, 339, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    325, 0,	//141  const QModelIndex&
    339, 339, 325, 0,	//143  int, int, const QModelIndex&
    34, 264, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    339, 339, 0,	//150  int, int
    56, 290, 325, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    99, 331, 264, 281, 0,	//157  KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&
    99, 281, 0,	//162  KTextEditor::View*, const KTextEditor::Cursor&
    99, 90, 0,	//165  KTextEditor::View*, KTextEditor::SmartRange&
    99, 297, 281, 0,	//168  KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&
    99, 297, 331, 0,	//172  KTextEditor::View*, const KTextEditor::SmartRange&, const QString&
    325, 108, 0,	//176  const QModelIndex&, QChar
    99, 0,	//179  KTextEditor::View*
    273, 0,	//181  const KTextEditor::CodeCompletionModelControllerInterface&
    274, 0,	//183  const KTextEditor::CodeCompletionModelControllerInterface2&
    99, 331, 160, 0,	//185  KTextEditor::View*, const QString&, QString&
    275, 0,	//189  const KTextEditor::Command&
    162, 0,	//191  QStringList&
    99, 331, 0,	//193  KTextEditor::View*, const QString&
    331, 0,	//196  const QString&
    276, 0,	//198  const KTextEditor::CommandExtension&
    46, 0,	//200  KTextEditor::Command*
    277, 0,	//202  const KTextEditor::CommandInterface&
    331, 334, 0,	//204  const QString&, const QVariant&
    278, 0,	//207  const KTextEditor::ConfigInterface&
    279, 0,	//209  const KTextEditor::ContainerInterface&
    329, 0,	//211  const QPoint&
    280, 0,	//213  const KTextEditor::CoordinatesToCursorInterface&
    281, 0,	//215  const KTextEditor::Cursor&
    340, 340, 0,	//217  int&, int&
    77, 0,	//220  KTextEditor::Range*
    56, 99, 0,	//222  KTextEditor::Document*, KTextEditor::View*
    56, 0,	//225  KTextEditor::Document*
    56, 264, 0,	//227  KTextEditor::Document*, bool
    290, 264, 0,	//230  const KTextEditor::Range&, bool
    332, 0,	//233  const QStringList&
    281, 331, 264, 0,	//235  const KTextEditor::Cursor&, const QString&, bool
    281, 332, 264, 0,	//239  const KTextEditor::Cursor&, const QStringList&, bool
    290, 331, 264, 0,	//243  const KTextEditor::Range&, const QString&, bool
    290, 332, 264, 0,	//247  const KTextEditor::Range&, const QStringList&, bool
    339, 331, 0,	//251  int, const QString&
    339, 332, 0,	//254  int, const QStringList&
    56, 290, 0,	//257  KTextEditor::Document*, const KTextEditor::Range&
    56, 290, 331, 0,	//260  KTextEditor::Document*, const KTextEditor::Range&, const QString&
    56, 290, 290, 0,	//264  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    56, 290, 331, 290, 0,	//268  KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&
    290, 0,	//273  const KTextEditor::Range&
    281, 331, 0,	//275  const KTextEditor::Cursor&, const QString&
    281, 332, 0,	//278  const KTextEditor::Cursor&, const QStringList&
    290, 331, 0,	//281  const KTextEditor::Range&, const QString&
    290, 332, 0,	//284  const KTextEditor::Range&, const QStringList&
    6, 0,	//287  KConfig*
    339, 170, 0,	//289  int, QWidget*
    57, 56, 0,	//292  KTextEditor::Editor*, KTextEditor::Document*
    331, 264, 0,	//295  const QString&, bool
    284, 0,	//298  const KTextEditor::HighlightInterface::DefaultStyle
    337, 0,	//300  const unsigned int
    282, 0,	//302  const KTextEditor::HighlightInterface&
    336, 336, 268, 0,	//304  const int, const int, const KSharedPtr<KTextEditor::Attribute>&
    283, 0,	//308  const KTextEditor::HighlightInterface::AttributeBlock&
    268, 0,	//310  const KSharedPtr<KTextEditor::Attribute>&
    285, 0,	//312  const KTextEditor::Mark&
    342, 0,	//314  unsigned int
    339, 342, 0,	//316  int, unsigned int
    68, 328, 0,	//319  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    68, 0,	//322  KTextEditor::MarkInterface::MarkTypes
    68, 331, 0,	//324  KTextEditor::MarkInterface::MarkTypes, const QString&
    56, 64, 67, 0,	//327  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    286, 0,	//331  const KTextEditor::MarkInterface&
    287, 0,	//333  const KTextEditor::MdiContainer&
    71, 0,	//335  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    56, 264, 71, 0,	//337  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    288, 0,	//341  const KTextEditor::ModificationInterface&
    267, 343, 0,	//343  const KConfigGroup&, unsigned long
    7, 343, 0,	//346  KConfigGroup&, unsigned long
    289, 0,	//349  const KTextEditor::ParameterizedSessionConfigInterface&
    281, 281, 0,	//351  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    281, 339, 0,	//354  const KTextEditor::Cursor&, int
    281, 339, 339, 0,	//357  const KTextEditor::Cursor&, int, int
    339, 339, 339, 339, 0,	//361  int, int, int, int
    55, 55, 0,	//366  KTextEditor::Cursor*, KTextEditor::Cursor*
    55, 290, 0,	//369  KTextEditor::Cursor*, const KTextEditor::Range&
    55, 0,	//372  KTextEditor::Cursor*
    99, 331, 160, 290, 0,	//374  KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&
    291, 0,	//379  const KTextEditor::RangeCommand&
    290, 331, 308, 0,	//381  const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>
    292, 0,	//385  const KTextEditor::SearchInterface&
    267, 0,	//387  const KConfigGroup&
    7, 0,	//389  KConfigGroup&
    293, 0,	//391  const KTextEditor::SessionConfigInterface&
    332, 264, 0,	//393  const QStringList&, bool
    339, 85, 0,	//396  int, KTextEditor::SmartCursor::AdvanceMode
    86, 0,	//399  KTextEditor::SmartCursor::InsertBehavior
    88, 0,	//401  KTextEditor::SmartCursorWatcher*
    294, 0,	//403  const KTextEditor::SmartCursor&
    281, 56, 86, 0,	//405  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    84, 0,	//409  KTextEditor::SmartCursor*
    84, 264, 0,	//411  KTextEditor::SmartCursor*, bool
    295, 0,	//414  const KTextEditor::SmartCursorWatcher&
    281, 86, 0,	//416  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    290, 124, 0,	//419  const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>
    339, 339, 86, 0,	//422  int, int, KTextEditor::SmartCursor::InsertBehavior
    290, 91, 124, 0,	//426  const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    281, 281, 91, 124, 0,	//430  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    339, 339, 339, 339, 91, 124, 0,	//435  int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    84, 84, 91, 124, 0,	//442  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    91, 0,	//447  KTextEditor::SmartRange*
    91, 264, 0,	//449  KTextEditor::SmartRange*, bool
    99, 91, 264, 0,	//452  KTextEditor::View*, KTextEditor::SmartRange*, bool
    99, 91, 0,	//456  KTextEditor::View*, KTextEditor::SmartRange*
    18, 0,	//459  KSharedPtr<KTextEditor::Attribute>
    296, 0,	//461  const KTextEditor::SmartInterface&
    290, 91, 0,	//463  const KTextEditor::Range&, KTextEditor::SmartRange*
    281, 281, 91, 0,	//466  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    339, 339, 339, 339, 91, 0,	//470  int, int, int, int, KTextEditor::SmartRange*
    84, 84, 0,	//476  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    84, 84, 91, 0,	//479  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    124, 0,	//483  QFlags<KTextEditor::SmartRange::InsertBehavior>
    298, 0,	//485  const KTextEditor::SmartRange*
    281, 158, 158, 0,	//487  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//491  KAction*
    94, 0,	//493  KTextEditor::SmartRangeNotifier*
    95, 0,	//495  KTextEditor::SmartRangeWatcher*
    297, 0,	//497  const KTextEditor::SmartRange&
    281, 158, 0,	//499  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    91, 91, 0,	//502  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    91, 99, 0,	//505  KTextEditor::SmartRange*, KTextEditor::View*
    91, 91, 91, 0,	//508  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    91, 32, 32, 0,	//512  KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr
    91, 18, 18, 0,	//516  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    299, 0,	//520  const KTextEditor::SmartRangeWatcher&
    138, 170, 0,	//522  QMap<QString,QString>&, QWidget*
    281, 331, 320, 0,	//525  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    331, 139, 0,	//529  const QString&, QMap<QString,QString>*
    300, 0,	//532  const KTextEditor::TemplateInterface&
    281, 160, 0,	//534  const KTextEditor::Cursor&, QString&
    301, 0,	//537  const KTextEditor::TextHintInterface&
    56, 331, 331, 0,	//539  KTextEditor::Document*, const QString&, const QString&
    302, 0,	//543  const KTextEditor::VariableInterface&
    99, 100, 0,	//545  KTextEditor::View*, KTextEditor::View::EditMode
    99, 281, 331, 0,	//548  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    141, 0,	//552  QMenu*
    99, 141, 0,	//554  KTextEditor::View*, QMenu*
    53, 0,	//557  KTextEditor::Cursor
    281, 339, 264, 0,	//559  const KTextEditor::Cursor&, int, bool
    99, 102, 0,	//563  KTextEditor::View*, KTextEditor::ViewBarContainer::Position
    99, 170, 102, 0,	//566  KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position
    303, 0,	//570  const KTextEditor::ViewBarContainer&
    307, 0,	//572  const QDomElement&
    331, 264, 264, 0,	//574  const QString&, bool, bool
    306, 264, 0,	//578  const QDomDocument&, bool
    331, 103, 0,	//581  const QString&, KXMLGUIClient::ReverseStateChange
    339, 344, 0,	//584  int, void*
    325, 339, 0,	//587  const QModelIndex&, int
    325, 334, 339, 0,	//590  const QModelIndex&, const QVariant&, int
    339, 216, 339, 0,	//594  int, Qt::Orientation, int
    339, 216, 334, 339, 0,	//598  int, Qt::Orientation, const QVariant&, int
    325, 321, 0,	//603  const QModelIndex&, const QMap<int,QVariant>&
    318, 0,	//606  const QList<QModelIndex>&
    324, 192, 339, 339, 325, 0,	//608  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    339, 224, 0,	//614  int, Qt::SortOrder
    325, 339, 334, 339, 128, 0,	//617  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    148, 117, 0,	//623  QObject*, QEvent*
    166, 0,	//626  QTimerEvent*
    109, 0,	//628  QChildEvent*
    145, 0,	//630  QMouseEvent*
    169, 0,	//632  QWheelEvent*
    133, 0,	//634  QKeyEvent*
    129, 0,	//636  QFocusEvent*
    151, 0,	//638  QPaintEvent*
    146, 0,	//640  QMoveEvent*
    155, 0,	//642  QResizeEvent*
    110, 0,	//644  QCloseEvent*
    111, 0,	//646  QContextMenuEvent*
    165, 0,	//648  QTabletEvent*
    105, 0,	//650  QActionEvent*
    113, 0,	//652  QDragEnterEvent*
    115, 0,	//654  QDragMoveEvent*
    114, 0,	//656  QDragLeaveEvent*
    116, 0,	//658  QDropEvent*
    156, 0,	//660  QShowEvent*
    130, 0,	//662  QHideEvent*
    262, 0,	//664  _XEvent*
    149, 0,	//666  QPaintDevice::PaintDeviceMetric
    132, 0,	//668  QInputMethodEvent*
    204, 0,	//670  Qt::InputMethodQuery
    164, 0,	//672  QStyle&
    327, 0,	//674  const QPalette&
    309, 0,	//676  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeBlock",	//15
    "AttributeBlock#",	//16
    "AttributeBlock$$?",	//17
    "AttributeDynamicEffect",	//18
    "AttributeInternalProperty",	//19
    "AttributeUserProperty",	//20
    "AutomaticInvocation",	//21
    "BackgroundFillWhitespace",	//22
    "BestMatchesCount",	//23
    "Bookmark",	//24
    "BottomBar",	//25
    "BreakpointActive",	//26
    "BreakpointDisabled",	//27
    "BreakpointReached",	//28
    "ByCharacter",	//29
    "ByCursorPosition",	//30
    "Class",	//31
    "CodeCompletionInterface",	//32
    "CodeCompletionInterface#",	//33
    "CodeCompletionModel",	//34
    "CodeCompletionModel#",	//35
    "CodeCompletionModel2",	//36
    "CodeCompletionModel2#",	//37
    "CodeCompletionModelControllerInterface",	//38
    "CodeCompletionModelControllerInterface#",	//39
    "CodeCompletionModelControllerInterface2",	//40
    "CodeCompletionModelControllerInterface2#",	//41
    "ColumnCount",	//42
    "Command",	//43
    "Command#",	//44
    "CommandExtension",	//45
    "CommandExtension#",	//46
    "CommandInterface",	//47
    "CommandInterface#",	//48
    "CompletionRole",	//49
    "ConfigInterface",	//50
    "ConfigInterface#",	//51
    "ConfigPage",	//52
    "ConfigPage#",	//53
    "Const",	//54
    "ContainerInterface",	//55
    "ContainerInterface#",	//56
    "CoordinatesToCursorInterface",	//57
    "CoordinatesToCursorInterface#",	//58
    "Cursor",	//59
    "Cursor#",	//60
    "Cursor$$",	//61
    "CustomHighlight",	//62
    "CustomHighlighting",	//63
    "DoNotExpand",	//64
    "DoNotLoadPlugins",	//65
    "Document",	//66
    "Document#",	//67
    "DrawChildren",	//68
    "DrawWindowBackground",	//69
    "EditInsert",	//70
    "EditOverwrite",	//71
    "Editor",	//72
    "Editor#",	//73
    "EditorChooser",	//74
    "EditorChooser#",	//75
    "EffectCycleGradient",	//76
    "EffectFadeIn",	//77
    "EffectFadeOut",	//78
    "EffectNone",	//79
    "EffectPulse",	//80
    "Enum",	//81
    "Error",	//82
    "Execution",	//83
    "ExpandLeft",	//84
    "ExpandRight",	//85
    "ExpandingWidget",	//86
    "Factory",	//87
    "Factory#",	//88
    "FirstProperty",	//89
    "Friend",	//90
    "Function",	//91
    "GlobalScope",	//92
    "GroupRole",	//93
    "HideListIfAutomaticInvocation",	//94
    "HighlightInterface",	//95
    "HighlightInterface#",	//96
    "HighlightingMethod",	//97
    "Icon",	//98
    "IgnoreMask",	//99
    "InheritanceDepth",	//100
    "Inline",	//101
    "InternalHighlighting",	//102
    "IsExpandable",	//103
    "ItemSelected",	//104
    "KST_CTimeInfo",	//105
    "KST_KCustom",	//106
    "KST_KDEDesktopMimeType",	//107
    "KST_KFolderMimeType",	//108
    "KST_KImageIO",	//109
    "KST_KImageIOFormat",	//110
    "KST_KMimeType",	//111
    "KST_KMimeTypeEntry",	//112
    "KST_KMimeTypeFactory",	//113
    "KST_KProtocolInfo",	//114
    "KST_KProtocolInfoFactory",	//115
    "KST_KService",	//116
    "KST_KServiceFactory",	//117
    "KST_KServiceGroup",	//118
    "KST_KServiceGroupFactory",	//119
    "KST_KServiceSeparator",	//120
    "KST_KServiceType",	//121
    "KST_KServiceTypeFactory",	//122
    "KST_KSycocaEntry",	//123
    "KTE_INTERNAL_setupIntialValues",	//124
    "KTE_INTERNAL_setupIntialValues$?",	//125
    "LastItemDataRole",	//126
    "LastProperty",	//127
    "LeftBar",	//128
    "LicensedActiveQt",	//129
    "LicensedCore",	//130
    "LicensedDBus",	//131
    "LicensedDeclarative",	//132
    "LicensedGui",	//133
    "LicensedHelp",	//134
    "LicensedMultimedia",	//135
    "LicensedNetwork",	//136
    "LicensedOpenGL",	//137
    "LicensedOpenVG",	//138
    "LicensedQt3Support",	//139
    "LicensedQt3SupportLight",	//140
    "LicensedScript",	//141
    "LicensedScriptTools",	//142
    "LicensedSql",	//143
    "LicensedSvg",	//144
    "LicensedTest",	//145
    "LicensedXml",	//146
    "LicensedXmlPatterns",	//147
    "LoadPlugins",	//148
    "LoadPluginsIfEnabled",	//149
    "LoadSaveFilterCheckPlugin",	//150
    "LoadSaveFilterCheckPlugin#",	//151
    "LocalScope",	//152
    "ManualInvocation",	//153
    "Mark",	//154
    "Mark#",	//155
    "MarkAdded",	//156
    "MarkInterface",	//157
    "MarkInterface#",	//158
    "MarkRemoved",	//159
    "MatchQuality",	//160
    "MdiContainer",	//161
    "MdiContainer#",	//162
    "ModificationInterface",	//163
    "ModificationInterface#",	//164
    "MoveOnInsert",	//165
    "Name",	//166
    "Namespace",	//167
    "NamespaceScope",	//168
    "NoHighlighting",	//169
    "NoProperty",	//170
    "None",	//171
    "OnDiskCreated",	//172
    "OnDiskDeleted",	//173
    "OnDiskModified",	//174
    "OnDiskUnmodified",	//175
    "Outline",	//176
    "Override",	//177
    "ParameterizedSessionConfigInterface",	//178
    "ParameterizedSessionConfigInterface#",	//179
    "Plugin",	//180
    "Plugin#",	//181
    "Postfix",	//182
    "Prefix",	//183
    "Private",	//184
    "Protected",	//185
    "Public",	//186
    "Q_COMPLEX_TYPE",	//187
    "Q_DUMMY_TYPE",	//188
    "Q_MOVABLE_TYPE",	//189
    "Q_PRIMITIVE_TYPE",	//190
    "Q_STATIC_TYPE",	//191
    "QtCriticalMsg",	//192
    "QtDebugMsg",	//193
    "QtFatalMsg",	//194
    "QtSystemMsg",	//195
    "QtWarningMsg",	//196
    "Range",	//197
    "Range#",	//198
    "Range##",	//199
    "Range#$",	//200
    "Range#$$",	//201
    "Range$$$$",	//202
    "RangeCommand",	//203
    "RangeCommand#",	//204
    "RightBar",	//205
    "Scope",	//206
    "ScopeIndex",	//207
    "SearchInterface",	//208
    "SearchInterface#",	//209
    "SelectedBackground",	//210
    "SelectedForeground",	//211
    "SessionConfigInterface",	//212
    "SessionConfigInterface#",	//213
    "SetMatchContext",	//214
    "Signal",	//215
    "SkipEncoding",	//216
    "SkipHighlighting",	//217
    "SkipMode",	//218
    "SkipNone",	//219
    "SkipUrl",	//220
    "Slot",	//221
    "SmartCursor",	//222
    "SmartCursor##$",	//223
    "SmartCursorNotifier",	//224
    "SmartCursorWatcher",	//225
    "SmartCursorWatcher#",	//226
    "SmartInterface",	//227
    "SmartInterface#",	//228
    "SmartRange",	//229
    "SmartRange##",	//230
    "SmartRange###",	//231
    "SmartRange###$",	//232
    "SmartRangeNotifier",	//233
    "SmartRangeWatcher",	//234
    "SmartRangeWatcher#",	//235
    "StateNoReverse",	//236
    "StateReverse",	//237
    "Static",	//238
    "StayOnInsert",	//239
    "Struct",	//240
    "Template",	//241
    "TemplateInterface",	//242
    "TemplateInterface#",	//243
    "TextHintInterface",	//244
    "TextHintInterface#",	//245
    "TopBar",	//246
    "TypeAlias",	//247
    "Union",	//248
    "UserInvocation",	//249
    "Variable",	//250
    "VariableInterface",	//251
    "VariableInterface#",	//252
    "View",	//253
    "View#",	//254
    "ViewBarContainer",	//255
    "ViewBarContainer#",	//256
    "Virtual",	//257
    "Warning",	//258
    "__codecvt_error",	//259
    "__codecvt_noconv",	//260
    "__codecvt_ok",	//261
    "__codecvt_partial",	//262
    "abortCompletion",	//263
    "aborted",	//264
    "aborted#",	//265
    "aboutData",	//266
    "aboutToClose",	//267
    "aboutToClose#",	//268
    "aboutToReload",	//269
    "aboutToReload#",	//270
    "action",	//271
    "actionCollection",	//272
    "actionEvent",	//273
    "activeView",	//274
    "addActionsToDocument",	//275
    "addActionsToDocument#",	//276
    "addActionsToView",	//277
    "addActionsToView##",	//278
    "addDocument",	//279
    "addDocument#",	//280
    "addHighlightToDocument",	//281
    "addHighlightToDocument#",	//282
    "addHighlightToDocument#$",	//283
    "addHighlightToView",	//284
    "addHighlightToView##",	//285
    "addHighlightToView##$",	//286
    "addMark",	//287
    "addMark$$",	//288
    "addNotifier",	//289
    "addNotifier#",	//290
    "addView",	//291
    "addView#",	//292
    "addViewBarToLayout",	//293
    "addViewBarToLayout##$",	//294
    "addWatcher",	//295
    "addWatcher#",	//296
    "advance",	//297
    "advance$",	//298
    "advance$$",	//299
    "annotationActivated",	//300
    "annotationActivated#$",	//301
    "annotationBorderVisibilityChanged",	//302
    "annotationBorderVisibilityChanged#$",	//303
    "annotationContextMenuAboutToShow",	//304
    "annotationContextMenuAboutToShow##$",	//305
    "annotationModel",	//306
    "apply",	//307
    "associateAction",	//308
    "associateAction#",	//309
    "associatedActions",	//310
    "atEndOfDocument",	//311
    "atEndOfLine",	//312
    "atStartOfDocument",	//313
    "atStartOfLine",	//314
    "attribute",	//315
    "attributeDynamic",	//316
    "attributeDynamic?",	//317
    "attributeNotDynamic",	//318
    "attributeNotDynamic?",	//319
    "backgroundFillWhitespace",	//320
    "blockSelection",	//321
    "boundaryAtCursor",	//322
    "boundaryAtCursor#",	//323
    "boundaryOnLine",	//324
    "boundaryOnLine$",	//325
    "buddy",	//326
    "canFetchMore",	//327
    "caretEnteredRange",	//328
    "caretEnteredRange##",	//329
    "caretExitedRange",	//330
    "caretExitedRange##",	//331
    "changeEvent",	//332
    "changed",	//333
    "character",	//334
    "character#",	//335
    "characterDeleted",	//336
    "characterDeleted#$",	//337
    "characterInserted",	//338
    "characterInserted#$",	//339
    "checkFeedback",	//340
    "childAfter",	//341
    "childAfter#",	//342
    "childBefore",	//343
    "childBefore#",	//344
    "childEvent",	//345
    "childRangeInserted",	//346
    "childRangeInserted##",	//347
    "childRangeRemoved",	//348
    "childRangeRemoved##",	//349
    "childRanges",	//350
    "clear",	//351
    "clearAndDeleteChildRanges",	//352
    "clearAssociatedActions",	//353
    "clearChildRanges",	//354
    "clearDocumentActions",	//355
    "clearDocumentHighlights",	//356
    "clearMark",	//357
    "clearMark$",	//358
    "clearMarks",	//359
    "clearOnDocumentReload",	//360
    "clearRevision",	//361
    "clearSmartInterface",	//362
    "clearViewActions",	//363
    "clearViewActions#",	//364
    "clearViewHighlights",	//365
    "clearViewHighlights#",	//366
    "closeDocument",	//367
    "closeDocument#",	//368
    "closeEvent",	//369
    "closeUrl",	//370
    "closeView",	//371
    "closeView#",	//372
    "cmds",	//373
    "column",	//374
    "columnCount",	//375
    "columnCount#",	//376
    "columnWidth",	//377
    "commandList",	//378
    "commands",	//379
    "completionInvoked",	//380
    "completionInvoked##$",	//381
    "completionObject",	//382
    "completionObject#$",	//383
    "completionRange",	//384
    "completionRange##",	//385
    "componentData",	//386
    "configDialog",	//387
    "configDialog#",	//388
    "configDialogSupported",	//389
    "configKeys",	//390
    "configPage",	//391
    "configPage$#",	//392
    "configPageFullName",	//393
    "configPageFullName$",	//394
    "configPageIcon",	//395
    "configPageIcon$",	//396
    "configPageName",	//397
    "configPageName$",	//398
    "configPages",	//399
    "configValue",	//400
    "configValue$",	//401
    "confineToRange",	//402
    "confineToRange#",	//403
    "connectNotify",	//404
    "container",	//405
    "contains",	//406
    "contains#",	//407
    "containsColumn",	//408
    "containsColumn$",	//409
    "containsLine",	//410
    "containsLine$",	//411
    "contextMenu",	//412
    "contextMenuAboutToShow",	//413
    "contextMenuAboutToShow##",	//414
    "contextMenuEvent",	//415
    "coordinatesToCursor",	//416
    "coordinatesToCursor#",	//417
    "create",	//418
    "createDocument",	//419
    "createDocument#",	//420
    "createNotifier",	//421
    "createObject",	//422
    "createPartObject",	//423
    "createPlugin",	//424
    "createPlugin?#",	//425
    "createView",	//426
    "createView#",	//427
    "currentRevision",	//428
    "cursorChangedDirectly",	//429
    "cursorChangedDirectly#",	//430
    "cursorInText",	//431
    "cursorInText#",	//432
    "cursorPosition",	//433
    "cursorPositionChanged",	//434
    "cursorPositionChanged##",	//435
    "cursorPositionCoordinates",	//436
    "cursorPositionVirtual",	//437
    "cursorToCoordinate",	//438
    "cursorToCoordinate#",	//439
    "customEvent",	//440
    "data",	//441
    "data$$",	//442
    "deepestRangeContaining",	//443
    "deepestRangeContaining#",	//444
    "deepestRangeContaining#?",	//445
    "deepestRangeContaining#??",	//446
    "deepestRangesContaining",	//447
    "deepestRangesContaining#",	//448
    "defaultContextMenu",	//449
    "defaultContextMenu#",	//450
    "defaultEncoding",	//451
    "defaultStyle",	//452
    "defaultStyle$",	//453
    "defaults",	//454
    "deleteChildRanges",	//455
    "deleteCursors",	//456
    "deleteNotifier",	//457
    "deletePrimaryNotifier",	//458
    "deleteRanges",	//459
    "deleteViewBarForView",	//460
    "deleteViewBarForView#$",	//461
    "deleted",	//462
    "deleted#",	//463
    "depth",	//464
    "devType",	//465
    "disableTextHints",	//466
    "disconnectNotify",	//467
    "dissociateAction",	//468
    "dissociateAction#",	//469
    "document",	//470
    "documentActions",	//471
    "documentCreated",	//472
    "documentCreated##",	//473
    "documentEnd",	//474
    "documentHighlights",	//475
    "documentName",	//476
    "documentNameChanged",	//477
    "documentNameChanged#",	//478
    "documentRange",	//479
    "documentReload",	//480
    "documentSave",	//481
    "documentSaveAs",	//482
    "documentSavedOrUploaded",	//483
    "documentSavedOrUploaded#$",	//484
    "documentUrlChanged",	//485
    "documentUrlChanged#",	//486
    "documents",	//487
    "domDocument",	//488
    "dragEnterEvent",	//489
    "dragLeaveEvent",	//490
    "dragMoveEvent",	//491
    "dropEvent",	//492
    "dropMimeData",	//493
    "dsAlert",	//494
    "dsBaseN",	//495
    "dsChar",	//496
    "dsComment",	//497
    "dsDataType",	//498
    "dsDecVal",	//499
    "dsError",	//500
    "dsFloat",	//501
    "dsFunction",	//502
    "dsKeyword",	//503
    "dsNormal",	//504
    "dsOthers",	//505
    "dsRegionMarker",	//506
    "dsString",	//507
    "dynamicAttribute",	//508
    "dynamicAttribute$",	//509
    "editableMarks",	//510
    "editor",	//511
    "editor$",	//512
    "editor$$",	//513
    "effects",	//514
    "embed",	//515
    "embeddedHighlightingModes",	//516
    "enableTextHints",	//517
    "enableTextHints$",	//518
    "enabledChange",	//519
    "encoding",	//520
    "encompass",	//521
    "encompass#",	//522
    "end",	//523
    "endEditing",	//524
    "endOfLine",	//525
    "endOfLine$",	//526
    "enterEvent",	//527
    "event",	//528
    "eventFilter",	//529
    "exclusiveEditEnd",	//530
    "exclusiveEditEnd#",	//531
    "exclusiveEditStart",	//532
    "exclusiveEditStart#",	//533
    "exec",	//534
    "exec#$$",	//535
    "exec#$$#",	//536
    "executeCompletionItem",	//537
    "executeCompletionItem##$",	//538
    "executeCompletionItem2",	//539
    "executeCompletionItem2###",	//540
    "expandMacros",	//541
    "expandMacros?#",	//542
    "expandToRange",	//543
    "expandToRange#",	//544
    "fetchMore",	//545
    "filterString",	//546
    "filterString###",	//547
    "firstRangeContaining",	//548
    "firstRangeContaining#",	//549
    "flagCompletions",	//550
    "flagCompletions?",	//551
    "flags",	//552
    "focusIn",	//553
    "focusIn#",	//554
    "focusInEvent",	//555
    "focusNextPrevChild",	//556
    "focusOut",	//557
    "focusOut#",	//558
    "focusOutEvent",	//559
    "fontBold",	//560
    "fontChange",	//561
    "forceCompletion",	//562
    "getViewBarParent",	//563
    "getViewBarParent#$",	//564
    "guiActivateEvent",	//565
    "hasAnyProperty",	//566
    "hasChildren",	//567
    "hasGroups",	//568
    "hasGroupsChanged",	//569
    "hasGroupsChanged#$",	//570
    "hasNotifier",	//571
    "hasParent",	//572
    "hasParent#",	//573
    "headerData",	//574
    "heightForWidth",	//575
    "help",	//576
    "help#$$",	//577
    "hideEvent",	//578
    "hideViewBarForView",	//579
    "hideViewBarForView#$",	//580
    "highlightingMode",	//581
    "highlightingModeAt",	//582
    "highlightingModeAt#",	//583
    "highlightingModeChanged",	//584
    "highlightingModeChanged#",	//585
    "highlightingModeSection",	//586
    "highlightingModeSection$",	//587
    "highlightingModes",	//588
    "hitTest",	//589
    "horizontalScrollPositionChanged",	//590
    "horizontalScrollPositionChanged#",	//591
    "index",	//592
    "index$$",	//593
    "index$$#",	//594
    "informationMessage",	//595
    "informationMessage#$",	//596
    "inputMethodEvent",	//597
    "inputMethodQuery",	//598
    "insertBehavior",	//599
    "insertColumns",	//600
    "insertLine",	//601
    "insertLine$$",	//602
    "insertLines",	//603
    "insertLines$?",	//604
    "insertRows",	//605
    "insertTemplateText",	//606
    "insertTemplateText#$?",	//607
    "insertTemplateTextImplementation",	//608
    "insertTemplateTextImplementation#$?",	//609
    "insertText",	//610
    "insertText#$",	//611
    "insertText#$$",	//612
    "insertText#?",	//613
    "insertText#?$",	//614
    "insertText$",	//615
    "insertText?",	//616
    "insertText?$",	//617
    "intersect",	//618
    "intersect#",	//619
    "invalid",	//620
    "isActiveView",	//621
    "isAnnotationBorderVisible",	//622
    "isAutomaticInvocationEnabled",	//623
    "isCompletionActive",	//624
    "isEmpty",	//625
    "isSmartCursor",	//626
    "isSmartRange",	//627
    "isValid",	//628
    "itemData",	//629
    "itemData#",	//630
    "keyPressEvent",	//631
    "keyReleaseEvent",	//632
    "languageChange",	//633
    "leaveEvent",	//634
    "length",	//635
    "line",	//636
    "line$",	//637
    "lineAttributes",	//638
    "lineAttributes$",	//639
    "lineChanged",	//640
    "lineChanged$",	//641
    "lineLength",	//642
    "lineLength$",	//643
    "lines",	//644
    "localXMLFile",	//645
    "m_column",	//646
    "m_end",	//647
    "m_line",	//648
    "m_range",	//649
    "m_start",	//650
    "mark",	//651
    "mark$",	//652
    "markChanged",	//653
    "markChanged##$",	//654
    "markDescription",	//655
    "markDescription$",	//656
    "markPixmap",	//657
    "markPixmap$",	//658
    "markType01",	//659
    "markType02",	//660
    "markType03",	//661
    "markType04",	//662
    "markType05",	//663
    "markType06",	//664
    "markType07",	//665
    "markType08",	//666
    "markType09",	//667
    "markType10",	//668
    "markType11",	//669
    "markType12",	//670
    "markType13",	//671
    "markType14",	//672
    "markType15",	//673
    "markType16",	//674
    "markType17",	//675
    "markType18",	//676
    "markType19",	//677
    "markType20",	//678
    "markType21",	//679
    "markType22",	//680
    "markType23",	//681
    "markType24",	//682
    "markType25",	//683
    "markType26",	//684
    "markType27",	//685
    "markType28",	//686
    "markType29",	//687
    "markType30",	//688
    "markType31",	//689
    "markType32",	//690
    "marks",	//691
    "marksChanged",	//692
    "marksChanged#",	//693
    "match",	//694
    "matchingItem",	//695
    "matchingItem#",	//696
    "metaObject",	//697
    "metric",	//698
    "mimeData",	//699
    "mimeType",	//700
    "mimeTypes",	//701
    "minimumSizeHint",	//702
    "mode",	//703
    "modeChanged",	//704
    "modeChanged#",	//705
    "modeSection",	//706
    "modeSection$",	//707
    "modes",	//708
    "modifiedChanged",	//709
    "modifiedChanged#",	//710
    "modifiedOnDisk",	//711
    "modifiedOnDisk#$$",	//712
    "mostSpecificRange",	//713
    "mostSpecificRange#",	//714
    "mouseDoubleClickEvent",	//715
    "mouseEnteredRange",	//716
    "mouseEnteredRange##",	//717
    "mouseExitedRange",	//718
    "mouseExitedRange##",	//719
    "mouseMoveEvent",	//720
    "mousePositionChanged",	//721
    "mousePositionChanged##",	//722
    "mousePressEvent",	//723
    "mouseReleaseEvent",	//724
    "mouseTrackingEnabled",	//725
    "moveEvent",	//726
    "needTextHint",	//727
    "needTextHint#$",	//728
    "newSmartCursor",	//729
    "newSmartCursor#",	//730
    "newSmartCursor#$",	//731
    "newSmartCursor$$",	//732
    "newSmartCursor$$$",	//733
    "newSmartRange",	//734
    "newSmartRange#",	//735
    "newSmartRange##",	//736
    "newSmartRange###",	//737
    "newSmartRange###$",	//738
    "newSmartRange##$",	//739
    "newSmartRange$$$$",	//740
    "newSmartRange$$$$#",	//741
    "newSmartRange$$$$#$",	//742
    "notifier",	//743
    "notifiers",	//744
    "numberOfLines",	//745
    "onSingleLine",	//746
    "openFile",	//747
    "openUrl",	//748
    "openingError",	//749
    "openingErrorMessage",	//750
    "operator+=",	//751
    "operator+=#",	//752
    "operator=",	//753
    "operator=#",	//754
    "operator|",	//755
    "operator|?$",	//756
    "operator|??",	//757
    "outline",	//758
    "overlapCount",	//759
    "overlaps",	//760
    "overlaps#",	//761
    "overlapsColumn",	//762
    "overlapsColumn$",	//763
    "overlapsLine",	//764
    "overlapsLine$",	//765
    "paintEngine",	//766
    "paintEvent",	//767
    "paletteChange",	//768
    "parent",	//769
    "parent#",	//770
    "parentRange",	//771
    "parentRangeChanged",	//772
    "parentRangeChanged###",	//773
    "partActivateEvent",	//774
    "partComponentData",	//775
    "partSelectEvent",	//776
    "position",	//777
    "position$$",	//778
    "positionChanged",	//779
    "positionChanged#",	//780
    "positionDeleted",	//781
    "positionDeleted#",	//782
    "positionRelativeToCursor",	//783
    "positionRelativeToCursor#",	//784
    "positionRelativeToLine",	//785
    "positionRelativeToLine$",	//786
    "postLoadFilter",	//787
    "postLoadFilter#",	//788
    "postSaveFilterCheck",	//789
    "postSaveFilterCheck#$",	//790
    "preSavePostDialogFilterCheck",	//791
    "preSavePostDialogFilterCheck#",	//792
    "primaryNotifier",	//793
    "processText",	//794
    "processText#$",	//795
    "qt_metacall",	//796
    "qt_metacall$$?",	//797
    "qt_metacast",	//798
    "qt_metacast$",	//799
    "queryClose",	//800
    "queryCommand",	//801
    "queryCommand$",	//802
    "range",	//803
    "rangeAttributeChanged",	//804
    "rangeAttributeChanged#??",	//805
    "rangeChanged",	//806
    "rangeChanged##",	//807
    "rangeContentsChanged",	//808
    "rangeContentsChanged#",	//809
    "rangeContentsChanged##",	//810
    "rangeDeleted",	//811
    "rangeDeleted#",	//812
    "rangeEliminated",	//813
    "rangeEliminated#",	//814
    "rangePositionChanged",	//815
    "rangePositionChanged#",	//816
    "readAppSetting",	//817
    "readAppSetting$",	//818
    "readConfig",	//819
    "readConfig#",	//820
    "readParameterizedSessionConfig",	//821
    "readParameterizedSessionConfig#$",	//822
    "readSessionConfig",	//823
    "readSessionConfig#",	//824
    "rebuildChildStructure",	//825
    "registerCommand",	//826
    "registerCommand#",	//827
    "registerCompletionModel",	//828
    "registerCompletionModel#",	//829
    "releaseRevision",	//830
    "releaseRevision$",	//831
    "reloaded",	//832
    "reloaded#",	//833
    "removeActionsFromDocument",	//834
    "removeActionsFromDocument#",	//835
    "removeActionsFromView",	//836
    "removeActionsFromView##",	//837
    "removeColumns",	//838
    "removeDocument",	//839
    "removeDocument#",	//840
    "removeHighlightFromDocument",	//841
    "removeHighlightFromDocument#",	//842
    "removeHighlightFromView",	//843
    "removeHighlightFromView##",	//844
    "removeLine",	//845
    "removeLine$",	//846
    "removeMark",	//847
    "removeMark$$",	//848
    "removeNotifier",	//849
    "removeNotifier#",	//850
    "removeRows",	//851
    "removeSelection",	//852
    "removeSelectionText",	//853
    "removeText",	//854
    "removeText#",	//855
    "removeText#$",	//856
    "removeText$",	//857
    "removeView",	//858
    "removeView#",	//859
    "removeWatcher",	//860
    "removeWatcher#",	//861
    "replaceText",	//862
    "replaceText#$",	//863
    "replaceText#$$",	//864
    "replaceText#?",	//865
    "replaceText#?$",	//866
    "replaceText?",	//867
    "replaceText?$",	//868
    "reservedMarkersCount",	//869
    "reset",	//870
    "resizeEvent",	//871
    "revert",	//872
    "rowCount",	//873
    "rowCount#",	//874
    "save",	//875
    "saveAs",	//876
    "saveFile",	//877
    "saveToUrl",	//878
    "searchText",	//879
    "searchText#$",	//880
    "searchText#$$",	//881
    "selectedBackground",	//882
    "selectedForeground",	//883
    "selection",	//884
    "selectionChanged",	//885
    "selectionChanged#",	//886
    "selectionRange",	//887
    "selectionText",	//888
    "setActiveView",	//889
    "setActiveView#",	//890
    "setAnnotationBorderVisible",	//891
    "setAnnotationBorderVisible$",	//892
    "setAnnotationModel",	//893
    "setAnnotationModel#",	//894
    "setAttribute",	//895
    "setAttribute?",	//896
    "setAutomaticInvocationEnabled",	//897
    "setAutomaticInvocationEnabled$",	//898
    "setBackgroundFillWhitespace",	//899
    "setBackgroundFillWhitespace$",	//900
    "setBlockSelection",	//901
    "setBlockSelection$",	//902
    "setBothColumns",	//903
    "setBothColumns$",	//904
    "setBothLines",	//905
    "setBothLines$",	//906
    "setClearOnDocumentReload",	//907
    "setClearOnDocumentReload$",	//908
    "setColumn",	//909
    "setColumn$",	//910
    "setComponentData",	//911
    "setConfigValue",	//912
    "setConfigValue$#",	//913
    "setContainer",	//914
    "setContainer#",	//915
    "setContextMenu",	//916
    "setContextMenu#",	//917
    "setCursorPosition",	//918
    "setCursorPosition#",	//919
    "setDOMDocument",	//920
    "setData",	//921
    "setDefaultEncoding",	//922
    "setDefaultEncoding$",	//923
    "setDynamicAttribute",	//924
    "setDynamicAttribute$?",	//925
    "setEditableMarks",	//926
    "setEditableMarks$",	//927
    "setEffects",	//928
    "setEffects$",	//929
    "setEncoding",	//930
    "setEncoding$",	//931
    "setFontBold",	//932
    "setFontBold$",	//933
    "setHasGroups",	//934
    "setHasGroups$",	//935
    "setHeaderData",	//936
    "setHighlightingMode",	//937
    "setHighlightingMode$",	//938
    "setInsertBehavior",	//939
    "setInsertBehavior$",	//940
    "setItemData",	//941
    "setLength",	//942
    "setLength$",	//943
    "setLine",	//944
    "setLine$",	//945
    "setLocalXMLFile",	//946
    "setM_column",	//947
    "setM_column$",	//948
    "setM_end",	//949
    "setM_end#",	//950
    "setM_line",	//951
    "setM_line$",	//952
    "setM_range",	//953
    "setM_range#",	//954
    "setM_start",	//955
    "setM_start#",	//956
    "setManager",	//957
    "setMark",	//958
    "setMark$$",	//959
    "setMarkDescription",	//960
    "setMarkDescription$$",	//961
    "setMarkPixmap",	//962
    "setMarkPixmap$#",	//963
    "setMode",	//964
    "setMode$",	//965
    "setModified",	//966
    "setModifiedOnDisk",	//967
    "setModifiedOnDisk$",	//968
    "setModifiedOnDiskWarning",	//969
    "setModifiedOnDiskWarning$",	//970
    "setMouseTrackingEnabled",	//971
    "setMouseTrackingEnabled$",	//972
    "setOpeningError",	//973
    "setOpeningError$",	//974
    "setOpeningErrorMessage",	//975
    "setOpeningErrorMessage$",	//976
    "setOutline",	//977
    "setOutline#",	//978
    "setParentRange",	//979
    "setParentRange#",	//980
    "setPosition",	//981
    "setPosition#",	//982
    "setPosition$$",	//983
    "setRange",	//984
    "setRange#",	//985
    "setRange##",	//986
    "setReadWrite",	//987
    "setRowCount",	//988
    "setRowCount$",	//989
    "setSelectable",	//990
    "setSelectedBackground",	//991
    "setSelectedBackground#",	//992
    "setSelectedForeground",	//993
    "setSelectedForeground#",	//994
    "setSelection",	//995
    "setSelection#",	//996
    "setSelection#$",	//997
    "setSelection#$$",	//998
    "setSimpleMode",	//999
    "setSimpleMode$",	//1000
    "setStart",	//1001
    "setStart$",	//1002
    "setSuppressOpeningErrorDialogs",	//1003
    "setSuppressOpeningErrorDialogs$",	//1004
    "setText",	//1005
    "setText$",	//1006
    "setText?",	//1007
    "setType",	//1008
    "setType$",	//1009
    "setVisible",	//1010
    "setWantsDirectChanges",	//1011
    "setWantsDirectChanges$",	//1012
    "setWatcher",	//1013
    "setWatcher#",	//1014
    "setWidget",	//1015
    "setXML",	//1016
    "setXMLFile",	//1017
    "setupTranslations",	//1018
    "shouldAbortCompletion",	//1019
    "shouldAbortCompletion##$",	//1020
    "shouldExecute",	//1021
    "shouldExecute##",	//1022
    "shouldStartCompletion",	//1023
    "shouldStartCompletion#$$#",	//1024
    "showEvent",	//1025
    "showViewBarForView",	//1026
    "showViewBarForView#$",	//1027
    "simpleMode",	//1028
    "sizeHint",	//1029
    "slotModifiedOnDisk",	//1030
    "slotModifiedOnDisk#",	//1031
    "smartEnd",	//1032
    "smartMutex",	//1033
    "smartRange",	//1034
    "smartStart",	//1035
    "sort",	//1036
    "span",	//1037
    "start",	//1038
    "startCompletion",	//1039
    "startCompletion##",	//1040
    "startEditing",	//1041
    "stateChanged",	//1042
    "staticMetaObject",	//1043
    "styleChange",	//1044
    "submit",	//1045
    "supportedDropActions",	//1046
    "supportedSearchOptions",	//1047
    "supportsRange",	//1048
    "supportsRange$",	//1049
    "suppressOpeningErrorDialogs",	//1050
    "tabletEvent",	//1051
    "text",	//1052
    "text#",	//1053
    "text#$",	//1054
    "text$",	//1055
    "textChanged",	//1056
    "textChanged#",	//1057
    "textChanged###",	//1058
    "textChanged##$#",	//1059
    "textInserted",	//1060
    "textInserted##",	//1061
    "textInserted##$",	//1062
    "textLines",	//1063
    "textLines#",	//1064
    "textLines#$",	//1065
    "textRemoved",	//1066
    "textRemoved##",	//1067
    "textRemoved##$",	//1068
    "timerEvent",	//1069
    "toSmartCursor",	//1070
    "toSmartRange",	//1071
    "topParentRange",	//1072
    "totalCharacters",	//1073
    "tr",	//1074
    "tr$",	//1075
    "tr$$",	//1076
    "tr$$$",	//1077
    "trUtf8",	//1078
    "trUtf8$",	//1079
    "trUtf8$$",	//1080
    "trUtf8$$$",	//1081
    "translateFromRevision",	//1082
    "translateFromRevision#",	//1083
    "translateFromRevision#$",	//1084
    "type",	//1085
    "unbindSmartRange",	//1086
    "unbindSmartRange#",	//1087
    "unregisterCommand",	//1088
    "unregisterCommand#",	//1089
    "unregisterCompletionModel",	//1090
    "unregisterCompletionModel#",	//1091
    "updateCompletionRange",	//1092
    "updateCompletionRange##",	//1093
    "useRevision",	//1094
    "useRevision$",	//1095
    "variable",	//1096
    "variable$",	//1097
    "variableChanged",	//1098
    "variableChanged#$$",	//1099
    "verticalScrollPositionChanged",	//1100
    "verticalScrollPositionChanged##",	//1101
    "viewActions",	//1102
    "viewActions#",	//1103
    "viewCreated",	//1104
    "viewCreated##",	//1105
    "viewEditMode",	//1106
    "viewEditModeChanged",	//1107
    "viewEditModeChanged#$",	//1108
    "viewHighlights",	//1109
    "viewHighlights#",	//1110
    "viewMode",	//1111
    "viewModeChanged",	//1112
    "viewModeChanged#",	//1113
    "views",	//1114
    "virtual_hook",	//1115
    "waitForReset",	//1116
    "wantsDirectChanges",	//1117
    "wantsToProcessText",	//1118
    "wantsToProcessText$",	//1119
    "watcher",	//1120
    "watchers",	//1121
    "wheelEvent",	//1122
    "widget",	//1123
    "windowActivationChange",	//1124
    "writeAppSetting",	//1125
    "writeAppSetting$",	//1126
    "writeConfig",	//1127
    "writeConfig#",	//1128
    "writeParameterizedSessionConfig",	//1129
    "writeParameterizedSessionConfig#$",	//1130
    "writeSessionConfig",	//1131
    "writeSessionConfig#",	//1132
    "x11Event",	//1133
    "xmlFile",	//1134
    "~AnnotationInterface",	//1135
    "~AnnotationModel",	//1136
    "~AnnotationViewInterface",	//1137
    "~Attribute",	//1138
    "~AttributeBlock",	//1139
    "~CodeCompletionInterface",	//1140
    "~CodeCompletionModel",	//1141
    "~CodeCompletionModel2",	//1142
    "~CodeCompletionModelControllerInterface",	//1143
    "~CodeCompletionModelControllerInterface2",	//1144
    "~Command",	//1145
    "~CommandExtension",	//1146
    "~CommandInterface",	//1147
    "~ConfigInterface",	//1148
    "~ConfigPage",	//1149
    "~ContainerInterface",	//1150
    "~CoordinatesToCursorInterface",	//1151
    "~Cursor",	//1152
    "~Document",	//1153
    "~Editor",	//1154
    "~EditorChooser",	//1155
    "~Factory",	//1156
    "~HighlightInterface",	//1157
    "~LoadSaveFilterCheckPlugin",	//1158
    "~Mark",	//1159
    "~MarkInterface",	//1160
    "~MdiContainer",	//1161
    "~ModificationInterface",	//1162
    "~ParameterizedSessionConfigInterface",	//1163
    "~Plugin",	//1164
    "~Range",	//1165
    "~RangeCommand",	//1166
    "~SearchInterface",	//1167
    "~SessionConfigInterface",	//1168
    "~SmartCursor",	//1169
    "~SmartCursorNotifier",	//1170
    "~SmartCursorWatcher",	//1171
    "~SmartInterface",	//1172
    "~SmartRange",	//1173
    "~SmartRangeNotifier",	//1174
    "~SmartRangeWatcher",	//1175
    "~TemplateInterface",	//1176
    "~TextHintInterface",	//1177
    "~VariableInterface",	//1178
    "~View",	//1179
    "~ViewBarContainer",	//1180
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 775, 0, 0, Smoke::mf_virtual, 5, 0},	//1 KParts::Factory::partComponentData()
    {11, 423, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {11, 422, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {13, 515, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {13, 1123, 0, 0, Smoke::mf_virtual, 170, 0},	//5 KParts::Part::widget()
    {13, 957, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {13, 589, 14, 2, Smoke::mf_virtual, 12, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {13, 990, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {13, 1015, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {13, 440, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {13, 774, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {13, 776, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {15, 911, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {15, 911, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {18, 748, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 264, 0},	//15 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {18, 747, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//16 KParts::ReadOnlyPart::openFile()
    {18, 565, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {19, 987, 17, 1, Smoke::mf_virtual, 0, 0},	//18 KParts::ReadWritePart::setReadWrite(bool)
    {19, 800, 0, 0, Smoke::mf_virtual, 264, 0},	//19 KParts::ReadWritePart::queryClose()
    {19, 370, 0, 0, Smoke::mf_virtual, 264, 0},	//20 KParts::ReadWritePart::closeUrl()
    {19, 370, 17, 1, Smoke::mf_virtual, 264, 0},	//21 KParts::ReadWritePart::closeUrl(bool)
    {19, 876, 30, 1, Smoke::mf_virtual, 264, 0},	//22 KParts::ReadWritePart::saveAs(const KUrl&)
    {19, 966, 17, 1, Smoke::mf_virtual, 0, 0},	//23 KParts::ReadWritePart::setModified(bool)
    {19, 875, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 264, 0},	//24 KParts::ReadWritePart::save()
    {19, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 0},	//25 KParts::ReadWritePart::saveFile() [pure virtual]
    {19, 878, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//26 KParts::ReadWritePart::saveToUrl()
    {20, 1018, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 KPluginFactory::setupTranslations()
    {20, 418, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//28 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {22, 755, 40, 2, Smoke::mf_static, 121, 1},	//29 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {22, 755, 43, 2, Smoke::mf_static, 125, 2},	//30 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {22, 755, 46, 2, Smoke::mf_static, 131, 3},	//31 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {22, 755, 49, 2, Smoke::mf_static, 119, 4},	//32 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {22, 755, 52, 2, Smoke::mf_static, 120, 5},	//33 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {22, 755, 55, 2, Smoke::mf_static, 131, 6},	//34 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {22, 755, 58, 2, Smoke::mf_static, 125, 7},	//35 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {22, 755, 61, 2, Smoke::mf_static, 119, 8},	//36 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {22, 755, 64, 2, Smoke::mf_static, 120, 9},	//37 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {22, 755, 67, 2, Smoke::mf_static, 131, 10},	//38 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {22, 511, 70, 1, Smoke::mf_static, 57, 11},	//39 KTextEditor::editor(const char*)
    {22, 424, 72, 2, Smoke::mf_static, 74, 12},	//40 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {22, 755, 75, 2, Smoke::mf_static, 131, 13},	//41 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {22, 755, 78, 2, Smoke::mf_static, 121, 14},	//42 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {23, 893, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//43 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {23, 306, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 24, 2},	//44 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {23, 6, 0, 0, Smoke::mf_ctor, 23, 3},	//45 KTextEditor::AnnotationInterface::AnnotationInterface()
    {23, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 4},	//46 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {23, 1135, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {24, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//48 KTextEditor::AnnotationModel::metaObject() const
    {24, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//49 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {24, 1074, 85, 2, Smoke::mf_static, 159, 3},	//50 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {24, 1078, 85, 2, Smoke::mf_static, 159, 4},	//51 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {24, 1074, 88, 3, Smoke::mf_static, 159, 5},	//52 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {24, 1078, 88, 3, Smoke::mf_static, 159, 6},	//53 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {24, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//54 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 441, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 8},	//55 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {24, 870, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//56 KTextEditor::AnnotationModel::reset()
    {24, 640, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//57 KTextEditor::AnnotationModel::lineChanged(int)
    {24, 8, 0, 0, Smoke::mf_ctor, 24, 11},	//58 KTextEditor::AnnotationModel::AnnotationModel()
    {24, 1074, 70, 1, Smoke::mf_static, 159, 12},	//59 KTextEditor::AnnotationModel::tr(const char*)
    {24, 1078, 70, 1, Smoke::mf_static, 159, 13},	//60 KTextEditor::AnnotationModel::trUtf8(const char*)
    {24, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 14},	//61 KTextEditor::AnnotationModel::staticMetaObject() const
    {24, 1136, 0, 0, Smoke::mf_dtor, 0, 15 },	//62 KTextEditor::AnnotationModel::~AnnotationModel()
    {25, 891, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {25, 622, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {25, 304, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {25, 300, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {25, 302, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {25, 9, 0, 0, Smoke::mf_ctor, 25, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {25, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {25, 1137, 0, 0, Smoke::mf_dtor, 0, 8 },	//70 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {26, 13, 0, 0, Smoke::mf_ctor, 27, 1},	//71 KTextEditor::Attribute::Attribute()
    {26, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//72 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {26, 560, 0, 0, Smoke::mf_const, 264, 3},	//73 KTextEditor::Attribute::fontBold() const
    {26, 932, 17, 1, 0, 0, 4},	//74 KTextEditor::Attribute::setFontBold(bool)
    {26, 758, 0, 0, Smoke::mf_const, 107, 5},	//75 KTextEditor::Attribute::outline() const
    {26, 977, 115, 1, 0, 0, 6},	//76 KTextEditor::Attribute::setOutline(const QBrush&)
    {26, 883, 0, 0, Smoke::mf_const, 107, 7},	//77 KTextEditor::Attribute::selectedForeground() const
    {26, 993, 115, 1, 0, 0, 8},	//78 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {26, 882, 0, 0, Smoke::mf_const, 107, 9},	//79 KTextEditor::Attribute::selectedBackground() const
    {26, 991, 115, 1, 0, 0, 10},	//80 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {26, 320, 0, 0, Smoke::mf_const, 264, 11},	//81 KTextEditor::Attribute::backgroundFillWhitespace() const
    {26, 899, 17, 1, 0, 0, 12},	//82 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {26, 351, 0, 0, 0, 0, 13},	//83 KTextEditor::Attribute::clear()
    {26, 566, 0, 0, Smoke::mf_const, 264, 14},	//84 KTextEditor::Attribute::hasAnyProperty() const
    {26, 310, 0, 0, Smoke::mf_const, 311, 15},	//85 KTextEditor::Attribute::associatedActions() const
    {26, 353, 0, 0, 0, 0, 16},	//86 KTextEditor::Attribute::clearAssociatedActions()
    {26, 508, 117, 1, Smoke::mf_const, 18, 17},	//87 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {26, 924, 119, 2, 0, 0, 18},	//88 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {26, 514, 0, 0, Smoke::mf_const, 118, 19},	//89 KTextEditor::Attribute::effects() const
    {26, 928, 122, 1, 0, 0, 20},	//90 KTextEditor::Attribute::setEffects(QFlags<KTextEditor::Attribute::Effect>)
    {26, 751, 113, 1, 0, 26, 21},	//91 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {26, 753, 113, 1, 0, 26, 22},	//92 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {26, 932, 0, 0, 0, 0, 23},	//93 KTextEditor::Attribute::setFontBold()
    {26, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 24},	//94 KTextEditor::Attribute::Outline (enum)
    {26, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 25},	//95 KTextEditor::Attribute::SelectedForeground (enum)
    {26, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 26},	//96 KTextEditor::Attribute::SelectedBackground (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 27},	//97 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 28},	//98 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {26, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 29},	//99 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 30},	//100 KTextEditor::Attribute::AttributeUserProperty (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 31},	//101 KTextEditor::Attribute::ActivateMouseIn (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//102 KTextEditor::Attribute::ActivateCaretIn (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//103 KTextEditor::Attribute::EffectNone (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//104 KTextEditor::Attribute::EffectFadeIn (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//105 KTextEditor::Attribute::EffectFadeOut (enum)
    {26, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//106 KTextEditor::Attribute::EffectPulse (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//107 KTextEditor::Attribute::EffectCycleGradient (enum)
    {26, 1138, 0, 0, Smoke::mf_dtor, 0, 38 },	//108 KTextEditor::Attribute::~Attribute()
    {27, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {27, 1039, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 263, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {27, 562, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {27, 828, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 1090, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 623, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {27, 897, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {27, 32, 0, 0, Smoke::mf_ctor, 33, 9},	//117 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {27, 32, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 10},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {27, 897, 0, 0, 0, 0, 11},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled()
    {27, 1140, 0, 0, Smoke::mf_dtor, 0, 12 },	//120 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {28, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//121 KTextEditor::CodeCompletionModel::metaObject() const
    {28, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//122 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {28, 1074, 85, 2, Smoke::mf_static, 159, 3},	//123 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {28, 1078, 85, 2, Smoke::mf_static, 159, 4},	//124 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {28, 1074, 88, 3, Smoke::mf_static, 159, 5},	//125 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {28, 1078, 88, 3, Smoke::mf_static, 159, 6},	//126 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {28, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//127 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {28, 34, 131, 1, Smoke::mf_ctor, 34, 8},	//128 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {28, 988, 99, 1, 0, 0, 9},	//129 KTextEditor::CodeCompletionModel::setRowCount(int)
    {28, 380, 133, 3, Smoke::mf_virtual, 0, 10},	//130 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {28, 537, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//131 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {28, 375, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 339, 12},	//132 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {28, 592, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//133 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {28, 629, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 14},	//134 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {28, 769, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 15},	//135 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {28, 873, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 339, 16},	//136 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {28, 568, 0, 0, Smoke::mf_const, 264, 17},	//137 KTextEditor::CodeCompletionModel::hasGroups() const
    {28, 1116, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//138 KTextEditor::CodeCompletionModel::waitForReset()
    {28, 569, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//139 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {28, 934, 17, 1, Smoke::mf_protected, 0, 20},	//140 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {28, 1074, 70, 1, Smoke::mf_static, 159, 21},	//141 KTextEditor::CodeCompletionModel::tr(const char*)
    {28, 1078, 70, 1, Smoke::mf_static, 159, 22},	//142 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {28, 375, 0, 0, Smoke::mf_const, 339, 23},	//143 KTextEditor::CodeCompletionModel::columnCount() const
    {28, 592, 150, 2, Smoke::mf_const, 144, 24},	//144 KTextEditor::CodeCompletionModel::index(int, int) const
    {28, 873, 0, 0, Smoke::mf_const, 339, 25},	//145 KTextEditor::CodeCompletionModel::rowCount() const
    {28, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 26},	//146 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {28, 42, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 336, 27},	//147 KTextEditor::CodeCompletionModel::ColumnCount() const
    {28, 126, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 336, 28},	//148 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {28, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 29},	//149 KTextEditor::CodeCompletionModel::Prefix (enum)
    {28, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 30},	//150 KTextEditor::CodeCompletionModel::Icon (enum)
    {28, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 31},	//151 KTextEditor::CodeCompletionModel::Scope (enum)
    {28, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 32},	//152 KTextEditor::CodeCompletionModel::Name (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 33},	//153 KTextEditor::CodeCompletionModel::Arguments (enum)
    {28, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 34},	//154 KTextEditor::CodeCompletionModel::Postfix (enum)
    {28, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//155 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {28, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 36},	//156 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {28, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 37},	//157 KTextEditor::CodeCompletionModel::Public (enum)
    {28, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 38},	//158 KTextEditor::CodeCompletionModel::Protected (enum)
    {28, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 39},	//159 KTextEditor::CodeCompletionModel::Private (enum)
    {28, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 40},	//160 KTextEditor::CodeCompletionModel::Static (enum)
    {28, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 41},	//161 KTextEditor::CodeCompletionModel::Const (enum)
    {28, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 42},	//162 KTextEditor::CodeCompletionModel::Namespace (enum)
    {28, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 43},	//163 KTextEditor::CodeCompletionModel::Class (enum)
    {28, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 44},	//164 KTextEditor::CodeCompletionModel::Struct (enum)
    {28, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 45},	//165 KTextEditor::CodeCompletionModel::Union (enum)
    {28, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 46},	//166 KTextEditor::CodeCompletionModel::Function (enum)
    {28, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 47},	//167 KTextEditor::CodeCompletionModel::Variable (enum)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 48},	//168 KTextEditor::CodeCompletionModel::Enum (enum)
    {28, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 49},	//169 KTextEditor::CodeCompletionModel::Template (enum)
    {28, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 50},	//170 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {28, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 51},	//171 KTextEditor::CodeCompletionModel::Virtual (enum)
    {28, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 52},	//172 KTextEditor::CodeCompletionModel::Override (enum)
    {28, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 53},	//173 KTextEditor::CodeCompletionModel::Inline (enum)
    {28, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 54},	//174 KTextEditor::CodeCompletionModel::Friend (enum)
    {28, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 55},	//175 KTextEditor::CodeCompletionModel::Signal (enum)
    {28, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 56},	//176 KTextEditor::CodeCompletionModel::Slot (enum)
    {28, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 57},	//177 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {28, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 58},	//178 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {28, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 59},	//179 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {28, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 60},	//180 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {28, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 61},	//181 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {28, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 62},	//182 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {28, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 63},	//183 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {28, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 64},	//184 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {28, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 65},	//185 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {28, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 66},	//186 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {28, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 67},	//187 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {28, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 68},	//188 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {28, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 69},	//189 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {28, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 70},	//190 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {28, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 71},	//191 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 72},	//192 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {28, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 73},	//193 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 74},	//194 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 75},	//195 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {28, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 76},	//196 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 77},	//197 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {28, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 78},	//198 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {28, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 79},	//199 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 80},	//200 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {28, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 81},	//201 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {28, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 82},	//202 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {28, 1141, 0, 0, Smoke::mf_dtor, 0, 83 },	//203 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {29, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//204 KTextEditor::CodeCompletionModel2::metaObject() const
    {29, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//205 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {29, 1074, 85, 2, Smoke::mf_static, 159, 3},	//206 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {29, 1078, 85, 2, Smoke::mf_static, 159, 4},	//207 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {29, 1074, 88, 3, Smoke::mf_static, 159, 5},	//208 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {29, 1078, 88, 3, Smoke::mf_static, 159, 6},	//209 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {29, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//210 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {29, 36, 131, 1, Smoke::mf_ctor, 35, 8},	//211 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {29, 539, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//212 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {29, 1074, 70, 1, Smoke::mf_static, 159, 10},	//213 KTextEditor::CodeCompletionModel2::tr(const char*)
    {29, 1078, 70, 1, Smoke::mf_static, 159, 11},	//214 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {29, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 12},	//215 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {29, 1142, 0, 0, Smoke::mf_dtor, 0, 13 },	//216 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {30, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//217 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface()
    {30, 1023, 157, 4, Smoke::mf_virtual, 264, 2},	//218 KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion(KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&)
    {30, 384, 162, 2, Smoke::mf_virtual, 75, 3},	//219 KTextEditor::CodeCompletionModelControllerInterface::completionRange(KTextEditor::View*, const KTextEditor::Cursor&)
    {30, 1092, 165, 2, Smoke::mf_virtual, 0, 4},	//220 KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange(KTextEditor::View*, KTextEditor::SmartRange&)
    {30, 546, 168, 3, Smoke::mf_virtual, 159, 5},	//221 KTextEditor::CodeCompletionModelControllerInterface::filterString(KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&)
    {30, 1019, 172, 3, Smoke::mf_virtual, 264, 6},	//222 KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion(KTextEditor::View*, const KTextEditor::SmartRange&, const QString&)
    {30, 1021, 176, 2, Smoke::mf_virtual, 264, 7},	//223 KTextEditor::CodeCompletionModelControllerInterface::shouldExecute(const QModelIndex&, QChar)
    {30, 264, 179, 1, Smoke::mf_virtual, 0, 8},	//224 KTextEditor::CodeCompletionModelControllerInterface::aborted(KTextEditor::View*)
    {30, 38, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 9},	//225 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface(const KTextEditor::CodeCompletionModelControllerInterface&)
    {30, 1143, 0, 0, Smoke::mf_dtor, 0, 10 },	//226 KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface()
    {31, 695, 141, 1, Smoke::mf_virtual, 45, 1},	//227 KTextEditor::CodeCompletionModelControllerInterface2::matchingItem(const QModelIndex&)
    {31, 40, 0, 0, Smoke::mf_ctor, 44, 2},	//228 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2()
    {31, 40, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 3},	//229 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2(const KTextEditor::CodeCompletionModelControllerInterface2&)
    {31, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 4},	//230 KTextEditor::CodeCompletionModelControllerInterface2::None (enum)
    {31, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//231 KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation (enum)
    {31, 1144, 0, 0, Smoke::mf_dtor, 0, 6 },	//232 KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2()
    {32, 373, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 332, 1},	//233 KTextEditor::Command::cmds() [pure virtual]
    {32, 534, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 2},	//234 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {32, 576, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 3},	//235 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {32, 43, 0, 0, Smoke::mf_ctor, 46, 4},	//236 KTextEditor::Command::Command()
    {32, 43, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 5},	//237 KTextEditor::Command::Command(const KTextEditor::Command&)
    {32, 1145, 0, 0, Smoke::mf_dtor, 0, 6 },	//238 KTextEditor::Command::~Command()
    {33, 550, 191, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//239 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {33, 382, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 2},	//240 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {33, 1118, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 3},	//241 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {33, 794, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//242 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {33, 45, 0, 0, Smoke::mf_ctor, 47, 5},	//243 KTextEditor::CommandExtension::CommandExtension()
    {33, 45, 198, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 6},	//244 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {33, 1146, 0, 0, Smoke::mf_dtor, 0, 7 },	//245 KTextEditor::CommandExtension::~CommandExtension()
    {34, 826, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 1},	//246 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {34, 1088, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 2},	//247 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {34, 801, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 46, 3},	//248 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {34, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 134, 4},	//249 KTextEditor::CommandInterface::commands() const [pure virtual]
    {34, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 5},	//250 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {34, 47, 0, 0, Smoke::mf_ctor, 48, 6},	//251 KTextEditor::CommandInterface::CommandInterface()
    {34, 47, 202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 7},	//252 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {34, 1147, 0, 0, Smoke::mf_dtor, 0, 8 },	//253 KTextEditor::CommandInterface::~CommandInterface()
    {35, 50, 0, 0, Smoke::mf_ctor, 49, 1},	//254 KTextEditor::ConfigInterface::ConfigInterface()
    {35, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 2},	//255 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {35, 400, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 3},	//256 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {35, 912, 204, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//257 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {35, 50, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 5},	//258 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {35, 1148, 0, 0, Smoke::mf_dtor, 0, 6 },	//259 KTextEditor::ConfigInterface::~ConfigInterface()
    {36, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//260 KTextEditor::ConfigPage::metaObject() const
    {36, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//261 KTextEditor::ConfigPage::qt_metacast(const char*)
    {36, 1074, 85, 2, Smoke::mf_static, 159, 3},	//262 KTextEditor::ConfigPage::tr(const char*, const char*)
    {36, 1078, 85, 2, Smoke::mf_static, 159, 4},	//263 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {36, 1074, 88, 3, Smoke::mf_static, 159, 5},	//264 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {36, 1078, 88, 3, Smoke::mf_static, 159, 6},	//265 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {36, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//266 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {36, 52, 10, 1, Smoke::mf_ctor, 50, 8},	//267 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {36, 307, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//268 KTextEditor::ConfigPage::apply() [pure virtual]
    {36, 870, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//269 KTextEditor::ConfigPage::reset() [pure virtual]
    {36, 454, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//270 KTextEditor::ConfigPage::defaults() [pure virtual]
    {36, 333, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//271 KTextEditor::ConfigPage::changed()
    {36, 1074, 70, 1, Smoke::mf_static, 159, 13},	//272 KTextEditor::ConfigPage::tr(const char*)
    {36, 1078, 70, 1, Smoke::mf_static, 159, 14},	//273 KTextEditor::ConfigPage::trUtf8(const char*)
    {36, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 15},	//274 KTextEditor::ConfigPage::staticMetaObject() const
    {36, 1149, 0, 0, Smoke::mf_dtor, 0, 16 },	//275 KTextEditor::ConfigPage::~ConfigPage()
    {37, 55, 0, 0, Smoke::mf_ctor, 51, 1},	//276 KTextEditor::ContainerInterface::ContainerInterface()
    {37, 914, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//277 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {37, 405, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 3},	//278 KTextEditor::ContainerInterface::container() [pure virtual]
    {37, 55, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 4},	//279 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {37, 1150, 0, 0, Smoke::mf_dtor, 0, 5 },	//280 KTextEditor::ContainerInterface::~ContainerInterface()
    {38, 416, 211, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 1},	//281 KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor(const QPoint&) const [pure virtual]
    {38, 57, 0, 0, Smoke::mf_ctor, 52, 2},	//282 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface()
    {38, 57, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//283 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface(const KTextEditor::CoordinatesToCursorInterface&)
    {38, 1151, 0, 0, Smoke::mf_dtor, 0, 4 },	//284 KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface()
    {39, 59, 0, 0, Smoke::mf_ctor, 55, 1},	//285 KTextEditor::Cursor::Cursor()
    {39, 59, 150, 2, Smoke::mf_ctor, 55, 2},	//286 KTextEditor::Cursor::Cursor(int, int)
    {39, 59, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//287 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {39, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 4},	//288 KTextEditor::Cursor::isValid() const
    {39, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 5},	//289 KTextEditor::Cursor::isSmartCursor() const
    {39, 1070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 6},	//290 KTextEditor::Cursor::toSmartCursor() const
    {39, 620, 0, 0, Smoke::mf_static, 53, 7},	//291 KTextEditor::Cursor::invalid()
    {39, 1038, 0, 0, Smoke::mf_static, 53, 8},	//292 KTextEditor::Cursor::start()
    {39, 981, 215, 1, Smoke::mf_virtual, 0, 9},	//293 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {39, 981, 150, 2, 0, 0, 10},	//294 KTextEditor::Cursor::setPosition(int, int)
    {39, 636, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 339, 11},	//295 KTextEditor::Cursor::line() const
    {39, 944, 99, 1, Smoke::mf_virtual, 0, 12},	//296 KTextEditor::Cursor::setLine(int)
    {39, 374, 0, 0, Smoke::mf_const, 339, 13},	//297 KTextEditor::Cursor::column() const
    {39, 909, 99, 1, Smoke::mf_virtual, 0, 14},	//298 KTextEditor::Cursor::setColumn(int)
    {39, 314, 0, 0, Smoke::mf_const, 264, 15},	//299 KTextEditor::Cursor::atStartOfLine() const
    {39, 313, 0, 0, Smoke::mf_const, 264, 16},	//300 KTextEditor::Cursor::atStartOfDocument() const
    {39, 777, 217, 2, Smoke::mf_const, 0, 17},	//301 KTextEditor::Cursor::position(int&, int&) const
    {39, 803, 0, 0, Smoke::mf_const, 77, 18},	//302 KTextEditor::Cursor::range() const
    {39, 753, 215, 1, 0, 54, 19},	//303 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {39, 984, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//304 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {39, 429, 215, 1, Smoke::mf_protected, 0, 21},	//305 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {39, 648, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 339, 22},	//306 KTextEditor::Cursor::m_line() const
    {39, 951, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//307 KTextEditor::Cursor::setM_line(int)
    {39, 646, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 339, 24},	//308 KTextEditor::Cursor::m_column() const
    {39, 947, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//309 KTextEditor::Cursor::setM_column(int)
    {39, 649, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 77, 26},	//310 KTextEditor::Cursor::m_range() const
    {39, 953, 220, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//311 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {39, 1152, 0, 0, Smoke::mf_dtor, 0, 28 },	//312 KTextEditor::Cursor::~Cursor()
    {40, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//313 KTextEditor::Document::metaObject() const
    {40, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//314 KTextEditor::Document::qt_metacast(const char*)
    {40, 1074, 85, 2, Smoke::mf_static, 159, 3},	//315 KTextEditor::Document::tr(const char*, const char*)
    {40, 1078, 85, 2, Smoke::mf_static, 159, 4},	//316 KTextEditor::Document::trUtf8(const char*, const char*)
    {40, 1074, 88, 3, Smoke::mf_static, 159, 5},	//317 KTextEditor::Document::tr(const char*, const char*, int)
    {40, 1078, 88, 3, Smoke::mf_static, 159, 6},	//318 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {40, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//319 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {40, 66, 131, 1, Smoke::mf_ctor, 56, 8},	//320 KTextEditor::Document::Document(QObject*)
    {40, 511, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 9},	//321 KTextEditor::Document::editor() [pure virtual]
    {40, 426, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 10},	//322 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {40, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 11},	//323 KTextEditor::Document::activeView() const [pure virtual]
    {40, 1114, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 317, 12},	//324 KTextEditor::Document::views() const [pure virtual]
    {40, 1104, 222, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//325 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {40, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 331, 14},	//326 KTextEditor::Document::documentName() const [pure virtual]
    {40, 700, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 15},	//327 KTextEditor::Document::mimeType() [pure virtual]
    {40, 477, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//328 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {40, 485, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//329 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {40, 709, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//330 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {40, 930, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 19},	//331 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {40, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 331, 20},	//332 KTextEditor::Document::encoding() const [pure virtual]
    {40, 480, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 21},	//333 KTextEditor::Document::documentReload() [pure virtual]
    {40, 481, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 22},	//334 KTextEditor::Document::documentSave() [pure virtual]
    {40, 482, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 23},	//335 KTextEditor::Document::documentSaveAs() [pure virtual]
    {40, 483, 227, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//336 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {40, 1041, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 25},	//337 KTextEditor::Document::startEditing() [pure virtual]
    {40, 524, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 26},	//338 KTextEditor::Document::endEditing() [pure virtual]
    {40, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 27},	//339 KTextEditor::Document::text() const [pure virtual]
    {40, 1052, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 28},	//340 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {40, 334, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 29},	//341 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {40, 1063, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 30},	//342 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {40, 636, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 31},	//343 KTextEditor::Document::line(int) const [pure virtual]
    {40, 644, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 339, 32},	//344 KTextEditor::Document::lines() const [pure virtual]
    {40, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 33},	//345 KTextEditor::Document::documentEnd() const [pure virtual]
    {40, 479, 0, 0, Smoke::mf_const, 75, 34},	//346 KTextEditor::Document::documentRange() const
    {40, 1073, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 339, 35},	//347 KTextEditor::Document::totalCharacters() const [pure virtual]
    {40, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 36},	//348 KTextEditor::Document::isEmpty() const
    {40, 642, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 339, 37},	//349 KTextEditor::Document::lineLength(int) const [pure virtual]
    {40, 525, 99, 1, Smoke::mf_const, 53, 38},	//350 KTextEditor::Document::endOfLine(int) const
    {40, 1005, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 39},	//351 KTextEditor::Document::setText(const QString&) [pure virtual]
    {40, 1005, 233, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 40},	//352 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {40, 351, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 41},	//353 KTextEditor::Document::clear() [pure virtual]
    {40, 610, 235, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 42},	//354 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {40, 610, 239, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 43},	//355 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {40, 862, 243, 3, Smoke::mf_virtual, 264, 44},	//356 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {40, 862, 247, 3, Smoke::mf_virtual, 264, 45},	//357 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {40, 854, 230, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 46},	//358 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {40, 431, 215, 1, Smoke::mf_virtual, 264, 47},	//359 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {40, 601, 251, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 48},	//360 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {40, 603, 254, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 49},	//361 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {40, 845, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 50},	//362 KTextEditor::Document::removeLine(int) [pure virtual]
    {40, 1056, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//363 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {40, 1060, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//364 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {40, 1066, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//365 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {40, 1066, 260, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//366 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&, const QString&)
    {40, 1056, 264, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//367 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {40, 1056, 268, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//368 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&)
    {40, 267, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//369 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {40, 269, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//370 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {40, 832, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//371 KTextEditor::Document::reloaded(KTextEditor::Document*)
    {40, 532, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//372 KTextEditor::Document::exclusiveEditStart(KTextEditor::Document*)
    {40, 530, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//373 KTextEditor::Document::exclusiveEditEnd(KTextEditor::Document*)
    {40, 703, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 62},	//374 KTextEditor::Document::mode() const [pure virtual]
    {40, 581, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 63},	//375 KTextEditor::Document::highlightingMode() const [pure virtual]
    {40, 708, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 64},	//376 KTextEditor::Document::modes() const [pure virtual]
    {40, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 65},	//377 KTextEditor::Document::highlightingModes() const [pure virtual]
    {40, 964, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 66},	//378 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {40, 937, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 67},	//379 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {40, 586, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 68},	//380 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {40, 706, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 69},	//381 KTextEditor::Document::modeSection(int) const [pure virtual]
    {40, 704, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//382 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {40, 584, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//383 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {40, 1003, 17, 1, 0, 0, 72},	//384 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {40, 1050, 0, 0, Smoke::mf_const, 264, 73},	//385 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {40, 749, 0, 0, Smoke::mf_const, 264, 74},	//386 KTextEditor::Document::openingError() const
    {40, 750, 0, 0, Smoke::mf_const, 159, 75},	//387 KTextEditor::Document::openingErrorMessage() const
    {40, 973, 17, 1, Smoke::mf_protected, 0, 76},	//388 KTextEditor::Document::setOpeningError(bool)
    {40, 975, 196, 1, Smoke::mf_protected, 0, 77},	//389 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {40, 1074, 70, 1, Smoke::mf_static, 159, 78},	//390 KTextEditor::Document::tr(const char*)
    {40, 1078, 70, 1, Smoke::mf_static, 159, 79},	//391 KTextEditor::Document::trUtf8(const char*)
    {40, 66, 0, 0, Smoke::mf_ctor, 56, 80},	//392 KTextEditor::Document::Document()
    {40, 1052, 273, 1, Smoke::mf_const, 159, 81},	//393 KTextEditor::Document::text(const KTextEditor::Range&) const
    {40, 1063, 273, 1, Smoke::mf_const, 161, 82},	//394 KTextEditor::Document::textLines(const KTextEditor::Range&) const
    {40, 610, 275, 2, 0, 264, 83},	//395 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&)
    {40, 610, 278, 2, 0, 264, 84},	//396 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&)
    {40, 862, 281, 2, 0, 264, 85},	//397 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {40, 862, 284, 2, 0, 264, 86},	//398 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {40, 854, 273, 1, 0, 264, 87},	//399 KTextEditor::Document::removeText(const KTextEditor::Range&)
    {40, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 88},	//400 KTextEditor::Document::staticMetaObject() const
    {40, 1153, 0, 0, Smoke::mf_dtor, 0, 89 },	//401 KTextEditor::Document::~Document()
    {41, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//402 KTextEditor::Editor::metaObject() const
    {41, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//403 KTextEditor::Editor::qt_metacast(const char*)
    {41, 1074, 85, 2, Smoke::mf_static, 159, 3},	//404 KTextEditor::Editor::tr(const char*, const char*)
    {41, 1078, 85, 2, Smoke::mf_static, 159, 4},	//405 KTextEditor::Editor::trUtf8(const char*, const char*)
    {41, 1074, 88, 3, Smoke::mf_static, 159, 5},	//406 KTextEditor::Editor::tr(const char*, const char*, int)
    {41, 1078, 88, 3, Smoke::mf_static, 159, 6},	//407 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {41, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//408 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {41, 72, 131, 1, Smoke::mf_ctor, 57, 8},	//409 KTextEditor::Editor::Editor(QObject*)
    {41, 999, 17, 1, 0, 0, 9},	//410 KTextEditor::Editor::setSimpleMode(bool)
    {41, 1028, 0, 0, Smoke::mf_const, 264, 10},	//411 KTextEditor::Editor::simpleMode() const
    {41, 419, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 11},	//412 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {41, 487, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 312, 12},	//413 KTextEditor::Editor::documents() [pure virtual]
    {41, 266, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 265, 13},	//414 KTextEditor::Editor::aboutData() const [pure virtual]
    {41, 451, 0, 0, Smoke::mf_const, 331, 14},	//415 KTextEditor::Editor::defaultEncoding() const
    {41, 922, 196, 1, Smoke::mf_protected, 0, 15},	//416 KTextEditor::Editor::setDefaultEncoding(const QString&)
    {41, 819, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//417 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {41, 1127, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//418 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {41, 389, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 18},	//419 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {41, 387, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//420 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {41, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 339, 20},	//421 KTextEditor::Editor::configPages() const [pure virtual]
    {41, 391, 289, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 50, 21},	//422 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {41, 397, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 22},	//423 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {41, 393, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 23},	//424 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {41, 395, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 9, 24},	//425 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {41, 472, 292, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//426 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {41, 1074, 70, 1, Smoke::mf_static, 159, 26},	//427 KTextEditor::Editor::tr(const char*)
    {41, 1078, 70, 1, Smoke::mf_static, 159, 27},	//428 KTextEditor::Editor::trUtf8(const char*)
    {41, 819, 0, 0, 0, 0, 28},	//429 KTextEditor::Editor::readConfig()
    {41, 1127, 0, 0, 0, 0, 29},	//430 KTextEditor::Editor::writeConfig()
    {41, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 30},	//431 KTextEditor::Editor::staticMetaObject() const
    {41, 1154, 0, 0, Smoke::mf_dtor, 0, 31 },	//432 KTextEditor::Editor::~Editor()
    {42, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//433 KTextEditor::EditorChooser::metaObject() const
    {42, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//434 KTextEditor::EditorChooser::qt_metacast(const char*)
    {42, 1074, 85, 2, Smoke::mf_static, 159, 3},	//435 KTextEditor::EditorChooser::tr(const char*, const char*)
    {42, 1078, 85, 2, Smoke::mf_static, 159, 4},	//436 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {42, 1074, 88, 3, Smoke::mf_static, 159, 5},	//437 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {42, 1078, 88, 3, Smoke::mf_static, 159, 6},	//438 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {42, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//439 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {42, 74, 10, 1, Smoke::mf_ctor, 58, 8},	//440 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {42, 817, 196, 1, 0, 0, 9},	//441 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {42, 1125, 196, 1, 0, 0, 10},	//442 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {42, 511, 295, 2, Smoke::mf_static, 57, 11},	//443 KTextEditor::EditorChooser::editor(const QString&, bool)
    {42, 333, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//444 KTextEditor::EditorChooser::changed()
    {42, 1074, 70, 1, Smoke::mf_static, 159, 13},	//445 KTextEditor::EditorChooser::tr(const char*)
    {42, 1078, 70, 1, Smoke::mf_static, 159, 14},	//446 KTextEditor::EditorChooser::trUtf8(const char*)
    {42, 74, 0, 0, Smoke::mf_ctor, 58, 15},	//447 KTextEditor::EditorChooser::EditorChooser()
    {42, 817, 0, 0, 0, 0, 16},	//448 KTextEditor::EditorChooser::readAppSetting()
    {42, 1125, 0, 0, 0, 0, 17},	//449 KTextEditor::EditorChooser::writeAppSetting()
    {42, 511, 0, 0, Smoke::mf_static, 57, 18},	//450 KTextEditor::EditorChooser::editor()
    {42, 511, 196, 1, Smoke::mf_static, 57, 19},	//451 KTextEditor::EditorChooser::editor(const QString&)
    {42, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 20},	//452 KTextEditor::EditorChooser::staticMetaObject() const
    {42, 1155, 0, 0, Smoke::mf_dtor, 0, 21 },	//453 KTextEditor::EditorChooser::~EditorChooser()
    {43, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//454 KTextEditor::Factory::metaObject() const
    {43, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//455 KTextEditor::Factory::qt_metacast(const char*)
    {43, 1074, 85, 2, Smoke::mf_static, 159, 3},	//456 KTextEditor::Factory::tr(const char*, const char*)
    {43, 1078, 85, 2, Smoke::mf_static, 159, 4},	//457 KTextEditor::Factory::trUtf8(const char*, const char*)
    {43, 1074, 88, 3, Smoke::mf_static, 159, 5},	//458 KTextEditor::Factory::tr(const char*, const char*, int)
    {43, 1078, 88, 3, Smoke::mf_static, 159, 6},	//459 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {43, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//460 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {43, 87, 131, 1, Smoke::mf_ctor, 59, 8},	//461 KTextEditor::Factory::Factory(QObject*)
    {43, 511, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 9},	//462 KTextEditor::Factory::editor() [pure virtual]
    {43, 1074, 70, 1, Smoke::mf_static, 159, 10},	//463 KTextEditor::Factory::tr(const char*)
    {43, 1078, 70, 1, Smoke::mf_static, 159, 11},	//464 KTextEditor::Factory::trUtf8(const char*)
    {43, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 12},	//465 KTextEditor::Factory::staticMetaObject() const
    {43, 1156, 0, 0, Smoke::mf_dtor, 0, 13 },	//466 KTextEditor::Factory::~Factory()
    {44, 95, 0, 0, Smoke::mf_ctor, 60, 1},	//467 KTextEditor::HighlightInterface::HighlightInterface()
    {44, 452, 298, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 18, 2},	//468 KTextEditor::HighlightInterface::defaultStyle(const KTextEditor::HighlightInterface::DefaultStyle) const [pure virtual]
    {44, 638, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 3},	//469 KTextEditor::HighlightInterface::lineAttributes(const unsigned int) [pure virtual]
    {44, 516, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 4},	//470 KTextEditor::HighlightInterface::embeddedHighlightingModes() const [pure virtual]
    {44, 582, 215, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 5},	//471 KTextEditor::HighlightInterface::highlightingModeAt(const KTextEditor::Cursor&) [pure virtual]
    {44, 95, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 6},	//472 KTextEditor::HighlightInterface::HighlightInterface(const KTextEditor::HighlightInterface&)
    {44, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 7},	//473 KTextEditor::HighlightInterface::dsNormal (enum)
    {44, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 8},	//474 KTextEditor::HighlightInterface::dsKeyword (enum)
    {44, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 9},	//475 KTextEditor::HighlightInterface::dsDataType (enum)
    {44, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 10},	//476 KTextEditor::HighlightInterface::dsDecVal (enum)
    {44, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 11},	//477 KTextEditor::HighlightInterface::dsBaseN (enum)
    {44, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 12},	//478 KTextEditor::HighlightInterface::dsFloat (enum)
    {44, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 13},	//479 KTextEditor::HighlightInterface::dsChar (enum)
    {44, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 14},	//480 KTextEditor::HighlightInterface::dsString (enum)
    {44, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 15},	//481 KTextEditor::HighlightInterface::dsComment (enum)
    {44, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 16},	//482 KTextEditor::HighlightInterface::dsOthers (enum)
    {44, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 17},	//483 KTextEditor::HighlightInterface::dsAlert (enum)
    {44, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 18},	//484 KTextEditor::HighlightInterface::dsFunction (enum)
    {44, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 19},	//485 KTextEditor::HighlightInterface::dsRegionMarker (enum)
    {44, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 20},	//486 KTextEditor::HighlightInterface::dsError (enum)
    {44, 1157, 0, 0, Smoke::mf_dtor, 0, 21 },	//487 KTextEditor::HighlightInterface::~HighlightInterface()
    {45, 15, 304, 3, Smoke::mf_ctor, 61, 1},	//488 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const int, const int, const KSharedPtr<KTextEditor::Attribute>&)
    {45, 15, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//489 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const KTextEditor::HighlightInterface::AttributeBlock&)
    {45, 1038, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 339, 3},	//490 KTextEditor::HighlightInterface::AttributeBlock::start() const
    {45, 1001, 99, 1, Smoke::mf_attribute, 0, 4},	//491 KTextEditor::HighlightInterface::AttributeBlock::setStart(int)
    {45, 635, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 339, 5},	//492 KTextEditor::HighlightInterface::AttributeBlock::length() const
    {45, 942, 99, 1, Smoke::mf_attribute, 0, 6},	//493 KTextEditor::HighlightInterface::AttributeBlock::setLength(int)
    {45, 315, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 19, 7},	//494 KTextEditor::HighlightInterface::AttributeBlock::attribute() const
    {45, 895, 310, 1, Smoke::mf_attribute, 0, 8},	//495 KTextEditor::HighlightInterface::AttributeBlock::setAttribute(const KSharedPtr<KTextEditor::Attribute>&)
    {45, 1139, 0, 0, Smoke::mf_dtor, 0, 9 },	//496 KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock()
    {46, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//497 KTextEditor::LoadSaveFilterCheckPlugin::metaObject() const
    {46, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//498 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast(const char*)
    {46, 1074, 85, 2, Smoke::mf_static, 159, 3},	//499 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*)
    {46, 1078, 85, 2, Smoke::mf_static, 159, 4},	//500 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*)
    {46, 1074, 88, 3, Smoke::mf_static, 159, 5},	//501 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*, int)
    {46, 1078, 88, 3, Smoke::mf_static, 159, 6},	//502 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*, int)
    {46, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//503 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {46, 150, 131, 1, Smoke::mf_ctor, 63, 8},	//504 KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin(QObject*)
    {46, 791, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 9},	//505 KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck(KTextEditor::Document*) [pure virtual]
    {46, 789, 227, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 10},	//506 KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck(KTextEditor::Document*, bool) [pure virtual]
    {46, 787, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//507 KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter(KTextEditor::Document*) [pure virtual]
    {46, 1074, 70, 1, Smoke::mf_static, 159, 12},	//508 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*)
    {46, 1078, 70, 1, Smoke::mf_static, 159, 13},	//509 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*)
    {46, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 14},	//510 KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject() const
    {46, 1158, 0, 0, Smoke::mf_dtor, 0, 15 },	//511 KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin()
    {47, 154, 0, 0, Smoke::mf_ctor, 65, 1},	//512 KTextEditor::Mark::Mark()
    {47, 154, 312, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//513 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {47, 636, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 339, 3},	//514 KTextEditor::Mark::line() const
    {47, 944, 99, 1, Smoke::mf_attribute, 0, 4},	//515 KTextEditor::Mark::setLine(int)
    {47, 1085, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 5},	//516 KTextEditor::Mark::type() const
    {47, 1008, 314, 1, Smoke::mf_attribute, 0, 6},	//517 KTextEditor::Mark::setType(unsigned int)
    {47, 1159, 0, 0, Smoke::mf_dtor, 0, 7 },	//518 KTextEditor::Mark::~Mark()
    {48, 157, 0, 0, Smoke::mf_ctor, 66, 1},	//519 KTextEditor::MarkInterface::MarkInterface()
    {48, 651, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 342, 2},	//520 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {48, 958, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//521 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {48, 357, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//522 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {48, 287, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//523 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {48, 847, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//524 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {48, 691, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 310, 7},	//525 KTextEditor::MarkInterface::marks() [pure virtual]
    {48, 359, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//526 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {48, 869, 0, 0, Smoke::mf_static, 339, 9},	//527 KTextEditor::MarkInterface::reservedMarkersCount()
    {48, 692, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//528 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {48, 962, 319, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//529 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {48, 657, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 12},	//530 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {48, 960, 324, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//531 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {48, 655, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 14},	//532 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {48, 926, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//533 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {48, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 342, 16},	//534 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {48, 653, 327, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//535 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {48, 157, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 18},	//536 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {48, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 19},	//537 KTextEditor::MarkInterface::markType01 (enum)
    {48, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 20},	//538 KTextEditor::MarkInterface::markType02 (enum)
    {48, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 21},	//539 KTextEditor::MarkInterface::markType03 (enum)
    {48, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 22},	//540 KTextEditor::MarkInterface::markType04 (enum)
    {48, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 23},	//541 KTextEditor::MarkInterface::markType05 (enum)
    {48, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 24},	//542 KTextEditor::MarkInterface::markType06 (enum)
    {48, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 25},	//543 KTextEditor::MarkInterface::markType07 (enum)
    {48, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 26},	//544 KTextEditor::MarkInterface::markType08 (enum)
    {48, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 27},	//545 KTextEditor::MarkInterface::markType09 (enum)
    {48, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 28},	//546 KTextEditor::MarkInterface::markType10 (enum)
    {48, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 29},	//547 KTextEditor::MarkInterface::markType11 (enum)
    {48, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 30},	//548 KTextEditor::MarkInterface::markType12 (enum)
    {48, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 31},	//549 KTextEditor::MarkInterface::markType13 (enum)
    {48, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 32},	//550 KTextEditor::MarkInterface::markType14 (enum)
    {48, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 33},	//551 KTextEditor::MarkInterface::markType15 (enum)
    {48, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 34},	//552 KTextEditor::MarkInterface::markType16 (enum)
    {48, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 35},	//553 KTextEditor::MarkInterface::markType17 (enum)
    {48, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//554 KTextEditor::MarkInterface::markType18 (enum)
    {48, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 37},	//555 KTextEditor::MarkInterface::markType19 (enum)
    {48, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 38},	//556 KTextEditor::MarkInterface::markType20 (enum)
    {48, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 39},	//557 KTextEditor::MarkInterface::markType21 (enum)
    {48, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 40},	//558 KTextEditor::MarkInterface::markType22 (enum)
    {48, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 41},	//559 KTextEditor::MarkInterface::markType23 (enum)
    {48, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 42},	//560 KTextEditor::MarkInterface::markType24 (enum)
    {48, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 43},	//561 KTextEditor::MarkInterface::markType25 (enum)
    {48, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 44},	//562 KTextEditor::MarkInterface::markType26 (enum)
    {48, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 45},	//563 KTextEditor::MarkInterface::markType27 (enum)
    {48, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 46},	//564 KTextEditor::MarkInterface::markType28 (enum)
    {48, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 47},	//565 KTextEditor::MarkInterface::markType29 (enum)
    {48, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 48},	//566 KTextEditor::MarkInterface::markType30 (enum)
    {48, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 49},	//567 KTextEditor::MarkInterface::markType31 (enum)
    {48, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 50},	//568 KTextEditor::MarkInterface::markType32 (enum)
    {48, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 51},	//569 KTextEditor::MarkInterface::Bookmark (enum)
    {48, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 52},	//570 KTextEditor::MarkInterface::BreakpointActive (enum)
    {48, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 53},	//571 KTextEditor::MarkInterface::BreakpointReached (enum)
    {48, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 54},	//572 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {48, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 55},	//573 KTextEditor::MarkInterface::Execution (enum)
    {48, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 56},	//574 KTextEditor::MarkInterface::Warning (enum)
    {48, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 57},	//575 KTextEditor::MarkInterface::Error (enum)
    {48, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 58},	//576 KTextEditor::MarkInterface::MarkAdded (enum)
    {48, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 59},	//577 KTextEditor::MarkInterface::MarkRemoved (enum)
    {48, 1160, 0, 0, Smoke::mf_dtor, 0, 60 },	//578 KTextEditor::MarkInterface::~MarkInterface()
    {49, 161, 0, 0, Smoke::mf_ctor, 69, 1},	//579 KTextEditor::MdiContainer::MdiContainer()
    {49, 889, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//580 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {49, 274, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 3},	//581 KTextEditor::MdiContainer::activeView() [pure virtual]
    {49, 419, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 4},	//582 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {49, 367, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 5},	//583 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {49, 426, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 6},	//584 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {49, 371, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 7},	//585 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {49, 161, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 8},	//586 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {49, 1161, 0, 0, Smoke::mf_dtor, 0, 9 },	//587 KTextEditor::MdiContainer::~MdiContainer()
    {50, 163, 0, 0, Smoke::mf_ctor, 70, 1},	//588 KTextEditor::ModificationInterface::ModificationInterface()
    {50, 967, 335, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//589 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {50, 969, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//590 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {50, 1030, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//591 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {50, 711, 337, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//592 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {50, 163, 341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 6},	//593 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {50, 1030, 0, 0, 0, 0, 7},	//594 KTextEditor::ModificationInterface::slotModifiedOnDisk()
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 8},	//595 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 9},	//596 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 10},	//597 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//598 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {50, 1162, 0, 0, Smoke::mf_dtor, 0, 12 },	//599 KTextEditor::ModificationInterface::~ModificationInterface()
    {51, 178, 0, 0, Smoke::mf_ctor, 72, 1},	//600 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface()
    {51, 821, 343, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//601 KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig(const KConfigGroup&, unsigned long) [pure virtual]
    {51, 1129, 346, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//602 KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig(KConfigGroup&, unsigned long) [pure virtual]
    {51, 178, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 4},	//603 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface(const KTextEditor::ParameterizedSessionConfigInterface&)
    {51, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 5},	//604 KTextEditor::ParameterizedSessionConfigInterface::SkipNone (enum)
    {51, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//605 KTextEditor::ParameterizedSessionConfigInterface::SkipUrl (enum)
    {51, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 7},	//606 KTextEditor::ParameterizedSessionConfigInterface::SkipMode (enum)
    {51, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 8},	//607 KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting (enum)
    {51, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 9},	//608 KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding (enum)
    {51, 1163, 0, 0, Smoke::mf_dtor, 0, 10 },	//609 KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface()
    {52, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//610 KTextEditor::Plugin::metaObject() const
    {52, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//611 KTextEditor::Plugin::qt_metacast(const char*)
    {52, 1074, 85, 2, Smoke::mf_static, 159, 3},	//612 KTextEditor::Plugin::tr(const char*, const char*)
    {52, 1078, 85, 2, Smoke::mf_static, 159, 4},	//613 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {52, 1074, 88, 3, Smoke::mf_static, 159, 5},	//614 KTextEditor::Plugin::tr(const char*, const char*, int)
    {52, 1078, 88, 3, Smoke::mf_static, 159, 6},	//615 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {52, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//616 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {52, 180, 131, 1, Smoke::mf_ctor, 74, 8},	//617 KTextEditor::Plugin::Plugin(QObject*)
    {52, 279, 225, 1, Smoke::mf_virtual, 0, 9},	//618 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {52, 839, 225, 1, Smoke::mf_virtual, 0, 10},	//619 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {52, 291, 179, 1, Smoke::mf_virtual, 0, 11},	//620 KTextEditor::Plugin::addView(KTextEditor::View*)
    {52, 858, 179, 1, Smoke::mf_virtual, 0, 12},	//621 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {52, 1074, 70, 1, Smoke::mf_static, 159, 13},	//622 KTextEditor::Plugin::tr(const char*)
    {52, 1078, 70, 1, Smoke::mf_static, 159, 14},	//623 KTextEditor::Plugin::trUtf8(const char*)
    {52, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 15},	//624 KTextEditor::Plugin::staticMetaObject() const
    {52, 1164, 0, 0, Smoke::mf_dtor, 0, 16 },	//625 KTextEditor::Plugin::~Plugin()
    {53, 197, 0, 0, Smoke::mf_ctor, 77, 1},	//626 KTextEditor::Range::Range()
    {53, 197, 351, 2, Smoke::mf_ctor, 77, 2},	//627 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {53, 197, 354, 2, Smoke::mf_ctor, 77, 3},	//628 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {53, 197, 357, 3, Smoke::mf_ctor, 77, 4},	//629 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {53, 197, 361, 4, Smoke::mf_ctor, 77, 5},	//630 KTextEditor::Range::Range(int, int, int, int)
    {53, 197, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 6},	//631 KTextEditor::Range::Range(const KTextEditor::Range&)
    {53, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 7},	//632 KTextEditor::Range::isValid() const
    {53, 620, 0, 0, Smoke::mf_static, 75, 8},	//633 KTextEditor::Range::invalid()
    {53, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 9},	//634 KTextEditor::Range::isSmartRange() const
    {53, 1071, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 10},	//635 KTextEditor::Range::toSmartRange() const
    {53, 1038, 0, 0, 0, 54, 11},	//636 KTextEditor::Range::start()
    {53, 1038, 0, 0, Smoke::mf_const, 281, 12},	//637 KTextEditor::Range::start() const
    {53, 523, 0, 0, 0, 54, 13},	//638 KTextEditor::Range::end()
    {53, 523, 0, 0, Smoke::mf_const, 281, 14},	//639 KTextEditor::Range::end() const
    {53, 905, 99, 1, 0, 0, 15},	//640 KTextEditor::Range::setBothLines(int)
    {53, 903, 99, 1, 0, 0, 16},	//641 KTextEditor::Range::setBothColumns(int)
    {53, 984, 273, 1, Smoke::mf_virtual, 0, 17},	//642 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {53, 984, 351, 2, 0, 0, 18},	//643 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {53, 543, 273, 1, Smoke::mf_virtual, 264, 19},	//644 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {53, 402, 273, 1, Smoke::mf_virtual, 264, 20},	//645 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {53, 746, 0, 0, Smoke::mf_const, 264, 21},	//646 KTextEditor::Range::onSingleLine() const
    {53, 745, 0, 0, Smoke::mf_const, 339, 22},	//647 KTextEditor::Range::numberOfLines() const
    {53, 377, 0, 0, Smoke::mf_const, 339, 23},	//648 KTextEditor::Range::columnWidth() const
    {53, 625, 0, 0, Smoke::mf_const, 264, 24},	//649 KTextEditor::Range::isEmpty() const
    {53, 406, 273, 1, Smoke::mf_const, 264, 25},	//650 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {53, 406, 215, 1, Smoke::mf_const, 264, 26},	//651 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {53, 410, 99, 1, Smoke::mf_const, 264, 27},	//652 KTextEditor::Range::containsLine(int) const
    {53, 408, 99, 1, Smoke::mf_const, 264, 28},	//653 KTextEditor::Range::containsColumn(int) const
    {53, 760, 273, 1, Smoke::mf_const, 264, 29},	//654 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {53, 764, 99, 1, Smoke::mf_const, 264, 30},	//655 KTextEditor::Range::overlapsLine(int) const
    {53, 762, 99, 1, Smoke::mf_const, 264, 31},	//656 KTextEditor::Range::overlapsColumn(int) const
    {53, 783, 215, 1, Smoke::mf_const, 339, 32},	//657 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {53, 785, 99, 1, Smoke::mf_const, 339, 33},	//658 KTextEditor::Range::positionRelativeToLine(int) const
    {53, 322, 215, 1, Smoke::mf_const, 264, 34},	//659 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {53, 324, 99, 1, Smoke::mf_const, 264, 35},	//660 KTextEditor::Range::boundaryOnLine(int) const
    {53, 618, 273, 1, Smoke::mf_const, 75, 36},	//661 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {53, 521, 273, 1, Smoke::mf_const, 75, 37},	//662 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {53, 753, 273, 1, 0, 76, 38},	//663 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {53, 197, 366, 2, Smoke::mf_ctor|Smoke::mf_protected, 77, 39},	//664 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {53, 806, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//665 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {53, 650, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 55, 41},	//666 KTextEditor::Range::m_start() const
    {53, 955, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//667 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {53, 647, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 55, 43},	//668 KTextEditor::Range::m_end() const
    {53, 949, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//669 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {53, 1165, 0, 0, Smoke::mf_dtor, 0, 45 },	//670 KTextEditor::Range::~Range()
    {54, 534, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 1},	//671 KTextEditor::RangeCommand::exec(KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&) [pure virtual]
    {54, 1048, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 2},	//672 KTextEditor::RangeCommand::supportsRange(const QString&) [pure virtual]
    {54, 203, 0, 0, Smoke::mf_ctor, 78, 3},	//673 KTextEditor::RangeCommand::RangeCommand()
    {54, 203, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 4},	//674 KTextEditor::RangeCommand::RangeCommand(const KTextEditor::RangeCommand&)
    {54, 1166, 0, 0, Smoke::mf_dtor, 0, 5 },	//675 KTextEditor::RangeCommand::~RangeCommand()
    {55, 208, 0, 0, Smoke::mf_ctor, 81, 1},	//676 KTextEditor::SearchInterface::SearchInterface()
    {55, 879, 381, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 168, 2},	//677 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>) [pure virtual]
    {55, 1047, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 3},	//678 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {55, 208, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 4},	//679 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {55, 879, 281, 2, 0, 168, 5},	//680 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&)
    {55, 1167, 0, 0, Smoke::mf_dtor, 0, 6 },	//681 KTextEditor::SearchInterface::~SearchInterface()
    {56, 212, 0, 0, Smoke::mf_ctor, 82, 1},	//682 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {56, 823, 387, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//683 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {56, 1131, 389, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//684 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {56, 212, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 4},	//685 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {56, 1168, 0, 0, Smoke::mf_dtor, 0, 5 },	//686 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {57, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//687 KTextEditor::SmartCursor::isSmartCursor() const
    {57, 1070, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 2},	//688 KTextEditor::SmartCursor::toSmartCursor() const
    {57, 1034, 0, 0, Smoke::mf_const, 91, 3},	//689 KTextEditor::SmartCursor::smartRange() const
    {57, 470, 0, 0, Smoke::mf_const, 56, 4},	//690 KTextEditor::SmartCursor::document() const
    {57, 312, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 5},	//691 KTextEditor::SmartCursor::atEndOfLine() const
    {57, 311, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//692 KTextEditor::SmartCursor::atEndOfDocument() const
    {57, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 7},	//693 KTextEditor::SmartCursor::isValid() const
    {57, 334, 0, 0, Smoke::mf_const, 108, 8},	//694 KTextEditor::SmartCursor::character() const
    {57, 610, 393, 2, Smoke::mf_virtual, 264, 9},	//695 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {57, 297, 396, 2, Smoke::mf_virtual, 264, 10},	//696 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {57, 599, 0, 0, Smoke::mf_const, 86, 11},	//697 KTextEditor::SmartCursor::insertBehavior() const
    {57, 939, 399, 1, 0, 0, 12},	//698 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {57, 571, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 13},	//699 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {57, 743, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 87, 14},	//700 KTextEditor::SmartCursor::notifier() [pure virtual]
    {57, 457, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//701 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {57, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 88, 16},	//702 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {57, 1013, 401, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//703 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {57, 753, 403, 1, 0, 83, 18},	//704 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {57, 222, 405, 3, Smoke::mf_ctor|Smoke::mf_protected, 84, 19},	//705 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {57, 610, 233, 1, 0, 264, 20},	//706 KTextEditor::SmartCursor::insertText(const QStringList&)
    {57, 297, 99, 1, 0, 264, 21},	//707 KTextEditor::SmartCursor::advance(int)
    {57, 1013, 0, 0, 0, 0, 22},	//708 KTextEditor::SmartCursor::setWatcher()
    {57, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 23},	//709 KTextEditor::SmartCursor::ByCharacter (enum)
    {57, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 24},	//710 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {57, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 25},	//711 KTextEditor::SmartCursor::StayOnInsert (enum)
    {57, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 26},	//712 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {57, 1169, 0, 0, Smoke::mf_dtor, 0, 27 },	//713 KTextEditor::SmartCursor::~SmartCursor()
    {58, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//714 KTextEditor::SmartCursorNotifier::metaObject() const
    {58, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//715 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {58, 1074, 85, 2, Smoke::mf_static, 159, 3},	//716 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {58, 1078, 85, 2, Smoke::mf_static, 159, 4},	//717 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {58, 1074, 88, 3, Smoke::mf_static, 159, 5},	//718 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {58, 1078, 88, 3, Smoke::mf_static, 159, 6},	//719 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {58, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//720 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {58, 224, 0, 0, Smoke::mf_ctor, 87, 8},	//721 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {58, 1117, 0, 0, Smoke::mf_const, 264, 9},	//722 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {58, 1011, 17, 1, 0, 0, 10},	//723 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {58, 779, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//724 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {58, 781, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//725 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {58, 336, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//726 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {58, 338, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//727 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {58, 462, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//728 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {58, 1074, 70, 1, Smoke::mf_static, 159, 16},	//729 KTextEditor::SmartCursorNotifier::tr(const char*)
    {58, 1078, 70, 1, Smoke::mf_static, 159, 17},	//730 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {58, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 18},	//731 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {58, 1170, 0, 0, Smoke::mf_dtor, 0, 19 },	//732 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {59, 225, 0, 0, Smoke::mf_ctor, 88, 1},	//733 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {59, 1117, 0, 0, Smoke::mf_const, 264, 2},	//734 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {59, 1011, 17, 1, 0, 0, 3},	//735 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {59, 779, 409, 1, Smoke::mf_virtual, 0, 4},	//736 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {59, 781, 409, 1, Smoke::mf_virtual, 0, 5},	//737 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {59, 336, 411, 2, Smoke::mf_virtual, 0, 6},	//738 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {59, 338, 411, 2, Smoke::mf_virtual, 0, 7},	//739 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {59, 462, 409, 1, Smoke::mf_virtual, 0, 8},	//740 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {59, 225, 414, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 9},	//741 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {59, 1171, 0, 0, Smoke::mf_dtor, 0, 10 },	//742 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {60, 227, 0, 0, Smoke::mf_ctor, 89, 1},	//743 KTextEditor::SmartInterface::SmartInterface()
    {60, 1033, 0, 0, Smoke::mf_const, 147, 2},	//744 KTextEditor::SmartInterface::smartMutex() const
    {60, 362, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//745 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {60, 360, 0, 0, Smoke::mf_const, 264, 4},	//746 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {60, 907, 17, 1, 0, 0, 5},	//747 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {60, 428, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 339, 6},	//748 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {60, 830, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//749 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {60, 1094, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//750 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {60, 361, 0, 0, 0, 0, 9},	//751 KTextEditor::SmartInterface::clearRevision()
    {60, 1082, 416, 2, Smoke::mf_const|Smoke::mf_virtual, 53, 10},	//752 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {60, 1082, 419, 2, Smoke::mf_const|Smoke::mf_virtual, 75, 11},	//753 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    {60, 729, 416, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 84, 12},	//754 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {60, 729, 422, 3, 0, 84, 13},	//755 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {60, 456, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//756 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {60, 734, 426, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 15},	//757 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {60, 734, 430, 4, 0, 91, 16},	//758 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {60, 734, 435, 6, 0, 91, 17},	//759 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {60, 734, 442, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 18},	//760 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {60, 1086, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//761 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {60, 459, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//762 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {60, 281, 449, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//763 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {60, 841, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//764 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 23},	//765 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {60, 356, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//766 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {60, 284, 452, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//767 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {60, 843, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//768 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 1109, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 27},	//769 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {60, 365, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//770 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {60, 275, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//771 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 834, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//772 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 31},	//773 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {60, 355, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//774 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {60, 277, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//775 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 836, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//776 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 1102, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 35},	//777 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {60, 363, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//778 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {60, 316, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//779 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {60, 318, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//780 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {60, 227, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 39},	//781 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {60, 1082, 215, 1, Smoke::mf_const, 53, 40},	//782 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {60, 1082, 273, 1, Smoke::mf_const, 75, 41},	//783 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {60, 729, 0, 0, 0, 84, 42},	//784 KTextEditor::SmartInterface::newSmartCursor()
    {60, 729, 215, 1, 0, 84, 43},	//785 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&)
    {60, 729, 150, 2, 0, 84, 44},	//786 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {60, 734, 0, 0, 0, 91, 45},	//787 KTextEditor::SmartInterface::newSmartRange()
    {60, 734, 273, 1, 0, 91, 46},	//788 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&)
    {60, 734, 463, 2, 0, 91, 47},	//789 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    {60, 734, 351, 2, 0, 91, 48},	//790 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {60, 734, 466, 3, 0, 91, 49},	//791 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {60, 734, 361, 4, 0, 91, 50},	//792 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {60, 734, 470, 5, 0, 91, 51},	//793 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {60, 734, 476, 2, 0, 91, 52},	//794 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {60, 734, 479, 3, 0, 91, 53},	//795 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {60, 281, 447, 1, 0, 0, 54},	//796 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*)
    {60, 284, 456, 2, 0, 0, 55},	//797 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*)
    {60, 1172, 0, 0, Smoke::mf_dtor, 0, 56 },	//798 KTextEditor::SmartInterface::~SmartInterface()
    {61, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 1},	//799 KTextEditor::SmartRange::isSmartRange() const
    {61, 1071, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 2},	//800 KTextEditor::SmartRange::toSmartRange() const
    {61, 984, 273, 1, Smoke::mf_virtual, 0, 3},	//801 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {61, 1035, 0, 0, 0, 83, 4},	//802 KTextEditor::SmartRange::smartStart()
    {61, 1035, 0, 0, Smoke::mf_const, 294, 5},	//803 KTextEditor::SmartRange::smartStart() const
    {61, 1032, 0, 0, 0, 83, 6},	//804 KTextEditor::SmartRange::smartEnd()
    {61, 1032, 0, 0, Smoke::mf_const, 294, 7},	//805 KTextEditor::SmartRange::smartEnd() const
    {61, 402, 273, 1, Smoke::mf_virtual, 264, 8},	//806 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {61, 543, 273, 1, Smoke::mf_virtual, 264, 9},	//807 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {61, 470, 0, 0, Smoke::mf_const, 56, 10},	//808 KTextEditor::SmartRange::document() const
    {61, 1052, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 161, 11},	//809 KTextEditor::SmartRange::text(bool) const
    {61, 862, 393, 2, Smoke::mf_virtual, 264, 12},	//810 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {61, 854, 17, 1, Smoke::mf_virtual, 264, 13},	//811 KTextEditor::SmartRange::removeText(bool)
    {61, 599, 0, 0, Smoke::mf_const, 124, 14},	//812 KTextEditor::SmartRange::insertBehavior() const
    {61, 939, 483, 1, 0, 0, 15},	//813 KTextEditor::SmartRange::setInsertBehavior(QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {61, 771, 0, 0, Smoke::mf_const, 91, 16},	//814 KTextEditor::SmartRange::parentRange() const
    {61, 979, 447, 1, Smoke::mf_virtual, 0, 17},	//815 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {61, 572, 447, 1, Smoke::mf_const, 264, 18},	//816 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {61, 464, 0, 0, Smoke::mf_const, 339, 19},	//817 KTextEditor::SmartRange::depth() const
    {61, 1072, 0, 0, Smoke::mf_const, 91, 20},	//818 KTextEditor::SmartRange::topParentRange() const
    {61, 350, 0, 0, Smoke::mf_const, 314, 21},	//819 KTextEditor::SmartRange::childRanges() const
    {61, 354, 0, 0, 0, 0, 22},	//820 KTextEditor::SmartRange::clearChildRanges()
    {61, 455, 0, 0, 0, 0, 23},	//821 KTextEditor::SmartRange::deleteChildRanges()
    {61, 352, 0, 0, 0, 0, 24},	//822 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {61, 343, 485, 1, Smoke::mf_const, 91, 25},	//823 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {61, 341, 485, 1, Smoke::mf_const, 91, 26},	//824 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {61, 713, 273, 1, Smoke::mf_const, 91, 27},	//825 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {61, 548, 215, 1, Smoke::mf_const, 91, 28},	//826 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {61, 443, 487, 3, Smoke::mf_const, 91, 29},	//827 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {61, 447, 215, 1, Smoke::mf_const, 136, 30},	//828 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {61, 759, 0, 0, Smoke::mf_const, 339, 31},	//829 KTextEditor::SmartRange::overlapCount() const
    {61, 315, 0, 0, Smoke::mf_const, 18, 32},	//830 KTextEditor::SmartRange::attribute() const
    {61, 895, 459, 1, 0, 0, 33},	//831 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {61, 308, 491, 1, 0, 0, 34},	//832 KTextEditor::SmartRange::associateAction(KAction*)
    {61, 468, 491, 1, 0, 0, 35},	//833 KTextEditor::SmartRange::dissociateAction(KAction*)
    {61, 310, 0, 0, Smoke::mf_const, 311, 36},	//834 KTextEditor::SmartRange::associatedActions() const
    {61, 353, 0, 0, 0, 0, 37},	//835 KTextEditor::SmartRange::clearAssociatedActions()
    {61, 793, 0, 0, 0, 94, 38},	//836 KTextEditor::SmartRange::primaryNotifier()
    {61, 744, 0, 0, Smoke::mf_const, 315, 39},	//837 KTextEditor::SmartRange::notifiers() const
    {61, 289, 493, 1, 0, 0, 40},	//838 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {61, 849, 493, 1, 0, 0, 41},	//839 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {61, 458, 0, 0, 0, 0, 42},	//840 KTextEditor::SmartRange::deletePrimaryNotifier()
    {61, 1121, 0, 0, Smoke::mf_const, 316, 43},	//841 KTextEditor::SmartRange::watchers() const
    {61, 295, 495, 1, 0, 0, 44},	//842 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {61, 860, 495, 1, 0, 0, 45},	//843 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {61, 753, 497, 1, 0, 90, 46},	//844 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {61, 753, 273, 1, 0, 90, 47},	//845 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {61, 229, 442, 4, Smoke::mf_ctor|Smoke::mf_protected, 91, 48},	//846 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {61, 806, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//847 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {61, 340, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//848 KTextEditor::SmartRange::checkFeedback()
    {61, 421, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 51},	//849 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {61, 825, 0, 0, Smoke::mf_protected, 0, 52},	//850 KTextEditor::SmartRange::rebuildChildStructure()
    {61, 1052, 0, 0, Smoke::mf_const, 161, 53},	//851 KTextEditor::SmartRange::text() const
    {61, 862, 233, 1, 0, 264, 54},	//852 KTextEditor::SmartRange::replaceText(const QStringList&)
    {61, 854, 0, 0, 0, 264, 55},	//853 KTextEditor::SmartRange::removeText()
    {61, 443, 215, 1, Smoke::mf_const, 91, 56},	//854 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {61, 443, 499, 2, Smoke::mf_const, 91, 57},	//855 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {61, 229, 476, 2, Smoke::mf_ctor|Smoke::mf_protected, 91, 58},	//856 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {61, 229, 479, 3, Smoke::mf_ctor|Smoke::mf_protected, 91, 59},	//857 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {61, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 60},	//858 KTextEditor::SmartRange::DoNotExpand (enum)
    {61, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 61},	//859 KTextEditor::SmartRange::ExpandLeft (enum)
    {61, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 62},	//860 KTextEditor::SmartRange::ExpandRight (enum)
    {61, 1173, 0, 0, Smoke::mf_dtor, 0, 63 },	//861 KTextEditor::SmartRange::~SmartRange()
    {62, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//862 KTextEditor::SmartRangeNotifier::metaObject() const
    {62, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//863 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {62, 1074, 85, 2, Smoke::mf_static, 159, 3},	//864 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {62, 1078, 85, 2, Smoke::mf_static, 159, 4},	//865 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {62, 1074, 88, 3, Smoke::mf_static, 159, 5},	//866 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {62, 1078, 88, 3, Smoke::mf_static, 159, 6},	//867 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {62, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//868 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {62, 233, 0, 0, Smoke::mf_ctor, 94, 8},	//869 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {62, 1117, 0, 0, Smoke::mf_const, 264, 9},	//870 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {62, 1011, 17, 1, 0, 0, 10},	//871 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {62, 815, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//872 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {62, 808, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//873 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {62, 808, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//874 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 716, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//875 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 718, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//876 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 328, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//877 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 330, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//878 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 813, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//879 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {62, 811, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//880 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {62, 772, 508, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//881 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 346, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//882 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 348, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//883 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 804, 512, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//884 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
    {62, 1074, 70, 1, Smoke::mf_static, 159, 24},	//885 KTextEditor::SmartRangeNotifier::tr(const char*)
    {62, 1078, 70, 1, Smoke::mf_static, 159, 25},	//886 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {62, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 26},	//887 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {62, 1174, 0, 0, Smoke::mf_dtor, 0, 27 },	//888 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {63, 234, 0, 0, Smoke::mf_ctor, 95, 1},	//889 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {63, 1117, 0, 0, Smoke::mf_const, 264, 2},	//890 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {63, 1011, 17, 1, 0, 0, 3},	//891 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {63, 815, 447, 1, Smoke::mf_virtual, 0, 4},	//892 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {63, 808, 447, 1, Smoke::mf_virtual, 0, 5},	//893 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {63, 808, 502, 2, Smoke::mf_virtual, 0, 6},	//894 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 716, 505, 2, Smoke::mf_virtual, 0, 7},	//895 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 718, 505, 2, Smoke::mf_virtual, 0, 8},	//896 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 328, 505, 2, Smoke::mf_virtual, 0, 9},	//897 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 330, 505, 2, Smoke::mf_virtual, 0, 10},	//898 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 813, 447, 1, Smoke::mf_virtual, 0, 11},	//899 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {63, 811, 447, 1, Smoke::mf_virtual, 0, 12},	//900 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {63, 772, 508, 3, Smoke::mf_virtual, 0, 13},	//901 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 346, 502, 2, Smoke::mf_virtual, 0, 14},	//902 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 348, 502, 2, Smoke::mf_virtual, 0, 15},	//903 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 804, 516, 3, Smoke::mf_virtual, 0, 16},	//904 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {63, 234, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 17},	//905 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {63, 1175, 0, 0, Smoke::mf_dtor, 0, 18 },	//906 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {64, 242, 0, 0, Smoke::mf_ctor, 96, 1},	//907 KTextEditor::TemplateInterface::TemplateInterface()
    {64, 541, 522, 2, Smoke::mf_static, 264, 2},	//908 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {64, 606, 525, 3, 0, 264, 3},	//909 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {64, 608, 525, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 4},	//910 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {64, 124, 529, 2, Smoke::mf_protected, 264, 5},	//911 KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues(const QString&, QMap<QString,QString>*)
    {64, 242, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//912 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {64, 1176, 0, 0, Smoke::mf_dtor, 0, 7 },	//913 KTextEditor::TemplateInterface::~TemplateInterface()
    {65, 244, 0, 0, Smoke::mf_ctor, 97, 1},	//914 KTextEditor::TextHintInterface::TextHintInterface()
    {65, 517, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//915 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {65, 466, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//916 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {65, 727, 534, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//917 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {65, 244, 537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 5},	//918 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {65, 1177, 0, 0, Smoke::mf_dtor, 0, 6 },	//919 KTextEditor::TextHintInterface::~TextHintInterface()
    {66, 251, 0, 0, Smoke::mf_ctor, 98, 1},	//920 KTextEditor::VariableInterface::VariableInterface()
    {66, 1096, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 2},	//921 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {66, 1098, 539, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//922 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {66, 251, 543, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 4},	//923 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {66, 1178, 0, 0, Smoke::mf_dtor, 0, 5 },	//924 KTextEditor::VariableInterface::~VariableInterface()
    {67, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 323, 1},	//925 KTextEditor::View::metaObject() const
    {67, 798, 70, 1, Smoke::mf_virtual, 344, 2},	//926 KTextEditor::View::qt_metacast(const char*)
    {67, 1074, 85, 2, Smoke::mf_static, 159, 3},	//927 KTextEditor::View::tr(const char*, const char*)
    {67, 1078, 85, 2, Smoke::mf_static, 159, 4},	//928 KTextEditor::View::trUtf8(const char*, const char*)
    {67, 1074, 88, 3, Smoke::mf_static, 159, 5},	//929 KTextEditor::View::tr(const char*, const char*, int)
    {67, 1078, 88, 3, Smoke::mf_static, 159, 6},	//930 KTextEditor::View::trUtf8(const char*, const char*, int)
    {67, 796, 92, 3, Smoke::mf_virtual, 339, 7},	//931 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {67, 253, 10, 1, Smoke::mf_ctor, 99, 8},	//932 KTextEditor::View::View(QWidget*)
    {67, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 9},	//933 KTextEditor::View::document() const [pure virtual]
    {67, 621, 0, 0, Smoke::mf_const, 264, 10},	//934 KTextEditor::View::isActiveView() const
    {67, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 11},	//935 KTextEditor::View::viewMode() const [pure virtual]
    {67, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 100, 12},	//936 KTextEditor::View::viewEditMode() const [pure virtual]
    {67, 553, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//937 KTextEditor::View::focusIn(KTextEditor::View*)
    {67, 557, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//938 KTextEditor::View::focusOut(KTextEditor::View*)
    {67, 1112, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//939 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {67, 1107, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//940 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {67, 595, 193, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//941 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {67, 1060, 548, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//942 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {67, 916, 552, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//943 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {67, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 20},	//944 KTextEditor::View::contextMenu() const [pure virtual]
    {67, 449, 552, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 21},	//945 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {67, 413, 554, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//946 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {67, 918, 557, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 23},	//947 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {67, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 24},	//948 KTextEditor::View::cursorPosition() const [pure virtual]
    {67, 437, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 25},	//949 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {67, 438, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 26},	//950 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {67, 436, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 27},	//951 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {67, 434, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//952 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 1100, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//953 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 590, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//954 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {67, 725, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 31},	//955 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {67, 971, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 32},	//956 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {67, 721, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//957 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 995, 273, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 34},	//958 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {67, 995, 559, 3, Smoke::mf_virtual, 264, 35},	//959 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {67, 884, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 36},	//960 KTextEditor::View::selection() const [pure virtual]
    {67, 887, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 290, 37},	//961 KTextEditor::View::selectionRange() const [pure virtual]
    {67, 888, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 38},	//962 KTextEditor::View::selectionText() const [pure virtual]
    {67, 852, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 39},	//963 KTextEditor::View::removeSelection() [pure virtual]
    {67, 853, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 40},	//964 KTextEditor::View::removeSelectionText() [pure virtual]
    {67, 901, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 41},	//965 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {67, 321, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 42},	//966 KTextEditor::View::blockSelection() const [pure virtual]
    {67, 885, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//967 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {67, 610, 196, 1, Smoke::mf_virtual, 264, 44},	//968 KTextEditor::View::insertText(const QString&)
    {67, 1074, 70, 1, Smoke::mf_static, 159, 45},	//969 KTextEditor::View::tr(const char*)
    {67, 1078, 70, 1, Smoke::mf_static, 159, 46},	//970 KTextEditor::View::trUtf8(const char*)
    {67, 449, 0, 0, Smoke::mf_const, 141, 47},	//971 KTextEditor::View::defaultContextMenu() const
    {67, 995, 354, 2, 0, 264, 48},	//972 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {67, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 322, 49},	//973 KTextEditor::View::staticMetaObject() const
    {67, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 50},	//974 KTextEditor::View::EditInsert (enum)
    {67, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 51},	//975 KTextEditor::View::EditOverwrite (enum)
    {67, 1179, 0, 0, Smoke::mf_dtor, 0, 52 },	//976 KTextEditor::View::~View()
    {68, 255, 0, 0, Smoke::mf_ctor, 101, 1},	//977 KTextEditor::ViewBarContainer::ViewBarContainer()
    {68, 563, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 170, 2},	//978 KTextEditor::ViewBarContainer::getViewBarParent(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 293, 566, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//979 KTextEditor::ViewBarContainer::addViewBarToLayout(KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 1026, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//980 KTextEditor::ViewBarContainer::showViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 579, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//981 KTextEditor::ViewBarContainer::hideViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 460, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//982 KTextEditor::ViewBarContainer::deleteViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 255, 570, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 7},	//983 KTextEditor::ViewBarContainer::ViewBarContainer(const KTextEditor::ViewBarContainer&)
    {68, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 8},	//984 KTextEditor::ViewBarContainer::LeftBar (enum)
    {68, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 9},	//985 KTextEditor::ViewBarContainer::TopBar (enum)
    {68, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 10},	//986 KTextEditor::ViewBarContainer::RightBar (enum)
    {68, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 11},	//987 KTextEditor::ViewBarContainer::BottomBar (enum)
    {68, 1180, 0, 0, Smoke::mf_dtor, 0, 12 },	//988 KTextEditor::ViewBarContainer::~ViewBarContainer()
    {70, 271, 572, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 0},	//989 KXMLGUIClient::action(const QDomElement&) const
    {70, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//990 KXMLGUIClient::actionCollection() const
    {70, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 5, 0},	//991 KXMLGUIClient::componentData() const
    {70, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//992 KXMLGUIClient::domDocument() const
    {70, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//993 KXMLGUIClient::xmlFile() const
    {70, 645, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//994 KXMLGUIClient::localXMLFile() const
    {70, 911, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//995 KXMLGUIClient::setComponentData(const KComponentData&)
    {70, 1017, 574, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//996 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {70, 946, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//997 KXMLGUIClient::setLocalXMLFile(const QString&)
    {70, 1016, 295, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//998 KXMLGUIClient::setXML(const QString&, bool)
    {70, 920, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//999 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {70, 1042, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1000 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {70, 1115, 584, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1001 KXMLGUIClient::virtual_hook(int, void*)
    {70, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//1002 KXMLGUIClient::StateNoReverse (enum)
    {70, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//1003 KXMLGUIClient::StateReverse (enum)
    {71, 567, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//1004 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {71, 441, 587, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 0},	//1005 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {71, 921, 590, 3, Smoke::mf_virtual, 264, 0},	//1006 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {71, 574, 594, 3, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1007 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {71, 936, 598, 4, Smoke::mf_virtual, 264, 0},	//1008 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {71, 941, 603, 2, Smoke::mf_virtual, 264, 0},	//1009 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {71, 701, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 0},	//1010 QAbstractItemModel::mimeTypes() const
    {71, 699, 606, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//1011 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {71, 493, 608, 5, Smoke::mf_virtual, 264, 0},	//1012 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {71, 1046, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 0},	//1013 QAbstractItemModel::supportedDropActions() const
    {71, 605, 143, 3, Smoke::mf_virtual, 264, 0},	//1014 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {71, 600, 143, 3, Smoke::mf_virtual, 264, 0},	//1015 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {71, 851, 143, 3, Smoke::mf_virtual, 264, 0},	//1016 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {71, 838, 143, 3, Smoke::mf_virtual, 264, 0},	//1017 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {71, 545, 141, 1, Smoke::mf_virtual, 0, 0},	//1018 QAbstractItemModel::fetchMore(const QModelIndex&)
    {71, 327, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//1019 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {71, 552, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//1020 QAbstractItemModel::flags(const QModelIndex&) const
    {71, 1036, 614, 2, Smoke::mf_virtual, 0, 0},	//1021 QAbstractItemModel::sort(int, Qt::SortOrder)
    {71, 326, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//1022 QAbstractItemModel::buddy(const QModelIndex&) const
    {71, 694, 617, 5, Smoke::mf_const|Smoke::mf_virtual, 137, 0},	//1023 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {71, 1037, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 157, 0},	//1024 QAbstractItemModel::span(const QModelIndex&) const
    {71, 1045, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 264, 0},	//1025 QAbstractItemModel::submit()
    {71, 872, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1026 QAbstractItemModel::revert()
    {89, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 341, 1},	//1027 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {89, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 341, 2},	//1028 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {89, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 341, 3},	//1029 QGlobalSpace::Q_STATIC_TYPE (enum)
    {89, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 341, 4},	//1030 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {89, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 341, 5},	//1031 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {89, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 6},	//1032 QGlobalSpace::LicensedGui (enum)
    {89, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 7},	//1033 QGlobalSpace::LicensedXml (enum)
    {89, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 8},	//1034 QGlobalSpace::LicensedQt3SupportLight (enum)
    {89, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 9},	//1035 QGlobalSpace::KST_KSycocaEntry (enum)
    {89, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 10},	//1036 QGlobalSpace::KST_KService (enum)
    {89, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 11},	//1037 QGlobalSpace::KST_KServiceType (enum)
    {89, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 12},	//1038 QGlobalSpace::KST_KMimeType (enum)
    {89, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 13},	//1039 QGlobalSpace::KST_KFolderMimeType (enum)
    {89, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 14},	//1040 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {89, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 15},	//1041 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {89, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 16},	//1042 QGlobalSpace::KST_KServiceGroup (enum)
    {89, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 17},	//1043 QGlobalSpace::KST_KImageIOFormat (enum)
    {89, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 18},	//1044 QGlobalSpace::KST_KProtocolInfo (enum)
    {89, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 19},	//1045 QGlobalSpace::KST_KServiceSeparator (enum)
    {89, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 20},	//1046 QGlobalSpace::KST_KCustom (enum)
    {89, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 21},	//1047 QGlobalSpace::LicensedScript (enum)
    {89, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 22},	//1048 QGlobalSpace::LicensedOpenVG (enum)
    {89, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 23},	//1049 QGlobalSpace::LicensedDBus (enum)
    {89, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 24},	//1050 QGlobalSpace::LicensedTest (enum)
    {89, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 25},	//1051 QGlobalSpace::LicensedActiveQt (enum)
    {89, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 26},	//1052 QGlobalSpace::LicensedScriptTools (enum)
    {89, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 27},	//1053 QGlobalSpace::LicensedSvg (enum)
    {89, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 28},	//1054 QGlobalSpace::LicensedDeclarative (enum)
    {89, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 29},	//1055 QGlobalSpace::LicensedSql (enum)
    {89, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 30},	//1056 QGlobalSpace::LicensedOpenGL (enum)
    {89, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 31},	//1057 QGlobalSpace::LicensedCore (enum)
    {89, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 32},	//1058 QGlobalSpace::QtDebugMsg (enum)
    {89, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 33},	//1059 QGlobalSpace::QtWarningMsg (enum)
    {89, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 34},	//1060 QGlobalSpace::QtCriticalMsg (enum)
    {89, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 35},	//1061 QGlobalSpace::QtFatalMsg (enum)
    {89, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 36},	//1062 QGlobalSpace::QtSystemMsg (enum)
    {89, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 37},	//1063 QGlobalSpace::LicensedHelp (enum)
    {89, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 38},	//1064 QGlobalSpace::LicensedMultimedia (enum)
    {89, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 39},	//1065 QGlobalSpace::LicensedQt3Support (enum)
    {89, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 40},	//1066 QGlobalSpace::KST_KServiceFactory (enum)
    {89, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 41},	//1067 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {89, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 42},	//1068 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {89, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 43},	//1069 QGlobalSpace::KST_KImageIO (enum)
    {89, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 44},	//1070 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {89, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 45},	//1071 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {89, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 46},	//1072 QGlobalSpace::KST_CTimeInfo (enum)
    {89, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 47},	//1073 QGlobalSpace::LicensedXmlPatterns (enum)
    {89, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 48},	//1074 QGlobalSpace::LicensedNetwork (enum)
    {89, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 49},	//1075 QGlobalSpace::__codecvt_ok (enum)
    {89, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 50},	//1076 QGlobalSpace::__codecvt_partial (enum)
    {89, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 51},	//1077 QGlobalSpace::__codecvt_error (enum)
    {89, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 52},	//1078 QGlobalSpace::__codecvt_noconv (enum)
    {101, 528, 19, 1, Smoke::mf_virtual, 264, 0},	//1079 QObject::event(QEvent*)
    {101, 529, 623, 2, Smoke::mf_virtual, 264, 0},	//1080 QObject::eventFilter(QObject*, QEvent*)
    {101, 1069, 626, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1081 QObject::timerEvent(QTimerEvent*)
    {101, 345, 628, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1082 QObject::childEvent(QChildEvent*)
    {101, 440, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1083 QObject::customEvent(QEvent*)
    {101, 404, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1084 QObject::connectNotify(const char*)
    {101, 467, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1085 QObject::disconnectNotify(const char*)
    {118, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 339, 0},	//1086 QWidget::devType() const
    {118, 1010, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1087 QWidget::setVisible(bool)
    {118, 1029, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1088 QWidget::sizeHint() const
    {118, 702, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1089 QWidget::minimumSizeHint() const
    {118, 575, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 339, 0},	//1090 QWidget::heightForWidth(int) const
    {118, 766, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//1091 QWidget::paintEngine() const
    {118, 528, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//1092 QWidget::event(QEvent*)
    {118, 723, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1093 QWidget::mousePressEvent(QMouseEvent*)
    {118, 724, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1094 QWidget::mouseReleaseEvent(QMouseEvent*)
    {118, 715, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1095 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {118, 720, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1096 QWidget::mouseMoveEvent(QMouseEvent*)
    {118, 1122, 632, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1097 QWidget::wheelEvent(QWheelEvent*)
    {118, 631, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1098 QWidget::keyPressEvent(QKeyEvent*)
    {118, 632, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::keyReleaseEvent(QKeyEvent*)
    {118, 555, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QWidget::focusInEvent(QFocusEvent*)
    {118, 559, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QWidget::focusOutEvent(QFocusEvent*)
    {118, 527, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1102 QWidget::enterEvent(QEvent*)
    {118, 634, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QWidget::leaveEvent(QEvent*)
    {118, 767, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1104 QWidget::paintEvent(QPaintEvent*)
    {118, 726, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QWidget::moveEvent(QMoveEvent*)
    {118, 871, 642, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1106 QWidget::resizeEvent(QResizeEvent*)
    {118, 369, 644, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1107 QWidget::closeEvent(QCloseEvent*)
    {118, 415, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1108 QWidget::contextMenuEvent(QContextMenuEvent*)
    {118, 1051, 648, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1109 QWidget::tabletEvent(QTabletEvent*)
    {118, 273, 650, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1110 QWidget::actionEvent(QActionEvent*)
    {118, 489, 652, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1111 QWidget::dragEnterEvent(QDragEnterEvent*)
    {118, 491, 654, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1112 QWidget::dragMoveEvent(QDragMoveEvent*)
    {118, 490, 656, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1113 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {118, 492, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1114 QWidget::dropEvent(QDropEvent*)
    {118, 1025, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1115 QWidget::showEvent(QShowEvent*)
    {118, 578, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1116 QWidget::hideEvent(QHideEvent*)
    {118, 1133, 664, 1, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//1117 QWidget::x11Event(_XEvent*)
    {118, 332, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1118 QWidget::changeEvent(QEvent*)
    {118, 698, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 339, 0},	//1119 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {118, 597, 668, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1120 QWidget::inputMethodEvent(QInputMethodEvent*)
    {118, 598, 670, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1121 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {118, 556, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//1122 QWidget::focusNextPrevChild(bool)
    {118, 1044, 672, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1123 QWidget::styleChange(QStyle&)
    {118, 519, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QWidget::enabledChange(bool)
    {118, 768, 674, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1125 QWidget::paletteChange(const QPalette&)
    {118, 561, 676, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1126 QWidget::fontChange(const QFont&)
    {118, 1124, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1127 QWidget::windowActivationChange(bool)
    {118, 633, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1128 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    789,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    790,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    794,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    791,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    795,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    758,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    760,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    0,
    782,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    783,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    752,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    753,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    0,
    844,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    845,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    804,  // KTextEditor::SmartRange::smartEnd()
    805,  // KTextEditor::SmartRange::smartEnd() const
    0,
    802,  // KTextEditor::SmartRange::smartStart()
    803,  // KTextEditor::SmartRange::smartStart() const
    0,
    29,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    31,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    33,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    34,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    35,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    36,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    38,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    30,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    32,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    37,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    42,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    627,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    664,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    650,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    651,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    638,  // KTextEditor::Range::end()
    639,  // KTextEditor::Range::end() const
    0,
    636,  // KTextEditor::Range::start()
    637,  // KTextEditor::Range::start() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {22, 425, 40},	// KTextEditor::createPlugin?#
    {22, 512, 39},	// KTextEditor::editor$
    {22, 756, -26},	// KTextEditor::operator|?$
    {22, 757, -35},	// KTextEditor::operator|??
    {23, 6, 45},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {23, 7, 46},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {23, 306, 44},	// KTextEditor::AnnotationInterface::annotationModel
    {23, 894, 43},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {23, 1135, 47},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {24, 8, 58},	// KTextEditor::AnnotationModel::AnnotationModel
    {24, 442, 55},	// KTextEditor::AnnotationModel::data$$
    {24, 641, 57},	// KTextEditor::AnnotationModel::lineChanged$
    {24, 697, 48},	// KTextEditor::AnnotationModel::metaObject
    {24, 797, 54},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {24, 799, 49},	// KTextEditor::AnnotationModel::qt_metacast$
    {24, 870, 56},	// KTextEditor::AnnotationModel::reset
    {24, 1043, 61},	// KTextEditor::AnnotationModel::staticMetaObject
    {24, 1075, 59},	// KTextEditor::AnnotationModel::tr$
    {24, 1076, 50},	// KTextEditor::AnnotationModel::tr$$
    {24, 1077, 52},	// KTextEditor::AnnotationModel::tr$$$
    {24, 1079, 60},	// KTextEditor::AnnotationModel::trUtf8$
    {24, 1080, 51},	// KTextEditor::AnnotationModel::trUtf8$$
    {24, 1081, 53},	// KTextEditor::AnnotationModel::trUtf8$$$
    {24, 1136, 62},	// KTextEditor::AnnotationModel::~AnnotationModel
    {25, 9, 68},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {25, 10, 69},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {25, 301, 66},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {25, 303, 67},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {25, 305, 65},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {25, 622, 64},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {25, 892, 63},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {25, 1137, 70},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {26, 4, 102},	// KTextEditor::Attribute::ActivateCaretIn
    {26, 5, 101},	// KTextEditor::Attribute::ActivateMouseIn
    {26, 13, 71},	// KTextEditor::Attribute::Attribute
    {26, 14, 72},	// KTextEditor::Attribute::Attribute#
    {26, 18, 98},	// KTextEditor::Attribute::AttributeDynamicEffect
    {26, 19, 99},	// KTextEditor::Attribute::AttributeInternalProperty
    {26, 20, 100},	// KTextEditor::Attribute::AttributeUserProperty
    {26, 22, 97},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {26, 76, 107},	// KTextEditor::Attribute::EffectCycleGradient
    {26, 77, 104},	// KTextEditor::Attribute::EffectFadeIn
    {26, 78, 105},	// KTextEditor::Attribute::EffectFadeOut
    {26, 79, 103},	// KTextEditor::Attribute::EffectNone
    {26, 80, 106},	// KTextEditor::Attribute::EffectPulse
    {26, 176, 94},	// KTextEditor::Attribute::Outline
    {26, 210, 96},	// KTextEditor::Attribute::SelectedBackground
    {26, 211, 95},	// KTextEditor::Attribute::SelectedForeground
    {26, 310, 85},	// KTextEditor::Attribute::associatedActions
    {26, 320, 81},	// KTextEditor::Attribute::backgroundFillWhitespace
    {26, 351, 83},	// KTextEditor::Attribute::clear
    {26, 353, 86},	// KTextEditor::Attribute::clearAssociatedActions
    {26, 509, 87},	// KTextEditor::Attribute::dynamicAttribute$
    {26, 514, 89},	// KTextEditor::Attribute::effects
    {26, 560, 73},	// KTextEditor::Attribute::fontBold
    {26, 566, 84},	// KTextEditor::Attribute::hasAnyProperty
    {26, 752, 91},	// KTextEditor::Attribute::operator+=#
    {26, 754, 92},	// KTextEditor::Attribute::operator=#
    {26, 758, 75},	// KTextEditor::Attribute::outline
    {26, 882, 79},	// KTextEditor::Attribute::selectedBackground
    {26, 883, 77},	// KTextEditor::Attribute::selectedForeground
    {26, 900, 82},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {26, 925, 88},	// KTextEditor::Attribute::setDynamicAttribute$?
    {26, 929, 90},	// KTextEditor::Attribute::setEffects$
    {26, 932, 93},	// KTextEditor::Attribute::setFontBold
    {26, 933, 74},	// KTextEditor::Attribute::setFontBold$
    {26, 978, 76},	// KTextEditor::Attribute::setOutline#
    {26, 992, 80},	// KTextEditor::Attribute::setSelectedBackground#
    {26, 994, 78},	// KTextEditor::Attribute::setSelectedForeground#
    {26, 1138, 108},	// KTextEditor::Attribute::~Attribute
    {27, 32, 117},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {27, 33, 118},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {27, 263, 111},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {27, 562, 112},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {27, 623, 115},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {27, 624, 109},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {27, 829, 113},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {27, 897, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {27, 898, 116},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {27, 1040, 110},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {27, 1091, 114},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {27, 1140, 120},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {28, 1, 198},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {28, 2, 196},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {28, 3, 197},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {28, 11, 194},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {28, 12, 153},	// KTextEditor::CodeCompletionModel::Arguments
    {28, 21, 200},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {28, 23, 195},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {28, 31, 163},	// KTextEditor::CodeCompletionModel::Class
    {28, 35, 128},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {28, 42, 147},	// KTextEditor::CodeCompletionModel::ColumnCount
    {28, 49, 184},	// KTextEditor::CodeCompletionModel::CompletionRole
    {28, 54, 161},	// KTextEditor::CodeCompletionModel::Const
    {28, 62, 189},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {28, 63, 183},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {28, 81, 168},	// KTextEditor::CodeCompletionModel::Enum
    {28, 86, 192},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {28, 89, 156},	// KTextEditor::CodeCompletionModel::FirstProperty
    {28, 90, 174},	// KTextEditor::CodeCompletionModel::Friend
    {28, 91, 166},	// KTextEditor::CodeCompletionModel::Function
    {28, 92, 179},	// KTextEditor::CodeCompletionModel::GlobalScope
    {28, 93, 199},	// KTextEditor::CodeCompletionModel::GroupRole
    {28, 97, 188},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {28, 98, 150},	// KTextEditor::CodeCompletionModel::Icon
    {28, 100, 190},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {28, 101, 173},	// KTextEditor::CodeCompletionModel::Inline
    {28, 102, 182},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {28, 103, 191},	// KTextEditor::CodeCompletionModel::IsExpandable
    {28, 104, 193},	// KTextEditor::CodeCompletionModel::ItemSelected
    {28, 126, 148},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {28, 127, 180},	// KTextEditor::CodeCompletionModel::LastProperty
    {28, 152, 177},	// KTextEditor::CodeCompletionModel::LocalScope
    {28, 153, 202},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {28, 160, 186},	// KTextEditor::CodeCompletionModel::MatchQuality
    {28, 166, 152},	// KTextEditor::CodeCompletionModel::Name
    {28, 167, 162},	// KTextEditor::CodeCompletionModel::Namespace
    {28, 168, 178},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {28, 169, 181},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {28, 170, 155},	// KTextEditor::CodeCompletionModel::NoProperty
    {28, 177, 172},	// KTextEditor::CodeCompletionModel::Override
    {28, 182, 154},	// KTextEditor::CodeCompletionModel::Postfix
    {28, 183, 149},	// KTextEditor::CodeCompletionModel::Prefix
    {28, 184, 159},	// KTextEditor::CodeCompletionModel::Private
    {28, 185, 158},	// KTextEditor::CodeCompletionModel::Protected
    {28, 186, 157},	// KTextEditor::CodeCompletionModel::Public
    {28, 206, 151},	// KTextEditor::CodeCompletionModel::Scope
    {28, 207, 185},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {28, 214, 187},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {28, 215, 175},	// KTextEditor::CodeCompletionModel::Signal
    {28, 221, 176},	// KTextEditor::CodeCompletionModel::Slot
    {28, 238, 160},	// KTextEditor::CodeCompletionModel::Static
    {28, 240, 164},	// KTextEditor::CodeCompletionModel::Struct
    {28, 241, 169},	// KTextEditor::CodeCompletionModel::Template
    {28, 247, 170},	// KTextEditor::CodeCompletionModel::TypeAlias
    {28, 248, 165},	// KTextEditor::CodeCompletionModel::Union
    {28, 249, 201},	// KTextEditor::CodeCompletionModel::UserInvocation
    {28, 250, 167},	// KTextEditor::CodeCompletionModel::Variable
    {28, 257, 171},	// KTextEditor::CodeCompletionModel::Virtual
    {28, 375, 143},	// KTextEditor::CodeCompletionModel::columnCount
    {28, 376, 132},	// KTextEditor::CodeCompletionModel::columnCount#
    {28, 381, 130},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {28, 538, 131},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {28, 568, 137},	// KTextEditor::CodeCompletionModel::hasGroups
    {28, 570, 139},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {28, 593, 144},	// KTextEditor::CodeCompletionModel::index$$
    {28, 594, 133},	// KTextEditor::CodeCompletionModel::index$$#
    {28, 630, 134},	// KTextEditor::CodeCompletionModel::itemData#
    {28, 697, 121},	// KTextEditor::CodeCompletionModel::metaObject
    {28, 770, 135},	// KTextEditor::CodeCompletionModel::parent#
    {28, 797, 127},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {28, 799, 122},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {28, 873, 145},	// KTextEditor::CodeCompletionModel::rowCount
    {28, 874, 136},	// KTextEditor::CodeCompletionModel::rowCount#
    {28, 935, 140},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {28, 989, 129},	// KTextEditor::CodeCompletionModel::setRowCount$
    {28, 1043, 146},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {28, 1075, 141},	// KTextEditor::CodeCompletionModel::tr$
    {28, 1076, 123},	// KTextEditor::CodeCompletionModel::tr$$
    {28, 1077, 125},	// KTextEditor::CodeCompletionModel::tr$$$
    {28, 1079, 142},	// KTextEditor::CodeCompletionModel::trUtf8$
    {28, 1080, 124},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {28, 1081, 126},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {28, 1116, 138},	// KTextEditor::CodeCompletionModel::waitForReset
    {28, 1141, 203},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {29, 37, 211},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {29, 540, 212},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {29, 697, 204},	// KTextEditor::CodeCompletionModel2::metaObject
    {29, 797, 210},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {29, 799, 205},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {29, 1043, 215},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {29, 1075, 213},	// KTextEditor::CodeCompletionModel2::tr$
    {29, 1076, 206},	// KTextEditor::CodeCompletionModel2::tr$$
    {29, 1077, 208},	// KTextEditor::CodeCompletionModel2::tr$$$
    {29, 1079, 214},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {29, 1080, 207},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {29, 1081, 209},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {29, 1142, 216},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {30, 38, 217},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface
    {30, 39, 225},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface#
    {30, 265, 224},	// KTextEditor::CodeCompletionModelControllerInterface::aborted#
    {30, 385, 219},	// KTextEditor::CodeCompletionModelControllerInterface::completionRange##
    {30, 547, 221},	// KTextEditor::CodeCompletionModelControllerInterface::filterString###
    {30, 1020, 222},	// KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion##$
    {30, 1022, 223},	// KTextEditor::CodeCompletionModelControllerInterface::shouldExecute##
    {30, 1024, 218},	// KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion#$$#
    {30, 1093, 220},	// KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange##
    {30, 1143, 226},	// KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface
    {31, 40, 228},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2
    {31, 41, 229},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2#
    {31, 94, 231},	// KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation
    {31, 171, 230},	// KTextEditor::CodeCompletionModelControllerInterface2::None
    {31, 696, 227},	// KTextEditor::CodeCompletionModelControllerInterface2::matchingItem#
    {31, 1144, 232},	// KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2
    {32, 43, 236},	// KTextEditor::Command::Command
    {32, 44, 237},	// KTextEditor::Command::Command#
    {32, 373, 233},	// KTextEditor::Command::cmds
    {32, 535, 234},	// KTextEditor::Command::exec#$$
    {32, 577, 235},	// KTextEditor::Command::help#$$
    {32, 1145, 238},	// KTextEditor::Command::~Command
    {33, 45, 243},	// KTextEditor::CommandExtension::CommandExtension
    {33, 46, 244},	// KTextEditor::CommandExtension::CommandExtension#
    {33, 383, 240},	// KTextEditor::CommandExtension::completionObject#$
    {33, 551, 239},	// KTextEditor::CommandExtension::flagCompletions?
    {33, 795, 242},	// KTextEditor::CommandExtension::processText#$
    {33, 1119, 241},	// KTextEditor::CommandExtension::wantsToProcessText$
    {33, 1146, 245},	// KTextEditor::CommandExtension::~CommandExtension
    {34, 47, 251},	// KTextEditor::CommandInterface::CommandInterface
    {34, 48, 252},	// KTextEditor::CommandInterface::CommandInterface#
    {34, 378, 250},	// KTextEditor::CommandInterface::commandList
    {34, 379, 249},	// KTextEditor::CommandInterface::commands
    {34, 802, 248},	// KTextEditor::CommandInterface::queryCommand$
    {34, 827, 246},	// KTextEditor::CommandInterface::registerCommand#
    {34, 1089, 247},	// KTextEditor::CommandInterface::unregisterCommand#
    {34, 1147, 253},	// KTextEditor::CommandInterface::~CommandInterface
    {35, 50, 254},	// KTextEditor::ConfigInterface::ConfigInterface
    {35, 51, 258},	// KTextEditor::ConfigInterface::ConfigInterface#
    {35, 390, 255},	// KTextEditor::ConfigInterface::configKeys
    {35, 401, 256},	// KTextEditor::ConfigInterface::configValue$
    {35, 913, 257},	// KTextEditor::ConfigInterface::setConfigValue$#
    {35, 1148, 259},	// KTextEditor::ConfigInterface::~ConfigInterface
    {36, 53, 267},	// KTextEditor::ConfigPage::ConfigPage#
    {36, 307, 268},	// KTextEditor::ConfigPage::apply
    {36, 333, 271},	// KTextEditor::ConfigPage::changed
    {36, 454, 270},	// KTextEditor::ConfigPage::defaults
    {36, 697, 260},	// KTextEditor::ConfigPage::metaObject
    {36, 797, 266},	// KTextEditor::ConfigPage::qt_metacall$$?
    {36, 799, 261},	// KTextEditor::ConfigPage::qt_metacast$
    {36, 870, 269},	// KTextEditor::ConfigPage::reset
    {36, 1043, 274},	// KTextEditor::ConfigPage::staticMetaObject
    {36, 1075, 272},	// KTextEditor::ConfigPage::tr$
    {36, 1076, 262},	// KTextEditor::ConfigPage::tr$$
    {36, 1077, 264},	// KTextEditor::ConfigPage::tr$$$
    {36, 1079, 273},	// KTextEditor::ConfigPage::trUtf8$
    {36, 1080, 263},	// KTextEditor::ConfigPage::trUtf8$$
    {36, 1081, 265},	// KTextEditor::ConfigPage::trUtf8$$$
    {36, 1149, 275},	// KTextEditor::ConfigPage::~ConfigPage
    {37, 55, 276},	// KTextEditor::ContainerInterface::ContainerInterface
    {37, 56, 279},	// KTextEditor::ContainerInterface::ContainerInterface#
    {37, 405, 278},	// KTextEditor::ContainerInterface::container
    {37, 915, 277},	// KTextEditor::ContainerInterface::setContainer#
    {37, 1150, 280},	// KTextEditor::ContainerInterface::~ContainerInterface
    {38, 57, 282},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface
    {38, 58, 283},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface#
    {38, 417, 281},	// KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor#
    {38, 1151, 284},	// KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface
    {39, 59, 285},	// KTextEditor::Cursor::Cursor
    {39, 60, 287},	// KTextEditor::Cursor::Cursor#
    {39, 61, 286},	// KTextEditor::Cursor::Cursor$$
    {39, 313, 300},	// KTextEditor::Cursor::atStartOfDocument
    {39, 314, 299},	// KTextEditor::Cursor::atStartOfLine
    {39, 374, 297},	// KTextEditor::Cursor::column
    {39, 430, 305},	// KTextEditor::Cursor::cursorChangedDirectly#
    {39, 620, 291},	// KTextEditor::Cursor::invalid
    {39, 626, 289},	// KTextEditor::Cursor::isSmartCursor
    {39, 628, 288},	// KTextEditor::Cursor::isValid
    {39, 636, 295},	// KTextEditor::Cursor::line
    {39, 646, 308},	// KTextEditor::Cursor::m_column
    {39, 648, 306},	// KTextEditor::Cursor::m_line
    {39, 649, 310},	// KTextEditor::Cursor::m_range
    {39, 754, 303},	// KTextEditor::Cursor::operator=#
    {39, 778, 301},	// KTextEditor::Cursor::position$$
    {39, 803, 302},	// KTextEditor::Cursor::range
    {39, 910, 298},	// KTextEditor::Cursor::setColumn$
    {39, 945, 296},	// KTextEditor::Cursor::setLine$
    {39, 948, 309},	// KTextEditor::Cursor::setM_column$
    {39, 952, 307},	// KTextEditor::Cursor::setM_line$
    {39, 954, 311},	// KTextEditor::Cursor::setM_range#
    {39, 982, 293},	// KTextEditor::Cursor::setPosition#
    {39, 983, 294},	// KTextEditor::Cursor::setPosition$$
    {39, 985, 304},	// KTextEditor::Cursor::setRange#
    {39, 1038, 292},	// KTextEditor::Cursor::start
    {39, 1070, 290},	// KTextEditor::Cursor::toSmartCursor
    {39, 1152, 312},	// KTextEditor::Cursor::~Cursor
    {40, 66, 392},	// KTextEditor::Document::Document
    {40, 67, 320},	// KTextEditor::Document::Document#
    {40, 268, 369},	// KTextEditor::Document::aboutToClose#
    {40, 270, 370},	// KTextEditor::Document::aboutToReload#
    {40, 274, 323},	// KTextEditor::Document::activeView
    {40, 335, 341},	// KTextEditor::Document::character#
    {40, 351, 353},	// KTextEditor::Document::clear
    {40, 427, 322},	// KTextEditor::Document::createView#
    {40, 432, 359},	// KTextEditor::Document::cursorInText#
    {40, 474, 345},	// KTextEditor::Document::documentEnd
    {40, 476, 326},	// KTextEditor::Document::documentName
    {40, 478, 328},	// KTextEditor::Document::documentNameChanged#
    {40, 479, 346},	// KTextEditor::Document::documentRange
    {40, 480, 333},	// KTextEditor::Document::documentReload
    {40, 481, 334},	// KTextEditor::Document::documentSave
    {40, 482, 335},	// KTextEditor::Document::documentSaveAs
    {40, 484, 336},	// KTextEditor::Document::documentSavedOrUploaded#$
    {40, 486, 329},	// KTextEditor::Document::documentUrlChanged#
    {40, 511, 321},	// KTextEditor::Document::editor
    {40, 520, 332},	// KTextEditor::Document::encoding
    {40, 524, 338},	// KTextEditor::Document::endEditing
    {40, 526, 350},	// KTextEditor::Document::endOfLine$
    {40, 531, 373},	// KTextEditor::Document::exclusiveEditEnd#
    {40, 533, 372},	// KTextEditor::Document::exclusiveEditStart#
    {40, 581, 375},	// KTextEditor::Document::highlightingMode
    {40, 585, 383},	// KTextEditor::Document::highlightingModeChanged#
    {40, 587, 380},	// KTextEditor::Document::highlightingModeSection$
    {40, 588, 377},	// KTextEditor::Document::highlightingModes
    {40, 602, 360},	// KTextEditor::Document::insertLine$$
    {40, 604, 361},	// KTextEditor::Document::insertLines$?
    {40, 611, 395},	// KTextEditor::Document::insertText#$
    {40, 612, 354},	// KTextEditor::Document::insertText#$$
    {40, 613, 396},	// KTextEditor::Document::insertText#?
    {40, 614, 355},	// KTextEditor::Document::insertText#?$
    {40, 625, 348},	// KTextEditor::Document::isEmpty
    {40, 637, 343},	// KTextEditor::Document::line$
    {40, 643, 349},	// KTextEditor::Document::lineLength$
    {40, 644, 344},	// KTextEditor::Document::lines
    {40, 697, 313},	// KTextEditor::Document::metaObject
    {40, 700, 327},	// KTextEditor::Document::mimeType
    {40, 703, 374},	// KTextEditor::Document::mode
    {40, 705, 382},	// KTextEditor::Document::modeChanged#
    {40, 707, 381},	// KTextEditor::Document::modeSection$
    {40, 708, 376},	// KTextEditor::Document::modes
    {40, 710, 330},	// KTextEditor::Document::modifiedChanged#
    {40, 749, 386},	// KTextEditor::Document::openingError
    {40, 750, 387},	// KTextEditor::Document::openingErrorMessage
    {40, 797, 319},	// KTextEditor::Document::qt_metacall$$?
    {40, 799, 314},	// KTextEditor::Document::qt_metacast$
    {40, 833, 371},	// KTextEditor::Document::reloaded#
    {40, 846, 362},	// KTextEditor::Document::removeLine$
    {40, 855, 399},	// KTextEditor::Document::removeText#
    {40, 856, 358},	// KTextEditor::Document::removeText#$
    {40, 863, 397},	// KTextEditor::Document::replaceText#$
    {40, 864, 356},	// KTextEditor::Document::replaceText#$$
    {40, 865, 398},	// KTextEditor::Document::replaceText#?
    {40, 866, 357},	// KTextEditor::Document::replaceText#?$
    {40, 931, 331},	// KTextEditor::Document::setEncoding$
    {40, 938, 379},	// KTextEditor::Document::setHighlightingMode$
    {40, 965, 378},	// KTextEditor::Document::setMode$
    {40, 974, 388},	// KTextEditor::Document::setOpeningError$
    {40, 976, 389},	// KTextEditor::Document::setOpeningErrorMessage$
    {40, 1004, 384},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {40, 1006, 351},	// KTextEditor::Document::setText$
    {40, 1007, 352},	// KTextEditor::Document::setText?
    {40, 1041, 337},	// KTextEditor::Document::startEditing
    {40, 1043, 400},	// KTextEditor::Document::staticMetaObject
    {40, 1050, 385},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {40, 1052, 339},	// KTextEditor::Document::text
    {40, 1053, 393},	// KTextEditor::Document::text#
    {40, 1054, 340},	// KTextEditor::Document::text#$
    {40, 1057, 363},	// KTextEditor::Document::textChanged#
    {40, 1058, 367},	// KTextEditor::Document::textChanged###
    {40, 1059, 368},	// KTextEditor::Document::textChanged##$#
    {40, 1061, 364},	// KTextEditor::Document::textInserted##
    {40, 1064, 394},	// KTextEditor::Document::textLines#
    {40, 1065, 342},	// KTextEditor::Document::textLines#$
    {40, 1067, 365},	// KTextEditor::Document::textRemoved##
    {40, 1068, 366},	// KTextEditor::Document::textRemoved##$
    {40, 1073, 347},	// KTextEditor::Document::totalCharacters
    {40, 1075, 390},	// KTextEditor::Document::tr$
    {40, 1076, 315},	// KTextEditor::Document::tr$$
    {40, 1077, 317},	// KTextEditor::Document::tr$$$
    {40, 1079, 391},	// KTextEditor::Document::trUtf8$
    {40, 1080, 316},	// KTextEditor::Document::trUtf8$$
    {40, 1081, 318},	// KTextEditor::Document::trUtf8$$$
    {40, 1105, 325},	// KTextEditor::Document::viewCreated##
    {40, 1114, 324},	// KTextEditor::Document::views
    {40, 1153, 401},	// KTextEditor::Document::~Document
    {41, 73, 409},	// KTextEditor::Editor::Editor#
    {41, 266, 414},	// KTextEditor::Editor::aboutData
    {41, 388, 420},	// KTextEditor::Editor::configDialog#
    {41, 389, 419},	// KTextEditor::Editor::configDialogSupported
    {41, 392, 422},	// KTextEditor::Editor::configPage$#
    {41, 394, 424},	// KTextEditor::Editor::configPageFullName$
    {41, 396, 425},	// KTextEditor::Editor::configPageIcon$
    {41, 398, 423},	// KTextEditor::Editor::configPageName$
    {41, 399, 421},	// KTextEditor::Editor::configPages
    {41, 420, 412},	// KTextEditor::Editor::createDocument#
    {41, 451, 415},	// KTextEditor::Editor::defaultEncoding
    {41, 473, 426},	// KTextEditor::Editor::documentCreated##
    {41, 487, 413},	// KTextEditor::Editor::documents
    {41, 697, 402},	// KTextEditor::Editor::metaObject
    {41, 797, 408},	// KTextEditor::Editor::qt_metacall$$?
    {41, 799, 403},	// KTextEditor::Editor::qt_metacast$
    {41, 819, 429},	// KTextEditor::Editor::readConfig
    {41, 820, 417},	// KTextEditor::Editor::readConfig#
    {41, 923, 416},	// KTextEditor::Editor::setDefaultEncoding$
    {41, 1000, 410},	// KTextEditor::Editor::setSimpleMode$
    {41, 1028, 411},	// KTextEditor::Editor::simpleMode
    {41, 1043, 431},	// KTextEditor::Editor::staticMetaObject
    {41, 1075, 427},	// KTextEditor::Editor::tr$
    {41, 1076, 404},	// KTextEditor::Editor::tr$$
    {41, 1077, 406},	// KTextEditor::Editor::tr$$$
    {41, 1079, 428},	// KTextEditor::Editor::trUtf8$
    {41, 1080, 405},	// KTextEditor::Editor::trUtf8$$
    {41, 1081, 407},	// KTextEditor::Editor::trUtf8$$$
    {41, 1127, 430},	// KTextEditor::Editor::writeConfig
    {41, 1128, 418},	// KTextEditor::Editor::writeConfig#
    {41, 1154, 432},	// KTextEditor::Editor::~Editor
    {42, 74, 447},	// KTextEditor::EditorChooser::EditorChooser
    {42, 75, 440},	// KTextEditor::EditorChooser::EditorChooser#
    {42, 333, 444},	// KTextEditor::EditorChooser::changed
    {42, 511, 450},	// KTextEditor::EditorChooser::editor
    {42, 512, 451},	// KTextEditor::EditorChooser::editor$
    {42, 513, 443},	// KTextEditor::EditorChooser::editor$$
    {42, 697, 433},	// KTextEditor::EditorChooser::metaObject
    {42, 797, 439},	// KTextEditor::EditorChooser::qt_metacall$$?
    {42, 799, 434},	// KTextEditor::EditorChooser::qt_metacast$
    {42, 817, 448},	// KTextEditor::EditorChooser::readAppSetting
    {42, 818, 441},	// KTextEditor::EditorChooser::readAppSetting$
    {42, 1043, 452},	// KTextEditor::EditorChooser::staticMetaObject
    {42, 1075, 445},	// KTextEditor::EditorChooser::tr$
    {42, 1076, 435},	// KTextEditor::EditorChooser::tr$$
    {42, 1077, 437},	// KTextEditor::EditorChooser::tr$$$
    {42, 1079, 446},	// KTextEditor::EditorChooser::trUtf8$
    {42, 1080, 436},	// KTextEditor::EditorChooser::trUtf8$$
    {42, 1081, 438},	// KTextEditor::EditorChooser::trUtf8$$$
    {42, 1125, 449},	// KTextEditor::EditorChooser::writeAppSetting
    {42, 1126, 442},	// KTextEditor::EditorChooser::writeAppSetting$
    {42, 1155, 453},	// KTextEditor::EditorChooser::~EditorChooser
    {43, 88, 461},	// KTextEditor::Factory::Factory#
    {43, 511, 462},	// KTextEditor::Factory::editor
    {43, 697, 454},	// KTextEditor::Factory::metaObject
    {43, 797, 460},	// KTextEditor::Factory::qt_metacall$$?
    {43, 799, 455},	// KTextEditor::Factory::qt_metacast$
    {43, 1043, 465},	// KTextEditor::Factory::staticMetaObject
    {43, 1075, 463},	// KTextEditor::Factory::tr$
    {43, 1076, 456},	// KTextEditor::Factory::tr$$
    {43, 1077, 458},	// KTextEditor::Factory::tr$$$
    {43, 1079, 464},	// KTextEditor::Factory::trUtf8$
    {43, 1080, 457},	// KTextEditor::Factory::trUtf8$$
    {43, 1081, 459},	// KTextEditor::Factory::trUtf8$$$
    {43, 1156, 466},	// KTextEditor::Factory::~Factory
    {44, 95, 467},	// KTextEditor::HighlightInterface::HighlightInterface
    {44, 96, 472},	// KTextEditor::HighlightInterface::HighlightInterface#
    {44, 453, 468},	// KTextEditor::HighlightInterface::defaultStyle$
    {44, 494, 483},	// KTextEditor::HighlightInterface::dsAlert
    {44, 495, 477},	// KTextEditor::HighlightInterface::dsBaseN
    {44, 496, 479},	// KTextEditor::HighlightInterface::dsChar
    {44, 497, 481},	// KTextEditor::HighlightInterface::dsComment
    {44, 498, 475},	// KTextEditor::HighlightInterface::dsDataType
    {44, 499, 476},	// KTextEditor::HighlightInterface::dsDecVal
    {44, 500, 486},	// KTextEditor::HighlightInterface::dsError
    {44, 501, 478},	// KTextEditor::HighlightInterface::dsFloat
    {44, 502, 484},	// KTextEditor::HighlightInterface::dsFunction
    {44, 503, 474},	// KTextEditor::HighlightInterface::dsKeyword
    {44, 504, 473},	// KTextEditor::HighlightInterface::dsNormal
    {44, 505, 482},	// KTextEditor::HighlightInterface::dsOthers
    {44, 506, 485},	// KTextEditor::HighlightInterface::dsRegionMarker
    {44, 507, 480},	// KTextEditor::HighlightInterface::dsString
    {44, 516, 470},	// KTextEditor::HighlightInterface::embeddedHighlightingModes
    {44, 583, 471},	// KTextEditor::HighlightInterface::highlightingModeAt#
    {44, 639, 469},	// KTextEditor::HighlightInterface::lineAttributes$
    {44, 1157, 487},	// KTextEditor::HighlightInterface::~HighlightInterface
    {45, 16, 489},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock#
    {45, 17, 488},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock$$?
    {45, 315, 494},	// KTextEditor::HighlightInterface::AttributeBlock::attribute
    {45, 635, 492},	// KTextEditor::HighlightInterface::AttributeBlock::length
    {45, 896, 495},	// KTextEditor::HighlightInterface::AttributeBlock::setAttribute?
    {45, 943, 493},	// KTextEditor::HighlightInterface::AttributeBlock::setLength$
    {45, 1002, 491},	// KTextEditor::HighlightInterface::AttributeBlock::setStart$
    {45, 1038, 490},	// KTextEditor::HighlightInterface::AttributeBlock::start
    {45, 1139, 496},	// KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock
    {46, 151, 504},	// KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin#
    {46, 697, 497},	// KTextEditor::LoadSaveFilterCheckPlugin::metaObject
    {46, 788, 507},	// KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter#
    {46, 790, 506},	// KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck#$
    {46, 792, 505},	// KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck#
    {46, 797, 503},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall$$?
    {46, 799, 498},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast$
    {46, 1043, 510},	// KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject
    {46, 1075, 508},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$
    {46, 1076, 499},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$
    {46, 1077, 501},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$$
    {46, 1079, 509},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$
    {46, 1080, 500},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$
    {46, 1081, 502},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$$
    {46, 1158, 511},	// KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin
    {47, 154, 512},	// KTextEditor::Mark::Mark
    {47, 155, 513},	// KTextEditor::Mark::Mark#
    {47, 636, 514},	// KTextEditor::Mark::line
    {47, 945, 515},	// KTextEditor::Mark::setLine$
    {47, 1009, 517},	// KTextEditor::Mark::setType$
    {47, 1085, 516},	// KTextEditor::Mark::type
    {47, 1159, 518},	// KTextEditor::Mark::~Mark
    {48, 24, 569},	// KTextEditor::MarkInterface::Bookmark
    {48, 26, 570},	// KTextEditor::MarkInterface::BreakpointActive
    {48, 27, 572},	// KTextEditor::MarkInterface::BreakpointDisabled
    {48, 28, 571},	// KTextEditor::MarkInterface::BreakpointReached
    {48, 82, 575},	// KTextEditor::MarkInterface::Error
    {48, 83, 573},	// KTextEditor::MarkInterface::Execution
    {48, 156, 576},	// KTextEditor::MarkInterface::MarkAdded
    {48, 157, 519},	// KTextEditor::MarkInterface::MarkInterface
    {48, 158, 536},	// KTextEditor::MarkInterface::MarkInterface#
    {48, 159, 577},	// KTextEditor::MarkInterface::MarkRemoved
    {48, 258, 574},	// KTextEditor::MarkInterface::Warning
    {48, 288, 523},	// KTextEditor::MarkInterface::addMark$$
    {48, 358, 522},	// KTextEditor::MarkInterface::clearMark$
    {48, 359, 526},	// KTextEditor::MarkInterface::clearMarks
    {48, 510, 534},	// KTextEditor::MarkInterface::editableMarks
    {48, 652, 520},	// KTextEditor::MarkInterface::mark$
    {48, 654, 535},	// KTextEditor::MarkInterface::markChanged##$
    {48, 656, 532},	// KTextEditor::MarkInterface::markDescription$
    {48, 658, 530},	// KTextEditor::MarkInterface::markPixmap$
    {48, 659, 537},	// KTextEditor::MarkInterface::markType01
    {48, 660, 538},	// KTextEditor::MarkInterface::markType02
    {48, 661, 539},	// KTextEditor::MarkInterface::markType03
    {48, 662, 540},	// KTextEditor::MarkInterface::markType04
    {48, 663, 541},	// KTextEditor::MarkInterface::markType05
    {48, 664, 542},	// KTextEditor::MarkInterface::markType06
    {48, 665, 543},	// KTextEditor::MarkInterface::markType07
    {48, 666, 544},	// KTextEditor::MarkInterface::markType08
    {48, 667, 545},	// KTextEditor::MarkInterface::markType09
    {48, 668, 546},	// KTextEditor::MarkInterface::markType10
    {48, 669, 547},	// KTextEditor::MarkInterface::markType11
    {48, 670, 548},	// KTextEditor::MarkInterface::markType12
    {48, 671, 549},	// KTextEditor::MarkInterface::markType13
    {48, 672, 550},	// KTextEditor::MarkInterface::markType14
    {48, 673, 551},	// KTextEditor::MarkInterface::markType15
    {48, 674, 552},	// KTextEditor::MarkInterface::markType16
    {48, 675, 553},	// KTextEditor::MarkInterface::markType17
    {48, 676, 554},	// KTextEditor::MarkInterface::markType18
    {48, 677, 555},	// KTextEditor::MarkInterface::markType19
    {48, 678, 556},	// KTextEditor::MarkInterface::markType20
    {48, 679, 557},	// KTextEditor::MarkInterface::markType21
    {48, 680, 558},	// KTextEditor::MarkInterface::markType22
    {48, 681, 559},	// KTextEditor::MarkInterface::markType23
    {48, 682, 560},	// KTextEditor::MarkInterface::markType24
    {48, 683, 561},	// KTextEditor::MarkInterface::markType25
    {48, 684, 562},	// KTextEditor::MarkInterface::markType26
    {48, 685, 563},	// KTextEditor::MarkInterface::markType27
    {48, 686, 564},	// KTextEditor::MarkInterface::markType28
    {48, 687, 565},	// KTextEditor::MarkInterface::markType29
    {48, 688, 566},	// KTextEditor::MarkInterface::markType30
    {48, 689, 567},	// KTextEditor::MarkInterface::markType31
    {48, 690, 568},	// KTextEditor::MarkInterface::markType32
    {48, 691, 525},	// KTextEditor::MarkInterface::marks
    {48, 693, 528},	// KTextEditor::MarkInterface::marksChanged#
    {48, 848, 524},	// KTextEditor::MarkInterface::removeMark$$
    {48, 869, 527},	// KTextEditor::MarkInterface::reservedMarkersCount
    {48, 927, 533},	// KTextEditor::MarkInterface::setEditableMarks$
    {48, 959, 521},	// KTextEditor::MarkInterface::setMark$$
    {48, 961, 531},	// KTextEditor::MarkInterface::setMarkDescription$$
    {48, 963, 529},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {48, 1160, 578},	// KTextEditor::MarkInterface::~MarkInterface
    {49, 161, 579},	// KTextEditor::MdiContainer::MdiContainer
    {49, 162, 586},	// KTextEditor::MdiContainer::MdiContainer#
    {49, 274, 581},	// KTextEditor::MdiContainer::activeView
    {49, 368, 583},	// KTextEditor::MdiContainer::closeDocument#
    {49, 372, 585},	// KTextEditor::MdiContainer::closeView#
    {49, 419, 582},	// KTextEditor::MdiContainer::createDocument
    {49, 427, 584},	// KTextEditor::MdiContainer::createView#
    {49, 890, 580},	// KTextEditor::MdiContainer::setActiveView#
    {49, 1161, 587},	// KTextEditor::MdiContainer::~MdiContainer
    {50, 163, 588},	// KTextEditor::ModificationInterface::ModificationInterface
    {50, 164, 593},	// KTextEditor::ModificationInterface::ModificationInterface#
    {50, 172, 597},	// KTextEditor::ModificationInterface::OnDiskCreated
    {50, 173, 598},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {50, 174, 596},	// KTextEditor::ModificationInterface::OnDiskModified
    {50, 175, 595},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {50, 712, 592},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {50, 968, 589},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {50, 970, 590},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {50, 1030, 594},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {50, 1031, 591},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {50, 1162, 599},	// KTextEditor::ModificationInterface::~ModificationInterface
    {51, 178, 600},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface
    {51, 179, 603},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface#
    {51, 216, 608},	// KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding
    {51, 217, 607},	// KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting
    {51, 218, 606},	// KTextEditor::ParameterizedSessionConfigInterface::SkipMode
    {51, 219, 604},	// KTextEditor::ParameterizedSessionConfigInterface::SkipNone
    {51, 220, 605},	// KTextEditor::ParameterizedSessionConfigInterface::SkipUrl
    {51, 822, 601},	// KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig#$
    {51, 1130, 602},	// KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig#$
    {51, 1163, 609},	// KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface
    {52, 181, 617},	// KTextEditor::Plugin::Plugin#
    {52, 280, 618},	// KTextEditor::Plugin::addDocument#
    {52, 292, 620},	// KTextEditor::Plugin::addView#
    {52, 697, 610},	// KTextEditor::Plugin::metaObject
    {52, 797, 616},	// KTextEditor::Plugin::qt_metacall$$?
    {52, 799, 611},	// KTextEditor::Plugin::qt_metacast$
    {52, 840, 619},	// KTextEditor::Plugin::removeDocument#
    {52, 859, 621},	// KTextEditor::Plugin::removeView#
    {52, 1043, 624},	// KTextEditor::Plugin::staticMetaObject
    {52, 1075, 622},	// KTextEditor::Plugin::tr$
    {52, 1076, 612},	// KTextEditor::Plugin::tr$$
    {52, 1077, 614},	// KTextEditor::Plugin::tr$$$
    {52, 1079, 623},	// KTextEditor::Plugin::trUtf8$
    {52, 1080, 613},	// KTextEditor::Plugin::trUtf8$$
    {52, 1081, 615},	// KTextEditor::Plugin::trUtf8$$$
    {52, 1164, 625},	// KTextEditor::Plugin::~Plugin
    {53, 197, 626},	// KTextEditor::Range::Range
    {53, 198, 631},	// KTextEditor::Range::Range#
    {53, 199, -40},	// KTextEditor::Range::Range##
    {53, 200, 628},	// KTextEditor::Range::Range#$
    {53, 201, 629},	// KTextEditor::Range::Range#$$
    {53, 202, 630},	// KTextEditor::Range::Range$$$$
    {53, 323, 659},	// KTextEditor::Range::boundaryAtCursor#
    {53, 325, 660},	// KTextEditor::Range::boundaryOnLine$
    {53, 377, 648},	// KTextEditor::Range::columnWidth
    {53, 403, 645},	// KTextEditor::Range::confineToRange#
    {53, 407, -43},	// KTextEditor::Range::contains#
    {53, 409, 653},	// KTextEditor::Range::containsColumn$
    {53, 411, 652},	// KTextEditor::Range::containsLine$
    {53, 522, 662},	// KTextEditor::Range::encompass#
    {53, 523, -46},	// KTextEditor::Range::end
    {53, 544, 644},	// KTextEditor::Range::expandToRange#
    {53, 619, 661},	// KTextEditor::Range::intersect#
    {53, 620, 633},	// KTextEditor::Range::invalid
    {53, 625, 649},	// KTextEditor::Range::isEmpty
    {53, 627, 634},	// KTextEditor::Range::isSmartRange
    {53, 628, 632},	// KTextEditor::Range::isValid
    {53, 647, 668},	// KTextEditor::Range::m_end
    {53, 650, 666},	// KTextEditor::Range::m_start
    {53, 745, 647},	// KTextEditor::Range::numberOfLines
    {53, 746, 646},	// KTextEditor::Range::onSingleLine
    {53, 754, 663},	// KTextEditor::Range::operator=#
    {53, 761, 654},	// KTextEditor::Range::overlaps#
    {53, 763, 656},	// KTextEditor::Range::overlapsColumn$
    {53, 765, 655},	// KTextEditor::Range::overlapsLine$
    {53, 784, 657},	// KTextEditor::Range::positionRelativeToCursor#
    {53, 786, 658},	// KTextEditor::Range::positionRelativeToLine$
    {53, 807, 665},	// KTextEditor::Range::rangeChanged##
    {53, 904, 641},	// KTextEditor::Range::setBothColumns$
    {53, 906, 640},	// KTextEditor::Range::setBothLines$
    {53, 950, 669},	// KTextEditor::Range::setM_end#
    {53, 956, 667},	// KTextEditor::Range::setM_start#
    {53, 985, 642},	// KTextEditor::Range::setRange#
    {53, 986, 643},	// KTextEditor::Range::setRange##
    {53, 1038, -49},	// KTextEditor::Range::start
    {53, 1071, 635},	// KTextEditor::Range::toSmartRange
    {53, 1165, 670},	// KTextEditor::Range::~Range
    {54, 203, 673},	// KTextEditor::RangeCommand::RangeCommand
    {54, 204, 674},	// KTextEditor::RangeCommand::RangeCommand#
    {54, 536, 671},	// KTextEditor::RangeCommand::exec#$$#
    {54, 1049, 672},	// KTextEditor::RangeCommand::supportsRange$
    {54, 1166, 675},	// KTextEditor::RangeCommand::~RangeCommand
    {55, 208, 676},	// KTextEditor::SearchInterface::SearchInterface
    {55, 209, 679},	// KTextEditor::SearchInterface::SearchInterface#
    {55, 880, 680},	// KTextEditor::SearchInterface::searchText#$
    {55, 881, 677},	// KTextEditor::SearchInterface::searchText#$$
    {55, 1047, 678},	// KTextEditor::SearchInterface::supportedSearchOptions
    {55, 1167, 681},	// KTextEditor::SearchInterface::~SearchInterface
    {56, 212, 682},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {56, 213, 685},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {56, 824, 683},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {56, 1132, 684},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {56, 1168, 686},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {57, 29, 709},	// KTextEditor::SmartCursor::ByCharacter
    {57, 30, 710},	// KTextEditor::SmartCursor::ByCursorPosition
    {57, 165, 712},	// KTextEditor::SmartCursor::MoveOnInsert
    {57, 223, 705},	// KTextEditor::SmartCursor::SmartCursor##$
    {57, 239, 711},	// KTextEditor::SmartCursor::StayOnInsert
    {57, 298, 707},	// KTextEditor::SmartCursor::advance$
    {57, 299, 696},	// KTextEditor::SmartCursor::advance$$
    {57, 311, 692},	// KTextEditor::SmartCursor::atEndOfDocument
    {57, 312, 691},	// KTextEditor::SmartCursor::atEndOfLine
    {57, 334, 694},	// KTextEditor::SmartCursor::character
    {57, 457, 701},	// KTextEditor::SmartCursor::deleteNotifier
    {57, 470, 690},	// KTextEditor::SmartCursor::document
    {57, 571, 699},	// KTextEditor::SmartCursor::hasNotifier
    {57, 599, 697},	// KTextEditor::SmartCursor::insertBehavior
    {57, 616, 706},	// KTextEditor::SmartCursor::insertText?
    {57, 617, 695},	// KTextEditor::SmartCursor::insertText?$
    {57, 626, 687},	// KTextEditor::SmartCursor::isSmartCursor
    {57, 628, 693},	// KTextEditor::SmartCursor::isValid
    {57, 743, 700},	// KTextEditor::SmartCursor::notifier
    {57, 754, 704},	// KTextEditor::SmartCursor::operator=#
    {57, 940, 698},	// KTextEditor::SmartCursor::setInsertBehavior$
    {57, 1013, 708},	// KTextEditor::SmartCursor::setWatcher
    {57, 1014, 703},	// KTextEditor::SmartCursor::setWatcher#
    {57, 1034, 689},	// KTextEditor::SmartCursor::smartRange
    {57, 1070, 688},	// KTextEditor::SmartCursor::toSmartCursor
    {57, 1120, 702},	// KTextEditor::SmartCursor::watcher
    {57, 1169, 713},	// KTextEditor::SmartCursor::~SmartCursor
    {58, 224, 721},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {58, 337, 726},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {58, 339, 727},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {58, 463, 728},	// KTextEditor::SmartCursorNotifier::deleted#
    {58, 697, 714},	// KTextEditor::SmartCursorNotifier::metaObject
    {58, 780, 724},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {58, 782, 725},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {58, 797, 720},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {58, 799, 715},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {58, 1012, 723},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {58, 1043, 731},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {58, 1075, 729},	// KTextEditor::SmartCursorNotifier::tr$
    {58, 1076, 716},	// KTextEditor::SmartCursorNotifier::tr$$
    {58, 1077, 718},	// KTextEditor::SmartCursorNotifier::tr$$$
    {58, 1079, 730},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {58, 1080, 717},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {58, 1081, 719},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {58, 1117, 722},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {58, 1170, 732},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {59, 225, 733},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {59, 226, 741},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {59, 337, 738},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {59, 339, 739},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {59, 463, 740},	// KTextEditor::SmartCursorWatcher::deleted#
    {59, 780, 736},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {59, 782, 737},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {59, 1012, 735},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {59, 1117, 734},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {59, 1171, 742},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {60, 227, 743},	// KTextEditor::SmartInterface::SmartInterface
    {60, 228, 781},	// KTextEditor::SmartInterface::SmartInterface#
    {60, 276, 771},	// KTextEditor::SmartInterface::addActionsToDocument#
    {60, 278, 775},	// KTextEditor::SmartInterface::addActionsToView##
    {60, 282, 796},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {60, 283, 763},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {60, 285, 797},	// KTextEditor::SmartInterface::addHighlightToView##
    {60, 286, 767},	// KTextEditor::SmartInterface::addHighlightToView##$
    {60, 317, 779},	// KTextEditor::SmartInterface::attributeDynamic?
    {60, 319, 780},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {60, 355, 774},	// KTextEditor::SmartInterface::clearDocumentActions
    {60, 356, 766},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {60, 360, 746},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {60, 361, 751},	// KTextEditor::SmartInterface::clearRevision
    {60, 362, 745},	// KTextEditor::SmartInterface::clearSmartInterface
    {60, 364, 778},	// KTextEditor::SmartInterface::clearViewActions#
    {60, 366, 770},	// KTextEditor::SmartInterface::clearViewHighlights#
    {60, 428, 748},	// KTextEditor::SmartInterface::currentRevision
    {60, 456, 756},	// KTextEditor::SmartInterface::deleteCursors
    {60, 459, 762},	// KTextEditor::SmartInterface::deleteRanges
    {60, 471, 773},	// KTextEditor::SmartInterface::documentActions
    {60, 475, 765},	// KTextEditor::SmartInterface::documentHighlights
    {60, 729, 784},	// KTextEditor::SmartInterface::newSmartCursor
    {60, 730, 785},	// KTextEditor::SmartInterface::newSmartCursor#
    {60, 731, 754},	// KTextEditor::SmartInterface::newSmartCursor#$
    {60, 732, 786},	// KTextEditor::SmartInterface::newSmartCursor$$
    {60, 733, 755},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {60, 734, 787},	// KTextEditor::SmartInterface::newSmartRange
    {60, 735, 788},	// KTextEditor::SmartInterface::newSmartRange#
    {60, 736, -1},	// KTextEditor::SmartInterface::newSmartRange##
    {60, 737, -5},	// KTextEditor::SmartInterface::newSmartRange###
    {60, 738, -8},	// KTextEditor::SmartInterface::newSmartRange###$
    {60, 739, 757},	// KTextEditor::SmartInterface::newSmartRange##$
    {60, 740, 792},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {60, 741, 793},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {60, 742, 759},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {60, 831, 749},	// KTextEditor::SmartInterface::releaseRevision$
    {60, 835, 772},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {60, 837, 776},	// KTextEditor::SmartInterface::removeActionsFromView##
    {60, 842, 764},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {60, 844, 768},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {60, 908, 747},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {60, 1033, 744},	// KTextEditor::SmartInterface::smartMutex
    {60, 1083, -11},	// KTextEditor::SmartInterface::translateFromRevision#
    {60, 1084, -14},	// KTextEditor::SmartInterface::translateFromRevision#$
    {60, 1087, 761},	// KTextEditor::SmartInterface::unbindSmartRange#
    {60, 1095, 750},	// KTextEditor::SmartInterface::useRevision$
    {60, 1103, 777},	// KTextEditor::SmartInterface::viewActions#
    {60, 1110, 769},	// KTextEditor::SmartInterface::viewHighlights#
    {60, 1172, 798},	// KTextEditor::SmartInterface::~SmartInterface
    {61, 64, 858},	// KTextEditor::SmartRange::DoNotExpand
    {61, 84, 859},	// KTextEditor::SmartRange::ExpandLeft
    {61, 85, 860},	// KTextEditor::SmartRange::ExpandRight
    {61, 230, 856},	// KTextEditor::SmartRange::SmartRange##
    {61, 231, 857},	// KTextEditor::SmartRange::SmartRange###
    {61, 232, 846},	// KTextEditor::SmartRange::SmartRange###$
    {61, 290, 838},	// KTextEditor::SmartRange::addNotifier#
    {61, 296, 842},	// KTextEditor::SmartRange::addWatcher#
    {61, 309, 832},	// KTextEditor::SmartRange::associateAction#
    {61, 310, 834},	// KTextEditor::SmartRange::associatedActions
    {61, 315, 830},	// KTextEditor::SmartRange::attribute
    {61, 340, 848},	// KTextEditor::SmartRange::checkFeedback
    {61, 342, 824},	// KTextEditor::SmartRange::childAfter#
    {61, 344, 823},	// KTextEditor::SmartRange::childBefore#
    {61, 350, 819},	// KTextEditor::SmartRange::childRanges
    {61, 352, 822},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {61, 353, 835},	// KTextEditor::SmartRange::clearAssociatedActions
    {61, 354, 820},	// KTextEditor::SmartRange::clearChildRanges
    {61, 403, 806},	// KTextEditor::SmartRange::confineToRange#
    {61, 421, 849},	// KTextEditor::SmartRange::createNotifier
    {61, 444, 854},	// KTextEditor::SmartRange::deepestRangeContaining#
    {61, 445, 855},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {61, 446, 827},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {61, 448, 828},	// KTextEditor::SmartRange::deepestRangesContaining#
    {61, 455, 821},	// KTextEditor::SmartRange::deleteChildRanges
    {61, 458, 840},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {61, 464, 817},	// KTextEditor::SmartRange::depth
    {61, 469, 833},	// KTextEditor::SmartRange::dissociateAction#
    {61, 470, 808},	// KTextEditor::SmartRange::document
    {61, 544, 807},	// KTextEditor::SmartRange::expandToRange#
    {61, 549, 826},	// KTextEditor::SmartRange::firstRangeContaining#
    {61, 573, 816},	// KTextEditor::SmartRange::hasParent#
    {61, 599, 812},	// KTextEditor::SmartRange::insertBehavior
    {61, 627, 799},	// KTextEditor::SmartRange::isSmartRange
    {61, 714, 825},	// KTextEditor::SmartRange::mostSpecificRange#
    {61, 744, 837},	// KTextEditor::SmartRange::notifiers
    {61, 754, -17},	// KTextEditor::SmartRange::operator=#
    {61, 759, 829},	// KTextEditor::SmartRange::overlapCount
    {61, 771, 814},	// KTextEditor::SmartRange::parentRange
    {61, 793, 836},	// KTextEditor::SmartRange::primaryNotifier
    {61, 807, 847},	// KTextEditor::SmartRange::rangeChanged##
    {61, 825, 850},	// KTextEditor::SmartRange::rebuildChildStructure
    {61, 850, 839},	// KTextEditor::SmartRange::removeNotifier#
    {61, 854, 853},	// KTextEditor::SmartRange::removeText
    {61, 857, 811},	// KTextEditor::SmartRange::removeText$
    {61, 861, 843},	// KTextEditor::SmartRange::removeWatcher#
    {61, 867, 852},	// KTextEditor::SmartRange::replaceText?
    {61, 868, 810},	// KTextEditor::SmartRange::replaceText?$
    {61, 896, 831},	// KTextEditor::SmartRange::setAttribute?
    {61, 940, 813},	// KTextEditor::SmartRange::setInsertBehavior$
    {61, 980, 815},	// KTextEditor::SmartRange::setParentRange#
    {61, 985, 801},	// KTextEditor::SmartRange::setRange#
    {61, 1032, -20},	// KTextEditor::SmartRange::smartEnd
    {61, 1035, -23},	// KTextEditor::SmartRange::smartStart
    {61, 1052, 851},	// KTextEditor::SmartRange::text
    {61, 1055, 809},	// KTextEditor::SmartRange::text$
    {61, 1071, 800},	// KTextEditor::SmartRange::toSmartRange
    {61, 1072, 818},	// KTextEditor::SmartRange::topParentRange
    {61, 1121, 841},	// KTextEditor::SmartRange::watchers
    {61, 1173, 861},	// KTextEditor::SmartRange::~SmartRange
    {62, 233, 869},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {62, 329, 877},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {62, 331, 878},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {62, 347, 882},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {62, 349, 883},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {62, 697, 862},	// KTextEditor::SmartRangeNotifier::metaObject
    {62, 717, 875},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {62, 719, 876},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {62, 773, 881},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {62, 797, 868},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {62, 799, 863},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {62, 805, 884},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {62, 809, 873},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {62, 810, 874},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {62, 812, 880},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {62, 814, 879},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {62, 816, 872},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {62, 1012, 871},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {62, 1043, 887},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {62, 1075, 885},	// KTextEditor::SmartRangeNotifier::tr$
    {62, 1076, 864},	// KTextEditor::SmartRangeNotifier::tr$$
    {62, 1077, 866},	// KTextEditor::SmartRangeNotifier::tr$$$
    {62, 1079, 886},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {62, 1080, 865},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {62, 1081, 867},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {62, 1117, 870},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {62, 1174, 888},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {63, 234, 889},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {63, 235, 905},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {63, 329, 897},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {63, 331, 898},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {63, 347, 902},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {63, 349, 903},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {63, 717, 895},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {63, 719, 896},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {63, 773, 901},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {63, 805, 904},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {63, 809, 893},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {63, 810, 894},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {63, 812, 900},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {63, 814, 899},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {63, 816, 892},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {63, 1012, 891},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {63, 1117, 890},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {63, 1175, 906},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {64, 125, 911},	// KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues$?
    {64, 242, 907},	// KTextEditor::TemplateInterface::TemplateInterface
    {64, 243, 912},	// KTextEditor::TemplateInterface::TemplateInterface#
    {64, 542, 908},	// KTextEditor::TemplateInterface::expandMacros?#
    {64, 607, 909},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {64, 609, 910},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {64, 1176, 913},	// KTextEditor::TemplateInterface::~TemplateInterface
    {65, 244, 914},	// KTextEditor::TextHintInterface::TextHintInterface
    {65, 245, 918},	// KTextEditor::TextHintInterface::TextHintInterface#
    {65, 466, 916},	// KTextEditor::TextHintInterface::disableTextHints
    {65, 518, 915},	// KTextEditor::TextHintInterface::enableTextHints$
    {65, 728, 917},	// KTextEditor::TextHintInterface::needTextHint#$
    {65, 1177, 919},	// KTextEditor::TextHintInterface::~TextHintInterface
    {66, 251, 920},	// KTextEditor::VariableInterface::VariableInterface
    {66, 252, 923},	// KTextEditor::VariableInterface::VariableInterface#
    {66, 1097, 921},	// KTextEditor::VariableInterface::variable$
    {66, 1099, 922},	// KTextEditor::VariableInterface::variableChanged#$$
    {66, 1178, 924},	// KTextEditor::VariableInterface::~VariableInterface
    {67, 70, 974},	// KTextEditor::View::EditInsert
    {67, 71, 975},	// KTextEditor::View::EditOverwrite
    {67, 254, 932},	// KTextEditor::View::View#
    {67, 321, 966},	// KTextEditor::View::blockSelection
    {67, 412, 944},	// KTextEditor::View::contextMenu
    {67, 414, 946},	// KTextEditor::View::contextMenuAboutToShow##
    {67, 433, 948},	// KTextEditor::View::cursorPosition
    {67, 435, 952},	// KTextEditor::View::cursorPositionChanged##
    {67, 436, 951},	// KTextEditor::View::cursorPositionCoordinates
    {67, 437, 949},	// KTextEditor::View::cursorPositionVirtual
    {67, 439, 950},	// KTextEditor::View::cursorToCoordinate#
    {67, 449, 971},	// KTextEditor::View::defaultContextMenu
    {67, 450, 945},	// KTextEditor::View::defaultContextMenu#
    {67, 470, 933},	// KTextEditor::View::document
    {67, 554, 937},	// KTextEditor::View::focusIn#
    {67, 558, 938},	// KTextEditor::View::focusOut#
    {67, 591, 954},	// KTextEditor::View::horizontalScrollPositionChanged#
    {67, 596, 941},	// KTextEditor::View::informationMessage#$
    {67, 615, 968},	// KTextEditor::View::insertText$
    {67, 621, 934},	// KTextEditor::View::isActiveView
    {67, 697, 925},	// KTextEditor::View::metaObject
    {67, 722, 957},	// KTextEditor::View::mousePositionChanged##
    {67, 725, 955},	// KTextEditor::View::mouseTrackingEnabled
    {67, 797, 931},	// KTextEditor::View::qt_metacall$$?
    {67, 799, 926},	// KTextEditor::View::qt_metacast$
    {67, 852, 963},	// KTextEditor::View::removeSelection
    {67, 853, 964},	// KTextEditor::View::removeSelectionText
    {67, 884, 960},	// KTextEditor::View::selection
    {67, 886, 967},	// KTextEditor::View::selectionChanged#
    {67, 887, 961},	// KTextEditor::View::selectionRange
    {67, 888, 962},	// KTextEditor::View::selectionText
    {67, 902, 965},	// KTextEditor::View::setBlockSelection$
    {67, 917, 943},	// KTextEditor::View::setContextMenu#
    {67, 919, 947},	// KTextEditor::View::setCursorPosition#
    {67, 972, 956},	// KTextEditor::View::setMouseTrackingEnabled$
    {67, 996, 958},	// KTextEditor::View::setSelection#
    {67, 997, 972},	// KTextEditor::View::setSelection#$
    {67, 998, 959},	// KTextEditor::View::setSelection#$$
    {67, 1043, 973},	// KTextEditor::View::staticMetaObject
    {67, 1062, 942},	// KTextEditor::View::textInserted##$
    {67, 1075, 969},	// KTextEditor::View::tr$
    {67, 1076, 927},	// KTextEditor::View::tr$$
    {67, 1077, 929},	// KTextEditor::View::tr$$$
    {67, 1079, 970},	// KTextEditor::View::trUtf8$
    {67, 1080, 928},	// KTextEditor::View::trUtf8$$
    {67, 1081, 930},	// KTextEditor::View::trUtf8$$$
    {67, 1101, 953},	// KTextEditor::View::verticalScrollPositionChanged##
    {67, 1106, 936},	// KTextEditor::View::viewEditMode
    {67, 1108, 940},	// KTextEditor::View::viewEditModeChanged#$
    {67, 1111, 935},	// KTextEditor::View::viewMode
    {67, 1113, 939},	// KTextEditor::View::viewModeChanged#
    {67, 1179, 976},	// KTextEditor::View::~View
    {68, 25, 987},	// KTextEditor::ViewBarContainer::BottomBar
    {68, 128, 984},	// KTextEditor::ViewBarContainer::LeftBar
    {68, 205, 986},	// KTextEditor::ViewBarContainer::RightBar
    {68, 246, 985},	// KTextEditor::ViewBarContainer::TopBar
    {68, 255, 977},	// KTextEditor::ViewBarContainer::ViewBarContainer
    {68, 256, 983},	// KTextEditor::ViewBarContainer::ViewBarContainer#
    {68, 294, 979},	// KTextEditor::ViewBarContainer::addViewBarToLayout##$
    {68, 461, 982},	// KTextEditor::ViewBarContainer::deleteViewBarForView#$
    {68, 564, 978},	// KTextEditor::ViewBarContainer::getViewBarParent#$
    {68, 580, 981},	// KTextEditor::ViewBarContainer::hideViewBarForView#$
    {68, 1027, 980},	// KTextEditor::ViewBarContainer::showViewBarForView#$
    {68, 1180, 988},	// KTextEditor::ViewBarContainer::~ViewBarContainer
    {89, 105, 1072},	// QGlobalSpace::KST_CTimeInfo
    {89, 106, 1046},	// QGlobalSpace::KST_KCustom
    {89, 107, 1040},	// QGlobalSpace::KST_KDEDesktopMimeType
    {89, 108, 1039},	// QGlobalSpace::KST_KFolderMimeType
    {89, 109, 1069},	// QGlobalSpace::KST_KImageIO
    {89, 110, 1043},	// QGlobalSpace::KST_KImageIOFormat
    {89, 111, 1038},	// QGlobalSpace::KST_KMimeType
    {89, 112, 1041},	// QGlobalSpace::KST_KMimeTypeEntry
    {89, 113, 1071},	// QGlobalSpace::KST_KMimeTypeFactory
    {89, 114, 1044},	// QGlobalSpace::KST_KProtocolInfo
    {89, 115, 1070},	// QGlobalSpace::KST_KProtocolInfoFactory
    {89, 116, 1036},	// QGlobalSpace::KST_KService
    {89, 117, 1066},	// QGlobalSpace::KST_KServiceFactory
    {89, 118, 1042},	// QGlobalSpace::KST_KServiceGroup
    {89, 119, 1068},	// QGlobalSpace::KST_KServiceGroupFactory
    {89, 120, 1045},	// QGlobalSpace::KST_KServiceSeparator
    {89, 121, 1037},	// QGlobalSpace::KST_KServiceType
    {89, 122, 1067},	// QGlobalSpace::KST_KServiceTypeFactory
    {89, 123, 1035},	// QGlobalSpace::KST_KSycocaEntry
    {89, 129, 1051},	// QGlobalSpace::LicensedActiveQt
    {89, 130, 1057},	// QGlobalSpace::LicensedCore
    {89, 131, 1049},	// QGlobalSpace::LicensedDBus
    {89, 132, 1054},	// QGlobalSpace::LicensedDeclarative
    {89, 133, 1032},	// QGlobalSpace::LicensedGui
    {89, 134, 1063},	// QGlobalSpace::LicensedHelp
    {89, 135, 1064},	// QGlobalSpace::LicensedMultimedia
    {89, 136, 1074},	// QGlobalSpace::LicensedNetwork
    {89, 137, 1056},	// QGlobalSpace::LicensedOpenGL
    {89, 138, 1048},	// QGlobalSpace::LicensedOpenVG
    {89, 139, 1065},	// QGlobalSpace::LicensedQt3Support
    {89, 140, 1034},	// QGlobalSpace::LicensedQt3SupportLight
    {89, 141, 1047},	// QGlobalSpace::LicensedScript
    {89, 142, 1052},	// QGlobalSpace::LicensedScriptTools
    {89, 143, 1055},	// QGlobalSpace::LicensedSql
    {89, 144, 1053},	// QGlobalSpace::LicensedSvg
    {89, 145, 1050},	// QGlobalSpace::LicensedTest
    {89, 146, 1033},	// QGlobalSpace::LicensedXml
    {89, 147, 1073},	// QGlobalSpace::LicensedXmlPatterns
    {89, 187, 1027},	// QGlobalSpace::Q_COMPLEX_TYPE
    {89, 188, 1031},	// QGlobalSpace::Q_DUMMY_TYPE
    {89, 189, 1030},	// QGlobalSpace::Q_MOVABLE_TYPE
    {89, 190, 1028},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {89, 191, 1029},	// QGlobalSpace::Q_STATIC_TYPE
    {89, 192, 1060},	// QGlobalSpace::QtCriticalMsg
    {89, 193, 1058},	// QGlobalSpace::QtDebugMsg
    {89, 194, 1061},	// QGlobalSpace::QtFatalMsg
    {89, 195, 1062},	// QGlobalSpace::QtSystemMsg
    {89, 196, 1059},	// QGlobalSpace::QtWarningMsg
    {89, 259, 1077},	// QGlobalSpace::__codecvt_error
    {89, 260, 1078},	// QGlobalSpace::__codecvt_noconv
    {89, 261, 1075},	// QGlobalSpace::__codecvt_ok
    {89, 262, 1076},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_kparts_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 118,
        __smokektexteditor::methods, 1129,
        __smokektexteditor::methodMaps, 990,
        __smokektexteditor::methodNames, 1180,
        __smokektexteditor::types, 346,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
