#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KTagCloudWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 5: return (void*)(KTagCloudWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 6:   //KTagDisplayWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 6: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KUrl
      switch(to) {
        case 72: return (void*)(QUrl*)(KUrl*)xptr;
        case 7: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Class
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 9: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 10: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Entity
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)xptr;
        case 9: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 19: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::File
      switch(to) {
        case 23: return (void*)(Nepomuk::Resource*)(Nepomuk::File*)xptr;
        case 12: return (void*)(Nepomuk::File*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Literal
      switch(to) {
        case 14: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Ontology
      switch(to) {
        case 16: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::OntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 10: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::OntologyManager
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Property
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 19: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Query
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::Term
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Resource
      switch(to) {
        case 23: return (void*)(Nepomuk::Resource*)xptr;
        case 30: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 27: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        case 12: return (void*)(Nepomuk::File*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::ResourceData
      switch(to) {
        case 24: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::ResourceManager
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 25: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Service
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 26: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Tag
      switch(to) {
        case 23: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 27: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::TagCloud
      switch(to) {
        case 5: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 75: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 28: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::TagWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Nepomuk::Thing
      switch(to) {
        case 23: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 30: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 32:   //Nepomuk::Types::Class
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 32: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Entity
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 36: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 35: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 32: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Literal
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Types::Ontology
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 35: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 36:   //Nepomuk::Types::Property
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 36: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 37:   //Nepomuk::Variant
      switch(to) {
        case 37: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 38:   //QActionEvent
      switch(to) {
        case 38: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QBool
      switch(to) {
        case 39: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 40:   //QChildEvent
      switch(to) {
        case 40: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QCloseEvent
      switch(to) {
        case 41: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QContextMenuEvent
      switch(to) {
        case 42: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDate
      switch(to) {
        case 43: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 44:   //QDateTime
      switch(to) {
        case 44: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 45:   //QDragEnterEvent
      switch(to) {
        case 45: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragLeaveEvent
      switch(to) {
        case 46: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDragMoveEvent
      switch(to) {
        case 47: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QDropEvent
      switch(to) {
        case 48: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QEvent
      switch(to) {
        case 49: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFocusEvent
      switch(to) {
        case 50: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QFont
      switch(to) {
        case 51: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 53:   //QHideEvent
      switch(to) {
        case 53: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QIcon
      switch(to) {
        case 54: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 55:   //QInputMethodEvent
      switch(to) {
        case 55: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 29: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 28: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 26: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 5: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 25: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 6: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEngine
      switch(to) {
        case 61: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEvent
      switch(to) {
        case 62: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QRegExp
      switch(to) {
        case 64: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 65:   //QResizeEvent
      switch(to) {
        case 65: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QShowEvent
      switch(to) {
        case 66: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QSize
      switch(to) {
        case 67: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 68:   //QStyle
      switch(to) {
        case 68: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 69:   //QTabletEvent
      switch(to) {
        case 69: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QTime
      switch(to) {
        case 70: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 71:   //QTimerEvent
      switch(to) {
        case 71: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QUrl
      switch(to) {
        case 72: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 5: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 6: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 76:   //Soprano::LanguageTag
      switch(to) {
        case 76: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::LiteralValue
      switch(to) {
        case 77: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::Model
      switch(to) {
        case 78: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Node
      switch(to) {
        case 79: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 80:   //Soprano::Statement
      switch(to) {
        case 80: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    75, 0,	// 1: QWidget
    11, 0,	// 3: Nepomuk::Entity
    17, 0,	// 5: Nepomuk::OntologyLoader
    23, 0,	// 7: Nepomuk::Resource
    60, 0,	// 9: QObject
    5, 0,	// 11: KTagCloudWidget
    33, 0,	// 13: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__TagWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__File(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KTagCloudWidget", false, 1, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//5
    { "KTagDisplayWidget", false, 1, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//6
    { "KUrl", true, 0, 0, 0, 0, 0 },	//7
    { "Nepomuk", false, 0, xcall_Nepomuk, xenum_Nepomuk, Smoke::cf_namespace, 0 },	//8
    { "Nepomuk::Class", false, 3, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//9
    { "Nepomuk::DesktopOntologyLoader", false, 5, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//10
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//11
    { "Nepomuk::File", false, 7, xcall_Nepomuk__File, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::File) },	//12
    { "Nepomuk::FileOntologyLoader", false, 5, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//13
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//14
    { "Nepomuk::NepomukOntologyLoader", false, 5, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//15
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//16
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//17
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//18
    { "Nepomuk::Property", false, 3, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//19
    { "Nepomuk::Query::ComparisonTerm", true, 0, 0, 0, 0, 0 },	//20
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//21
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//22
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//23
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//25
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//26
    { "Nepomuk::Tag", false, 7, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//27
    { "Nepomuk::TagCloud", false, 11, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//28
    { "Nepomuk::TagWidget", false, 1, xcall_Nepomuk__TagWidget, xenum_Nepomuk__TagWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//29
    { "Nepomuk::Thing", false, 7, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//30
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//31
    { "Nepomuk::Types::Class", false, 13, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//32
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//33
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//34
    { "Nepomuk::Types::Ontology", false, 13, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//35
    { "Nepomuk::Types::Property", false, 13, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//36
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//37
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QBool", true, 0, 0, 0, 0, 0 },	//39
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDate", true, 0, 0, 0, 0, 0 },	//43
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//44
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QFont", true, 0, 0, 0, 0, 0 },	//51
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//52
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QIcon", true, 0, 0, 0, 0, 0 },	//54
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//64
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QSize", true, 0, 0, 0, 0, 0 },	//67
    { "QStyle", true, 0, 0, 0, 0, 0 },	//68
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QTime", true, 0, 0, 0, 0, 0 },	//70
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QUrl", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//79
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KTagCloudWidget*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagDisplayWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KUrl", 7, Smoke::t_class|Smoke::tf_stack },	//9
    { "Nepomuk::Class&", 9, Smoke::t_class|Smoke::tf_ref },	//10
    { "Nepomuk::Class*", 9, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Nepomuk::DesktopOntologyLoader*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Entity&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "Nepomuk::Entity*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Nepomuk::ErrorCode", 8, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Nepomuk::File", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "Nepomuk::File&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "Nepomuk::File*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Nepomuk::FileOntologyLoader*", 13, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Literal", 14, Smoke::t_class|Smoke::tf_stack },	//20
    { "Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Literal*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::NepomukOntologyLoader*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::OntologyLoader*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::OntologyManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref },	//28
    { "Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Nepomuk::Query::ComparisonTerm", 20, Smoke::t_class|Smoke::tf_stack },	//30
    { "Nepomuk::Query::Query", 21, Smoke::t_class|Smoke::tf_stack },	//31
    { "Nepomuk::Query::Term", 22, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Resource", 23, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Resource&", 23, Smoke::t_class|Smoke::tf_ref },	//34
    { "Nepomuk::Resource*", 23, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Nepomuk::ResourceData*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::ResourceManager*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Service*", 26, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Nepomuk::Tag", 27, Smoke::t_class|Smoke::tf_stack },	//39
    { "Nepomuk::Tag&", 27, Smoke::t_class|Smoke::tf_ref },	//40
    { "Nepomuk::Tag*", 27, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Nepomuk::TagCloud*", 28, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::TagWidget*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::TagWidget::ModeFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Nepomuk::TagWidget::ModeFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "Nepomuk::Thing", 30, Smoke::t_class|Smoke::tf_stack },	//46
    { "Nepomuk::Thing&", 30, Smoke::t_class|Smoke::tf_ref },	//47
    { "Nepomuk::Thing*", 30, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Nepomuk::Types::Class", 32, Smoke::t_class|Smoke::tf_stack },	//49
    { "Nepomuk::Types::Class&", 32, Smoke::t_class|Smoke::tf_ref },	//50
    { "Nepomuk::Types::Class*", 32, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Types::Entity&", 33, Smoke::t_class|Smoke::tf_ref },	//52
    { "Nepomuk::Types::Entity*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Nepomuk::Types::Literal", 34, Smoke::t_class|Smoke::tf_stack },	//54
    { "Nepomuk::Types::Literal&", 34, Smoke::t_class|Smoke::tf_ref },	//55
    { "Nepomuk::Types::Literal*", 34, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Nepomuk::Types::Ontology&", 35, Smoke::t_class|Smoke::tf_ref },	//57
    { "Nepomuk::Types::Ontology*", 35, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Nepomuk::Types::Property", 36, Smoke::t_class|Smoke::tf_stack },	//59
    { "Nepomuk::Types::Property&", 36, Smoke::t_class|Smoke::tf_ref },	//60
    { "Nepomuk::Types::Property*", 36, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Nepomuk::Variant", 37, Smoke::t_class|Smoke::tf_stack },	//62
    { "Nepomuk::Variant&", 37, Smoke::t_class|Smoke::tf_ref },	//63
    { "Nepomuk::Variant*", 37, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QActionEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QBool", 39, Smoke::t_class|Smoke::tf_stack },	//66
    { "QChildEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QCloseEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QContextMenuEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QDate", 43, Smoke::t_class|Smoke::tf_stack },	//70
    { "QDateTime", 44, Smoke::t_class|Smoke::tf_stack },	//71
    { "QDragEnterEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QDragLeaveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QDragMoveEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QDropEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QFlags<Nepomuk::TagWidget::ModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFocusEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QHideEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QIcon", 54, Smoke::t_class|Smoke::tf_stack },	//83
    { "QInputMethodEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QPaintEngine*", 61, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QPaintEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QRegExp&", 64, Smoke::t_class|Smoke::tf_ref },	//112
    { "QResizeEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QShowEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QSize", 67, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//118
    { "QStyle&", 68, Smoke::t_class|Smoke::tf_ref },	//119
    { "QTabletEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QTime", 70, Smoke::t_class|Smoke::tf_stack },	//121
    { "QTimerEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QUrl", 72, Smoke::t_class|Smoke::tf_stack },	//123
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//124
    { "QVariant::Type", 73, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QtMsgType", 52, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QtValidLicenseForActiveQtModule", 52, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QtValidLicenseForCoreModule", 52, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtValidLicenseForDBusModule", 52, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtValidLicenseForDeclarativeModule", 52, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtValidLicenseForGuiModule", 52, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForHelpModule", 52, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForMultimediaModule", 52, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForNetworkModule", 52, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForOpenGLModule", 52, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForOpenVGModule", 52, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForQt3SupportLightModule", 52, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForQt3SupportModule", 52, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForScriptModule", 52, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForScriptToolsModule", 52, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForSqlModule", 52, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForSvgModule", 52, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForTestModule", 52, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForXmlModule", 52, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForXmlPatternsModule", 52, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Soprano::Model*", 78, Smoke::t_class|Smoke::tf_ptr },	//223
    { "Soprano::Node", 79, Smoke::t_class|Smoke::tf_stack },	//224
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "__codecvt_result", 52, Smoke::t_enum|Smoke::tf_stack },	//228
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//229
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const KUrl&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const Nepomuk::Class&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const Nepomuk::Class*", 9, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const Nepomuk::DesktopOntologyLoader&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const Nepomuk::Entity&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Nepomuk::File&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const Nepomuk::FileOntologyLoader&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const Nepomuk::NepomukOntologyLoader&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//241
    { "const Nepomuk::OntologyLoader&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const Nepomuk::OntologyManager&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const Nepomuk::Query::Query&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Nepomuk::Query::Term&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const Nepomuk::Resource&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const Nepomuk::Tag&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const Nepomuk::Thing&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const Nepomuk::Types::Class&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const Nepomuk::Types::Entity&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const Nepomuk::Types::Literal&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const Nepomuk::Types::Ontology&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const Nepomuk::Types::Property&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const Nepomuk::Variant&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDate&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDateTime&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QFont&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//276
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRegExp&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "const QTime&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QUrl&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const Soprano::LanguageTag&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const Soprano::LiteralValue&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Soprano::Node&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const Soprano::Statement&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//293
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//294
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//295
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//299
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//300
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//301
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    290, 0,	//1  const char*
    290, 290, 0,	//3  const char*, const char*
    290, 290, 294, 0,	//6  const char*, const char*, int
    105, 294, 300, 0,	//10  QMetaObject::Call, int, void**
    127, 0,	//14  QWidget*
    280, 0,	//16  const QString&
    280, 294, 0,	//18  const QString&, int
    274, 0,	//21  const QMap<QString,int>&
    294, 0,	//23  int
    113, 0,	//25  QResizeEvent*
    281, 0,	//27  const QStringList&
    248, 0,	//29  const Nepomuk::Resource&
    256, 0,	//31  const Nepomuk::Variant&
    15, 0,	//33  Nepomuk::ErrorCode
    288, 0,	//35  const Soprano::Node&
    284, 0,	//37  const QUrl&
    232, 0,	//39  const Nepomuk::Class&
    280, 280, 0,	//41  const QString&, const QString&
    233, 0,	//44  const Nepomuk::Class*
    234, 0,	//46  const Nepomuk::DesktopOntologyLoader&
    235, 0,	//48  const Nepomuk::Entity&
    231, 37, 0,	//50  const KUrl&, Nepomuk::ResourceManager*
    231, 0,	//53  const KUrl&
    236, 0,	//55  const Nepomuk::File&
    280, 226, 0,	//57  const QString&, Soprano::RdfSerialization
    226, 0,	//60  Soprano::RdfSerialization
    237, 0,	//62  const Nepomuk::FileOntologyLoader&
    238, 0,	//64  const Nepomuk::Literal&
    239, 0,	//66  const Nepomuk::NepomukOntologyLoader&
    240, 0,	//68  const Nepomuk::Ontology&
    242, 0,	//70  const Nepomuk::OntologyLoader&
    26, 0,	//72  Nepomuk::OntologyLoader*
    243, 0,	//74  const Nepomuk::OntologyManager&
    244, 0,	//76  const Nepomuk::Property&
    37, 0,	//78  Nepomuk::ResourceManager*
    280, 284, 0,	//80  const QString&, const QUrl&
    280, 284, 37, 0,	//83  const QString&, const QUrl&, Nepomuk::ResourceManager*
    284, 284, 0,	//87  const QUrl&, const QUrl&
    284, 284, 37, 0,	//90  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    36, 0,	//94  Nepomuk::ResourceData*
    266, 0,	//96  const QList<QUrl>&
    255, 256, 0,	//98  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    284, 256, 0,	//101  const QUrl&, const Nepomuk::Variant&
    280, 256, 0,	//104  const QString&, const Nepomuk::Variant&
    260, 0,	//107  const QList<Nepomuk::Resource>&
    261, 0,	//109  const QList<Nepomuk::Tag>&
    249, 0,	//111  const Nepomuk::Tag&
    291, 0,	//113  const unsigned int&
    231, 251, 37, 0,	//115  const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*
    231, 251, 0,	//119  const KUrl&, const Nepomuk::Types::Class&
    223, 0,	//122  Soprano::Model*
    108, 229, 0,	//124  QObject*, bool
    229, 0,	//127  bool
    108, 0,	//129  QObject*
    280, 37, 0,	//131  const QString&, Nepomuk::ResourceManager*
    284, 37, 0,	//134  const QUrl&, Nepomuk::ResourceManager*
    39, 0,	//137  Nepomuk::Tag
    248, 127, 0,	//139  const Nepomuk::Resource&, QWidget*
    128, 0,	//142  Qt::Alignment
    45, 0,	//144  Nepomuk::TagWidget::ModeFlags
    250, 0,	//146  const Nepomuk::Thing&
    252, 0,	//148  const Nepomuk::Types::Entity&
    251, 0,	//150  const Nepomuk::Types::Class&
    253, 0,	//152  const Nepomuk::Types::Literal&
    254, 0,	//154  const Nepomuk::Types::Ontology&
    255, 0,	//156  const Nepomuk::Types::Property&
    285, 0,	//158  const QVariant&
    296, 0,	//160  long long
    297, 0,	//162  unsigned int
    298, 0,	//164  unsigned long long
    293, 0,	//166  double
    257, 0,	//168  const QDate&
    283, 0,	//170  const QTime&
    258, 0,	//172  const QDateTime&
    270, 0,	//174  const QList<int>&
    271, 0,	//176  const QList<long long>&
    272, 0,	//178  const QList<unsigned int>&
    273, 0,	//180  const QList<unsigned long long>&
    268, 0,	//182  const QList<bool>&
    269, 0,	//184  const QList<double>&
    263, 0,	//186  const QList<QDate>&
    265, 0,	//188  const QList<QTime>&
    264, 0,	//190  const QList<QDateTime>&
    262, 0,	//192  const QList<Nepomuk::Variant>&
    267, 0,	//194  const QList<Soprano::Node>&
    76, 0,	//196  QEvent*
    108, 76, 0,	//198  QObject*, QEvent*
    122, 0,	//201  QTimerEvent*
    67, 0,	//203  QChildEvent*
    106, 0,	//205  QMouseEvent*
    126, 0,	//207  QWheelEvent*
    85, 0,	//209  QKeyEvent*
    79, 0,	//211  QFocusEvent*
    111, 0,	//213  QPaintEvent*
    107, 0,	//215  QMoveEvent*
    68, 0,	//217  QCloseEvent*
    69, 0,	//219  QContextMenuEvent*
    120, 0,	//221  QTabletEvent*
    65, 0,	//223  QActionEvent*
    72, 0,	//225  QDragEnterEvent*
    74, 0,	//227  QDragMoveEvent*
    73, 0,	//229  QDragLeaveEvent*
    75, 0,	//231  QDropEvent*
    114, 0,	//233  QShowEvent*
    82, 0,	//235  QHideEvent*
    227, 0,	//237  _XEvent*
    109, 0,	//239  QPaintDevice::PaintDeviceMetric
    84, 0,	//241  QInputMethodEvent*
    162, 0,	//243  Qt::InputMethodQuery
    119, 0,	//245  QStyle&
    278, 0,	//247  const QPalette&
    259, 0,	//249  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Class",	//1
    "Class#",	//2
    "CommunicationError",	//3
    "DesktopOntologyLoader",	//4
    "DesktopOntologyLoader#",	//5
    "DisableTagClicking",	//6
    "DrawChildren",	//7
    "DrawWindowBackground",	//8
    "Entity",	//9
    "Entity#",	//10
    "File",	//11
    "File#",	//12
    "File##",	//13
    "FileOntologyLoader",	//14
    "FileOntologyLoader#",	//15
    "FileOntologyLoader$",	//16
    "FileOntologyLoader$$",	//17
    "IgnoreMask",	//18
    "InvalidType",	//19
    "KTagCloudWidget",	//20
    "KTagCloudWidget#",	//21
    "KTagDisplayWidget",	//22
    "KTagDisplayWidget#",	//23
    "LicensedActiveQt",	//24
    "LicensedCore",	//25
    "LicensedDBus",	//26
    "LicensedDeclarative",	//27
    "LicensedGui",	//28
    "LicensedHelp",	//29
    "LicensedMultimedia",	//30
    "LicensedNetwork",	//31
    "LicensedOpenGL",	//32
    "LicensedOpenVG",	//33
    "LicensedQt3Support",	//34
    "LicensedQt3SupportLight",	//35
    "LicensedScript",	//36
    "LicensedScriptTools",	//37
    "LicensedSql",	//38
    "LicensedSvg",	//39
    "LicensedTest",	//40
    "LicensedXml",	//41
    "LicensedXmlPatterns",	//42
    "Literal",	//43
    "Literal#",	//44
    "MiniMode",	//45
    "NepomukOntologyLoader",	//46
    "NepomukOntologyLoader#",	//47
    "NoError",	//48
    "Ontology",	//49
    "Ontology#",	//50
    "OntologyLoader",	//51
    "OntologyLoader#",	//52
    "OntologyManager",	//53
    "OntologyManager#",	//54
    "Property",	//55
    "Property#",	//56
    "Q_COMPLEX_TYPE",	//57
    "Q_DUMMY_TYPE",	//58
    "Q_MOVABLE_TYPE",	//59
    "Q_PRIMITIVE_TYPE",	//60
    "Q_STATIC_TYPE",	//61
    "QtCriticalMsg",	//62
    "QtDebugMsg",	//63
    "QtFatalMsg",	//64
    "QtSystemMsg",	//65
    "QtWarningMsg",	//66
    "RDFLiteralToValue",	//67
    "RDFLiteralToValue#",	//68
    "ReadOnly",	//69
    "Resource",	//70
    "Resource#",	//71
    "Resource##",	//72
    "Resource###",	//73
    "Resource$",	//74
    "Resource$#",	//75
    "Resource$##",	//76
    "Resource$$",	//77
    "Service",	//78
    "Service#",	//79
    "Service#$",	//80
    "StandardMode",	//81
    "Tag",	//82
    "Tag#",	//83
    "Tag##",	//84
    "Tag###",	//85
    "Tag$",	//86
    "Tag$#",	//87
    "Tag$##",	//88
    "TagCloud",	//89
    "TagCloud#",	//90
    "TagWidget",	//91
    "TagWidget#",	//92
    "TagWidget##",	//93
    "Thing",	//94
    "Thing#",	//95
    "Thing##",	//96
    "Thing###",	//97
    "Thing$",	//98
    "Thing$#",	//99
    "Thing$##",	//100
    "UnknownError",	//101
    "Variant",	//102
    "Variant#",	//103
    "Variant$",	//104
    "Variant?",	//105
    "__codecvt_error",	//106
    "__codecvt_noconv",	//107
    "__codecvt_ok",	//108
    "__codecvt_partial",	//109
    "actionEvent",	//110
    "addAltLabel",	//111
    "addAltLabel$",	//112
    "addAnnotation",	//113
    "addAnnotation#",	//114
    "addGroundingOccurrence",	//115
    "addGroundingOccurrence#",	//116
    "addIdentifier",	//117
    "addIdentifier$",	//118
    "addIsRelated",	//119
    "addIsRelated#",	//120
    "addIsTopicOf",	//121
    "addIsTopicOf#",	//122
    "addProperty",	//123
    "addProperty##",	//124
    "addSymbol",	//125
    "addSymbol$",	//126
    "addTag",	//127
    "addTag#",	//128
    "addTag$",	//129
    "addTag$$",	//130
    "addTags",	//131
    "addTags?",	//132
    "addTopic",	//133
    "addTopic#",	//134
    "addType",	//135
    "addType#",	//136
    "alignment",	//137
    "allClasses",	//138
    "allOntologies",	//139
    "allParentClasses",	//140
    "allProperties",	//141
    "allResources",	//142
    "allResourcesOfType",	//143
    "allResourcesOfType#",	//144
    "allResourcesOfType$",	//145
    "allResourcesWithProperty",	//146
    "allResourcesWithProperty##",	//147
    "allResourcesWithProperty$#",	//148
    "allSubClasses",	//149
    "allTags",	//150
    "altLabelUri",	//151
    "altLabels",	//152
    "annotationOf",	//153
    "annotationUri",	//154
    "annotations",	//155
    "append",	//156
    "append#",	//157
    "append$",	//158
    "assignedTags",	//159
    "autoUpdate",	//160
    "cardinality",	//161
    "changeEvent",	//162
    "childEvent",	//163
    "className",	//164
    "clear",	//165
    "clearCache",	//166
    "closeEvent",	//167
    "comment",	//168
    "comment$",	//169
    "connectNotify",	//170
    "contextMenuEvent",	//171
    "createManagerForModel",	//172
    "createManagerForModel#",	//173
    "createResourceFromUri",	//174
    "createResourceFromUri$",	//175
    "customEvent",	//176
    "dataType",	//177
    "dataTypeUri",	//178
    "defaultGraph",	//179
    "definingOntology",	//180
    "deleteInstance",	//181
    "description",	//182
    "descriptionUri",	//183
    "devType",	//184
    "dirResource",	//185
    "disconnectNotify",	//186
    "domain",	//187
    "domainOf",	//188
    "dragEnterEvent",	//189
    "dragLeaveEvent",	//190
    "dragMoveEvent",	//191
    "dropEvent",	//192
    "enabledChange",	//193
    "enterEvent",	//194
    "error",	//195
    "error$$",	//196
    "errorString",	//197
    "errorString$",	//198
    "event",	//199
    "eventFilter",	//200
    "exists",	//201
    "extractNamespace",	//202
    "extractNamespace#",	//203
    "fileName",	//204
    "findClassByLabel",	//205
    "findClassByLabel$",	//206
    "findClassByLabel$$",	//207
    "findClassByName",	//208
    "findClassByName$",	//209
    "findClassByUri",	//210
    "findClassByUri#",	//211
    "findPropertyByLabel",	//212
    "findPropertyByLabel$",	//213
    "findPropertyByLabel$$",	//214
    "findPropertyByName",	//215
    "findPropertyByName$",	//216
    "findPropertyByUri",	//217
    "findPropertyByUri#",	//218
    "focusInEvent",	//219
    "focusNextPrevChild",	//220
    "focusOutEvent",	//221
    "fontChange",	//222
    "fromNode",	//223
    "fromNode#",	//224
    "fromNodeList",	//225
    "fromNodeList?",	//226
    "fromResourceUri",	//227
    "fromResourceUri#",	//228
    "fromResourceUri##",	//229
    "fromResourceUri###",	//230
    "fromString",	//231
    "fromString$$",	//232
    "generateUniqueUri",	//233
    "generateUniqueUri$",	//234
    "genericDescription",	//235
    "genericIcon",	//236
    "genericLabel",	//237
    "getOntology",	//238
    "getOntology#",	//239
    "groundingOccurrences",	//240
    "hasProperty",	//241
    "hasProperty#",	//242
    "hasProperty##",	//243
    "hasProperty$",	//244
    "hasType",	//245
    "hasType#",	//246
    "heightForWidth",	//247
    "hideEvent",	//248
    "icon",	//249
    "identifierUri",	//250
    "identifiers",	//251
    "increaseUsageCount",	//252
    "init",	//253
    "initialized",	//254
    "inputMethodEvent",	//255
    "inputMethodQuery",	//256
    "instance",	//257
    "inverseProperty",	//258
    "isAvailable",	//259
    "isBool",	//260
    "isBoolList",	//261
    "isDate",	//262
    "isDateList",	//263
    "isDateTime",	//264
    "isDateTimeList",	//265
    "isDouble",	//266
    "isDoubleList",	//267
    "isFile",	//268
    "isInt",	//269
    "isInt64",	//270
    "isInt64List",	//271
    "isIntList",	//272
    "isList",	//273
    "isParentOf",	//274
    "isParentOf#",	//275
    "isRelatedOf",	//276
    "isRelatedUri",	//277
    "isRelateds",	//278
    "isResource",	//279
    "isResourceList",	//280
    "isString",	//281
    "isStringList",	//282
    "isSubClassOf",	//283
    "isSubClassOf#",	//284
    "isSubPropertyOf",	//285
    "isSubPropertyOf#",	//286
    "isTime",	//287
    "isTimeList",	//288
    "isTopicOfUri",	//289
    "isTopicOfs",	//290
    "isUnsignedInt",	//291
    "isUnsignedInt64",	//292
    "isUnsignedInt64List",	//293
    "isUnsignedIntList",	//294
    "isUrl",	//295
    "isUrlList",	//296
    "isValid",	//297
    "keyPressEvent",	//298
    "keyReleaseEvent",	//299
    "label",	//300
    "label$",	//301
    "labelUri",	//302
    "languageChange",	//303
    "leaveEvent",	//304
    "literalRangeType",	//305
    "load",	//306
    "load#",	//307
    "loadOntology",	//308
    "loadOntology#",	//309
    "mainModel",	//310
    "manager",	//311
    "maxCardinality",	//312
    "maxTagsShown",	//313
    "metaObject",	//314
    "metric",	//315
    "minCardinality",	//316
    "minimumSizeHint",	//317
    "modeFlags",	//318
    "mouseDoubleClickEvent",	//319
    "mouseMoveEvent",	//320
    "mousePressEvent",	//321
    "mouseReleaseEvent",	//322
    "moveEvent",	//323
    "name",	//324
    "naoNamespace",	//325
    "nepomukSystemStarted",	//326
    "nepomukSystemStopped",	//327
    "notifyError",	//328
    "notifyError$$",	//329
    "nrlNamespace",	//330
    "occurrences",	//331
    "operator QUrl",	//332
    "operator!=",	//333
    "operator!=#",	//334
    "operator=",	//335
    "operator=#",	//336
    "operator=$",	//337
    "operator==",	//338
    "operator==#",	//339
    "operator=?",	//340
    "paintEngine",	//341
    "paintEvent",	//342
    "paletteChange",	//343
    "parentClasses",	//344
    "parentOf",	//345
    "parentProperties",	//346
    "pimoThing",	//347
    "properties",	//348
    "property",	//349
    "property#",	//350
    "property$",	//351
    "qHash",	//352
    "qHash#",	//353
    "qt_metacall",	//354
    "qt_metacall$$?",	//355
    "qt_metacast",	//356
    "qt_metacast$",	//357
    "range",	//358
    "rangeOf",	//359
    "rating",	//360
    "ratingUri",	//361
    "rdfNamepace",	//362
    "rdfsNamespace",	//363
    "referencingOccurrences",	//364
    "remove",	//365
    "removeProperty",	//366
    "removeProperty#",	//367
    "removeProperty##",	//368
    "removeProperty$",	//369
    "removeResource",	//370
    "removeResource$",	//371
    "reset",	//372
    "reset$",	//373
    "resizeEvent",	//374
    "resizeEvent#",	//375
    "resourceModified",	//376
    "resourceModified$",	//377
    "resourceType",	//378
    "resourceTypeUri",	//379
    "resourceUri",	//380
    "selectedTags",	//381
    "selectionChanged",	//382
    "selectionChanged?",	//383
    "setAlignment",	//384
    "setAlignment$",	//385
    "setAltLabels",	//386
    "setAltLabels?",	//387
    "setAnnotations",	//388
    "setAnnotations?",	//389
    "setAssignedTags",	//390
    "setAssignedTags?",	//391
    "setAutoUpdate",	//392
    "setAutoUpdate$",	//393
    "setDefaultRepository",	//394
    "setDefaultRepository$",	//395
    "setDescription",	//396
    "setDescription$",	//397
    "setFileName",	//398
    "setFileName$",	//399
    "setIdentifiers",	//400
    "setIdentifiers?",	//401
    "setIsRelateds",	//402
    "setIsRelateds?",	//403
    "setIsTopicOfs",	//404
    "setIsTopicOfs?",	//405
    "setLabel",	//406
    "setLabel$",	//407
    "setMaxFontSize",	//408
    "setMaxFontSize$",	//409
    "setMaxTagsShown",	//410
    "setMaxTagsShown$",	//411
    "setMinFontSize",	//412
    "setMinFontSize$",	//413
    "setModeFlags",	//414
    "setModeFlags$",	//415
    "setOntologyLoader",	//416
    "setOntologyLoader#",	//417
    "setOverrideMainModel",	//418
    "setOverrideMainModel#",	//419
    "setProperty",	//420
    "setProperty##",	//421
    "setProperty$#",	//422
    "setRating",	//423
    "setRating$",	//424
    "setSelectedTags",	//425
    "setSelectedTags?",	//426
    "setSerialization",	//427
    "setSerialization$",	//428
    "setServiceInitialized",	//429
    "setServiceInitialized$",	//430
    "setSymbols",	//431
    "setSymbols?",	//432
    "setTaggedResource",	//433
    "setTaggedResource#",	//434
    "setTaggedResources",	//435
    "setTaggedResources?",	//436
    "setTags",	//437
    "setTags?",	//438
    "setTopics",	//439
    "setTopics?",	//440
    "setTypes",	//441
    "setTypes?",	//442
    "setVisible",	//443
    "showEvent",	//444
    "simpleType",	//445
    "sizeHint",	//446
    "staticMetaObject",	//447
    "styleChange",	//448
    "subClasses",	//449
    "subProperties",	//450
    "symbolUri",	//451
    "symbols",	//452
    "tabletEvent",	//453
    "tagClicked",	//454
    "tagClicked#",	//455
    "tagClicked$",	//456
    "tagOf",	//457
    "tagUri",	//458
    "tagWeight",	//459
    "tagWeight$",	//460
    "taggedResources",	//461
    "tags",	//462
    "timerEvent",	//463
    "toBool",	//464
    "toBoolList",	//465
    "toDate",	//466
    "toDateList",	//467
    "toDateTime",	//468
    "toDateTimeList",	//469
    "toDouble",	//470
    "toDoubleList",	//471
    "toFile",	//472
    "toInt",	//473
    "toInt64",	//474
    "toInt64List",	//475
    "toIntList",	//476
    "toNode",	//477
    "toNodeList",	//478
    "toResource",	//479
    "toResourceList",	//480
    "toString",	//481
    "toStringList",	//482
    "toTime",	//483
    "toTimeList",	//484
    "toUnsignedInt",	//485
    "toUnsignedInt64",	//486
    "toUnsignedInt64List",	//487
    "toUnsignedIntList",	//488
    "toUrl",	//489
    "toUrlList",	//490
    "toVariantList",	//491
    "topicUri",	//492
    "topics",	//493
    "tr",	//494
    "tr$",	//495
    "tr$$",	//496
    "tr$$$",	//497
    "trUtf8",	//498
    "trUtf8$",	//499
    "trUtf8$$",	//500
    "trUtf8$$$",	//501
    "type",	//502
    "typePredicate",	//503
    "types",	//504
    "updateTags",	//505
    "uri",	//506
    "url",	//507
    "usageCount",	//508
    "userVisible",	//509
    "valueToRDFNode",	//510
    "valueToRDFNode#",	//511
    "valuesToRDFNodes",	//512
    "valuesToRDFNodes#",	//513
    "variant",	//514
    "wheelEvent",	//515
    "windowActivationChange",	//516
    "x11Event",	//517
    "~Class",	//518
    "~DesktopOntologyLoader",	//519
    "~Entity",	//520
    "~File",	//521
    "~FileOntologyLoader",	//522
    "~KTagCloudWidget",	//523
    "~KTagDisplayWidget",	//524
    "~Literal",	//525
    "~NepomukOntologyLoader",	//526
    "~Ontology",	//527
    "~OntologyLoader",	//528
    "~OntologyManager",	//529
    "~Property",	//530
    "~Resource",	//531
    "~Service",	//532
    "~Tag",	//533
    "~TagCloud",	//534
    "~TagWidget",	//535
    "~Thing",	//536
    "~Variant",	//537
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 1},	//1 KTagCloudWidget::metaObject() const
    {5, 356, 1, 1, Smoke::mf_virtual, 299, 2},	//2 KTagCloudWidget::qt_metacast(const char*)
    {5, 494, 3, 2, Smoke::mf_static, 116, 3},	//3 KTagCloudWidget::tr(const char*, const char*)
    {5, 498, 3, 2, Smoke::mf_static, 116, 4},	//4 KTagCloudWidget::trUtf8(const char*, const char*)
    {5, 494, 6, 3, Smoke::mf_static, 116, 5},	//5 KTagCloudWidget::tr(const char*, const char*, int)
    {5, 498, 6, 3, Smoke::mf_static, 116, 6},	//6 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {5, 354, 10, 3, Smoke::mf_virtual, 294, 7},	//7 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {5, 20, 14, 1, Smoke::mf_ctor, 7, 8},	//8 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {5, 459, 16, 1, Smoke::mf_const, 294, 9},	//9 KTagCloudWidget::tagWeight(const QString&) const
    {5, 127, 18, 2, Smoke::mf_slot, 0, 10},	//10 KTagCloudWidget::addTag(const QString&, int)
    {5, 131, 21, 1, Smoke::mf_slot, 0, 11},	//11 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {5, 165, 0, 0, Smoke::mf_slot, 0, 12},	//12 KTagCloudWidget::clear()
    {5, 408, 23, 1, Smoke::mf_slot, 0, 13},	//13 KTagCloudWidget::setMaxFontSize(int)
    {5, 412, 23, 1, Smoke::mf_slot, 0, 14},	//14 KTagCloudWidget::setMinFontSize(int)
    {5, 454, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//15 KTagCloudWidget::tagClicked(const QString&)
    {5, 374, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//16 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {5, 494, 1, 1, Smoke::mf_static, 116, 17},	//17 KTagCloudWidget::tr(const char*)
    {5, 498, 1, 1, Smoke::mf_static, 116, 18},	//18 KTagCloudWidget::trUtf8(const char*)
    {5, 20, 0, 0, Smoke::mf_ctor, 7, 19},	//19 KTagCloudWidget::KTagCloudWidget()
    {5, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 20},	//20 KTagCloudWidget::staticMetaObject() const
    {5, 523, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 KTagCloudWidget::~KTagCloudWidget()
    {6, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 1},	//22 KTagDisplayWidget::metaObject() const
    {6, 356, 1, 1, Smoke::mf_virtual, 299, 2},	//23 KTagDisplayWidget::qt_metacast(const char*)
    {6, 494, 3, 2, Smoke::mf_static, 116, 3},	//24 KTagDisplayWidget::tr(const char*, const char*)
    {6, 498, 3, 2, Smoke::mf_static, 116, 4},	//25 KTagDisplayWidget::trUtf8(const char*, const char*)
    {6, 494, 6, 3, Smoke::mf_static, 116, 5},	//26 KTagDisplayWidget::tr(const char*, const char*, int)
    {6, 498, 6, 3, Smoke::mf_static, 116, 6},	//27 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {6, 354, 10, 3, Smoke::mf_virtual, 294, 7},	//28 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 22, 14, 1, Smoke::mf_ctor, 8, 8},	//29 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {6, 437, 27, 1, Smoke::mf_slot, 0, 9},	//30 KTagDisplayWidget::setTags(const QStringList&)
    {6, 127, 16, 1, Smoke::mf_slot, 0, 10},	//31 KTagDisplayWidget::addTag(const QString&)
    {6, 131, 27, 1, Smoke::mf_slot, 0, 11},	//32 KTagDisplayWidget::addTags(const QStringList&)
    {6, 165, 0, 0, Smoke::mf_slot, 0, 12},	//33 KTagDisplayWidget::clear()
    {6, 454, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//34 KTagDisplayWidget::tagClicked(const QString&)
    {6, 494, 1, 1, Smoke::mf_static, 116, 14},	//35 KTagDisplayWidget::tr(const char*)
    {6, 498, 1, 1, Smoke::mf_static, 116, 15},	//36 KTagDisplayWidget::trUtf8(const char*)
    {6, 22, 0, 0, Smoke::mf_ctor, 8, 16},	//37 KTagDisplayWidget::KTagDisplayWidget()
    {6, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 17},	//38 KTagDisplayWidget::staticMetaObject() const
    {6, 524, 0, 0, Smoke::mf_dtor, 0, 18 },	//39 KTagDisplayWidget::~KTagDisplayWidget()
    {8, 362, 0, 0, Smoke::mf_static, 116, 1},	//40 Nepomuk::rdfNamepace()
    {8, 352, 29, 1, Smoke::mf_static, 297, 2},	//41 Nepomuk::qHash(const Nepomuk::Resource&)
    {8, 512, 31, 1, Smoke::mf_static, 95, 3},	//42 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {8, 394, 16, 1, Smoke::mf_static, 0, 4},	//43 Nepomuk::setDefaultRepository(const QString&)
    {8, 330, 0, 0, Smoke::mf_static, 116, 5},	//44 Nepomuk::nrlNamespace()
    {8, 197, 33, 1, Smoke::mf_static, 116, 6},	//45 Nepomuk::errorString(Nepomuk::ErrorCode)
    {8, 179, 0, 0, Smoke::mf_static, 116, 7},	//46 Nepomuk::defaultGraph()
    {8, 503, 0, 0, Smoke::mf_static, 116, 8},	//47 Nepomuk::typePredicate()
    {8, 363, 0, 0, Smoke::mf_static, 116, 9},	//48 Nepomuk::rdfsNamespace()
    {8, 325, 0, 0, Smoke::mf_static, 116, 10},	//49 Nepomuk::naoNamespace()
    {8, 67, 35, 1, Smoke::mf_static, 62, 11},	//50 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {8, 202, 37, 1, Smoke::mf_static, 123, 12},	//51 Nepomuk::extractNamespace(const QUrl&)
    {8, 510, 31, 1, Smoke::mf_static, 224, 13},	//52 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {8, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//53 Nepomuk::NoError (enum)
    {8, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//54 Nepomuk::CommunicationError (enum)
    {8, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//55 Nepomuk::InvalidType (enum)
    {8, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//56 Nepomuk::UnknownError (enum)
    {9, 1, 0, 0, Smoke::mf_ctor, 11, 1},	//57 Nepomuk::Class::Class()
    {9, 1, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//58 Nepomuk::Class::Class(const Nepomuk::Class&)
    {9, 335, 39, 1, 0, 10, 3},	//59 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {9, 141, 0, 0, Smoke::mf_const, 99, 4},	//60 Nepomuk::Class::allProperties() const
    {9, 215, 16, 1, Smoke::mf_const, 245, 5},	//61 Nepomuk::Class::findPropertyByName(const QString&) const
    {9, 212, 41, 2, Smoke::mf_const, 245, 6},	//62 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {9, 217, 37, 1, Smoke::mf_const, 245, 7},	//63 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {9, 344, 0, 0, Smoke::mf_const, 98, 8},	//64 Nepomuk::Class::parentClasses() const
    {9, 449, 0, 0, Smoke::mf_const, 98, 9},	//65 Nepomuk::Class::subClasses() const
    {9, 274, 44, 1, Smoke::mf_const, 229, 10},	//66 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {9, 283, 44, 1, Smoke::mf_const, 229, 11},	//67 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {9, 306, 37, 1, Smoke::mf_static, 233, 12},	//68 Nepomuk::Class::load(const QUrl&)
    {9, 212, 16, 1, Smoke::mf_const, 245, 13},	//69 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {9, 518, 0, 0, Smoke::mf_dtor, 0, 14 },	//70 Nepomuk::Class::~Class()
    {10, 4, 0, 0, Smoke::mf_ctor, 12, 1},	//71 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {10, 139, 0, 0, 0, 94, 2},	//72 Nepomuk::DesktopOntologyLoader::allOntologies()
    {10, 308, 37, 1, Smoke::mf_virtual, 96, 3},	//73 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {10, 4, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 4},	//74 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {10, 519, 0, 0, Smoke::mf_dtor, 0, 5 },	//75 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {11, 9, 48, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 1},	//76 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {11, 335, 48, 1, 0, 13, 2},	//77 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {11, 180, 0, 0, Smoke::mf_const, 241, 3},	//78 Nepomuk::Entity::definingOntology() const
    {11, 324, 0, 0, Smoke::mf_const, 116, 4},	//79 Nepomuk::Entity::name() const
    {11, 506, 0, 0, Smoke::mf_const, 123, 5},	//80 Nepomuk::Entity::uri() const
    {11, 300, 16, 1, Smoke::mf_const, 116, 6},	//81 Nepomuk::Entity::label(const QString&) const
    {11, 168, 16, 1, Smoke::mf_const, 116, 7},	//82 Nepomuk::Entity::comment(const QString&) const
    {11, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 14, 8},	//83 Nepomuk::Entity::Entity()
    {11, 300, 0, 0, Smoke::mf_const, 116, 9},	//84 Nepomuk::Entity::label() const
    {11, 168, 0, 0, Smoke::mf_const, 116, 10},	//85 Nepomuk::Entity::comment() const
    {11, 520, 0, 0, Smoke::mf_dtor, 0, 11 },	//86 Nepomuk::Entity::~Entity()
    {12, 11, 50, 2, Smoke::mf_ctor, 18, 1},	//87 Nepomuk::File::File(const KUrl&, Nepomuk::ResourceManager*)
    {12, 11, 29, 1, Smoke::mf_ctor, 18, 2},	//88 Nepomuk::File::File(const Nepomuk::Resource&)
    {12, 335, 53, 1, 0, 17, 3},	//89 Nepomuk::File::operator=(const KUrl&)
    {12, 507, 0, 0, Smoke::mf_const, 9, 4},	//90 Nepomuk::File::url() const
    {12, 185, 0, 0, Smoke::mf_const, 16, 5},	//91 Nepomuk::File::dirResource() const
    {12, 11, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 6},	//92 Nepomuk::File::File(const Nepomuk::File&)
    {12, 11, 0, 0, Smoke::mf_ctor, 18, 7},	//93 Nepomuk::File::File()
    {12, 11, 53, 1, Smoke::mf_ctor, 18, 8},	//94 Nepomuk::File::File(const KUrl&)
    {12, 521, 0, 0, Smoke::mf_dtor, 0, 9 },	//95 Nepomuk::File::~File()
    {13, 14, 0, 0, Smoke::mf_ctor, 19, 1},	//96 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {13, 14, 57, 2, Smoke::mf_ctor, 19, 2},	//97 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {13, 398, 16, 1, 0, 0, 3},	//98 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {13, 204, 0, 0, Smoke::mf_const, 116, 4},	//99 Nepomuk::FileOntologyLoader::fileName() const
    {13, 427, 60, 1, 0, 0, 5},	//100 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {13, 308, 37, 1, Smoke::mf_virtual, 96, 6},	//101 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {13, 14, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 7},	//102 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {13, 14, 16, 1, Smoke::mf_ctor, 19, 8},	//103 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {13, 522, 0, 0, Smoke::mf_dtor, 0, 9 },	//104 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {14, 43, 0, 0, Smoke::mf_ctor, 22, 1},	//105 Nepomuk::Literal::Literal()
    {14, 43, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//106 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {14, 43, 37, 1, Smoke::mf_ctor, 22, 3},	//107 Nepomuk::Literal::Literal(const QUrl&)
    {14, 335, 64, 1, 0, 21, 4},	//108 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {14, 178, 0, 0, Smoke::mf_const, 284, 5},	//109 Nepomuk::Literal::dataTypeUri() const
    {14, 177, 0, 0, Smoke::mf_const, 125, 6},	//110 Nepomuk::Literal::dataType() const
    {14, 525, 0, 0, Smoke::mf_dtor, 0, 7 },	//111 Nepomuk::Literal::~Literal()
    {15, 46, 0, 0, Smoke::mf_ctor, 23, 1},	//112 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {15, 308, 37, 1, Smoke::mf_virtual, 96, 2},	//113 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {15, 46, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 3},	//114 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {15, 526, 0, 0, Smoke::mf_dtor, 0, 4 },	//115 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {16, 49, 0, 0, Smoke::mf_ctor, 25, 1},	//116 Nepomuk::Ontology::Ontology()
    {16, 49, 68, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//117 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {16, 335, 68, 1, 0, 24, 3},	//118 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {16, 506, 0, 0, Smoke::mf_const, 123, 4},	//119 Nepomuk::Ontology::uri() const
    {16, 138, 0, 0, Smoke::mf_const, 98, 5},	//120 Nepomuk::Ontology::allClasses() const
    {16, 208, 16, 1, Smoke::mf_const, 233, 6},	//121 Nepomuk::Ontology::findClassByName(const QString&) const
    {16, 205, 41, 2, Smoke::mf_const, 233, 7},	//122 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {16, 210, 37, 1, Smoke::mf_const, 233, 8},	//123 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {16, 141, 0, 0, Smoke::mf_const, 99, 9},	//124 Nepomuk::Ontology::allProperties() const
    {16, 215, 16, 1, Smoke::mf_const, 245, 10},	//125 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {16, 212, 41, 2, Smoke::mf_const, 245, 11},	//126 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {16, 217, 37, 1, Smoke::mf_const, 245, 12},	//127 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {16, 306, 37, 1, Smoke::mf_static, 241, 13},	//128 Nepomuk::Ontology::load(const QUrl&)
    {16, 205, 16, 1, Smoke::mf_const, 233, 14},	//129 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {16, 212, 16, 1, Smoke::mf_const, 245, 15},	//130 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {16, 527, 0, 0, Smoke::mf_dtor, 0, 16 },	//131 Nepomuk::Ontology::~Ontology()
    {17, 308, 37, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 1},	//132 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {17, 51, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 26, 2},	//133 Nepomuk::OntologyLoader::OntologyLoader()
    {17, 51, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 3},	//134 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {17, 528, 0, 0, Smoke::mf_dtor, 0, 4 },	//135 Nepomuk::OntologyLoader::~OntologyLoader()
    {18, 257, 0, 0, Smoke::mf_static, 27, 1},	//136 Nepomuk::OntologyManager::instance()
    {18, 416, 72, 1, 0, 0, 2},	//137 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {18, 238, 37, 1, 0, 241, 3},	//138 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {18, 53, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 4},	//139 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {18, 529, 0, 0, Smoke::mf_dtor, 0, 5 },	//140 Nepomuk::OntologyManager::~OntologyManager()
    {19, 55, 0, 0, Smoke::mf_ctor, 29, 1},	//141 Nepomuk::Property::Property()
    {19, 55, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 2},	//142 Nepomuk::Property::Property(const Nepomuk::Property&)
    {19, 335, 76, 1, 0, 28, 3},	//143 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {19, 346, 0, 0, Smoke::mf_const, 99, 4},	//144 Nepomuk::Property::parentProperties() const
    {19, 345, 0, 0, Smoke::mf_const, 99, 5},	//145 Nepomuk::Property::parentOf() const
    {19, 258, 0, 0, Smoke::mf_const, 245, 6},	//146 Nepomuk::Property::inverseProperty() const
    {19, 358, 0, 0, Smoke::mf_const, 233, 7},	//147 Nepomuk::Property::range() const
    {19, 305, 0, 0, Smoke::mf_const, 20, 8},	//148 Nepomuk::Property::literalRangeType() const
    {19, 187, 0, 0, Smoke::mf_const, 233, 9},	//149 Nepomuk::Property::domain() const
    {19, 161, 0, 0, Smoke::mf_const, 294, 10},	//150 Nepomuk::Property::cardinality() const
    {19, 316, 0, 0, Smoke::mf_const, 294, 11},	//151 Nepomuk::Property::minCardinality() const
    {19, 312, 0, 0, Smoke::mf_const, 294, 12},	//152 Nepomuk::Property::maxCardinality() const
    {19, 306, 37, 1, Smoke::mf_static, 245, 13},	//153 Nepomuk::Property::load(const QUrl&)
    {19, 530, 0, 0, Smoke::mf_dtor, 0, 14 },	//154 Nepomuk::Property::~Property()
    {23, 70, 0, 0, Smoke::mf_ctor, 35, 1},	//155 Nepomuk::Resource::Resource()
    {23, 70, 78, 1, Smoke::mf_ctor, 35, 2},	//156 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {23, 70, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 3},	//157 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {23, 70, 80, 2, Smoke::mf_ctor, 35, 4},	//158 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {23, 70, 83, 3, Smoke::mf_ctor, 35, 5},	//159 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {23, 70, 41, 2, Smoke::mf_ctor, 35, 6},	//160 Nepomuk::Resource::Resource(const QString&, const QString&)
    {23, 70, 87, 2, Smoke::mf_ctor, 35, 7},	//161 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {23, 70, 90, 3, Smoke::mf_ctor, 35, 8},	//162 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {23, 70, 94, 1, Smoke::mf_ctor, 35, 9},	//163 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {23, 335, 29, 1, 0, 34, 10},	//164 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {23, 335, 37, 1, 0, 34, 11},	//165 Nepomuk::Resource::operator=(const QUrl&)
    {23, 311, 0, 0, Smoke::mf_const, 37, 12},	//166 Nepomuk::Resource::manager() const
    {23, 506, 0, 0, Smoke::mf_const, 116, 13},	//167 Nepomuk::Resource::uri() const
    {23, 380, 0, 0, Smoke::mf_const, 123, 14},	//168 Nepomuk::Resource::resourceUri() const
    {23, 502, 0, 0, Smoke::mf_const, 116, 15},	//169 Nepomuk::Resource::type() const
    {23, 378, 0, 0, Smoke::mf_const, 123, 16},	//170 Nepomuk::Resource::resourceType() const
    {23, 504, 0, 0, Smoke::mf_const, 94, 17},	//171 Nepomuk::Resource::types() const
    {23, 441, 96, 1, 0, 0, 18},	//172 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {23, 135, 37, 1, 0, 0, 19},	//173 Nepomuk::Resource::addType(const QUrl&)
    {23, 245, 37, 1, Smoke::mf_const, 229, 20},	//174 Nepomuk::Resource::hasType(const QUrl&) const
    {23, 164, 0, 0, Smoke::mf_const, 116, 21},	//175 Nepomuk::Resource::className() const
    {23, 141, 0, 0, Smoke::mf_const, 80, 22},	//176 Nepomuk::Resource::allProperties() const
    {23, 348, 0, 0, Smoke::mf_const, 81, 23},	//177 Nepomuk::Resource::properties() const
    {23, 241, 37, 1, Smoke::mf_const, 229, 24},	//178 Nepomuk::Resource::hasProperty(const QUrl&) const
    {23, 241, 98, 2, Smoke::mf_const, 229, 25},	//179 Nepomuk::Resource::hasProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&) const
    {23, 241, 16, 1, Smoke::mf_const, 229, 26},	//180 Nepomuk::Resource::hasProperty(const QString&) const
    {23, 349, 37, 1, Smoke::mf_const, 62, 27},	//181 Nepomuk::Resource::property(const QUrl&) const
    {23, 349, 16, 1, Smoke::mf_const, 62, 28},	//182 Nepomuk::Resource::property(const QString&) const
    {23, 420, 101, 2, 0, 0, 29},	//183 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {23, 123, 101, 2, 0, 0, 30},	//184 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {23, 420, 104, 2, 0, 0, 31},	//185 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {23, 366, 37, 1, 0, 0, 32},	//186 Nepomuk::Resource::removeProperty(const QUrl&)
    {23, 366, 101, 2, 0, 0, 33},	//187 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {23, 366, 16, 1, 0, 0, 34},	//188 Nepomuk::Resource::removeProperty(const QString&)
    {23, 365, 0, 0, 0, 0, 35},	//189 Nepomuk::Resource::remove()
    {23, 201, 0, 0, Smoke::mf_const, 229, 36},	//190 Nepomuk::Resource::exists() const
    {23, 297, 0, 0, Smoke::mf_const, 229, 37},	//191 Nepomuk::Resource::isValid() const
    {23, 237, 0, 0, Smoke::mf_const, 116, 38},	//192 Nepomuk::Resource::genericLabel() const
    {23, 235, 0, 0, Smoke::mf_const, 116, 39},	//193 Nepomuk::Resource::genericDescription() const
    {23, 236, 0, 0, Smoke::mf_const, 116, 40},	//194 Nepomuk::Resource::genericIcon() const
    {23, 347, 0, 0, 0, 46, 41},	//195 Nepomuk::Resource::pimoThing()
    {23, 338, 29, 1, Smoke::mf_const, 229, 42},	//196 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {23, 333, 29, 1, Smoke::mf_const, 229, 43},	//197 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {23, 182, 0, 0, Smoke::mf_const, 116, 44},	//198 Nepomuk::Resource::description() const
    {23, 396, 16, 1, 0, 0, 45},	//199 Nepomuk::Resource::setDescription(const QString&)
    {23, 183, 0, 0, Smoke::mf_static, 116, 46},	//200 Nepomuk::Resource::descriptionUri()
    {23, 251, 0, 0, Smoke::mf_const, 117, 47},	//201 Nepomuk::Resource::identifiers() const
    {23, 400, 27, 1, 0, 0, 48},	//202 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {23, 117, 16, 1, 0, 0, 49},	//203 Nepomuk::Resource::addIdentifier(const QString&)
    {23, 250, 0, 0, Smoke::mf_static, 116, 50},	//204 Nepomuk::Resource::identifierUri()
    {23, 152, 0, 0, Smoke::mf_const, 117, 51},	//205 Nepomuk::Resource::altLabels() const
    {23, 386, 27, 1, 0, 0, 52},	//206 Nepomuk::Resource::setAltLabels(const QStringList&)
    {23, 111, 16, 1, 0, 0, 53},	//207 Nepomuk::Resource::addAltLabel(const QString&)
    {23, 151, 0, 0, Smoke::mf_static, 116, 54},	//208 Nepomuk::Resource::altLabelUri()
    {23, 155, 0, 0, Smoke::mf_const, 86, 55},	//209 Nepomuk::Resource::annotations() const
    {23, 388, 107, 1, 0, 0, 56},	//210 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {23, 113, 29, 1, 0, 0, 57},	//211 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {23, 154, 0, 0, Smoke::mf_static, 116, 58},	//212 Nepomuk::Resource::annotationUri()
    {23, 462, 0, 0, Smoke::mf_const, 87, 59},	//213 Nepomuk::Resource::tags() const
    {23, 437, 109, 1, 0, 0, 60},	//214 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {23, 127, 111, 1, 0, 0, 61},	//215 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {23, 458, 0, 0, Smoke::mf_static, 116, 62},	//216 Nepomuk::Resource::tagUri()
    {23, 493, 0, 0, Smoke::mf_const, 86, 63},	//217 Nepomuk::Resource::topics() const
    {23, 439, 107, 1, 0, 0, 64},	//218 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {23, 133, 29, 1, 0, 0, 65},	//219 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {23, 492, 0, 0, Smoke::mf_static, 116, 66},	//220 Nepomuk::Resource::topicUri()
    {23, 290, 0, 0, Smoke::mf_const, 86, 67},	//221 Nepomuk::Resource::isTopicOfs() const
    {23, 404, 107, 1, 0, 0, 68},	//222 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {23, 121, 29, 1, 0, 0, 69},	//223 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {23, 289, 0, 0, Smoke::mf_static, 116, 70},	//224 Nepomuk::Resource::isTopicOfUri()
    {23, 278, 0, 0, Smoke::mf_const, 86, 71},	//225 Nepomuk::Resource::isRelateds() const
    {23, 402, 107, 1, 0, 0, 72},	//226 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {23, 119, 29, 1, 0, 0, 73},	//227 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {23, 277, 0, 0, Smoke::mf_static, 116, 74},	//228 Nepomuk::Resource::isRelatedUri()
    {23, 300, 0, 0, Smoke::mf_const, 116, 75},	//229 Nepomuk::Resource::label() const
    {23, 406, 16, 1, 0, 0, 76},	//230 Nepomuk::Resource::setLabel(const QString&)
    {23, 302, 0, 0, Smoke::mf_static, 116, 77},	//231 Nepomuk::Resource::labelUri()
    {23, 360, 0, 0, Smoke::mf_const, 297, 78},	//232 Nepomuk::Resource::rating() const
    {23, 423, 113, 1, 0, 0, 79},	//233 Nepomuk::Resource::setRating(const unsigned int&)
    {23, 361, 0, 0, Smoke::mf_static, 116, 80},	//234 Nepomuk::Resource::ratingUri()
    {23, 452, 0, 0, Smoke::mf_const, 117, 81},	//235 Nepomuk::Resource::symbols() const
    {23, 431, 27, 1, 0, 0, 82},	//236 Nepomuk::Resource::setSymbols(const QStringList&)
    {23, 125, 16, 1, 0, 0, 83},	//237 Nepomuk::Resource::addSymbol(const QString&)
    {23, 451, 0, 0, Smoke::mf_static, 116, 84},	//238 Nepomuk::Resource::symbolUri()
    {23, 153, 0, 0, Smoke::mf_const, 86, 85},	//239 Nepomuk::Resource::annotationOf() const
    {23, 276, 0, 0, Smoke::mf_const, 86, 86},	//240 Nepomuk::Resource::isRelatedOf() const
    {23, 142, 0, 0, Smoke::mf_static, 86, 87},	//241 Nepomuk::Resource::allResources()
    {23, 508, 0, 0, Smoke::mf_const, 294, 88},	//242 Nepomuk::Resource::usageCount() const
    {23, 252, 0, 0, 0, 0, 89},	//243 Nepomuk::Resource::increaseUsageCount()
    {23, 268, 0, 0, Smoke::mf_const, 229, 90},	//244 Nepomuk::Resource::isFile() const
    {23, 472, 0, 0, Smoke::mf_const, 16, 91},	//245 Nepomuk::Resource::toFile() const
    {23, 227, 115, 3, Smoke::mf_static, 33, 92},	//246 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*)
    {23, 70, 16, 1, Smoke::mf_ctor, 35, 93},	//247 Nepomuk::Resource::Resource(const QString&)
    {23, 70, 37, 1, Smoke::mf_ctor, 35, 94},	//248 Nepomuk::Resource::Resource(const QUrl&)
    {23, 227, 53, 1, Smoke::mf_static, 33, 95},	//249 Nepomuk::Resource::fromResourceUri(const KUrl&)
    {23, 227, 119, 2, Smoke::mf_static, 33, 96},	//250 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&)
    {23, 531, 0, 0, Smoke::mf_dtor, 0, 97 },	//251 Nepomuk::Resource::~Resource()
    {25, 314, 0, 0, Smoke::mf_const, 276, 1},	//252 Nepomuk::ResourceManager::metaObject() const
    {25, 356, 1, 1, 0, 299, 2},	//253 Nepomuk::ResourceManager::qt_metacast(const char*)
    {25, 494, 3, 2, Smoke::mf_static, 116, 3},	//254 Nepomuk::ResourceManager::tr(const char*, const char*)
    {25, 498, 3, 2, Smoke::mf_static, 116, 4},	//255 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {25, 494, 6, 3, Smoke::mf_static, 116, 5},	//256 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {25, 498, 6, 3, Smoke::mf_static, 116, 6},	//257 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {25, 354, 10, 3, 0, 294, 7},	//258 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {25, 257, 0, 0, Smoke::mf_static, 37, 8},	//259 Nepomuk::ResourceManager::instance()
    {25, 181, 0, 0, 0, 0, 9},	//260 Nepomuk::ResourceManager::deleteInstance()
    {25, 253, 0, 0, 0, 294, 10},	//261 Nepomuk::ResourceManager::init()
    {25, 254, 0, 0, Smoke::mf_const, 229, 11},	//262 Nepomuk::ResourceManager::initialized() const
    {25, 310, 0, 0, 0, 223, 12},	//263 Nepomuk::ResourceManager::mainModel()
    {25, 418, 122, 1, 0, 0, 13},	//264 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {25, 174, 16, 1, 0, 33, 14},	//265 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {25, 370, 16, 1, 0, 0, 15},	//266 Nepomuk::ResourceManager::removeResource(const QString&)
    {25, 143, 37, 1, 0, 86, 16},	//267 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {25, 143, 16, 1, 0, 86, 17},	//268 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {25, 146, 101, 2, 0, 86, 18},	//269 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {25, 146, 104, 2, 0, 86, 19},	//270 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {25, 166, 0, 0, 0, 0, 20},	//271 Nepomuk::ResourceManager::clearCache()
    {25, 233, 0, 0, 0, 116, 21},	//272 Nepomuk::ResourceManager::generateUniqueUri()
    {25, 233, 16, 1, 0, 123, 22},	//273 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {25, 328, 18, 2, 0, 0, 23},	//274 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {25, 172, 122, 1, Smoke::mf_static, 37, 24},	//275 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {25, 376, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//276 Nepomuk::ResourceManager::resourceModified(const QString&)
    {25, 195, 18, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//277 Nepomuk::ResourceManager::error(const QString&, int)
    {25, 326, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//278 Nepomuk::ResourceManager::nepomukSystemStarted()
    {25, 327, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//279 Nepomuk::ResourceManager::nepomukSystemStopped()
    {25, 494, 1, 1, Smoke::mf_static, 116, 29},	//280 Nepomuk::ResourceManager::tr(const char*)
    {25, 498, 1, 1, Smoke::mf_static, 116, 30},	//281 Nepomuk::ResourceManager::trUtf8(const char*)
    {25, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 31},	//282 Nepomuk::ResourceManager::staticMetaObject() const
    {26, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 1},	//283 Nepomuk::Service::metaObject() const
    {26, 356, 1, 1, Smoke::mf_virtual, 299, 2},	//284 Nepomuk::Service::qt_metacast(const char*)
    {26, 494, 3, 2, Smoke::mf_static, 116, 3},	//285 Nepomuk::Service::tr(const char*, const char*)
    {26, 498, 3, 2, Smoke::mf_static, 116, 4},	//286 Nepomuk::Service::trUtf8(const char*, const char*)
    {26, 494, 6, 3, Smoke::mf_static, 116, 5},	//287 Nepomuk::Service::tr(const char*, const char*, int)
    {26, 498, 6, 3, Smoke::mf_static, 116, 6},	//288 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {26, 354, 10, 3, Smoke::mf_virtual, 294, 7},	//289 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {26, 78, 124, 2, Smoke::mf_ctor, 38, 8},	//290 Nepomuk::Service::Service(QObject*, bool)
    {26, 310, 0, 0, Smoke::mf_protected, 223, 9},	//291 Nepomuk::Service::mainModel()
    {26, 429, 127, 1, Smoke::mf_protected, 0, 10},	//292 Nepomuk::Service::setServiceInitialized(bool)
    {26, 494, 1, 1, Smoke::mf_static, 116, 11},	//293 Nepomuk::Service::tr(const char*)
    {26, 498, 1, 1, Smoke::mf_static, 116, 12},	//294 Nepomuk::Service::trUtf8(const char*)
    {26, 78, 0, 0, Smoke::mf_ctor, 38, 13},	//295 Nepomuk::Service::Service()
    {26, 78, 129, 1, Smoke::mf_ctor, 38, 14},	//296 Nepomuk::Service::Service(QObject*)
    {26, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 15},	//297 Nepomuk::Service::staticMetaObject() const
    {26, 532, 0, 0, Smoke::mf_dtor, 0, 16 },	//298 Nepomuk::Service::~Service()
    {27, 82, 0, 0, Smoke::mf_ctor, 41, 1},	//299 Nepomuk::Tag::Tag()
    {27, 82, 78, 1, Smoke::mf_ctor, 41, 2},	//300 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {27, 82, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 3},	//301 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {27, 82, 29, 1, Smoke::mf_ctor, 41, 4},	//302 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {27, 82, 16, 1, Smoke::mf_ctor, 41, 5},	//303 Nepomuk::Tag::Tag(const QString&)
    {27, 82, 131, 2, Smoke::mf_ctor, 41, 6},	//304 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {27, 82, 37, 1, Smoke::mf_ctor, 41, 7},	//305 Nepomuk::Tag::Tag(const QUrl&)
    {27, 82, 134, 2, Smoke::mf_ctor, 41, 8},	//306 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {27, 335, 111, 1, 0, 40, 9},	//307 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {27, 457, 0, 0, Smoke::mf_const, 86, 10},	//308 Nepomuk::Tag::tagOf() const
    {27, 150, 0, 0, Smoke::mf_static, 87, 11},	//309 Nepomuk::Tag::allTags()
    {27, 379, 0, 0, Smoke::mf_static, 116, 12},	//310 Nepomuk::Tag::resourceTypeUri()
    {27, 82, 80, 2, Smoke::mf_ctor|Smoke::mf_protected, 41, 13},	//311 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {27, 82, 87, 2, Smoke::mf_ctor|Smoke::mf_protected, 41, 14},	//312 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {27, 82, 83, 3, Smoke::mf_ctor|Smoke::mf_protected, 41, 15},	//313 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {27, 82, 90, 3, Smoke::mf_ctor|Smoke::mf_protected, 41, 16},	//314 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {27, 533, 0, 0, Smoke::mf_dtor, 0, 17 },	//315 Nepomuk::Tag::~Tag()
    {28, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 1},	//316 Nepomuk::TagCloud::metaObject() const
    {28, 356, 1, 1, Smoke::mf_virtual, 299, 2},	//317 Nepomuk::TagCloud::qt_metacast(const char*)
    {28, 494, 3, 2, Smoke::mf_static, 116, 3},	//318 Nepomuk::TagCloud::tr(const char*, const char*)
    {28, 498, 3, 2, Smoke::mf_static, 116, 4},	//319 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {28, 494, 6, 3, Smoke::mf_static, 116, 5},	//320 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {28, 498, 6, 3, Smoke::mf_static, 116, 6},	//321 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {28, 354, 10, 3, Smoke::mf_virtual, 294, 7},	//322 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {28, 89, 14, 1, Smoke::mf_ctor, 42, 8},	//323 Nepomuk::TagCloud::TagCloud(QWidget*)
    {28, 160, 0, 0, Smoke::mf_const, 229, 9},	//324 Nepomuk::TagCloud::autoUpdate() const
    {28, 505, 0, 0, Smoke::mf_slot, 0, 10},	//325 Nepomuk::TagCloud::updateTags()
    {28, 392, 127, 1, Smoke::mf_slot, 0, 11},	//326 Nepomuk::TagCloud::setAutoUpdate(bool)
    {28, 454, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//327 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {28, 494, 1, 1, Smoke::mf_static, 116, 13},	//328 Nepomuk::TagCloud::tr(const char*)
    {28, 498, 1, 1, Smoke::mf_static, 116, 14},	//329 Nepomuk::TagCloud::trUtf8(const char*)
    {28, 89, 0, 0, Smoke::mf_ctor, 42, 15},	//330 Nepomuk::TagCloud::TagCloud()
    {28, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 16},	//331 Nepomuk::TagCloud::staticMetaObject() const
    {28, 534, 0, 0, Smoke::mf_dtor, 0, 17 },	//332 Nepomuk::TagCloud::~TagCloud()
    {29, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 1},	//333 Nepomuk::TagWidget::metaObject() const
    {29, 356, 1, 1, Smoke::mf_virtual, 299, 2},	//334 Nepomuk::TagWidget::qt_metacast(const char*)
    {29, 494, 3, 2, Smoke::mf_static, 116, 3},	//335 Nepomuk::TagWidget::tr(const char*, const char*)
    {29, 498, 3, 2, Smoke::mf_static, 116, 4},	//336 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {29, 494, 6, 3, Smoke::mf_static, 116, 5},	//337 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {29, 498, 6, 3, Smoke::mf_static, 116, 6},	//338 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {29, 354, 10, 3, Smoke::mf_virtual, 294, 7},	//339 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {29, 91, 139, 2, Smoke::mf_ctor, 43, 8},	//340 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {29, 91, 14, 1, Smoke::mf_ctor, 43, 9},	//341 Nepomuk::TagWidget::TagWidget(QWidget*)
    {29, 461, 0, 0, Smoke::mf_const, 86, 10},	//342 Nepomuk::TagWidget::taggedResources() const
    {29, 159, 0, 0, Smoke::mf_const, 87, 11},	//343 Nepomuk::TagWidget::assignedTags() const
    {29, 381, 0, 0, Smoke::mf_const, 87, 12},	//344 Nepomuk::TagWidget::selectedTags() const
    {29, 313, 0, 0, Smoke::mf_const, 294, 13},	//345 Nepomuk::TagWidget::maxTagsShown() const
    {29, 137, 0, 0, Smoke::mf_const, 78, 14},	//346 Nepomuk::TagWidget::alignment() const
    {29, 318, 0, 0, Smoke::mf_const, 77, 15},	//347 Nepomuk::TagWidget::modeFlags() const
    {29, 454, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//348 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {29, 382, 109, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//349 Nepomuk::TagWidget::selectionChanged(const QList<Nepomuk::Tag>&)
    {29, 433, 29, 1, Smoke::mf_slot, 0, 18},	//350 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {29, 435, 107, 1, Smoke::mf_slot, 0, 19},	//351 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {29, 390, 109, 1, Smoke::mf_slot, 0, 20},	//352 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {29, 425, 109, 1, Smoke::mf_slot, 0, 21},	//353 Nepomuk::TagWidget::setSelectedTags(const QList<Nepomuk::Tag>&)
    {29, 410, 23, 1, Smoke::mf_slot, 0, 22},	//354 Nepomuk::TagWidget::setMaxTagsShown(int)
    {29, 384, 142, 1, Smoke::mf_slot, 0, 23},	//355 Nepomuk::TagWidget::setAlignment(Qt::Alignment)
    {29, 414, 144, 1, Smoke::mf_slot, 0, 24},	//356 Nepomuk::TagWidget::setModeFlags(Nepomuk::TagWidget::ModeFlags)
    {29, 494, 1, 1, Smoke::mf_static, 116, 25},	//357 Nepomuk::TagWidget::tr(const char*)
    {29, 498, 1, 1, Smoke::mf_static, 116, 26},	//358 Nepomuk::TagWidget::trUtf8(const char*)
    {29, 91, 29, 1, Smoke::mf_ctor, 43, 27},	//359 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {29, 91, 0, 0, Smoke::mf_ctor, 43, 28},	//360 Nepomuk::TagWidget::TagWidget()
    {29, 447, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 275, 29},	//361 Nepomuk::TagWidget::staticMetaObject() const
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 30},	//362 Nepomuk::TagWidget::MiniMode (enum)
    {29, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 31},	//363 Nepomuk::TagWidget::StandardMode (enum)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 32},	//364 Nepomuk::TagWidget::ReadOnly (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 33},	//365 Nepomuk::TagWidget::DisableTagClicking (enum)
    {29, 535, 0, 0, Smoke::mf_dtor, 0, 34 },	//366 Nepomuk::TagWidget::~TagWidget()
    {30, 94, 87, 2, Smoke::mf_ctor, 48, 1},	//367 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {30, 94, 90, 3, Smoke::mf_ctor, 48, 2},	//368 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {30, 94, 80, 2, Smoke::mf_ctor, 48, 3},	//369 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {30, 94, 83, 3, Smoke::mf_ctor, 48, 4},	//370 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {30, 94, 146, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 5},	//371 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {30, 94, 29, 1, Smoke::mf_ctor, 48, 6},	//372 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {30, 94, 94, 1, Smoke::mf_ctor, 48, 7},	//373 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {30, 335, 146, 1, 0, 47, 8},	//374 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {30, 335, 29, 1, 0, 47, 9},	//375 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {30, 335, 37, 1, 0, 47, 10},	//376 Nepomuk::Thing::operator=(const QUrl&)
    {30, 240, 0, 0, Smoke::mf_const, 86, 11},	//377 Nepomuk::Thing::groundingOccurrences() const
    {30, 364, 0, 0, Smoke::mf_const, 86, 12},	//378 Nepomuk::Thing::referencingOccurrences() const
    {30, 331, 0, 0, Smoke::mf_const, 86, 13},	//379 Nepomuk::Thing::occurrences() const
    {30, 115, 29, 1, 0, 0, 14},	//380 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {30, 94, 0, 0, Smoke::mf_ctor, 48, 15},	//381 Nepomuk::Thing::Thing()
    {30, 94, 37, 1, Smoke::mf_ctor, 48, 16},	//382 Nepomuk::Thing::Thing(const QUrl&)
    {30, 94, 16, 1, Smoke::mf_ctor, 48, 17},	//383 Nepomuk::Thing::Thing(const QString&)
    {30, 536, 0, 0, Smoke::mf_dtor, 0, 18 },	//384 Nepomuk::Thing::~Thing()
    {31, 352, 148, 1, Smoke::mf_static, 297, 1},	//385 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {32, 1, 0, 0, Smoke::mf_ctor, 51, 1},	//386 Nepomuk::Types::Class::Class()
    {32, 1, 37, 1, Smoke::mf_ctor, 51, 2},	//387 Nepomuk::Types::Class::Class(const QUrl&)
    {32, 1, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 3},	//388 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {32, 335, 150, 1, 0, 50, 4},	//389 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {32, 359, 0, 0, 0, 89, 5},	//390 Nepomuk::Types::Class::rangeOf()
    {32, 359, 0, 0, Smoke::mf_const, 89, 6},	//391 Nepomuk::Types::Class::rangeOf() const
    {32, 188, 0, 0, 0, 89, 7},	//392 Nepomuk::Types::Class::domainOf()
    {32, 188, 0, 0, Smoke::mf_const, 89, 8},	//393 Nepomuk::Types::Class::domainOf() const
    {32, 215, 16, 1, 0, 59, 9},	//394 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {32, 215, 16, 1, Smoke::mf_const, 59, 10},	//395 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {32, 212, 41, 2, 0, 59, 11},	//396 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {32, 212, 41, 2, Smoke::mf_const, 59, 12},	//397 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {32, 344, 0, 0, 0, 88, 13},	//398 Nepomuk::Types::Class::parentClasses()
    {32, 344, 0, 0, Smoke::mf_const, 88, 14},	//399 Nepomuk::Types::Class::parentClasses() const
    {32, 449, 0, 0, 0, 88, 15},	//400 Nepomuk::Types::Class::subClasses()
    {32, 449, 0, 0, Smoke::mf_const, 88, 16},	//401 Nepomuk::Types::Class::subClasses() const
    {32, 140, 0, 0, 0, 88, 17},	//402 Nepomuk::Types::Class::allParentClasses()
    {32, 140, 0, 0, Smoke::mf_const, 88, 18},	//403 Nepomuk::Types::Class::allParentClasses() const
    {32, 149, 0, 0, 0, 88, 19},	//404 Nepomuk::Types::Class::allSubClasses()
    {32, 149, 0, 0, Smoke::mf_const, 88, 20},	//405 Nepomuk::Types::Class::allSubClasses() const
    {32, 274, 150, 1, 0, 229, 21},	//406 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {32, 274, 150, 1, Smoke::mf_const, 229, 22},	//407 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {32, 283, 150, 1, 0, 229, 23},	//408 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {32, 283, 150, 1, Smoke::mf_const, 229, 24},	//409 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {32, 212, 16, 1, 0, 59, 25},	//410 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {32, 212, 16, 1, Smoke::mf_const, 59, 26},	//411 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {32, 518, 0, 0, Smoke::mf_dtor, 0, 27 },	//412 Nepomuk::Types::Class::~Class()
    {33, 9, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 1},	//413 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {33, 335, 148, 1, 0, 52, 2},	//414 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {33, 324, 0, 0, Smoke::mf_const, 116, 3},	//415 Nepomuk::Types::Entity::name() const
    {33, 506, 0, 0, Smoke::mf_const, 123, 4},	//416 Nepomuk::Types::Entity::uri() const
    {33, 300, 16, 1, 0, 116, 5},	//417 Nepomuk::Types::Entity::label(const QString&)
    {33, 300, 16, 1, Smoke::mf_const, 116, 6},	//418 Nepomuk::Types::Entity::label(const QString&) const
    {33, 168, 16, 1, 0, 116, 7},	//419 Nepomuk::Types::Entity::comment(const QString&)
    {33, 168, 16, 1, Smoke::mf_const, 116, 8},	//420 Nepomuk::Types::Entity::comment(const QString&) const
    {33, 249, 0, 0, 0, 83, 9},	//421 Nepomuk::Types::Entity::icon()
    {33, 249, 0, 0, Smoke::mf_const, 83, 10},	//422 Nepomuk::Types::Entity::icon() const
    {33, 297, 0, 0, Smoke::mf_const, 229, 11},	//423 Nepomuk::Types::Entity::isValid() const
    {33, 259, 0, 0, 0, 229, 12},	//424 Nepomuk::Types::Entity::isAvailable()
    {33, 259, 0, 0, Smoke::mf_const, 229, 13},	//425 Nepomuk::Types::Entity::isAvailable() const
    {33, 372, 127, 1, 0, 0, 14},	//426 Nepomuk::Types::Entity::reset(bool)
    {33, 509, 0, 0, Smoke::mf_const, 229, 15},	//427 Nepomuk::Types::Entity::userVisible() const
    {33, 332, 0, 0, Smoke::mf_const, 123, 16},	//428 Nepomuk::Types::Entity::operator QUrl() const
    {33, 338, 148, 1, Smoke::mf_const, 229, 17},	//429 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {33, 338, 37, 1, Smoke::mf_const, 229, 18},	//430 Nepomuk::Types::Entity::operator==(const QUrl&) const
    {33, 333, 148, 1, Smoke::mf_const, 229, 19},	//431 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {33, 333, 37, 1, Smoke::mf_const, 229, 20},	//432 Nepomuk::Types::Entity::operator!=(const QUrl&) const
    {33, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 53, 21},	//433 Nepomuk::Types::Entity::Entity()
    {33, 300, 0, 0, 0, 116, 22},	//434 Nepomuk::Types::Entity::label()
    {33, 300, 0, 0, Smoke::mf_const, 116, 23},	//435 Nepomuk::Types::Entity::label() const
    {33, 168, 0, 0, 0, 116, 24},	//436 Nepomuk::Types::Entity::comment()
    {33, 168, 0, 0, Smoke::mf_const, 116, 25},	//437 Nepomuk::Types::Entity::comment() const
    {33, 372, 0, 0, 0, 0, 26},	//438 Nepomuk::Types::Entity::reset()
    {33, 520, 0, 0, Smoke::mf_dtor, 0, 27 },	//439 Nepomuk::Types::Entity::~Entity()
    {34, 43, 0, 0, Smoke::mf_ctor, 56, 1},	//440 Nepomuk::Types::Literal::Literal()
    {34, 43, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//441 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {34, 43, 37, 1, Smoke::mf_ctor, 56, 3},	//442 Nepomuk::Types::Literal::Literal(const QUrl&)
    {34, 335, 152, 1, 0, 55, 4},	//443 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {34, 178, 0, 0, Smoke::mf_const, 123, 5},	//444 Nepomuk::Types::Literal::dataTypeUri() const
    {34, 177, 0, 0, Smoke::mf_const, 125, 6},	//445 Nepomuk::Types::Literal::dataType() const
    {34, 297, 0, 0, Smoke::mf_const, 229, 7},	//446 Nepomuk::Types::Literal::isValid() const
    {34, 525, 0, 0, Smoke::mf_dtor, 0, 8 },	//447 Nepomuk::Types::Literal::~Literal()
    {35, 49, 0, 0, Smoke::mf_ctor, 58, 1},	//448 Nepomuk::Types::Ontology::Ontology()
    {35, 49, 37, 1, Smoke::mf_ctor, 58, 2},	//449 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {35, 49, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 3},	//450 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {35, 335, 154, 1, 0, 57, 4},	//451 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {35, 138, 0, 0, 0, 88, 5},	//452 Nepomuk::Types::Ontology::allClasses()
    {35, 208, 16, 1, 0, 49, 6},	//453 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {35, 205, 41, 2, 0, 49, 7},	//454 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {35, 141, 0, 0, 0, 89, 8},	//455 Nepomuk::Types::Ontology::allProperties()
    {35, 215, 16, 1, 0, 59, 9},	//456 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {35, 212, 41, 2, 0, 59, 10},	//457 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {35, 205, 16, 1, 0, 49, 11},	//458 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {35, 212, 16, 1, 0, 59, 12},	//459 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {35, 527, 0, 0, Smoke::mf_dtor, 0, 13 },	//460 Nepomuk::Types::Ontology::~Ontology()
    {36, 55, 0, 0, Smoke::mf_ctor, 61, 1},	//461 Nepomuk::Types::Property::Property()
    {36, 55, 37, 1, Smoke::mf_ctor, 61, 2},	//462 Nepomuk::Types::Property::Property(const QUrl&)
    {36, 55, 156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//463 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {36, 335, 156, 1, 0, 60, 4},	//464 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {36, 346, 0, 0, 0, 89, 5},	//465 Nepomuk::Types::Property::parentProperties()
    {36, 346, 0, 0, Smoke::mf_const, 89, 6},	//466 Nepomuk::Types::Property::parentProperties() const
    {36, 450, 0, 0, 0, 89, 7},	//467 Nepomuk::Types::Property::subProperties()
    {36, 450, 0, 0, Smoke::mf_const, 89, 8},	//468 Nepomuk::Types::Property::subProperties() const
    {36, 258, 0, 0, 0, 59, 9},	//469 Nepomuk::Types::Property::inverseProperty()
    {36, 258, 0, 0, Smoke::mf_const, 59, 10},	//470 Nepomuk::Types::Property::inverseProperty() const
    {36, 358, 0, 0, 0, 49, 11},	//471 Nepomuk::Types::Property::range()
    {36, 358, 0, 0, Smoke::mf_const, 49, 12},	//472 Nepomuk::Types::Property::range() const
    {36, 305, 0, 0, 0, 54, 13},	//473 Nepomuk::Types::Property::literalRangeType()
    {36, 305, 0, 0, Smoke::mf_const, 54, 14},	//474 Nepomuk::Types::Property::literalRangeType() const
    {36, 187, 0, 0, 0, 49, 15},	//475 Nepomuk::Types::Property::domain()
    {36, 187, 0, 0, Smoke::mf_const, 49, 16},	//476 Nepomuk::Types::Property::domain() const
    {36, 161, 0, 0, 0, 294, 17},	//477 Nepomuk::Types::Property::cardinality()
    {36, 161, 0, 0, Smoke::mf_const, 294, 18},	//478 Nepomuk::Types::Property::cardinality() const
    {36, 316, 0, 0, 0, 294, 19},	//479 Nepomuk::Types::Property::minCardinality()
    {36, 316, 0, 0, Smoke::mf_const, 294, 20},	//480 Nepomuk::Types::Property::minCardinality() const
    {36, 312, 0, 0, 0, 294, 21},	//481 Nepomuk::Types::Property::maxCardinality()
    {36, 312, 0, 0, Smoke::mf_const, 294, 22},	//482 Nepomuk::Types::Property::maxCardinality() const
    {36, 274, 156, 1, 0, 229, 23},	//483 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {36, 274, 156, 1, Smoke::mf_const, 229, 24},	//484 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {36, 285, 156, 1, 0, 229, 25},	//485 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {36, 285, 156, 1, Smoke::mf_const, 229, 26},	//486 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {36, 530, 0, 0, Smoke::mf_dtor, 0, 27 },	//487 Nepomuk::Types::Property::~Property()
    {37, 102, 0, 0, Smoke::mf_ctor, 64, 1},	//488 Nepomuk::Variant::Variant()
    {37, 102, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//489 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {37, 102, 158, 1, Smoke::mf_ctor, 64, 3},	//490 Nepomuk::Variant::Variant(const QVariant&)
    {37, 102, 23, 1, Smoke::mf_ctor, 64, 4},	//491 Nepomuk::Variant::Variant(int)
    {37, 102, 160, 1, Smoke::mf_ctor, 64, 5},	//492 Nepomuk::Variant::Variant(long long)
    {37, 102, 162, 1, Smoke::mf_ctor, 64, 6},	//493 Nepomuk::Variant::Variant(unsigned int)
    {37, 102, 164, 1, Smoke::mf_ctor, 64, 7},	//494 Nepomuk::Variant::Variant(unsigned long long)
    {37, 102, 127, 1, Smoke::mf_ctor, 64, 8},	//495 Nepomuk::Variant::Variant(bool)
    {37, 102, 166, 1, Smoke::mf_ctor, 64, 9},	//496 Nepomuk::Variant::Variant(double)
    {37, 102, 1, 1, Smoke::mf_ctor, 64, 10},	//497 Nepomuk::Variant::Variant(const char*)
    {37, 102, 16, 1, Smoke::mf_ctor, 64, 11},	//498 Nepomuk::Variant::Variant(const QString&)
    {37, 102, 168, 1, Smoke::mf_ctor, 64, 12},	//499 Nepomuk::Variant::Variant(const QDate&)
    {37, 102, 170, 1, Smoke::mf_ctor, 64, 13},	//500 Nepomuk::Variant::Variant(const QTime&)
    {37, 102, 172, 1, Smoke::mf_ctor, 64, 14},	//501 Nepomuk::Variant::Variant(const QDateTime&)
    {37, 102, 37, 1, Smoke::mf_ctor, 64, 15},	//502 Nepomuk::Variant::Variant(const QUrl&)
    {37, 102, 29, 1, Smoke::mf_ctor, 64, 16},	//503 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {37, 102, 174, 1, Smoke::mf_ctor, 64, 17},	//504 Nepomuk::Variant::Variant(const QList<int>&)
    {37, 102, 176, 1, Smoke::mf_ctor, 64, 18},	//505 Nepomuk::Variant::Variant(const QList<long long>&)
    {37, 102, 178, 1, Smoke::mf_ctor, 64, 19},	//506 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {37, 102, 180, 1, Smoke::mf_ctor, 64, 20},	//507 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {37, 102, 182, 1, Smoke::mf_ctor, 64, 21},	//508 Nepomuk::Variant::Variant(const QList<bool>&)
    {37, 102, 184, 1, Smoke::mf_ctor, 64, 22},	//509 Nepomuk::Variant::Variant(const QList<double>&)
    {37, 102, 27, 1, Smoke::mf_ctor, 64, 23},	//510 Nepomuk::Variant::Variant(const QStringList&)
    {37, 102, 186, 1, Smoke::mf_ctor, 64, 24},	//511 Nepomuk::Variant::Variant(const QList<QDate>&)
    {37, 102, 188, 1, Smoke::mf_ctor, 64, 25},	//512 Nepomuk::Variant::Variant(const QList<QTime>&)
    {37, 102, 190, 1, Smoke::mf_ctor, 64, 26},	//513 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {37, 102, 96, 1, Smoke::mf_ctor, 64, 27},	//514 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {37, 102, 107, 1, Smoke::mf_ctor, 64, 28},	//515 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {37, 102, 192, 1, Smoke::mf_ctor, 64, 29},	//516 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {37, 335, 31, 1, 0, 63, 30},	//517 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {37, 335, 23, 1, 0, 63, 31},	//518 Nepomuk::Variant::operator=(int)
    {37, 335, 160, 1, 0, 63, 32},	//519 Nepomuk::Variant::operator=(long long)
    {37, 335, 162, 1, 0, 63, 33},	//520 Nepomuk::Variant::operator=(unsigned int)
    {37, 335, 164, 1, 0, 63, 34},	//521 Nepomuk::Variant::operator=(unsigned long long)
    {37, 335, 127, 1, 0, 63, 35},	//522 Nepomuk::Variant::operator=(bool)
    {37, 335, 166, 1, 0, 63, 36},	//523 Nepomuk::Variant::operator=(double)
    {37, 335, 16, 1, 0, 63, 37},	//524 Nepomuk::Variant::operator=(const QString&)
    {37, 335, 168, 1, 0, 63, 38},	//525 Nepomuk::Variant::operator=(const QDate&)
    {37, 335, 170, 1, 0, 63, 39},	//526 Nepomuk::Variant::operator=(const QTime&)
    {37, 335, 172, 1, 0, 63, 40},	//527 Nepomuk::Variant::operator=(const QDateTime&)
    {37, 335, 37, 1, 0, 63, 41},	//528 Nepomuk::Variant::operator=(const QUrl&)
    {37, 335, 29, 1, 0, 63, 42},	//529 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {37, 335, 174, 1, 0, 63, 43},	//530 Nepomuk::Variant::operator=(const QList<int>&)
    {37, 335, 176, 1, 0, 63, 44},	//531 Nepomuk::Variant::operator=(const QList<long long>&)
    {37, 335, 178, 1, 0, 63, 45},	//532 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {37, 335, 180, 1, 0, 63, 46},	//533 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {37, 335, 182, 1, 0, 63, 47},	//534 Nepomuk::Variant::operator=(const QList<bool>&)
    {37, 335, 184, 1, 0, 63, 48},	//535 Nepomuk::Variant::operator=(const QList<double>&)
    {37, 335, 27, 1, 0, 63, 49},	//536 Nepomuk::Variant::operator=(const QStringList&)
    {37, 335, 186, 1, 0, 63, 50},	//537 Nepomuk::Variant::operator=(const QList<QDate>&)
    {37, 335, 188, 1, 0, 63, 51},	//538 Nepomuk::Variant::operator=(const QList<QTime>&)
    {37, 335, 190, 1, 0, 63, 52},	//539 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {37, 335, 96, 1, 0, 63, 53},	//540 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {37, 335, 107, 1, 0, 63, 54},	//541 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {37, 156, 23, 1, 0, 0, 55},	//542 Nepomuk::Variant::append(int)
    {37, 156, 160, 1, 0, 0, 56},	//543 Nepomuk::Variant::append(long long)
    {37, 156, 162, 1, 0, 0, 57},	//544 Nepomuk::Variant::append(unsigned int)
    {37, 156, 164, 1, 0, 0, 58},	//545 Nepomuk::Variant::append(unsigned long long)
    {37, 156, 127, 1, 0, 0, 59},	//546 Nepomuk::Variant::append(bool)
    {37, 156, 166, 1, 0, 0, 60},	//547 Nepomuk::Variant::append(double)
    {37, 156, 16, 1, 0, 0, 61},	//548 Nepomuk::Variant::append(const QString&)
    {37, 156, 168, 1, 0, 0, 62},	//549 Nepomuk::Variant::append(const QDate&)
    {37, 156, 170, 1, 0, 0, 63},	//550 Nepomuk::Variant::append(const QTime&)
    {37, 156, 172, 1, 0, 0, 64},	//551 Nepomuk::Variant::append(const QDateTime&)
    {37, 156, 37, 1, 0, 0, 65},	//552 Nepomuk::Variant::append(const QUrl&)
    {37, 156, 29, 1, 0, 0, 66},	//553 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {37, 156, 31, 1, 0, 0, 67},	//554 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {37, 338, 31, 1, Smoke::mf_const, 229, 68},	//555 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {37, 333, 31, 1, Smoke::mf_const, 229, 69},	//556 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {37, 297, 0, 0, Smoke::mf_const, 229, 70},	//557 Nepomuk::Variant::isValid() const
    {37, 502, 0, 0, Smoke::mf_const, 294, 71},	//558 Nepomuk::Variant::type() const
    {37, 445, 0, 0, Smoke::mf_const, 294, 72},	//559 Nepomuk::Variant::simpleType() const
    {37, 273, 0, 0, Smoke::mf_const, 229, 73},	//560 Nepomuk::Variant::isList() const
    {37, 269, 0, 0, Smoke::mf_const, 229, 74},	//561 Nepomuk::Variant::isInt() const
    {37, 270, 0, 0, Smoke::mf_const, 229, 75},	//562 Nepomuk::Variant::isInt64() const
    {37, 291, 0, 0, Smoke::mf_const, 229, 76},	//563 Nepomuk::Variant::isUnsignedInt() const
    {37, 292, 0, 0, Smoke::mf_const, 229, 77},	//564 Nepomuk::Variant::isUnsignedInt64() const
    {37, 260, 0, 0, Smoke::mf_const, 229, 78},	//565 Nepomuk::Variant::isBool() const
    {37, 266, 0, 0, Smoke::mf_const, 229, 79},	//566 Nepomuk::Variant::isDouble() const
    {37, 281, 0, 0, Smoke::mf_const, 229, 80},	//567 Nepomuk::Variant::isString() const
    {37, 262, 0, 0, Smoke::mf_const, 229, 81},	//568 Nepomuk::Variant::isDate() const
    {37, 287, 0, 0, Smoke::mf_const, 229, 82},	//569 Nepomuk::Variant::isTime() const
    {37, 264, 0, 0, Smoke::mf_const, 229, 83},	//570 Nepomuk::Variant::isDateTime() const
    {37, 295, 0, 0, Smoke::mf_const, 229, 84},	//571 Nepomuk::Variant::isUrl() const
    {37, 279, 0, 0, Smoke::mf_const, 229, 85},	//572 Nepomuk::Variant::isResource() const
    {37, 272, 0, 0, Smoke::mf_const, 229, 86},	//573 Nepomuk::Variant::isIntList() const
    {37, 271, 0, 0, Smoke::mf_const, 229, 87},	//574 Nepomuk::Variant::isInt64List() const
    {37, 294, 0, 0, Smoke::mf_const, 229, 88},	//575 Nepomuk::Variant::isUnsignedIntList() const
    {37, 293, 0, 0, Smoke::mf_const, 229, 89},	//576 Nepomuk::Variant::isUnsignedInt64List() const
    {37, 261, 0, 0, Smoke::mf_const, 229, 90},	//577 Nepomuk::Variant::isBoolList() const
    {37, 267, 0, 0, Smoke::mf_const, 229, 91},	//578 Nepomuk::Variant::isDoubleList() const
    {37, 282, 0, 0, Smoke::mf_const, 229, 92},	//579 Nepomuk::Variant::isStringList() const
    {37, 263, 0, 0, Smoke::mf_const, 229, 93},	//580 Nepomuk::Variant::isDateList() const
    {37, 288, 0, 0, Smoke::mf_const, 229, 94},	//581 Nepomuk::Variant::isTimeList() const
    {37, 265, 0, 0, Smoke::mf_const, 229, 95},	//582 Nepomuk::Variant::isDateTimeList() const
    {37, 296, 0, 0, Smoke::mf_const, 229, 96},	//583 Nepomuk::Variant::isUrlList() const
    {37, 280, 0, 0, Smoke::mf_const, 229, 97},	//584 Nepomuk::Variant::isResourceList() const
    {37, 514, 0, 0, Smoke::mf_const, 124, 98},	//585 Nepomuk::Variant::variant() const
    {37, 473, 0, 0, Smoke::mf_const, 294, 99},	//586 Nepomuk::Variant::toInt() const
    {37, 474, 0, 0, Smoke::mf_const, 296, 100},	//587 Nepomuk::Variant::toInt64() const
    {37, 485, 0, 0, Smoke::mf_const, 297, 101},	//588 Nepomuk::Variant::toUnsignedInt() const
    {37, 486, 0, 0, Smoke::mf_const, 298, 102},	//589 Nepomuk::Variant::toUnsignedInt64() const
    {37, 464, 0, 0, Smoke::mf_const, 229, 103},	//590 Nepomuk::Variant::toBool() const
    {37, 470, 0, 0, Smoke::mf_const, 293, 104},	//591 Nepomuk::Variant::toDouble() const
    {37, 481, 0, 0, Smoke::mf_const, 116, 105},	//592 Nepomuk::Variant::toString() const
    {37, 466, 0, 0, Smoke::mf_const, 70, 106},	//593 Nepomuk::Variant::toDate() const
    {37, 483, 0, 0, Smoke::mf_const, 121, 107},	//594 Nepomuk::Variant::toTime() const
    {37, 468, 0, 0, Smoke::mf_const, 71, 108},	//595 Nepomuk::Variant::toDateTime() const
    {37, 489, 0, 0, Smoke::mf_const, 123, 109},	//596 Nepomuk::Variant::toUrl() const
    {37, 479, 0, 0, Smoke::mf_const, 33, 110},	//597 Nepomuk::Variant::toResource() const
    {37, 476, 0, 0, Smoke::mf_const, 101, 111},	//598 Nepomuk::Variant::toIntList() const
    {37, 475, 0, 0, Smoke::mf_const, 102, 112},	//599 Nepomuk::Variant::toInt64List() const
    {37, 488, 0, 0, Smoke::mf_const, 103, 113},	//600 Nepomuk::Variant::toUnsignedIntList() const
    {37, 487, 0, 0, Smoke::mf_const, 104, 114},	//601 Nepomuk::Variant::toUnsignedInt64List() const
    {37, 465, 0, 0, Smoke::mf_const, 97, 115},	//602 Nepomuk::Variant::toBoolList() const
    {37, 471, 0, 0, Smoke::mf_const, 100, 116},	//603 Nepomuk::Variant::toDoubleList() const
    {37, 482, 0, 0, Smoke::mf_const, 117, 117},	//604 Nepomuk::Variant::toStringList() const
    {37, 467, 0, 0, Smoke::mf_const, 91, 118},	//605 Nepomuk::Variant::toDateList() const
    {37, 484, 0, 0, Smoke::mf_const, 93, 119},	//606 Nepomuk::Variant::toTimeList() const
    {37, 469, 0, 0, Smoke::mf_const, 92, 120},	//607 Nepomuk::Variant::toDateTimeList() const
    {37, 490, 0, 0, Smoke::mf_const, 94, 121},	//608 Nepomuk::Variant::toUrlList() const
    {37, 480, 0, 0, Smoke::mf_const, 86, 122},	//609 Nepomuk::Variant::toResourceList() const
    {37, 491, 0, 0, Smoke::mf_const, 90, 123},	//610 Nepomuk::Variant::toVariantList() const
    {37, 477, 0, 0, Smoke::mf_const, 224, 124},	//611 Nepomuk::Variant::toNode() const
    {37, 478, 0, 0, Smoke::mf_const, 95, 125},	//612 Nepomuk::Variant::toNodeList() const
    {37, 231, 18, 2, Smoke::mf_static, 62, 126},	//613 Nepomuk::Variant::fromString(const QString&, int)
    {37, 223, 35, 1, Smoke::mf_static, 62, 127},	//614 Nepomuk::Variant::fromNode(const Soprano::Node&)
    {37, 225, 194, 1, Smoke::mf_static, 62, 128},	//615 Nepomuk::Variant::fromNodeList(const QList<Soprano::Node>&)
    {37, 537, 0, 0, Smoke::mf_dtor, 0, 129 },	//616 Nepomuk::Variant::~Variant()
    {52, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 1},	//617 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {52, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 2},	//618 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {52, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 3},	//619 QGlobalSpace::Q_STATIC_TYPE (enum)
    {52, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 4},	//620 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {52, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 5},	//621 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {52, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 6},	//622 QGlobalSpace::LicensedGui (enum)
    {52, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 7},	//623 QGlobalSpace::LicensedXml (enum)
    {52, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 8},	//624 QGlobalSpace::LicensedQt3SupportLight (enum)
    {52, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 9},	//625 QGlobalSpace::LicensedScript (enum)
    {52, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 10},	//626 QGlobalSpace::LicensedOpenVG (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 11},	//627 QGlobalSpace::LicensedDBus (enum)
    {52, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 12},	//628 QGlobalSpace::LicensedTest (enum)
    {52, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 13},	//629 QGlobalSpace::LicensedActiveQt (enum)
    {52, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 14},	//630 QGlobalSpace::LicensedScriptTools (enum)
    {52, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 15},	//631 QGlobalSpace::LicensedSvg (enum)
    {52, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 16},	//632 QGlobalSpace::LicensedDeclarative (enum)
    {52, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 17},	//633 QGlobalSpace::LicensedSql (enum)
    {52, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 18},	//634 QGlobalSpace::LicensedOpenGL (enum)
    {52, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//635 QGlobalSpace::LicensedCore (enum)
    {52, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 20},	//636 QGlobalSpace::QtDebugMsg (enum)
    {52, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 21},	//637 QGlobalSpace::QtWarningMsg (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 22},	//638 QGlobalSpace::QtCriticalMsg (enum)
    {52, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 23},	//639 QGlobalSpace::QtFatalMsg (enum)
    {52, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 24},	//640 QGlobalSpace::QtSystemMsg (enum)
    {52, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 25},	//641 QGlobalSpace::LicensedHelp (enum)
    {52, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 26},	//642 QGlobalSpace::LicensedMultimedia (enum)
    {52, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 27},	//643 QGlobalSpace::LicensedQt3Support (enum)
    {52, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//644 QGlobalSpace::LicensedXmlPatterns (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 29},	//645 QGlobalSpace::LicensedNetwork (enum)
    {52, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 30},	//646 QGlobalSpace::__codecvt_ok (enum)
    {52, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 31},	//647 QGlobalSpace::__codecvt_partial (enum)
    {52, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 32},	//648 QGlobalSpace::__codecvt_error (enum)
    {52, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 33},	//649 QGlobalSpace::__codecvt_noconv (enum)
    {60, 199, 196, 1, Smoke::mf_virtual, 229, 0},	//650 QObject::event(QEvent*)
    {60, 200, 198, 2, Smoke::mf_virtual, 229, 0},	//651 QObject::eventFilter(QObject*, QEvent*)
    {60, 463, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QObject::timerEvent(QTimerEvent*)
    {60, 163, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QObject::childEvent(QChildEvent*)
    {60, 176, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QObject::customEvent(QEvent*)
    {60, 170, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//655 QObject::connectNotify(const char*)
    {60, 186, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//656 QObject::disconnectNotify(const char*)
    {75, 184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//657 QWidget::devType() const
    {75, 443, 127, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//658 QWidget::setVisible(bool)
    {75, 446, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 115, 0},	//659 QWidget::sizeHint() const
    {75, 317, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 115, 0},	//660 QWidget::minimumSizeHint() const
    {75, 247, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//661 QWidget::heightForWidth(int) const
    {75, 341, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 0},	//662 QWidget::paintEngine() const
    {75, 199, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//663 QWidget::event(QEvent*)
    {75, 321, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QWidget::mousePressEvent(QMouseEvent*)
    {75, 322, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 319, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 320, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//667 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 515, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//668 QWidget::wheelEvent(QWheelEvent*)
    {75, 298, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//669 QWidget::keyPressEvent(QKeyEvent*)
    {75, 299, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//670 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 219, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//671 QWidget::focusInEvent(QFocusEvent*)
    {75, 221, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//672 QWidget::focusOutEvent(QFocusEvent*)
    {75, 194, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//673 QWidget::enterEvent(QEvent*)
    {75, 304, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QWidget::leaveEvent(QEvent*)
    {75, 342, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QWidget::paintEvent(QPaintEvent*)
    {75, 323, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QWidget::moveEvent(QMoveEvent*)
    {75, 374, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::resizeEvent(QResizeEvent*)
    {75, 167, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::closeEvent(QCloseEvent*)
    {75, 171, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 453, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::tabletEvent(QTabletEvent*)
    {75, 110, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QWidget::actionEvent(QActionEvent*)
    {75, 189, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 191, 227, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 190, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 192, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::dropEvent(QDropEvent*)
    {75, 444, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QWidget::showEvent(QShowEvent*)
    {75, 248, 235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QWidget::hideEvent(QHideEvent*)
    {75, 517, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//688 QWidget::x11Event(_XEvent*)
    {75, 162, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::changeEvent(QEvent*)
    {75, 315, 239, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 294, 0},	//690 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 255, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 256, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 124, 0},	//692 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 220, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//693 QWidget::focusNextPrevChild(bool)
    {75, 448, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::styleChange(QStyle&)
    {75, 193, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::enabledChange(bool)
    {75, 343, 247, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::paletteChange(const QPalette&)
    {75, 222, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::fontChange(const QFont&)
    {75, 516, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::windowActivationChange(bool)
    {75, 303, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    341,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    359,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    489,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    490,  // Nepomuk::Variant::Variant(const QVariant&)
    499,  // Nepomuk::Variant::Variant(const QDate&)
    500,  // Nepomuk::Variant::Variant(const QTime&)
    501,  // Nepomuk::Variant::Variant(const QDateTime&)
    502,  // Nepomuk::Variant::Variant(const QUrl&)
    503,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    491,  // Nepomuk::Variant::Variant(int)
    492,  // Nepomuk::Variant::Variant(long long)
    493,  // Nepomuk::Variant::Variant(unsigned int)
    494,  // Nepomuk::Variant::Variant(unsigned long long)
    495,  // Nepomuk::Variant::Variant(bool)
    496,  // Nepomuk::Variant::Variant(double)
    497,  // Nepomuk::Variant::Variant(const char*)
    498,  // Nepomuk::Variant::Variant(const QString&)
    0,
    504,  // Nepomuk::Variant::Variant(const QList<int>&)
    505,  // Nepomuk::Variant::Variant(const QList<long long>&)
    506,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    507,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    508,  // Nepomuk::Variant::Variant(const QList<bool>&)
    509,  // Nepomuk::Variant::Variant(const QList<double>&)
    510,  // Nepomuk::Variant::Variant(const QStringList&)
    511,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    512,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    513,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    514,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    515,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    516,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    549,  // Nepomuk::Variant::append(const QDate&)
    550,  // Nepomuk::Variant::append(const QTime&)
    551,  // Nepomuk::Variant::append(const QDateTime&)
    552,  // Nepomuk::Variant::append(const QUrl&)
    553,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    554,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    542,  // Nepomuk::Variant::append(int)
    543,  // Nepomuk::Variant::append(long long)
    544,  // Nepomuk::Variant::append(unsigned int)
    545,  // Nepomuk::Variant::append(unsigned long long)
    546,  // Nepomuk::Variant::append(bool)
    547,  // Nepomuk::Variant::append(double)
    548,  // Nepomuk::Variant::append(const QString&)
    0,
    517,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    525,  // Nepomuk::Variant::operator=(const QDate&)
    526,  // Nepomuk::Variant::operator=(const QTime&)
    527,  // Nepomuk::Variant::operator=(const QDateTime&)
    528,  // Nepomuk::Variant::operator=(const QUrl&)
    529,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    518,  // Nepomuk::Variant::operator=(int)
    519,  // Nepomuk::Variant::operator=(long long)
    520,  // Nepomuk::Variant::operator=(unsigned int)
    521,  // Nepomuk::Variant::operator=(unsigned long long)
    522,  // Nepomuk::Variant::operator=(bool)
    523,  // Nepomuk::Variant::operator=(double)
    524,  // Nepomuk::Variant::operator=(const QString&)
    0,
    530,  // Nepomuk::Variant::operator=(const QList<int>&)
    531,  // Nepomuk::Variant::operator=(const QList<long long>&)
    532,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    533,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    534,  // Nepomuk::Variant::operator=(const QList<bool>&)
    535,  // Nepomuk::Variant::operator=(const QList<double>&)
    536,  // Nepomuk::Variant::operator=(const QStringList&)
    537,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    538,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    539,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    540,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    541,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
    106,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    107,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    156,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    157,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    163,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    248,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    164,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    165,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    88,  // Nepomuk::File::File(const Nepomuk::Resource&)
    92,  // Nepomuk::File::File(const Nepomuk::File&)
    94,  // Nepomuk::File::File(const KUrl&)
    0,
    387,  // Nepomuk::Types::Class::Class(const QUrl&)
    388,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    402,  // Nepomuk::Types::Class::allParentClasses()
    403,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    404,  // Nepomuk::Types::Class::allSubClasses()
    405,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    392,  // Nepomuk::Types::Class::domainOf()
    393,  // Nepomuk::Types::Class::domainOf() const
    0,
    410,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    411,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    396,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    397,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    394,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    395,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    406,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    407,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    408,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    409,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    398,  // Nepomuk::Types::Class::parentClasses()
    399,  // Nepomuk::Types::Class::parentClasses() const
    0,
    390,  // Nepomuk::Types::Class::rangeOf()
    391,  // Nepomuk::Types::Class::rangeOf() const
    0,
    400,  // Nepomuk::Types::Class::subClasses()
    401,  // Nepomuk::Types::Class::subClasses() const
    0,
    441,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    442,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    462,  // Nepomuk::Types::Property::Property(const QUrl&)
    463,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    477,  // Nepomuk::Types::Property::cardinality()
    478,  // Nepomuk::Types::Property::cardinality() const
    0,
    475,  // Nepomuk::Types::Property::domain()
    476,  // Nepomuk::Types::Property::domain() const
    0,
    469,  // Nepomuk::Types::Property::inverseProperty()
    470,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    483,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    484,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    485,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    486,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    473,  // Nepomuk::Types::Property::literalRangeType()
    474,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    481,  // Nepomuk::Types::Property::maxCardinality()
    482,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    479,  // Nepomuk::Types::Property::minCardinality()
    480,  // Nepomuk::Types::Property::minCardinality() const
    0,
    465,  // Nepomuk::Types::Property::parentProperties()
    466,  // Nepomuk::Types::Property::parentProperties() const
    0,
    471,  // Nepomuk::Types::Property::range()
    472,  // Nepomuk::Types::Property::range() const
    0,
    467,  // Nepomuk::Types::Property::subProperties()
    468,  // Nepomuk::Types::Property::subProperties() const
    0,
    300,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    301,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    302,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    305,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    306,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    312,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    304,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    311,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    449,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    450,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    436,  // Nepomuk::Types::Entity::comment()
    437,  // Nepomuk::Types::Entity::comment() const
    0,
    419,  // Nepomuk::Types::Entity::comment(const QString&)
    420,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    421,  // Nepomuk::Types::Entity::icon()
    422,  // Nepomuk::Types::Entity::icon() const
    0,
    424,  // Nepomuk::Types::Entity::isAvailable()
    425,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    434,  // Nepomuk::Types::Entity::label()
    435,  // Nepomuk::Types::Entity::label() const
    0,
    417,  // Nepomuk::Types::Entity::label(const QString&)
    418,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    431,  // Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    432,  // Nepomuk::Types::Entity::operator!=(const QUrl&) const
    0,
    429,  // Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    430,  // Nepomuk::Types::Entity::operator==(const QUrl&) const
    0,
    371,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    372,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    373,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    382,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    374,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    375,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    376,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 20, 19},	// KTagCloudWidget::KTagCloudWidget
    {5, 21, 8},	// KTagCloudWidget::KTagCloudWidget#
    {5, 130, 10},	// KTagCloudWidget::addTag$$
    {5, 132, 11},	// KTagCloudWidget::addTags?
    {5, 165, 12},	// KTagCloudWidget::clear
    {5, 314, 1},	// KTagCloudWidget::metaObject
    {5, 355, 7},	// KTagCloudWidget::qt_metacall$$?
    {5, 357, 2},	// KTagCloudWidget::qt_metacast$
    {5, 375, 16},	// KTagCloudWidget::resizeEvent#
    {5, 409, 13},	// KTagCloudWidget::setMaxFontSize$
    {5, 413, 14},	// KTagCloudWidget::setMinFontSize$
    {5, 447, 20},	// KTagCloudWidget::staticMetaObject
    {5, 456, 15},	// KTagCloudWidget::tagClicked$
    {5, 460, 9},	// KTagCloudWidget::tagWeight$
    {5, 495, 17},	// KTagCloudWidget::tr$
    {5, 496, 3},	// KTagCloudWidget::tr$$
    {5, 497, 5},	// KTagCloudWidget::tr$$$
    {5, 499, 18},	// KTagCloudWidget::trUtf8$
    {5, 500, 4},	// KTagCloudWidget::trUtf8$$
    {5, 501, 6},	// KTagCloudWidget::trUtf8$$$
    {5, 523, 21},	// KTagCloudWidget::~KTagCloudWidget
    {6, 22, 37},	// KTagDisplayWidget::KTagDisplayWidget
    {6, 23, 29},	// KTagDisplayWidget::KTagDisplayWidget#
    {6, 129, 31},	// KTagDisplayWidget::addTag$
    {6, 132, 32},	// KTagDisplayWidget::addTags?
    {6, 165, 33},	// KTagDisplayWidget::clear
    {6, 314, 22},	// KTagDisplayWidget::metaObject
    {6, 355, 28},	// KTagDisplayWidget::qt_metacall$$?
    {6, 357, 23},	// KTagDisplayWidget::qt_metacast$
    {6, 438, 30},	// KTagDisplayWidget::setTags?
    {6, 447, 38},	// KTagDisplayWidget::staticMetaObject
    {6, 456, 34},	// KTagDisplayWidget::tagClicked$
    {6, 495, 35},	// KTagDisplayWidget::tr$
    {6, 496, 24},	// KTagDisplayWidget::tr$$
    {6, 497, 26},	// KTagDisplayWidget::tr$$$
    {6, 499, 36},	// KTagDisplayWidget::trUtf8$
    {6, 500, 25},	// KTagDisplayWidget::trUtf8$$
    {6, 501, 27},	// KTagDisplayWidget::trUtf8$$$
    {6, 524, 39},	// KTagDisplayWidget::~KTagDisplayWidget
    {8, 3, 54},	// Nepomuk::CommunicationError
    {8, 19, 55},	// Nepomuk::InvalidType
    {8, 48, 53},	// Nepomuk::NoError
    {8, 68, 50},	// Nepomuk::RDFLiteralToValue#
    {8, 101, 56},	// Nepomuk::UnknownError
    {8, 179, 46},	// Nepomuk::defaultGraph
    {8, 198, 45},	// Nepomuk::errorString$
    {8, 203, 51},	// Nepomuk::extractNamespace#
    {8, 325, 49},	// Nepomuk::naoNamespace
    {8, 330, 44},	// Nepomuk::nrlNamespace
    {8, 353, 41},	// Nepomuk::qHash#
    {8, 362, 40},	// Nepomuk::rdfNamepace
    {8, 363, 48},	// Nepomuk::rdfsNamespace
    {8, 395, 43},	// Nepomuk::setDefaultRepository$
    {8, 503, 47},	// Nepomuk::typePredicate
    {8, 511, 52},	// Nepomuk::valueToRDFNode#
    {8, 513, 42},	// Nepomuk::valuesToRDFNodes#
    {9, 1, 57},	// Nepomuk::Class::Class
    {9, 2, 58},	// Nepomuk::Class::Class#
    {9, 141, 60},	// Nepomuk::Class::allProperties
    {9, 213, 69},	// Nepomuk::Class::findPropertyByLabel$
    {9, 214, 62},	// Nepomuk::Class::findPropertyByLabel$$
    {9, 216, 61},	// Nepomuk::Class::findPropertyByName$
    {9, 218, 63},	// Nepomuk::Class::findPropertyByUri#
    {9, 275, 66},	// Nepomuk::Class::isParentOf#
    {9, 284, 67},	// Nepomuk::Class::isSubClassOf#
    {9, 307, 68},	// Nepomuk::Class::load#
    {9, 336, 59},	// Nepomuk::Class::operator=#
    {9, 344, 64},	// Nepomuk::Class::parentClasses
    {9, 449, 65},	// Nepomuk::Class::subClasses
    {9, 518, 70},	// Nepomuk::Class::~Class
    {10, 4, 71},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {10, 5, 74},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {10, 139, 72},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {10, 309, 73},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {10, 519, 75},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {11, 9, 83},	// Nepomuk::Entity::Entity
    {11, 10, 76},	// Nepomuk::Entity::Entity#
    {11, 168, 85},	// Nepomuk::Entity::comment
    {11, 169, 82},	// Nepomuk::Entity::comment$
    {11, 180, 78},	// Nepomuk::Entity::definingOntology
    {11, 300, 84},	// Nepomuk::Entity::label
    {11, 301, 81},	// Nepomuk::Entity::label$
    {11, 324, 79},	// Nepomuk::Entity::name
    {11, 336, 77},	// Nepomuk::Entity::operator=#
    {11, 506, 80},	// Nepomuk::Entity::uri
    {11, 520, 86},	// Nepomuk::Entity::~Entity
    {12, 11, 93},	// Nepomuk::File::File
    {12, 12, -89},	// Nepomuk::File::File#
    {12, 13, 87},	// Nepomuk::File::File##
    {12, 185, 91},	// Nepomuk::File::dirResource
    {12, 336, 89},	// Nepomuk::File::operator=#
    {12, 507, 90},	// Nepomuk::File::url
    {12, 521, 95},	// Nepomuk::File::~File
    {13, 14, 96},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {13, 15, 102},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {13, 16, 103},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {13, 17, 97},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$$
    {13, 204, 99},	// Nepomuk::FileOntologyLoader::fileName
    {13, 309, 101},	// Nepomuk::FileOntologyLoader::loadOntology#
    {13, 399, 98},	// Nepomuk::FileOntologyLoader::setFileName$
    {13, 428, 100},	// Nepomuk::FileOntologyLoader::setSerialization$
    {13, 522, 104},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {14, 43, 105},	// Nepomuk::Literal::Literal
    {14, 44, -78},	// Nepomuk::Literal::Literal#
    {14, 177, 110},	// Nepomuk::Literal::dataType
    {14, 178, 109},	// Nepomuk::Literal::dataTypeUri
    {14, 336, 108},	// Nepomuk::Literal::operator=#
    {14, 525, 111},	// Nepomuk::Literal::~Literal
    {15, 46, 112},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {15, 47, 114},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {15, 309, 113},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {15, 526, 115},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {16, 49, 116},	// Nepomuk::Ontology::Ontology
    {16, 50, 117},	// Nepomuk::Ontology::Ontology#
    {16, 138, 120},	// Nepomuk::Ontology::allClasses
    {16, 141, 124},	// Nepomuk::Ontology::allProperties
    {16, 206, 129},	// Nepomuk::Ontology::findClassByLabel$
    {16, 207, 122},	// Nepomuk::Ontology::findClassByLabel$$
    {16, 209, 121},	// Nepomuk::Ontology::findClassByName$
    {16, 211, 123},	// Nepomuk::Ontology::findClassByUri#
    {16, 213, 130},	// Nepomuk::Ontology::findPropertyByLabel$
    {16, 214, 126},	// Nepomuk::Ontology::findPropertyByLabel$$
    {16, 216, 125},	// Nepomuk::Ontology::findPropertyByName$
    {16, 218, 127},	// Nepomuk::Ontology::findPropertyByUri#
    {16, 307, 128},	// Nepomuk::Ontology::load#
    {16, 336, 118},	// Nepomuk::Ontology::operator=#
    {16, 506, 119},	// Nepomuk::Ontology::uri
    {16, 527, 131},	// Nepomuk::Ontology::~Ontology
    {17, 51, 133},	// Nepomuk::OntologyLoader::OntologyLoader
    {17, 52, 134},	// Nepomuk::OntologyLoader::OntologyLoader#
    {17, 309, 132},	// Nepomuk::OntologyLoader::loadOntology#
    {17, 528, 135},	// Nepomuk::OntologyLoader::~OntologyLoader
    {18, 54, 139},	// Nepomuk::OntologyManager::OntologyManager#
    {18, 239, 138},	// Nepomuk::OntologyManager::getOntology#
    {18, 257, 136},	// Nepomuk::OntologyManager::instance
    {18, 417, 137},	// Nepomuk::OntologyManager::setOntologyLoader#
    {18, 529, 140},	// Nepomuk::OntologyManager::~OntologyManager
    {19, 55, 141},	// Nepomuk::Property::Property
    {19, 56, 142},	// Nepomuk::Property::Property#
    {19, 161, 150},	// Nepomuk::Property::cardinality
    {19, 187, 149},	// Nepomuk::Property::domain
    {19, 258, 146},	// Nepomuk::Property::inverseProperty
    {19, 305, 148},	// Nepomuk::Property::literalRangeType
    {19, 307, 153},	// Nepomuk::Property::load#
    {19, 312, 152},	// Nepomuk::Property::maxCardinality
    {19, 316, 151},	// Nepomuk::Property::minCardinality
    {19, 336, 143},	// Nepomuk::Property::operator=#
    {19, 345, 145},	// Nepomuk::Property::parentOf
    {19, 346, 144},	// Nepomuk::Property::parentProperties
    {19, 358, 147},	// Nepomuk::Property::range
    {19, 530, 154},	// Nepomuk::Property::~Property
    {23, 70, 155},	// Nepomuk::Resource::Resource
    {23, 71, -81},	// Nepomuk::Resource::Resource#
    {23, 72, 161},	// Nepomuk::Resource::Resource##
    {23, 73, 162},	// Nepomuk::Resource::Resource###
    {23, 74, 247},	// Nepomuk::Resource::Resource$
    {23, 75, 158},	// Nepomuk::Resource::Resource$#
    {23, 76, 159},	// Nepomuk::Resource::Resource$##
    {23, 77, 160},	// Nepomuk::Resource::Resource$$
    {23, 112, 207},	// Nepomuk::Resource::addAltLabel$
    {23, 114, 211},	// Nepomuk::Resource::addAnnotation#
    {23, 118, 203},	// Nepomuk::Resource::addIdentifier$
    {23, 120, 227},	// Nepomuk::Resource::addIsRelated#
    {23, 122, 223},	// Nepomuk::Resource::addIsTopicOf#
    {23, 124, 184},	// Nepomuk::Resource::addProperty##
    {23, 126, 237},	// Nepomuk::Resource::addSymbol$
    {23, 128, 215},	// Nepomuk::Resource::addTag#
    {23, 134, 219},	// Nepomuk::Resource::addTopic#
    {23, 136, 173},	// Nepomuk::Resource::addType#
    {23, 141, 176},	// Nepomuk::Resource::allProperties
    {23, 142, 241},	// Nepomuk::Resource::allResources
    {23, 151, 208},	// Nepomuk::Resource::altLabelUri
    {23, 152, 205},	// Nepomuk::Resource::altLabels
    {23, 153, 239},	// Nepomuk::Resource::annotationOf
    {23, 154, 212},	// Nepomuk::Resource::annotationUri
    {23, 155, 209},	// Nepomuk::Resource::annotations
    {23, 164, 175},	// Nepomuk::Resource::className
    {23, 182, 198},	// Nepomuk::Resource::description
    {23, 183, 200},	// Nepomuk::Resource::descriptionUri
    {23, 201, 190},	// Nepomuk::Resource::exists
    {23, 228, 249},	// Nepomuk::Resource::fromResourceUri#
    {23, 229, 250},	// Nepomuk::Resource::fromResourceUri##
    {23, 230, 246},	// Nepomuk::Resource::fromResourceUri###
    {23, 235, 193},	// Nepomuk::Resource::genericDescription
    {23, 236, 194},	// Nepomuk::Resource::genericIcon
    {23, 237, 192},	// Nepomuk::Resource::genericLabel
    {23, 242, 178},	// Nepomuk::Resource::hasProperty#
    {23, 243, 179},	// Nepomuk::Resource::hasProperty##
    {23, 244, 180},	// Nepomuk::Resource::hasProperty$
    {23, 246, 174},	// Nepomuk::Resource::hasType#
    {23, 250, 204},	// Nepomuk::Resource::identifierUri
    {23, 251, 201},	// Nepomuk::Resource::identifiers
    {23, 252, 243},	// Nepomuk::Resource::increaseUsageCount
    {23, 268, 244},	// Nepomuk::Resource::isFile
    {23, 276, 240},	// Nepomuk::Resource::isRelatedOf
    {23, 277, 228},	// Nepomuk::Resource::isRelatedUri
    {23, 278, 225},	// Nepomuk::Resource::isRelateds
    {23, 289, 224},	// Nepomuk::Resource::isTopicOfUri
    {23, 290, 221},	// Nepomuk::Resource::isTopicOfs
    {23, 297, 191},	// Nepomuk::Resource::isValid
    {23, 300, 229},	// Nepomuk::Resource::label
    {23, 302, 231},	// Nepomuk::Resource::labelUri
    {23, 311, 166},	// Nepomuk::Resource::manager
    {23, 334, 197},	// Nepomuk::Resource::operator!=#
    {23, 336, -86},	// Nepomuk::Resource::operator=#
    {23, 339, 196},	// Nepomuk::Resource::operator==#
    {23, 347, 195},	// Nepomuk::Resource::pimoThing
    {23, 348, 177},	// Nepomuk::Resource::properties
    {23, 350, 181},	// Nepomuk::Resource::property#
    {23, 351, 182},	// Nepomuk::Resource::property$
    {23, 360, 232},	// Nepomuk::Resource::rating
    {23, 361, 234},	// Nepomuk::Resource::ratingUri
    {23, 365, 189},	// Nepomuk::Resource::remove
    {23, 367, 186},	// Nepomuk::Resource::removeProperty#
    {23, 368, 187},	// Nepomuk::Resource::removeProperty##
    {23, 369, 188},	// Nepomuk::Resource::removeProperty$
    {23, 378, 170},	// Nepomuk::Resource::resourceType
    {23, 380, 168},	// Nepomuk::Resource::resourceUri
    {23, 387, 206},	// Nepomuk::Resource::setAltLabels?
    {23, 389, 210},	// Nepomuk::Resource::setAnnotations?
    {23, 397, 199},	// Nepomuk::Resource::setDescription$
    {23, 401, 202},	// Nepomuk::Resource::setIdentifiers?
    {23, 403, 226},	// Nepomuk::Resource::setIsRelateds?
    {23, 405, 222},	// Nepomuk::Resource::setIsTopicOfs?
    {23, 407, 230},	// Nepomuk::Resource::setLabel$
    {23, 421, 183},	// Nepomuk::Resource::setProperty##
    {23, 422, 185},	// Nepomuk::Resource::setProperty$#
    {23, 424, 233},	// Nepomuk::Resource::setRating$
    {23, 432, 236},	// Nepomuk::Resource::setSymbols?
    {23, 438, 214},	// Nepomuk::Resource::setTags?
    {23, 440, 218},	// Nepomuk::Resource::setTopics?
    {23, 442, 172},	// Nepomuk::Resource::setTypes?
    {23, 451, 238},	// Nepomuk::Resource::symbolUri
    {23, 452, 235},	// Nepomuk::Resource::symbols
    {23, 458, 216},	// Nepomuk::Resource::tagUri
    {23, 462, 213},	// Nepomuk::Resource::tags
    {23, 472, 245},	// Nepomuk::Resource::toFile
    {23, 492, 220},	// Nepomuk::Resource::topicUri
    {23, 493, 217},	// Nepomuk::Resource::topics
    {23, 502, 169},	// Nepomuk::Resource::type
    {23, 504, 171},	// Nepomuk::Resource::types
    {23, 506, 167},	// Nepomuk::Resource::uri
    {23, 508, 242},	// Nepomuk::Resource::usageCount
    {23, 531, 251},	// Nepomuk::Resource::~Resource
    {25, 144, 267},	// Nepomuk::ResourceManager::allResourcesOfType#
    {25, 145, 268},	// Nepomuk::ResourceManager::allResourcesOfType$
    {25, 147, 269},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {25, 148, 270},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {25, 166, 271},	// Nepomuk::ResourceManager::clearCache
    {25, 173, 275},	// Nepomuk::ResourceManager::createManagerForModel#
    {25, 175, 265},	// Nepomuk::ResourceManager::createResourceFromUri$
    {25, 181, 260},	// Nepomuk::ResourceManager::deleteInstance
    {25, 196, 277},	// Nepomuk::ResourceManager::error$$
    {25, 233, 272},	// Nepomuk::ResourceManager::generateUniqueUri
    {25, 234, 273},	// Nepomuk::ResourceManager::generateUniqueUri$
    {25, 253, 261},	// Nepomuk::ResourceManager::init
    {25, 254, 262},	// Nepomuk::ResourceManager::initialized
    {25, 257, 259},	// Nepomuk::ResourceManager::instance
    {25, 310, 263},	// Nepomuk::ResourceManager::mainModel
    {25, 314, 252},	// Nepomuk::ResourceManager::metaObject
    {25, 326, 278},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {25, 327, 279},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {25, 329, 274},	// Nepomuk::ResourceManager::notifyError$$
    {25, 355, 258},	// Nepomuk::ResourceManager::qt_metacall$$?
    {25, 357, 253},	// Nepomuk::ResourceManager::qt_metacast$
    {25, 371, 266},	// Nepomuk::ResourceManager::removeResource$
    {25, 377, 276},	// Nepomuk::ResourceManager::resourceModified$
    {25, 419, 264},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {25, 447, 282},	// Nepomuk::ResourceManager::staticMetaObject
    {25, 495, 280},	// Nepomuk::ResourceManager::tr$
    {25, 496, 254},	// Nepomuk::ResourceManager::tr$$
    {25, 497, 256},	// Nepomuk::ResourceManager::tr$$$
    {25, 499, 281},	// Nepomuk::ResourceManager::trUtf8$
    {25, 500, 255},	// Nepomuk::ResourceManager::trUtf8$$
    {25, 501, 257},	// Nepomuk::ResourceManager::trUtf8$$$
    {26, 78, 295},	// Nepomuk::Service::Service
    {26, 79, 296},	// Nepomuk::Service::Service#
    {26, 80, 290},	// Nepomuk::Service::Service#$
    {26, 310, 291},	// Nepomuk::Service::mainModel
    {26, 314, 283},	// Nepomuk::Service::metaObject
    {26, 355, 289},	// Nepomuk::Service::qt_metacall$$?
    {26, 357, 284},	// Nepomuk::Service::qt_metacast$
    {26, 430, 292},	// Nepomuk::Service::setServiceInitialized$
    {26, 447, 297},	// Nepomuk::Service::staticMetaObject
    {26, 495, 293},	// Nepomuk::Service::tr$
    {26, 496, 285},	// Nepomuk::Service::tr$$
    {26, 497, 287},	// Nepomuk::Service::tr$$$
    {26, 499, 294},	// Nepomuk::Service::trUtf8$
    {26, 500, 286},	// Nepomuk::Service::trUtf8$$
    {26, 501, 288},	// Nepomuk::Service::trUtf8$$$
    {26, 532, 298},	// Nepomuk::Service::~Service
    {27, 82, 299},	// Nepomuk::Tag::Tag
    {27, 83, -168},	// Nepomuk::Tag::Tag#
    {27, 84, -173},	// Nepomuk::Tag::Tag##
    {27, 85, 314},	// Nepomuk::Tag::Tag###
    {27, 86, 303},	// Nepomuk::Tag::Tag$
    {27, 87, -176},	// Nepomuk::Tag::Tag$#
    {27, 88, 313},	// Nepomuk::Tag::Tag$##
    {27, 150, 309},	// Nepomuk::Tag::allTags
    {27, 336, 307},	// Nepomuk::Tag::operator=#
    {27, 379, 310},	// Nepomuk::Tag::resourceTypeUri
    {27, 457, 308},	// Nepomuk::Tag::tagOf
    {27, 533, 315},	// Nepomuk::Tag::~Tag
    {28, 89, 330},	// Nepomuk::TagCloud::TagCloud
    {28, 90, 323},	// Nepomuk::TagCloud::TagCloud#
    {28, 160, 324},	// Nepomuk::TagCloud::autoUpdate
    {28, 314, 316},	// Nepomuk::TagCloud::metaObject
    {28, 355, 322},	// Nepomuk::TagCloud::qt_metacall$$?
    {28, 357, 317},	// Nepomuk::TagCloud::qt_metacast$
    {28, 393, 326},	// Nepomuk::TagCloud::setAutoUpdate$
    {28, 447, 331},	// Nepomuk::TagCloud::staticMetaObject
    {28, 455, 327},	// Nepomuk::TagCloud::tagClicked#
    {28, 495, 328},	// Nepomuk::TagCloud::tr$
    {28, 496, 318},	// Nepomuk::TagCloud::tr$$
    {28, 497, 320},	// Nepomuk::TagCloud::tr$$$
    {28, 499, 329},	// Nepomuk::TagCloud::trUtf8$
    {28, 500, 319},	// Nepomuk::TagCloud::trUtf8$$
    {28, 501, 321},	// Nepomuk::TagCloud::trUtf8$$$
    {28, 505, 325},	// Nepomuk::TagCloud::updateTags
    {28, 534, 332},	// Nepomuk::TagCloud::~TagCloud
    {29, 6, 365},	// Nepomuk::TagWidget::DisableTagClicking
    {29, 45, 362},	// Nepomuk::TagWidget::MiniMode
    {29, 69, 364},	// Nepomuk::TagWidget::ReadOnly
    {29, 81, 363},	// Nepomuk::TagWidget::StandardMode
    {29, 91, 360},	// Nepomuk::TagWidget::TagWidget
    {29, 92, -1},	// Nepomuk::TagWidget::TagWidget#
    {29, 93, 340},	// Nepomuk::TagWidget::TagWidget##
    {29, 137, 346},	// Nepomuk::TagWidget::alignment
    {29, 159, 343},	// Nepomuk::TagWidget::assignedTags
    {29, 313, 345},	// Nepomuk::TagWidget::maxTagsShown
    {29, 314, 333},	// Nepomuk::TagWidget::metaObject
    {29, 318, 347},	// Nepomuk::TagWidget::modeFlags
    {29, 355, 339},	// Nepomuk::TagWidget::qt_metacall$$?
    {29, 357, 334},	// Nepomuk::TagWidget::qt_metacast$
    {29, 381, 344},	// Nepomuk::TagWidget::selectedTags
    {29, 383, 349},	// Nepomuk::TagWidget::selectionChanged?
    {29, 385, 355},	// Nepomuk::TagWidget::setAlignment$
    {29, 391, 352},	// Nepomuk::TagWidget::setAssignedTags?
    {29, 411, 354},	// Nepomuk::TagWidget::setMaxTagsShown$
    {29, 415, 356},	// Nepomuk::TagWidget::setModeFlags$
    {29, 426, 353},	// Nepomuk::TagWidget::setSelectedTags?
    {29, 434, 350},	// Nepomuk::TagWidget::setTaggedResource#
    {29, 436, 351},	// Nepomuk::TagWidget::setTaggedResources?
    {29, 447, 361},	// Nepomuk::TagWidget::staticMetaObject
    {29, 455, 348},	// Nepomuk::TagWidget::tagClicked#
    {29, 461, 342},	// Nepomuk::TagWidget::taggedResources
    {29, 495, 357},	// Nepomuk::TagWidget::tr$
    {29, 496, 335},	// Nepomuk::TagWidget::tr$$
    {29, 497, 337},	// Nepomuk::TagWidget::tr$$$
    {29, 499, 358},	// Nepomuk::TagWidget::trUtf8$
    {29, 500, 336},	// Nepomuk::TagWidget::trUtf8$$
    {29, 501, 338},	// Nepomuk::TagWidget::trUtf8$$$
    {29, 535, 366},	// Nepomuk::TagWidget::~TagWidget
    {30, 94, 381},	// Nepomuk::Thing::Thing
    {30, 95, -206},	// Nepomuk::Thing::Thing#
    {30, 96, 367},	// Nepomuk::Thing::Thing##
    {30, 97, 368},	// Nepomuk::Thing::Thing###
    {30, 98, 383},	// Nepomuk::Thing::Thing$
    {30, 99, 369},	// Nepomuk::Thing::Thing$#
    {30, 100, 370},	// Nepomuk::Thing::Thing$##
    {30, 116, 380},	// Nepomuk::Thing::addGroundingOccurrence#
    {30, 240, 377},	// Nepomuk::Thing::groundingOccurrences
    {30, 331, 379},	// Nepomuk::Thing::occurrences
    {30, 336, -211},	// Nepomuk::Thing::operator=#
    {30, 364, 378},	// Nepomuk::Thing::referencingOccurrences
    {30, 536, 384},	// Nepomuk::Thing::~Thing
    {31, 353, 385},	// Nepomuk::Types::qHash#
    {32, 1, 386},	// Nepomuk::Types::Class::Class
    {32, 2, -93},	// Nepomuk::Types::Class::Class#
    {32, 140, -96},	// Nepomuk::Types::Class::allParentClasses
    {32, 149, -99},	// Nepomuk::Types::Class::allSubClasses
    {32, 188, -102},	// Nepomuk::Types::Class::domainOf
    {32, 213, -105},	// Nepomuk::Types::Class::findPropertyByLabel$
    {32, 214, -108},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {32, 216, -111},	// Nepomuk::Types::Class::findPropertyByName$
    {32, 275, -114},	// Nepomuk::Types::Class::isParentOf#
    {32, 284, -117},	// Nepomuk::Types::Class::isSubClassOf#
    {32, 336, 389},	// Nepomuk::Types::Class::operator=#
    {32, 344, -120},	// Nepomuk::Types::Class::parentClasses
    {32, 359, -123},	// Nepomuk::Types::Class::rangeOf
    {32, 449, -126},	// Nepomuk::Types::Class::subClasses
    {32, 518, 412},	// Nepomuk::Types::Class::~Class
    {33, 9, 433},	// Nepomuk::Types::Entity::Entity
    {33, 10, 413},	// Nepomuk::Types::Entity::Entity#
    {33, 168, -182},	// Nepomuk::Types::Entity::comment
    {33, 169, -185},	// Nepomuk::Types::Entity::comment$
    {33, 249, -188},	// Nepomuk::Types::Entity::icon
    {33, 259, -191},	// Nepomuk::Types::Entity::isAvailable
    {33, 297, 423},	// Nepomuk::Types::Entity::isValid
    {33, 300, -194},	// Nepomuk::Types::Entity::label
    {33, 301, -197},	// Nepomuk::Types::Entity::label$
    {33, 324, 415},	// Nepomuk::Types::Entity::name
    {33, 332, 428},	// Nepomuk::Types::Entity::operator QUrl
    {33, 334, -200},	// Nepomuk::Types::Entity::operator!=#
    {33, 336, 414},	// Nepomuk::Types::Entity::operator=#
    {33, 339, -203},	// Nepomuk::Types::Entity::operator==#
    {33, 372, 438},	// Nepomuk::Types::Entity::reset
    {33, 373, 426},	// Nepomuk::Types::Entity::reset$
    {33, 506, 416},	// Nepomuk::Types::Entity::uri
    {33, 509, 427},	// Nepomuk::Types::Entity::userVisible
    {33, 520, 439},	// Nepomuk::Types::Entity::~Entity
    {34, 43, 440},	// Nepomuk::Types::Literal::Literal
    {34, 44, -129},	// Nepomuk::Types::Literal::Literal#
    {34, 177, 445},	// Nepomuk::Types::Literal::dataType
    {34, 178, 444},	// Nepomuk::Types::Literal::dataTypeUri
    {34, 297, 446},	// Nepomuk::Types::Literal::isValid
    {34, 336, 443},	// Nepomuk::Types::Literal::operator=#
    {34, 525, 447},	// Nepomuk::Types::Literal::~Literal
    {35, 49, 448},	// Nepomuk::Types::Ontology::Ontology
    {35, 50, -179},	// Nepomuk::Types::Ontology::Ontology#
    {35, 138, 452},	// Nepomuk::Types::Ontology::allClasses
    {35, 141, 455},	// Nepomuk::Types::Ontology::allProperties
    {35, 206, 458},	// Nepomuk::Types::Ontology::findClassByLabel$
    {35, 207, 454},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {35, 209, 453},	// Nepomuk::Types::Ontology::findClassByName$
    {35, 213, 459},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {35, 214, 457},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {35, 216, 456},	// Nepomuk::Types::Ontology::findPropertyByName$
    {35, 336, 451},	// Nepomuk::Types::Ontology::operator=#
    {35, 527, 460},	// Nepomuk::Types::Ontology::~Ontology
    {36, 55, 461},	// Nepomuk::Types::Property::Property
    {36, 56, -132},	// Nepomuk::Types::Property::Property#
    {36, 161, -135},	// Nepomuk::Types::Property::cardinality
    {36, 187, -138},	// Nepomuk::Types::Property::domain
    {36, 258, -141},	// Nepomuk::Types::Property::inverseProperty
    {36, 275, -144},	// Nepomuk::Types::Property::isParentOf#
    {36, 286, -147},	// Nepomuk::Types::Property::isSubPropertyOf#
    {36, 305, -150},	// Nepomuk::Types::Property::literalRangeType
    {36, 312, -153},	// Nepomuk::Types::Property::maxCardinality
    {36, 316, -156},	// Nepomuk::Types::Property::minCardinality
    {36, 336, 464},	// Nepomuk::Types::Property::operator=#
    {36, 346, -159},	// Nepomuk::Types::Property::parentProperties
    {36, 358, -162},	// Nepomuk::Types::Property::range
    {36, 450, -165},	// Nepomuk::Types::Property::subProperties
    {36, 530, 487},	// Nepomuk::Types::Property::~Property
    {37, 102, 488},	// Nepomuk::Variant::Variant
    {37, 103, -4},	// Nepomuk::Variant::Variant#
    {37, 104, -12},	// Nepomuk::Variant::Variant$
    {37, 105, -21},	// Nepomuk::Variant::Variant?
    {37, 157, -35},	// Nepomuk::Variant::append#
    {37, 158, -42},	// Nepomuk::Variant::append$
    {37, 224, 614},	// Nepomuk::Variant::fromNode#
    {37, 226, 615},	// Nepomuk::Variant::fromNodeList?
    {37, 232, 613},	// Nepomuk::Variant::fromString$$
    {37, 260, 565},	// Nepomuk::Variant::isBool
    {37, 261, 577},	// Nepomuk::Variant::isBoolList
    {37, 262, 568},	// Nepomuk::Variant::isDate
    {37, 263, 580},	// Nepomuk::Variant::isDateList
    {37, 264, 570},	// Nepomuk::Variant::isDateTime
    {37, 265, 582},	// Nepomuk::Variant::isDateTimeList
    {37, 266, 566},	// Nepomuk::Variant::isDouble
    {37, 267, 578},	// Nepomuk::Variant::isDoubleList
    {37, 269, 561},	// Nepomuk::Variant::isInt
    {37, 270, 562},	// Nepomuk::Variant::isInt64
    {37, 271, 574},	// Nepomuk::Variant::isInt64List
    {37, 272, 573},	// Nepomuk::Variant::isIntList
    {37, 273, 560},	// Nepomuk::Variant::isList
    {37, 279, 572},	// Nepomuk::Variant::isResource
    {37, 280, 584},	// Nepomuk::Variant::isResourceList
    {37, 281, 567},	// Nepomuk::Variant::isString
    {37, 282, 579},	// Nepomuk::Variant::isStringList
    {37, 287, 569},	// Nepomuk::Variant::isTime
    {37, 288, 581},	// Nepomuk::Variant::isTimeList
    {37, 291, 563},	// Nepomuk::Variant::isUnsignedInt
    {37, 292, 564},	// Nepomuk::Variant::isUnsignedInt64
    {37, 293, 576},	// Nepomuk::Variant::isUnsignedInt64List
    {37, 294, 575},	// Nepomuk::Variant::isUnsignedIntList
    {37, 295, 571},	// Nepomuk::Variant::isUrl
    {37, 296, 583},	// Nepomuk::Variant::isUrlList
    {37, 297, 557},	// Nepomuk::Variant::isValid
    {37, 334, 556},	// Nepomuk::Variant::operator!=#
    {37, 336, -50},	// Nepomuk::Variant::operator=#
    {37, 337, -57},	// Nepomuk::Variant::operator=$
    {37, 339, 555},	// Nepomuk::Variant::operator==#
    {37, 340, -65},	// Nepomuk::Variant::operator=?
    {37, 445, 559},	// Nepomuk::Variant::simpleType
    {37, 464, 590},	// Nepomuk::Variant::toBool
    {37, 465, 602},	// Nepomuk::Variant::toBoolList
    {37, 466, 593},	// Nepomuk::Variant::toDate
    {37, 467, 605},	// Nepomuk::Variant::toDateList
    {37, 468, 595},	// Nepomuk::Variant::toDateTime
    {37, 469, 607},	// Nepomuk::Variant::toDateTimeList
    {37, 470, 591},	// Nepomuk::Variant::toDouble
    {37, 471, 603},	// Nepomuk::Variant::toDoubleList
    {37, 473, 586},	// Nepomuk::Variant::toInt
    {37, 474, 587},	// Nepomuk::Variant::toInt64
    {37, 475, 599},	// Nepomuk::Variant::toInt64List
    {37, 476, 598},	// Nepomuk::Variant::toIntList
    {37, 477, 611},	// Nepomuk::Variant::toNode
    {37, 478, 612},	// Nepomuk::Variant::toNodeList
    {37, 479, 597},	// Nepomuk::Variant::toResource
    {37, 480, 609},	// Nepomuk::Variant::toResourceList
    {37, 481, 592},	// Nepomuk::Variant::toString
    {37, 482, 604},	// Nepomuk::Variant::toStringList
    {37, 483, 594},	// Nepomuk::Variant::toTime
    {37, 484, 606},	// Nepomuk::Variant::toTimeList
    {37, 485, 588},	// Nepomuk::Variant::toUnsignedInt
    {37, 486, 589},	// Nepomuk::Variant::toUnsignedInt64
    {37, 487, 601},	// Nepomuk::Variant::toUnsignedInt64List
    {37, 488, 600},	// Nepomuk::Variant::toUnsignedIntList
    {37, 489, 596},	// Nepomuk::Variant::toUrl
    {37, 490, 608},	// Nepomuk::Variant::toUrlList
    {37, 491, 610},	// Nepomuk::Variant::toVariantList
    {37, 502, 558},	// Nepomuk::Variant::type
    {37, 514, 585},	// Nepomuk::Variant::variant
    {37, 537, 616},	// Nepomuk::Variant::~Variant
    {52, 24, 629},	// QGlobalSpace::LicensedActiveQt
    {52, 25, 635},	// QGlobalSpace::LicensedCore
    {52, 26, 627},	// QGlobalSpace::LicensedDBus
    {52, 27, 632},	// QGlobalSpace::LicensedDeclarative
    {52, 28, 622},	// QGlobalSpace::LicensedGui
    {52, 29, 641},	// QGlobalSpace::LicensedHelp
    {52, 30, 642},	// QGlobalSpace::LicensedMultimedia
    {52, 31, 645},	// QGlobalSpace::LicensedNetwork
    {52, 32, 634},	// QGlobalSpace::LicensedOpenGL
    {52, 33, 626},	// QGlobalSpace::LicensedOpenVG
    {52, 34, 643},	// QGlobalSpace::LicensedQt3Support
    {52, 35, 624},	// QGlobalSpace::LicensedQt3SupportLight
    {52, 36, 625},	// QGlobalSpace::LicensedScript
    {52, 37, 630},	// QGlobalSpace::LicensedScriptTools
    {52, 38, 633},	// QGlobalSpace::LicensedSql
    {52, 39, 631},	// QGlobalSpace::LicensedSvg
    {52, 40, 628},	// QGlobalSpace::LicensedTest
    {52, 41, 623},	// QGlobalSpace::LicensedXml
    {52, 42, 644},	// QGlobalSpace::LicensedXmlPatterns
    {52, 57, 617},	// QGlobalSpace::Q_COMPLEX_TYPE
    {52, 58, 621},	// QGlobalSpace::Q_DUMMY_TYPE
    {52, 59, 620},	// QGlobalSpace::Q_MOVABLE_TYPE
    {52, 60, 618},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {52, 61, 619},	// QGlobalSpace::Q_STATIC_TYPE
    {52, 62, 638},	// QGlobalSpace::QtCriticalMsg
    {52, 63, 636},	// QGlobalSpace::QtDebugMsg
    {52, 64, 639},	// QGlobalSpace::QtFatalMsg
    {52, 65, 640},	// QGlobalSpace::QtSystemMsg
    {52, 66, 637},	// QGlobalSpace::QtWarningMsg
    {52, 106, 648},	// QGlobalSpace::__codecvt_error
    {52, 107, 649},	// QGlobalSpace::__codecvt_noconv
    {52, 108, 646},	// QGlobalSpace::__codecvt_ok
    {52, 109, 647},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtgui_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 80,
        __smokenepomuk::methods, 700,
        __smokenepomuk::methodMaps, 540,
        __smokenepomuk::methodNames, 537,
        __smokenepomuk::types, 301,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
