#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigDialog
      switch(to) {
        case 4: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Action
      switch(to) {
        case 10: return (void*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 42: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::ActionPrivate
      switch(to) {
        case 11: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Style
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::Annotation::Window
      switch(to) {
        case 14: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationPrivate
      switch(to) {
        case 16: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::AnnotationUtils
      switch(to) {
        case 17: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BookmarkManager
      switch(to) {
        case 18: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::BrowseAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::CaretAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::ConfigInterface
      switch(to) {
        case 21: return (void*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::Document
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Document*)xptr;
        case 22: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentInfo
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentObserver
      switch(to) {
        case 25: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentSynopsis
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::DocumentViewport
      switch(to) {
        case 27: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::EmbeddedFile
      switch(to) {
        case 28: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExecuteAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::ExportFormat
      switch(to) {
        case 30: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FilePrinter
      switch(to) {
        case 32: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FontInfo
      switch(to) {
        case 33: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormField
      switch(to) {
        case 34: return (void*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldButton
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldChoice
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldPrivate
      switch(to) {
        case 37: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::FormFieldText
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::Generator
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 39: return (void*)(Okular::Generator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeneratorPrivate
      switch(to) {
        case 40: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GeomAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GotoAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 42: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::GuiInterface
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::NormalizedPoint
      switch(to) {
        case 47: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedRect
      switch(to) {
        case 48: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::ObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::Page
      switch(to) {
        case 50: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::PageSize
      switch(to) {
        case 51: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageTransition
      switch(to) {
        case 52: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PixmapRequest
      switch(to) {
        case 53: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PrintInterface
      switch(to) {
        case 54: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::RegularAreaRect
      switch(to) {
        case 55: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::ScriptAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::Sound
      switch(to) {
        case 57: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::SoundAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 58: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::SoundAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SourceRefObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SourceReference
      switch(to) {
        case 61: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::StampAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::TextAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::TextDocumentConverter
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextDocumentGenerator
      switch(to) {
        case 39: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 88: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextEntity
      switch(to) {
        case 66: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextPage
      switch(to) {
        case 67: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextSelection
      switch(to) {
        case 68: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::Utils
      switch(to) {
        case 69: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::View
      switch(to) {
        case 70: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::VisiblePageRect
      switch(to) {
        case 71: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 72:   //QAction
      switch(to) {
        case 72: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 73:   //QBool
      switch(to) {
        case 73: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 74:   //QByteArray
      switch(to) {
        case 74: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 75:   //QChildEvent
      switch(to) {
        case 75: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QColor
      switch(to) {
        case 76: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 77:   //QDateTime
      switch(to) {
        case 77: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 78:   //QDomDocument
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 78: return (void*)(QDomDocument*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 79:   //QDomElement
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 79: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 80:   //QDomNode
      switch(to) {
        case 80: return (void*)(QDomNode*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 81:   //QEvent
      switch(to) {
        case 81: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QFont
      switch(to) {
        case 82: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 84:   //QImage
      switch(to) {
        case 84: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 85:   //QMatrix
      switch(to) {
        case 85: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 86:   //QMetaObject
      switch(to) {
        case 86: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 87:   //QMutex
      switch(to) {
        case 87: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 88:   //QObject
      switch(to) {
        case 88: return (void*)(QObject*)xptr;
        case 39: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 22: return (void*)(Okular::Document*)(QObject*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 89:   //QPainterPath
      switch(to) {
        case 89: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 90:   //QPixmap
      switch(to) {
        case 90: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 91:   //QPolygonF
      switch(to) {
        case 91: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 92:   //QPrinter
      switch(to) {
        case 92: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 93:   //QRect
      switch(to) {
        case 93: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 94:   //QRectF
      switch(to) {
        case 94: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 95:   //QRegExp
      switch(to) {
        case 95: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 96:   //QSize
      switch(to) {
        case 96: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 97:   //QSizeF
      switch(to) {
        case 97: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 98:   //QTextBlock
      switch(to) {
        case 98: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 99:   //QTextDocument
      switch(to) {
        case 99: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QVariant
      switch(to) {
        case 101: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 102:   //QWidget
      switch(to) {
        case 102: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: Okular::ObjectRect
    10, 0,	// 3: Okular::Action
    12, 0,	// 5: Okular::Annotation
    88, 0,	// 7: QObject
    78, 0,	// 9: QDomDocument
    34, 0,	// 11: Okular::FormField
    9, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    39, 0,	// 17: Okular::Generator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//10
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//12
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//14
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//15
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//16
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//17
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//18
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//19
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//20
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//21
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//22
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//23
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//24
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//25
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//26
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//27
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//28
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//29
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//30
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//31
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//32
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//33
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//34
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//35
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//36
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//37
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//38
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//39
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//40
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//41
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//42
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//43
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//47
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//48
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//49
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//50
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//51
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//52
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, 0, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//53
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//54
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//55
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//56
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//57
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//58
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//59
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//60
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//61
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//62
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//63
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//64
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//65
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//66
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//67
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//69
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//70
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//71
    { "QAction", true, 0, 0, 0, 0, 0 },	//72
    { "QBool", true, 0, 0, 0, 0, 0 },	//73
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//74
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QColor", true, 0, 0, 0, 0, 0 },	//76
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//77
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//78
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//79
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//80
    { "QEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QFont", true, 0, 0, 0, 0, 0 },	//82
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//83
    { "QImage", true, 0, 0, 0, 0, 0 },	//84
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//85
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//86
    { "QMutex", true, 0, 0, 0, 0, 0 },	//87
    { "QObject", true, 0, 0, 0, 0, 0 },	//88
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//89
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//90
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//91
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//92
    { "QRect", true, 0, 0, 0, 0, 0 },	//93
    { "QRectF", true, 0, 0, 0, 0, 0 },	//94
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//95
    { "QSize", true, 0, 0, 0, 0, 0 },	//96
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//97
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//98
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QVariant", true, 0, 0, 0, 0, 0 },	//101
    { "QWidget", true, 0, 0, 0, 0, 0 },	//102
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfigDialog*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSycocaFactoryId", 83, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KSycocaType", 83, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "KXMLGUIClient*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Action::ActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Okular::ActionPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//18
    { "Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Okular::Annotation::Flag", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::LineEffect", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Okular::Annotation::LineStyle", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionScope", 12, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::RevisionType", 12, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "Okular::Annotation::SubType", 12, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "Okular::AnnotationObjectRect*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Okular::AnnotationPrivate&", 16, Smoke::t_class|Smoke::tf_ref },	//30
    { "Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::AnnotationUtils*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BookmarkManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::BrowseAction*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation*", 20, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Okular::CaretAnnotation::CaretSymbol", 20, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Okular::ConfigInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Okular::Document::PixmapRequestFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PrintingType", 22, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SearchStatus", 22, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchType", 22, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::DocumentAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Okular::DocumentAction::DocumentActionType", 23, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Okular::DocumentInfo::Key", 24, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Okular::DocumentObserver*", 25, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentViewport", 27, Smoke::t_class|Smoke::tf_stack },	//49
    { "Okular::DocumentViewport*", 27, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Okular::DocumentViewport::Position", 27, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Okular::EmbeddedFile*", 28, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Okular::ExecuteAction*", 29, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExportFormat", 30, Smoke::t_class|Smoke::tf_stack },	//54
    { "Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//55
    { "Okular::ExportFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Okular::ExportFormat::StandardExportFormat", 30, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Okular::FileAttachmentAnnotation*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Okular::FilePrinter*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter::FileDeletePolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Okular::FilePrinter::PageSelectPolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref },	//62
    { "Okular::FontInfo*", 33, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Okular::FontInfo::EmbedType", 33, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Okular::FontInfo::FontType", 33, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Okular::FormField*", 34, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Okular::FormField::FieldType", 34, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Okular::FormFieldButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Okular::FormFieldButton::ButtonType", 35, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Okular::FormFieldChoice*", 36, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Okular::FormFieldChoice::ChoiceType", 36, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormFieldPrivate&", 37, Smoke::t_class|Smoke::tf_ref },	//72
    { "Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Okular::FormFieldText*", 38, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldText::TextType", 38, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Okular::Generator*", 39, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Okular::Generator::GeneratorFeature", 39, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Okular::Generator::PageSizeMetric", 39, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Okular::Generator::PrintError", 39, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::GeneratorPrivate&", 40, Smoke::t_class|Smoke::tf_ref },	//81
    { "Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Okular::GeomAnnotation*", 41, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Okular::GeomAnnotation::GeomType", 41, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Okular::GotoAction*", 42, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Okular::GuiInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Okular::HighlightAnnotation*", 44, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::HighlightAnnotation::HighlightType", 44, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Okular::NormalizedPoint", 47, Smoke::t_class|Smoke::tf_stack },	//94
    { "Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref },	//95
    { "Okular::NormalizedPoint*", 47, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Okular::NormalizedRect", 48, Smoke::t_class|Smoke::tf_stack },	//97
    { "Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref },	//98
    { "Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Okular::ObjectRect::ObjectType", 49, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::Page::PageAction", 50, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref },	//104
    { "Okular::PageSize*", 51, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref },	//106
    { "Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Okular::PageTransition::Alignment", 52, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Okular::PageTransition::Direction", 52, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Okular::PageTransition::Type", 52, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Okular::PixmapRequest*", 53, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Okular::PrintInterface*", 54, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref },	//114
    { "Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::ScriptAction*", 56, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::Sound*", 57, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::Sound::SoundEncoding", 57, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::Sound::SoundType", 57, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Okular::SoundAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Okular::SoundAnnotation*", 59, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::SourceRefObjectRect*", 60, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Okular::StampAnnotation*", 62, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::TextAnnotation*", 63, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::TextAnnotation::InplaceIntent", 63, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Okular::TextAnnotation::TextType", 63, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Okular::TextDocumentConverter*", 64, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::TextDocumentGenerator*", 65, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::TextEntity*", 66, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::TextPage*", 67, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::TextPage::TextAreaInclusionBehaviour", 67, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Okular::TextSelection*", 68, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::Utils*", 69, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::View*", 70, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::VisiblePageRect*", 71, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QAction*", 72, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QBool", 73, Smoke::t_class|Smoke::tf_stack },	//141
    { "QByteArray", 74, Smoke::t_class|Smoke::tf_stack },	//142
    { "QByteArray*", 74, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QChildEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QColor", 76, Smoke::t_class|Smoke::tf_stack },	//145
    { "QDateTime", 77, Smoke::t_class|Smoke::tf_stack },	//146
    { "QDomDocument", 78, Smoke::t_class|Smoke::tf_stack },	//147
    { "QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref },	//148
    { "QDomElement", 79, Smoke::t_class|Smoke::tf_stack },	//149
    { "QDomElement&", 79, Smoke::t_class|Smoke::tf_ref },	//150
    { "QDomNode&", 80, Smoke::t_class|Smoke::tf_ref },	//151
    { "QEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "QFont", 82, Smoke::t_class|Smoke::tf_stack },	//155
    { "QImage", 84, Smoke::t_class|Smoke::tf_stack },	//156
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//158
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//163
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//165
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "QMetaObject::Call", 86, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMutex*", 87, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QObject*", 88, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref },	//170
    { "QPixmap*", 90, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QPrinter&", 92, Smoke::t_class|Smoke::tf_ref },	//172
    { "QRect", 93, Smoke::t_class|Smoke::tf_stack },	//173
    { "QRegExp&", 95, Smoke::t_class|Smoke::tf_ref },	//174
    { "QSize", 96, Smoke::t_class|Smoke::tf_stack },	//175
    { "QSizeF", 97, Smoke::t_class|Smoke::tf_stack },	//176
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//180
    { "QTextDocument*", 99, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QVariant", 101, Smoke::t_class|Smoke::tf_stack },	//183
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//184
    { "QWidget*", 102, Smoke::t_class|Smoke::tf_ptr },	//185
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtMsgType", 83, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QtValidLicenseForActiveQtModule", 83, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QtValidLicenseForCoreModule", 83, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QtValidLicenseForDBusModule", 83, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QtValidLicenseForDeclarativeModule", 83, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QtValidLicenseForGuiModule", 83, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QtValidLicenseForHelpModule", 83, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QtValidLicenseForMultimediaModule", 83, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QtValidLicenseForNetworkModule", 83, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtValidLicenseForOpenGLModule", 83, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForOpenVGModule", 83, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtValidLicenseForQt3SupportLightModule", 83, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForQt3SupportModule", 83, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForScriptModule", 83, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QtValidLicenseForScriptToolsModule", 83, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QtValidLicenseForSqlModule", 83, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QtValidLicenseForSvgModule", 83, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QtValidLicenseForTestModule", 83, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QtValidLicenseForXmlModule", 83, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QtValidLicenseForXmlPatternsModule", 83, Smoke::t_enum|Smoke::tf_stack },	//276
    { "__codecvt_result", 83, Smoke::t_enum|Smoke::tf_stack },	//277
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//278
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const KComponentData*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const KIcon&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//285
    { "const Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//286
    { "const Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const Okular::AnnotationObjectRect&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const Okular::AnnotationUtils&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const Okular::ConfigInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//293
    { "const Okular::DocumentInfo&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const Okular::DocumentSynopsis&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::DocumentViewport&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::EmbeddedFile&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::FilePrinter&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const Okular::GuiInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const Okular::ObjectRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//310
    { "const Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const Okular::PrintInterface&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const Okular::SourceRefObjectRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "const Okular::Utils&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const Okular::VisiblePageRect&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QByteArray&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QDateTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QDomElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QDomNode&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QFont&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QImage*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//337
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QMatrix&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QMetaObject&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QMetaObject*", 86, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//344
    { "const QObject*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//345
    { "const QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QPolygonF&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QRect&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QRectF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QRegExp&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//351
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//353
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//355
    { "const QTextBlock&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QVariant&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//359
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//360
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//361
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//362
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//363
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//364
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//365
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//366
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//367
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//368
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//369
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    326, 0,	//1  const QDomElement&
    279, 0,	//3  const KComponentData&
    352, 278, 278, 0,	//5  const QString&, bool, bool
    352, 0,	//9  const QString&
    352, 278, 0,	//11  const QString&, bool
    325, 278, 0,	//14  const QDomDocument&, bool
    352, 15, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    363, 367, 0,	//20  int, void*
    18, 0,	//23  Okular::ActionPrivate&
    324, 0,	//25  const QDateTime&
    363, 0,	//27  int
    307, 0,	//29  const Okular::NormalizedRect&
    306, 0,	//31  const Okular::NormalizedPoint&
    357, 0,	//33  const QVariant&
    366, 0,	//35  void(*)(const Okular::Annotation*)
    151, 148, 0,	//37  QDomNode&, QDomDocument&
    30, 0,	//40  Okular::AnnotationPrivate&
    30, 327, 0,	//42  Okular::AnnotationPrivate&, const QDomNode&
    20, 0,	//45  Okular::Annotation*
    361, 361, 0,	//47  double, double
    361, 361, 361, 361, 0,	//50  double, double, double, double
    342, 0,	//55  const QMatrix&
    289, 0,	//57  const Okular::AnnotationObjectRect&
    286, 150, 148, 0,	//59  const Okular::Annotation*, QDomElement&, QDomDocument&
    327, 352, 0,	//63  const QDomNode&, const QString&
    286, 361, 361, 0,	//66  const Okular::Annotation*, double, double
    291, 0,	//70  const Okular::AnnotationUtils&
    327, 0,	//72  const QDomNode&
    36, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    4, 0,	//76  KConfigDialog*
    292, 0,	//78  const Okular::ConfigInterface&
    359, 0,	//80  const char*
    359, 359, 0,	//82  const char*, const char*
    359, 359, 363, 0,	//85  const char*, const char*, int
    167, 363, 368, 0,	//89  QMetaObject::Call, int, void**
    185, 0,	//93  QWidget*
    352, 283, 282, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    47, 0,	//99  Okular::DocumentObserver*
    358, 363, 0,	//101  const QVector<Okular::VisiblePageRect*>&, int
    111, 0,	//104  Okular::Permission
    352, 300, 0,	//106  const QString&, const Okular::ExportFormat&
    352, 357, 0,	//109  const QString&, const QVariant&
    363, 363, 278, 0,	//112  int, int, bool
    298, 363, 278, 0,	//116  const Okular::DocumentViewport&, int, bool
    298, 0,	//120  const Okular::DocumentViewport&
    363, 363, 0,	//122  int, int
    334, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    334, 153, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    365, 0,	//130  unsigned int
    363, 20, 0,	//132  int, Okular::Annotation*
    363, 336, 0,	//135  int, const QList<Okular::Annotation*>&
    363, 115, 323, 0,	//138  int, Okular::RegularAreaRect*, const QColor&
    363, 352, 278, 195, 42, 278, 323, 278, 0,	//142  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    363, 42, 0,	//151  int, Okular::Document::SearchType
    284, 0,	//154  const Okular::Action*
    319, 0,	//156  const Okular::SourceReference*
    172, 0,	//158  QPrinter&
    352, 178, 0,	//160  const QString&, QString*
    138, 0,	//163  Okular::View*
    302, 0,	//165  const Okular::FontInfo&
    352, 283, 0,	//167  const QString&, const KUrl&
    363, 361, 361, 0,	//170  int, double, double
    312, 0,	//174  const Okular::PageSize&
    283, 0,	//176  const KUrl&
    352, 363, 0,	//178  const QString&, int
    363, 41, 0,	//181  int, Okular::Document::SearchStatus
    358, 0,	//184  const QVector<Okular::VisiblePageRect*>&
    298, 363, 0,	//186  const Okular::DocumentViewport&, int
    363, 352, 278, 195, 42, 278, 323, 0,	//189  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    44, 0,	//197  Okular::DocumentAction::DocumentActionType
    352, 352, 352, 0,	//199  const QString&, const QString&, const QString&
    46, 352, 0,	//203  Okular::DocumentInfo::Key, const QString&
    46, 0,	//206  Okular::DocumentInfo::Key
    294, 0,	//208  const Okular::DocumentInfo&
    352, 352, 0,	//210  const QString&, const QString&
    325, 0,	//213  const QDomDocument&
    296, 0,	//215  const Okular::DocumentSynopsis&
    299, 0,	//217  const Okular::EmbeddedFile&
    352, 282, 0,	//219  const QString&, const KSharedPtr<KMimeType>&
    281, 352, 282, 0,	//222  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    300, 0,	//226  const Okular::ExportFormat&
    57, 0,	//228  Okular::ExportFormat::StandardExportFormat
    52, 0,	//230  Okular::EmbeddedFile*
    172, 351, 60, 61, 352, 0,	//232  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    172, 354, 60, 0,	//238  QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy
    172, 363, 363, 341, 0,	//242  QPrinter&, int, int, const QList<int>&
    172, 363, 341, 0,	//247  QPrinter&, int, const QList<int>&
    341, 0,	//251  const QList<int>&
    172, 353, 60, 61, 352, 0,	//253  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    172, 60, 61, 278, 352, 352, 0,	//259  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&
    172, 352, 0,	//266  QPrinter&, const QString&
    172, 60, 352, 0,	//269  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    172, 61, 352, 278, 352, 0,	//273  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    301, 0,	//279  const Okular::FilePrinter&
    172, 351, 0,	//281  QPrinter&, const QString
    172, 351, 60, 0,	//284  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy
    172, 351, 60, 61, 0,	//288  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    172, 354, 0,	//293  QPrinter&, const QStringList&
    65, 0,	//296  Okular::FontInfo::FontType
    64, 0,	//298  Okular::FontInfo::EmbedType
    278, 0,	//300  bool
    72, 0,	//302  Okular::FormFieldPrivate&
    16, 0,	//304  Okular::Action*
    169, 340, 0,	//306  QObject*, const QList<QVariant>&
    352, 184, 0,	//309  const QString&, QVector<Okular::Page*>&
    322, 184, 0,	//312  const QByteArray&, QVector<Okular::Page*>&
    112, 0,	//315  Okular::PixmapRequest*
    102, 0,	//317  Okular::Page*
    116, 116, 0,	//319  Okular::Rotation, Okular::Rotation
    312, 312, 0,	//322  const Okular::PageSize&, const Okular::PageSize&
    78, 0,	//325  Okular::Generator::GeneratorFeature
    102, 134, 0,	//327  Okular::Page*, Okular::TextPage*
    78, 278, 0,	//330  Okular::Generator::GeneratorFeature, bool
    363, 307, 0,	//333  int, const Okular::NormalizedRect&
    302, 143, 0,	//336  const Okular::FontInfo&, QByteArray*
    81, 169, 340, 0,	//339  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    84, 0,	//343  Okular::GeomAnnotation::GeomType
    323, 0,	//345  const QColor&
    352, 298, 0,	//347  const QString&, const Okular::DocumentViewport&
    305, 0,	//350  const Okular::GuiInterface&
    88, 0,	//352  Okular::HighlightAnnotation::HighlightType
    339, 0,	//354  const QList<QLinkedList<Okular::NormalizedPoint> >&
    332, 0,	//356  const QLinkedList<Okular::NormalizedPoint>&
    92, 0,	//358  Okular::LineAnnotation::TermStyle
    361, 0,	//360  double
    91, 0,	//362  Okular::LineAnnotation::LineIntent
    363, 363, 363, 363, 0,	//364  int, int, int, int
    348, 361, 361, 0,	//369  const QRect&, double, double
    349, 0,	//373  const QRectF&
    308, 0,	//375  const Okular::NormalizedRect*
    361, 361, 361, 361, 278, 101, 367, 0,	//377  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    307, 278, 101, 367, 0,	//385  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    347, 101, 367, 0,	//390  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    309, 0,	//394  const Okular::ObjectRect&
    101, 0,	//396  Okular::ObjectRect::ObjectType
    367, 0,	//398  void*
    346, 0,	//400  const QPainterPath&
    365, 361, 361, 116, 0,	//402  unsigned int, double, double, Okular::Rotation
    363, 363, 363, 0,	//407  int, int, int
    363, 352, 119, 195, 317, 0,	//411  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    317, 0,	//417  const Okular::RegularAreaRect*
    317, 135, 0,	//419  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    136, 0,	//422  Okular::TextSelection*
    101, 361, 361, 361, 361, 0,	//424  Okular::ObjectRect::ObjectType, double, double, double, double
    101, 361, 361, 361, 361, 362, 0,	//430  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    103, 0,	//437  Okular::Page::PageAction
    363, 171, 0,	//439  int, QPixmap*
    134, 0,	//442  Okular::TextPage*
    333, 0,	//444  const QLinkedList<Okular::ObjectRect*>&
    335, 0,	//446  const QLinkedList<Okular::SourceRefObjectRect*>&
    107, 0,	//448  Okular::PageTransition*
    103, 16, 0,	//450  Okular::Page::PageAction, Okular::Action*
    331, 0,	//453  const QLinkedList<Okular::FormField*>&
    363, 352, 119, 195, 0,	//455  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    361, 361, 352, 0,	//460  double, double, const QString&
    110, 0,	//464  Okular::PageTransition::Type
    313, 0,	//466  const Okular::PageTransition&
    108, 0,	//468  Okular::PageTransition::Alignment
    109, 0,	//470  Okular::PageTransition::Direction
    363, 363, 363, 363, 363, 278, 0,	//472  int, int, int, int, int, bool
    315, 0,	//479  const Okular::PrintInterface&
    316, 0,	//481  const Okular::RegularAreaRect&
    118, 352, 0,	//483  Okular::ScriptType, const QString&
    322, 0,	//486  const QByteArray&
    121, 0,	//488  Okular::Sound::SoundEncoding
    361, 278, 278, 278, 120, 0,	//490  double, bool, bool, bool, Okular::Sound*
    120, 0,	//496  Okular::Sound*
    306, 367, 0,	//498  const Okular::NormalizedPoint&, void*
    318, 0,	//501  const Okular::SourceRefObjectRect&
    352, 363, 363, 0,	//503  const QString&, int, int
    130, 0,	//507  Okular::TextAnnotation::TextType
    328, 0,	//509  const QFont&
    306, 363, 0,	//511  const Okular::NormalizedPoint&, int
    129, 0,	//514  Okular::TextAnnotation::InplaceIntent
    16, 363, 363, 0,	//516  Okular::Action*, int, int
    20, 363, 363, 0,	//520  Okular::Annotation*, int, int
    363, 352, 356, 0,	//524  int, const QString&, const QTextBlock&
    181, 356, 0,	//528  QTextDocument*, const QTextBlock&
    131, 169, 340, 0,	//531  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    352, 99, 0,	//535  const QString&, Okular::NormalizedRect*
    338, 0,	//538  const QList<Okular::TextEntity*>&
    348, 363, 363, 363, 0,	//540  const QRect&, int, int, int
    329, 0,	//545  const QImage*
    320, 0,	//547  const Okular::Utils&
    321, 0,	//549  const Okular::VisiblePageRect&
    152, 0,	//551  QEvent*
    169, 152, 0,	//553  QObject*, QEvent*
    182, 0,	//556  QTimerEvent*
    144, 0,	//558  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "ASound",	//9
    "AStamp",	//10
    "AText",	//11
    "A_BASE",	//12
    "Accepted",	//13
    "Action",	//14
    "Action#",	//15
    "AllDocument",	//16
    "Annotation",	//17
    "Annotation#",	//18
    "Annotation##",	//19
    "AnnotationObjectRect",	//20
    "AnnotationObjectRect#",	//21
    "AnnotationUtils",	//22
    "AnnotationUtils#",	//23
    "AnyPixelTextAreaInclusionBehaviour",	//24
    "ApplicationDeletesFiles",	//25
    "ApplicationSelectsPages",	//26
    "Arrow",	//27
    "Author",	//28
    "Beveled",	//29
    "Blinds",	//30
    "Box",	//31
    "Browse",	//32
    "BrowseAction",	//33
    "BrowseAction$",	//34
    "Butt",	//35
    "CIDTrueType",	//36
    "CIDTrueTypeOT",	//37
    "CIDType0",	//38
    "CIDType0C",	//39
    "CIDType0COT",	//40
    "Callout",	//41
    "Cancelled",	//42
    "CaretAnnotation",	//43
    "CaretAnnotation#",	//44
    "Category",	//45
    "Center",	//46
    "CentralPixelTextAreaInclusionBehaviour",	//47
    "CheckBox",	//48
    "Circle",	//49
    "Close",	//50
    "ClosedArrow",	//51
    "Closing",	//52
    "Cloudy",	//53
    "ComboBox",	//54
    "Completed",	//55
    "ConfigInterface",	//56
    "ConfigInterface#",	//57
    "Copyright",	//58
    "Cover",	//59
    "CreationDate",	//60
    "Creator",	//61
    "Dashed",	//62
    "Delete",	//63
    "DenyDelete",	//64
    "DenyPrint",	//65
    "DenyWrite",	//66
    "Description",	//67
    "Diamond",	//68
    "Dimension",	//69
    "Dissolve",	//70
    "DocAction",	//71
    "Document",	//72
    "Document#",	//73
    "DocumentAction",	//74
    "DocumentAction$",	//75
    "DocumentInfo",	//76
    "DocumentInfo#",	//77
    "DocumentSize",	//78
    "DocumentSynopsis",	//79
    "DocumentSynopsis#",	//80
    "DocumentViewport",	//81
    "DocumentViewport#",	//82
    "DocumentViewport$",	//83
    "Embedded",	//84
    "EmbeddedFile",	//85
    "EmbeddedFile#",	//86
    "EmbeddedSubset",	//87
    "EndPresentation",	//88
    "Execute",	//89
    "ExecuteAction",	//90
    "ExecuteAction$$",	//91
    "ExportFormat",	//92
    "ExportFormat#",	//93
    "ExportFormat#$?",	//94
    "ExportFormat$?",	//95
    "External",	//96
    "ExternallyDrawn",	//97
    "Fade",	//98
    "FileAttachmentAnnotation",	//99
    "FileAttachmentAnnotation#",	//100
    "FileConversionPrintError",	//101
    "FilePath",	//102
    "FilePrinter",	//103
    "FilePrinter#",	//104
    "FileSelect",	//105
    "Find",	//106
    "FixedRotation",	//107
    "FixedSize",	//108
    "Fly",	//109
    "FontInfo",	//110
    "FontInfo#",	//111
    "FormButton",	//112
    "FormChoice",	//113
    "FormField",	//114
    "FormField#",	//115
    "FormFieldButton",	//116
    "FormFieldChoice",	//117
    "FormFieldText",	//118
    "FormSignature",	//119
    "FormText",	//120
    "FullyEmbedded",	//121
    "Generator",	//122
    "Generator##?",	//123
    "Generator#?",	//124
    "GeomAnnotation",	//125
    "GeomAnnotation#",	//126
    "Glitter",	//127
    "GoToPage",	//128
    "GoogleAll",	//129
    "GoogleAny",	//130
    "Goto",	//131
    "GotoAction",	//132
    "GotoAction$#",	//133
    "GotoAction$$",	//134
    "Group",	//135
    "GuiInterface",	//136
    "GuiInterface#",	//137
    "HTML",	//138
    "Hidden",	//139
    "Highlight",	//140
    "HighlightAnnotation",	//141
    "HighlightAnnotation#",	//142
    "HistoryBack",	//143
    "HistoryForward",	//144
    "Horizontal",	//145
    "Image",	//146
    "InPlace",	//147
    "InkAnnotation",	//148
    "InkAnnotation#",	//149
    "InscribedCircle",	//150
    "InscribedSquare",	//151
    "Inset",	//152
    "InvalidPrinterStatePrintError",	//153
    "Inward",	//154
    "KST_CTimeInfo",	//155
    "KST_KCustom",	//156
    "KST_KDEDesktopMimeType",	//157
    "KST_KFolderMimeType",	//158
    "KST_KImageIO",	//159
    "KST_KImageIOFormat",	//160
    "KST_KMimeType",	//161
    "KST_KMimeTypeEntry",	//162
    "KST_KMimeTypeFactory",	//163
    "KST_KProtocolInfo",	//164
    "KST_KProtocolInfoFactory",	//165
    "KST_KService",	//166
    "KST_KServiceFactory",	//167
    "KST_KServiceGroup",	//168
    "KST_KServiceGroupFactory",	//169
    "KST_KServiceSeparator",	//170
    "KST_KServiceType",	//171
    "KST_KServiceTypeFactory",	//172
    "KST_KSycocaEntry",	//173
    "Keywords",	//174
    "LicensedActiveQt",	//175
    "LicensedCore",	//176
    "LicensedDBus",	//177
    "LicensedDeclarative",	//178
    "LicensedGui",	//179
    "LicensedHelp",	//180
    "LicensedMultimedia",	//181
    "LicensedNetwork",	//182
    "LicensedOpenGL",	//183
    "LicensedOpenVG",	//184
    "LicensedQt3Support",	//185
    "LicensedQt3SupportLight",	//186
    "LicensedScript",	//187
    "LicensedScriptTools",	//188
    "LicensedSql",	//189
    "LicensedSvg",	//190
    "LicensedTest",	//191
    "LicensedXml",	//192
    "LicensedXmlPatterns",	//193
    "LineAnnotation",	//194
    "LineAnnotation#",	//195
    "Linked",	//196
    "ListBox",	//197
    "Marked",	//198
    "MatchFound",	//199
    "MimeType",	//200
    "ModificationDate",	//201
    "Movie",	//202
    "Multiline",	//203
    "NativePrinting",	//204
    "NextMatch",	//205
    "NoBinaryToPrintError",	//206
    "NoEffect",	//207
    "NoFileToPrintError",	//208
    "NoMatchFound",	//209
    "NoOption",	//210
    "NoPrintError",	//211
    "NoPrinting",	//212
    "None",	//213
    "Normal",	//214
    "NormalizedPoint",	//215
    "NormalizedPoint#",	//216
    "NormalizedPoint$$",	//217
    "NormalizedPoint$$$$",	//218
    "NormalizedRect",	//219
    "NormalizedRect#",	//220
    "NormalizedRect#$$",	//221
    "NormalizedRect$$$$",	//222
    "NotEmbedded",	//223
    "OAnnotation",	//224
    "ObjectRect",	//225
    "ObjectRect#",	//226
    "ObjectRect#$$",	//227
    "ObjectRect#$$$",	//228
    "ObjectRect$$$$$$$",	//229
    "OpenArrow",	//230
    "OpenDocumentText",	//231
    "Opening",	//232
    "Outward",	//233
    "P",	//234
    "PDF",	//235
    "Page",	//236
    "Page$$$$",	//237
    "PageFirst",	//238
    "PageLast",	//239
    "PageNext",	//240
    "PagePrev",	//241
    "PageSize",	//242
    "PageSize#",	//243
    "PageSize$$$",	//244
    "PageSizes",	//245
    "PageTransition",	//246
    "PageTransition#",	//247
    "PageTransition$",	//248
    "Pages",	//249
    "PagesSize",	//250
    "PixmapRequest",	//251
    "PixmapRequest$$$$$$",	//252
    "PlainText",	//253
    "Points",	//254
    "PolygonCloud",	//255
    "PostscriptPrinting",	//256
    "Presentation",	//257
    "PreviousMatch",	//258
    "PrintInterface",	//259
    "PrintInterface#",	//260
    "PrintNative",	//261
    "PrintPostscript",	//262
    "PrintToFile",	//263
    "PrintToFilePrintError",	//264
    "PrintingProcessCrashPrintError",	//265
    "PrintingProcessStartPrintError",	//266
    "Producer",	//267
    "Push",	//268
    "Q_COMPLEX_TYPE",	//269
    "Q_DUMMY_TYPE",	//270
    "Q_MOVABLE_TYPE",	//271
    "Q_PRIMITIVE_TYPE",	//272
    "Q_STATIC_TYPE",	//273
    "QtCriticalMsg",	//274
    "QtDebugMsg",	//275
    "QtFatalMsg",	//276
    "QtSystemMsg",	//277
    "QtWarningMsg",	//278
    "Quit",	//279
    "RClosedArrow",	//280
    "ROpenArrow",	//281
    "Radio",	//282
    "Raw",	//283
    "ReadRawData",	//284
    "RegularAreaRect",	//285
    "RegularAreaRect#",	//286
    "Rejected",	//287
    "RemoveAllPrevious",	//288
    "Replace",	//289
    "Reply",	//290
    "Script",	//291
    "ScriptAction",	//292
    "ScriptAction$$",	//293
    "SearchCancelled",	//294
    "Signed",	//295
    "Slash",	//296
    "Solid",	//297
    "Sound",	//298
    "Sound#",	//299
    "Sound$",	//300
    "SoundAction",	//301
    "SoundAction$$$$#",	//302
    "SoundAnnotation",	//303
    "SoundAnnotation#",	//304
    "SourceRef",	//305
    "SourceRefObjectRect",	//306
    "SourceRefObjectRect#",	//307
    "SourceRefObjectRect#$",	//308
    "SourceReference",	//309
    "SourceReference$$",	//310
    "SourceReference$$$",	//311
    "Split",	//312
    "Square",	//313
    "Squiggly",	//314
    "StampAnnotation",	//315
    "StampAnnotation#",	//316
    "StateNoReverse",	//317
    "StateReverse",	//318
    "StrikeOut",	//319
    "Subject",	//320
    "SystemDeletesFiles",	//321
    "SystemSelectsPages",	//322
    "TeXFontMetric",	//323
    "TeXFreeTypeHandled",	//324
    "TeXPK",	//325
    "TeXVirtual",	//326
    "TemporaryFileOpenPrintError",	//327
    "TextAnnotation",	//328
    "TextAnnotation#",	//329
    "TextDocumentConverter",	//330
    "TextDocumentGenerator",	//331
    "TextDocumentGenerator##?",	//332
    "TextEntity",	//333
    "TextEntity$#",	//334
    "TextExtraction",	//335
    "TextPage",	//336
    "TextPage?",	//337
    "Threaded",	//338
    "Title",	//339
    "ToggleHidingOnMouse",	//340
    "TopLeft",	//341
    "TrueType",	//342
    "TrueTypeOT",	//343
    "Type1",	//344
    "Type1C",	//345
    "Type1COT",	//346
    "Type3",	//347
    "TypeWriter",	//348
    "UnableToFindFilePrintError",	//349
    "Uncover",	//350
    "Underline",	//351
    "Unknown",	//352
    "UnknownPrintError",	//353
    "Unmarked",	//354
    "Utils",	//355
    "Utils#",	//356
    "Vertical",	//357
    "VisiblePageRect",	//358
    "VisiblePageRect#",	//359
    "VisiblePageRect$",	//360
    "VisiblePageRect$#",	//361
    "Wipe",	//362
    "__codecvt_error",	//363
    "__codecvt_noconv",	//364
    "__codecvt_ok",	//365
    "__codecvt_partial",	//366
    "action",	//367
    "actionCollection",	//368
    "actionTip",	//369
    "actionType",	//370
    "activationAction",	//371
    "addAction",	//372
    "addAction#$$",	//373
    "addAnnotation",	//374
    "addAnnotation#",	//375
    "addAnnotation#$$",	//376
    "addMetaData",	//377
    "addMetaData$$",	//378
    "addMetaData$$$",	//379
    "addObserver",	//380
    "addObserver#",	//381
    "addPageAnnotation",	//382
    "addPageAnnotation$#",	//383
    "addPages",	//384
    "addPages#",	//385
    "addTitle",	//386
    "addTitle$$#",	//387
    "alignment",	//388
    "allPagesSize",	//389
    "angle",	//390
    "annotation",	//391
    "annotationGeometry",	//392
    "annotationGeometry#$$",	//393
    "annotations",	//394
    "append",	//395
    "append$#",	//396
    "area",	//397
    "asynchronous",	//398
    "author",	//399
    "bitsPerSample",	//400
    "bookmarkManager",	//401
    "bookmarkedPageList",	//402
    "bookmarkedPageRange",	//403
    "bottom",	//404
    "boundingBox",	//405
    "boundingRect",	//406
    "boundingRect$$",	//407
    "boundingRectangle",	//408
    "buttonType",	//409
    "calculateViewport",	//410
    "calculateViewport##",	//411
    "canBeExtracted",	//412
    "canBeMoved",	//413
    "canBeSpellChecked",	//414
    "canConfigurePrinter",	//415
    "canExportToText",	//416
    "canGeneratePixmap",	//417
    "canGenerateTextPage",	//418
    "canProvideFontInformation",	//419
    "canSaveChanges",	//420
    "cancelSearch",	//421
    "caption",	//422
    "caretSymbol",	//423
    "center",	//424
    "channels",	//425
    "childEvent",	//426
    "choiceType",	//427
    "choices",	//428
    "close",	//429
    "closeDocument",	//430
    "column",	//431
    "componentData",	//432
    "configurableGenerators",	//433
    "connectNotify",	//434
    "contains",	//435
    "contains$$",	//436
    "contains$$$$",	//437
    "contents",	//438
    "continueSearch",	//439
    "continueSearch$",	//440
    "continueSearch$$",	//441
    "convert",	//442
    "convert$",	//443
    "copies",	//444
    "copies#$",	//445
    "createAnnotation",	//446
    "createAnnotation#",	//447
    "creationDate",	//448
    "cupsAvailable",	//449
    "cupsOptions",	//450
    "cupsOptions#",	//451
    "currentChoices",	//452
    "currentDocument",	//453
    "currentPage",	//454
    "customEvent",	//455
    "d_func",	//456
    "data",	//457
    "deleteAnnotations",	//458
    "deleteFile",	//459
    "deleteFile#$$",	//460
    "deletePixmap",	//461
    "deletePixmap$",	//462
    "deletePixmaps",	//463
    "deleteRects",	//464
    "deleteSourceReferences",	//465
    "description",	//466
    "destViewport",	//467
    "destination",	//468
    "destination#$",	//469
    "destinationName",	//470
    "detectCupsConfig",	//471
    "detectCupsService",	//472
    "direction",	//473
    "disconnectNotify",	//474
    "distanceSqr",	//475
    "distanceSqr$$$$",	//476
    "doCloseDocument",	//477
    "doPrintFiles",	//478
    "doPrintFiles#?$$$",	//479
    "document",	//480
    "documentActionType",	//481
    "documentInfo",	//482
    "documentMetaData",	//483
    "documentMetaData$",	//484
    "documentMetaData$#",	//485
    "documentSynopsis",	//486
    "domDocument",	//487
    "dpiX",	//488
    "dpiY",	//489
    "duration",	//490
    "dynamicSourceReference",	//491
    "dynamicSourceReference$$$",	//492
    "embedType",	//493
    "embeddedFile",	//494
    "embeddedFiles",	//495
    "error",	//496
    "error$$",	//497
    "event",	//498
    "eventFilter",	//499
    "exportFormats",	//500
    "exportTo",	//501
    "exportTo$#",	//502
    "exportToText",	//503
    "exportToText$",	//504
    "file",	//505
    "fileIconName",	//506
    "fileName",	//507
    "fillConfigDialog",	//508
    "fillConfigDialog#",	//509
    "findChildElement",	//510
    "findChildElement#$",	//511
    "findText",	//512
    "findText$$$$",	//513
    "findText$$$$#",	//514
    "flags",	//515
    "fontData",	//516
    "fontData#",	//517
    "fontReadingEnded",	//518
    "fontReadingProgress",	//519
    "fontReadingProgress$",	//520
    "fontsForPage",	//521
    "fontsForPage$",	//522
    "formFields",	//523
    "fromQRectF",	//524
    "fromQRectF#",	//525
    "generateDocumentInfo",	//526
    "generateDocumentSynopsis",	//527
    "generatePixmap",	//528
    "generatePixmap#",	//529
    "generateTextPage",	//530
    "generateTextPage#",	//531
    "generator",	//532
    "geometricalInnerColor",	//533
    "geometricalPointWidth",	//534
    "geometricalType",	//535
    "geometry",	//536
    "geometry$$",	//537
    "get",	//538
    "get$",	//539
    "getKeyString",	//540
    "getKeyString$",	//541
    "getKeyTitle",	//542
    "getKeyTitle$",	//543
    "gotFont",	//544
    "gotFont#",	//545
    "guiClient",	//546
    "hasAnnotations",	//547
    "hasFeature",	//548
    "hasFeature$",	//549
    "hasHighlights",	//550
    "hasHighlights$",	//551
    "hasObjectRect",	//552
    "hasObjectRect$$$$",	//553
    "hasPixmap",	//554
    "hasPixmap$",	//555
    "hasPixmap$$",	//556
    "hasPixmap$$$",	//557
    "hasTextPage",	//558
    "hasTransition",	//559
    "height",	//560
    "highlightQuads",	//561
    "highlightType",	//562
    "historyAtBegin",	//563
    "historyAtEnd",	//564
    "icon",	//565
    "id",	//566
    "image",	//567
    "image#",	//568
    "imageBoundingBox",	//569
    "imageBoundingBox#",	//570
    "inkPaths",	//571
    "inplaceAlignment",	//572
    "inplaceCallout",	//573
    "inplaceCallout$",	//574
    "inplaceIntent",	//575
    "inplaceText",	//576
    "intersects",	//577
    "intersects#",	//578
    "intersects$$$$",	//579
    "isAllowed",	//580
    "isAllowed$",	//581
    "isBoundingBoxKnown",	//582
    "isEditable",	//583
    "isExternal",	//584
    "isNull",	//585
    "isOpened",	//586
    "isPassword",	//587
    "isReadOnly",	//588
    "isRectangular",	//589
    "isRichText",	//590
    "isValid",	//591
    "isVisible",	//592
    "jobname",	//593
    "jobname#$",	//594
    "label",	//595
    "left",	//596
    "lineClosed",	//597
    "lineEndStyle",	//598
    "lineInnerColor",	//599
    "lineIntent",	//600
    "lineLeadingBackwardPoint",	//601
    "lineLeadingForwardPoint",	//602
    "linePoints",	//603
    "lineStartStyle",	//604
    "linkEndPresentation",	//605
    "linkFind",	//606
    "linkGoToPage",	//607
    "linkPresentation",	//608
    "loadDocument",	//609
    "loadDocument$?",	//610
    "loadDocumentFromData",	//611
    "loadDocumentFromData#?",	//612
    "localXMLFile",	//613
    "m_object",	//614
    "m_objectType",	//615
    "m_path",	//616
    "m_transformedPath",	//617
    "maximumLength",	//618
    "mediaPageSize",	//619
    "mediaPageSize#",	//620
    "mediaPaperSource",	//621
    "mediaPaperSource#",	//622
    "metaData",	//623
    "metaData$",	//624
    "metaData$#",	//625
    "metaObject",	//626
    "mimeType",	//627
    "mix",	//628
    "modificationDate",	//629
    "modifyPageAnnotation",	//630
    "modifyPageAnnotation$#",	//631
    "muLaw",	//632
    "multiSelect",	//633
    "name",	//634
    "nativeId",	//635
    "nearestObjectRect",	//636
    "nearestObjectRect$$$$$$",	//637
    "notice",	//638
    "notice$$",	//639
    "number",	//640
    "object",	//641
    "objectRect",	//642
    "objectRect$$$$$",	//643
    "objectType",	//644
    "openDocument",	//645
    "openDocument$#?",	//646
    "openDocumentArchive",	//647
    "openDocumentArchive$#",	//648
    "openUrl",	//649
    "openUrl#",	//650
    "operator!=",	//651
    "operator!=#",	//652
    "operator&",	//653
    "operator&#",	//654
    "operator=",	//655
    "operator=#",	//656
    "operator==",	//657
    "operator==#",	//658
    "operator|",	//659
    "operator|#",	//660
    "operator|=",	//661
    "operator|=#",	//662
    "optionCollateCopies",	//663
    "optionCollateCopies#",	//664
    "optionCupsProperties",	//665
    "optionCupsProperties#",	//666
    "optionDoubleSidedPrinting",	//667
    "optionDoubleSidedPrinting#",	//668
    "optionMedia",	//669
    "optionMedia#",	//670
    "optionOrientation",	//671
    "optionOrientation#",	//672
    "optionPageMargins",	//673
    "optionPageMargins#",	//674
    "optionPageOrder",	//675
    "optionPageOrder#",	//676
    "orientation",	//677
    "page",	//678
    "page$",	//679
    "pageAction",	//680
    "pageAction$",	//681
    "pageList",	//682
    "pageList#$$?",	//683
    "pageList#$?",	//684
    "pageListToPageRange",	//685
    "pageListToPageRange?",	//686
    "pageNumber",	//687
    "pageRange",	//688
    "pageRange#$?",	//689
    "pageSizeChanged",	//690
    "pageSizeChanged##",	//691
    "pageSizeString",	//692
    "pageSizeString$",	//693
    "pageSizes",	//694
    "pages",	//695
    "pages#$$$$",	//696
    "pagesSizeMetric",	//697
    "parameters",	//698
    "pdf2psAvailable",	//699
    "print",	//700
    "print#",	//701
    "printArguments",	//702
    "printArguments#$$$$$",	//703
    "printConfigurationWidget",	//704
    "printError",	//705
    "printError$",	//706
    "printFile",	//707
    "printFile#$",	//708
    "printFile#$$",	//709
    "printFile#$$$",	//710
    "printFile#$$$$",	//711
    "printFiles",	//712
    "printFiles#?",	//713
    "printFiles#?$",	//714
    "printingSupport",	//715
    "priority",	//716
    "processAction",	//717
    "processAction#",	//718
    "processSourceReference",	//719
    "processSourceReference#",	//720
    "ps2pdfAvailable",	//721
    "psPaperSize",	//722
    "psPaperSize#",	//723
    "qt_metacall",	//724
    "qt_metacall$$?",	//725
    "qt_metacast",	//726
    "qt_metacast$",	//727
    "quit",	//728
    "ratio",	//729
    "realDpiX",	//730
    "realDpiY",	//731
    "rect",	//732
    "region",	//733
    "registerView",	//734
    "registerView#",	//735
    "removeAnnotation",	//736
    "removeAnnotation#",	//737
    "removeObserver",	//738
    "removeObserver#",	//739
    "removePageAnnotation",	//740
    "removePageAnnotation$#",	//741
    "removePageAnnotations",	//742
    "removePageAnnotations$?",	//743
    "reparseConfig",	//744
    "repeat",	//745
    "requestFontData",	//746
    "requestFontData##",	//747
    "requestPixmaps",	//748
    "requestPixmaps?",	//749
    "requestPixmaps?$",	//750
    "requestTextPage",	//751
    "requestTextPage$",	//752
    "resetSearch",	//753
    "resetSearch$",	//754
    "revisions",	//755
    "right",	//756
    "rotateRect",	//757
    "rotateRect#$$$",	//758
    "rotation",	//759
    "rotationChanged",	//760
    "rotationChanged$$",	//761
    "row",	//762
    "samplingRate",	//763
    "saveChanges",	//764
    "saveChanges$",	//765
    "saveChanges$$",	//766
    "saveDocumentArchive",	//767
    "saveDocumentArchive$",	//768
    "scale",	//769
    "script",	//770
    "scriptType",	//771
    "searchFinished",	//772
    "searchFinished$$",	//773
    "searchText",	//774
    "searchText$$$$$$#",	//775
    "searchText$$$$$$#$",	//776
    "set",	//777
    "set$$",	//778
    "set$$$",	//779
    "setActivationAction",	//780
    "setActivationAction#",	//781
    "setAlignment",	//782
    "setAlignment$",	//783
    "setAngle",	//784
    "setAngle$",	//785
    "setAuthor",	//786
    "setAuthor$",	//787
    "setBitsPerSample",	//788
    "setBitsPerSample$",	//789
    "setBottom",	//790
    "setBottom$",	//791
    "setBoundingBox",	//792
    "setBoundingBox#",	//793
    "setBoundingRectangle",	//794
    "setBoundingRectangle#",	//795
    "setCanBeExtracted",	//796
    "setCanBeExtracted$",	//797
    "setCaretSymbol",	//798
    "setCaretSymbol$",	//799
    "setChannels",	//800
    "setChannels$",	//801
    "setComponentData",	//802
    "setContents",	//803
    "setContents$",	//804
    "setCreationDate",	//805
    "setCreationDate#",	//806
    "setCurrentChoices",	//807
    "setCurrentChoices?",	//808
    "setDOMDocument",	//809
    "setDirection",	//810
    "setDirection$",	//811
    "setDisposeDataFunction",	//812
    "setDisposeDataFunction$",	//813
    "setDuration",	//814
    "setDuration$",	//815
    "setEmbedType",	//816
    "setEmbedType$",	//817
    "setEmbeddedFile",	//818
    "setEmbeddedFile#",	//819
    "setFeature",	//820
    "setFeature$",	//821
    "setFeature$$",	//822
    "setFile",	//823
    "setFile$",	//824
    "setFileIconName",	//825
    "setFileIconName$",	//826
    "setFlags",	//827
    "setFlags$",	//828
    "setFormFields",	//829
    "setFormFields?",	//830
    "setGeometricalInnerColor",	//831
    "setGeometricalInnerColor#",	//832
    "setGeometricalPointWidth",	//833
    "setGeometricalPointWidth$",	//834
    "setGeometricalType",	//835
    "setGeometricalType$",	//836
    "setHighlightType",	//837
    "setHighlightType$",	//838
    "setInkPaths",	//839
    "setInkPaths?",	//840
    "setInplaceAlignment",	//841
    "setInplaceAlignment$",	//842
    "setInplaceCallout",	//843
    "setInplaceCallout#$",	//844
    "setInplaceIntent",	//845
    "setInplaceIntent$",	//846
    "setInplaceText",	//847
    "setInplaceText$",	//848
    "setIsRectangular",	//849
    "setIsRectangular$",	//850
    "setLabel",	//851
    "setLabel$",	//852
    "setLeft",	//853
    "setLeft$",	//854
    "setLineClosed",	//855
    "setLineClosed$",	//856
    "setLineEndStyle",	//857
    "setLineEndStyle$",	//858
    "setLineInnerColor",	//859
    "setLineInnerColor#",	//860
    "setLineIntent",	//861
    "setLineIntent$",	//862
    "setLineLeadingBackwardPoint",	//863
    "setLineLeadingBackwardPoint$",	//864
    "setLineLeadingForwardPoint",	//865
    "setLineLeadingForwardPoint$",	//866
    "setLinePoints",	//867
    "setLinePoints?",	//868
    "setLineStartStyle",	//869
    "setLineStartStyle$",	//870
    "setLocalXMLFile",	//871
    "setM_object",	//872
    "setM_object$",	//873
    "setM_objectType",	//874
    "setM_objectType$",	//875
    "setM_path",	//876
    "setM_path#",	//877
    "setM_transformedPath",	//878
    "setM_transformedPath#",	//879
    "setModificationDate",	//880
    "setModificationDate#",	//881
    "setName",	//882
    "setName$",	//883
    "setNativeId",	//884
    "setNativeId#",	//885
    "setNextDocumentDestination",	//886
    "setNextDocumentDestination$",	//887
    "setNextDocumentViewport",	//888
    "setNextDocumentViewport#",	//889
    "setNextViewport",	//890
    "setObjectRects",	//891
    "setObjectRects?",	//892
    "setPageAction",	//893
    "setPageAction$#",	//894
    "setPageNumber",	//895
    "setPageNumber$",	//896
    "setPageSize",	//897
    "setPageSize#",	//898
    "setPageTextSelection",	//899
    "setPageTextSelection$##",	//900
    "setPixmap",	//901
    "setPixmap$#",	//902
    "setPrevViewport",	//903
    "setRect",	//904
    "setRect#",	//905
    "setRight",	//906
    "setRight$",	//907
    "setRotation",	//908
    "setRotation$",	//909
    "setSamplingRate",	//910
    "setSamplingRate$",	//911
    "setScale",	//912
    "setScale$",	//913
    "setShowCaption",	//914
    "setShowCaption$",	//915
    "setSound",	//916
    "setSound#",	//917
    "setSoundEncoding",	//918
    "setSoundEncoding$",	//919
    "setSoundIconName",	//920
    "setSoundIconName$",	//921
    "setSourceReferences",	//922
    "setSourceReferences?",	//923
    "setStampIconName",	//924
    "setStampIconName$",	//925
    "setState",	//926
    "setState$",	//927
    "setText",	//928
    "setText$",	//929
    "setTextFont",	//930
    "setTextFont#",	//931
    "setTextIcon",	//932
    "setTextIcon$",	//933
    "setTextPage",	//934
    "setTextPage#",	//935
    "setTextType",	//936
    "setTextType$",	//937
    "setTop",	//938
    "setTop$",	//939
    "setTransition",	//940
    "setTransition#",	//941
    "setType",	//942
    "setType$",	//943
    "setUniqueName",	//944
    "setUniqueName$",	//945
    "setViewport",	//946
    "setViewport#",	//947
    "setViewport#$",	//948
    "setViewport#$$",	//949
    "setViewportPage",	//950
    "setViewportPage$",	//951
    "setViewportPage$$",	//952
    "setViewportPage$$$",	//953
    "setVisiblePageRects",	//954
    "setVisiblePageRects?",	//955
    "setVisiblePageRects?$",	//956
    "setX",	//957
    "setX$",	//958
    "setXML",	//959
    "setXMLFile",	//960
    "setY",	//961
    "setY$",	//962
    "setZoom",	//963
    "setZoom$",	//964
    "setZoom$$",	//965
    "showCaption",	//966
    "siblings",	//967
    "signalPixmapRequestDone",	//968
    "signalPixmapRequestDone#",	//969
    "signalTextGenerationDone",	//970
    "signalTextGenerationDone##",	//971
    "size",	//972
    "sound",	//973
    "soundEncoding",	//974
    "soundIconName",	//975
    "soundType",	//976
    "stampIconName",	//977
    "standardFormat",	//978
    "standardFormat$",	//979
    "startFontReading",	//980
    "state",	//981
    "stateChanged",	//982
    "staticMetaObject",	//983
    "stopFontReading",	//984
    "store",	//985
    "store##",	//986
    "storeAnnotation",	//987
    "storeAnnotation###",	//988
    "style",	//989
    "subType",	//990
    "supportedMimeTypes",	//991
    "supportsPageSizes",	//992
    "supportsPrintToFile",	//993
    "supportsSearching",	//994
    "synchronous",	//995
    "text",	//996
    "text#",	//997
    "text#$",	//998
    "textAlignment",	//999
    "textArea",	//1000
    "textArea#",	//1001
    "textFont",	//1002
    "textIcon",	//1003
    "textPage",	//1004
    "textPage#",	//1005
    "textSelection",	//1006
    "textSelectionColor",	//1007
    "textType",	//1008
    "timerEvent",	//1009
    "toString",	//1010
    "top",	//1011
    "totalOrientation",	//1012
    "tr",	//1013
    "tr$",	//1014
    "tr$$",	//1015
    "tr$$$",	//1016
    "trUtf8",	//1017
    "trUtf8$",	//1018
    "trUtf8$$",	//1019
    "trUtf8$$$",	//1020
    "transform",	//1021
    "transform#",	//1022
    "transformedArea",	//1023
    "transformedArea#",	//1024
    "transformedBoundingRectangle",	//1025
    "transformedInkPaths",	//1026
    "transformedInplaceCallout",	//1027
    "transformedInplaceCallout$",	//1028
    "transformedLinePoints",	//1029
    "transition",	//1030
    "translate",	//1031
    "translate#",	//1032
    "type",	//1033
    "uiName",	//1034
    "uniqueName",	//1035
    "unregisterView",	//1036
    "unregisterView#",	//1037
    "updatePageBoundingBox",	//1038
    "updatePageBoundingBox$#",	//1039
    "url",	//1040
    "userMutex",	//1041
    "viewport",	//1042
    "virtual_hook",	//1043
    "visiblePageRects",	//1044
    "volume",	//1045
    "warning",	//1046
    "warning$$",	//1047
    "widget",	//1048
    "width",	//1049
    "window",	//1050
    "x",	//1051
    "xmlFile",	//1052
    "y",	//1053
    "~Action",	//1054
    "~Annotation",	//1055
    "~AnnotationObjectRect",	//1056
    "~AnnotationUtils",	//1057
    "~BrowseAction",	//1058
    "~CaretAnnotation",	//1059
    "~ConfigInterface",	//1060
    "~Document",	//1061
    "~DocumentAction",	//1062
    "~DocumentInfo",	//1063
    "~DocumentSynopsis",	//1064
    "~DocumentViewport",	//1065
    "~EmbeddedFile",	//1066
    "~ExecuteAction",	//1067
    "~ExportFormat",	//1068
    "~FileAttachmentAnnotation",	//1069
    "~FilePrinter",	//1070
    "~FontInfo",	//1071
    "~FormField",	//1072
    "~FormFieldButton",	//1073
    "~FormFieldChoice",	//1074
    "~FormFieldText",	//1075
    "~Generator",	//1076
    "~GeomAnnotation",	//1077
    "~GotoAction",	//1078
    "~GuiInterface",	//1079
    "~HighlightAnnotation",	//1080
    "~InkAnnotation",	//1081
    "~LineAnnotation",	//1082
    "~NormalizedPoint",	//1083
    "~NormalizedRect",	//1084
    "~ObjectRect",	//1085
    "~Page",	//1086
    "~PageSize",	//1087
    "~PageTransition",	//1088
    "~PixmapRequest",	//1089
    "~PrintInterface",	//1090
    "~RegularAreaRect",	//1091
    "~ScriptAction",	//1092
    "~Sound",	//1093
    "~SoundAction",	//1094
    "~SoundAnnotation",	//1095
    "~SourceRefObjectRect",	//1096
    "~SourceReference",	//1097
    "~StampAnnotation",	//1098
    "~TextAnnotation",	//1099
    "~TextDocumentConverter",	//1100
    "~TextDocumentGenerator",	//1101
    "~TextEntity",	//1102
    "~TextPage",	//1103
    "~Utils",	//1104
    "~VisiblePageRect",	//1105
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 367, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 432, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {9, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 802, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 960, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 871, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 959, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 809, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 982, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 1043, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {10, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 17, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {10, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 2},	//17 Okular::Action::actionTip() const
    {10, 14, 23, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 3},	//18 Okular::Action::Action(Okular::ActionPrivate&)
    {10, 456, 0, 0, Smoke::mf_protected, 19, 4},	//19 Okular::Action::d_func()
    {10, 456, 0, 0, Smoke::mf_const|Smoke::mf_protected, 285, 5},	//20 Okular::Action::d_func() const
    {10, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 6},	//21 Okular::Action::Goto (enum)
    {10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 7},	//22 Okular::Action::Execute (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 8},	//23 Okular::Action::Browse (enum)
    {10, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 9},	//24 Okular::Action::DocAction (enum)
    {10, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 10},	//25 Okular::Action::Sound (enum)
    {10, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 11},	//26 Okular::Action::Movie (enum)
    {10, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 12},	//27 Okular::Action::Script (enum)
    {10, 1054, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 Okular::Action::~Action()
    {12, 786, 9, 1, 0, 0, 1},	//29 Okular::Annotation::setAuthor(const QString&)
    {12, 399, 0, 0, Smoke::mf_const, 177, 2},	//30 Okular::Annotation::author() const
    {12, 803, 9, 1, 0, 0, 3},	//31 Okular::Annotation::setContents(const QString&)
    {12, 438, 0, 0, Smoke::mf_const, 177, 4},	//32 Okular::Annotation::contents() const
    {12, 944, 9, 1, 0, 0, 5},	//33 Okular::Annotation::setUniqueName(const QString&)
    {12, 1035, 0, 0, Smoke::mf_const, 177, 6},	//34 Okular::Annotation::uniqueName() const
    {12, 880, 25, 1, 0, 0, 7},	//35 Okular::Annotation::setModificationDate(const QDateTime&)
    {12, 629, 0, 0, Smoke::mf_const, 146, 8},	//36 Okular::Annotation::modificationDate() const
    {12, 805, 25, 1, 0, 0, 9},	//37 Okular::Annotation::setCreationDate(const QDateTime&)
    {12, 448, 0, 0, Smoke::mf_const, 146, 10},	//38 Okular::Annotation::creationDate() const
    {12, 827, 27, 1, 0, 0, 11},	//39 Okular::Annotation::setFlags(int)
    {12, 515, 0, 0, Smoke::mf_const, 363, 12},	//40 Okular::Annotation::flags() const
    {12, 794, 29, 1, 0, 0, 13},	//41 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {12, 408, 0, 0, Smoke::mf_const, 97, 14},	//42 Okular::Annotation::boundingRectangle() const
    {12, 1025, 0, 0, Smoke::mf_const, 97, 15},	//43 Okular::Annotation::transformedBoundingRectangle() const
    {12, 1031, 31, 1, 0, 0, 16},	//44 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {12, 989, 0, 0, 0, 26, 17},	//45 Okular::Annotation::style()
    {12, 989, 0, 0, Smoke::mf_const, 287, 18},	//46 Okular::Annotation::style() const
    {12, 1050, 0, 0, 0, 28, 19},	//47 Okular::Annotation::window()
    {12, 1050, 0, 0, Smoke::mf_const, 288, 20},	//48 Okular::Annotation::window() const
    {12, 755, 0, 0, 0, 158, 21},	//49 Okular::Annotation::revisions()
    {12, 755, 0, 0, Smoke::mf_const, 330, 22},	//50 Okular::Annotation::revisions() const
    {12, 884, 33, 1, 0, 0, 23},	//51 Okular::Annotation::setNativeId(const QVariant&)
    {12, 635, 0, 0, Smoke::mf_const, 183, 24},	//52 Okular::Annotation::nativeId() const
    {12, 812, 35, 1, 0, 0, 25},	//53 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {12, 413, 0, 0, Smoke::mf_const, 278, 26},	//54 Okular::Annotation::canBeMoved() const
    {12, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 27},	//55 Okular::Annotation::subType() const [pure virtual]
    {12, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 28},	//56 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {12, 17, 40, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 29},	//57 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {12, 17, 42, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 30},	//58 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {12, 456, 0, 0, Smoke::mf_protected, 31, 31},	//59 Okular::Annotation::d_func()
    {12, 456, 0, 0, Smoke::mf_const|Smoke::mf_protected, 290, 32},	//60 Okular::Annotation::d_func() const
    {12, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//61 Okular::Annotation::AText (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//62 Okular::Annotation::ALine (enum)
    {12, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 35},	//63 Okular::Annotation::AGeom (enum)
    {12, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 36},	//64 Okular::Annotation::AHighlight (enum)
    {12, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 37},	//65 Okular::Annotation::AStamp (enum)
    {12, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 38},	//66 Okular::Annotation::AInk (enum)
    {12, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 39},	//67 Okular::Annotation::ACaret (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 40},	//68 Okular::Annotation::AFileAttachment (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//69 Okular::Annotation::ASound (enum)
    {12, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//70 Okular::Annotation::AMovie (enum)
    {12, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//71 Okular::Annotation::A_BASE (enum)
    {12, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 44},	//72 Okular::Annotation::Hidden (enum)
    {12, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 45},	//73 Okular::Annotation::FixedSize (enum)
    {12, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 46},	//74 Okular::Annotation::FixedRotation (enum)
    {12, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 47},	//75 Okular::Annotation::DenyPrint (enum)
    {12, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 48},	//76 Okular::Annotation::DenyWrite (enum)
    {12, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//77 Okular::Annotation::DenyDelete (enum)
    {12, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//78 Okular::Annotation::ToggleHidingOnMouse (enum)
    {12, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//79 Okular::Annotation::External (enum)
    {12, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//80 Okular::Annotation::ExternallyDrawn (enum)
    {12, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 53},	//81 Okular::Annotation::Solid (enum)
    {12, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 54},	//82 Okular::Annotation::Dashed (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 55},	//83 Okular::Annotation::Beveled (enum)
    {12, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 56},	//84 Okular::Annotation::Inset (enum)
    {12, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 57},	//85 Okular::Annotation::Underline (enum)
    {12, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 58},	//86 Okular::Annotation::NoEffect (enum)
    {12, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 59},	//87 Okular::Annotation::Cloudy (enum)
    {12, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 60},	//88 Okular::Annotation::Reply (enum)
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 61},	//89 Okular::Annotation::Group (enum)
    {12, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 62},	//90 Okular::Annotation::Delete (enum)
    {12, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 63},	//91 Okular::Annotation::None (enum)
    {12, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 64},	//92 Okular::Annotation::Marked (enum)
    {12, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 65},	//93 Okular::Annotation::Unmarked (enum)
    {12, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 66},	//94 Okular::Annotation::Accepted (enum)
    {12, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 67},	//95 Okular::Annotation::Rejected (enum)
    {12, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 68},	//96 Okular::Annotation::Cancelled (enum)
    {12, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 69},	//97 Okular::Annotation::Completed (enum)
    {12, 1055, 0, 0, Smoke::mf_dtor, 0, 70 },	//98 Okular::Annotation::~Annotation()
    {15, 20, 45, 1, Smoke::mf_ctor, 29, 1},	//99 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {15, 391, 0, 0, Smoke::mf_const, 20, 2},	//100 Okular::AnnotationObjectRect::annotation() const
    {15, 406, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 3},	//101 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {15, 435, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//102 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {15, 1021, 55, 1, Smoke::mf_virtual, 0, 5},	//103 Okular::AnnotationObjectRect::transform(const QMatrix&)
    {15, 20, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 6},	//104 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {15, 1056, 0, 0, Smoke::mf_dtor, 0, 7 },	//105 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {17, 446, 1, 1, Smoke::mf_static, 20, 1},	//106 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {17, 987, 59, 3, Smoke::mf_static, 0, 2},	//107 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {17, 510, 63, 2, Smoke::mf_static, 149, 3},	//108 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {17, 392, 66, 3, Smoke::mf_static, 173, 4},	//109 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {17, 22, 0, 0, Smoke::mf_ctor, 32, 5},	//110 Okular::AnnotationUtils::AnnotationUtils()
    {17, 22, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 6},	//111 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {17, 1057, 0, 0, Smoke::mf_dtor, 0, 7 },	//112 Okular::AnnotationUtils::~AnnotationUtils()
    {19, 33, 9, 1, Smoke::mf_ctor, 34, 1},	//113 Okular::BrowseAction::BrowseAction(const QString&)
    {19, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//114 Okular::BrowseAction::actionType() const
    {19, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//115 Okular::BrowseAction::actionTip() const
    {19, 1040, 0, 0, Smoke::mf_const, 177, 4},	//116 Okular::BrowseAction::url() const
    {19, 1058, 0, 0, Smoke::mf_dtor, 0, 5 },	//117 Okular::BrowseAction::~BrowseAction()
    {20, 43, 0, 0, Smoke::mf_ctor, 35, 1},	//118 Okular::CaretAnnotation::CaretAnnotation()
    {20, 43, 72, 1, Smoke::mf_ctor, 35, 2},	//119 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {20, 798, 74, 1, 0, 0, 3},	//120 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {20, 423, 0, 0, Smoke::mf_const, 36, 4},	//121 Okular::CaretAnnotation::caretSymbol() const
    {20, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//122 Okular::CaretAnnotation::subType() const
    {20, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//123 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {20, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 7},	//124 Okular::CaretAnnotation::None (enum)
    {20, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 8},	//125 Okular::CaretAnnotation::P (enum)
    {20, 1059, 0, 0, Smoke::mf_dtor, 0, 9 },	//126 Okular::CaretAnnotation::~CaretAnnotation()
    {21, 744, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 1},	//127 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {21, 384, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//128 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {21, 56, 0, 0, Smoke::mf_ctor, 37, 3},	//129 Okular::ConfigInterface::ConfigInterface()
    {21, 56, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 4},	//130 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {21, 1060, 0, 0, Smoke::mf_dtor, 0, 5 },	//131 Okular::ConfigInterface::~ConfigInterface()
    {22, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//132 Okular::Document::metaObject() const
    {22, 726, 80, 1, Smoke::mf_virtual, 367, 2},	//133 Okular::Document::qt_metacast(const char*)
    {22, 1013, 82, 2, Smoke::mf_static, 177, 3},	//134 Okular::Document::tr(const char*, const char*)
    {22, 1017, 82, 2, Smoke::mf_static, 177, 4},	//135 Okular::Document::trUtf8(const char*, const char*)
    {22, 1013, 85, 3, Smoke::mf_static, 177, 5},	//136 Okular::Document::tr(const char*, const char*, int)
    {22, 1017, 85, 3, Smoke::mf_static, 177, 6},	//137 Okular::Document::trUtf8(const char*, const char*, int)
    {22, 724, 89, 3, Smoke::mf_virtual, 363, 7},	//138 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {22, 72, 93, 1, Smoke::mf_ctor, 38, 8},	//139 Okular::Document::Document(QWidget*)
    {22, 645, 95, 3, 0, 278, 9},	//140 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {22, 430, 0, 0, 0, 0, 10},	//141 Okular::Document::closeDocument()
    {22, 380, 99, 1, 0, 0, 11},	//142 Okular::Document::addObserver(Okular::DocumentObserver*)
    {22, 738, 99, 1, 0, 0, 12},	//143 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {22, 744, 0, 0, 0, 0, 13},	//144 Okular::Document::reparseConfig()
    {22, 1048, 0, 0, Smoke::mf_const, 185, 14},	//145 Okular::Document::widget() const
    {22, 586, 0, 0, Smoke::mf_const, 278, 15},	//146 Okular::Document::isOpened() const
    {22, 482, 0, 0, Smoke::mf_const, 295, 16},	//147 Okular::Document::documentInfo() const
    {22, 486, 0, 0, Smoke::mf_const, 297, 17},	//148 Okular::Document::documentSynopsis() const
    {22, 980, 0, 0, 0, 0, 18},	//149 Okular::Document::startFontReading()
    {22, 984, 0, 0, 0, 0, 19},	//150 Okular::Document::stopFontReading()
    {22, 419, 0, 0, Smoke::mf_const, 278, 20},	//151 Okular::Document::canProvideFontInformation() const
    {22, 495, 0, 0, Smoke::mf_const, 337, 21},	//152 Okular::Document::embeddedFiles() const
    {22, 678, 27, 1, Smoke::mf_const, 311, 22},	//153 Okular::Document::page(int) const
    {22, 1042, 0, 0, Smoke::mf_const, 298, 23},	//154 Okular::Document::viewport() const
    {22, 954, 101, 2, 0, 0, 24},	//155 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, int)
    {22, 1044, 0, 0, Smoke::mf_const, 358, 25},	//156 Okular::Document::visiblePageRects() const
    {22, 454, 0, 0, Smoke::mf_const, 365, 26},	//157 Okular::Document::currentPage() const
    {22, 695, 0, 0, Smoke::mf_const, 365, 27},	//158 Okular::Document::pages() const
    {22, 453, 0, 0, Smoke::mf_const, 13, 28},	//159 Okular::Document::currentDocument() const
    {22, 580, 104, 1, Smoke::mf_const, 278, 29},	//160 Okular::Document::isAllowed(Okular::Permission) const
    {22, 994, 0, 0, Smoke::mf_const, 278, 30},	//161 Okular::Document::supportsSearching() const
    {22, 992, 0, 0, Smoke::mf_const, 278, 31},	//162 Okular::Document::supportsPageSizes() const
    {22, 694, 0, 0, Smoke::mf_const, 164, 32},	//163 Okular::Document::pageSizes() const
    {22, 416, 0, 0, Smoke::mf_const, 278, 33},	//164 Okular::Document::canExportToText() const
    {22, 503, 9, 1, Smoke::mf_const, 278, 34},	//165 Okular::Document::exportToText(const QString&) const
    {22, 500, 0, 0, Smoke::mf_const, 161, 35},	//166 Okular::Document::exportFormats() const
    {22, 501, 106, 2, Smoke::mf_const, 278, 36},	//167 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {22, 563, 0, 0, Smoke::mf_const, 278, 37},	//168 Okular::Document::historyAtBegin() const
    {22, 564, 0, 0, Smoke::mf_const, 278, 38},	//169 Okular::Document::historyAtEnd() const
    {22, 623, 109, 2, Smoke::mf_const, 183, 39},	//170 Okular::Document::metaData(const QString&, const QVariant&) const
    {22, 759, 0, 0, Smoke::mf_const, 116, 40},	//171 Okular::Document::rotation() const
    {22, 389, 0, 0, Smoke::mf_const, 176, 41},	//172 Okular::Document::allPagesSize() const
    {22, 692, 27, 1, Smoke::mf_const, 177, 42},	//173 Okular::Document::pageSizeString(int) const
    {22, 546, 0, 0, 0, 14, 43},	//174 Okular::Document::guiClient()
    {22, 950, 112, 3, 0, 0, 44},	//175 Okular::Document::setViewportPage(int, int, bool)
    {22, 946, 116, 3, 0, 0, 45},	//176 Okular::Document::setViewport(const Okular::DocumentViewport&, int, bool)
    {22, 903, 0, 0, 0, 0, 46},	//177 Okular::Document::setPrevViewport()
    {22, 890, 0, 0, 0, 0, 47},	//178 Okular::Document::setNextViewport()
    {22, 888, 120, 1, 0, 0, 48},	//179 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {22, 886, 9, 1, 0, 0, 49},	//180 Okular::Document::setNextDocumentDestination(const QString&)
    {22, 963, 122, 2, 0, 0, 50},	//181 Okular::Document::setZoom(int, int)
    {22, 748, 125, 1, 0, 0, 51},	//182 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {22, 748, 127, 2, 0, 0, 52},	//183 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {22, 751, 130, 1, 0, 0, 53},	//184 Okular::Document::requestTextPage(unsigned int)
    {22, 382, 132, 2, 0, 0, 54},	//185 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {22, 630, 132, 2, 0, 0, 55},	//186 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*)
    {22, 740, 132, 2, 0, 0, 56},	//187 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {22, 742, 135, 2, 0, 0, 57},	//188 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {22, 899, 138, 3, 0, 0, 58},	//189 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {22, 774, 142, 8, 0, 0, 59},	//190 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {22, 439, 27, 1, 0, 0, 60},	//191 Okular::Document::continueSearch(int)
    {22, 439, 151, 2, 0, 0, 61},	//192 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {22, 753, 27, 1, 0, 0, 62},	//193 Okular::Document::resetSearch(int)
    {22, 401, 0, 0, Smoke::mf_const, 33, 63},	//194 Okular::Document::bookmarkManager() const
    {22, 717, 154, 1, 0, 0, 64},	//195 Okular::Document::processAction(const Okular::Action*)
    {22, 402, 0, 0, Smoke::mf_const, 166, 65},	//196 Okular::Document::bookmarkedPageList() const
    {22, 403, 0, 0, Smoke::mf_const, 177, 66},	//197 Okular::Document::bookmarkedPageRange() const
    {22, 719, 156, 1, 0, 0, 67},	//198 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {22, 415, 0, 0, Smoke::mf_const, 278, 68},	//199 Okular::Document::canConfigurePrinter() const
    {22, 715, 0, 0, Smoke::mf_const, 40, 69},	//200 Okular::Document::printingSupport() const
    {22, 993, 0, 0, Smoke::mf_const, 278, 70},	//201 Okular::Document::supportsPrintToFile() const
    {22, 700, 158, 1, 0, 278, 71},	//202 Okular::Document::print(QPrinter&)
    {22, 705, 0, 0, Smoke::mf_const, 177, 72},	//203 Okular::Document::printError() const
    {22, 704, 0, 0, Smoke::mf_const, 185, 73},	//204 Okular::Document::printConfigurationWidget() const
    {22, 508, 76, 1, 0, 0, 74},	//205 Okular::Document::fillConfigDialog(KConfigDialog*)
    {22, 433, 0, 0, Smoke::mf_const, 363, 75},	//206 Okular::Document::configurableGenerators() const
    {22, 991, 0, 0, Smoke::mf_const, 179, 76},	//207 Okular::Document::supportedMimeTypes() const
    {22, 432, 0, 0, Smoke::mf_const, 280, 77},	//208 Okular::Document::componentData() const
    {22, 420, 0, 0, Smoke::mf_const, 278, 78},	//209 Okular::Document::canSaveChanges() const
    {22, 764, 9, 1, 0, 278, 79},	//210 Okular::Document::saveChanges(const QString&)
    {22, 764, 160, 2, 0, 278, 80},	//211 Okular::Document::saveChanges(const QString&, QString*)
    {22, 734, 163, 1, 0, 0, 81},	//212 Okular::Document::registerView(Okular::View*)
    {22, 1036, 163, 1, 0, 0, 82},	//213 Okular::Document::unregisterView(Okular::View*)
    {22, 516, 165, 1, Smoke::mf_const, 142, 83},	//214 Okular::Document::fontData(const Okular::FontInfo&) const
    {22, 647, 167, 2, 0, 278, 84},	//215 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {22, 767, 9, 1, 0, 278, 85},	//216 Okular::Document::saveDocumentArchive(const QString&)
    {22, 491, 170, 3, 0, 319, 86},	//217 Okular::Document::dynamicSourceReference(int, double, double)
    {22, 908, 27, 1, Smoke::mf_slot, 0, 87},	//218 Okular::Document::setRotation(int)
    {22, 897, 174, 1, Smoke::mf_slot, 0, 88},	//219 Okular::Document::setPageSize(const Okular::PageSize&)
    {22, 421, 0, 0, Smoke::mf_slot, 0, 89},	//220 Okular::Document::cancelSearch()
    {22, 429, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//221 Okular::Document::close()
    {22, 728, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 91},	//222 Okular::Document::quit()
    {22, 606, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 92},	//223 Okular::Document::linkFind()
    {22, 607, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 93},	//224 Okular::Document::linkGoToPage()
    {22, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 94},	//225 Okular::Document::linkPresentation()
    {22, 605, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 95},	//226 Okular::Document::linkEndPresentation()
    {22, 649, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 96},	//227 Okular::Document::openUrl(const KUrl&)
    {22, 496, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 97},	//228 Okular::Document::error(const QString&, int)
    {22, 1046, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 98},	//229 Okular::Document::warning(const QString&, int)
    {22, 638, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 99},	//230 Okular::Document::notice(const QString&, int)
    {22, 544, 165, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 100},	//231 Okular::Document::gotFont(const Okular::FontInfo&)
    {22, 519, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 101},	//232 Okular::Document::fontReadingProgress(int)
    {22, 518, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 102},	//233 Okular::Document::fontReadingEnded()
    {22, 772, 181, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 103},	//234 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {22, 1013, 80, 1, Smoke::mf_static, 177, 104},	//235 Okular::Document::tr(const char*)
    {22, 1017, 80, 1, Smoke::mf_static, 177, 105},	//236 Okular::Document::trUtf8(const char*)
    {22, 954, 184, 1, 0, 0, 106},	//237 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {22, 623, 9, 1, Smoke::mf_const, 183, 107},	//238 Okular::Document::metaData(const QString&) const
    {22, 950, 27, 1, 0, 0, 108},	//239 Okular::Document::setViewportPage(int)
    {22, 950, 122, 2, 0, 0, 109},	//240 Okular::Document::setViewportPage(int, int)
    {22, 946, 120, 1, 0, 0, 110},	//241 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {22, 946, 186, 2, 0, 0, 111},	//242 Okular::Document::setViewport(const Okular::DocumentViewport&, int)
    {22, 963, 27, 1, 0, 0, 112},	//243 Okular::Document::setZoom(int)
    {22, 774, 189, 7, 0, 0, 113},	//244 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {22, 983, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 114},	//245 Okular::Document::staticMetaObject() const
    {22, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 115},	//246 Okular::Document::NoOption (enum)
    {22, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 116},	//247 Okular::Document::RemoveAllPrevious (enum)
    {22, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 117},	//248 Okular::Document::NextMatch (enum)
    {22, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 118},	//249 Okular::Document::PreviousMatch (enum)
    {22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 119},	//250 Okular::Document::AllDocument (enum)
    {22, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 120},	//251 Okular::Document::GoogleAll (enum)
    {22, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 121},	//252 Okular::Document::GoogleAny (enum)
    {22, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 122},	//253 Okular::Document::MatchFound (enum)
    {22, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 123},	//254 Okular::Document::NoMatchFound (enum)
    {22, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 124},	//255 Okular::Document::SearchCancelled (enum)
    {22, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 125},	//256 Okular::Document::NoPrinting (enum)
    {22, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 126},	//257 Okular::Document::NativePrinting (enum)
    {22, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 127},	//258 Okular::Document::PostscriptPrinting (enum)
    {22, 1061, 0, 0, Smoke::mf_dtor, 0, 128 },	//259 Okular::Document::~Document()
    {23, 74, 197, 1, Smoke::mf_ctor, 43, 1},	//260 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {23, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//261 Okular::DocumentAction::actionType() const
    {23, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//262 Okular::DocumentAction::actionTip() const
    {23, 481, 0, 0, Smoke::mf_const, 44, 4},	//263 Okular::DocumentAction::documentActionType() const
    {23, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 5},	//264 Okular::DocumentAction::PageFirst (enum)
    {23, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 6},	//265 Okular::DocumentAction::PagePrev (enum)
    {23, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 7},	//266 Okular::DocumentAction::PageNext (enum)
    {23, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 8},	//267 Okular::DocumentAction::PageLast (enum)
    {23, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 9},	//268 Okular::DocumentAction::HistoryBack (enum)
    {23, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 10},	//269 Okular::DocumentAction::HistoryForward (enum)
    {23, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 11},	//270 Okular::DocumentAction::Quit (enum)
    {23, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 12},	//271 Okular::DocumentAction::Presentation (enum)
    {23, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 13},	//272 Okular::DocumentAction::EndPresentation (enum)
    {23, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 14},	//273 Okular::DocumentAction::Find (enum)
    {23, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 15},	//274 Okular::DocumentAction::GoToPage (enum)
    {23, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 16},	//275 Okular::DocumentAction::Close (enum)
    {23, 1062, 0, 0, Smoke::mf_dtor, 0, 17 },	//276 Okular::DocumentAction::~DocumentAction()
    {24, 76, 0, 0, Smoke::mf_ctor, 45, 1},	//277 Okular::DocumentInfo::DocumentInfo()
    {24, 777, 199, 3, 0, 0, 2},	//278 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {24, 777, 203, 2, 0, 0, 3},	//279 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {24, 538, 9, 1, Smoke::mf_const, 177, 4},	//280 Okular::DocumentInfo::get(const QString&) const
    {24, 540, 206, 1, Smoke::mf_static, 177, 5},	//281 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {24, 542, 206, 1, Smoke::mf_static, 177, 6},	//282 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {24, 76, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 7},	//283 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {24, 777, 210, 2, 0, 0, 8},	//284 Okular::DocumentInfo::set(const QString&, const QString&)
    {24, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 9},	//285 Okular::DocumentInfo::Title (enum)
    {24, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 10},	//286 Okular::DocumentInfo::Subject (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 11},	//287 Okular::DocumentInfo::Description (enum)
    {24, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 12},	//288 Okular::DocumentInfo::Author (enum)
    {24, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 13},	//289 Okular::DocumentInfo::Creator (enum)
    {24, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 14},	//290 Okular::DocumentInfo::Producer (enum)
    {24, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 15},	//291 Okular::DocumentInfo::Copyright (enum)
    {24, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 16},	//292 Okular::DocumentInfo::Pages (enum)
    {24, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 17},	//293 Okular::DocumentInfo::CreationDate (enum)
    {24, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 18},	//294 Okular::DocumentInfo::ModificationDate (enum)
    {24, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 19},	//295 Okular::DocumentInfo::MimeType (enum)
    {24, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 20},	//296 Okular::DocumentInfo::Category (enum)
    {24, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 21},	//297 Okular::DocumentInfo::Keywords (enum)
    {24, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 22},	//298 Okular::DocumentInfo::FilePath (enum)
    {24, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 23},	//299 Okular::DocumentInfo::DocumentSize (enum)
    {24, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 24},	//300 Okular::DocumentInfo::PagesSize (enum)
    {24, 1063, 0, 0, Smoke::mf_dtor, 0, 25 },	//301 Okular::DocumentInfo::~DocumentInfo()
    {26, 79, 0, 0, Smoke::mf_ctor, 48, 1},	//302 Okular::DocumentSynopsis::DocumentSynopsis()
    {26, 79, 213, 1, Smoke::mf_ctor, 48, 2},	//303 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {26, 79, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 3},	//304 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {26, 1064, 0, 0, Smoke::mf_dtor, 0, 4 },	//305 Okular::DocumentSynopsis::~DocumentSynopsis()
    {27, 81, 27, 1, Smoke::mf_ctor, 50, 1},	//306 Okular::DocumentViewport::DocumentViewport(int)
    {27, 81, 9, 1, Smoke::mf_ctor, 50, 2},	//307 Okular::DocumentViewport::DocumentViewport(const QString&)
    {27, 1010, 0, 0, Smoke::mf_const, 177, 3},	//308 Okular::DocumentViewport::toString() const
    {27, 591, 0, 0, Smoke::mf_const, 278, 4},	//309 Okular::DocumentViewport::isValid() const
    {27, 657, 120, 1, Smoke::mf_const, 278, 5},	//310 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {27, 81, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 6},	//311 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {27, 81, 0, 0, Smoke::mf_ctor, 50, 7},	//312 Okular::DocumentViewport::DocumentViewport()
    {27, 687, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 363, 8},	//313 Okular::DocumentViewport::pageNumber() const
    {27, 895, 27, 1, Smoke::mf_attribute, 0, 9},	//314 Okular::DocumentViewport::setPageNumber(int)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 10},	//315 Okular::DocumentViewport::Center (enum)
    {27, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 11},	//316 Okular::DocumentViewport::TopLeft (enum)
    {27, 1065, 0, 0, Smoke::mf_dtor, 0, 12 },	//317 Okular::DocumentViewport::~DocumentViewport()
    {28, 85, 0, 0, Smoke::mf_ctor, 52, 1},	//318 Okular::EmbeddedFile::EmbeddedFile()
    {28, 634, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//319 Okular::EmbeddedFile::name() const [pure virtual]
    {28, 466, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 3},	//320 Okular::EmbeddedFile::description() const [pure virtual]
    {28, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 142, 4},	//321 Okular::EmbeddedFile::data() const [pure virtual]
    {28, 972, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 363, 5},	//322 Okular::EmbeddedFile::size() const [pure virtual]
    {28, 629, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 6},	//323 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {28, 448, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 7},	//324 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {28, 85, 217, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 8},	//325 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {28, 1066, 0, 0, Smoke::mf_dtor, 0, 9 },	//326 Okular::EmbeddedFile::~EmbeddedFile()
    {29, 90, 210, 2, Smoke::mf_ctor, 53, 1},	//327 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {29, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//328 Okular::ExecuteAction::actionType() const
    {29, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//329 Okular::ExecuteAction::actionTip() const
    {29, 507, 0, 0, Smoke::mf_const, 177, 4},	//330 Okular::ExecuteAction::fileName() const
    {29, 698, 0, 0, Smoke::mf_const, 177, 5},	//331 Okular::ExecuteAction::parameters() const
    {29, 1067, 0, 0, Smoke::mf_dtor, 0, 6 },	//332 Okular::ExecuteAction::~ExecuteAction()
    {30, 92, 0, 0, Smoke::mf_ctor, 56, 1},	//333 Okular::ExportFormat::ExportFormat()
    {30, 92, 219, 2, Smoke::mf_ctor, 56, 2},	//334 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 222, 3, Smoke::mf_ctor, 56, 3},	//335 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 4},	//336 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {30, 655, 226, 1, 0, 55, 5},	//337 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {30, 466, 0, 0, Smoke::mf_const, 177, 6},	//338 Okular::ExportFormat::description() const
    {30, 627, 0, 0, Smoke::mf_const, 8, 7},	//339 Okular::ExportFormat::mimeType() const
    {30, 565, 0, 0, Smoke::mf_const, 6, 8},	//340 Okular::ExportFormat::icon() const
    {30, 585, 0, 0, Smoke::mf_const, 278, 9},	//341 Okular::ExportFormat::isNull() const
    {30, 978, 228, 1, Smoke::mf_static, 54, 10},	//342 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {30, 657, 226, 1, Smoke::mf_const, 278, 11},	//343 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {30, 651, 226, 1, Smoke::mf_const, 278, 12},	//344 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {30, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 13},	//345 Okular::ExportFormat::PlainText (enum)
    {30, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 14},	//346 Okular::ExportFormat::PDF (enum)
    {30, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//347 Okular::ExportFormat::OpenDocumentText (enum)
    {30, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//348 Okular::ExportFormat::HTML (enum)
    {30, 1068, 0, 0, Smoke::mf_dtor, 0, 17 },	//349 Okular::ExportFormat::~ExportFormat()
    {31, 99, 0, 0, Smoke::mf_ctor, 58, 1},	//350 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {31, 99, 72, 1, Smoke::mf_ctor, 58, 2},	//351 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {31, 506, 0, 0, Smoke::mf_const, 177, 3},	//352 Okular::FileAttachmentAnnotation::fileIconName() const
    {31, 825, 9, 1, 0, 0, 4},	//353 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {31, 494, 0, 0, Smoke::mf_const, 52, 5},	//354 Okular::FileAttachmentAnnotation::embeddedFile() const
    {31, 818, 230, 1, 0, 0, 6},	//355 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {31, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//356 Okular::FileAttachmentAnnotation::subType() const
    {31, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//357 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {31, 1069, 0, 0, Smoke::mf_dtor, 0, 9 },	//358 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {32, 707, 232, 5, Smoke::mf_static, 363, 1},	//359 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 712, 238, 3, Smoke::mf_static, 363, 2},	//360 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy)
    {32, 682, 242, 4, Smoke::mf_static, 166, 3},	//361 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {32, 682, 247, 3, Smoke::mf_static, 166, 4},	//362 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {32, 688, 247, 3, Smoke::mf_static, 177, 5},	//363 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {32, 685, 251, 1, Smoke::mf_static, 177, 6},	//364 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {32, 721, 0, 0, Smoke::mf_static, 278, 7},	//365 Okular::FilePrinter::ps2pdfAvailable()
    {32, 699, 0, 0, Smoke::mf_static, 278, 8},	//366 Okular::FilePrinter::pdf2psAvailable()
    {32, 449, 0, 0, Smoke::mf_static, 278, 9},	//367 Okular::FilePrinter::cupsAvailable()
    {32, 722, 158, 1, Smoke::mf_static, 175, 10},	//368 Okular::FilePrinter::psPaperSize(QPrinter&)
    {32, 705, 27, 1, Smoke::mf_static, 80, 11},	//369 Okular::FilePrinter::printError(int)
    {32, 472, 0, 0, Smoke::mf_protected, 278, 12},	//370 Okular::FilePrinter::detectCupsService()
    {32, 471, 0, 0, Smoke::mf_protected, 278, 13},	//371 Okular::FilePrinter::detectCupsConfig()
    {32, 478, 253, 5, Smoke::mf_protected, 363, 14},	//372 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 702, 259, 6, Smoke::mf_protected, 179, 15},	//373 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&)
    {32, 468, 266, 2, Smoke::mf_protected, 179, 16},	//374 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {32, 444, 266, 2, Smoke::mf_protected, 179, 17},	//375 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {32, 593, 266, 2, Smoke::mf_protected, 179, 18},	//376 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {32, 459, 269, 3, Smoke::mf_protected, 179, 19},	//377 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {32, 695, 273, 5, Smoke::mf_protected, 179, 20},	//378 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {32, 450, 158, 1, Smoke::mf_protected, 179, 21},	//379 Okular::FilePrinter::cupsOptions(QPrinter&)
    {32, 669, 158, 1, Smoke::mf_protected, 179, 22},	//380 Okular::FilePrinter::optionMedia(QPrinter&)
    {32, 619, 158, 1, Smoke::mf_protected, 177, 23},	//381 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {32, 621, 158, 1, Smoke::mf_protected, 177, 24},	//382 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {32, 671, 158, 1, Smoke::mf_protected, 179, 25},	//383 Okular::FilePrinter::optionOrientation(QPrinter&)
    {32, 667, 158, 1, Smoke::mf_protected, 179, 26},	//384 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {32, 675, 158, 1, Smoke::mf_protected, 179, 27},	//385 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {32, 663, 158, 1, Smoke::mf_protected, 179, 28},	//386 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {32, 673, 158, 1, Smoke::mf_protected, 179, 29},	//387 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {32, 665, 158, 1, Smoke::mf_protected, 179, 30},	//388 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {32, 103, 0, 0, Smoke::mf_ctor, 59, 31},	//389 Okular::FilePrinter::FilePrinter()
    {32, 103, 279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 32},	//390 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {32, 707, 281, 2, Smoke::mf_static, 363, 33},	//391 Okular::FilePrinter::printFile(QPrinter&, const QString)
    {32, 707, 284, 3, Smoke::mf_static, 363, 34},	//392 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
    {32, 707, 288, 4, Smoke::mf_static, 363, 35},	//393 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {32, 712, 293, 2, Smoke::mf_static, 363, 36},	//394 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&)
    {32, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 37},	//395 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {32, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 38},	//396 Okular::FilePrinter::SystemDeletesFiles (enum)
    {32, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 39},	//397 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {32, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 40},	//398 Okular::FilePrinter::SystemSelectsPages (enum)
    {32, 1070, 0, 0, Smoke::mf_dtor, 0, 41 },	//399 Okular::FilePrinter::~FilePrinter()
    {33, 110, 0, 0, Smoke::mf_ctor, 63, 1},	//400 Okular::FontInfo::FontInfo()
    {33, 110, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//401 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {33, 634, 0, 0, Smoke::mf_const, 177, 3},	//402 Okular::FontInfo::name() const
    {33, 882, 9, 1, 0, 0, 4},	//403 Okular::FontInfo::setName(const QString&)
    {33, 1033, 0, 0, Smoke::mf_const, 65, 5},	//404 Okular::FontInfo::type() const
    {33, 942, 296, 1, 0, 0, 6},	//405 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {33, 493, 0, 0, Smoke::mf_const, 64, 7},	//406 Okular::FontInfo::embedType() const
    {33, 816, 298, 1, 0, 0, 8},	//407 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {33, 505, 0, 0, Smoke::mf_const, 177, 9},	//408 Okular::FontInfo::file() const
    {33, 823, 9, 1, 0, 0, 10},	//409 Okular::FontInfo::setFile(const QString&)
    {33, 412, 0, 0, Smoke::mf_const, 278, 11},	//410 Okular::FontInfo::canBeExtracted() const
    {33, 796, 300, 1, 0, 0, 12},	//411 Okular::FontInfo::setCanBeExtracted(bool)
    {33, 884, 33, 1, 0, 0, 13},	//412 Okular::FontInfo::setNativeId(const QVariant&)
    {33, 635, 0, 0, Smoke::mf_const, 183, 14},	//413 Okular::FontInfo::nativeId() const
    {33, 655, 165, 1, 0, 62, 15},	//414 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {33, 657, 165, 1, Smoke::mf_const, 278, 16},	//415 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {33, 651, 165, 1, Smoke::mf_const, 278, 17},	//416 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {33, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 18},	//417 Okular::FontInfo::Unknown (enum)
    {33, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 19},	//418 Okular::FontInfo::Type1 (enum)
    {33, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 20},	//419 Okular::FontInfo::Type1C (enum)
    {33, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 21},	//420 Okular::FontInfo::Type1COT (enum)
    {33, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 22},	//421 Okular::FontInfo::Type3 (enum)
    {33, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 23},	//422 Okular::FontInfo::TrueType (enum)
    {33, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 24},	//423 Okular::FontInfo::TrueTypeOT (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 25},	//424 Okular::FontInfo::CIDType0 (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 26},	//425 Okular::FontInfo::CIDType0C (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 27},	//426 Okular::FontInfo::CIDType0COT (enum)
    {33, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 28},	//427 Okular::FontInfo::CIDTrueType (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 29},	//428 Okular::FontInfo::CIDTrueTypeOT (enum)
    {33, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 30},	//429 Okular::FontInfo::TeXPK (enum)
    {33, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 31},	//430 Okular::FontInfo::TeXVirtual (enum)
    {33, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 32},	//431 Okular::FontInfo::TeXFontMetric (enum)
    {33, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 33},	//432 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {33, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 34},	//433 Okular::FontInfo::NotEmbedded (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 35},	//434 Okular::FontInfo::EmbeddedSubset (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 36},	//435 Okular::FontInfo::FullyEmbedded (enum)
    {33, 1071, 0, 0, Smoke::mf_dtor, 0, 37 },	//436 Okular::FontInfo::~FontInfo()
    {34, 1033, 0, 0, Smoke::mf_const, 67, 1},	//437 Okular::FormField::type() const
    {34, 732, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 97, 2},	//438 Okular::FormField::rect() const [pure virtual]
    {34, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 363, 3},	//439 Okular::FormField::id() const [pure virtual]
    {34, 634, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 4},	//440 Okular::FormField::name() const [pure virtual]
    {34, 1034, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 5},	//441 Okular::FormField::uiName() const [pure virtual]
    {34, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 6},	//442 Okular::FormField::isReadOnly() const
    {34, 592, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 7},	//443 Okular::FormField::isVisible() const
    {34, 371, 0, 0, Smoke::mf_const, 16, 8},	//444 Okular::FormField::activationAction() const
    {34, 114, 302, 1, Smoke::mf_ctor|Smoke::mf_protected, 66, 9},	//445 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {34, 456, 0, 0, Smoke::mf_protected, 73, 10},	//446 Okular::FormField::d_func()
    {34, 456, 0, 0, Smoke::mf_const|Smoke::mf_protected, 303, 11},	//447 Okular::FormField::d_func() const
    {34, 780, 304, 1, Smoke::mf_protected, 0, 12},	//448 Okular::FormField::setActivationAction(Okular::Action*)
    {34, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 13},	//449 Okular::FormField::FormButton (enum)
    {34, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 14},	//450 Okular::FormField::FormText (enum)
    {34, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 15},	//451 Okular::FormField::FormChoice (enum)
    {34, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 16},	//452 Okular::FormField::FormSignature (enum)
    {34, 1072, 0, 0, Smoke::mf_dtor, 0, 17 },	//453 Okular::FormField::~FormField()
    {35, 409, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 69, 1},	//454 Okular::FormFieldButton::buttonType() const [pure virtual]
    {35, 422, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//455 Okular::FormFieldButton::caption() const [pure virtual]
    {35, 981, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 3},	//456 Okular::FormFieldButton::state() const [pure virtual]
    {35, 926, 300, 1, Smoke::mf_virtual, 0, 4},	//457 Okular::FormFieldButton::setState(bool)
    {35, 967, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//458 Okular::FormFieldButton::siblings() const [pure virtual]
    {35, 116, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 68, 6},	//459 Okular::FormFieldButton::FormFieldButton()
    {35, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 7},	//460 Okular::FormFieldButton::Push (enum)
    {35, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 8},	//461 Okular::FormFieldButton::CheckBox (enum)
    {35, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 9},	//462 Okular::FormFieldButton::Radio (enum)
    {35, 1073, 0, 0, Smoke::mf_dtor, 0, 10 },	//463 Okular::FormFieldButton::~FormFieldButton()
    {36, 427, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 1},	//464 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {36, 428, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 2},	//465 Okular::FormFieldChoice::choices() const [pure virtual]
    {36, 583, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 3},	//466 Okular::FormFieldChoice::isEditable() const
    {36, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//467 Okular::FormFieldChoice::multiSelect() const
    {36, 452, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//468 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {36, 807, 251, 1, Smoke::mf_virtual, 0, 6},	//469 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {36, 999, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 7},	//470 Okular::FormFieldChoice::textAlignment() const
    {36, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//471 Okular::FormFieldChoice::canBeSpellChecked() const
    {36, 117, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 70, 9},	//472 Okular::FormFieldChoice::FormFieldChoice()
    {36, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 10},	//473 Okular::FormFieldChoice::ComboBox (enum)
    {36, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//474 Okular::FormFieldChoice::ListBox (enum)
    {36, 1074, 0, 0, Smoke::mf_dtor, 0, 12 },	//475 Okular::FormFieldChoice::~FormFieldChoice()
    {38, 1008, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 75, 1},	//476 Okular::FormFieldText::textType() const [pure virtual]
    {38, 996, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//477 Okular::FormFieldText::text() const [pure virtual]
    {38, 928, 9, 1, Smoke::mf_virtual, 0, 3},	//478 Okular::FormFieldText::setText(const QString&)
    {38, 587, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//479 Okular::FormFieldText::isPassword() const
    {38, 590, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 5},	//480 Okular::FormFieldText::isRichText() const
    {38, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 363, 6},	//481 Okular::FormFieldText::maximumLength() const
    {38, 999, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 7},	//482 Okular::FormFieldText::textAlignment() const
    {38, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//483 Okular::FormFieldText::canBeSpellChecked() const
    {38, 118, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 74, 9},	//484 Okular::FormFieldText::FormFieldText()
    {38, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 10},	//485 Okular::FormFieldText::Normal (enum)
    {38, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 11},	//486 Okular::FormFieldText::Multiline (enum)
    {38, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 12},	//487 Okular::FormFieldText::FileSelect (enum)
    {38, 1075, 0, 0, Smoke::mf_dtor, 0, 13 },	//488 Okular::FormFieldText::~FormFieldText()
    {39, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//489 Okular::Generator::metaObject() const
    {39, 726, 80, 1, Smoke::mf_virtual, 367, 2},	//490 Okular::Generator::qt_metacast(const char*)
    {39, 1013, 82, 2, Smoke::mf_static, 177, 3},	//491 Okular::Generator::tr(const char*, const char*)
    {39, 1017, 82, 2, Smoke::mf_static, 177, 4},	//492 Okular::Generator::trUtf8(const char*, const char*)
    {39, 1013, 85, 3, Smoke::mf_static, 177, 5},	//493 Okular::Generator::tr(const char*, const char*, int)
    {39, 1017, 85, 3, Smoke::mf_static, 177, 6},	//494 Okular::Generator::trUtf8(const char*, const char*, int)
    {39, 724, 89, 3, Smoke::mf_virtual, 363, 7},	//495 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 122, 306, 2, Smoke::mf_ctor, 77, 8},	//496 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {39, 609, 309, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 9},	//497 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {39, 611, 312, 2, Smoke::mf_virtual, 278, 10},	//498 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {39, 430, 0, 0, 0, 278, 11},	//499 Okular::Generator::closeDocument()
    {39, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 12},	//500 Okular::Generator::canGeneratePixmap() const
    {39, 528, 315, 1, Smoke::mf_virtual, 0, 13},	//501 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {39, 418, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 14},	//502 Okular::Generator::canGenerateTextPage() const
    {39, 530, 317, 1, Smoke::mf_virtual, 0, 15},	//503 Okular::Generator::generateTextPage(Okular::Page*)
    {39, 526, 0, 0, Smoke::mf_virtual, 295, 16},	//504 Okular::Generator::generateDocumentInfo()
    {39, 527, 0, 0, Smoke::mf_virtual, 297, 17},	//505 Okular::Generator::generateDocumentSynopsis()
    {39, 521, 27, 1, Smoke::mf_virtual, 162, 18},	//506 Okular::Generator::fontsForPage(int)
    {39, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 337, 19},	//507 Okular::Generator::embeddedFiles() const
    {39, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 79, 20},	//508 Okular::Generator::pagesSizeMetric() const
    {39, 580, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 21},	//509 Okular::Generator::isAllowed(Okular::Permission) const
    {39, 760, 319, 2, Smoke::mf_virtual, 0, 22},	//510 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {39, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 23},	//511 Okular::Generator::pageSizes() const
    {39, 690, 322, 2, Smoke::mf_virtual, 0, 24},	//512 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {39, 700, 158, 1, Smoke::mf_virtual, 278, 25},	//513 Okular::Generator::print(QPrinter&)
    {39, 623, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 183, 26},	//514 Okular::Generator::metaData(const QString&, const QVariant&) const
    {39, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 27},	//515 Okular::Generator::exportFormats() const
    {39, 501, 106, 2, Smoke::mf_virtual, 278, 28},	//516 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {39, 548, 325, 1, Smoke::mf_const, 278, 29},	//517 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {39, 496, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//518 Okular::Generator::error(const QString&, int)
    {39, 1046, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//519 Okular::Generator::warning(const QString&, int)
    {39, 638, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//520 Okular::Generator::notice(const QString&, int)
    {39, 968, 315, 1, Smoke::mf_protected, 0, 33},	//521 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {39, 970, 327, 2, Smoke::mf_protected, 0, 34},	//522 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {39, 477, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 35},	//523 Okular::Generator::doCloseDocument() [pure virtual]
    {39, 567, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 156, 36},	//524 Okular::Generator::image(Okular::PixmapRequest*)
    {39, 1004, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 37},	//525 Okular::Generator::textPage(Okular::Page*)
    {39, 480, 0, 0, Smoke::mf_const|Smoke::mf_protected, 293, 38},	//526 Okular::Generator::document() const
    {39, 820, 330, 2, Smoke::mf_protected, 0, 39},	//527 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {39, 483, 109, 2, Smoke::mf_const|Smoke::mf_protected, 183, 40},	//528 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {39, 1041, 0, 0, Smoke::mf_const|Smoke::mf_protected, 168, 41},	//529 Okular::Generator::userMutex() const
    {39, 1038, 333, 2, Smoke::mf_protected, 0, 42},	//530 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {39, 746, 336, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 43},	//531 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {39, 491, 170, 3, Smoke::mf_protected|Smoke::mf_slot, 319, 44},	//532 Okular::Generator::dynamicSourceReference(int, double, double)
    {39, 705, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 80, 45},	//533 Okular::Generator::printError() const
    {39, 122, 339, 3, Smoke::mf_ctor|Smoke::mf_protected, 77, 46},	//534 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {39, 456, 0, 0, Smoke::mf_protected, 82, 47},	//535 Okular::Generator::d_func()
    {39, 456, 0, 0, Smoke::mf_const|Smoke::mf_protected, 304, 48},	//536 Okular::Generator::d_func() const
    {39, 1013, 80, 1, Smoke::mf_static, 177, 49},	//537 Okular::Generator::tr(const char*)
    {39, 1017, 80, 1, Smoke::mf_static, 177, 50},	//538 Okular::Generator::trUtf8(const char*)
    {39, 820, 325, 1, Smoke::mf_protected, 0, 51},	//539 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {39, 483, 9, 1, Smoke::mf_const|Smoke::mf_protected, 183, 52},	//540 Okular::Generator::documentMetaData(const QString&) const
    {39, 983, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 53},	//541 Okular::Generator::staticMetaObject() const
    {39, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 54},	//542 Okular::Generator::Threaded (enum)
    {39, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 55},	//543 Okular::Generator::TextExtraction (enum)
    {39, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 56},	//544 Okular::Generator::ReadRawData (enum)
    {39, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 57},	//545 Okular::Generator::FontInfo (enum)
    {39, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 58},	//546 Okular::Generator::PageSizes (enum)
    {39, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 59},	//547 Okular::Generator::PrintNative (enum)
    {39, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 60},	//548 Okular::Generator::PrintPostscript (enum)
    {39, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 61},	//549 Okular::Generator::PrintToFile (enum)
    {39, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 62},	//550 Okular::Generator::None (enum)
    {39, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 63},	//551 Okular::Generator::Points (enum)
    {39, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 64},	//552 Okular::Generator::NoPrintError (enum)
    {39, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 65},	//553 Okular::Generator::UnknownPrintError (enum)
    {39, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 66},	//554 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {39, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 67},	//555 Okular::Generator::FileConversionPrintError (enum)
    {39, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 68},	//556 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {39, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 69},	//557 Okular::Generator::PrintingProcessStartPrintError (enum)
    {39, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//558 Okular::Generator::PrintToFilePrintError (enum)
    {39, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//559 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {39, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//560 Okular::Generator::UnableToFindFilePrintError (enum)
    {39, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 73},	//561 Okular::Generator::NoFileToPrintError (enum)
    {39, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 74},	//562 Okular::Generator::NoBinaryToPrintError (enum)
    {39, 1076, 0, 0, Smoke::mf_dtor, 0, 75 },	//563 Okular::Generator::~Generator()
    {41, 125, 0, 0, Smoke::mf_ctor, 83, 1},	//564 Okular::GeomAnnotation::GeomAnnotation()
    {41, 125, 72, 1, Smoke::mf_ctor, 83, 2},	//565 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {41, 835, 343, 1, 0, 0, 3},	//566 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {41, 535, 0, 0, Smoke::mf_const, 84, 4},	//567 Okular::GeomAnnotation::geometricalType() const
    {41, 831, 345, 1, 0, 0, 5},	//568 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {41, 533, 0, 0, Smoke::mf_const, 145, 6},	//569 Okular::GeomAnnotation::geometricalInnerColor() const
    {41, 833, 27, 1, 0, 0, 7},	//570 Okular::GeomAnnotation::setGeometricalPointWidth(int)
    {41, 534, 0, 0, Smoke::mf_const, 363, 8},	//571 Okular::GeomAnnotation::geometricalPointWidth() const
    {41, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 9},	//572 Okular::GeomAnnotation::subType() const
    {41, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//573 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {41, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 11},	//574 Okular::GeomAnnotation::InscribedSquare (enum)
    {41, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 12},	//575 Okular::GeomAnnotation::InscribedCircle (enum)
    {41, 1077, 0, 0, Smoke::mf_dtor, 0, 13 },	//576 Okular::GeomAnnotation::~GeomAnnotation()
    {42, 132, 347, 2, Smoke::mf_ctor, 85, 1},	//577 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {42, 132, 210, 2, Smoke::mf_ctor, 85, 2},	//578 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {42, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 3},	//579 Okular::GotoAction::actionType() const
    {42, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 4},	//580 Okular::GotoAction::actionTip() const
    {42, 584, 0, 0, Smoke::mf_const, 278, 5},	//581 Okular::GotoAction::isExternal() const
    {42, 507, 0, 0, Smoke::mf_const, 177, 6},	//582 Okular::GotoAction::fileName() const
    {42, 467, 0, 0, Smoke::mf_const, 49, 7},	//583 Okular::GotoAction::destViewport() const
    {42, 470, 0, 0, Smoke::mf_const, 177, 8},	//584 Okular::GotoAction::destinationName() const
    {42, 1078, 0, 0, Smoke::mf_dtor, 0, 9 },	//585 Okular::GotoAction::~GotoAction()
    {43, 546, 0, 0, 0, 14, 1},	//586 Okular::GuiInterface::guiClient()
    {43, 136, 0, 0, Smoke::mf_ctor, 86, 2},	//587 Okular::GuiInterface::GuiInterface()
    {43, 136, 350, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//588 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {43, 1079, 0, 0, Smoke::mf_dtor, 0, 4 },	//589 Okular::GuiInterface::~GuiInterface()
    {44, 141, 0, 0, Smoke::mf_ctor, 87, 1},	//590 Okular::HighlightAnnotation::HighlightAnnotation()
    {44, 141, 72, 1, Smoke::mf_ctor, 87, 2},	//591 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {44, 837, 352, 1, 0, 0, 3},	//592 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {44, 562, 0, 0, Smoke::mf_const, 88, 4},	//593 Okular::HighlightAnnotation::highlightType() const
    {44, 561, 0, 0, 0, 163, 5},	//594 Okular::HighlightAnnotation::highlightQuads()
    {44, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//595 Okular::HighlightAnnotation::subType() const
    {44, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//596 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {44, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 8},	//597 Okular::HighlightAnnotation::Highlight (enum)
    {44, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//598 Okular::HighlightAnnotation::Squiggly (enum)
    {44, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//599 Okular::HighlightAnnotation::Underline (enum)
    {44, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 11},	//600 Okular::HighlightAnnotation::StrikeOut (enum)
    {44, 1080, 0, 0, Smoke::mf_dtor, 0, 12 },	//601 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 148, 0, 0, Smoke::mf_ctor, 89, 1},	//602 Okular::InkAnnotation::InkAnnotation()
    {45, 148, 72, 1, Smoke::mf_ctor, 89, 2},	//603 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 839, 354, 1, 0, 0, 3},	//604 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 571, 0, 0, Smoke::mf_const, 165, 4},	//605 Okular::InkAnnotation::inkPaths() const
    {45, 1026, 0, 0, Smoke::mf_const, 165, 5},	//606 Okular::InkAnnotation::transformedInkPaths() const
    {45, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//607 Okular::InkAnnotation::subType() const
    {45, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//608 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1081, 0, 0, Smoke::mf_dtor, 0, 8 },	//609 Okular::InkAnnotation::~InkAnnotation()
    {46, 194, 0, 0, Smoke::mf_ctor, 90, 1},	//610 Okular::LineAnnotation::LineAnnotation()
    {46, 194, 72, 1, Smoke::mf_ctor, 90, 2},	//611 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 867, 356, 1, 0, 0, 3},	//612 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 603, 0, 0, Smoke::mf_const, 160, 4},	//613 Okular::LineAnnotation::linePoints() const
    {46, 1029, 0, 0, Smoke::mf_const, 160, 5},	//614 Okular::LineAnnotation::transformedLinePoints() const
    {46, 869, 358, 1, 0, 0, 6},	//615 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 604, 0, 0, Smoke::mf_const, 92, 7},	//616 Okular::LineAnnotation::lineStartStyle() const
    {46, 857, 358, 1, 0, 0, 8},	//617 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 598, 0, 0, Smoke::mf_const, 92, 9},	//618 Okular::LineAnnotation::lineEndStyle() const
    {46, 855, 300, 1, 0, 0, 10},	//619 Okular::LineAnnotation::setLineClosed(bool)
    {46, 597, 0, 0, Smoke::mf_const, 278, 11},	//620 Okular::LineAnnotation::lineClosed() const
    {46, 859, 345, 1, 0, 0, 12},	//621 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 599, 0, 0, Smoke::mf_const, 145, 13},	//622 Okular::LineAnnotation::lineInnerColor() const
    {46, 865, 360, 1, 0, 0, 14},	//623 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 602, 0, 0, Smoke::mf_const, 361, 15},	//624 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 863, 360, 1, 0, 0, 16},	//625 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 601, 0, 0, Smoke::mf_const, 361, 17},	//626 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 914, 300, 1, 0, 0, 18},	//627 Okular::LineAnnotation::setShowCaption(bool)
    {46, 966, 0, 0, Smoke::mf_const, 278, 19},	//628 Okular::LineAnnotation::showCaption() const
    {46, 861, 362, 1, 0, 0, 20},	//629 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 600, 0, 0, Smoke::mf_const, 91, 21},	//630 Okular::LineAnnotation::lineIntent() const
    {46, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 22},	//631 Okular::LineAnnotation::subType() const
    {46, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//632 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//633 Okular::LineAnnotation::Square (enum)
    {46, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//634 Okular::LineAnnotation::Circle (enum)
    {46, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 26},	//635 Okular::LineAnnotation::Diamond (enum)
    {46, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 27},	//636 Okular::LineAnnotation::OpenArrow (enum)
    {46, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 28},	//637 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 29},	//638 Okular::LineAnnotation::None (enum)
    {46, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 30},	//639 Okular::LineAnnotation::Butt (enum)
    {46, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 31},	//640 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 32},	//641 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 33},	//642 Okular::LineAnnotation::Slash (enum)
    {46, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 34},	//643 Okular::LineAnnotation::Unknown (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 35},	//644 Okular::LineAnnotation::Arrow (enum)
    {46, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 36},	//645 Okular::LineAnnotation::Dimension (enum)
    {46, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 37},	//646 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1082, 0, 0, Smoke::mf_dtor, 0, 38 },	//647 Okular::LineAnnotation::~LineAnnotation()
    {47, 215, 0, 0, Smoke::mf_ctor, 96, 1},	//648 Okular::NormalizedPoint::NormalizedPoint()
    {47, 215, 47, 2, Smoke::mf_ctor, 96, 2},	//649 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {47, 215, 364, 4, Smoke::mf_ctor, 96, 3},	//650 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {47, 655, 31, 1, 0, 95, 4},	//651 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {47, 1021, 55, 1, 0, 0, 5},	//652 Okular::NormalizedPoint::transform(const QMatrix&)
    {47, 215, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//653 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {47, 1051, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 7},	//654 Okular::NormalizedPoint::x() const
    {47, 957, 360, 1, Smoke::mf_attribute, 0, 8},	//655 Okular::NormalizedPoint::setX(double)
    {47, 1053, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 9},	//656 Okular::NormalizedPoint::y() const
    {47, 961, 360, 1, Smoke::mf_attribute, 0, 10},	//657 Okular::NormalizedPoint::setY(double)
    {47, 1083, 0, 0, Smoke::mf_dtor, 0, 11 },	//658 Okular::NormalizedPoint::~NormalizedPoint()
    {48, 219, 0, 0, Smoke::mf_ctor, 99, 1},	//659 Okular::NormalizedRect::NormalizedRect()
    {48, 219, 50, 4, Smoke::mf_ctor, 99, 2},	//660 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {48, 219, 369, 3, Smoke::mf_ctor, 99, 3},	//661 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {48, 219, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//662 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {48, 655, 29, 1, 0, 98, 5},	//663 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {48, 524, 373, 1, Smoke::mf_static, 97, 6},	//664 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {48, 585, 0, 0, Smoke::mf_const, 278, 7},	//665 Okular::NormalizedRect::isNull() const
    {48, 435, 47, 2, Smoke::mf_const, 278, 8},	//666 Okular::NormalizedRect::contains(double, double) const
    {48, 577, 29, 1, Smoke::mf_const, 278, 9},	//667 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {48, 577, 375, 1, Smoke::mf_const, 278, 10},	//668 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {48, 577, 50, 4, Smoke::mf_const, 278, 11},	//669 Okular::NormalizedRect::intersects(double, double, double, double) const
    {48, 536, 122, 2, Smoke::mf_const, 173, 12},	//670 Okular::NormalizedRect::geometry(int, int) const
    {48, 659, 29, 1, Smoke::mf_const, 97, 13},	//671 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {48, 661, 29, 1, 0, 98, 14},	//672 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {48, 653, 29, 1, Smoke::mf_const, 97, 15},	//673 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {48, 657, 29, 1, Smoke::mf_const, 278, 16},	//674 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {48, 424, 0, 0, Smoke::mf_const, 94, 17},	//675 Okular::NormalizedRect::center() const
    {48, 1021, 55, 1, 0, 0, 18},	//676 Okular::NormalizedRect::transform(const QMatrix&)
    {48, 596, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 19},	//677 Okular::NormalizedRect::left() const
    {48, 853, 360, 1, Smoke::mf_attribute, 0, 20},	//678 Okular::NormalizedRect::setLeft(double)
    {48, 1011, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 21},	//679 Okular::NormalizedRect::top() const
    {48, 938, 360, 1, Smoke::mf_attribute, 0, 22},	//680 Okular::NormalizedRect::setTop(double)
    {48, 756, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 23},	//681 Okular::NormalizedRect::right() const
    {48, 906, 360, 1, Smoke::mf_attribute, 0, 24},	//682 Okular::NormalizedRect::setRight(double)
    {48, 404, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 361, 25},	//683 Okular::NormalizedRect::bottom() const
    {48, 790, 360, 1, Smoke::mf_attribute, 0, 26},	//684 Okular::NormalizedRect::setBottom(double)
    {48, 1084, 0, 0, Smoke::mf_dtor, 0, 27 },	//685 Okular::NormalizedRect::~NormalizedRect()
    {49, 225, 377, 7, Smoke::mf_ctor, 100, 1},	//686 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 225, 385, 4, Smoke::mf_ctor, 100, 2},	//687 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 225, 390, 3, Smoke::mf_ctor, 100, 3},	//688 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {49, 644, 0, 0, Smoke::mf_const, 101, 4},	//689 Okular::ObjectRect::objectType() const
    {49, 641, 0, 0, Smoke::mf_const, 360, 5},	//690 Okular::ObjectRect::object() const
    {49, 733, 0, 0, Smoke::mf_const, 346, 6},	//691 Okular::ObjectRect::region() const
    {49, 406, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 7},	//692 Okular::ObjectRect::boundingRect(double, double) const
    {49, 435, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//693 Okular::ObjectRect::contains(double, double, double, double) const
    {49, 1021, 55, 1, Smoke::mf_virtual, 0, 9},	//694 Okular::ObjectRect::transform(const QMatrix&)
    {49, 475, 50, 4, Smoke::mf_const, 361, 10},	//695 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {49, 225, 394, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 11},	//696 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {49, 615, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 101, 12},	//697 Okular::ObjectRect::m_objectType() const
    {49, 874, 396, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//698 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {49, 614, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 367, 14},	//699 Okular::ObjectRect::m_object() const
    {49, 872, 398, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//700 Okular::ObjectRect::setM_object(void*)
    {49, 616, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 170, 16},	//701 Okular::ObjectRect::m_path() const
    {49, 876, 400, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//702 Okular::ObjectRect::setM_path(const QPainterPath&)
    {49, 617, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 170, 18},	//703 Okular::ObjectRect::m_transformedPath() const
    {49, 878, 400, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//704 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {49, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//705 Okular::ObjectRect::Action (enum)
    {49, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//706 Okular::ObjectRect::Image (enum)
    {49, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 22},	//707 Okular::ObjectRect::OAnnotation (enum)
    {49, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 23},	//708 Okular::ObjectRect::SourceRef (enum)
    {49, 1085, 0, 0, Smoke::mf_dtor, 0, 24 },	//709 Okular::ObjectRect::~ObjectRect()
    {50, 236, 402, 4, Smoke::mf_ctor, 102, 1},	//710 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {50, 640, 0, 0, Smoke::mf_const, 363, 2},	//711 Okular::Page::number() const
    {50, 677, 0, 0, Smoke::mf_const, 116, 3},	//712 Okular::Page::orientation() const
    {50, 759, 0, 0, Smoke::mf_const, 116, 4},	//713 Okular::Page::rotation() const
    {50, 1012, 0, 0, Smoke::mf_const, 116, 5},	//714 Okular::Page::totalOrientation() const
    {50, 1049, 0, 0, Smoke::mf_const, 361, 6},	//715 Okular::Page::width() const
    {50, 560, 0, 0, Smoke::mf_const, 361, 7},	//716 Okular::Page::height() const
    {50, 729, 0, 0, Smoke::mf_const, 361, 8},	//717 Okular::Page::ratio() const
    {50, 405, 0, 0, Smoke::mf_const, 97, 9},	//718 Okular::Page::boundingBox() const
    {50, 582, 0, 0, Smoke::mf_const, 278, 10},	//719 Okular::Page::isBoundingBoxKnown() const
    {50, 792, 29, 1, 0, 0, 11},	//720 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {50, 554, 407, 3, Smoke::mf_const, 278, 12},	//721 Okular::Page::hasPixmap(int, int, int) const
    {50, 558, 0, 0, Smoke::mf_const, 278, 13},	//722 Okular::Page::hasTextPage() const
    {50, 552, 50, 4, Smoke::mf_const, 278, 14},	//723 Okular::Page::hasObjectRect(double, double, double, double) const
    {50, 550, 27, 1, Smoke::mf_const, 278, 15},	//724 Okular::Page::hasHighlights(int) const
    {50, 559, 0, 0, Smoke::mf_const, 278, 16},	//725 Okular::Page::hasTransition() const
    {50, 547, 0, 0, Smoke::mf_const, 278, 17},	//726 Okular::Page::hasAnnotations() const
    {50, 512, 411, 5, Smoke::mf_const, 115, 18},	//727 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {50, 996, 417, 1, Smoke::mf_const, 177, 19},	//728 Okular::Page::text(const Okular::RegularAreaRect*) const
    {50, 996, 419, 2, Smoke::mf_const, 177, 20},	//729 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {50, 1000, 422, 1, Smoke::mf_const, 115, 21},	//730 Okular::Page::textArea(Okular::TextSelection*) const
    {50, 642, 424, 5, Smoke::mf_const, 310, 22},	//731 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {50, 636, 430, 6, Smoke::mf_const, 310, 23},	//732 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {50, 1030, 0, 0, Smoke::mf_const, 314, 24},	//733 Okular::Page::transition() const
    {50, 394, 0, 0, Smoke::mf_const, 157, 25},	//734 Okular::Page::annotations() const
    {50, 680, 437, 1, Smoke::mf_const, 284, 26},	//735 Okular::Page::pageAction(Okular::Page::PageAction) const
    {50, 523, 0, 0, Smoke::mf_const, 159, 27},	//736 Okular::Page::formFields() const
    {50, 901, 439, 2, 0, 0, 28},	//737 Okular::Page::setPixmap(int, QPixmap*)
    {50, 934, 442, 1, 0, 0, 29},	//738 Okular::Page::setTextPage(Okular::TextPage*)
    {50, 891, 444, 1, 0, 0, 30},	//739 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {50, 922, 446, 1, 0, 0, 31},	//740 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {50, 814, 360, 1, 0, 0, 32},	//741 Okular::Page::setDuration(double)
    {50, 490, 0, 0, Smoke::mf_const, 361, 33},	//742 Okular::Page::duration() const
    {50, 851, 9, 1, 0, 0, 34},	//743 Okular::Page::setLabel(const QString&)
    {50, 595, 0, 0, Smoke::mf_const, 177, 35},	//744 Okular::Page::label() const
    {50, 1006, 0, 0, Smoke::mf_const, 317, 36},	//745 Okular::Page::textSelection() const
    {50, 1007, 0, 0, Smoke::mf_const, 145, 37},	//746 Okular::Page::textSelectionColor() const
    {50, 374, 45, 1, 0, 0, 38},	//747 Okular::Page::addAnnotation(Okular::Annotation*)
    {50, 736, 45, 1, 0, 278, 39},	//748 Okular::Page::removeAnnotation(Okular::Annotation*)
    {50, 940, 448, 1, 0, 0, 40},	//749 Okular::Page::setTransition(Okular::PageTransition*)
    {50, 893, 450, 2, 0, 0, 41},	//750 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {50, 829, 453, 1, 0, 0, 42},	//751 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {50, 461, 27, 1, 0, 0, 43},	//752 Okular::Page::deletePixmap(int)
    {50, 463, 0, 0, 0, 0, 44},	//753 Okular::Page::deletePixmaps()
    {50, 464, 0, 0, 0, 0, 45},	//754 Okular::Page::deleteRects()
    {50, 465, 0, 0, 0, 0, 46},	//755 Okular::Page::deleteSourceReferences()
    {50, 458, 0, 0, 0, 0, 47},	//756 Okular::Page::deleteAnnotations()
    {50, 554, 27, 1, Smoke::mf_const, 278, 48},	//757 Okular::Page::hasPixmap(int) const
    {50, 554, 122, 2, Smoke::mf_const, 278, 49},	//758 Okular::Page::hasPixmap(int, int) const
    {50, 550, 0, 0, Smoke::mf_const, 278, 50},	//759 Okular::Page::hasHighlights() const
    {50, 512, 455, 4, Smoke::mf_const, 115, 51},	//760 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {50, 996, 0, 0, Smoke::mf_const, 177, 52},	//761 Okular::Page::text() const
    {50, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 53},	//762 Okular::Page::Opening (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 54},	//763 Okular::Page::Closing (enum)
    {50, 1086, 0, 0, Smoke::mf_dtor, 0, 55 },	//764 Okular::Page::~Page()
    {51, 242, 0, 0, Smoke::mf_ctor, 105, 1},	//765 Okular::PageSize::PageSize()
    {51, 242, 460, 3, Smoke::mf_ctor, 105, 2},	//766 Okular::PageSize::PageSize(double, double, const QString&)
    {51, 242, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 3},	//767 Okular::PageSize::PageSize(const Okular::PageSize&)
    {51, 1049, 0, 0, Smoke::mf_const, 361, 4},	//768 Okular::PageSize::width() const
    {51, 560, 0, 0, Smoke::mf_const, 361, 5},	//769 Okular::PageSize::height() const
    {51, 634, 0, 0, Smoke::mf_const, 177, 6},	//770 Okular::PageSize::name() const
    {51, 585, 0, 0, Smoke::mf_const, 278, 7},	//771 Okular::PageSize::isNull() const
    {51, 655, 174, 1, 0, 104, 8},	//772 Okular::PageSize::operator=(const Okular::PageSize&)
    {51, 657, 174, 1, Smoke::mf_const, 278, 9},	//773 Okular::PageSize::operator==(const Okular::PageSize&) const
    {51, 651, 174, 1, Smoke::mf_const, 278, 10},	//774 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {51, 1087, 0, 0, Smoke::mf_dtor, 0, 11 },	//775 Okular::PageSize::~PageSize()
    {52, 246, 464, 1, Smoke::mf_ctor, 107, 1},	//776 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {52, 246, 466, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//777 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {52, 655, 466, 1, 0, 106, 3},	//778 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {52, 1033, 0, 0, Smoke::mf_const, 110, 4},	//779 Okular::PageTransition::type() const
    {52, 490, 0, 0, Smoke::mf_const, 363, 5},	//780 Okular::PageTransition::duration() const
    {52, 388, 0, 0, Smoke::mf_const, 108, 6},	//781 Okular::PageTransition::alignment() const
    {52, 473, 0, 0, Smoke::mf_const, 109, 7},	//782 Okular::PageTransition::direction() const
    {52, 390, 0, 0, Smoke::mf_const, 363, 8},	//783 Okular::PageTransition::angle() const
    {52, 769, 0, 0, Smoke::mf_const, 361, 9},	//784 Okular::PageTransition::scale() const
    {52, 589, 0, 0, Smoke::mf_const, 278, 10},	//785 Okular::PageTransition::isRectangular() const
    {52, 942, 464, 1, 0, 0, 11},	//786 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {52, 814, 27, 1, 0, 0, 12},	//787 Okular::PageTransition::setDuration(int)
    {52, 782, 468, 1, 0, 0, 13},	//788 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {52, 810, 470, 1, 0, 0, 14},	//789 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {52, 784, 27, 1, 0, 0, 15},	//790 Okular::PageTransition::setAngle(int)
    {52, 912, 360, 1, 0, 0, 16},	//791 Okular::PageTransition::setScale(double)
    {52, 849, 300, 1, 0, 0, 17},	//792 Okular::PageTransition::setIsRectangular(bool)
    {52, 246, 0, 0, Smoke::mf_ctor, 107, 18},	//793 Okular::PageTransition::PageTransition()
    {52, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 19},	//794 Okular::PageTransition::Replace (enum)
    {52, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 20},	//795 Okular::PageTransition::Split (enum)
    {52, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 21},	//796 Okular::PageTransition::Blinds (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 22},	//797 Okular::PageTransition::Box (enum)
    {52, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 23},	//798 Okular::PageTransition::Wipe (enum)
    {52, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 24},	//799 Okular::PageTransition::Dissolve (enum)
    {52, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 25},	//800 Okular::PageTransition::Glitter (enum)
    {52, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 26},	//801 Okular::PageTransition::Fly (enum)
    {52, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 27},	//802 Okular::PageTransition::Push (enum)
    {52, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 28},	//803 Okular::PageTransition::Cover (enum)
    {52, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 29},	//804 Okular::PageTransition::Uncover (enum)
    {52, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 30},	//805 Okular::PageTransition::Fade (enum)
    {52, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 31},	//806 Okular::PageTransition::Horizontal (enum)
    {52, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 32},	//807 Okular::PageTransition::Vertical (enum)
    {52, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 33},	//808 Okular::PageTransition::Inward (enum)
    {52, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 34},	//809 Okular::PageTransition::Outward (enum)
    {52, 1088, 0, 0, Smoke::mf_dtor, 0, 35 },	//810 Okular::PageTransition::~PageTransition()
    {53, 251, 472, 6, Smoke::mf_ctor, 112, 1},	//811 Okular::PixmapRequest::PixmapRequest(int, int, int, int, int, bool)
    {53, 566, 0, 0, Smoke::mf_const, 363, 2},	//812 Okular::PixmapRequest::id() const
    {53, 687, 0, 0, Smoke::mf_const, 363, 3},	//813 Okular::PixmapRequest::pageNumber() const
    {53, 1049, 0, 0, Smoke::mf_const, 363, 4},	//814 Okular::PixmapRequest::width() const
    {53, 560, 0, 0, Smoke::mf_const, 363, 5},	//815 Okular::PixmapRequest::height() const
    {53, 716, 0, 0, Smoke::mf_const, 363, 6},	//816 Okular::PixmapRequest::priority() const
    {53, 398, 0, 0, Smoke::mf_const, 278, 7},	//817 Okular::PixmapRequest::asynchronous() const
    {53, 678, 0, 0, Smoke::mf_const, 102, 8},	//818 Okular::PixmapRequest::page() const
    {53, 1089, 0, 0, Smoke::mf_dtor, 0, 9 },	//819 Okular::PixmapRequest::~PixmapRequest()
    {54, 704, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 185, 1},	//820 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {54, 259, 0, 0, Smoke::mf_ctor, 113, 2},	//821 Okular::PrintInterface::PrintInterface()
    {54, 259, 479, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 3},	//822 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {54, 1090, 0, 0, Smoke::mf_dtor, 0, 4 },	//823 Okular::PrintInterface::~PrintInterface()
    {55, 285, 0, 0, Smoke::mf_ctor, 115, 1},	//824 Okular::RegularAreaRect::RegularAreaRect()
    {55, 285, 481, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 2},	//825 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {55, 655, 481, 1, 0, 114, 3},	//826 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {55, 1091, 0, 0, Smoke::mf_dtor, 0, 4 },	//827 Okular::RegularAreaRect::~RegularAreaRect()
    {56, 292, 483, 2, Smoke::mf_ctor, 117, 1},	//828 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {56, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//829 Okular::ScriptAction::actionType() const
    {56, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//830 Okular::ScriptAction::actionTip() const
    {56, 771, 0, 0, Smoke::mf_const, 118, 4},	//831 Okular::ScriptAction::scriptType() const
    {56, 770, 0, 0, Smoke::mf_const, 177, 5},	//832 Okular::ScriptAction::script() const
    {56, 1092, 0, 0, Smoke::mf_dtor, 0, 6 },	//833 Okular::ScriptAction::~ScriptAction()
    {57, 298, 486, 1, Smoke::mf_ctor, 120, 1},	//834 Okular::Sound::Sound(const QByteArray&)
    {57, 298, 9, 1, Smoke::mf_ctor, 120, 2},	//835 Okular::Sound::Sound(const QString&)
    {57, 976, 0, 0, Smoke::mf_const, 122, 3},	//836 Okular::Sound::soundType() const
    {57, 1040, 0, 0, Smoke::mf_const, 177, 4},	//837 Okular::Sound::url() const
    {57, 457, 0, 0, Smoke::mf_const, 142, 5},	//838 Okular::Sound::data() const
    {57, 910, 360, 1, 0, 0, 6},	//839 Okular::Sound::setSamplingRate(double)
    {57, 763, 0, 0, Smoke::mf_const, 361, 7},	//840 Okular::Sound::samplingRate() const
    {57, 800, 27, 1, 0, 0, 8},	//841 Okular::Sound::setChannels(int)
    {57, 425, 0, 0, Smoke::mf_const, 363, 9},	//842 Okular::Sound::channels() const
    {57, 788, 27, 1, 0, 0, 10},	//843 Okular::Sound::setBitsPerSample(int)
    {57, 400, 0, 0, Smoke::mf_const, 363, 11},	//844 Okular::Sound::bitsPerSample() const
    {57, 918, 488, 1, 0, 0, 12},	//845 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {57, 974, 0, 0, Smoke::mf_const, 121, 13},	//846 Okular::Sound::soundEncoding() const
    {57, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 14},	//847 Okular::Sound::External (enum)
    {57, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 15},	//848 Okular::Sound::Embedded (enum)
    {57, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 16},	//849 Okular::Sound::Raw (enum)
    {57, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 17},	//850 Okular::Sound::Signed (enum)
    {57, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 18},	//851 Okular::Sound::muLaw (enum)
    {57, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 19},	//852 Okular::Sound::ALaw (enum)
    {57, 1093, 0, 0, Smoke::mf_dtor, 0, 20 },	//853 Okular::Sound::~Sound()
    {58, 301, 490, 5, Smoke::mf_ctor, 123, 1},	//854 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {58, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//855 Okular::SoundAction::actionType() const
    {58, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//856 Okular::SoundAction::actionTip() const
    {58, 1045, 0, 0, Smoke::mf_const, 361, 4},	//857 Okular::SoundAction::volume() const
    {58, 995, 0, 0, Smoke::mf_const, 278, 5},	//858 Okular::SoundAction::synchronous() const
    {58, 745, 0, 0, Smoke::mf_const, 278, 6},	//859 Okular::SoundAction::repeat() const
    {58, 628, 0, 0, Smoke::mf_const, 278, 7},	//860 Okular::SoundAction::mix() const
    {58, 973, 0, 0, Smoke::mf_const, 120, 8},	//861 Okular::SoundAction::sound() const
    {58, 1094, 0, 0, Smoke::mf_dtor, 0, 9 },	//862 Okular::SoundAction::~SoundAction()
    {59, 303, 0, 0, Smoke::mf_ctor, 124, 1},	//863 Okular::SoundAnnotation::SoundAnnotation()
    {59, 303, 72, 1, Smoke::mf_ctor, 124, 2},	//864 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {59, 975, 0, 0, Smoke::mf_const, 177, 3},	//865 Okular::SoundAnnotation::soundIconName() const
    {59, 920, 9, 1, 0, 0, 4},	//866 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {59, 973, 0, 0, Smoke::mf_const, 120, 5},	//867 Okular::SoundAnnotation::sound() const
    {59, 916, 496, 1, 0, 0, 6},	//868 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {59, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//869 Okular::SoundAnnotation::subType() const
    {59, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//870 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {59, 1095, 0, 0, Smoke::mf_dtor, 0, 9 },	//871 Okular::SoundAnnotation::~SoundAnnotation()
    {60, 306, 498, 2, Smoke::mf_ctor, 125, 1},	//872 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {60, 406, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 2},	//873 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {60, 435, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 3},	//874 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {60, 306, 501, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//875 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {60, 1096, 0, 0, Smoke::mf_dtor, 0, 5 },	//876 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {61, 309, 503, 3, Smoke::mf_ctor, 126, 1},	//877 Okular::SourceReference::SourceReference(const QString&, int, int)
    {61, 507, 0, 0, Smoke::mf_const, 177, 2},	//878 Okular::SourceReference::fileName() const
    {61, 762, 0, 0, Smoke::mf_const, 363, 3},	//879 Okular::SourceReference::row() const
    {61, 431, 0, 0, Smoke::mf_const, 363, 4},	//880 Okular::SourceReference::column() const
    {61, 309, 178, 2, Smoke::mf_ctor, 126, 5},	//881 Okular::SourceReference::SourceReference(const QString&, int)
    {61, 1097, 0, 0, Smoke::mf_dtor, 0, 6 },	//882 Okular::SourceReference::~SourceReference()
    {62, 315, 0, 0, Smoke::mf_ctor, 127, 1},	//883 Okular::StampAnnotation::StampAnnotation()
    {62, 315, 72, 1, Smoke::mf_ctor, 127, 2},	//884 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {62, 924, 9, 1, 0, 0, 3},	//885 Okular::StampAnnotation::setStampIconName(const QString&)
    {62, 977, 0, 0, Smoke::mf_const, 177, 4},	//886 Okular::StampAnnotation::stampIconName() const
    {62, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//887 Okular::StampAnnotation::subType() const
    {62, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//888 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {62, 1098, 0, 0, Smoke::mf_dtor, 0, 7 },	//889 Okular::StampAnnotation::~StampAnnotation()
    {63, 328, 0, 0, Smoke::mf_ctor, 128, 1},	//890 Okular::TextAnnotation::TextAnnotation()
    {63, 328, 72, 1, Smoke::mf_ctor, 128, 2},	//891 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {63, 936, 507, 1, 0, 0, 3},	//892 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {63, 1008, 0, 0, Smoke::mf_const, 130, 4},	//893 Okular::TextAnnotation::textType() const
    {63, 932, 9, 1, 0, 0, 5},	//894 Okular::TextAnnotation::setTextIcon(const QString&)
    {63, 1003, 0, 0, Smoke::mf_const, 177, 6},	//895 Okular::TextAnnotation::textIcon() const
    {63, 930, 509, 1, 0, 0, 7},	//896 Okular::TextAnnotation::setTextFont(const QFont&)
    {63, 1002, 0, 0, Smoke::mf_const, 155, 8},	//897 Okular::TextAnnotation::textFont() const
    {63, 841, 27, 1, 0, 0, 9},	//898 Okular::TextAnnotation::setInplaceAlignment(int)
    {63, 572, 0, 0, Smoke::mf_const, 363, 10},	//899 Okular::TextAnnotation::inplaceAlignment() const
    {63, 847, 9, 1, 0, 0, 11},	//900 Okular::TextAnnotation::setInplaceText(const QString&)
    {63, 576, 0, 0, Smoke::mf_const, 177, 12},	//901 Okular::TextAnnotation::inplaceText() const
    {63, 843, 511, 2, 0, 0, 13},	//902 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {63, 573, 27, 1, Smoke::mf_const, 94, 14},	//903 Okular::TextAnnotation::inplaceCallout(int) const
    {63, 1027, 27, 1, Smoke::mf_const, 94, 15},	//904 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {63, 845, 514, 1, 0, 0, 16},	//905 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {63, 575, 0, 0, Smoke::mf_const, 129, 17},	//906 Okular::TextAnnotation::inplaceIntent() const
    {63, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 18},	//907 Okular::TextAnnotation::subType() const
    {63, 985, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//908 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {63, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//909 Okular::TextAnnotation::Linked (enum)
    {63, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//910 Okular::TextAnnotation::InPlace (enum)
    {63, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 22},	//911 Okular::TextAnnotation::Unknown (enum)
    {63, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 23},	//912 Okular::TextAnnotation::Callout (enum)
    {63, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 24},	//913 Okular::TextAnnotation::TypeWriter (enum)
    {63, 1099, 0, 0, Smoke::mf_dtor, 0, 25 },	//914 Okular::TextAnnotation::~TextAnnotation()
    {64, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//915 Okular::TextDocumentConverter::metaObject() const
    {64, 726, 80, 1, Smoke::mf_virtual, 367, 2},	//916 Okular::TextDocumentConverter::qt_metacast(const char*)
    {64, 1013, 82, 2, Smoke::mf_static, 177, 3},	//917 Okular::TextDocumentConverter::tr(const char*, const char*)
    {64, 1017, 82, 2, Smoke::mf_static, 177, 4},	//918 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {64, 1013, 85, 3, Smoke::mf_static, 177, 5},	//919 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {64, 1017, 85, 3, Smoke::mf_static, 177, 6},	//920 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {64, 724, 89, 3, Smoke::mf_virtual, 363, 7},	//921 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {64, 330, 0, 0, Smoke::mf_ctor, 131, 8},	//922 Okular::TextDocumentConverter::TextDocumentConverter()
    {64, 442, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 181, 9},	//923 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {64, 372, 516, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//924 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {64, 374, 520, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//925 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {64, 386, 524, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//926 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {64, 377, 199, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//927 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {64, 377, 203, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//928 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {64, 496, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//929 Okular::TextDocumentConverter::error(const QString&, int)
    {64, 1046, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//930 Okular::TextDocumentConverter::warning(const QString&, int)
    {64, 638, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//931 Okular::TextDocumentConverter::notice(const QString&, int)
    {64, 410, 528, 2, Smoke::mf_protected, 49, 18},	//932 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {64, 532, 0, 0, Smoke::mf_const|Smoke::mf_protected, 132, 19},	//933 Okular::TextDocumentConverter::generator() const
    {64, 1013, 80, 1, Smoke::mf_static, 177, 20},	//934 Okular::TextDocumentConverter::tr(const char*)
    {64, 1017, 80, 1, Smoke::mf_static, 177, 21},	//935 Okular::TextDocumentConverter::trUtf8(const char*)
    {64, 983, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 22},	//936 Okular::TextDocumentConverter::staticMetaObject() const
    {64, 1100, 0, 0, Smoke::mf_dtor, 0, 23 },	//937 Okular::TextDocumentConverter::~TextDocumentConverter()
    {65, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//938 Okular::TextDocumentGenerator::metaObject() const
    {65, 726, 80, 1, Smoke::mf_virtual, 367, 2},	//939 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {65, 1013, 82, 2, Smoke::mf_static, 177, 3},	//940 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {65, 1017, 82, 2, Smoke::mf_static, 177, 4},	//941 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {65, 1013, 85, 3, Smoke::mf_static, 177, 5},	//942 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {65, 1017, 85, 3, Smoke::mf_static, 177, 6},	//943 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {65, 724, 89, 3, Smoke::mf_virtual, 363, 7},	//944 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {65, 331, 531, 3, Smoke::mf_ctor, 132, 8},	//945 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {65, 609, 309, 2, Smoke::mf_virtual, 278, 9},	//946 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {65, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//947 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {65, 528, 315, 1, Smoke::mf_virtual, 0, 11},	//948 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {65, 700, 158, 1, Smoke::mf_virtual, 278, 12},	//949 Okular::TextDocumentGenerator::print(QPrinter&)
    {65, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 13},	//950 Okular::TextDocumentGenerator::exportFormats() const
    {65, 501, 106, 2, Smoke::mf_virtual, 278, 14},	//951 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {65, 526, 0, 0, Smoke::mf_virtual, 295, 15},	//952 Okular::TextDocumentGenerator::generateDocumentInfo()
    {65, 527, 0, 0, Smoke::mf_virtual, 297, 16},	//953 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {65, 477, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 278, 17},	//954 Okular::TextDocumentGenerator::doCloseDocument()
    {65, 1004, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 18},	//955 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {65, 1013, 80, 1, Smoke::mf_static, 177, 19},	//956 Okular::TextDocumentGenerator::tr(const char*)
    {65, 1017, 80, 1, Smoke::mf_static, 177, 20},	//957 Okular::TextDocumentGenerator::trUtf8(const char*)
    {65, 983, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 21},	//958 Okular::TextDocumentGenerator::staticMetaObject() const
    {65, 1101, 0, 0, Smoke::mf_dtor, 0, 22 },	//959 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {66, 333, 535, 2, Smoke::mf_ctor, 133, 1},	//960 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {66, 996, 0, 0, Smoke::mf_const, 177, 2},	//961 Okular::TextEntity::text() const
    {66, 397, 0, 0, Smoke::mf_const, 99, 3},	//962 Okular::TextEntity::area() const
    {66, 1023, 55, 1, Smoke::mf_const, 97, 4},	//963 Okular::TextEntity::transformedArea(const QMatrix&) const
    {66, 1102, 0, 0, Smoke::mf_dtor, 0, 5 },	//964 Okular::TextEntity::~TextEntity()
    {67, 336, 0, 0, Smoke::mf_ctor, 134, 1},	//965 Okular::TextPage::TextPage()
    {67, 336, 538, 1, Smoke::mf_ctor, 134, 2},	//966 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {67, 395, 535, 2, 0, 0, 3},	//967 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {67, 512, 411, 5, 0, 115, 4},	//968 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {67, 996, 417, 1, Smoke::mf_const, 177, 5},	//969 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {67, 996, 419, 2, Smoke::mf_const, 177, 6},	//970 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {67, 1000, 422, 1, Smoke::mf_const, 115, 7},	//971 Okular::TextPage::textArea(Okular::TextSelection*) const
    {67, 996, 0, 0, Smoke::mf_const, 177, 8},	//972 Okular::TextPage::text() const
    {67, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 9},	//973 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {67, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 10},	//974 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {67, 1103, 0, 0, Smoke::mf_dtor, 0, 11 },	//975 Okular::TextPage::~TextPage()
    {69, 757, 540, 4, Smoke::mf_static, 173, 1},	//976 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {69, 488, 0, 0, Smoke::mf_static, 361, 2},	//977 Okular::Utils::dpiX()
    {69, 489, 0, 0, Smoke::mf_static, 361, 3},	//978 Okular::Utils::dpiY()
    {69, 730, 0, 0, Smoke::mf_static, 361, 4},	//979 Okular::Utils::realDpiX()
    {69, 731, 0, 0, Smoke::mf_static, 361, 5},	//980 Okular::Utils::realDpiY()
    {69, 569, 545, 1, Smoke::mf_static, 97, 6},	//981 Okular::Utils::imageBoundingBox(const QImage*)
    {69, 355, 0, 0, Smoke::mf_ctor, 137, 7},	//982 Okular::Utils::Utils()
    {69, 355, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 8},	//983 Okular::Utils::Utils(const Okular::Utils&)
    {69, 1104, 0, 0, Smoke::mf_dtor, 0, 9 },	//984 Okular::Utils::~Utils()
    {71, 358, 333, 2, Smoke::mf_ctor, 139, 1},	//985 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {71, 358, 549, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//986 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {71, 358, 0, 0, Smoke::mf_ctor, 139, 3},	//987 Okular::VisiblePageRect::VisiblePageRect()
    {71, 358, 27, 1, Smoke::mf_ctor, 139, 4},	//988 Okular::VisiblePageRect::VisiblePageRect(int)
    {71, 687, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 363, 5},	//989 Okular::VisiblePageRect::pageNumber() const
    {71, 895, 27, 1, Smoke::mf_attribute, 0, 6},	//990 Okular::VisiblePageRect::setPageNumber(int)
    {71, 732, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 98, 7},	//991 Okular::VisiblePageRect::rect() const
    {71, 904, 29, 1, Smoke::mf_attribute, 0, 8},	//992 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {71, 1105, 0, 0, Smoke::mf_dtor, 0, 9 },	//993 Okular::VisiblePageRect::~VisiblePageRect()
    {83, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 1},	//994 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {83, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 2},	//995 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {83, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 3},	//996 QGlobalSpace::Q_STATIC_TYPE (enum)
    {83, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 4},	//997 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {83, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 5},	//998 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {83, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 6},	//999 QGlobalSpace::LicensedGui (enum)
    {83, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 7},	//1000 QGlobalSpace::LicensedXml (enum)
    {83, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 8},	//1001 QGlobalSpace::LicensedQt3SupportLight (enum)
    {83, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 9},	//1002 QGlobalSpace::KST_KSycocaEntry (enum)
    {83, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 10},	//1003 QGlobalSpace::KST_KService (enum)
    {83, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 11},	//1004 QGlobalSpace::KST_KServiceType (enum)
    {83, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 12},	//1005 QGlobalSpace::KST_KMimeType (enum)
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 13},	//1006 QGlobalSpace::KST_KFolderMimeType (enum)
    {83, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//1007 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {83, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//1008 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {83, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 16},	//1009 QGlobalSpace::KST_KServiceGroup (enum)
    {83, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 17},	//1010 QGlobalSpace::KST_KImageIOFormat (enum)
    {83, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 18},	//1011 QGlobalSpace::KST_KProtocolInfo (enum)
    {83, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 19},	//1012 QGlobalSpace::KST_KServiceSeparator (enum)
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 20},	//1013 QGlobalSpace::KST_KCustom (enum)
    {83, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 21},	//1014 QGlobalSpace::LicensedScript (enum)
    {83, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 22},	//1015 QGlobalSpace::LicensedOpenVG (enum)
    {83, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 23},	//1016 QGlobalSpace::LicensedDBus (enum)
    {83, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 24},	//1017 QGlobalSpace::LicensedTest (enum)
    {83, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 25},	//1018 QGlobalSpace::LicensedActiveQt (enum)
    {83, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 26},	//1019 QGlobalSpace::LicensedScriptTools (enum)
    {83, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 27},	//1020 QGlobalSpace::LicensedSvg (enum)
    {83, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 28},	//1021 QGlobalSpace::LicensedDeclarative (enum)
    {83, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 29},	//1022 QGlobalSpace::LicensedSql (enum)
    {83, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 30},	//1023 QGlobalSpace::LicensedOpenGL (enum)
    {83, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 31},	//1024 QGlobalSpace::LicensedCore (enum)
    {83, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 32},	//1025 QGlobalSpace::QtDebugMsg (enum)
    {83, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 33},	//1026 QGlobalSpace::QtWarningMsg (enum)
    {83, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 34},	//1027 QGlobalSpace::QtCriticalMsg (enum)
    {83, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 35},	//1028 QGlobalSpace::QtFatalMsg (enum)
    {83, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 36},	//1029 QGlobalSpace::QtSystemMsg (enum)
    {83, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 37},	//1030 QGlobalSpace::LicensedHelp (enum)
    {83, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 38},	//1031 QGlobalSpace::LicensedMultimedia (enum)
    {83, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 39},	//1032 QGlobalSpace::LicensedQt3Support (enum)
    {83, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 40},	//1033 QGlobalSpace::KST_KServiceFactory (enum)
    {83, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 41},	//1034 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 42},	//1035 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {83, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 43},	//1036 QGlobalSpace::KST_KImageIO (enum)
    {83, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 44},	//1037 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 45},	//1038 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {83, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 46},	//1039 QGlobalSpace::KST_CTimeInfo (enum)
    {83, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 47},	//1040 QGlobalSpace::LicensedXmlPatterns (enum)
    {83, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 48},	//1041 QGlobalSpace::LicensedNetwork (enum)
    {83, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 49},	//1042 QGlobalSpace::__codecvt_ok (enum)
    {83, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 50},	//1043 QGlobalSpace::__codecvt_partial (enum)
    {83, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 51},	//1044 QGlobalSpace::__codecvt_error (enum)
    {83, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 52},	//1045 QGlobalSpace::__codecvt_noconv (enum)
    {88, 498, 551, 1, Smoke::mf_virtual, 278, 0},	//1046 QObject::event(QEvent*)
    {88, 499, 553, 2, Smoke::mf_virtual, 278, 0},	//1047 QObject::eventFilter(QObject*, QEvent*)
    {88, 1009, 556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1048 QObject::timerEvent(QTimerEvent*)
    {88, 426, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1049 QObject::childEvent(QChildEvent*)
    {88, 455, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1050 QObject::customEvent(QEvent*)
    {88, 434, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1051 QObject::connectNotify(const char*)
    {88, 474, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1052 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    535,  // Okular::Generator::d_func()
    536,  // Okular::Generator::d_func() const
    0,
    19,  // Okular::Action::d_func()
    20,  // Okular::Action::d_func() const
    0,
    303,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    304,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    306,  // Okular::DocumentViewport::DocumentViewport(int)
    307,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    667,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    668,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    446,  // Okular::FormField::d_func()
    447,  // Okular::FormField::d_func() const
    0,
    99,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    104,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    59,  // Okular::Annotation::d_func()
    60,  // Okular::Annotation::d_func() const
    0,
    49,  // Okular::Annotation::revisions()
    50,  // Okular::Annotation::revisions() const
    0,
    45,  // Okular::Annotation::style()
    46,  // Okular::Annotation::style() const
    0,
    47,  // Okular::Annotation::window()
    48,  // Okular::Annotation::window() const
    0,
    279,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    284,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 15, 18},	// Okular::Action::Action#
    {10, 32, 23},	// Okular::Action::Browse
    {10, 71, 24},	// Okular::Action::DocAction
    {10, 89, 22},	// Okular::Action::Execute
    {10, 131, 21},	// Okular::Action::Goto
    {10, 202, 26},	// Okular::Action::Movie
    {10, 291, 27},	// Okular::Action::Script
    {10, 298, 25},	// Okular::Action::Sound
    {10, 369, 17},	// Okular::Action::actionTip
    {10, 370, 16},	// Okular::Action::actionType
    {10, 456, -4},	// Okular::Action::d_func
    {10, 1054, 28},	// Okular::Action::~Action
    {12, 1, 67},	// Okular::Annotation::ACaret
    {12, 2, 68},	// Okular::Annotation::AFileAttachment
    {12, 3, 63},	// Okular::Annotation::AGeom
    {12, 4, 64},	// Okular::Annotation::AHighlight
    {12, 5, 66},	// Okular::Annotation::AInk
    {12, 7, 62},	// Okular::Annotation::ALine
    {12, 8, 70},	// Okular::Annotation::AMovie
    {12, 9, 69},	// Okular::Annotation::ASound
    {12, 10, 65},	// Okular::Annotation::AStamp
    {12, 11, 61},	// Okular::Annotation::AText
    {12, 12, 71},	// Okular::Annotation::A_BASE
    {12, 13, 94},	// Okular::Annotation::Accepted
    {12, 18, 57},	// Okular::Annotation::Annotation#
    {12, 19, 58},	// Okular::Annotation::Annotation##
    {12, 29, 83},	// Okular::Annotation::Beveled
    {12, 42, 96},	// Okular::Annotation::Cancelled
    {12, 53, 87},	// Okular::Annotation::Cloudy
    {12, 55, 97},	// Okular::Annotation::Completed
    {12, 62, 82},	// Okular::Annotation::Dashed
    {12, 63, 90},	// Okular::Annotation::Delete
    {12, 64, 77},	// Okular::Annotation::DenyDelete
    {12, 65, 75},	// Okular::Annotation::DenyPrint
    {12, 66, 76},	// Okular::Annotation::DenyWrite
    {12, 96, 79},	// Okular::Annotation::External
    {12, 97, 80},	// Okular::Annotation::ExternallyDrawn
    {12, 107, 74},	// Okular::Annotation::FixedRotation
    {12, 108, 73},	// Okular::Annotation::FixedSize
    {12, 135, 89},	// Okular::Annotation::Group
    {12, 139, 72},	// Okular::Annotation::Hidden
    {12, 152, 84},	// Okular::Annotation::Inset
    {12, 198, 92},	// Okular::Annotation::Marked
    {12, 207, 86},	// Okular::Annotation::NoEffect
    {12, 213, 91},	// Okular::Annotation::None
    {12, 287, 95},	// Okular::Annotation::Rejected
    {12, 290, 88},	// Okular::Annotation::Reply
    {12, 297, 81},	// Okular::Annotation::Solid
    {12, 340, 78},	// Okular::Annotation::ToggleHidingOnMouse
    {12, 351, 85},	// Okular::Annotation::Underline
    {12, 354, 93},	// Okular::Annotation::Unmarked
    {12, 399, 30},	// Okular::Annotation::author
    {12, 408, 42},	// Okular::Annotation::boundingRectangle
    {12, 413, 54},	// Okular::Annotation::canBeMoved
    {12, 438, 32},	// Okular::Annotation::contents
    {12, 448, 38},	// Okular::Annotation::creationDate
    {12, 456, -22},	// Okular::Annotation::d_func
    {12, 515, 40},	// Okular::Annotation::flags
    {12, 629, 36},	// Okular::Annotation::modificationDate
    {12, 635, 52},	// Okular::Annotation::nativeId
    {12, 755, -25},	// Okular::Annotation::revisions
    {12, 787, 29},	// Okular::Annotation::setAuthor$
    {12, 795, 41},	// Okular::Annotation::setBoundingRectangle#
    {12, 804, 31},	// Okular::Annotation::setContents$
    {12, 806, 37},	// Okular::Annotation::setCreationDate#
    {12, 813, 53},	// Okular::Annotation::setDisposeDataFunction$
    {12, 828, 39},	// Okular::Annotation::setFlags$
    {12, 881, 35},	// Okular::Annotation::setModificationDate#
    {12, 885, 51},	// Okular::Annotation::setNativeId#
    {12, 945, 33},	// Okular::Annotation::setUniqueName$
    {12, 986, 56},	// Okular::Annotation::store##
    {12, 989, -28},	// Okular::Annotation::style
    {12, 990, 55},	// Okular::Annotation::subType
    {12, 1025, 43},	// Okular::Annotation::transformedBoundingRectangle
    {12, 1032, 44},	// Okular::Annotation::translate#
    {12, 1035, 34},	// Okular::Annotation::uniqueName
    {12, 1050, -31},	// Okular::Annotation::window
    {12, 1055, 98},	// Okular::Annotation::~Annotation
    {15, 21, -19},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {15, 391, 100},	// Okular::AnnotationObjectRect::annotation
    {15, 407, 101},	// Okular::AnnotationObjectRect::boundingRect$$
    {15, 437, 102},	// Okular::AnnotationObjectRect::contains$$$$
    {15, 1022, 103},	// Okular::AnnotationObjectRect::transform#
    {15, 1056, 105},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {17, 22, 110},	// Okular::AnnotationUtils::AnnotationUtils
    {17, 23, 111},	// Okular::AnnotationUtils::AnnotationUtils#
    {17, 393, 109},	// Okular::AnnotationUtils::annotationGeometry#$$
    {17, 447, 106},	// Okular::AnnotationUtils::createAnnotation#
    {17, 511, 108},	// Okular::AnnotationUtils::findChildElement#$
    {17, 988, 107},	// Okular::AnnotationUtils::storeAnnotation###
    {17, 1057, 112},	// Okular::AnnotationUtils::~AnnotationUtils
    {19, 34, 113},	// Okular::BrowseAction::BrowseAction$
    {19, 369, 115},	// Okular::BrowseAction::actionTip
    {19, 370, 114},	// Okular::BrowseAction::actionType
    {19, 1040, 116},	// Okular::BrowseAction::url
    {19, 1058, 117},	// Okular::BrowseAction::~BrowseAction
    {20, 43, 118},	// Okular::CaretAnnotation::CaretAnnotation
    {20, 44, 119},	// Okular::CaretAnnotation::CaretAnnotation#
    {20, 213, 124},	// Okular::CaretAnnotation::None
    {20, 234, 125},	// Okular::CaretAnnotation::P
    {20, 423, 121},	// Okular::CaretAnnotation::caretSymbol
    {20, 799, 120},	// Okular::CaretAnnotation::setCaretSymbol$
    {20, 986, 123},	// Okular::CaretAnnotation::store##
    {20, 990, 122},	// Okular::CaretAnnotation::subType
    {20, 1059, 126},	// Okular::CaretAnnotation::~CaretAnnotation
    {21, 56, 129},	// Okular::ConfigInterface::ConfigInterface
    {21, 57, 130},	// Okular::ConfigInterface::ConfigInterface#
    {21, 385, 128},	// Okular::ConfigInterface::addPages#
    {21, 744, 127},	// Okular::ConfigInterface::reparseConfig
    {21, 1060, 131},	// Okular::ConfigInterface::~ConfigInterface
    {22, 16, 250},	// Okular::Document::AllDocument
    {22, 73, 139},	// Okular::Document::Document#
    {22, 129, 251},	// Okular::Document::GoogleAll
    {22, 130, 252},	// Okular::Document::GoogleAny
    {22, 199, 253},	// Okular::Document::MatchFound
    {22, 204, 257},	// Okular::Document::NativePrinting
    {22, 205, 248},	// Okular::Document::NextMatch
    {22, 209, 254},	// Okular::Document::NoMatchFound
    {22, 210, 246},	// Okular::Document::NoOption
    {22, 212, 256},	// Okular::Document::NoPrinting
    {22, 256, 258},	// Okular::Document::PostscriptPrinting
    {22, 258, 249},	// Okular::Document::PreviousMatch
    {22, 288, 247},	// Okular::Document::RemoveAllPrevious
    {22, 294, 255},	// Okular::Document::SearchCancelled
    {22, 381, 142},	// Okular::Document::addObserver#
    {22, 383, 185},	// Okular::Document::addPageAnnotation$#
    {22, 389, 172},	// Okular::Document::allPagesSize
    {22, 401, 194},	// Okular::Document::bookmarkManager
    {22, 402, 196},	// Okular::Document::bookmarkedPageList
    {22, 403, 197},	// Okular::Document::bookmarkedPageRange
    {22, 415, 199},	// Okular::Document::canConfigurePrinter
    {22, 416, 164},	// Okular::Document::canExportToText
    {22, 419, 151},	// Okular::Document::canProvideFontInformation
    {22, 420, 209},	// Okular::Document::canSaveChanges
    {22, 421, 220},	// Okular::Document::cancelSearch
    {22, 429, 221},	// Okular::Document::close
    {22, 430, 141},	// Okular::Document::closeDocument
    {22, 432, 208},	// Okular::Document::componentData
    {22, 433, 206},	// Okular::Document::configurableGenerators
    {22, 440, 191},	// Okular::Document::continueSearch$
    {22, 441, 192},	// Okular::Document::continueSearch$$
    {22, 453, 159},	// Okular::Document::currentDocument
    {22, 454, 157},	// Okular::Document::currentPage
    {22, 482, 147},	// Okular::Document::documentInfo
    {22, 486, 148},	// Okular::Document::documentSynopsis
    {22, 492, 217},	// Okular::Document::dynamicSourceReference$$$
    {22, 495, 152},	// Okular::Document::embeddedFiles
    {22, 497, 228},	// Okular::Document::error$$
    {22, 500, 166},	// Okular::Document::exportFormats
    {22, 502, 167},	// Okular::Document::exportTo$#
    {22, 504, 165},	// Okular::Document::exportToText$
    {22, 509, 205},	// Okular::Document::fillConfigDialog#
    {22, 517, 214},	// Okular::Document::fontData#
    {22, 518, 233},	// Okular::Document::fontReadingEnded
    {22, 520, 232},	// Okular::Document::fontReadingProgress$
    {22, 545, 231},	// Okular::Document::gotFont#
    {22, 546, 174},	// Okular::Document::guiClient
    {22, 563, 168},	// Okular::Document::historyAtBegin
    {22, 564, 169},	// Okular::Document::historyAtEnd
    {22, 581, 160},	// Okular::Document::isAllowed$
    {22, 586, 146},	// Okular::Document::isOpened
    {22, 605, 226},	// Okular::Document::linkEndPresentation
    {22, 606, 223},	// Okular::Document::linkFind
    {22, 607, 224},	// Okular::Document::linkGoToPage
    {22, 608, 225},	// Okular::Document::linkPresentation
    {22, 624, 238},	// Okular::Document::metaData$
    {22, 625, 170},	// Okular::Document::metaData$#
    {22, 626, 132},	// Okular::Document::metaObject
    {22, 631, 186},	// Okular::Document::modifyPageAnnotation$#
    {22, 639, 230},	// Okular::Document::notice$$
    {22, 646, 140},	// Okular::Document::openDocument$#?
    {22, 648, 215},	// Okular::Document::openDocumentArchive$#
    {22, 650, 227},	// Okular::Document::openUrl#
    {22, 679, 153},	// Okular::Document::page$
    {22, 693, 173},	// Okular::Document::pageSizeString$
    {22, 694, 163},	// Okular::Document::pageSizes
    {22, 695, 158},	// Okular::Document::pages
    {22, 701, 202},	// Okular::Document::print#
    {22, 704, 204},	// Okular::Document::printConfigurationWidget
    {22, 705, 203},	// Okular::Document::printError
    {22, 715, 200},	// Okular::Document::printingSupport
    {22, 718, 195},	// Okular::Document::processAction#
    {22, 720, 198},	// Okular::Document::processSourceReference#
    {22, 725, 138},	// Okular::Document::qt_metacall$$?
    {22, 727, 133},	// Okular::Document::qt_metacast$
    {22, 728, 222},	// Okular::Document::quit
    {22, 735, 212},	// Okular::Document::registerView#
    {22, 739, 143},	// Okular::Document::removeObserver#
    {22, 741, 187},	// Okular::Document::removePageAnnotation$#
    {22, 743, 188},	// Okular::Document::removePageAnnotations$?
    {22, 744, 144},	// Okular::Document::reparseConfig
    {22, 749, 182},	// Okular::Document::requestPixmaps?
    {22, 750, 183},	// Okular::Document::requestPixmaps?$
    {22, 752, 184},	// Okular::Document::requestTextPage$
    {22, 754, 193},	// Okular::Document::resetSearch$
    {22, 759, 171},	// Okular::Document::rotation
    {22, 765, 210},	// Okular::Document::saveChanges$
    {22, 766, 211},	// Okular::Document::saveChanges$$
    {22, 768, 216},	// Okular::Document::saveDocumentArchive$
    {22, 773, 234},	// Okular::Document::searchFinished$$
    {22, 775, 244},	// Okular::Document::searchText$$$$$$#
    {22, 776, 190},	// Okular::Document::searchText$$$$$$#$
    {22, 887, 180},	// Okular::Document::setNextDocumentDestination$
    {22, 889, 179},	// Okular::Document::setNextDocumentViewport#
    {22, 890, 178},	// Okular::Document::setNextViewport
    {22, 898, 219},	// Okular::Document::setPageSize#
    {22, 900, 189},	// Okular::Document::setPageTextSelection$##
    {22, 903, 177},	// Okular::Document::setPrevViewport
    {22, 909, 218},	// Okular::Document::setRotation$
    {22, 947, 241},	// Okular::Document::setViewport#
    {22, 948, 242},	// Okular::Document::setViewport#$
    {22, 949, 176},	// Okular::Document::setViewport#$$
    {22, 951, 239},	// Okular::Document::setViewportPage$
    {22, 952, 240},	// Okular::Document::setViewportPage$$
    {22, 953, 175},	// Okular::Document::setViewportPage$$$
    {22, 955, 237},	// Okular::Document::setVisiblePageRects?
    {22, 956, 155},	// Okular::Document::setVisiblePageRects?$
    {22, 964, 243},	// Okular::Document::setZoom$
    {22, 965, 181},	// Okular::Document::setZoom$$
    {22, 980, 149},	// Okular::Document::startFontReading
    {22, 983, 245},	// Okular::Document::staticMetaObject
    {22, 984, 150},	// Okular::Document::stopFontReading
    {22, 991, 207},	// Okular::Document::supportedMimeTypes
    {22, 992, 162},	// Okular::Document::supportsPageSizes
    {22, 993, 201},	// Okular::Document::supportsPrintToFile
    {22, 994, 161},	// Okular::Document::supportsSearching
    {22, 1014, 235},	// Okular::Document::tr$
    {22, 1015, 134},	// Okular::Document::tr$$
    {22, 1016, 136},	// Okular::Document::tr$$$
    {22, 1018, 236},	// Okular::Document::trUtf8$
    {22, 1019, 135},	// Okular::Document::trUtf8$$
    {22, 1020, 137},	// Okular::Document::trUtf8$$$
    {22, 1037, 213},	// Okular::Document::unregisterView#
    {22, 1042, 154},	// Okular::Document::viewport
    {22, 1044, 156},	// Okular::Document::visiblePageRects
    {22, 1047, 229},	// Okular::Document::warning$$
    {22, 1048, 145},	// Okular::Document::widget
    {22, 1061, 259},	// Okular::Document::~Document
    {23, 50, 275},	// Okular::DocumentAction::Close
    {23, 75, 260},	// Okular::DocumentAction::DocumentAction$
    {23, 88, 272},	// Okular::DocumentAction::EndPresentation
    {23, 106, 273},	// Okular::DocumentAction::Find
    {23, 128, 274},	// Okular::DocumentAction::GoToPage
    {23, 143, 268},	// Okular::DocumentAction::HistoryBack
    {23, 144, 269},	// Okular::DocumentAction::HistoryForward
    {23, 238, 264},	// Okular::DocumentAction::PageFirst
    {23, 239, 267},	// Okular::DocumentAction::PageLast
    {23, 240, 266},	// Okular::DocumentAction::PageNext
    {23, 241, 265},	// Okular::DocumentAction::PagePrev
    {23, 257, 271},	// Okular::DocumentAction::Presentation
    {23, 279, 270},	// Okular::DocumentAction::Quit
    {23, 369, 262},	// Okular::DocumentAction::actionTip
    {23, 370, 261},	// Okular::DocumentAction::actionType
    {23, 481, 263},	// Okular::DocumentAction::documentActionType
    {23, 1062, 276},	// Okular::DocumentAction::~DocumentAction
    {24, 28, 288},	// Okular::DocumentInfo::Author
    {24, 45, 296},	// Okular::DocumentInfo::Category
    {24, 58, 291},	// Okular::DocumentInfo::Copyright
    {24, 60, 293},	// Okular::DocumentInfo::CreationDate
    {24, 61, 289},	// Okular::DocumentInfo::Creator
    {24, 67, 287},	// Okular::DocumentInfo::Description
    {24, 76, 277},	// Okular::DocumentInfo::DocumentInfo
    {24, 77, 283},	// Okular::DocumentInfo::DocumentInfo#
    {24, 78, 299},	// Okular::DocumentInfo::DocumentSize
    {24, 102, 298},	// Okular::DocumentInfo::FilePath
    {24, 174, 297},	// Okular::DocumentInfo::Keywords
    {24, 200, 295},	// Okular::DocumentInfo::MimeType
    {24, 201, 294},	// Okular::DocumentInfo::ModificationDate
    {24, 249, 292},	// Okular::DocumentInfo::Pages
    {24, 250, 300},	// Okular::DocumentInfo::PagesSize
    {24, 267, 290},	// Okular::DocumentInfo::Producer
    {24, 320, 286},	// Okular::DocumentInfo::Subject
    {24, 339, 285},	// Okular::DocumentInfo::Title
    {24, 539, 280},	// Okular::DocumentInfo::get$
    {24, 541, 281},	// Okular::DocumentInfo::getKeyString$
    {24, 543, 282},	// Okular::DocumentInfo::getKeyTitle$
    {24, 778, -34},	// Okular::DocumentInfo::set$$
    {24, 779, 278},	// Okular::DocumentInfo::set$$$
    {24, 1063, 301},	// Okular::DocumentInfo::~DocumentInfo
    {26, 79, 302},	// Okular::DocumentSynopsis::DocumentSynopsis
    {26, 80, -7},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {26, 1064, 305},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {27, 46, 315},	// Okular::DocumentViewport::Center
    {27, 81, 312},	// Okular::DocumentViewport::DocumentViewport
    {27, 82, 311},	// Okular::DocumentViewport::DocumentViewport#
    {27, 83, -10},	// Okular::DocumentViewport::DocumentViewport$
    {27, 341, 316},	// Okular::DocumentViewport::TopLeft
    {27, 591, 309},	// Okular::DocumentViewport::isValid
    {27, 658, 310},	// Okular::DocumentViewport::operator==#
    {27, 687, 313},	// Okular::DocumentViewport::pageNumber
    {27, 896, 314},	// Okular::DocumentViewport::setPageNumber$
    {27, 1010, 308},	// Okular::DocumentViewport::toString
    {27, 1065, 317},	// Okular::DocumentViewport::~DocumentViewport
    {28, 85, 318},	// Okular::EmbeddedFile::EmbeddedFile
    {28, 86, 325},	// Okular::EmbeddedFile::EmbeddedFile#
    {28, 448, 324},	// Okular::EmbeddedFile::creationDate
    {28, 457, 321},	// Okular::EmbeddedFile::data
    {28, 466, 320},	// Okular::EmbeddedFile::description
    {28, 629, 323},	// Okular::EmbeddedFile::modificationDate
    {28, 634, 319},	// Okular::EmbeddedFile::name
    {28, 972, 322},	// Okular::EmbeddedFile::size
    {28, 1066, 326},	// Okular::EmbeddedFile::~EmbeddedFile
    {29, 91, 327},	// Okular::ExecuteAction::ExecuteAction$$
    {29, 369, 329},	// Okular::ExecuteAction::actionTip
    {29, 370, 328},	// Okular::ExecuteAction::actionType
    {29, 507, 330},	// Okular::ExecuteAction::fileName
    {29, 698, 331},	// Okular::ExecuteAction::parameters
    {29, 1067, 332},	// Okular::ExecuteAction::~ExecuteAction
    {30, 92, 333},	// Okular::ExportFormat::ExportFormat
    {30, 93, 336},	// Okular::ExportFormat::ExportFormat#
    {30, 94, 335},	// Okular::ExportFormat::ExportFormat#$?
    {30, 95, 334},	// Okular::ExportFormat::ExportFormat$?
    {30, 138, 348},	// Okular::ExportFormat::HTML
    {30, 231, 347},	// Okular::ExportFormat::OpenDocumentText
    {30, 235, 346},	// Okular::ExportFormat::PDF
    {30, 253, 345},	// Okular::ExportFormat::PlainText
    {30, 466, 338},	// Okular::ExportFormat::description
    {30, 565, 340},	// Okular::ExportFormat::icon
    {30, 585, 341},	// Okular::ExportFormat::isNull
    {30, 627, 339},	// Okular::ExportFormat::mimeType
    {30, 652, 344},	// Okular::ExportFormat::operator!=#
    {30, 656, 337},	// Okular::ExportFormat::operator=#
    {30, 658, 343},	// Okular::ExportFormat::operator==#
    {30, 979, 342},	// Okular::ExportFormat::standardFormat$
    {30, 1068, 349},	// Okular::ExportFormat::~ExportFormat
    {31, 99, 350},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {31, 100, 351},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {31, 494, 354},	// Okular::FileAttachmentAnnotation::embeddedFile
    {31, 506, 352},	// Okular::FileAttachmentAnnotation::fileIconName
    {31, 819, 355},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {31, 826, 353},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {31, 986, 357},	// Okular::FileAttachmentAnnotation::store##
    {31, 990, 356},	// Okular::FileAttachmentAnnotation::subType
    {31, 1069, 358},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {32, 25, 395},	// Okular::FilePrinter::ApplicationDeletesFiles
    {32, 26, 397},	// Okular::FilePrinter::ApplicationSelectsPages
    {32, 103, 389},	// Okular::FilePrinter::FilePrinter
    {32, 104, 390},	// Okular::FilePrinter::FilePrinter#
    {32, 321, 396},	// Okular::FilePrinter::SystemDeletesFiles
    {32, 322, 398},	// Okular::FilePrinter::SystemSelectsPages
    {32, 445, 375},	// Okular::FilePrinter::copies#$
    {32, 449, 367},	// Okular::FilePrinter::cupsAvailable
    {32, 451, 379},	// Okular::FilePrinter::cupsOptions#
    {32, 460, 377},	// Okular::FilePrinter::deleteFile#$$
    {32, 469, 374},	// Okular::FilePrinter::destination#$
    {32, 471, 371},	// Okular::FilePrinter::detectCupsConfig
    {32, 472, 370},	// Okular::FilePrinter::detectCupsService
    {32, 479, 372},	// Okular::FilePrinter::doPrintFiles#?$$$
    {32, 594, 376},	// Okular::FilePrinter::jobname#$
    {32, 620, 381},	// Okular::FilePrinter::mediaPageSize#
    {32, 622, 382},	// Okular::FilePrinter::mediaPaperSource#
    {32, 664, 386},	// Okular::FilePrinter::optionCollateCopies#
    {32, 666, 388},	// Okular::FilePrinter::optionCupsProperties#
    {32, 668, 384},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {32, 670, 380},	// Okular::FilePrinter::optionMedia#
    {32, 672, 383},	// Okular::FilePrinter::optionOrientation#
    {32, 674, 387},	// Okular::FilePrinter::optionPageMargins#
    {32, 676, 385},	// Okular::FilePrinter::optionPageOrder#
    {32, 683, 361},	// Okular::FilePrinter::pageList#$$?
    {32, 684, 362},	// Okular::FilePrinter::pageList#$?
    {32, 686, 364},	// Okular::FilePrinter::pageListToPageRange?
    {32, 689, 363},	// Okular::FilePrinter::pageRange#$?
    {32, 696, 378},	// Okular::FilePrinter::pages#$$$$
    {32, 699, 366},	// Okular::FilePrinter::pdf2psAvailable
    {32, 703, 373},	// Okular::FilePrinter::printArguments#$$$$$
    {32, 706, 369},	// Okular::FilePrinter::printError$
    {32, 708, 391},	// Okular::FilePrinter::printFile#$
    {32, 709, 392},	// Okular::FilePrinter::printFile#$$
    {32, 710, 393},	// Okular::FilePrinter::printFile#$$$
    {32, 711, 359},	// Okular::FilePrinter::printFile#$$$$
    {32, 713, 394},	// Okular::FilePrinter::printFiles#?
    {32, 714, 360},	// Okular::FilePrinter::printFiles#?$
    {32, 721, 365},	// Okular::FilePrinter::ps2pdfAvailable
    {32, 723, 368},	// Okular::FilePrinter::psPaperSize#
    {32, 1070, 399},	// Okular::FilePrinter::~FilePrinter
    {33, 36, 427},	// Okular::FontInfo::CIDTrueType
    {33, 37, 428},	// Okular::FontInfo::CIDTrueTypeOT
    {33, 38, 424},	// Okular::FontInfo::CIDType0
    {33, 39, 425},	// Okular::FontInfo::CIDType0C
    {33, 40, 426},	// Okular::FontInfo::CIDType0COT
    {33, 87, 434},	// Okular::FontInfo::EmbeddedSubset
    {33, 110, 400},	// Okular::FontInfo::FontInfo
    {33, 111, 401},	// Okular::FontInfo::FontInfo#
    {33, 121, 435},	// Okular::FontInfo::FullyEmbedded
    {33, 223, 433},	// Okular::FontInfo::NotEmbedded
    {33, 323, 431},	// Okular::FontInfo::TeXFontMetric
    {33, 324, 432},	// Okular::FontInfo::TeXFreeTypeHandled
    {33, 325, 429},	// Okular::FontInfo::TeXPK
    {33, 326, 430},	// Okular::FontInfo::TeXVirtual
    {33, 342, 422},	// Okular::FontInfo::TrueType
    {33, 343, 423},	// Okular::FontInfo::TrueTypeOT
    {33, 344, 418},	// Okular::FontInfo::Type1
    {33, 345, 419},	// Okular::FontInfo::Type1C
    {33, 346, 420},	// Okular::FontInfo::Type1COT
    {33, 347, 421},	// Okular::FontInfo::Type3
    {33, 352, 417},	// Okular::FontInfo::Unknown
    {33, 412, 410},	// Okular::FontInfo::canBeExtracted
    {33, 493, 406},	// Okular::FontInfo::embedType
    {33, 505, 408},	// Okular::FontInfo::file
    {33, 634, 402},	// Okular::FontInfo::name
    {33, 635, 413},	// Okular::FontInfo::nativeId
    {33, 652, 416},	// Okular::FontInfo::operator!=#
    {33, 656, 414},	// Okular::FontInfo::operator=#
    {33, 658, 415},	// Okular::FontInfo::operator==#
    {33, 797, 411},	// Okular::FontInfo::setCanBeExtracted$
    {33, 817, 407},	// Okular::FontInfo::setEmbedType$
    {33, 824, 409},	// Okular::FontInfo::setFile$
    {33, 883, 403},	// Okular::FontInfo::setName$
    {33, 885, 412},	// Okular::FontInfo::setNativeId#
    {33, 943, 405},	// Okular::FontInfo::setType$
    {33, 1033, 404},	// Okular::FontInfo::type
    {33, 1071, 436},	// Okular::FontInfo::~FontInfo
    {34, 112, 449},	// Okular::FormField::FormButton
    {34, 113, 451},	// Okular::FormField::FormChoice
    {34, 115, 445},	// Okular::FormField::FormField#
    {34, 119, 452},	// Okular::FormField::FormSignature
    {34, 120, 450},	// Okular::FormField::FormText
    {34, 371, 444},	// Okular::FormField::activationAction
    {34, 456, -16},	// Okular::FormField::d_func
    {34, 566, 439},	// Okular::FormField::id
    {34, 588, 442},	// Okular::FormField::isReadOnly
    {34, 592, 443},	// Okular::FormField::isVisible
    {34, 634, 440},	// Okular::FormField::name
    {34, 732, 438},	// Okular::FormField::rect
    {34, 781, 448},	// Okular::FormField::setActivationAction#
    {34, 1033, 437},	// Okular::FormField::type
    {34, 1034, 441},	// Okular::FormField::uiName
    {34, 1072, 453},	// Okular::FormField::~FormField
    {35, 48, 461},	// Okular::FormFieldButton::CheckBox
    {35, 116, 459},	// Okular::FormFieldButton::FormFieldButton
    {35, 268, 460},	// Okular::FormFieldButton::Push
    {35, 282, 462},	// Okular::FormFieldButton::Radio
    {35, 409, 454},	// Okular::FormFieldButton::buttonType
    {35, 422, 455},	// Okular::FormFieldButton::caption
    {35, 927, 457},	// Okular::FormFieldButton::setState$
    {35, 967, 458},	// Okular::FormFieldButton::siblings
    {35, 981, 456},	// Okular::FormFieldButton::state
    {35, 1073, 463},	// Okular::FormFieldButton::~FormFieldButton
    {36, 54, 473},	// Okular::FormFieldChoice::ComboBox
    {36, 117, 472},	// Okular::FormFieldChoice::FormFieldChoice
    {36, 197, 474},	// Okular::FormFieldChoice::ListBox
    {36, 414, 471},	// Okular::FormFieldChoice::canBeSpellChecked
    {36, 427, 464},	// Okular::FormFieldChoice::choiceType
    {36, 428, 465},	// Okular::FormFieldChoice::choices
    {36, 452, 468},	// Okular::FormFieldChoice::currentChoices
    {36, 583, 466},	// Okular::FormFieldChoice::isEditable
    {36, 633, 467},	// Okular::FormFieldChoice::multiSelect
    {36, 808, 469},	// Okular::FormFieldChoice::setCurrentChoices?
    {36, 999, 470},	// Okular::FormFieldChoice::textAlignment
    {36, 1074, 475},	// Okular::FormFieldChoice::~FormFieldChoice
    {38, 105, 487},	// Okular::FormFieldText::FileSelect
    {38, 118, 484},	// Okular::FormFieldText::FormFieldText
    {38, 203, 486},	// Okular::FormFieldText::Multiline
    {38, 214, 485},	// Okular::FormFieldText::Normal
    {38, 414, 483},	// Okular::FormFieldText::canBeSpellChecked
    {38, 587, 479},	// Okular::FormFieldText::isPassword
    {38, 590, 480},	// Okular::FormFieldText::isRichText
    {38, 618, 481},	// Okular::FormFieldText::maximumLength
    {38, 929, 478},	// Okular::FormFieldText::setText$
    {38, 996, 477},	// Okular::FormFieldText::text
    {38, 999, 482},	// Okular::FormFieldText::textAlignment
    {38, 1008, 476},	// Okular::FormFieldText::textType
    {38, 1075, 488},	// Okular::FormFieldText::~FormFieldText
    {39, 101, 555},	// Okular::Generator::FileConversionPrintError
    {39, 110, 545},	// Okular::Generator::FontInfo
    {39, 123, 534},	// Okular::Generator::Generator##?
    {39, 124, 496},	// Okular::Generator::Generator#?
    {39, 153, 559},	// Okular::Generator::InvalidPrinterStatePrintError
    {39, 206, 562},	// Okular::Generator::NoBinaryToPrintError
    {39, 208, 561},	// Okular::Generator::NoFileToPrintError
    {39, 211, 552},	// Okular::Generator::NoPrintError
    {39, 213, 550},	// Okular::Generator::None
    {39, 245, 546},	// Okular::Generator::PageSizes
    {39, 254, 551},	// Okular::Generator::Points
    {39, 261, 547},	// Okular::Generator::PrintNative
    {39, 262, 548},	// Okular::Generator::PrintPostscript
    {39, 263, 549},	// Okular::Generator::PrintToFile
    {39, 264, 558},	// Okular::Generator::PrintToFilePrintError
    {39, 265, 556},	// Okular::Generator::PrintingProcessCrashPrintError
    {39, 266, 557},	// Okular::Generator::PrintingProcessStartPrintError
    {39, 284, 544},	// Okular::Generator::ReadRawData
    {39, 327, 554},	// Okular::Generator::TemporaryFileOpenPrintError
    {39, 335, 543},	// Okular::Generator::TextExtraction
    {39, 338, 542},	// Okular::Generator::Threaded
    {39, 349, 560},	// Okular::Generator::UnableToFindFilePrintError
    {39, 353, 553},	// Okular::Generator::UnknownPrintError
    {39, 417, 500},	// Okular::Generator::canGeneratePixmap
    {39, 418, 502},	// Okular::Generator::canGenerateTextPage
    {39, 430, 499},	// Okular::Generator::closeDocument
    {39, 456, -1},	// Okular::Generator::d_func
    {39, 477, 523},	// Okular::Generator::doCloseDocument
    {39, 480, 526},	// Okular::Generator::document
    {39, 484, 540},	// Okular::Generator::documentMetaData$
    {39, 485, 528},	// Okular::Generator::documentMetaData$#
    {39, 492, 532},	// Okular::Generator::dynamicSourceReference$$$
    {39, 495, 507},	// Okular::Generator::embeddedFiles
    {39, 497, 518},	// Okular::Generator::error$$
    {39, 500, 515},	// Okular::Generator::exportFormats
    {39, 502, 516},	// Okular::Generator::exportTo$#
    {39, 522, 506},	// Okular::Generator::fontsForPage$
    {39, 526, 504},	// Okular::Generator::generateDocumentInfo
    {39, 527, 505},	// Okular::Generator::generateDocumentSynopsis
    {39, 529, 501},	// Okular::Generator::generatePixmap#
    {39, 531, 503},	// Okular::Generator::generateTextPage#
    {39, 549, 517},	// Okular::Generator::hasFeature$
    {39, 568, 524},	// Okular::Generator::image#
    {39, 581, 509},	// Okular::Generator::isAllowed$
    {39, 610, 497},	// Okular::Generator::loadDocument$?
    {39, 612, 498},	// Okular::Generator::loadDocumentFromData#?
    {39, 625, 514},	// Okular::Generator::metaData$#
    {39, 626, 489},	// Okular::Generator::metaObject
    {39, 639, 520},	// Okular::Generator::notice$$
    {39, 691, 512},	// Okular::Generator::pageSizeChanged##
    {39, 694, 511},	// Okular::Generator::pageSizes
    {39, 697, 508},	// Okular::Generator::pagesSizeMetric
    {39, 701, 513},	// Okular::Generator::print#
    {39, 705, 533},	// Okular::Generator::printError
    {39, 725, 495},	// Okular::Generator::qt_metacall$$?
    {39, 727, 490},	// Okular::Generator::qt_metacast$
    {39, 747, 531},	// Okular::Generator::requestFontData##
    {39, 761, 510},	// Okular::Generator::rotationChanged$$
    {39, 821, 539},	// Okular::Generator::setFeature$
    {39, 822, 527},	// Okular::Generator::setFeature$$
    {39, 969, 521},	// Okular::Generator::signalPixmapRequestDone#
    {39, 971, 522},	// Okular::Generator::signalTextGenerationDone##
    {39, 983, 541},	// Okular::Generator::staticMetaObject
    {39, 1005, 525},	// Okular::Generator::textPage#
    {39, 1014, 537},	// Okular::Generator::tr$
    {39, 1015, 491},	// Okular::Generator::tr$$
    {39, 1016, 493},	// Okular::Generator::tr$$$
    {39, 1018, 538},	// Okular::Generator::trUtf8$
    {39, 1019, 492},	// Okular::Generator::trUtf8$$
    {39, 1020, 494},	// Okular::Generator::trUtf8$$$
    {39, 1039, 530},	// Okular::Generator::updatePageBoundingBox$#
    {39, 1041, 529},	// Okular::Generator::userMutex
    {39, 1047, 519},	// Okular::Generator::warning$$
    {39, 1076, 563},	// Okular::Generator::~Generator
    {41, 125, 564},	// Okular::GeomAnnotation::GeomAnnotation
    {41, 126, 565},	// Okular::GeomAnnotation::GeomAnnotation#
    {41, 150, 575},	// Okular::GeomAnnotation::InscribedCircle
    {41, 151, 574},	// Okular::GeomAnnotation::InscribedSquare
    {41, 533, 569},	// Okular::GeomAnnotation::geometricalInnerColor
    {41, 534, 571},	// Okular::GeomAnnotation::geometricalPointWidth
    {41, 535, 567},	// Okular::GeomAnnotation::geometricalType
    {41, 832, 568},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {41, 834, 570},	// Okular::GeomAnnotation::setGeometricalPointWidth$
    {41, 836, 566},	// Okular::GeomAnnotation::setGeometricalType$
    {41, 986, 573},	// Okular::GeomAnnotation::store##
    {41, 990, 572},	// Okular::GeomAnnotation::subType
    {41, 1077, 576},	// Okular::GeomAnnotation::~GeomAnnotation
    {42, 133, 577},	// Okular::GotoAction::GotoAction$#
    {42, 134, 578},	// Okular::GotoAction::GotoAction$$
    {42, 369, 580},	// Okular::GotoAction::actionTip
    {42, 370, 579},	// Okular::GotoAction::actionType
    {42, 467, 583},	// Okular::GotoAction::destViewport
    {42, 470, 584},	// Okular::GotoAction::destinationName
    {42, 507, 582},	// Okular::GotoAction::fileName
    {42, 584, 581},	// Okular::GotoAction::isExternal
    {42, 1078, 585},	// Okular::GotoAction::~GotoAction
    {43, 136, 587},	// Okular::GuiInterface::GuiInterface
    {43, 137, 588},	// Okular::GuiInterface::GuiInterface#
    {43, 546, 586},	// Okular::GuiInterface::guiClient
    {43, 1079, 589},	// Okular::GuiInterface::~GuiInterface
    {44, 140, 597},	// Okular::HighlightAnnotation::Highlight
    {44, 141, 590},	// Okular::HighlightAnnotation::HighlightAnnotation
    {44, 142, 591},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {44, 314, 598},	// Okular::HighlightAnnotation::Squiggly
    {44, 319, 600},	// Okular::HighlightAnnotation::StrikeOut
    {44, 351, 599},	// Okular::HighlightAnnotation::Underline
    {44, 561, 594},	// Okular::HighlightAnnotation::highlightQuads
    {44, 562, 593},	// Okular::HighlightAnnotation::highlightType
    {44, 838, 592},	// Okular::HighlightAnnotation::setHighlightType$
    {44, 986, 596},	// Okular::HighlightAnnotation::store##
    {44, 990, 595},	// Okular::HighlightAnnotation::subType
    {44, 1080, 601},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 148, 602},	// Okular::InkAnnotation::InkAnnotation
    {45, 149, 603},	// Okular::InkAnnotation::InkAnnotation#
    {45, 571, 605},	// Okular::InkAnnotation::inkPaths
    {45, 840, 604},	// Okular::InkAnnotation::setInkPaths?
    {45, 986, 608},	// Okular::InkAnnotation::store##
    {45, 990, 607},	// Okular::InkAnnotation::subType
    {45, 1026, 606},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1081, 609},	// Okular::InkAnnotation::~InkAnnotation
    {46, 27, 644},	// Okular::LineAnnotation::Arrow
    {46, 35, 639},	// Okular::LineAnnotation::Butt
    {46, 49, 634},	// Okular::LineAnnotation::Circle
    {46, 51, 637},	// Okular::LineAnnotation::ClosedArrow
    {46, 68, 635},	// Okular::LineAnnotation::Diamond
    {46, 69, 645},	// Okular::LineAnnotation::Dimension
    {46, 194, 610},	// Okular::LineAnnotation::LineAnnotation
    {46, 195, 611},	// Okular::LineAnnotation::LineAnnotation#
    {46, 213, 638},	// Okular::LineAnnotation::None
    {46, 230, 636},	// Okular::LineAnnotation::OpenArrow
    {46, 255, 646},	// Okular::LineAnnotation::PolygonCloud
    {46, 280, 641},	// Okular::LineAnnotation::RClosedArrow
    {46, 281, 640},	// Okular::LineAnnotation::ROpenArrow
    {46, 296, 642},	// Okular::LineAnnotation::Slash
    {46, 313, 633},	// Okular::LineAnnotation::Square
    {46, 352, 643},	// Okular::LineAnnotation::Unknown
    {46, 597, 620},	// Okular::LineAnnotation::lineClosed
    {46, 598, 618},	// Okular::LineAnnotation::lineEndStyle
    {46, 599, 622},	// Okular::LineAnnotation::lineInnerColor
    {46, 600, 630},	// Okular::LineAnnotation::lineIntent
    {46, 601, 626},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 602, 624},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 603, 613},	// Okular::LineAnnotation::linePoints
    {46, 604, 616},	// Okular::LineAnnotation::lineStartStyle
    {46, 856, 619},	// Okular::LineAnnotation::setLineClosed$
    {46, 858, 617},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 860, 621},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 862, 629},	// Okular::LineAnnotation::setLineIntent$
    {46, 864, 625},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 866, 623},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 868, 612},	// Okular::LineAnnotation::setLinePoints?
    {46, 870, 615},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 915, 627},	// Okular::LineAnnotation::setShowCaption$
    {46, 966, 628},	// Okular::LineAnnotation::showCaption
    {46, 986, 632},	// Okular::LineAnnotation::store##
    {46, 990, 631},	// Okular::LineAnnotation::subType
    {46, 1029, 614},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1082, 647},	// Okular::LineAnnotation::~LineAnnotation
    {47, 215, 648},	// Okular::NormalizedPoint::NormalizedPoint
    {47, 216, 653},	// Okular::NormalizedPoint::NormalizedPoint#
    {47, 217, 649},	// Okular::NormalizedPoint::NormalizedPoint$$
    {47, 218, 650},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {47, 656, 651},	// Okular::NormalizedPoint::operator=#
    {47, 958, 655},	// Okular::NormalizedPoint::setX$
    {47, 962, 657},	// Okular::NormalizedPoint::setY$
    {47, 1022, 652},	// Okular::NormalizedPoint::transform#
    {47, 1051, 654},	// Okular::NormalizedPoint::x
    {47, 1053, 656},	// Okular::NormalizedPoint::y
    {47, 1083, 658},	// Okular::NormalizedPoint::~NormalizedPoint
    {48, 219, 659},	// Okular::NormalizedRect::NormalizedRect
    {48, 220, 662},	// Okular::NormalizedRect::NormalizedRect#
    {48, 221, 661},	// Okular::NormalizedRect::NormalizedRect#$$
    {48, 222, 660},	// Okular::NormalizedRect::NormalizedRect$$$$
    {48, 404, 683},	// Okular::NormalizedRect::bottom
    {48, 424, 675},	// Okular::NormalizedRect::center
    {48, 436, 666},	// Okular::NormalizedRect::contains$$
    {48, 525, 664},	// Okular::NormalizedRect::fromQRectF#
    {48, 537, 670},	// Okular::NormalizedRect::geometry$$
    {48, 578, -13},	// Okular::NormalizedRect::intersects#
    {48, 579, 669},	// Okular::NormalizedRect::intersects$$$$
    {48, 585, 665},	// Okular::NormalizedRect::isNull
    {48, 596, 677},	// Okular::NormalizedRect::left
    {48, 654, 673},	// Okular::NormalizedRect::operator&#
    {48, 656, 663},	// Okular::NormalizedRect::operator=#
    {48, 658, 674},	// Okular::NormalizedRect::operator==#
    {48, 660, 671},	// Okular::NormalizedRect::operator|#
    {48, 662, 672},	// Okular::NormalizedRect::operator|=#
    {48, 756, 681},	// Okular::NormalizedRect::right
    {48, 791, 684},	// Okular::NormalizedRect::setBottom$
    {48, 854, 678},	// Okular::NormalizedRect::setLeft$
    {48, 907, 682},	// Okular::NormalizedRect::setRight$
    {48, 939, 680},	// Okular::NormalizedRect::setTop$
    {48, 1011, 679},	// Okular::NormalizedRect::top
    {48, 1022, 676},	// Okular::NormalizedRect::transform#
    {48, 1084, 685},	// Okular::NormalizedRect::~NormalizedRect
    {49, 14, 705},	// Okular::ObjectRect::Action
    {49, 146, 706},	// Okular::ObjectRect::Image
    {49, 224, 707},	// Okular::ObjectRect::OAnnotation
    {49, 226, 696},	// Okular::ObjectRect::ObjectRect#
    {49, 227, 688},	// Okular::ObjectRect::ObjectRect#$$
    {49, 228, 687},	// Okular::ObjectRect::ObjectRect#$$$
    {49, 229, 686},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {49, 305, 708},	// Okular::ObjectRect::SourceRef
    {49, 407, 692},	// Okular::ObjectRect::boundingRect$$
    {49, 437, 693},	// Okular::ObjectRect::contains$$$$
    {49, 476, 695},	// Okular::ObjectRect::distanceSqr$$$$
    {49, 614, 699},	// Okular::ObjectRect::m_object
    {49, 615, 697},	// Okular::ObjectRect::m_objectType
    {49, 616, 701},	// Okular::ObjectRect::m_path
    {49, 617, 703},	// Okular::ObjectRect::m_transformedPath
    {49, 641, 690},	// Okular::ObjectRect::object
    {49, 644, 689},	// Okular::ObjectRect::objectType
    {49, 733, 691},	// Okular::ObjectRect::region
    {49, 873, 700},	// Okular::ObjectRect::setM_object$
    {49, 875, 698},	// Okular::ObjectRect::setM_objectType$
    {49, 877, 702},	// Okular::ObjectRect::setM_path#
    {49, 879, 704},	// Okular::ObjectRect::setM_transformedPath#
    {49, 1022, 694},	// Okular::ObjectRect::transform#
    {49, 1085, 709},	// Okular::ObjectRect::~ObjectRect
    {50, 52, 763},	// Okular::Page::Closing
    {50, 232, 762},	// Okular::Page::Opening
    {50, 237, 710},	// Okular::Page::Page$$$$
    {50, 375, 747},	// Okular::Page::addAnnotation#
    {50, 394, 734},	// Okular::Page::annotations
    {50, 405, 718},	// Okular::Page::boundingBox
    {50, 458, 756},	// Okular::Page::deleteAnnotations
    {50, 462, 752},	// Okular::Page::deletePixmap$
    {50, 463, 753},	// Okular::Page::deletePixmaps
    {50, 464, 754},	// Okular::Page::deleteRects
    {50, 465, 755},	// Okular::Page::deleteSourceReferences
    {50, 490, 742},	// Okular::Page::duration
    {50, 513, 760},	// Okular::Page::findText$$$$
    {50, 514, 727},	// Okular::Page::findText$$$$#
    {50, 523, 736},	// Okular::Page::formFields
    {50, 547, 726},	// Okular::Page::hasAnnotations
    {50, 550, 759},	// Okular::Page::hasHighlights
    {50, 551, 724},	// Okular::Page::hasHighlights$
    {50, 553, 723},	// Okular::Page::hasObjectRect$$$$
    {50, 555, 757},	// Okular::Page::hasPixmap$
    {50, 556, 758},	// Okular::Page::hasPixmap$$
    {50, 557, 721},	// Okular::Page::hasPixmap$$$
    {50, 558, 722},	// Okular::Page::hasTextPage
    {50, 559, 725},	// Okular::Page::hasTransition
    {50, 560, 716},	// Okular::Page::height
    {50, 582, 719},	// Okular::Page::isBoundingBoxKnown
    {50, 595, 744},	// Okular::Page::label
    {50, 637, 732},	// Okular::Page::nearestObjectRect$$$$$$
    {50, 640, 711},	// Okular::Page::number
    {50, 643, 731},	// Okular::Page::objectRect$$$$$
    {50, 677, 712},	// Okular::Page::orientation
    {50, 681, 735},	// Okular::Page::pageAction$
    {50, 729, 717},	// Okular::Page::ratio
    {50, 737, 748},	// Okular::Page::removeAnnotation#
    {50, 759, 713},	// Okular::Page::rotation
    {50, 793, 720},	// Okular::Page::setBoundingBox#
    {50, 815, 741},	// Okular::Page::setDuration$
    {50, 830, 751},	// Okular::Page::setFormFields?
    {50, 852, 743},	// Okular::Page::setLabel$
    {50, 892, 739},	// Okular::Page::setObjectRects?
    {50, 894, 750},	// Okular::Page::setPageAction$#
    {50, 902, 737},	// Okular::Page::setPixmap$#
    {50, 923, 740},	// Okular::Page::setSourceReferences?
    {50, 935, 738},	// Okular::Page::setTextPage#
    {50, 941, 749},	// Okular::Page::setTransition#
    {50, 996, 761},	// Okular::Page::text
    {50, 997, 728},	// Okular::Page::text#
    {50, 998, 729},	// Okular::Page::text#$
    {50, 1001, 730},	// Okular::Page::textArea#
    {50, 1006, 745},	// Okular::Page::textSelection
    {50, 1007, 746},	// Okular::Page::textSelectionColor
    {50, 1012, 714},	// Okular::Page::totalOrientation
    {50, 1030, 733},	// Okular::Page::transition
    {50, 1049, 715},	// Okular::Page::width
    {50, 1086, 764},	// Okular::Page::~Page
    {51, 242, 765},	// Okular::PageSize::PageSize
    {51, 243, 767},	// Okular::PageSize::PageSize#
    {51, 244, 766},	// Okular::PageSize::PageSize$$$
    {51, 560, 769},	// Okular::PageSize::height
    {51, 585, 771},	// Okular::PageSize::isNull
    {51, 634, 770},	// Okular::PageSize::name
    {51, 652, 774},	// Okular::PageSize::operator!=#
    {51, 656, 772},	// Okular::PageSize::operator=#
    {51, 658, 773},	// Okular::PageSize::operator==#
    {51, 1049, 768},	// Okular::PageSize::width
    {51, 1087, 775},	// Okular::PageSize::~PageSize
    {52, 30, 796},	// Okular::PageTransition::Blinds
    {52, 31, 797},	// Okular::PageTransition::Box
    {52, 59, 803},	// Okular::PageTransition::Cover
    {52, 70, 799},	// Okular::PageTransition::Dissolve
    {52, 98, 805},	// Okular::PageTransition::Fade
    {52, 109, 801},	// Okular::PageTransition::Fly
    {52, 127, 800},	// Okular::PageTransition::Glitter
    {52, 145, 806},	// Okular::PageTransition::Horizontal
    {52, 154, 808},	// Okular::PageTransition::Inward
    {52, 233, 809},	// Okular::PageTransition::Outward
    {52, 246, 793},	// Okular::PageTransition::PageTransition
    {52, 247, 777},	// Okular::PageTransition::PageTransition#
    {52, 248, 776},	// Okular::PageTransition::PageTransition$
    {52, 268, 802},	// Okular::PageTransition::Push
    {52, 289, 794},	// Okular::PageTransition::Replace
    {52, 312, 795},	// Okular::PageTransition::Split
    {52, 350, 804},	// Okular::PageTransition::Uncover
    {52, 357, 807},	// Okular::PageTransition::Vertical
    {52, 362, 798},	// Okular::PageTransition::Wipe
    {52, 388, 781},	// Okular::PageTransition::alignment
    {52, 390, 783},	// Okular::PageTransition::angle
    {52, 473, 782},	// Okular::PageTransition::direction
    {52, 490, 780},	// Okular::PageTransition::duration
    {52, 589, 785},	// Okular::PageTransition::isRectangular
    {52, 656, 778},	// Okular::PageTransition::operator=#
    {52, 769, 784},	// Okular::PageTransition::scale
    {52, 783, 788},	// Okular::PageTransition::setAlignment$
    {52, 785, 790},	// Okular::PageTransition::setAngle$
    {52, 811, 789},	// Okular::PageTransition::setDirection$
    {52, 815, 787},	// Okular::PageTransition::setDuration$
    {52, 850, 792},	// Okular::PageTransition::setIsRectangular$
    {52, 913, 791},	// Okular::PageTransition::setScale$
    {52, 943, 786},	// Okular::PageTransition::setType$
    {52, 1033, 779},	// Okular::PageTransition::type
    {52, 1088, 810},	// Okular::PageTransition::~PageTransition
    {53, 252, 811},	// Okular::PixmapRequest::PixmapRequest$$$$$$
    {53, 398, 817},	// Okular::PixmapRequest::asynchronous
    {53, 560, 815},	// Okular::PixmapRequest::height
    {53, 566, 812},	// Okular::PixmapRequest::id
    {53, 678, 818},	// Okular::PixmapRequest::page
    {53, 687, 813},	// Okular::PixmapRequest::pageNumber
    {53, 716, 816},	// Okular::PixmapRequest::priority
    {53, 1049, 814},	// Okular::PixmapRequest::width
    {53, 1089, 819},	// Okular::PixmapRequest::~PixmapRequest
    {54, 259, 821},	// Okular::PrintInterface::PrintInterface
    {54, 260, 822},	// Okular::PrintInterface::PrintInterface#
    {54, 704, 820},	// Okular::PrintInterface::printConfigurationWidget
    {54, 1090, 823},	// Okular::PrintInterface::~PrintInterface
    {55, 285, 824},	// Okular::RegularAreaRect::RegularAreaRect
    {55, 286, 825},	// Okular::RegularAreaRect::RegularAreaRect#
    {55, 656, 826},	// Okular::RegularAreaRect::operator=#
    {55, 1091, 827},	// Okular::RegularAreaRect::~RegularAreaRect
    {56, 293, 828},	// Okular::ScriptAction::ScriptAction$$
    {56, 369, 830},	// Okular::ScriptAction::actionTip
    {56, 370, 829},	// Okular::ScriptAction::actionType
    {56, 770, 832},	// Okular::ScriptAction::script
    {56, 771, 831},	// Okular::ScriptAction::scriptType
    {56, 1092, 833},	// Okular::ScriptAction::~ScriptAction
    {57, 6, 852},	// Okular::Sound::ALaw
    {57, 84, 848},	// Okular::Sound::Embedded
    {57, 96, 847},	// Okular::Sound::External
    {57, 283, 849},	// Okular::Sound::Raw
    {57, 295, 850},	// Okular::Sound::Signed
    {57, 299, 834},	// Okular::Sound::Sound#
    {57, 300, 835},	// Okular::Sound::Sound$
    {57, 400, 844},	// Okular::Sound::bitsPerSample
    {57, 425, 842},	// Okular::Sound::channels
    {57, 457, 838},	// Okular::Sound::data
    {57, 632, 851},	// Okular::Sound::muLaw
    {57, 763, 840},	// Okular::Sound::samplingRate
    {57, 789, 843},	// Okular::Sound::setBitsPerSample$
    {57, 801, 841},	// Okular::Sound::setChannels$
    {57, 911, 839},	// Okular::Sound::setSamplingRate$
    {57, 919, 845},	// Okular::Sound::setSoundEncoding$
    {57, 974, 846},	// Okular::Sound::soundEncoding
    {57, 976, 836},	// Okular::Sound::soundType
    {57, 1040, 837},	// Okular::Sound::url
    {57, 1093, 853},	// Okular::Sound::~Sound
    {58, 302, 854},	// Okular::SoundAction::SoundAction$$$$#
    {58, 369, 856},	// Okular::SoundAction::actionTip
    {58, 370, 855},	// Okular::SoundAction::actionType
    {58, 628, 860},	// Okular::SoundAction::mix
    {58, 745, 859},	// Okular::SoundAction::repeat
    {58, 973, 861},	// Okular::SoundAction::sound
    {58, 995, 858},	// Okular::SoundAction::synchronous
    {58, 1045, 857},	// Okular::SoundAction::volume
    {58, 1094, 862},	// Okular::SoundAction::~SoundAction
    {59, 303, 863},	// Okular::SoundAnnotation::SoundAnnotation
    {59, 304, 864},	// Okular::SoundAnnotation::SoundAnnotation#
    {59, 917, 868},	// Okular::SoundAnnotation::setSound#
    {59, 921, 866},	// Okular::SoundAnnotation::setSoundIconName$
    {59, 973, 867},	// Okular::SoundAnnotation::sound
    {59, 975, 865},	// Okular::SoundAnnotation::soundIconName
    {59, 986, 870},	// Okular::SoundAnnotation::store##
    {59, 990, 869},	// Okular::SoundAnnotation::subType
    {59, 1095, 871},	// Okular::SoundAnnotation::~SoundAnnotation
    {60, 307, 875},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {60, 308, 872},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {60, 407, 873},	// Okular::SourceRefObjectRect::boundingRect$$
    {60, 437, 874},	// Okular::SourceRefObjectRect::contains$$$$
    {60, 1096, 876},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {61, 310, 881},	// Okular::SourceReference::SourceReference$$
    {61, 311, 877},	// Okular::SourceReference::SourceReference$$$
    {61, 431, 880},	// Okular::SourceReference::column
    {61, 507, 878},	// Okular::SourceReference::fileName
    {61, 762, 879},	// Okular::SourceReference::row
    {61, 1097, 882},	// Okular::SourceReference::~SourceReference
    {62, 315, 883},	// Okular::StampAnnotation::StampAnnotation
    {62, 316, 884},	// Okular::StampAnnotation::StampAnnotation#
    {62, 925, 885},	// Okular::StampAnnotation::setStampIconName$
    {62, 977, 886},	// Okular::StampAnnotation::stampIconName
    {62, 986, 888},	// Okular::StampAnnotation::store##
    {62, 990, 887},	// Okular::StampAnnotation::subType
    {62, 1098, 889},	// Okular::StampAnnotation::~StampAnnotation
    {63, 41, 912},	// Okular::TextAnnotation::Callout
    {63, 147, 910},	// Okular::TextAnnotation::InPlace
    {63, 196, 909},	// Okular::TextAnnotation::Linked
    {63, 328, 890},	// Okular::TextAnnotation::TextAnnotation
    {63, 329, 891},	// Okular::TextAnnotation::TextAnnotation#
    {63, 348, 913},	// Okular::TextAnnotation::TypeWriter
    {63, 352, 911},	// Okular::TextAnnotation::Unknown
    {63, 572, 899},	// Okular::TextAnnotation::inplaceAlignment
    {63, 574, 903},	// Okular::TextAnnotation::inplaceCallout$
    {63, 575, 906},	// Okular::TextAnnotation::inplaceIntent
    {63, 576, 901},	// Okular::TextAnnotation::inplaceText
    {63, 842, 898},	// Okular::TextAnnotation::setInplaceAlignment$
    {63, 844, 902},	// Okular::TextAnnotation::setInplaceCallout#$
    {63, 846, 905},	// Okular::TextAnnotation::setInplaceIntent$
    {63, 848, 900},	// Okular::TextAnnotation::setInplaceText$
    {63, 931, 896},	// Okular::TextAnnotation::setTextFont#
    {63, 933, 894},	// Okular::TextAnnotation::setTextIcon$
    {63, 937, 892},	// Okular::TextAnnotation::setTextType$
    {63, 986, 908},	// Okular::TextAnnotation::store##
    {63, 990, 907},	// Okular::TextAnnotation::subType
    {63, 1002, 897},	// Okular::TextAnnotation::textFont
    {63, 1003, 895},	// Okular::TextAnnotation::textIcon
    {63, 1008, 893},	// Okular::TextAnnotation::textType
    {63, 1028, 904},	// Okular::TextAnnotation::transformedInplaceCallout$
    {63, 1099, 914},	// Okular::TextAnnotation::~TextAnnotation
    {64, 330, 922},	// Okular::TextDocumentConverter::TextDocumentConverter
    {64, 373, 924},	// Okular::TextDocumentConverter::addAction#$$
    {64, 376, 925},	// Okular::TextDocumentConverter::addAnnotation#$$
    {64, 378, 928},	// Okular::TextDocumentConverter::addMetaData$$
    {64, 379, 927},	// Okular::TextDocumentConverter::addMetaData$$$
    {64, 387, 926},	// Okular::TextDocumentConverter::addTitle$$#
    {64, 411, 932},	// Okular::TextDocumentConverter::calculateViewport##
    {64, 443, 923},	// Okular::TextDocumentConverter::convert$
    {64, 497, 929},	// Okular::TextDocumentConverter::error$$
    {64, 532, 933},	// Okular::TextDocumentConverter::generator
    {64, 626, 915},	// Okular::TextDocumentConverter::metaObject
    {64, 639, 931},	// Okular::TextDocumentConverter::notice$$
    {64, 725, 921},	// Okular::TextDocumentConverter::qt_metacall$$?
    {64, 727, 916},	// Okular::TextDocumentConverter::qt_metacast$
    {64, 983, 936},	// Okular::TextDocumentConverter::staticMetaObject
    {64, 1014, 934},	// Okular::TextDocumentConverter::tr$
    {64, 1015, 917},	// Okular::TextDocumentConverter::tr$$
    {64, 1016, 919},	// Okular::TextDocumentConverter::tr$$$
    {64, 1018, 935},	// Okular::TextDocumentConverter::trUtf8$
    {64, 1019, 918},	// Okular::TextDocumentConverter::trUtf8$$
    {64, 1020, 920},	// Okular::TextDocumentConverter::trUtf8$$$
    {64, 1047, 930},	// Okular::TextDocumentConverter::warning$$
    {64, 1100, 937},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {65, 332, 945},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {65, 417, 947},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {65, 477, 954},	// Okular::TextDocumentGenerator::doCloseDocument
    {65, 500, 950},	// Okular::TextDocumentGenerator::exportFormats
    {65, 502, 951},	// Okular::TextDocumentGenerator::exportTo$#
    {65, 526, 952},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {65, 527, 953},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {65, 529, 948},	// Okular::TextDocumentGenerator::generatePixmap#
    {65, 610, 946},	// Okular::TextDocumentGenerator::loadDocument$?
    {65, 626, 938},	// Okular::TextDocumentGenerator::metaObject
    {65, 701, 949},	// Okular::TextDocumentGenerator::print#
    {65, 725, 944},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {65, 727, 939},	// Okular::TextDocumentGenerator::qt_metacast$
    {65, 983, 958},	// Okular::TextDocumentGenerator::staticMetaObject
    {65, 1005, 955},	// Okular::TextDocumentGenerator::textPage#
    {65, 1014, 956},	// Okular::TextDocumentGenerator::tr$
    {65, 1015, 940},	// Okular::TextDocumentGenerator::tr$$
    {65, 1016, 942},	// Okular::TextDocumentGenerator::tr$$$
    {65, 1018, 957},	// Okular::TextDocumentGenerator::trUtf8$
    {65, 1019, 941},	// Okular::TextDocumentGenerator::trUtf8$$
    {65, 1020, 943},	// Okular::TextDocumentGenerator::trUtf8$$$
    {65, 1101, 959},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {66, 334, 960},	// Okular::TextEntity::TextEntity$#
    {66, 397, 962},	// Okular::TextEntity::area
    {66, 996, 961},	// Okular::TextEntity::text
    {66, 1024, 963},	// Okular::TextEntity::transformedArea#
    {66, 1102, 964},	// Okular::TextEntity::~TextEntity
    {67, 24, 973},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {67, 47, 974},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {67, 336, 965},	// Okular::TextPage::TextPage
    {67, 337, 966},	// Okular::TextPage::TextPage?
    {67, 396, 967},	// Okular::TextPage::append$#
    {67, 514, 968},	// Okular::TextPage::findText$$$$#
    {67, 996, 972},	// Okular::TextPage::text
    {67, 997, 969},	// Okular::TextPage::text#
    {67, 998, 970},	// Okular::TextPage::text#$
    {67, 1001, 971},	// Okular::TextPage::textArea#
    {67, 1103, 975},	// Okular::TextPage::~TextPage
    {69, 355, 982},	// Okular::Utils::Utils
    {69, 356, 983},	// Okular::Utils::Utils#
    {69, 488, 977},	// Okular::Utils::dpiX
    {69, 489, 978},	// Okular::Utils::dpiY
    {69, 570, 981},	// Okular::Utils::imageBoundingBox#
    {69, 730, 979},	// Okular::Utils::realDpiX
    {69, 731, 980},	// Okular::Utils::realDpiY
    {69, 758, 976},	// Okular::Utils::rotateRect#$$$
    {69, 1104, 984},	// Okular::Utils::~Utils
    {71, 358, 987},	// Okular::VisiblePageRect::VisiblePageRect
    {71, 359, 986},	// Okular::VisiblePageRect::VisiblePageRect#
    {71, 360, 988},	// Okular::VisiblePageRect::VisiblePageRect$
    {71, 361, 985},	// Okular::VisiblePageRect::VisiblePageRect$#
    {71, 687, 989},	// Okular::VisiblePageRect::pageNumber
    {71, 732, 991},	// Okular::VisiblePageRect::rect
    {71, 896, 990},	// Okular::VisiblePageRect::setPageNumber$
    {71, 905, 992},	// Okular::VisiblePageRect::setRect#
    {71, 1105, 993},	// Okular::VisiblePageRect::~VisiblePageRect
    {83, 155, 1039},	// QGlobalSpace::KST_CTimeInfo
    {83, 156, 1013},	// QGlobalSpace::KST_KCustom
    {83, 157, 1007},	// QGlobalSpace::KST_KDEDesktopMimeType
    {83, 158, 1006},	// QGlobalSpace::KST_KFolderMimeType
    {83, 159, 1036},	// QGlobalSpace::KST_KImageIO
    {83, 160, 1010},	// QGlobalSpace::KST_KImageIOFormat
    {83, 161, 1005},	// QGlobalSpace::KST_KMimeType
    {83, 162, 1008},	// QGlobalSpace::KST_KMimeTypeEntry
    {83, 163, 1038},	// QGlobalSpace::KST_KMimeTypeFactory
    {83, 164, 1011},	// QGlobalSpace::KST_KProtocolInfo
    {83, 165, 1037},	// QGlobalSpace::KST_KProtocolInfoFactory
    {83, 166, 1003},	// QGlobalSpace::KST_KService
    {83, 167, 1033},	// QGlobalSpace::KST_KServiceFactory
    {83, 168, 1009},	// QGlobalSpace::KST_KServiceGroup
    {83, 169, 1035},	// QGlobalSpace::KST_KServiceGroupFactory
    {83, 170, 1012},	// QGlobalSpace::KST_KServiceSeparator
    {83, 171, 1004},	// QGlobalSpace::KST_KServiceType
    {83, 172, 1034},	// QGlobalSpace::KST_KServiceTypeFactory
    {83, 173, 1002},	// QGlobalSpace::KST_KSycocaEntry
    {83, 175, 1018},	// QGlobalSpace::LicensedActiveQt
    {83, 176, 1024},	// QGlobalSpace::LicensedCore
    {83, 177, 1016},	// QGlobalSpace::LicensedDBus
    {83, 178, 1021},	// QGlobalSpace::LicensedDeclarative
    {83, 179, 999},	// QGlobalSpace::LicensedGui
    {83, 180, 1030},	// QGlobalSpace::LicensedHelp
    {83, 181, 1031},	// QGlobalSpace::LicensedMultimedia
    {83, 182, 1041},	// QGlobalSpace::LicensedNetwork
    {83, 183, 1023},	// QGlobalSpace::LicensedOpenGL
    {83, 184, 1015},	// QGlobalSpace::LicensedOpenVG
    {83, 185, 1032},	// QGlobalSpace::LicensedQt3Support
    {83, 186, 1001},	// QGlobalSpace::LicensedQt3SupportLight
    {83, 187, 1014},	// QGlobalSpace::LicensedScript
    {83, 188, 1019},	// QGlobalSpace::LicensedScriptTools
    {83, 189, 1022},	// QGlobalSpace::LicensedSql
    {83, 190, 1020},	// QGlobalSpace::LicensedSvg
    {83, 191, 1017},	// QGlobalSpace::LicensedTest
    {83, 192, 1000},	// QGlobalSpace::LicensedXml
    {83, 193, 1040},	// QGlobalSpace::LicensedXmlPatterns
    {83, 269, 994},	// QGlobalSpace::Q_COMPLEX_TYPE
    {83, 270, 998},	// QGlobalSpace::Q_DUMMY_TYPE
    {83, 271, 997},	// QGlobalSpace::Q_MOVABLE_TYPE
    {83, 272, 995},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {83, 273, 996},	// QGlobalSpace::Q_STATIC_TYPE
    {83, 274, 1027},	// QGlobalSpace::QtCriticalMsg
    {83, 275, 1025},	// QGlobalSpace::QtDebugMsg
    {83, 276, 1028},	// QGlobalSpace::QtFatalMsg
    {83, 277, 1029},	// QGlobalSpace::QtSystemMsg
    {83, 278, 1026},	// QGlobalSpace::QtWarningMsg
    {83, 363, 1044},	// QGlobalSpace::__codecvt_error
    {83, 364, 1045},	// QGlobalSpace::__codecvt_noconv
    {83, 365, 1042},	// QGlobalSpace::__codecvt_ok
    {83, 366, 1043},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 102,
        __smokeokular::methods, 1053,
        __smokeokular::methodMaps, 1019,
        __smokeokular::methodNames, 1105,
        __smokeokular::types, 369,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
