#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 163: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 163: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 151: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 163: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 199: return (void*)(QWidget*)(KTabBar*)xptr;
        case 163: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 194: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 186: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 185: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 137: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 199: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 179: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 146: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 199: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 163: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 199: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 163: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 199: return (void*)(QWidget*)(QFrame*)xptr;
        case 163: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsProxyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsScene
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 137: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 199: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 146: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 148:   //QGroupBox
      switch(to) {
        case 148: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 149:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 149: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QIODevice
      switch(to) {
        case 163: return (void*)(QObject*)(QIODevice*)xptr;
        case 150: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 151:   //QIcon
      switch(to) {
        case 151: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 152:   //QImage
      switch(to) {
        case 152: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 153:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 153: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 154: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QLabel
      switch(to) {
        case 155: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 156:   //QMenu
      switch(to) {
        case 156: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 157:   //QMetaObject
      switch(to) {
        case 157: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 158:   //QMimeData
      switch(to) {
        case 163: return (void*)(QObject*)(QMimeData*)xptr;
        case 158: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 159:   //QModelIndex
      switch(to) {
        case 159: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 160:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 160: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 161: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMutex
      switch(to) {
        case 162: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 163:   //QObject
      switch(to) {
        case 163: return (void*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEngine
      switch(to) {
        case 164: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 165: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QPainter
      switch(to) {
        case 166: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 167:   //QPainterPath
      switch(to) {
        case 167: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 168:   //QPalette
      switch(to) {
        case 168: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 169:   //QPixmap
      switch(to) {
        case 169: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 170:   //QPoint
      switch(to) {
        case 170: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 171:   //QPointF
      switch(to) {
        case 171: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 172:   //QRadioButton
      switch(to) {
        case 172: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 173:   //QRect
      switch(to) {
        case 173: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 174:   //QRectF
      switch(to) {
        case 174: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 175:   //QRegExp
      switch(to) {
        case 175: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 176:   //QRegion
      switch(to) {
        case 176: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 177:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 177: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QScrollBar
      switch(to) {
        case 199: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 163: return (void*)(QObject*)(QScrollBar*)xptr;
        case 178: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 180: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSlider
      switch(to) {
        case 199: return (void*)(QWidget*)(QSlider*)xptr;
        case 163: return (void*)(QObject*)(QSlider*)xptr;
        case 183: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 184:   //QStyle
      switch(to) {
        case 163: return (void*)(QObject*)(QStyle*)xptr;
        case 184: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOption
      switch(to) {
        case 185: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionGraphicsItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 186: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionViewItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 187: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 188:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 188: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QTextDocument
      switch(to) {
        case 189: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 190:   //QTextOption
      switch(to) {
        case 190: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 191:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 191: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QToolButton
      switch(to) {
        case 192: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 193:   //QTreeView
      switch(to) {
        case 193: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 194:   //QUrl
      switch(to) {
        case 194: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWebFrame
      switch(to) {
        case 196: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 197:   //QWebPage
      switch(to) {
        case 197: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 198:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 198: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 199:   //QWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QWidget*)xptr;
        case 199: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    163, 0,	// 1: QObject
    147, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    136, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    186, 0,	// 17: QStyleOptionGraphicsItem
    137, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    199, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    163, 179, 0,	// 29: QObject, QSharedData
    146, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", true, 0, 0, 0, 0, 0 },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//147
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//148
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//150
    { "QIcon", true, 0, 0, 0, 0, 0 },	//151
    { "QImage", true, 0, 0, 0, 0, 0 },	//152
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QLabel", true, 0, 0, 0, 0, 0 },	//155
    { "QMenu", true, 0, 0, 0, 0, 0 },	//156
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//157
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//158
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//159
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMutex", true, 0, 0, 0, 0, 0 },	//162
    { "QObject", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QPainter", true, 0, 0, 0, 0, 0 },	//166
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//167
    { "QPalette", true, 0, 0, 0, 0, 0 },	//168
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//169
    { "QPoint", true, 0, 0, 0, 0, 0 },	//170
    { "QPointF", true, 0, 0, 0, 0, 0 },	//171
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//172
    { "QRect", true, 0, 0, 0, 0, 0 },	//173
    { "QRectF", true, 0, 0, 0, 0, 0 },	//174
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//175
    { "QRegion", true, 0, 0, 0, 0, 0 },	//176
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSlider", true, 0, 0, 0, 0, 0 },	//183
    { "QStyle", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//187
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//189
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//190
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//192
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//193
    { "QUrl", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//196
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//197
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//198
    { "QWidget", true, 0, 0, 0, 0, 0 },	//199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//21
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//28
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//58
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//65
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref },	//118
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//120
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//121
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//123
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//130
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//131
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//135
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//140
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//161
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//183
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//187
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//188
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//195
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//209
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//210
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsSceneContextMenuEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsSceneDragDropEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneHelpEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneHoverEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneMouseEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneMoveEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneResizeEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneWheelEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsWidget*", 147, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGroupBox*", 148, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//228
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "QHideEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QIODevice*", 150, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIcon", 151, Smoke::t_class|Smoke::tf_stack },	//233
    { "QImage&", 152, Smoke::t_class|Smoke::tf_ref },	//234
    { "QInputMethodEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QKeyEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QLabel*", 155, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//238
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//248
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//252
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//259
    { "QMenu*", 156, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QMetaObject::Call", 157, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QMimeData*", 158, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMouseEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QMoveEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QMutex*", 162, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QObject*", 163, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QPaintEngine*", 164, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QPaintEngine::Type", 164, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QPaintEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPainter*", 166, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QPainterPath", 167, Smoke::t_class|Smoke::tf_stack },	//272
    { "QPixmap", 169, Smoke::t_class|Smoke::tf_stack },	//273
    { "QPixmap&", 169, Smoke::t_class|Smoke::tf_ref },	//274
    { "QPoint", 170, Smoke::t_class|Smoke::tf_stack },	//275
    { "QPointF", 171, Smoke::t_class|Smoke::tf_stack },	//276
    { "QRadioButton*", 172, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QRect", 173, Smoke::t_class|Smoke::tf_stack },	//278
    { "QRectF", 174, Smoke::t_class|Smoke::tf_stack },	//279
    { "QRectF&", 174, Smoke::t_class|Smoke::tf_ref },	//280
    { "QRegExp&", 175, Smoke::t_class|Smoke::tf_ref },	//281
    { "QRegion", 176, Smoke::t_class|Smoke::tf_stack },	//282
    { "QResizeEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QScrollBar*", 178, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QShowEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QSize", 181, Smoke::t_class|Smoke::tf_stack },	//286
    { "QSizeF", 182, Smoke::t_class|Smoke::tf_stack },	//287
    { "QSlider*", 183, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//291
    { "QStyle&", 184, Smoke::t_class|Smoke::tf_ref },	//292
    { "QStyleOption*", 185, Smoke::t_class|Smoke::tf_ptr },	//293
    { "QTabletEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//294
    { "QTextDocument*", 189, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QTimerEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QToolButton*", 192, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTreeView*", 193, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//299
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "QWebFrame*", 196, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QWebPage*", 197, Smoke::t_class|Smoke::tf_ptr },	//302
    { "QWheelEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//303
    { "QWidget*", 199, Smoke::t_class|Smoke::tf_ptr },	//304
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//344
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//350
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForActiveQtModule", 133, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForCoreModule", 133, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForDBusModule", 133, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForDeclarativeModule", 133, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForGuiModule", 133, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForHelpModule", 133, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForMultimediaModule", 133, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForNetworkModule", 133, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForOpenGLModule", 133, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForOpenVGModule", 133, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForQt3SupportLightModule", 133, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForQt3SupportModule", 133, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForScriptModule", 133, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForScriptToolsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForSqlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForSvgModule", 133, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForTestModule", 133, Smoke::t_enum|Smoke::tf_stack },	//395
    { "QtValidLicenseForXmlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//396
    { "QtValidLicenseForXmlPatternsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//397
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//398
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//399
    { "__codecvt_result", 133, Smoke::t_enum|Smoke::tf_stack },	//400
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//401
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//409
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//418
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//421
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//438
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//440
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QIcon&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QImage&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QMetaObject&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QMetaObject*", 157, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//457
    { "const QModelIndex&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "const QPainterPath&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QPalette&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QPixmap&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPoint", 170, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//463
    { "const QPoint&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QPointF&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QRect&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QRectF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QRegExp&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QRegion&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//472
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//474
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//476
    { "const QStyleOptionGraphicsItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QStyleOptionGraphicsItem*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//478
    { "const QStyleOptionViewItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QTextOption&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QUrl&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVariant&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//483
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//484
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//486
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//487
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//488
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//489
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//490
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//491
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//492
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//493
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//494
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//495
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//496
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//497
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//498
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//499
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//500
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//501
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//502
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    485, 0,	//1  const char*
    261, 492, 501, 0,	//3  QMetaObject::Call, int, void**
    401, 0,	//7  bool
    113, 0,	//9  Plasma::Location
    442, 0,	//11  const QGraphicsItem*
    473, 34, 0,	//13  const QString&, Plasma::AbstractRunner*
    473, 68, 0,	//16  const QString&, Plasma::ComponentType
    177, 0,	//19  Plasma::ZoomLevel
    473, 171, 0,	//21  const QString&, Plasma::Wallpaper*
    260, 473, 266, 0,	//24  QMenu*, const QString&, QObject*
    260, 0,	//28  QMenu*
    260, 473, 0,	//30  QMenu*, const QString&
    473, 83, 0,	//33  const QString&, Plasma::DataEngine*
    498, 0,	//36  unsigned int
    199, 0,	//38  QFlags<Plasma::ComponentType>
    473, 51, 0,	//40  const QString&, Plasma::Applet*
    485, 485, 0,	//43  const char*, const char*
    485, 485, 492, 0,	//46  const char*, const char*, int
    81, 0,	//50  Plasma::Corona*
    304, 51, 0,	//52  QWidget*, Plasma::Applet*
    135, 0,	//55  Plasma::RunnerContext&
    304, 0,	//57  QWidget*
    430, 428, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    203, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    266, 473, 0,	//64  QObject*, const QString&
    409, 266, 0,	//67  const KSharedPtr<KService>, QObject*
    266, 452, 0,	//70  QObject*, const QList<QVariant>&
    36, 0,	//73  Plasma::AbstractRunner::Speed
    35, 0,	//75  Plasma::AbstractRunner::Priority
    473, 473, 0,	//77  const QString&, const QString&
    428, 0,	//80  const Plasma::QueryMatch&
    473, 446, 473, 0,	//82  const QString&, const QIcon&, const QString&
    473, 181, 0,	//86  const QString&, QAction*
    473, 0,	//89  const QString&
    431, 0,	//91  const Plasma::RunnerSyntax&
    449, 0,	//93  const QList<Plasma::RunnerSyntax>&
    429, 0,	//95  const Plasma::QueryMatch*
    266, 0,	//97  QObject*
    409, 0,	//99  const KSharedPtr<KService>
    71, 0,	//101  Plasma::Containment*
    473, 452, 71, 0,	//103  const QString&, const QList<QVariant>&, Plasma::Containment*
    181, 0,	//107  QAction*
    484, 0,	//109  const bool
    405, 0,	//111  const KConfigGroup&
    473, 452, 0,	//113  const QString&, const QList<QVariant>&
    412, 266, 0,	//116  const KUrl&, QObject*
    412, 0,	//119  const KUrl&
    39, 0,	//121  Plasma::AccessAppletJob*
    120, 0,	//123  Plasma::PackageMetadata
    226, 0,	//125  QGraphicsWidget*
    435, 0,	//127  const QEasingCurve&
    492, 0,	//129  int
    46, 0,	//131  Plasma::Animator::Animation
    48, 0,	//133  Plasma::Animator::Movement
    489, 462, 0,	//135  double, const QPixmap&
    489, 212, 0,	//138  double, QGraphicsItem*
    489, 212, 464, 464, 0,	//141  double, QGraphicsItem*, const QPoint&, const QPoint&
    46, 266, 0,	//146  Plasma::Animator::Animation, QObject*
    473, 266, 0,	//149  const QString&, QObject*
    47, 0,	//152  Plasma::Animator::CurveShape
    212, 48, 464, 0,	//154  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    492, 492, 47, 266, 485, 0,	//158  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    492, 462, 0,	//164  int, const QPixmap&
    212, 46, 0,	//167  QGraphicsItem*, Plasma::Animator::Animation
    212, 0,	//170  QGraphicsItem*
    226, 179, 179, 0,	//172  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    296, 0,	//176  QTimerEvent*
    9, 0,	//178  KConfigGroup&
    443, 466, 0,	//180  const QGraphicsView*, const QRect&
    443, 467, 0,	//183  const QGraphicsView*, const QRectF&
    470, 0,	//186  const QSize&
    470, 305, 0,	//188  const QSize&, Qt::AlignmentFlag
    200, 0,	//191  QFlags<Plasma::Constraint>
    54, 0,	//193  Plasma::AspectRatioMode
    481, 0,	//195  const QUrl&
    473, 401, 0,	//197  const QString&, bool
    475, 0,	//200  const QStringList&
    473, 498, 452, 0,	//202  const QString&, unsigned int, const QList<QVariant>&
    408, 498, 452, 0,	//206  const KPluginInfo&, unsigned int, const QList<QVariant>&
    408, 0,	//210  const KPluginInfo&
    271, 478, 466, 0,	//212  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    271, 478, 304, 0,	//216  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    289, 0,	//220  QString
    289, 181, 0,	//222  QString, QAction*
    436, 0,	//225  const QFlags<Plasma::Applet::BackgroundHint>
    411, 0,	//227  const KShortcut&
    95, 0,	//229  Plasma::ExtenderItem*
    212, 473, 498, 0,	//231  QGraphicsItem*, const QString&, unsigned int
    408, 212, 498, 0,	//235  const KPluginInfo&, QGraphicsItem*, unsigned int
    212, 473, 498, 452, 0,	//239  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    7, 0,	//244  KConfigDialog*
    413, 0,	//246  const KUrl::List&
    358, 0,	//248  Qt::SizeHint
    422, 0,	//250  const Plasma::MessageButton
    51, 0,	//252  Plasma::Applet*
    109, 0,	//254  Plasma::ItemStatus
    106, 0,	//256  Plasma::ImmutabilityType
    419, 0,	//258  const Plasma::ImmutabilityType
    420, 0,	//260  const Plasma::ItemStatus
    50, 473, 0,	//262  Plasma::AnnouncementMethods, const QString&
    401, 473, 0,	//265  bool, const QString&
    446, 473, 438, 0,	//268  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    266, 196, 0,	//272  QObject*, QEvent*
    212, 196, 0,	//275  QGraphicsItem*, QEvent*
    221, 0,	//278  QGraphicsSceneMouseEvent*
    208, 0,	//280  QFocusEvent*
    223, 0,	//282  QGraphicsSceneResizeEvent*
    215, 482, 0,	//284  QGraphicsItem::GraphicsItemChange, const QVariant&
    358, 471, 0,	//287  Qt::SizeHint, const QSizeF&
    220, 0,	//290  QGraphicsSceneHoverEvent*
    473, 498, 0,	//292  const QString&, unsigned int
    408, 498, 0,	//295  const KPluginInfo&, unsigned int
    212, 473, 0,	//298  QGraphicsItem*, const QString&
    408, 212, 0,	//301  const KPluginInfo&, QGraphicsItem*
    58, 0,	//304  Plasma::AuthorizationRule&
    65, 0,	//306  Plasma::ClientPinRequest&
    414, 0,	//308  const Plasma::AuthorizationInterface&
    57, 0,	//310  Plasma::AuthorizationManager::AuthorizationPolicy
    55, 0,	//312  Plasma::AuthorizationInterface*
    61, 0,	//314  Plasma::AuthorizationRule::Policy
    60, 0,	//316  Plasma::AuthorizationRule::Persistence
    198, 0,	//318  QFlags<Plasma::AuthorizationRule::Target>
    59, 0,	//320  Plasma::AuthorizationRule*
    285, 0,	//322  QShowEvent*
    231, 0,	//324  QHideEvent*
    271, 478, 0,	//326  QPainter*, const QStyleOptionGraphicsItem*
    196, 0,	//329  QEvent*
    66, 0,	//331  Plasma::ClientPinRequest*
    4, 0,	//333  KComboBox*
    473, 232, 266, 0,	//335  const QString&, QIODevice*, QObject*
    19, 232, 266, 0,	//339  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    406, 232, 266, 0,	//343  const KConfigGroup*, QIODevice*, QObject*
    473, 232, 0,	//347  const QString&, QIODevice*
    19, 232, 0,	//350  KSharedPtr<KSharedConfig>, QIODevice*
    406, 232, 0,	//353  const KConfigGroup*, QIODevice*
    473, 473, 473, 0,	//356  const QString&, const QString&, const QString&
    473, 452, 467, 0,	//360  const QString&, const QList<QVariant>&, const QRectF&
    51, 465, 401, 0,	//364  Plasma::Applet*, const QPointF&, bool
    492, 492, 0,	//368  int, int
    465, 464, 0,	//371  const QPointF&, const QPoint&
    463, 0,	//374  const QPoint
    51, 465, 0,	//376  Plasma::Applet*, const QPointF&
    71, 176, 0,	//379  Plasma::Containment*, Plasma::ZoomDirection
    465, 0,	//382  const QPointF&
    492, 492, 71, 0,	//384  int, int, Plasma::Containment*
    80, 0,	//388  Plasma::Context*
    98, 0,	//390  Plasma::FormFactor
    75, 0,	//392  Plasma::Containment::Type
    217, 0,	//394  QGraphicsSceneContextMenuEvent*
    236, 0,	//396  QKeyEvent*
    224, 0,	//398  QGraphicsSceneWheelEvent*
    218, 0,	//400  QGraphicsSceneDragDropEvent*
    37, 0,	//402  Plasma::AbstractToolBox*
    415, 0,	//404  const Plasma::Containment::StyleOption&
    477, 0,	//406  const QStyleOptionGraphicsItem&
    170, 0,	//408  Plasma::View*
    71, 473, 452, 0,	//410  Plasma::Containment*, const QString&, const QList<QVariant>&
    71, 408, 452, 0,	//414  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    470, 196, 0,	//418  const QSize&, QEvent*
    276, 275, 0,	//421  QPointF, QPoint
    71, 473, 0,	//424  Plasma::Containment*, const QString&
    71, 408, 0,	//427  Plasma::Containment*, const KPluginInfo&
    417, 0,	//430  const Plasma::ContainmentActionsPluginsConfig&
    196, 473, 0,	//432  QEvent*, const QString&
    206, 349, 473, 0,	//435  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    206, 352, 473, 0,	//439  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    492, 492, 473, 452, 0,	//443  int, int, const QString&, const QList<QVariant>&
    442, 470, 0,	//448  const QGraphicsItem*, const QSize&
    442, 470, 305, 0,	//451  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//455  KActionCollection*
    75, 417, 0,	//457  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    33, 0,	//460  Plasma::AbstractDialogManager*
    403, 0,	//462  const KConfigBase&
    416, 0,	//464  const Plasma::Containment::Type
    9, 243, 0,	//466  KConfigGroup&, QList<Plasma::Containment*>
    46, 46, 0,	//469  Plasma::Animator::Animation, Plasma::Animator::Animation
    46, 473, 0,	//472  Plasma::Animator::Animation, const QString&
    416, 473, 0,	//475  const Plasma::Containment::Type, const QString&
    492, 492, 473, 0,	//478  int, int, const QString&
    473, 482, 0,	//482  const QString&, const QVariant&
    266, 498, 107, 0,	//485  QObject*, unsigned int, Plasma::IntervalAlignment
    473, 418, 0,	//489  const QString&, const Plasma::DataEngine::Data&
    82, 0,	//492  Plasma::DataContainer*
    266, 18, 0,	//494  QObject*, KSharedPtr<KService>
    473, 266, 498, 107, 0,	//497  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    473, 473, 482, 0,	//502  const QString&, const QString&, const QVariant&
    473, 445, 0,	//506  const QString&, const QHash<QString,QVariant>&
    473, 266, 498, 0,	//509  const QString&, QObject*, unsigned int
    266, 498, 0,	//513  QObject*, unsigned int
    83, 0,	//516  Plasma::DataEngine*
    88, 492, 0,	//518  Plasma::Delegate::SpecificRoles, int
    88, 0,	//521  Plasma::Delegate::SpecificRoles
    271, 479, 458, 0,	//523  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    479, 458, 0,	//527  const QStyleOptionViewItem&, const QModelIndex&
    304, 207, 0,	//530  QWidget*, QFlags<Qt::WindowType>
    201, 0,	//533  QFlags<Plasma::Dialog::ResizeCorner>
    91, 0,	//535  Plasma::Direction
    270, 0,	//537  QPaintEvent*
    283, 0,	//539  QResizeEvent*
    263, 0,	//541  QMouseEvent*
    264, 0,	//543  QMoveEvent*
    464, 0,	//545  const QPoint&
    93, 0,	//547  Plasma::Extender::Appearance
    95, 465, 0,	//549  Plasma::ExtenderItem*, const QPointF&
    92, 498, 0,	//552  Plasma::Extender*, unsigned int
    92, 0,	//555  Plasma::Extender*
    446, 0,	//557  const QIcon&
    92, 465, 0,	//559  Plasma::Extender*, const QPointF&
    94, 0,	//562  Plasma::ExtenderGroup*
    94, 465, 0,	//564  Plasma::ExtenderGroup*, const QPointF&
    222, 0,	//567  QGraphicsSceneMoveEvent*
    441, 0,	//569  const QFont&
    434, 0,	//571  const QColor&
    473, 492, 480, 0,	//573  const QString&, int, const QTextOption&
    462, 492, 205, 0,	//577  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    473, 492, 0,	//581  const QString&, int
    462, 0,	//584  const QPixmap&
    462, 492, 0,	//586  const QPixmap&, int
    100, 0,	//589  Plasma::Frame::Shadow
    437, 0,	//591  const QFlags<Plasma::FrameSvg::EnabledBorder>
    471, 0,	//593  const QSizeF&
    421, 0,	//595  const Plasma::MarginEdge
    490, 490, 490, 490, 0,	//597  double&, double&, double&, double&
    271, 467, 467, 0,	//602  QPainter*, const QRectF&, const QRectF&
    271, 465, 0,	//606  QPainter*, const QPointF&
    271, 467, 0,	//609  QPainter*, const QRectF&
    271, 0,	//612  QPainter*
    212, 473, 492, 0,	//614  QGraphicsItem*, const QString&, int
    447, 498, 0,	//618  const QImage&, unsigned int
    447, 0,	//621  const QImage&
    473, 212, 0,	//623  const QString&, QGraphicsItem*
    446, 473, 212, 0,	//626  const QIcon&, const QString&, QGraphicsItem*
    352, 0,	//630  Qt::Orientation
    486, 0,	//632  const double
    271, 470, 492, 0,	//634  QPainter*, const QSize&, int
    446, 473, 0,	//638  const QIcon&, const QString&
    467, 0,	//641  const QRectF&
    496, 0,	//643  qreal
    279, 0,	//645  QRectF
    205, 0,	//647  QFlags<Qt::AlignmentFlag>
    13, 0,	//649  KLineEdit*
    117, 0,	//651  Plasma::Meter::MeterType
    492, 473, 0,	//653  int, const QString&
    492, 434, 0,	//656  int, const QColor&
    492, 441, 0,	//659  int, const QFont&
    492, 440, 0,	//662  int, const QFlags<Qt::AlignmentFlag>
    473, 473, 20, 0,	//665  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    473, 20, 0,	//669  const QString&, KSharedPtr<Plasma::PackageStructure>
    423, 0,	//672  const Plasma::Package&
    485, 473, 0,	//674  const char*, const QString&
    425, 473, 0,	//677  const Plasma::PackageMetadata&, const QString&
    425, 473, 473, 473, 0,	//680  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    425, 473, 473, 0,	//685  const Plasma::PackageMetadata&, const QString&, const QString&
    425, 0,	//689  const Plasma::PackageMetadata&
    426, 0,	//691  const Plasma::PackageStructure&
    485, 473, 473, 0,	//693  const char*, const QString&, const QString&
    485, 401, 0,	//697  const char*, bool
    290, 0,	//700  QStringList
    485, 290, 0,	//702  const char*, QStringList
    404, 0,	//705  const KConfigBase*
    6, 0,	//707  KConfigBase*
    427, 0,	//709  const Plasma::PlotColor&
    305, 0,	//711  Qt::AlignmentFlag
    497, 0,	//713  uint
    407, 0,	//715  const KIcon&
    34, 0,	//717  Plasma::AbstractRunner*
    133, 0,	//719  Plasma::QueryMatch::Type
    489, 0,	//721  double
    430, 0,	//723  const Plasma::RunnerContext&
    482, 0,	//725  const QVariant&
    135, 266, 0,	//727  Plasma::RunnerContext&, QObject*
    473, 448, 0,	//730  const QString&, const QList<Plasma::QueryMatch>&
    473, 428, 0,	//733  const QString&, const Plasma::QueryMatch&
    472, 0,	//736  const QString
    474, 0,	//738  const QStringList
    9, 266, 0,	//740  KConfigGroup&, QObject*
    448, 0,	//743  const QList<Plasma::QueryMatch>&
    428, 253, 0,	//745  const Plasma::QueryMatch&, QList<QAction*>*
    487, 0,	//748  const int
    483, 0,	//750  const Qt::ScrollBarPolicy
    179, 179, 0,	//752  QAbstractAnimation::State, QAbstractAnimation::State
    212, 207, 0,	//755  QGraphicsItem*, QFlags<Qt::WindowType>
    473, 452, 266, 0,	//758  const QString&, const QList<QVariant>&, QObject*
    405, 266, 0,	//762  const KConfigGroup&, QObject*
    304, 473, 0,	//765  QWidget*, const QString&
    226, 473, 0,	//768  QGraphicsWidget*, const QString&
    148, 0,	//771  Plasma::ServiceJob*
    146, 0,	//773  Plasma::Service*
    473, 259, 0,	//775  const QString&, QMap<QString,QVariant>&
    232, 0,	//778  QIODevice*
    28, 266, 0,	//780  KUrl, QObject*
    28, 0,	//783  KUrl
    453, 0,	//785  const QList<double>&
    454, 0,	//787  const QList<unsigned int>&
    489, 489, 0,	//789  double, double
    498, 498, 0,	//792  unsigned int, unsigned int
    271, 498, 498, 492, 0,	//795  QPainter*, unsigned int, unsigned int, int
    271, 492, 492, 0,	//800  QPainter*, int, int
    271, 492, 492, 492, 0,	//804  QPainter*, int, int, int
    271, 492, 492, 492, 492, 0,	//809  QPainter*, int, int, int, int
    271, 465, 473, 0,	//815  QPainter*, const QPointF&, const QString&
    271, 492, 492, 473, 0,	//819  QPainter*, int, int, const QString&
    271, 467, 473, 0,	//824  QPainter*, const QRectF&, const QString&
    271, 492, 492, 492, 492, 473, 0,	//828  QPainter*, int, int, int, int, const QString&
    157, 0,	//835  Plasma::Theme*
    152, 473, 212, 207, 0,	//837  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    152, 0,	//842  Plasma::Svg*
    349, 0,	//844  Qt::MouseButton
    152, 473, 0,	//846  Plasma::Svg*, const QString&
    152, 473, 212, 0,	//849  Plasma::Svg*, const QString&, QGraphicsItem*
    492, 446, 473, 216, 0,	//853  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    492, 473, 216, 0,	//858  int, const QString&, QGraphicsLayoutItem*
    446, 473, 216, 0,	//862  const QIcon&, const QString&, QGraphicsLayoutItem*
    473, 216, 0,	//866  const QString&, QGraphicsLayoutItem*
    492, 446, 0,	//869  int, const QIcon&
    492, 446, 473, 0,	//872  int, const QIcon&, const QString&
    356, 0,	//876  Qt::ScrollBarPolicy
    27, 0,	//878  KTextEdit*
    158, 0,	//880  Plasma::Theme::ColorRole
    441, 159, 0,	//882  const QFont&, Plasma::Theme::FontRole
    159, 0,	//885  Plasma::Theme::FontRole
    473, 274, 0,	//887  const QString&, QPixmap&
    473, 274, 498, 0,	//890  const QString&, QPixmap&, unsigned int
    473, 462, 0,	//894  const QString&, const QPixmap&
    473, 462, 473, 0,	//897  const QString&, const QPixmap&, const QString&
    473, 473, 280, 0,	//901  const QString&, const QString&, QRectF&
    473, 473, 467, 0,	//905  const QString&, const QString&, const QRectF&
    432, 0,	//909  const Plasma::ToolTipContent&
    473, 473, 462, 0,	//911  const QString&, const QString&, const QPixmap&
    473, 473, 446, 0,	//915  const QString&, const QString&, const QIcon&
    499, 0,	//919  unsigned long
    455, 0,	//921  const QList<unsigned long>&
    163, 481, 482, 0,	//923  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    295, 0,	//927  QTextDocument*
    226, 432, 0,	//929  QGraphicsWidget*, const Plasma::ToolTipContent&
    165, 0,	//932  Plasma::ToolTipManager::State
    398, 350, 344, 464, 0,	//934  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    473, 350, 344, 464, 0,	//939  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    180, 0,	//944  QAbstractItemModel*
    439, 0,	//946  const QFlags<Plasma::VideoWidget::Control>
    495, 0,	//948  qint64
    71, 304, 0,	//950  Plasma::Containment*, QWidget*
    71, 492, 304, 0,	//953  Plasma::Containment*, int, QWidget*
    71, 492, 0,	//957  Plasma::Containment*, int
    408, 452, 0,	//960  const KPluginInfo&, const QList<QVariant>&
    171, 0,	//963  Plasma::Wallpaper*
    172, 0,	//965  Plasma::Wallpaper::ResizeMethod
    473, 470, 172, 434, 0,	//967  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    473, 234, 498, 0,	//972  const QString&, QImage&, unsigned int
    473, 447, 0,	//976  const QString&, const QImage&
    450, 0,	//979  const QList<QAction*>&
    473, 470, 0,	//981  const QString&, const QSize&
    473, 470, 172, 0,	//984  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    473, 234, 0,	//988  const QString&, QImage&
    433, 412, 0,	//991  const QByteArray&, const KUrl&
    473, 412, 0,	//994  const QString&, const KUrl&
    302, 0,	//997  QWebPage*
    433, 0,	//999  const QByteArray&
    178, 0,	//1001  QAbstractAnimation::Direction
    304, 479, 458, 0,	//1003  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    304, 458, 0,	//1007  QWidget*, const QModelIndex&
    304, 180, 458, 0,	//1010  QWidget*, QAbstractItemModel*, const QModelIndex&
    196, 180, 479, 458, 0,	//1014  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    442, 341, 0,	//1019  const QGraphicsItem*, Qt::ItemSelectionMode
    460, 341, 0,	//1022  const QPainterPath&, Qt::ItemSelectionMode
    235, 0,	//1025  QInputMethodEvent*
    338, 0,	//1027  Qt::InputMethodQuery
    214, 0,	//1029  QGraphicsItem::Extension
    214, 482, 0,	//1031  QGraphicsItem::Extension, const QVariant&
    219, 0,	//1034  QGraphicsSceneHelpEvent*
    271, 492, 213, 478, 304, 0,	//1036  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    189, 0,	//1042  QContextMenuEvent*
    190, 0,	//1044  QDragEnterEvent*
    191, 0,	//1046  QDragLeaveEvent*
    192, 0,	//1048  QDragMoveEvent*
    194, 0,	//1050  QDropEvent*
    303, 0,	//1052  QWheelEvent*
    271, 492, 213, 478, 0,	//1054  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    491, 491, 491, 491, 0,	//1059  double*, double*, double*, double*
    293, 0,	//1064  QStyleOption*
    186, 0,	//1066  QCloseEvent*
    185, 0,	//1068  QChildEvent*
    294, 0,	//1070  QTabletEvent*
    182, 0,	//1072  QActionEvent*
    399, 0,	//1074  _XEvent*
    267, 0,	//1076  QPaintDevice::PaintDeviceMetric
    292, 0,	//1078  QStyle&
    461, 0,	//1080  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AbstractToolBox#?",	//11
    "AcceptingInputStatus",	//12
    "AccessAppletJob",	//13
    "AccessAppletJob#",	//14
    "AccessAppletJob##",	//15
    "ActivateAnimation",	//16
    "Activated",	//17
    "ActiveStatus",	//18
    "AddTool",	//19
    "AlignToHour",	//20
    "AlignToMinute",	//21
    "All",	//22
    "AllBorders",	//23
    "AllConstraints",	//24
    "AllLayers",	//25
    "AllServices",	//26
    "AllUsers",	//27
    "Allow",	//28
    "AnalogMeter",	//29
    "AnchorUnderMouse",	//30
    "AnchorViewCenter",	//31
    "Animation",	//32
    "Animation#",	//33
    "AnimationDriver",	//34
    "AnimationDriver#",	//35
    "AnimatorComponent",	//36
    "AppearAnimation",	//37
    "Applet",	//38
    "Applet#",	//39
    "Applet##",	//40
    "Applet##$",	//41
    "Applet#$",	//42
    "Applet#$$",	//43
    "Applet#$$?",	//44
    "Applet#?",	//45
    "AppletComponent",	//46
    "AppletScript",	//47
    "AppletScript#",	//48
    "AppletType",	//49
    "AuthorizationInterface",	//50
    "AuthorizationInterface#",	//51
    "BackgroundColor",	//52
    "BackgroundLayer",	//53
    "Backward",	//54
    "BarMeterHorizontal",	//55
    "BarMeterVertical",	//56
    "BottomBorder",	//57
    "BottomEdge",	//58
    "BottomMargin",	//59
    "BottomPosedLeftAlignedPopup",	//60
    "BottomPosedRightAlignedPopup",	//61
    "BottomPositioned",	//62
    "BottomUpStacked",	//63
    "BoundingRectViewportUpdate",	//64
    "Box",	//65
    "BspTreeIndex",	//66
    "BusyWidget",	//67
    "BusyWidget#",	//68
    "ButtonBackgroundColor",	//69
    "ButtonCancel",	//70
    "ButtonFocusColor",	//71
    "ButtonHoverColor",	//72
    "ButtonNo",	//73
    "ButtonNone",	//74
    "ButtonOk",	//75
    "ButtonTextColor",	//76
    "ButtonYes",	//77
    "Bytes",	//78
    "CacheBackground",	//79
    "CacheNone",	//80
    "Center",	//81
    "CenterPositioned",	//82
    "CenterTiledResize",	//83
    "CenteredResize",	//84
    "CheckBox",	//85
    "CheckBox#",	//86
    "ColumnTypeRole",	//87
    "ComboBox",	//88
    "ComboBox#",	//89
    "CompletionMatch",	//90
    "ConfigLoader",	//91
    "ConfigLoader##",	//92
    "ConfigLoader###",	//93
    "ConfigLoader$#",	//94
    "ConfigLoader$##",	//95
    "ConfigLoader?#",	//96
    "ConfigLoader?##",	//97
    "ConfigureTool",	//98
    "ConstrainedSquare",	//99
    "Containment",	//100
    "Containment#",	//101
    "Containment#$",	//102
    "Containment#$$",	//103
    "Containment#?",	//104
    "ContainmentActions",	//105
    "ContainmentActions#",	//106
    "ContainmentActions#?",	//107
    "ContainmentActionsPluginsConfig",	//108
    "ContainmentActionsPluginsConfig#",	//109
    "ContainmentComponent",	//110
    "Context",	//111
    "Context#",	//112
    "ContextConstraint",	//113
    "ControlTool",	//114
    "Corona",	//115
    "Corona#",	//116
    "CssResource",	//117
    "Custom",	//118
    "CustomContainment",	//119
    "CustomPanelContainment",	//120
    "DataContainer",	//121
    "DataContainer#",	//122
    "DataEngine",	//123
    "DataEngine#",	//124
    "DataEngine#?",	//125
    "DataEngineComponent",	//126
    "DataEngineScript",	//127
    "DataEngineScript#",	//128
    "Deactivated",	//129
    "Default",	//130
    "DefaultBackground",	//131
    "DefaultControls",	//132
    "DefaultFont",	//133
    "Delegate",	//134
    "Delegate#",	//135
    "DeleteWhenStopped",	//136
    "Deny",	//137
    "DenyAll",	//138
    "Desktop",	//139
    "DesktopContainment",	//140
    "DesktopFont",	//141
    "DesktopZoom",	//142
    "DestructiveTool",	//143
    "DeviceCoordinateCache",	//144
    "Dialog",	//145
    "Dialog#",	//146
    "Dialog#$",	//147
    "Directories",	//148
    "Directory",	//149
    "DisappearAnimation",	//150
    "DontAdjustForAntialiasing",	//151
    "DontClipPainter",	//152
    "DontSavePainterState",	//153
    "Down",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "EaseInCurve",	//157
    "EaseInOutCurve",	//158
    "EaseOutCurve",	//159
    "EditNextItem",	//160
    "EditPreviousItem",	//161
    "EmitResult",	//162
    "ExactMatch",	//163
    "Executable",	//164
    "Extender",	//165
    "Extender#",	//166
    "ExtenderGroup",	//167
    "ExtenderGroup#",	//168
    "ExtenderGroup#$",	//169
    "ExtenderItem",	//170
    "ExtenderItem#",	//171
    "ExtenderItem#$",	//172
    "FadeAnimation",	//173
    "FastSlideInMovement",	//174
    "FastSlideOutMovement",	//175
    "File",	//176
    "FileSystem",	//177
    "Files",	//178
    "FixedSize",	//179
    "FlashingLabel",	//180
    "FlashingLabel#",	//181
    "Floating",	//182
    "FloatingPopup",	//183
    "ForegroundLayer",	//184
    "FormFactorConstraint",	//185
    "Forward",	//186
    "Frame",	//187
    "Frame#",	//188
    "FrameSvg",	//189
    "FrameSvg#",	//190
    "FullScreen",	//191
    "FullViewportUpdate",	//192
    "GLApplet",	//193
    "GLApplet#$$",	//194
    "GLApplet#?",	//195
    "GeometryAnimation",	//196
    "GroupBox",	//197
    "GroupBox#",	//198
    "GroupZoom",	//199
    "GrowAnimation",	//200
    "HLine",	//201
    "Help",	//202
    "HelperMatch",	//203
    "HighPriority",	//204
    "HighestPriority",	//205
    "HighlightColor",	//206
    "Horizontal",	//207
    "HorizontalFlip",	//208
    "HtmlResource",	//209
    "IconWidget",	//210
    "IconWidget#",	//211
    "IconWidget#$",	//212
    "IconWidget#$#",	//213
    "IconWidget$",	//214
    "IconWidget$#",	//215
    "IgnoreAspectRatio",	//216
    "IgnoreMask",	//217
    "ImageResource",	//218
    "ImmutableConstraint",	//219
    "IndirectPainting",	//220
    "InformationalMatch",	//221
    "Inhibited",	//222
    "InvalidAspectRatioMode",	//223
    "InvalidCredentials",	//224
    "ItemAcceptsInputMethod",	//225
    "ItemBackground",	//226
    "ItemBackground#",	//227
    "ItemChildAddedChange",	//228
    "ItemChildRemovedChange",	//229
    "ItemClipsChildrenToShape",	//230
    "ItemClipsToShape",	//231
    "ItemCoordinateCache",	//232
    "ItemCursorChange",	//233
    "ItemCursorHasChanged",	//234
    "ItemDoesntPropagateOpacityToChildren",	//235
    "ItemEnabledChange",	//236
    "ItemEnabledHasChanged",	//237
    "ItemFlagsChange",	//238
    "ItemFlagsHaveChanged",	//239
    "ItemHasNoContents",	//240
    "ItemIgnoresParentOpacity",	//241
    "ItemIgnoresTransformations",	//242
    "ItemIsFocusScope",	//243
    "ItemIsFocusable",	//244
    "ItemIsMovable",	//245
    "ItemIsPanel",	//246
    "ItemIsSelectable",	//247
    "ItemLayer",	//248
    "ItemMatrixChange",	//249
    "ItemNegativeZStacksBehindParent",	//250
    "ItemOpacityChange",	//251
    "ItemOpacityHasChanged",	//252
    "ItemParentChange",	//253
    "ItemParentHasChanged",	//254
    "ItemPositionChange",	//255
    "ItemPositionHasChanged",	//256
    "ItemRotationChange",	//257
    "ItemRotationHasChanged",	//258
    "ItemScaleChange",	//259
    "ItemScaleHasChanged",	//260
    "ItemSceneChange",	//261
    "ItemSceneHasChanged",	//262
    "ItemScenePositionHasChanged",	//263
    "ItemSelectedChange",	//264
    "ItemSelectedHasChanged",	//265
    "ItemSendsGeometryChanges",	//266
    "ItemSendsScenePositionChanges",	//267
    "ItemStacksBehindParent",	//268
    "ItemStopsClickFocusPropagation",	//269
    "ItemToolTipChange",	//270
    "ItemToolTipHasChanged",	//271
    "ItemTransformChange",	//272
    "ItemTransformHasChanged",	//273
    "ItemTransformOriginPointChange",	//274
    "ItemTransformOriginPointHasChanged",	//275
    "ItemUsesExtendedStyleOption",	//276
    "ItemVisibleChange",	//277
    "ItemVisibleHasChanged",	//278
    "ItemZValueChange",	//279
    "ItemZValueHasChanged",	//280
    "KST_CTimeInfo",	//281
    "KST_KCustom",	//282
    "KST_KDEDesktopMimeType",	//283
    "KST_KFolderMimeType",	//284
    "KST_KImageIO",	//285
    "KST_KImageIOFormat",	//286
    "KST_KMimeType",	//287
    "KST_KMimeTypeEntry",	//288
    "KST_KMimeTypeFactory",	//289
    "KST_KProtocolInfo",	//290
    "KST_KProtocolInfoFactory",	//291
    "KST_KService",	//292
    "KST_KServiceFactory",	//293
    "KST_KServiceGroup",	//294
    "KST_KServiceGroupFactory",	//295
    "KST_KServiceSeparator",	//296
    "KST_KServiceType",	//297
    "KST_KServiceTypeFactory",	//298
    "KST_KSycocaEntry",	//299
    "KeepAspectRatio",	//300
    "KeepWhenStopped",	//301
    "Killable",	//302
    "KilledJobError",	//303
    "Label",	//304
    "Label#",	//305
    "LastAnimation",	//306
    "Left",	//307
    "LeftBorder",	//308
    "LeftEdge",	//309
    "LeftMargin",	//310
    "LeftPosedBottomAlignedPopup",	//311
    "LeftPosedTopAlignedPopup",	//312
    "LeftPositioned",	//313
    "LicensedActiveQt",	//314
    "LicensedCore",	//315
    "LicensedDBus",	//316
    "LicensedDeclarative",	//317
    "LicensedGui",	//318
    "LicensedHelp",	//319
    "LicensedMultimedia",	//320
    "LicensedNetwork",	//321
    "LicensedOpenGL",	//322
    "LicensedOpenVG",	//323
    "LicensedQt3Support",	//324
    "LicensedQt3SupportLight",	//325
    "LicensedScript",	//326
    "LicensedScriptTools",	//327
    "LicensedSql",	//328
    "LicensedSvg",	//329
    "LicensedTest",	//330
    "LicensedXml",	//331
    "LicensedXmlPatterns",	//332
    "LineEdit",	//333
    "LineEdit#",	//334
    "LineEditType",	//335
    "LinearCurve",	//336
    "LinkColor",	//337
    "LocationConstraint",	//338
    "LowPriority",	//339
    "LowestPriority",	//340
    "MainColumn",	//341
    "MaxpectResize",	//342
    "MediaCenter",	//343
    "Meter",	//344
    "Meter#",	//345
    "MinimalViewportUpdate",	//346
    "MiscTool",	//347
    "MoveAny",	//348
    "MoveDown",	//349
    "MoveLeft",	//350
    "MoveRight",	//351
    "MoveUp",	//352
    "Mutable",	//353
    "NeedsAttentionStatus",	//354
    "NetworkLocation",	//355
    "Next",	//356
    "NoAlignment",	//357
    "NoAnchor",	//358
    "NoAnnouncement",	//359
    "NoBackground",	//360
    "NoBorder",	//361
    "NoBorders",	//362
    "NoCache",	//363
    "NoCapabilities",	//364
    "NoConstraint",	//365
    "NoContainmentType",	//366
    "NoControls",	//367
    "NoCorner",	//368
    "NoDrag",	//369
    "NoError",	//370
    "NoFlip",	//371
    "NoFrame",	//372
    "NoHint",	//373
    "NoIndex",	//374
    "NoMatch",	//375
    "NoViewportUpdate",	//376
    "NonModal",	//377
    "None",	//378
    "NormalPriority",	//379
    "NormalSpeed",	//380
    "NorthEast",	//381
    "NorthWest",	//382
    "OpenFile",	//383
    "OverviewZoom",	//384
    "Package",	//385
    "Package#",	//386
    "Package$$?",	//387
    "Package$?",	//388
    "PackageMetadata",	//389
    "PackageMetadata#",	//390
    "PackageMetadata$",	//391
    "PackageStructure",	//392
    "PackageStructure#",	//393
    "PackageStructure#$",	//394
    "Panel",	//395
    "PanelContainment",	//396
    "PanelModal",	//397
    "PassiveStatus",	//398
    "Pause",	//399
    "Paused",	//400
    "PendularCurve",	//401
    "Persistent",	//402
    "PinPairing",	//403
    "PinRequired",	//404
    "PixmapTransitionAnimation",	//405
    "Plain",	//406
    "Planar",	//407
    "Play",	//408
    "PlayPause",	//409
    "PlotColor",	//410
    "PlotColor#",	//411
    "PopupApplet",	//412
    "PopupApplet#?",	//413
    "PopupConstraint",	//414
    "PossibleMatch",	//415
    "Previous",	//416
    "Progress",	//417
    "PulseAnimation",	//418
    "PushButton",	//419
    "PushButton#",	//420
    "Q_COMPLEX_TYPE",	//421
    "Q_DUMMY_TYPE",	//422
    "Q_MOVABLE_TYPE",	//423
    "Q_PRIMITIVE_TYPE",	//424
    "Q_STATIC_TYPE",	//425
    "QtCriticalMsg",	//426
    "QtDebugMsg",	//427
    "QtFatalMsg",	//428
    "QtSystemMsg",	//429
    "QtWarningMsg",	//430
    "QueryMatch",	//431
    "QueryMatch#",	//432
    "Quietly",	//433
    "RadioButton",	//434
    "RadioButton#",	//435
    "Raised",	//436
    "RevertModelCache",	//437
    "Right",	//438
    "RightBorder",	//439
    "RightEdge",	//440
    "RightMargin",	//441
    "RightPosedBottomAlignedPopup",	//442
    "RightPosedTopAlignedPopup",	//443
    "RightPositioned",	//444
    "RotationAnimation",	//445
    "RotationStackedAnimation",	//446
    "RubberBandDrag",	//447
    "RunnerComponent",	//448
    "RunnerContext",	//449
    "RunnerContext#",	//450
    "RunnerContext##",	//451
    "RunnerManager",	//452
    "RunnerManager#",	//453
    "RunnerManager##",	//454
    "RunnerScript",	//455
    "RunnerScript#",	//456
    "RunnerSyntax",	//457
    "RunnerSyntax#",	//458
    "RunnerSyntax$$",	//459
    "Running",	//460
    "ScaledAndCroppedResize",	//461
    "ScaledResize",	//462
    "SceneModal",	//463
    "ScreenConstraint",	//464
    "ScriptEngine",	//465
    "ScriptEngine#",	//466
    "ScrollBar",	//467
    "ScrollBar#",	//468
    "ScrollHandDrag",	//469
    "ScrollWidget",	//470
    "ScrollWidget#",	//471
    "SecondaryActionColumn",	//472
    "Separator",	//473
    "Separator#",	//474
    "Separator#$",	//475
    "Service",	//476
    "Service#",	//477
    "Service#?",	//478
    "ServiceAccessJob",	//479
    "ServiceAccessJob#",	//480
    "ServiceAccessJob##",	//481
    "Shadow_Mask",	//482
    "Shape_Mask",	//483
    "ShellCommand",	//484
    "SignalPlotter",	//485
    "SignalPlotter#",	//486
    "SizeConstraint",	//487
    "SlideAnimation",	//488
    "SlideInMovement",	//489
    "SlideOutMovement",	//490
    "Slider",	//491
    "Slider#",	//492
    "SlowSpeed",	//493
    "SmartViewportUpdate",	//494
    "SouthEast",	//495
    "SouthWest",	//496
    "SpinBox",	//497
    "SpinBox#",	//498
    "Square",	//499
    "StandardBackground",	//500
    "StartupCompletedConstraint",	//501
    "Stop",	//502
    "Stopped",	//503
    "StyleOption",	//504
    "StyleOption#",	//505
    "StyledPanel",	//506
    "SubTitleMandatoryRole",	//507
    "SubTitleRole",	//508
    "SubmitModelCache",	//509
    "Sunken",	//510
    "Suspendable",	//511
    "Svg",	//512
    "Svg#",	//513
    "SvgWidget",	//514
    "SvgWidget#",	//515
    "SvgWidget#$",	//516
    "SvgWidget#$#",	//517
    "SvgWidget#$#$",	//518
    "SystemImmutable",	//519
    "TabBar",	//520
    "TabBar#",	//521
    "TextBrowser",	//522
    "TextBrowser#",	//523
    "TextColor",	//524
    "TextEdit",	//525
    "TextEdit#",	//526
    "Theme",	//527
    "Theme#",	//528
    "Theme$",	//529
    "Theme$#",	//530
    "TiledResize",	//531
    "ToolButton",	//532
    "ToolButton#",	//533
    "ToolTipContent",	//534
    "ToolTipContent#",	//535
    "ToolTipContent$$",	//536
    "ToolTipContent$$#",	//537
    "TopBorder",	//538
    "TopDownStacked",	//539
    "TopEdge",	//540
    "TopMargin",	//541
    "TopPosedLeftAlignedPopup",	//542
    "TopPosedRightAlignedPopup",	//543
    "TopPositioned",	//544
    "Transient",	//545
    "TranslucentBackground",	//546
    "TreeView",	//547
    "TreeView#",	//548
    "TrustedCredentials",	//549
    "TrustedOnly",	//550
    "Type",	//551
    "UltimateCredentials",	//552
    "UnknownCredentials",	//553
    "UnknownStatus",	//554
    "UnknownType",	//555
    "Up",	//556
    "UserDefinedError",	//557
    "UserExtension",	//558
    "UserImmutable",	//559
    "UserToolType",	//560
    "UserType",	//561
    "VLine",	//562
    "ValidCredentials",	//563
    "Version",	//564
    "Vertical",	//565
    "VerticalFlip",	//566
    "VideoWidget",	//567
    "VideoWidget#",	//568
    "View",	//569
    "View#",	//570
    "View##",	//571
    "View#$",	//572
    "View#$#",	//573
    "ViewBackgroundColor",	//574
    "ViewFocusColor",	//575
    "ViewHoverColor",	//576
    "ViewTextColor",	//577
    "VisitedLinkColor",	//578
    "Volume",	//579
    "Wallpaper",	//580
    "Wallpaper#",	//581
    "Wallpaper#?",	//582
    "WallpaperComponent",	//583
    "WallpaperScript",	//584
    "WallpaperScript#",	//585
    "WaterAnimation",	//586
    "WebView",	//587
    "WebView#",	//588
    "WinPanel",	//589
    "ZeroconfAnnouncement",	//590
    "ZoomAnimation",	//591
    "ZoomIn",	//592
    "ZoomOut",	//593
    "__codecvt_error",	//594
    "__codecvt_noconv",	//595
    "__codecvt_ok",	//596
    "__codecvt_partial",	//597
    "aboutToFinish",	//598
    "access",	//599
    "access#",	//600
    "access##",	//601
    "accessRemoteApplet",	//602
    "accessRemoteApplet#",	//603
    "action",	//604
    "action$",	//605
    "actionEvent",	//606
    "actions",	//607
    "actionsForMatch",	//608
    "actionsForMatch#",	//609
    "actionsForMatch#?",	//610
    "actionsFromMenu",	//611
    "actionsFromMenu#",	//612
    "actionsFromMenu#$",	//613
    "actionsFromMenu#$#",	//614
    "activate",	//615
    "activated",	//616
    "activated$",	//617
    "activity",	//618
    "activityChanged",	//619
    "activityChanged#",	//620
    "addAction",	//621
    "addAction$",	//622
    "addAction$#",	//623
    "addAction$#$",	//624
    "addApplet",	//625
    "addApplet#",	//626
    "addApplet##",	//627
    "addApplet##$",	//628
    "addApplet$",	//629
    "addApplet$?",	//630
    "addApplet$?#",	//631
    "addAssociatedWidget",	//632
    "addAssociatedWidget#",	//633
    "addContainment",	//634
    "addContainment$",	//635
    "addContainment$?",	//636
    "addContainmentDelayed",	//637
    "addContainmentDelayed$",	//638
    "addContainmentDelayed$?",	//639
    "addDirectoryDefinition",	//640
    "addDirectoryDefinition$$$",	//641
    "addExampleQuery",	//642
    "addExampleQuery$",	//643
    "addFileDefinition",	//644
    "addFileDefinition$$$",	//645
    "addIconAction",	//646
    "addIconAction#",	//647
    "addItem",	//648
    "addItem$",	//649
    "addMatch",	//650
    "addMatch$#",	//651
    "addMatches",	//652
    "addMatches$?",	//653
    "addOffscreenWidget",	//654
    "addOffscreenWidget#",	//655
    "addPlot",	//656
    "addPlot#",	//657
    "addPlugin",	//658
    "addPlugin#$",	//659
    "addPlugin$$$",	//660
    "addResource",	//661
    "addResource$##",	//662
    "addSample",	//663
    "addSample?",	//664
    "addShortcuts",	//665
    "addShortcuts#",	//666
    "addSiblingContainment",	//667
    "addSiblingContainment#",	//668
    "addSource",	//669
    "addSource#",	//670
    "addStandardConfigurationPages",	//671
    "addStandardConfigurationPages#",	//672
    "addSyntax",	//673
    "addSyntax#",	//674
    "addTab",	//675
    "addTab#$",	//676
    "addTab#$#",	//677
    "addTab$",	//678
    "addTab$#",	//679
    "addTool",	//680
    "addTool#",	//681
    "addToolBoxAction",	//682
    "addToolBoxAction#",	//683
    "advance",	//684
    "alignment",	//685
    "allowExternalPaths",	//686
    "allowedRunners",	//687
    "alphaMask",	//688
    "animatedHide",	//689
    "animatedHide$",	//690
    "animatedShow",	//691
    "animatedShow$",	//692
    "animationCurve",	//693
    "animationCurve$",	//694
    "animationDuration",	//695
    "animationDuration$",	//696
    "animationFinished",	//697
    "animationFinished#$",	//698
    "animationFps",	//699
    "animationFps$",	//700
    "animationPath",	//701
    "animationPath$",	//702
    "animationStep",	//703
    "animationStep$",	//704
    "appearance",	//705
    "appearanceChanged",	//706
    "append",	//707
    "append$",	//708
    "applet",	//709
    "appletAdded",	//710
    "appletAdded##",	//711
    "appletDestroyed",	//712
    "appletDestroyed#",	//713
    "appletMimeType",	//714
    "appletRemoved",	//715
    "appletRemoved#",	//716
    "appletTransformedByUser",	//717
    "appletTransformedItself",	//718
    "applets",	//719
    "application",	//720
    "aspectRatioMode",	//721
    "associateWidget",	//722
    "associateWidget#$",	//723
    "associatedApplication",	//724
    "associatedApplicationUrls",	//725
    "attachedItems",	//726
    "audioOutput",	//727
    "author",	//728
    "authorizationRequest",	//729
    "authorizationRequest#",	//730
    "autoExpireDelay",	//731
    "autoHide",	//732
    "autoRaise",	//733
    "autohide",	//734
    "availableScreenRegion",	//735
    "availableScreenRegion$",	//736
    "availableScreenRegionChanged",	//737
    "back",	//738
    "backgroundColor",	//739
    "backgroundHints",	//740
    "becameUnused",	//741
    "becameUnused$",	//742
    "bigLock",	//743
    "bindTexture",	//744
    "bindTexture#",	//745
    "bindTexture#$",	//746
    "boundingRect",	//747
    "cacheAllRenderedFrames",	//748
    "calculateNiceRange",	//749
    "category",	//750
    "category#",	//751
    "category$",	//752
    "changeEvent",	//753
    "changeEvent#",	//754
    "changed",	//755
    "changed#",	//756
    "checkForUpdate",	//757
    "checkUsage",	//758
    "childEvent",	//759
    "clear",	//760
    "clearActions",	//761
    "clearApplets",	//762
    "clearCache",	//763
    "clearContainments",	//764
    "clearContent",	//765
    "clearContent#",	//766
    "click",	//767
    "clickMessage",	//768
    "clicked",	//769
    "clicked$",	//770
    "clientPinRequest",	//771
    "clientPinRequest#",	//772
    "closeEvent",	//773
    "closeToolBox",	//774
    "collapseGroup",	//775
    "collidesWithItem",	//776
    "collidesWithPath",	//777
    "color",	//778
    "color$",	//779
    "colorScheme",	//780
    "config",	//781
    "config$",	//782
    "configChanged",	//783
    "configNeedsSaving",	//784
    "configScheme",	//785
    "configSynced",	//786
    "configurationAccepted",	//787
    "configurationRequired",	//788
    "configurationRequired$",	//789
    "configureRequested",	//790
    "configureRequested#",	//791
    "connectAllSources",	//792
    "connectAllSources#",	//793
    "connectAllSources#$",	//794
    "connectAllSources#$$",	//795
    "connectNotify",	//796
    "connectSource",	//797
    "connectSource$#",	//798
    "connectSource$#$",	//799
    "connectSource$#$$",	//800
    "connectVisualization",	//801
    "connectVisualization#$$",	//802
    "constraintsEvent",	//803
    "constraintsEvent$",	//804
    "containerDict",	//805
    "containerForSource",	//806
    "containerForSource$",	//807
    "containment",	//808
    "containmentActions",	//809
    "containmentActions$",	//810
    "containmentActionsConfig",	//811
    "containmentActionsDefaults",	//812
    "containmentActionsDefaults$",	//813
    "containmentActionsTriggers",	//814
    "containmentAdded",	//815
    "containmentAdded#",	//816
    "containmentForScreen",	//817
    "containmentForScreen$",	//818
    "containmentForScreen$$",	//819
    "containmentForScreen$$$",	//820
    "containmentForScreen$$$?",	//821
    "containmentType",	//822
    "containments",	//823
    "contains",	//824
    "containsMultipleImages",	//825
    "contentsHash",	//826
    "contentsPrefix",	//827
    "contentsPrefixPaths",	//828
    "contentsRect",	//829
    "contentsSize",	//830
    "context",	//831
    "contextActions",	//832
    "contextChanged",	//833
    "contextChanged#",	//834
    "contextEvent",	//835
    "contextEvent#",	//836
    "contextMenuEvent",	//837
    "contextMenuEvent#",	//838
    "contextualActions",	//839
    "controlsVisible",	//840
    "corona",	//841
    "count",	//842
    "create",	//843
    "create$",	//844
    "create$#",	//845
    "createActivity",	//846
    "createActivity$",	//847
    "createConfigurationInterface",	//848
    "createConfigurationInterface#",	//849
    "createDefaultService",	//850
    "createDefaultService#",	//851
    "createEditor",	//852
    "createJob",	//853
    "createJob$?",	//854
    "createNewWidgetBrowser",	//855
    "createNewWidgetBrowser#",	//856
    "createPackage",	//857
    "createPackage#$$",	//858
    "createPackage#$$$",	//859
    "createRunOptions",	//860
    "createRunOptions#",	//861
    "currentActivity",	//862
    "currentActivityId",	//863
    "currentChanged",	//864
    "currentChanged$",	//865
    "currentIndex",	//866
    "currentIndexChanged",	//867
    "currentIndexChanged$",	//868
    "currentPixmap",	//869
    "currentPixmap$",	//870
    "currentThemeHasImage",	//871
    "currentThemeHasImage$",	//872
    "currentTime",	//873
    "customAnimation",	//874
    "customAnimation$$$#$",	//875
    "customAnimationFinished",	//876
    "customAnimationFinished$",	//877
    "customCategories",	//878
    "customEvent",	//879
    "darkColor",	//880
    "data",	//881
    "dataEngine",	//882
    "dataEngine$",	//883
    "dataUpdated",	//884
    "dataUpdated$?",	//885
    "defaultPackageRoot",	//886
    "defaultSyntax",	//887
    "defaultTheme",	//888
    "deleteTexture",	//889
    "deleteTexture$",	//890
    "description",	//891
    "desktop",	//892
    "destination",	//893
    "destroy",	//894
    "destroy$",	//895
    "destroyed",	//896
    "destroyed#",	//897
    "detachedItems",	//898
    "devType",	//899
    "dialogManager",	//900
    "dialogResized",	//901
    "dialogVisible",	//902
    "dialogVisible$",	//903
    "directories",	//904
    "disassociateWidget",	//905
    "disassociateWidget#",	//906
    "disconnectNotify",	//907
    "disconnectSource",	//908
    "disconnectSource$#",	//909
    "disconnectVisualization",	//910
    "disconnectVisualization#",	//911
    "doKill",	//912
    "doResume",	//913
    "doSuspend",	//914
    "doubleClicked",	//915
    "dragEnterEvent",	//916
    "dragEnterEvent#",	//917
    "dragLeaveEvent",	//918
    "dragLeaveEvent#",	//919
    "dragMoveEvent",	//920
    "dragMoveEvent#",	//921
    "dragToScroll",	//922
    "drawActionButtonBase",	//923
    "drawActionButtonBase##$",	//924
    "drawAxisText",	//925
    "drawAxisText#$$",	//926
    "drawBackground",	//927
    "drawBackground#$$",	//928
    "drawForeground",	//929
    "drawHorizontalLines",	//930
    "drawHorizontalLines#$$$",	//931
    "drawItems",	//932
    "drawPlots",	//933
    "drawPlots#$$$$",	//934
    "drawThinFrame",	//935
    "drawThinFrame#$$",	//936
    "drawTopBarContents",	//937
    "drawTopBarContents#$$$",	//938
    "drawTopBarFrame",	//939
    "drawTopBarFrame#$$",	//940
    "drawVerticalLines",	//941
    "drawVerticalLines#$$$",	//942
    "drawWallpaper",	//943
    "drawWidget",	//944
    "drawWidget#$$$",	//945
    "dropEvent",	//946
    "dropEvent#",	//947
    "duration",	//948
    "easingCurve",	//949
    "editingFinished",	//950
    "editorEvent",	//951
    "effectiveDesktop",	//952
    "elementAnimationCurve",	//953
    "elementAnimationCurve$",	//954
    "elementAnimationDuration",	//955
    "elementAnimationDuration$",	//956
    "elementAnimationFinished",	//957
    "elementAnimationFinished$",	//958
    "elementAnimationFps",	//959
    "elementAnimationFps$",	//960
    "elementAppear",	//961
    "elementAppear$#",	//962
    "elementAtPoint",	//963
    "elementAtPoint#",	//964
    "elementDisappear",	//965
    "elementDisappear$#",	//966
    "elementID",	//967
    "elementRect",	//968
    "elementRect$",	//969
    "elementSize",	//970
    "elementSize$",	//971
    "email",	//972
    "emptyExtenderMessage",	//973
    "emptyRect",	//974
    "emptyRect##",	//975
    "enableAction",	//976
    "enableAction$$",	//977
    "enabledBorders",	//978
    "enabledBordersForItem",	//979
    "enabledBordersForItem#",	//980
    "enabledChange",	//981
    "engine",	//982
    "engine$",	//983
    "ensureItemVisible",	//984
    "ensureItemVisible#",	//985
    "ensureRectVisible",	//986
    "ensureRectVisible#",	//987
    "enterEvent",	//988
    "entryList",	//989
    "entryList$",	//990
    "errorString",	//991
    "event",	//992
    "event#",	//993
    "eventFilter",	//994
    "eventFilter##",	//995
    "eventToString",	//996
    "eventToString#",	//997
    "exampleQueries",	//998
    "exampleQueriesWithTermDescription",	//999
    "execQuery",	//1000
    "execQuery$",	//1001
    "execQuery$$",	//1002
    "expandGroup",	//1003
    "exportLayout",	//1004
    "exportLayout#?",	//1005
    "extender",	//1006
    "extenderItemRestored",	//1007
    "extenderItemRestored#",	//1008
    "extension",	//1009
    "fadeIn",	//1010
    "fadeOut",	//1011
    "filePath",	//1012
    "filePath$",	//1013
    "filePath$$",	//1014
    "files",	//1015
    "findInCache",	//1016
    "findInCache$#",	//1017
    "findInCache$#$",	//1018
    "findInRectsCache",	//1019
    "findInRectsCache$$#",	//1020
    "findItem",	//1021
    "findItem$$",	//1022
    "findItemByName",	//1023
    "findItemByName$",	//1024
    "finished",	//1025
    "finished#",	//1026
    "firstPositionWidget",	//1027
    "flash",	//1028
    "flash#",	//1029
    "flash#$",	//1030
    "flash#$$",	//1031
    "flash$",	//1032
    "flash$$",	//1033
    "flash$$#",	//1034
    "flushPendingConstraintsEvents",	//1035
    "focusInEvent",	//1036
    "focusInEvent#",	//1037
    "focusNextApplet",	//1038
    "focusNextPrevChild",	//1039
    "focusOutEvent",	//1040
    "focusOutEvent#",	//1041
    "focusPreviousApplet",	//1042
    "font",	//1043
    "font$",	//1044
    "fontChange",	//1045
    "fontColor",	//1046
    "fontMetrics",	//1047
    "forceImmediateUpdate",	//1048
    "forceImmediateUpdateOfAllVisualizations",	//1049
    "formFactor",	//1050
    "forward",	//1051
    "framePixmap",	//1052
    "frameShadow",	//1053
    "frameSize",	//1054
    "freeEdges",	//1055
    "freeEdges$",	//1056
    "geometry",	//1057
    "geometryChanged",	//1058
    "getContentsMargins",	//1059
    "getDataEngine",	//1060
    "getMargins",	//1061
    "getMargins$$$$",	//1062
    "getSnapshotImage",	//1063
    "getSnapshotImage$$",	//1064
    "globalConfig",	//1065
    "globalShortcut",	//1066
    "grabKeyboardEvent",	//1067
    "grabMouseEvent",	//1068
    "graphicsWidget",	//1069
    "group",	//1070
    "group$",	//1071
    "groupList",	//1072
    "groups",	//1073
    "hasAuthorization",	//1074
    "hasAuthorization$",	//1075
    "hasConfigurationInterface",	//1076
    "hasElement",	//1077
    "hasElement$",	//1078
    "hasElementPrefix",	//1079
    "hasElementPrefix$",	//1080
    "hasFailedToLaunch",	//1081
    "hasGroup",	//1082
    "hasGroup$",	//1083
    "hasItem",	//1084
    "hasItem$",	//1085
    "hasOverShoot",	//1086
    "hasRunOptions",	//1087
    "hasScaledContents",	//1088
    "hasValidAssociatedApplication",	//1089
    "heightForWidth",	//1090
    "helpEvent",	//1091
    "hide",	//1092
    "hide#",	//1093
    "hideCloseButton",	//1094
    "hideEvent",	//1095
    "hideEvent#",	//1096
    "hidePopup",	//1097
    "highlightWindows",	//1098
    "horizontalLinesColor",	//1099
    "horizontalLinesCount",	//1100
    "horizontalScale",	//1101
    "horizontalScrollBarPolicy",	//1102
    "hoverEnterEvent",	//1103
    "hoverEnterEvent#",	//1104
    "hoverLeaveEvent",	//1105
    "hoverLeaveEvent#",	//1106
    "hoverMoveEvent",	//1107
    "hoverMoveEvent#",	//1108
    "html",	//1109
    "icon",	//1110
    "iconSize",	//1111
    "id",	//1112
    "ignoredTypes",	//1113
    "image",	//1114
    "imagePath",	//1115
    "imagePath$",	//1116
    "immutability",	//1117
    "immutabilityChanged",	//1118
    "immutabilityChanged$",	//1119
    "implementationApi",	//1120
    "importLayout",	//1121
    "importLayout#",	//1122
    "inControlArea",	//1123
    "inControlArea#",	//1124
    "infoText",	//1125
    "init",	//1126
    "init#",	//1127
    "initExtenderItem",	//1128
    "initExtenderItem#",	//1129
    "initStyleOption",	//1130
    "initWallpaper",	//1131
    "initWallpaper#",	//1132
    "initializeLayout",	//1133
    "initializeLayout$",	//1134
    "inputMethodEvent",	//1135
    "inputMethodQuery",	//1136
    "insertIntoCache",	//1137
    "insertIntoCache$#",	//1138
    "insertIntoCache$#$",	//1139
    "insertIntoRectsCache",	//1140
    "insertIntoRectsCache$$#",	//1141
    "insertTab",	//1142
    "insertTab$#$",	//1143
    "insertTab$#$#",	//1144
    "insertTab$$",	//1145
    "insertTab$$#",	//1146
    "installPackage",	//1147
    "installPackage$$",	//1148
    "installPackage$$$",	//1149
    "invalidateRectsCache",	//1150
    "invalidateRectsCache$",	//1151
    "invertLayout",	//1152
    "invertLayout$",	//1153
    "invertedLayout",	//1154
    "isAnimating",	//1155
    "isAutoCollapse",	//1156
    "isBusy",	//1157
    "isCheckable",	//1158
    "isChecked",	//1159
    "isClearButtonShown",	//1160
    "isClickable",	//1161
    "isCollapsed",	//1162
    "isContainment",	//1163
    "isDetached",	//1164
    "isDown",	//1165
    "isEmpty",	//1166
    "isEnabled",	//1167
    "isGroup",	//1168
    "isGroupCollapsed",	//1169
    "isIconified",	//1170
    "isInitialized",	//1171
    "isMatchingSuspended",	//1172
    "isObscuredBy",	//1173
    "isOperationEnabled",	//1174
    "isOperationEnabled$",	//1175
    "isPassivePopup",	//1176
    "isPluginVersionCompatible",	//1177
    "isPluginVersionCompatible$",	//1178
    "isPopupShowing",	//1179
    "isPreviewing",	//1180
    "isPublished",	//1181
    "isReadOnly",	//1182
    "isRegisteredAsDragHandle",	//1183
    "isRegisteredAsDragHandle#",	//1184
    "isRequired",	//1185
    "isRequired$",	//1186
    "isRunning",	//1187
    "isShowing",	//1188
    "isStorageEnabled",	//1189
    "isTabBarShown",	//1190
    "isToolBoxOpen",	//1191
    "isTransient",	//1192
    "isUserConfiguring",	//1193
    "isUsingRenderingCache",	//1194
    "isValid",	//1195
    "isVisible",	//1196
    "isVisible#",	//1197
    "isWallpaperEnabled",	//1198
    "item",	//1199
    "item$",	//1200
    "itemActivated",	//1201
    "itemActivated$#",	//1202
    "itemAddedEvent",	//1203
    "itemAddedEvent#",	//1204
    "itemAddedEvent##",	//1205
    "itemAppear",	//1206
    "itemAppear$#",	//1207
    "itemAttached",	//1208
    "itemAttached#",	//1209
    "itemChange",	//1210
    "itemChange$#",	//1211
    "itemDetached",	//1212
    "itemDetached#",	//1213
    "itemDisappear",	//1214
    "itemDisappear$#",	//1215
    "itemHoverEnterEvent",	//1216
    "itemHoverEnterEvent#",	//1217
    "itemHoverLeaveEvent",	//1218
    "itemHoverLeaveEvent#",	//1219
    "itemHoverMoveEvent",	//1220
    "itemHoverMoveEvent##",	//1221
    "itemRemovedEvent",	//1222
    "itemRemovedEvent#",	//1223
    "itemSlideIn",	//1224
    "itemSlideIn$###",	//1225
    "itemSlideOut",	//1226
    "itemSlideOut$###",	//1227
    "items",	//1228
    "keyPressEvent",	//1229
    "keyPressEvent#",	//1230
    "keyReleaseEvent",	//1231
    "keyReleaseEvent#",	//1232
    "keywords",	//1233
    "kill",	//1234
    "knownLanguages",	//1235
    "knownLanguages$",	//1236
    "label",	//1237
    "label$",	//1238
    "labelAlignment",	//1239
    "labelAlignment$",	//1240
    "labelColor",	//1241
    "labelColor$",	//1242
    "labelFont",	//1243
    "labelFont$",	//1244
    "labelRect",	//1245
    "labelRect$",	//1246
    "languageChange",	//1247
    "lastDesktop",	//1248
    "lastPositionWidget",	//1249
    "lastScreen",	//1250
    "lastValue",	//1251
    "lastValue$",	//1252
    "lastValueAsString",	//1253
    "lastValueAsString$",	//1254
    "launchQuery",	//1255
    "launchQuery$",	//1256
    "launchQuery$$",	//1257
    "layoutContainments",	//1258
    "leaveEvent",	//1259
    "license",	//1260
    "linkActivated",	//1261
    "linkActivated$",	//1262
    "linkActivated$$$#",	//1263
    "linkHovered",	//1264
    "linkHovered$",	//1265
    "listActivities",	//1266
    "listAllEngines",	//1267
    "listAllEngines$",	//1268
    "listAppletInfo",	//1269
    "listAppletInfo$",	//1270
    "listAppletInfo$$",	//1271
    "listAppletInfoForMimetype",	//1272
    "listAppletInfoForMimetype$",	//1273
    "listAppletInfoForUrl",	//1274
    "listAppletInfoForUrl#",	//1275
    "listCachedRectKeys",	//1276
    "listCachedRectKeys$",	//1277
    "listCategories",	//1278
    "listCategories$",	//1279
    "listCategories$$",	//1280
    "listContainmentActionsInfo",	//1281
    "listContainmentTypes",	//1282
    "listContainments",	//1283
    "listContainments$",	//1284
    "listContainments$$",	//1285
    "listContainmentsForMimetype",	//1286
    "listContainmentsForMimetype$",	//1287
    "listContainmentsOfType",	//1288
    "listContainmentsOfType$",	//1289
    "listContainmentsOfType$$",	//1290
    "listContainmentsOfType$$$",	//1291
    "listEngineInfo",	//1292
    "listEngineInfo$",	//1293
    "listEngineInfoByCategory",	//1294
    "listEngineInfoByCategory$",	//1295
    "listEngineInfoByCategory$$",	//1296
    "listInstalled",	//1297
    "listInstalled$",	//1298
    "listInstalledPaths",	//1299
    "listInstalledPaths$",	//1300
    "listRenderingModes",	//1301
    "listRunnerInfo",	//1302
    "listRunnerInfo$",	//1303
    "listThemeInfo",	//1304
    "listToolBoxInfo",	//1305
    "listToolBoxInfo$",	//1306
    "listWallpaperInfo",	//1307
    "listWallpaperInfo$",	//1308
    "listWallpaperInfoForMimetype",	//1309
    "listWallpaperInfoForMimetype$",	//1310
    "listWallpaperInfoForMimetype$$",	//1311
    "load",	//1312
    "load#",	//1313
    "load##",	//1314
    "load##?",	//1315
    "load#$",	//1316
    "load#$?",	//1317
    "load#?",	//1318
    "load$",	//1319
    "load$#",	//1320
    "load$$",	//1321
    "load$$?",	//1322
    "load$?",	//1323
    "load$?#",	//1324
    "loadAnimationFromPackage",	//1325
    "loadAnimationFromPackage$#",	//1326
    "loadDefaultLayout",	//1327
    "loadEngine",	//1328
    "loadEngine$",	//1329
    "loadFinished",	//1330
    "loadFinished$",	//1331
    "loadLayout",	//1332
    "loadLayout$",	//1333
    "loadPlasmoid",	//1334
    "loadPlasmoid$",	//1335
    "loadPlasmoid$$",	//1336
    "loadPlasmoid$$?",	//1337
    "loadProgress",	//1338
    "loadProgress$",	//1339
    "loadRunner",	//1340
    "loadRunner$",	//1341
    "loadRunner?",	//1342
    "loadScriptEngine",	//1343
    "loadScriptEngine$#",	//1344
    "location",	//1345
    "locationChanged",	//1346
    "locationChanged#",	//1347
    "locationToDirection",	//1348
    "locationToDirection$",	//1349
    "locationToInverseDirection",	//1350
    "locationToInverseDirection$",	//1351
    "lostContainment",	//1352
    "lower",	//1353
    "mainFrame",	//1354
    "mainScript",	//1355
    "mainText",	//1356
    "makeCurrent",	//1357
    "mapAnimation",	//1358
    "mapAnimation$$",	//1359
    "mapFromView",	//1360
    "mapFromView##",	//1361
    "mapToView",	//1362
    "mapToView##",	//1363
    "marginSize",	//1364
    "marginSize$",	//1365
    "mask",	//1366
    "match",	//1367
    "match#",	//1368
    "match$",	//1369
    "matchSessionComplete",	//1370
    "matches",	//1371
    "matchesChanged",	//1372
    "matchesChanged?",	//1373
    "matchingSuspended",	//1374
    "matchingSuspended$",	//1375
    "maxSourceCount",	//1376
    "maximum",	//1377
    "maximumIconSize",	//1378
    "mediaObject",	//1379
    "messageButtonPressed",	//1380
    "messageButtonPressed$",	//1381
    "metaObject",	//1382
    "metadata",	//1383
    "meterType",	//1384
    "metric",	//1385
    "mimeDataForMatch",	//1386
    "mimeDataForMatch#",	//1387
    "mimeDataForMatch$",	//1388
    "mimeType",	//1389
    "mimetypes",	//1390
    "mimetypes$",	//1391
    "minimum",	//1392
    "minimumIconSize",	//1393
    "minimumPollingInterval",	//1394
    "minimumSizeHint",	//1395
    "model",	//1396
    "mouseDoubleClickEvent",	//1397
    "mouseDoubleClickEvent#",	//1398
    "mouseMoveEvent",	//1399
    "mouseMoveEvent#",	//1400
    "mousePressEvent",	//1401
    "mousePressEvent#",	//1402
    "mouseReleaseEvent",	//1403
    "mouseReleaseEvent#",	//1404
    "moveEvent",	//1405
    "moveEvent#",	//1406
    "moveItem",	//1407
    "moveItem#$#",	//1408
    "movementAnimationCurve",	//1409
    "movementAnimationCurve$",	//1410
    "movementAnimationDuration",	//1411
    "movementAnimationDuration$",	//1412
    "movementAnimationFps",	//1413
    "movementAnimationFps$",	//1414
    "movementFinished",	//1415
    "movementFinished#",	//1416
    "name",	//1417
    "name$",	//1418
    "nativeWidget",	//1419
    "needsPreviewDuringConfiguration",	//1420
    "needsToBeStored",	//1421
    "newStatus",	//1422
    "newStatus$",	//1423
    "newWidgetBrowserFinished",	//1424
    "nextRequested",	//1425
    "numDisplayLines",	//1426
    "numScreens",	//1427
    "offscreenWidgets",	//1428
    "opaqueArea",	//1429
    "openToolBox",	//1430
    "operationDescription",	//1431
    "operationDescription$",	//1432
    "operationNames",	//1433
    "operationsChanged",	//1434
    "operator<",	//1435
    "operator<#",	//1436
    "operator=",	//1437
    "operator=#",	//1438
    "operator==",	//1439
    "operator==#",	//1440
    "orientation",	//1441
    "overflowBordersVisible",	//1442
    "package",	//1443
    "packageStructure",	//1444
    "packageStructure#",	//1445
    "packageStructure$$",	//1446
    "page",	//1447
    "pageStep",	//1448
    "paint",	//1449
    "paint##",	//1450
    "paint###",	//1451
    "paint##$",	//1452
    "paint#$$",	//1453
    "paint#$$$",	//1454
    "paint#$$$$",	//1455
    "paint#$$$$$",	//1456
    "paintEngine",	//1457
    "paintEvent",	//1458
    "paintEvent#",	//1459
    "paintFrame",	//1460
    "paintFrame#",	//1461
    "paintFrame##",	//1462
    "paintFrame###",	//1463
    "paintGLInterface",	//1464
    "paintGLInterface##",	//1465
    "paintInterface",	//1466
    "paintInterface###",	//1467
    "paintWindowFrame",	//1468
    "paintWindowFrame###",	//1469
    "paletteChange",	//1470
    "parametersFromDescription",	//1471
    "parametersFromDescription#",	//1472
    "paste",	//1473
    "paste##",	//1474
    "path",	//1475
    "path$",	//1476
    "pathChanged",	//1477
    "pause",	//1478
    "performMatch",	//1479
    "performMatch#",	//1480
    "persistence",	//1481
    "pin",	//1482
    "pixmap",	//1483
    "pixmap$",	//1484
    "play",	//1485
    "plotColors",	//1486
    "pluginName",	//1487
    "policy",	//1488
    "polishEvent",	//1489
    "popupAlignment",	//1490
    "popupEvent",	//1491
    "popupEvent$",	//1492
    "popupIcon",	//1493
    "popupPlacement",	//1494
    "popupPosition",	//1495
    "popupPosition#",	//1496
    "popupPosition##",	//1497
    "popupPosition##$",	//1498
    "popupPosition#$",	//1499
    "preferredIconSize",	//1500
    "preferredToolBoxPlugin",	//1501
    "preferredToolBoxPlugin$",	//1502
    "prefix",	//1503
    "prepare",	//1504
    "pressed",	//1505
    "pressed$",	//1506
    "previousRequested",	//1507
    "priority",	//1508
    "property",	//1509
    "property$",	//1510
    "propertyChange",	//1511
    "publish",	//1512
    "publish$$",	//1513
    "qt_metacall",	//1514
    "qt_metacall$$?",	//1515
    "qt_metacast",	//1516
    "qt_metacast$",	//1517
    "query",	//1518
    "query$",	//1519
    "queryFinished",	//1520
    "raise",	//1521
    "read",	//1522
    "read#",	//1523
    "read$",	//1524
    "readConfig",	//1525
    "readyForRemoteAccess",	//1526
    "rectAfterSubTitle",	//1527
    "rectAfterSubTitle##",	//1528
    "rectAfterTitle",	//1529
    "rectAfterTitle##",	//1530
    "registerAsDragHandle",	//1531
    "registerAsDragHandle#",	//1532
    "registerOperationsScheme",	//1533
    "registerPackage",	//1534
    "registerPackage#$",	//1535
    "registerResources",	//1536
    "registerResources#",	//1537
    "registerScrollingManager",	//1538
    "registerScrollingManager#",	//1539
    "registerWidget",	//1540
    "registerWidget#",	//1541
    "releaseRectsCache",	//1542
    "releaseRectsCache$",	//1543
    "releaseVisualFocus",	//1544
    "released",	//1545
    "relevance",	//1546
    "reload",	//1547
    "reloadConfiguration",	//1548
    "remainingTime",	//1549
    "remoteAppletAnnounced",	//1550
    "remoteAppletAnnounced#",	//1551
    "remoteAppletUnannounced",	//1552
    "remoteAppletUnannounced#",	//1553
    "remoteApplets",	//1554
    "remoteLocation",	//1555
    "remove",	//1556
    "remove#",	//1557
    "removeAction",	//1558
    "removeAction$",	//1559
    "removeAllData",	//1560
    "removeAllData$",	//1561
    "removeAllSources",	//1562
    "removeAssociatedWidget",	//1563
    "removeAssociatedWidget#",	//1564
    "removeData",	//1565
    "removeData$$",	//1566
    "removeDefinition",	//1567
    "removeDefinition$",	//1568
    "removeIconAction",	//1569
    "removeIconAction#",	//1570
    "removeMatch",	//1571
    "removeMatch$",	//1572
    "removeMatches",	//1573
    "removeMatches?",	//1574
    "removeOffscreenWidget",	//1575
    "removeOffscreenWidget#",	//1576
    "removePlot",	//1577
    "removePlot$",	//1578
    "removeSource",	//1579
    "removeSource$",	//1580
    "removeTab",	//1581
    "removeTab$",	//1582
    "removeTool",	//1583
    "removeTool#",	//1584
    "removeToolBoxAction",	//1585
    "removeToolBoxAction#",	//1586
    "render",	//1587
    "render$#",	//1588
    "render$#$",	//1589
    "render$#$#",	//1590
    "renderCompleted",	//1591
    "renderCompleted#",	//1592
    "renderHintsChanged",	//1593
    "renderingMode",	//1594
    "reorderPlots",	//1595
    "reorderPlots?",	//1596
    "repaintNeeded",	//1597
    "reposition",	//1598
    "requestConfigSync",	//1599
    "requireConfigSync",	//1600
    "requiredDirectories",	//1601
    "requiredFiles",	//1602
    "requiredVersion",	//1603
    "reset",	//1604
    "resize",	//1605
    "resize#",	//1606
    "resize$$",	//1607
    "resizeCorners",	//1608
    "resizeEvent",	//1609
    "resizeEvent#",	//1610
    "resizeFrame",	//1611
    "resizeFrame#",	//1612
    "restore",	//1613
    "restore#",	//1614
    "restoreContents",	//1615
    "restoreContents#",	//1616
    "returnPressed",	//1617
    "returnToSource",	//1618
    "roleMapping",	//1619
    "roleMapping$",	//1620
    "run",	//1621
    "run#",	//1622
    "run##",	//1623
    "run$",	//1624
    "runAssociatedApplication",	//1625
    "runner",	//1626
    "runner$",	//1627
    "runnerName",	//1628
    "runnerName$",	//1629
    "runners",	//1630
    "save",	//1631
    "save#",	//1632
    "saveContents",	//1633
    "saveContents#",	//1634
    "saveLayout",	//1635
    "saveLayout$",	//1636
    "saveState",	//1637
    "saveState#",	//1638
    "scale",	//1639
    "scale$",	//1640
    "scaledBy",	//1641
    "scalingFactor",	//1642
    "scalingFactor$",	//1643
    "sceneEvent",	//1644
    "sceneEventFilter",	//1645
    "sceneEventFilter##",	//1646
    "sceneRectAboutToChange",	//1647
    "sceneRectChanged",	//1648
    "scheduleSourcesUpdated",	//1649
    "screen",	//1650
    "screenChanged",	//1651
    "screenChanged$$#",	//1652
    "screenGeometry",	//1653
    "screenGeometry$",	//1654
    "screenOwnerChanged",	//1655
    "screenOwnerChanged$$#",	//1656
    "screenRect",	//1657
    "scrollContentsBy",	//1658
    "scrollPosition",	//1659
    "scrollStateChanged",	//1660
    "scrollStateChanged#$$",	//1661
    "scrollStateChanged$$",	//1662
    "searchContext",	//1663
    "searchPath",	//1664
    "searchPath$",	//1665
    "searchTermDescription",	//1666
    "seek",	//1667
    "seek$",	//1668
    "selectedAction",	//1669
    "self",	//1670
    "service",	//1671
    "serviceForSource",	//1672
    "serviceForSource$",	//1673
    "serviceName",	//1674
    "servicePrefix",	//1675
    "serviceQuery",	//1676
    "serviceQuery$",	//1677
    "serviceQuery$$",	//1678
    "serviceReady",	//1679
    "serviceReady#",	//1680
    "serviceType",	//1681
    "setAction",	//1682
    "setAction#",	//1683
    "setActivity",	//1684
    "setActivity$",	//1685
    "setAlignment",	//1686
    "setAlignment$",	//1687
    "setAllowExternalPaths",	//1688
    "setAllowExternalPaths$",	//1689
    "setAllowedRunners",	//1690
    "setAllowedRunners?",	//1691
    "setAppearance",	//1692
    "setAppearance$",	//1693
    "setApplet",	//1694
    "setApplet#",	//1695
    "setAppletMimeType",	//1696
    "setAppletMimeType$",	//1697
    "setApplication",	//1698
    "setApplication$",	//1699
    "setAspectRatioMode",	//1700
    "setAspectRatioMode$",	//1701
    "setAssociatedApplication",	//1702
    "setAssociatedApplication$",	//1703
    "setAssociatedApplicationUrls",	//1704
    "setAssociatedApplicationUrls?",	//1705
    "setAuthor",	//1706
    "setAuthor$",	//1707
    "setAuthorizationInterface",	//1708
    "setAuthorizationInterface#",	//1709
    "setAuthorizationPolicy",	//1710
    "setAuthorizationPolicy$",	//1711
    "setAutoCollapse",	//1712
    "setAutoCollapse$",	//1713
    "setAutoExpireDelay",	//1714
    "setAutoExpireDelay$",	//1715
    "setAutoHide",	//1716
    "setAutoHide$",	//1717
    "setAutoRaise",	//1718
    "setAutoRaise$",	//1719
    "setAutohide",	//1720
    "setAutohide$",	//1721
    "setBackgroundColor",	//1722
    "setBackgroundColor#",	//1723
    "setBackgroundHints",	//1724
    "setBackgroundHints$",	//1725
    "setBoundingRect",	//1726
    "setBoundingRect#",	//1727
    "setBusy",	//1728
    "setBusy$",	//1729
    "setCacheAllRenderedFrames",	//1730
    "setCacheAllRenderedFrames$",	//1731
    "setCacheLimit",	//1732
    "setCacheLimit$",	//1733
    "setCategory",	//1734
    "setCategory$",	//1735
    "setCheckable",	//1736
    "setCheckable$",	//1737
    "setChecked",	//1738
    "setChecked$",	//1739
    "setClearButtonShown",	//1740
    "setClearButtonShown$",	//1741
    "setClickMessage",	//1742
    "setClickMessage$",	//1743
    "setClickable",	//1744
    "setClickable$",	//1745
    "setCollapsed",	//1746
    "setCollapsed$",	//1747
    "setColor",	//1748
    "setColor#",	//1749
    "setConfigurationRequired",	//1750
    "setConfigurationRequired$",	//1751
    "setConfigurationRequired$$",	//1752
    "setContainment",	//1753
    "setContainment#",	//1754
    "setContainmentActions",	//1755
    "setContainmentActions$$",	//1756
    "setContainmentActionsDefaults",	//1757
    "setContainmentActionsDefaults$#",	//1758
    "setContainmentType",	//1759
    "setContainmentType$",	//1760
    "setContainsMultipleImages",	//1761
    "setContainsMultipleImages$",	//1762
    "setContent",	//1763
    "setContent##",	//1764
    "setContentsPrefix",	//1765
    "setContentsPrefix$",	//1766
    "setContentsPrefixPaths",	//1767
    "setContentsPrefixPaths?",	//1768
    "setContextActions",	//1769
    "setContextActions?",	//1770
    "setContextualActions",	//1771
    "setContextualActions?",	//1772
    "setControlsVisible",	//1773
    "setControlsVisible$",	//1774
    "setCurrentActivity",	//1775
    "setCurrentActivity$",	//1776
    "setCurrentActivityId",	//1777
    "setCurrentActivityId$",	//1778
    "setCurrentIndex",	//1779
    "setCurrentIndex$",	//1780
    "setCustomCategories",	//1781
    "setCustomCategories?",	//1782
    "setDarkColor",	//1783
    "setDarkColor#",	//1784
    "setData",	//1785
    "setData#",	//1786
    "setData$#",	//1787
    "setData$$#",	//1788
    "setData$?",	//1789
    "setDataEngine",	//1790
    "setDataEngine#",	//1791
    "setDefaultMimetypes",	//1792
    "setDefaultMimetypes?",	//1793
    "setDefaultPackageRoot",	//1794
    "setDefaultPackageRoot$",	//1795
    "setDefaultService",	//1796
    "setDefaultService$",	//1797
    "setDefaultSyntax",	//1798
    "setDefaultSyntax#",	//1799
    "setDefaults",	//1800
    "setDescription",	//1801
    "setDescription$",	//1802
    "setDestination",	//1803
    "setDestination$",	//1804
    "setDialogManager",	//1805
    "setDialogManager#",	//1806
    "setDown",	//1807
    "setDown$",	//1808
    "setDragToScroll",	//1809
    "setDragToScroll$",	//1810
    "setDrawBackground",	//1811
    "setDrawBackground$",	//1812
    "setDrawWallpaper",	//1813
    "setDrawWallpaper$",	//1814
    "setDuration",	//1815
    "setDuration$",	//1816
    "setEasingCurve",	//1817
    "setEasingCurve#",	//1818
    "setEditorData",	//1819
    "setElementID",	//1820
    "setElementID$",	//1821
    "setElementPrefix",	//1822
    "setElementPrefix$",	//1823
    "setEmail",	//1824
    "setEmail$",	//1825
    "setEmptyExtenderMessage",	//1826
    "setEmptyExtenderMessage$",	//1827
    "setEnabled",	//1828
    "setEnabled$",	//1829
    "setEnabledBorders",	//1830
    "setEnabledBorders$",	//1831
    "setExtender",	//1832
    "setExtender#",	//1833
    "setExtender##",	//1834
    "setExtension",	//1835
    "setFailedToLaunch",	//1836
    "setFailedToLaunch$",	//1837
    "setFailedToLaunch$$",	//1838
    "setFirstPositionWidget",	//1839
    "setFirstPositionWidget#",	//1840
    "setFont",	//1841
    "setFont#",	//1842
    "setFont#$",	//1843
    "setFontColor",	//1844
    "setFontColor#",	//1845
    "setFormFactor",	//1846
    "setFormFactor$",	//1847
    "setFrameShadow",	//1848
    "setFrameShadow$",	//1849
    "setGeometry",	//1850
    "setGeometry#",	//1851
    "setGlobalShortcut",	//1852
    "setGlobalShortcut#",	//1853
    "setGraphicsWidget",	//1854
    "setGraphicsWidget#",	//1855
    "setGroup",	//1856
    "setGroup#",	//1857
    "setGroup##",	//1858
    "setGroupCollapsed",	//1859
    "setGroupCollapsed$",	//1860
    "setHasConfigurationInterface",	//1861
    "setHasConfigurationInterface$",	//1862
    "setHasRunOptions",	//1863
    "setHasRunOptions$",	//1864
    "setHighlightWindows",	//1865
    "setHighlightWindows$",	//1866
    "setHorizontalLinesColor",	//1867
    "setHorizontalLinesColor#",	//1868
    "setHorizontalLinesCount",	//1869
    "setHorizontalLinesCount$",	//1870
    "setHorizontalScale",	//1871
    "setHorizontalScale$",	//1872
    "setHorizontalScrollBarPolicy",	//1873
    "setHorizontalScrollBarPolicy$",	//1874
    "setHtml",	//1875
    "setHtml#",	//1876
    "setHtml##",	//1877
    "setHtml$",	//1878
    "setHtml$#",	//1879
    "setIcon",	//1880
    "setIcon#",	//1881
    "setIcon$",	//1882
    "setId",	//1883
    "setId$",	//1884
    "setIgnoredTypes",	//1885
    "setIgnoredTypes$",	//1886
    "setImage",	//1887
    "setImage#",	//1888
    "setImage$",	//1889
    "setImage$$",	//1890
    "setImagePath",	//1891
    "setImagePath$",	//1892
    "setImmutability",	//1893
    "setImmutability$",	//1894
    "setImplementationApi",	//1895
    "setImplementationApi$",	//1896
    "setInfoText",	//1897
    "setInfoText$",	//1898
    "setInitialPixmap",	//1899
    "setInitialPixmap$#",	//1900
    "setKeywords",	//1901
    "setKeywords?",	//1902
    "setLabel",	//1903
    "setLabel$",	//1904
    "setLabel$$",	//1905
    "setLabelAlignment",	//1906
    "setLabelAlignment$$",	//1907
    "setLabelColor",	//1908
    "setLabelColor$#",	//1909
    "setLabelFont",	//1910
    "setLabelFont$#",	//1911
    "setLastPositionWidget",	//1912
    "setLastPositionWidget#",	//1913
    "setLicense",	//1914
    "setLicense$",	//1915
    "setLocation",	//1916
    "setLocation$",	//1917
    "setMainText",	//1918
    "setMainText$",	//1919
    "setMaxSourceCount",	//1920
    "setMaxSourceCount$",	//1921
    "setMaximum",	//1922
    "setMaximum$",	//1923
    "setMaximumIconSize",	//1924
    "setMaximumIconSize#",	//1925
    "setMeterType",	//1926
    "setMeterType$",	//1927
    "setMimetypes",	//1928
    "setMimetypes$?",	//1929
    "setMinimum",	//1930
    "setMinimum$",	//1931
    "setMinimumIconSize",	//1932
    "setMinimumIconSize#",	//1933
    "setMinimumPollingInterval",	//1934
    "setMinimumPollingInterval$",	//1935
    "setModel",	//1936
    "setModel#",	//1937
    "setModelData",	//1938
    "setName",	//1939
    "setName$",	//1940
    "setNativeWidget",	//1941
    "setNativeWidget#",	//1942
    "setNeedsToBeStored",	//1943
    "setNeedsToBeStored$",	//1944
    "setNeedsUpdate",	//1945
    "setNeedsUpdate$",	//1946
    "setNumDisplayLines",	//1947
    "setNumDisplayLines$",	//1948
    "setOperationEnabled",	//1949
    "setOperationEnabled$$",	//1950
    "setOperationsScheme",	//1951
    "setOperationsScheme#",	//1952
    "setOrientation",	//1953
    "setOrientation$",	//1954
    "setOverShoot",	//1955
    "setOverShoot$",	//1956
    "setOverflowBordersVisible",	//1957
    "setOverflowBordersVisible$",	//1958
    "setPage",	//1959
    "setPage#",	//1960
    "setPageStep",	//1961
    "setPageStep$",	//1962
    "setPassivePopup",	//1963
    "setPassivePopup$",	//1964
    "setPath",	//1965
    "setPath$",	//1966
    "setPersistence",	//1967
    "setPersistence$",	//1968
    "setPin",	//1969
    "setPin$",	//1970
    "setPluginName",	//1971
    "setPluginName$",	//1972
    "setPolicy",	//1973
    "setPolicy$",	//1974
    "setPollingInterval",	//1975
    "setPollingInterval$",	//1976
    "setPopupAlignment",	//1977
    "setPopupAlignment$",	//1978
    "setPopupIcon",	//1979
    "setPopupIcon#",	//1980
    "setPopupIcon$",	//1981
    "setPreferredIconSize",	//1982
    "setPreferredIconSize#",	//1983
    "setPreferredToolBoxPlugin",	//1984
    "setPreferredToolBoxPlugin$$",	//1985
    "setPressed",	//1986
    "setPressed$",	//1987
    "setPreviewDuringConfiguration",	//1988
    "setPreviewDuringConfiguration$",	//1989
    "setPreviewing",	//1990
    "setPreviewing$",	//1991
    "setPriority",	//1992
    "setPriority$",	//1993
    "setQuery",	//1994
    "setQuery$",	//1995
    "setRange",	//1996
    "setRange$$",	//1997
    "setReadOnly",	//1998
    "setReadOnly$",	//1999
    "setRelevance",	//2000
    "setRelevance$",	//2001
    "setRemoteLocation",	//2002
    "setRemoteLocation#",	//2003
    "setRenderingMode",	//2004
    "setRenderingMode$",	//2005
    "setRequired",	//2006
    "setRequired$$",	//2007
    "setRequiredVersion",	//2008
    "setRequiredVersion$",	//2009
    "setResizeHandleCorners",	//2010
    "setResizeHandleCorners$",	//2011
    "setResizeMethodHint",	//2012
    "setResizeMethodHint$",	//2013
    "setRoleMapping",	//2014
    "setRoleMapping$$",	//2015
    "setRunner",	//2016
    "setRunner#",	//2017
    "setRunning",	//2018
    "setRunning$",	//2019
    "setScaledContents",	//2020
    "setScaledContents$",	//2021
    "setScreen",	//2022
    "setScreen$",	//2023
    "setScreen$$",	//2024
    "setScrollPosition",	//2025
    "setScrollPosition#",	//2026
    "setSearchTermDescription",	//2027
    "setSearchTermDescription$",	//2028
    "setSelectedAction",	//2029
    "setSelectedAction#",	//2030
    "setServicePrefix",	//2031
    "setServicePrefix$",	//2032
    "setServiceType",	//2033
    "setServiceType$",	//2034
    "setShowHorizontalLines",	//2035
    "setShowHorizontalLines$",	//2036
    "setShowLabels",	//2037
    "setShowLabels$",	//2038
    "setShowTopBar",	//2039
    "setShowTopBar$",	//2040
    "setShowVerticalLines",	//2041
    "setShowVerticalLines$",	//2042
    "setShowing",	//2043
    "setShowing$",	//2044
    "setSingleMode",	//2045
    "setSingleMode$",	//2046
    "setSingleModeRunnerId",	//2047
    "setSingleModeRunnerId$",	//2048
    "setSingleRunnerQueryMode",	//2049
    "setSingleRunnerQueryMode$",	//2050
    "setSingleStep",	//2051
    "setSingleStep$",	//2052
    "setSnapSize",	//2053
    "setSnapSize#",	//2054
    "setSpeed",	//2055
    "setSpeed$",	//2056
    "setStackPlots",	//2057
    "setStackPlots$",	//2058
    "setState",	//2059
    "setState$",	//2060
    "setStatus",	//2061
    "setStatus$",	//2062
    "setStorageEnabled",	//2063
    "setStorageEnabled$",	//2064
    "setStorageEnabled$$",	//2065
    "setStyleSheet",	//2066
    "setStyleSheet$",	//2067
    "setSubText",	//2068
    "setSubText$",	//2069
    "setSubtext",	//2070
    "setSubtext$",	//2071
    "setSvg",	//2072
    "setSvg#",	//2073
    "setSvg$",	//2074
    "setSvg$$",	//2075
    "setSvgBackground",	//2076
    "setSvgBackground$",	//2077
    "setSyntaxes",	//2078
    "setSyntaxes?",	//2079
    "setTabBarShown",	//2080
    "setTabBarShown$",	//2081
    "setTabIcon",	//2082
    "setTabIcon$#",	//2083
    "setTabText",	//2084
    "setTabText$$",	//2085
    "setTarget",	//2086
    "setTarget#",	//2087
    "setTargetItem",	//2088
    "setTargetItem#",	//2089
    "setTargetSizeHint",	//2090
    "setTargetSizeHint#",	//2091
    "setTargetWidget",	//2092
    "setTargetWidget#",	//2093
    "setTargets",	//2094
    "setTargets$",	//2095
    "setText",	//2096
    "setText$",	//2097
    "setTextBackgroundColor",	//2098
    "setTextBackgroundColor#",	//2099
    "setTextSelectable",	//2100
    "setTextSelectable$",	//2101
    "setTheme",	//2102
    "setTheme#",	//2103
    "setThemeName",	//2104
    "setThemeName$",	//2105
    "setThinFrame",	//2106
    "setThinFrame$",	//2107
    "setTitle",	//2108
    "setTitle$",	//2109
    "setToolBox",	//2110
    "setToolBox#",	//2111
    "setToolBoxOpen",	//2112
    "setToolBoxOpen$",	//2113
    "setTrackContainmentChanges",	//2114
    "setTrackContainmentChanges$",	//2115
    "setTransient",	//2116
    "setTransient$",	//2117
    "setType",	//2118
    "setType$",	//2119
    "setUnit",	//2120
    "setUnit$",	//2121
    "setUnpressed",	//2122
    "setUrl",	//2123
    "setUrl#",	//2124
    "setUrl$",	//2125
    "setUseAutoRange",	//2126
    "setUseAutoRange$",	//2127
    "setUseGlobalSettings",	//2128
    "setUseGlobalSettings$",	//2129
    "setUsedControls",	//2130
    "setUsedControls$",	//2131
    "setUsingRenderingCache",	//2132
    "setUsingRenderingCache$",	//2133
    "setValid",	//2134
    "setValid$",	//2135
    "setValue",	//2136
    "setValue$",	//2137
    "setVersion",	//2138
    "setVersion$",	//2139
    "setVerticalLinesColor",	//2140
    "setVerticalLinesColor#",	//2141
    "setVerticalLinesDistance",	//2142
    "setVerticalLinesDistance$",	//2143
    "setVerticalLinesScroll",	//2144
    "setVerticalLinesScroll$",	//2145
    "setVerticalRange",	//2146
    "setVerticalRange$$",	//2147
    "setVerticalScrollBarPolicy",	//2148
    "setVerticalScrollBarPolicy$",	//2149
    "setView",	//2150
    "setView#",	//2151
    "setVisible",	//2152
    "setWallpaper",	//2153
    "setWallpaper#",	//2154
    "setWallpaper$",	//2155
    "setWallpaper$$",	//2156
    "setWallpaperEnabled",	//2157
    "setWallpaperEnabled$",	//2158
    "setWebsite",	//2159
    "setWebsite$",	//2160
    "setWidget",	//2161
    "setWidget#",	//2162
    "setWindowToPreview",	//2163
    "setWindowToPreview$",	//2164
    "setWindowsToPreview",	//2165
    "setWindowsToPreview?",	//2166
    "setWordWrap",	//2167
    "setWordWrap$",	//2168
    "setZoomFactor",	//2169
    "setZoomFactor$",	//2170
    "settingsChanged",	//2171
    "setupMatchSession",	//2172
    "shape",	//2173
    "shortcutsChanged",	//2174
    "shouldConserveResources",	//2175
    "show",	//2176
    "show#",	//2177
    "showAddWidgetsInterface",	//2178
    "showAddWidgetsInterface#",	//2179
    "showCloseButton",	//2180
    "showConfigurationInterface",	//2181
    "showConfigurationInterface#",	//2182
    "showContextMenu",	//2183
    "showContextMenu##",	//2184
    "showDialog",	//2185
    "showDialog##",	//2186
    "showDropZone",	//2187
    "showDropZone#",	//2188
    "showEvent",	//2189
    "showEvent#",	//2190
    "showHorizontalLines",	//2191
    "showLabels",	//2192
    "showMessage",	//2193
    "showMessage#$$",	//2194
    "showPopup",	//2195
    "showPopup$",	//2196
    "showToolTip",	//2197
    "showTopBar",	//2198
    "showVerticalLines",	//2199
    "singleMode",	//2200
    "singleModeAdvertisedRunnerIds",	//2201
    "singleModeRunner",	//2202
    "singleModeRunnerId",	//2203
    "singleRunnerQueryMode",	//2204
    "singleStep",	//2205
    "size",	//2206
    "sizeChanged",	//2207
    "sizeFromIconSize",	//2208
    "sizeFromIconSize$",	//2209
    "sizeHint",	//2210
    "sizeHint##",	//2211
    "sizeHint$",	//2212
    "sizeHint$#",	//2213
    "sizeHintChanged",	//2214
    "sizeHintChanged$",	//2215
    "sliderMoved",	//2216
    "sliderMoved$",	//2217
    "snapSize",	//2218
    "sourceAdded",	//2219
    "sourceAdded$",	//2220
    "sourceRemoved",	//2221
    "sourceRemoved$",	//2222
    "sourceRequestEvent",	//2223
    "sourceRequestEvent$",	//2224
    "sources",	//2225
    "speed",	//2226
    "stackPlots",	//2227
    "standardConfigurationDialog",	//2228
    "start",	//2229
    "startOperationCall",	//2230
    "startOperationCall#",	//2231
    "startOperationCall##",	//2232
    "startupArguments",	//2233
    "state",	//2234
    "staticMetaObject",	//2235
    "status",	//2236
    "stop",	//2237
    "stopCustomAnimation",	//2238
    "stopCustomAnimation$",	//2239
    "stopElementAnimation",	//2240
    "stopElementAnimation$",	//2241
    "stopItemAnimation",	//2242
    "stopItemAnimation$",	//2243
    "stopItemMovement",	//2244
    "stopItemMovement$",	//2245
    "structure",	//2246
    "styleChange",	//2247
    "styleSheet",	//2248
    "styleSheet$",	//2249
    "subText",	//2250
    "subtext",	//2251
    "supportedProtocols",	//2252
    "supportsExtension",	//2253
    "suspendMatching",	//2254
    "suspendMatching$",	//2255
    "svg",	//2256
    "svgBackground",	//2257
    "swapContainment",	//2258
    "swapContainment#$",	//2259
    "swapContainment#$?",	//2260
    "swapContainment$",	//2261
    "swapContainment$?",	//2262
    "syncToGraphicsWidget",	//2263
    "syntaxes",	//2264
    "tabAt",	//2265
    "tabAt$",	//2266
    "tabIcon",	//2267
    "tabIcon$",	//2268
    "tabText",	//2269
    "tabText$",	//2270
    "tabletEvent",	//2271
    "takeTab",	//2272
    "takeTab$",	//2273
    "target",	//2274
    "targetItem",	//2275
    "targetItemReached",	//2276
    "targetItemReached#",	//2277
    "targetReached",	//2278
    "targetReached#",	//2279
    "targetWidget",	//2280
    "targets",	//2281
    "teardown",	//2282
    "text",	//2283
    "textBackgroundColor",	//2284
    "textChanged",	//2285
    "textChanged$",	//2286
    "textEdited",	//2287
    "textEdited$",	//2288
    "textSelectable",	//2289
    "theme",	//2290
    "themeChanged",	//2291
    "themeName",	//2292
    "thinFrame",	//2293
    "tick",	//2294
    "tick$",	//2295
    "timeSinceLastUpdate",	//2296
    "timerEvent",	//2297
    "timerEvent#",	//2298
    "title",	//2299
    "togglePopup",	//2300
    "toggled",	//2301
    "toggled$",	//2302
    "toolBox",	//2303
    "toolBoxItem",	//2304
    "toolBoxToggled",	//2305
    "toolBoxVisibilityChanged",	//2306
    "toolBoxVisibilityChanged$",	//2307
    "topLevelViewAt",	//2308
    "topLevelViewAt#",	//2309
    "totalTime",	//2310
    "tr",	//2311
    "tr$",	//2312
    "tr$$",	//2313
    "tr$$$",	//2314
    "trUtf8",	//2315
    "trUtf8$",	//2316
    "trUtf8$$",	//2317
    "trUtf8$$$",	//2318
    "trackContainmentChanges",	//2319
    "type",	//2320
    "ungrabKeyboardEvent",	//2321
    "ungrabMouseEvent",	//2322
    "uninstallPackage",	//2323
    "uninstallPackage$$",	//2324
    "uninstallPackage$$$",	//2325
    "unit",	//2326
    "unloadEngine",	//2327
    "unloadEngine$",	//2328
    "unpublish",	//2329
    "unregisterAsDragHandle",	//2330
    "unregisterAsDragHandle#",	//2331
    "unregisterScrollingManager",	//2332
    "unregisterScrollingManager#",	//2333
    "unregisterWidget",	//2334
    "unregisterWidget#",	//2335
    "update",	//2336
    "update#",	//2337
    "updateAllSources",	//2338
    "updateConstraints",	//2339
    "updateConstraints$",	//2340
    "updateCurrentTime",	//2341
    "updateCurrentTime$",	//2342
    "updateDataBuffers",	//2343
    "updateDirection",	//2344
    "updateEditorGeometry",	//2345
    "updateGeometry",	//2346
    "updateRequested",	//2347
    "updateRequested#",	//2348
    "updateShortcuts",	//2349
    "updateSourceEvent",	//2350
    "updateSourceEvent$",	//2351
    "updateState",	//2352
    "url",	//2353
    "urlChanged",	//2354
    "urlChanged#",	//2355
    "urlDropped",	//2356
    "urlDropped#",	//2357
    "useAutoRange",	//2358
    "useDefaults",	//2359
    "useGlobalSettings",	//2360
    "useNativeWidgetStyle",	//2361
    "usedControls",	//2362
    "usrReadConfig",	//2363
    "usrSetDefaults",	//2364
    "usrUseDefaults",	//2365
    "usrWriteConfig",	//2366
    "value",	//2367
    "valueChanged",	//2368
    "valueChanged$",	//2369
    "version",	//2370
    "versionMajor",	//2371
    "versionMinor",	//2372
    "versionRelease",	//2373
    "versionString",	//2374
    "verticalLinesColor",	//2375
    "verticalLinesDistance",	//2376
    "verticalLinesScroll",	//2377
    "verticalMaxValue",	//2378
    "verticalMinValue",	//2379
    "verticalScrollBarPolicy",	//2380
    "view",	//2381
    "viewFor",	//2382
    "viewFor#",	//2383
    "viewportEvent",	//2384
    "viewportGeometry",	//2385
    "viewportGeometryChanged",	//2386
    "viewportGeometryChanged#",	//2387
    "visibilityChanged",	//2388
    "visibilityChanged$",	//2389
    "visualizationIsConnected",	//2390
    "visualizationIsConnected#",	//2391
    "wallpaper",	//2392
    "wallpaperPath",	//2393
    "wallpaperPath#",	//2394
    "website",	//2395
    "wheelEvent",	//2396
    "wheelEvent#",	//2397
    "widget",	//2398
    "windowActivationChange",	//2399
    "windowFrameEvent",	//2400
    "windowFrameSectionAt",	//2401
    "windowPreviewActivated",	//2402
    "windowPreviewActivated$$$#",	//2403
    "windowToPreview",	//2404
    "windowTranslucencyEnabled",	//2405
    "windowsToPreview",	//2406
    "wordWrap",	//2407
    "write",	//2408
    "write#",	//2409
    "write$",	//2410
    "writeConfig",	//2411
    "x11Event",	//2412
    "zoomFactor",	//2413
    "zoomRequested",	//2414
    "zoomRequested#$",	//2415
    "~AbstractDialogManager",	//2416
    "~AbstractRunner",	//2417
    "~AbstractToolBox",	//2418
    "~AccessAppletJob",	//2419
    "~Animation",	//2420
    "~AnimationDriver",	//2421
    "~Applet",	//2422
    "~AppletScript",	//2423
    "~AuthorizationInterface",	//2424
    "~AuthorizationRule",	//2425
    "~BusyWidget",	//2426
    "~CheckBox",	//2427
    "~ComboBox",	//2428
    "~ConfigLoader",	//2429
    "~Containment",	//2430
    "~ContainmentActions",	//2431
    "~ContainmentActionsPluginsConfig",	//2432
    "~Context",	//2433
    "~Corona",	//2434
    "~DataContainer",	//2435
    "~DataEngine",	//2436
    "~DataEngineScript",	//2437
    "~Delegate",	//2438
    "~Dialog",	//2439
    "~Extender",	//2440
    "~ExtenderGroup",	//2441
    "~ExtenderItem",	//2442
    "~FlashingLabel",	//2443
    "~Frame",	//2444
    "~FrameSvg",	//2445
    "~GLApplet",	//2446
    "~GroupBox",	//2447
    "~IconWidget",	//2448
    "~ItemBackground",	//2449
    "~Label",	//2450
    "~LineEdit",	//2451
    "~Meter",	//2452
    "~Package",	//2453
    "~PackageMetadata",	//2454
    "~PackageStructure",	//2455
    "~PlotColor",	//2456
    "~PopupApplet",	//2457
    "~PushButton",	//2458
    "~QueryMatch",	//2459
    "~RadioButton",	//2460
    "~RunnerContext",	//2461
    "~RunnerManager",	//2462
    "~RunnerScript",	//2463
    "~RunnerSyntax",	//2464
    "~ScriptEngine",	//2465
    "~ScrollBar",	//2466
    "~ScrollWidget",	//2467
    "~Separator",	//2468
    "~Service",	//2469
    "~ServiceAccessJob",	//2470
    "~SignalPlotter",	//2471
    "~Slider",	//2472
    "~SpinBox",	//2473
    "~StyleOption",	//2474
    "~Svg",	//2475
    "~SvgWidget",	//2476
    "~TabBar",	//2477
    "~TextBrowser",	//2478
    "~TextEdit",	//2479
    "~Theme",	//2480
    "~ToolButton",	//2481
    "~ToolTipContent",	//2482
    "~TreeView",	//2483
    "~VideoWidget",	//2484
    "~View",	//2485
    "~Wallpaper",	//2486
    "~WallpaperScript",	//2487
    "~WebView",	//2488
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1516, 1, 1, Smoke::mf_virtual, 500, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1514, 3, 3, Smoke::mf_virtual, 492, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1800, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1525, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2411, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2359, 7, 1, Smoke::mf_virtual, 401, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2365, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2364, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2363, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 912, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//11 KJob::doKill()
    {14, 914, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//12 KJob::doSuspend()
    {14, 913, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//13 KJob::doResume()
    {14, 991, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//14 KJob::errorString() const
    {14, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 5},	//15 KJob::NoError (enum)
    {14, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 6},	//16 KJob::KilledJobError (enum)
    {14, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1348, 9, 1, Smoke::mf_static, 91, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {29, 2374, 0, 0, Smoke::mf_static, 485, 2},	//19 Plasma::versionString()
    {29, 2371, 0, 0, Smoke::mf_static, 498, 3},	//20 Plasma::versionMajor()
    {29, 2382, 11, 1, Smoke::mf_static, 225, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {29, 2370, 0, 0, Smoke::mf_static, 498, 5},	//22 Plasma::version()
    {29, 1350, 9, 1, Smoke::mf_static, 91, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 1343, 13, 2, Smoke::mf_static, 139, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2372, 0, 0, Smoke::mf_static, 498, 8},	//25 Plasma::versionMinor()
    {29, 1444, 16, 2, Smoke::mf_static, 20, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1642, 19, 1, Smoke::mf_static, 489, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 1343, 21, 2, Smoke::mf_static, 173, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 611, 24, 3, Smoke::mf_static, 251, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 611, 28, 1, Smoke::mf_static, 251, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {29, 611, 30, 2, Smoke::mf_static, 251, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 1343, 33, 2, Smoke::mf_static, 85, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 1177, 36, 1, Smoke::mf_static, 401, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1235, 38, 1, Smoke::mf_static, 290, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 1343, 40, 2, Smoke::mf_static, 53, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 2373, 0, 0, Smoke::mf_static, 498, 19},	//36 Plasma::versionRelease()
    {29, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 20},	//37 Plasma::ZoomIn (enum)
    {29, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 21},	//38 Plasma::ZoomOut (enum)
    {29, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//39 Plasma::Planar (enum)
    {29, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//40 Plasma::MediaCenter (enum)
    {29, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//41 Plasma::Horizontal (enum)
    {29, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//42 Plasma::Vertical (enum)
    {29, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//43 Plasma::ButtonNone (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//44 Plasma::ButtonOk (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//45 Plasma::ButtonYes (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//46 Plasma::ButtonNo (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 31},	//48 Plasma::NoAlignment (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//50 Plasma::AlignToHour (enum)
    {29, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//51 Plasma::TopMargin (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//52 Plasma::BottomMargin (enum)
    {29, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 36},	//53 Plasma::LeftMargin (enum)
    {29, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 37},	//54 Plasma::RightMargin (enum)
    {29, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//58 Plasma::Square (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//60 Plasma::FixedSize (enum)
    {29, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 45},	//62 Plasma::RightPositioned (enum)
    {29, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 46},	//63 Plasma::TopPositioned (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 49},	//66 Plasma::Down (enum)
    {29, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 50},	//67 Plasma::Up (enum)
    {29, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 51},	//68 Plasma::Left (enum)
    {29, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 52},	//69 Plasma::Right (enum)
    {29, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 60},	//77 Plasma::Mutable (enum)
    {29, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 61},	//78 Plasma::UserImmutable (enum)
    {29, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 72},	//89 Plasma::AppletType (enum)
    {29, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 73},	//90 Plasma::LineEditType (enum)
    {29, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 74},	//91 Plasma::NoConstraint (enum)
    {29, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//100 Plasma::AllConstraints (enum)
    {29, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 84},	//101 Plasma::NoFlip (enum)
    {29, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 93},	//110 Plasma::GroupZoom (enum)
    {29, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 95},	//112 Plasma::AppletComponent (enum)
    {29, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//118 Plasma::Floating (enum)
    {29, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//119 Plasma::Desktop (enum)
    {29, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//120 Plasma::FullScreen (enum)
    {29, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//121 Plasma::TopEdge (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//122 Plasma::BottomEdge (enum)
    {29, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//123 Plasma::LeftEdge (enum)
    {29, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 107},	//124 Plasma::RightEdge (enum)
    {30, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//125 Plasma::AbstractDialogManager::metaObject() const
    {30, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//126 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2311, 43, 2, Smoke::mf_static, 289, 3},	//127 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2315, 43, 2, Smoke::mf_static, 289, 4},	//128 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2311, 46, 3, Smoke::mf_static, 289, 5},	//129 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2315, 46, 3, Smoke::mf_static, 289, 6},	//130 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//131 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 33, 8},	//132 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2185, 52, 2, Smoke::mf_slot, 0, 9},	//133 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2311, 1, 1, Smoke::mf_static, 289, 10},	//134 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2315, 1, 1, Smoke::mf_static, 289, 11},	//135 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 33, 12},	//136 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 13},	//137 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2416, 0, 0, Smoke::mf_dtor, 0, 14 },	//138 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//139 Plasma::AbstractRunner::metaObject() const
    {31, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//140 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2311, 43, 2, Smoke::mf_static, 289, 3},	//141 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2315, 43, 2, Smoke::mf_static, 289, 4},	//142 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2311, 46, 3, Smoke::mf_static, 289, 5},	//143 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2315, 46, 3, Smoke::mf_static, 289, 6},	//144 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//145 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1367, 55, 1, Smoke::mf_virtual, 0, 8},	//146 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1479, 55, 1, 0, 0, 9},	//147 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1087, 0, 0, 0, 401, 10},	//148 Plasma::AbstractRunner::hasRunOptions()
    {31, 860, 57, 1, Smoke::mf_virtual, 0, 11},	//149 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1621, 59, 2, Smoke::mf_virtual, 0, 12},	//150 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2226, 0, 0, Smoke::mf_const, 36, 13},	//151 Plasma::AbstractRunner::speed() const
    {31, 1508, 0, 0, Smoke::mf_const, 35, 14},	//152 Plasma::AbstractRunner::priority() const
    {31, 1113, 0, 0, Smoke::mf_const, 203, 15},	//153 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1885, 62, 1, 0, 0, 16},	//154 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1417, 0, 0, Smoke::mf_const, 289, 17},	//155 Plasma::AbstractRunner::name() const
    {31, 1112, 0, 0, Smoke::mf_const, 289, 18},	//156 Plasma::AbstractRunner::id() const
    {31, 891, 0, 0, Smoke::mf_const, 289, 19},	//157 Plasma::AbstractRunner::description() const
    {31, 1110, 0, 0, Smoke::mf_const, 233, 20},	//158 Plasma::AbstractRunner::icon() const
    {31, 1443, 0, 0, Smoke::mf_const, 424, 21},	//159 Plasma::AbstractRunner::package() const
    {31, 1548, 0, 0, Smoke::mf_virtual, 0, 22},	//160 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2264, 0, 0, Smoke::mf_const, 250, 23},	//161 Plasma::AbstractRunner::syntaxes() const
    {31, 743, 0, 0, Smoke::mf_static, 265, 24},	//162 Plasma::AbstractRunner::bigLock()
    {31, 887, 0, 0, Smoke::mf_const, 141, 25},	//163 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1172, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 26},	//164 Plasma::AbstractRunner::isMatchingSuspended() const
    {31, 1504, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//165 Plasma::AbstractRunner::prepare()
    {31, 2282, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//166 Plasma::AbstractRunner::teardown()
    {31, 1374, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//167 Plasma::AbstractRunner::matchingSuspended(bool)
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 30},	//168 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 31},	//169 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 32},	//170 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 2254, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 33},	//171 Plasma::AbstractRunner::suspendMatching(bool)
    {31, 781, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 34},	//172 Plasma::AbstractRunner::config() const
    {31, 1863, 7, 1, Smoke::mf_protected, 0, 35},	//173 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 2055, 73, 1, Smoke::mf_protected, 0, 36},	//174 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 1992, 75, 1, Smoke::mf_protected, 0, 37},	//175 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1676, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 38},	//176 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 608, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 251, 39},	//177 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 621, 82, 3, Smoke::mf_protected, 181, 40},	//178 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 621, 86, 2, Smoke::mf_protected, 0, 41},	//179 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1558, 89, 1, Smoke::mf_protected, 0, 42},	//180 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 604, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 43},	//181 Plasma::AbstractRunner::action(const QString&) const
    {31, 607, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 44},	//182 Plasma::AbstractRunner::actions() const
    {31, 761, 0, 0, Smoke::mf_protected, 0, 45},	//183 Plasma::AbstractRunner::clearActions()
    {31, 673, 91, 1, Smoke::mf_protected, 0, 46},	//184 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1798, 91, 1, Smoke::mf_protected, 0, 47},	//185 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 2078, 93, 1, Smoke::mf_protected, 0, 48},	//186 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 882, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 49},	//187 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1126, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//188 Plasma::AbstractRunner::init()
    {31, 1386, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 262, 51},	//189 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2311, 1, 1, Smoke::mf_static, 289, 52},	//190 Plasma::AbstractRunner::tr(const char*)
    {31, 2315, 1, 1, Smoke::mf_static, 289, 53},	//191 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 34, 54},	//192 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 55},	//193 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 56},	//194 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1676, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 57},	//195 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 58},	//196 Plasma::AbstractRunner::staticMetaObject() const
    {31, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 59},	//197 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 60},	//198 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 61},	//199 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 62},	//200 Plasma::AbstractRunner::LowPriority (enum)
    {31, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 63},	//201 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 64},	//202 Plasma::AbstractRunner::HighPriority (enum)
    {31, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 65},	//203 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2417, 0, 0, Smoke::mf_dtor, 0, 66 },	//204 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//205 Plasma::AbstractToolBox::metaObject() const
    {32, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//206 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2311, 43, 2, Smoke::mf_static, 289, 3},	//207 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2315, 43, 2, Smoke::mf_static, 289, 4},	//208 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2311, 46, 3, Smoke::mf_static, 289, 5},	//209 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2315, 46, 3, Smoke::mf_static, 289, 6},	//210 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//211 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 37, 8},	//212 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 9, 70, 2, Smoke::mf_ctor, 37, 9},	//213 Plasma::AbstractToolBox::AbstractToolBox(QObject*, const QList<QVariant>&)
    {32, 1312, 103, 3, Smoke::mf_static, 37, 10},	//214 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&, Plasma::Containment*)
    {32, 1305, 89, 1, Smoke::mf_static, 238, 11},	//215 Plasma::AbstractToolBox::listToolBoxInfo(const QString&)
    {32, 680, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//216 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1583, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//217 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1188, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 401, 14},	//218 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 2043, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//219 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 1613, 111, 1, Smoke::mf_slot, 0, 16},	//220 Plasma::AbstractToolBox::restore(const KConfigGroup&)
    {32, 1631, 111, 1, Smoke::mf_slot, 0, 17},	//221 Plasma::AbstractToolBox::save(const KConfigGroup&)
    {32, 1598, 0, 0, Smoke::mf_slot, 0, 18},	//222 Plasma::AbstractToolBox::reposition()
    {32, 2301, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Plasma::AbstractToolBox::toggled()
    {32, 2388, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 808, 0, 0, Smoke::mf_const|Smoke::mf_protected, 71, 21},	//225 Plasma::AbstractToolBox::containment() const
    {32, 2311, 1, 1, Smoke::mf_static, 289, 22},	//226 Plasma::AbstractToolBox::tr(const char*)
    {32, 2315, 1, 1, Smoke::mf_static, 289, 23},	//227 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 9, 0, 0, Smoke::mf_ctor, 37, 24},	//228 Plasma::AbstractToolBox::AbstractToolBox()
    {32, 9, 97, 1, Smoke::mf_ctor, 37, 25},	//229 Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    {32, 1312, 89, 1, Smoke::mf_static, 37, 26},	//230 Plasma::AbstractToolBox::load(const QString&)
    {32, 1312, 113, 2, Smoke::mf_static, 37, 27},	//231 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&)
    {32, 1305, 0, 0, Smoke::mf_static, 238, 28},	//232 Plasma::AbstractToolBox::listToolBoxInfo()
    {32, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 29},	//233 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//234 Plasma::AbstractToolBox::AddTool (enum)
    {32, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//235 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//236 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//237 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 34},	//238 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//239 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2418, 0, 0, Smoke::mf_dtor, 0, 36 },	//240 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//241 Plasma::AccessAppletJob::metaObject() const
    {33, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//242 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2311, 43, 2, Smoke::mf_static, 289, 3},	//243 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2315, 43, 2, Smoke::mf_static, 289, 4},	//244 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2311, 46, 3, Smoke::mf_static, 289, 5},	//245 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2315, 46, 3, Smoke::mf_static, 289, 6},	//246 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//247 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 709, 0, 0, Smoke::mf_const, 51, 8},	//248 Plasma::AccessAppletJob::applet() const
    {33, 13, 116, 2, Smoke::mf_ctor|Smoke::mf_protected, 39, 9},	//249 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//250 Plasma::AccessAppletJob::start()
    {33, 2311, 1, 1, Smoke::mf_static, 289, 11},	//251 Plasma::AccessAppletJob::tr(const char*)
    {33, 2315, 1, 1, Smoke::mf_static, 289, 12},	//252 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 13, 119, 1, Smoke::mf_ctor|Smoke::mf_protected, 39, 13},	//253 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 14},	//254 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2419, 0, 0, Smoke::mf_dtor, 0, 15 },	//255 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1382, 0, 0, Smoke::mf_const, 457, 1},	//256 Plasma::AccessManager::metaObject() const
    {34, 1516, 1, 1, 0, 500, 2},	//257 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2311, 43, 2, Smoke::mf_static, 289, 3},	//258 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2315, 43, 2, Smoke::mf_static, 289, 4},	//259 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2311, 46, 3, Smoke::mf_static, 289, 5},	//260 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2315, 46, 3, Smoke::mf_static, 289, 6},	//261 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1514, 3, 3, 0, 492, 7},	//262 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1670, 0, 0, Smoke::mf_static, 40, 8},	//263 Plasma::AccessManager::self()
    {34, 602, 119, 1, Smoke::mf_const, 39, 9},	//264 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1554, 0, 0, Smoke::mf_const, 247, 10},	//265 Plasma::AccessManager::remoteApplets() const
    {34, 2252, 0, 0, Smoke::mf_static, 290, 11},	//266 Plasma::AccessManager::supportedProtocols()
    {34, 1025, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//267 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1550, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//268 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1552, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//269 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2311, 1, 1, Smoke::mf_static, 289, 15},	//270 Plasma::AccessManager::tr(const char*)
    {34, 2315, 1, 1, Smoke::mf_static, 289, 16},	//271 Plasma::AccessManager::trUtf8(const char*)
    {34, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 17},	//272 Plasma::AccessManager::staticMetaObject() const
    {35, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//273 Plasma::Animation::metaObject() const
    {35, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//274 Plasma::Animation::qt_metacast(const char*)
    {35, 2311, 43, 2, Smoke::mf_static, 289, 3},	//275 Plasma::Animation::tr(const char*, const char*)
    {35, 2315, 43, 2, Smoke::mf_static, 289, 4},	//276 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2311, 46, 3, Smoke::mf_static, 289, 5},	//277 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2315, 46, 3, Smoke::mf_static, 289, 6},	//278 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//279 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 948, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 492, 8},	//280 Plasma::Animation::duration() const
    {35, 32, 97, 1, Smoke::mf_ctor, 41, 9},	//281 Plasma::Animation::Animation(QObject*)
    {35, 2092, 125, 1, 0, 0, 10},	//282 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2280, 0, 0, Smoke::mf_const, 226, 11},	//283 Plasma::Animation::targetWidget() const
    {35, 1817, 127, 1, Smoke::mf_property, 0, 12},	//284 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 949, 0, 0, Smoke::mf_const|Smoke::mf_property, 195, 13},	//285 Plasma::Animation::easingCurve() const
    {35, 1815, 129, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//286 Plasma::Animation::setDuration(int)
    {35, 2341, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//287 Plasma::Animation::updateCurrentTime(int)
    {35, 2311, 1, 1, Smoke::mf_static, 289, 16},	//288 Plasma::Animation::tr(const char*)
    {35, 2315, 1, 1, Smoke::mf_static, 289, 17},	//289 Plasma::Animation::trUtf8(const char*)
    {35, 32, 0, 0, Smoke::mf_ctor, 41, 18},	//290 Plasma::Animation::Animation()
    {35, 1815, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//291 Plasma::Animation::setDuration()
    {35, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 20},	//292 Plasma::Animation::staticMetaObject() const
    {35, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//293 Plasma::Animation::Center (enum)
    {35, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//294 Plasma::Animation::Up (enum)
    {35, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 23},	//295 Plasma::Animation::Down (enum)
    {35, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 24},	//296 Plasma::Animation::Left (enum)
    {35, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 25},	//297 Plasma::Animation::Right (enum)
    {35, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 26},	//298 Plasma::Animation::MoveAny (enum)
    {35, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 27},	//299 Plasma::Animation::MoveUp (enum)
    {35, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 28},	//300 Plasma::Animation::MoveRight (enum)
    {35, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 29},	//301 Plasma::Animation::MoveDown (enum)
    {35, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 30},	//302 Plasma::Animation::MoveLeft (enum)
    {35, 2420, 0, 0, Smoke::mf_dtor, 0, 31 },	//303 Plasma::Animation::~Animation()
    {36, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//304 Plasma::AnimationDriver::metaObject() const
    {36, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//305 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2311, 43, 2, Smoke::mf_static, 289, 3},	//306 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2315, 43, 2, Smoke::mf_static, 289, 4},	//307 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2311, 46, 3, Smoke::mf_static, 289, 5},	//308 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2315, 46, 3, Smoke::mf_static, 289, 6},	//309 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//310 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 34, 97, 1, Smoke::mf_ctor, 44, 8},	//311 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 699, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 9},	//312 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1413, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 10},	//313 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 959, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 11},	//314 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 695, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 12},	//315 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1411, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 13},	//316 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 955, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 14},	//317 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 693, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 15},	//318 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1409, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 16},	//319 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 953, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 17},	//320 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 961, 135, 2, Smoke::mf_virtual, 273, 18},	//321 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 965, 135, 2, Smoke::mf_virtual, 273, 19},	//322 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1206, 138, 2, Smoke::mf_virtual, 0, 20},	//323 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1214, 138, 2, Smoke::mf_virtual, 0, 21},	//324 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1201, 138, 2, Smoke::mf_virtual, 0, 22},	//325 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1224, 141, 4, Smoke::mf_virtual, 0, 23},	//326 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1226, 141, 4, Smoke::mf_virtual, 0, 24},	//327 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2311, 1, 1, Smoke::mf_static, 289, 25},	//328 Plasma::AnimationDriver::tr(const char*)
    {36, 2315, 1, 1, Smoke::mf_static, 289, 26},	//329 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 34, 0, 0, Smoke::mf_ctor, 44, 27},	//330 Plasma::AnimationDriver::AnimationDriver()
    {36, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 28},	//331 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2421, 0, 0, Smoke::mf_dtor, 0, 29 },	//332 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1382, 0, 0, Smoke::mf_const, 457, 1},	//333 Plasma::Animator::metaObject() const
    {37, 1516, 1, 1, 0, 500, 2},	//334 Plasma::Animator::qt_metacast(const char*)
    {37, 2311, 43, 2, Smoke::mf_static, 289, 3},	//335 Plasma::Animator::tr(const char*, const char*)
    {37, 2315, 43, 2, Smoke::mf_static, 289, 4},	//336 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2311, 46, 3, Smoke::mf_static, 289, 5},	//337 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2315, 46, 3, Smoke::mf_static, 289, 6},	//338 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1514, 3, 3, 0, 492, 7},	//339 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1670, 0, 0, Smoke::mf_static, 45, 8},	//340 Plasma::Animator::self()
    {37, 843, 146, 2, Smoke::mf_static, 41, 9},	//341 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 843, 149, 2, Smoke::mf_static, 41, 10},	//342 Plasma::Animator::create(const QString&, QObject*)
    {37, 843, 152, 1, Smoke::mf_static, 195, 11},	//343 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2242, 129, 1, 0, 0, 12},	//344 Plasma::Animator::stopItemAnimation(int)
    {37, 1407, 154, 3, 0, 492, 13},	//345 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2244, 129, 1, 0, 0, 14},	//346 Plasma::Animator::stopItemMovement(int)
    {37, 874, 158, 5, 0, 492, 15},	//347 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2238, 129, 1, 0, 0, 16},	//348 Plasma::Animator::stopCustomAnimation(int)
    {37, 2240, 129, 1, 0, 0, 17},	//349 Plasma::Animator::stopElementAnimation(int)
    {37, 1899, 164, 2, 0, 0, 18},	//350 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 869, 129, 1, 0, 273, 19},	//351 Plasma::Animator::currentPixmap(int)
    {37, 1155, 0, 0, Smoke::mf_const, 401, 20},	//352 Plasma::Animator::isAnimating() const
    {37, 1538, 125, 1, 0, 0, 21},	//353 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2332, 125, 1, 0, 0, 22},	//354 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 697, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//355 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1415, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//356 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 957, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//357 Plasma::Animator::elementAnimationFinished(int)
    {37, 876, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//358 Plasma::Animator::customAnimationFinished(int)
    {37, 1660, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//359 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2297, 176, 1, Smoke::mf_protected, 0, 28},	//360 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2311, 1, 1, Smoke::mf_static, 289, 29},	//361 Plasma::Animator::tr(const char*)
    {37, 2315, 1, 1, Smoke::mf_static, 289, 30},	//362 Plasma::Animator::trUtf8(const char*)
    {37, 843, 131, 1, Smoke::mf_static, 41, 31},	//363 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 843, 89, 1, Smoke::mf_static, 41, 32},	//364 Plasma::Animator::create(const QString&)
    {37, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 33},	//365 Plasma::Animator::staticMetaObject() const
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//366 Plasma::Animator::AppearAnimation (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//367 Plasma::Animator::DisappearAnimation (enum)
    {37, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//368 Plasma::Animator::ActivateAnimation (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//369 Plasma::Animator::FadeAnimation (enum)
    {37, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//370 Plasma::Animator::GrowAnimation (enum)
    {37, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 39},	//371 Plasma::Animator::PulseAnimation (enum)
    {37, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 40},	//372 Plasma::Animator::RotationAnimation (enum)
    {37, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 41},	//373 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 42},	//374 Plasma::Animator::SlideAnimation (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 43},	//375 Plasma::Animator::GeometryAnimation (enum)
    {37, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 44},	//376 Plasma::Animator::ZoomAnimation (enum)
    {37, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 45},	//377 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 46},	//378 Plasma::Animator::WaterAnimation (enum)
    {37, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 47},	//379 Plasma::Animator::LastAnimation (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 48},	//380 Plasma::Animator::EaseInCurve (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 49},	//381 Plasma::Animator::EaseOutCurve (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 50},	//382 Plasma::Animator::EaseInOutCurve (enum)
    {37, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 51},	//383 Plasma::Animator::LinearCurve (enum)
    {37, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 52},	//384 Plasma::Animator::PendularCurve (enum)
    {37, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 53},	//385 Plasma::Animator::SlideInMovement (enum)
    {37, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 54},	//386 Plasma::Animator::SlideOutMovement (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 55},	//387 Plasma::Animator::FastSlideInMovement (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 56},	//388 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//389 Plasma::Applet::metaObject() const
    {38, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//390 Plasma::Applet::qt_metacast(const char*)
    {38, 2311, 43, 2, Smoke::mf_static, 289, 3},	//391 Plasma::Applet::tr(const char*, const char*)
    {38, 2315, 43, 2, Smoke::mf_static, 289, 4},	//392 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2311, 46, 3, Smoke::mf_static, 289, 5},	//393 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2315, 46, 3, Smoke::mf_static, 289, 6},	//394 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//395 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1444, 0, 0, Smoke::mf_static, 20, 8},	//396 Plasma::Applet::packageStructure()
    {38, 1112, 0, 0, Smoke::mf_const, 498, 9},	//397 Plasma::Applet::id() const
    {38, 781, 0, 0, Smoke::mf_const, 8, 10},	//398 Plasma::Applet::config() const
    {38, 781, 89, 1, Smoke::mf_const, 8, 11},	//399 Plasma::Applet::config(const QString&) const
    {38, 1631, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//400 Plasma::Applet::save(KConfigGroup&) const
    {38, 1613, 178, 1, Smoke::mf_virtual, 0, 13},	//401 Plasma::Applet::restore(KConfigGroup&)
    {38, 1065, 0, 0, Smoke::mf_const, 8, 14},	//402 Plasma::Applet::globalConfig() const
    {38, 785, 0, 0, Smoke::mf_const, 69, 15},	//403 Plasma::Applet::configScheme() const
    {38, 882, 89, 1, Smoke::mf_const, 83, 16},	//404 Plasma::Applet::dataEngine(const QString&) const
    {38, 1443, 0, 0, Smoke::mf_const, 424, 17},	//405 Plasma::Applet::package() const
    {38, 2381, 0, 0, Smoke::mf_const, 225, 18},	//406 Plasma::Applet::view() const
    {38, 1360, 180, 2, Smoke::mf_const, 279, 19},	//407 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1362, 183, 2, Smoke::mf_const, 278, 20},	//408 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1495, 186, 1, Smoke::mf_const, 275, 21},	//409 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1495, 188, 2, Smoke::mf_const, 275, 22},	//410 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2339, 191, 1, 0, 0, 23},	//411 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 24},	//412 Plasma::Applet::formFactor() const
    {38, 1345, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 25},	//413 Plasma::Applet::location() const
    {38, 831, 0, 0, Smoke::mf_const, 80, 26},	//414 Plasma::Applet::context() const
    {38, 721, 0, 0, Smoke::mf_const, 54, 27},	//415 Plasma::Applet::aspectRatioMode() const
    {38, 1700, 193, 1, 0, 0, 28},	//416 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1269, 77, 2, Smoke::mf_static, 238, 29},	//417 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1272, 89, 1, Smoke::mf_static, 238, 30},	//418 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1274, 195, 1, Smoke::mf_static, 238, 31},	//419 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1278, 197, 2, Smoke::mf_static, 290, 32},	//420 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1781, 200, 1, 0, 0, 33},	//421 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 878, 0, 0, 0, 290, 34},	//422 Plasma::Applet::customCategories()
    {38, 1334, 202, 3, Smoke::mf_static, 51, 35},	//423 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1312, 202, 3, Smoke::mf_static, 51, 36},	//424 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1312, 206, 3, Smoke::mf_static, 51, 37},	//425 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 750, 210, 1, Smoke::mf_static, 289, 38},	//426 Plasma::Applet::category(const KPluginInfo&)
    {38, 750, 89, 1, Smoke::mf_static, 289, 39},	//427 Plasma::Applet::category(const QString&)
    {38, 1466, 212, 3, Smoke::mf_virtual, 0, 40},	//428 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 41},	//429 Plasma::Applet::name() const
    {38, 1043, 0, 0, Smoke::mf_const, 209, 42},	//430 Plasma::Applet::font() const
    {38, 1487, 0, 0, Smoke::mf_const, 289, 43},	//431 Plasma::Applet::pluginName() const
    {38, 2175, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 44},	//432 Plasma::Applet::shouldConserveResources() const
    {38, 1110, 0, 0, Smoke::mf_const, 289, 45},	//433 Plasma::Applet::icon() const
    {38, 750, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 46},	//434 Plasma::Applet::category() const
    {38, 1117, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 47},	//435 Plasma::Applet::immutability() const
    {38, 1468, 216, 3, Smoke::mf_virtual, 0, 48},	//436 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1081, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 49},	//437 Plasma::Applet::hasFailedToLaunch() const
    {38, 1157, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 50},	//438 Plasma::Applet::isBusy() const
    {38, 788, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 51},	//439 Plasma::Applet::configurationRequired() const
    {38, 1076, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 52},	//440 Plasma::Applet::hasConfigurationInterface() const
    {38, 839, 0, 0, Smoke::mf_virtual, 251, 53},	//441 Plasma::Applet::contextualActions()
    {38, 604, 220, 1, Smoke::mf_const, 181, 54},	//442 Plasma::Applet::action(QString) const
    {38, 621, 222, 2, 0, 0, 55},	//443 Plasma::Applet::addAction(QString, QAction*)
    {38, 1724, 225, 1, 0, 0, 56},	//444 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 740, 0, 0, Smoke::mf_const, 197, 57},	//445 Plasma::Applet::backgroundHints() const
    {38, 1163, 0, 0, Smoke::mf_const, 401, 58},	//446 Plasma::Applet::isContainment() const
    {38, 1657, 0, 0, Smoke::mf_const, 278, 59},	//447 Plasma::Applet::screenRect() const
    {38, 2320, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 492, 60},	//448 Plasma::Applet::type() const
    {38, 808, 0, 0, Smoke::mf_const, 71, 61},	//449 Plasma::Applet::containment() const
    {38, 1852, 227, 1, 0, 0, 62},	//450 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1066, 0, 0, Smoke::mf_const, 21, 63},	//451 Plasma::Applet::globalShortcut() const
    {38, 1179, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 64},	//452 Plasma::Applet::isPopupShowing() const
    {38, 632, 57, 1, Smoke::mf_virtual, 0, 65},	//453 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1563, 57, 1, Smoke::mf_virtual, 0, 66},	//454 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1128, 229, 1, Smoke::mf_virtual, 0, 67},	//455 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 38, 231, 3, Smoke::mf_ctor, 51, 68},	//456 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 38, 235, 3, Smoke::mf_ctor, 51, 69},	//457 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*, unsigned int)
    {38, 38, 239, 4, Smoke::mf_ctor, 51, 70},	//458 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 896, 0, 0, Smoke::mf_const, 401, 71},	//459 Plasma::Applet::destroyed() const
    {38, 848, 244, 1, Smoke::mf_virtual, 0, 72},	//460 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1074, 89, 1, Smoke::mf_const, 401, 73},	//461 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1702, 89, 1, 0, 0, 74},	//462 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1704, 246, 1, 0, 0, 75},	//463 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 724, 0, 0, Smoke::mf_const, 289, 76},	//464 Plasma::Applet::associatedApplication() const
    {38, 725, 0, 0, Smoke::mf_const, 29, 77},	//465 Plasma::Applet::associatedApplicationUrls() const
    {38, 1089, 0, 0, Smoke::mf_const, 401, 78},	//466 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1544, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//467 Plasma::Applet::releaseVisualFocus()
    {38, 1058, 0, 0, Smoke::mf_protected, 0, 80},	//468 Plasma::Applet::geometryChanged()
    {38, 717, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//469 Plasma::Applet::appletTransformedByUser()
    {38, 718, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//470 Plasma::Applet::appletTransformedItself()
    {38, 2214, 248, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//471 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 784, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//472 Plasma::Applet::configNeedsSaving()
    {38, 615, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//473 Plasma::Applet::activate()
    {38, 1380, 250, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//474 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 712, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//475 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1422, 254, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//476 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 1007, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//477 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1118, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//478 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1893, 258, 1, Smoke::mf_property|Smoke::mf_slot, 0, 91},	//479 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 894, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//480 Plasma::Applet::destroy()
    {38, 2181, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//481 Plasma::Applet::showConfigurationInterface()
    {38, 2181, 57, 1, Smoke::mf_slot, 0, 94},	//482 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1193, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 401, 95},	//483 Plasma::Applet::isUserConfiguring() const
    {38, 1521, 0, 0, Smoke::mf_slot, 0, 96},	//484 Plasma::Applet::raise()
    {38, 1353, 0, 0, Smoke::mf_slot, 0, 97},	//485 Plasma::Applet::lower()
    {38, 1035, 0, 0, Smoke::mf_slot, 0, 98},	//486 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1126, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//487 Plasma::Applet::init()
    {38, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 100},	//488 Plasma::Applet::configChanged()
    {38, 1728, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 101},	//489 Plasma::Applet::setBusy(bool)
    {38, 2233, 0, 0, Smoke::mf_const|Smoke::mf_slot, 300, 102},	//490 Plasma::Applet::startupArguments() const
    {38, 2236, 0, 0, Smoke::mf_const|Smoke::mf_slot, 109, 103},	//491 Plasma::Applet::status() const
    {38, 2061, 260, 1, Smoke::mf_slot, 0, 104},	//492 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1512, 262, 2, Smoke::mf_slot, 0, 105},	//493 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2329, 0, 0, Smoke::mf_slot, 0, 106},	//494 Plasma::Applet::unpublish()
    {38, 1181, 0, 0, Smoke::mf_const|Smoke::mf_slot, 401, 107},	//495 Plasma::Applet::isPublished() const
    {38, 1625, 0, 0, Smoke::mf_slot, 0, 108},	//496 Plasma::Applet::runAssociatedApplication()
    {38, 38, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 109},	//497 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1836, 265, 2, Smoke::mf_protected, 0, 110},	//498 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1637, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 111},	//499 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1861, 7, 1, Smoke::mf_protected, 0, 112},	//500 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1750, 265, 2, Smoke::mf_protected, 0, 113},	//501 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2193, 268, 3, Smoke::mf_protected, 0, 114},	//502 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 803, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 115},	//503 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1531, 170, 1, Smoke::mf_protected, 0, 116},	//504 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2330, 170, 1, Smoke::mf_protected, 0, 117},	//505 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1183, 170, 1, Smoke::mf_protected, 401, 118},	//506 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 1006, 0, 0, Smoke::mf_const|Smoke::mf_protected, 92, 119},	//507 Plasma::Applet::extender() const
    {38, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 120},	//508 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 121},	//509 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//510 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//511 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 124},	//512 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 125},	//513 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2173, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 272, 126},	//514 Plasma::Applet::shape() const
    {38, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 127},	//515 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//516 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//517 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//518 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2311, 1, 1, Smoke::mf_static, 289, 131},	//519 Plasma::Applet::tr(const char*)
    {38, 2315, 1, 1, Smoke::mf_static, 289, 132},	//520 Plasma::Applet::trUtf8(const char*)
    {38, 2339, 0, 0, 0, 0, 133},	//521 Plasma::Applet::updateConstraints()
    {38, 1269, 0, 0, Smoke::mf_static, 238, 134},	//522 Plasma::Applet::listAppletInfo()
    {38, 1269, 89, 1, Smoke::mf_static, 238, 135},	//523 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1278, 0, 0, Smoke::mf_static, 290, 136},	//524 Plasma::Applet::listCategories()
    {38, 1278, 89, 1, Smoke::mf_static, 290, 137},	//525 Plasma::Applet::listCategories(const QString&)
    {38, 1334, 89, 1, Smoke::mf_static, 51, 138},	//526 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1334, 292, 2, Smoke::mf_static, 51, 139},	//527 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1312, 89, 1, Smoke::mf_static, 51, 140},	//528 Plasma::Applet::load(const QString&)
    {38, 1312, 292, 2, Smoke::mf_static, 51, 141},	//529 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1312, 210, 1, Smoke::mf_static, 51, 142},	//530 Plasma::Applet::load(const KPluginInfo&)
    {38, 1312, 295, 2, Smoke::mf_static, 51, 143},	//531 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 38, 0, 0, Smoke::mf_ctor, 51, 144},	//532 Plasma::Applet::Applet()
    {38, 38, 170, 1, Smoke::mf_ctor, 51, 145},	//533 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 38, 298, 2, Smoke::mf_ctor, 51, 146},	//534 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 38, 210, 1, Smoke::mf_ctor, 51, 147},	//535 Plasma::Applet::Applet(const KPluginInfo&)
    {38, 38, 301, 2, Smoke::mf_ctor, 51, 148},	//536 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*)
    {38, 1836, 7, 1, Smoke::mf_protected, 0, 149},	//537 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1750, 7, 1, Smoke::mf_protected, 0, 150},	//538 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2210, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 151},	//539 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 152},	//540 Plasma::Applet::staticMetaObject() const
    {38, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 153},	//541 Plasma::Applet::NoBackground (enum)
    {38, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 154},	//542 Plasma::Applet::StandardBackground (enum)
    {38, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 155},	//543 Plasma::Applet::TranslucentBackground (enum)
    {38, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 156},	//544 Plasma::Applet::DefaultBackground (enum)
    {38, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 157},	//545 Plasma::Applet::Type (enum)
    {38, 2422, 0, 0, Smoke::mf_dtor, 0, 158 },	//546 Plasma::Applet::~Applet()
    {39, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//547 Plasma::AppletScript::metaObject() const
    {39, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//548 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2311, 43, 2, Smoke::mf_static, 289, 3},	//549 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2315, 43, 2, Smoke::mf_static, 289, 4},	//550 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2311, 46, 3, Smoke::mf_static, 289, 5},	//551 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2315, 46, 3, Smoke::mf_static, 289, 6},	//552 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//553 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 47, 97, 1, Smoke::mf_ctor, 53, 8},	//554 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1694, 252, 1, 0, 0, 9},	//555 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 709, 0, 0, Smoke::mf_const, 51, 10},	//556 Plasma::AppletScript::applet() const
    {39, 1466, 212, 3, Smoke::mf_virtual, 0, 11},	//557 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2206, 0, 0, Smoke::mf_const, 287, 12},	//558 Plasma::AppletScript::size() const
    {39, 803, 191, 1, Smoke::mf_virtual, 0, 13},	//559 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 839, 0, 0, Smoke::mf_virtual, 251, 14},	//560 Plasma::AppletScript::contextualActions()
    {39, 2173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 15},	//561 Plasma::AppletScript::shape() const
    {39, 1861, 7, 1, 0, 0, 16},	//562 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1750, 265, 2, 0, 0, 17},	//563 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1836, 265, 2, 0, 0, 18},	//564 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 784, 0, 0, Smoke::mf_const, 0, 19},	//565 Plasma::AppletScript::configNeedsSaving() const
    {39, 1006, 0, 0, Smoke::mf_const, 92, 20},	//566 Plasma::AppletScript::extender() const
    {39, 1637, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//567 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1491, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//568 Plasma::AppletScript::popupEvent(bool) const
    {39, 2181, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//569 Plasma::AppletScript::showConfigurationInterface()
    {39, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//570 Plasma::AppletScript::configChanged()
    {39, 882, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 25},	//571 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1355, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 26},	//572 Plasma::AppletScript::mainScript() const
    {39, 1443, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 424, 27},	//573 Plasma::AppletScript::package() const
    {39, 891, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 28},	//574 Plasma::AppletScript::description() const
    {39, 2228, 0, 0, Smoke::mf_protected, 7, 29},	//575 Plasma::AppletScript::standardConfigurationDialog()
    {39, 671, 244, 1, Smoke::mf_protected, 0, 30},	//576 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2193, 268, 3, Smoke::mf_protected, 0, 31},	//577 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1531, 170, 1, Smoke::mf_protected, 0, 32},	//578 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2330, 170, 1, Smoke::mf_protected, 0, 33},	//579 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1183, 170, 1, Smoke::mf_protected, 401, 34},	//580 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1325, 149, 2, Smoke::mf_protected, 41, 35},	//581 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2311, 1, 1, Smoke::mf_static, 289, 36},	//582 Plasma::AppletScript::tr(const char*)
    {39, 2315, 1, 1, Smoke::mf_static, 289, 37},	//583 Plasma::AppletScript::trUtf8(const char*)
    {39, 47, 0, 0, Smoke::mf_ctor, 53, 38},	//584 Plasma::AppletScript::AppletScript()
    {39, 1750, 7, 1, 0, 0, 39},	//585 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1836, 7, 1, 0, 0, 40},	//586 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 41},	//587 Plasma::AppletScript::staticMetaObject() const
    {39, 2423, 0, 0, Smoke::mf_dtor, 0, 42 },	//588 Plasma::AppletScript::~AppletScript()
    {40, 729, 304, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//589 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 771, 306, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//590 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 50, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 55, 3},	//591 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 50, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 4},	//592 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2424, 0, 0, Smoke::mf_dtor, 0, 5 },	//593 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1382, 0, 0, Smoke::mf_const, 457, 1},	//594 Plasma::AuthorizationManager::metaObject() const
    {41, 1516, 1, 1, 0, 500, 2},	//595 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2311, 43, 2, Smoke::mf_static, 289, 3},	//596 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2315, 43, 2, Smoke::mf_static, 289, 4},	//597 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2311, 46, 3, Smoke::mf_static, 289, 5},	//598 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2315, 46, 3, Smoke::mf_static, 289, 6},	//599 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1514, 3, 3, 0, 492, 7},	//600 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1670, 0, 0, Smoke::mf_static, 56, 8},	//601 Plasma::AuthorizationManager::self()
    {41, 1710, 310, 1, 0, 0, 9},	//602 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1708, 312, 1, 0, 0, 10},	//603 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1526, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//604 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2311, 1, 1, Smoke::mf_static, 289, 12},	//605 Plasma::AuthorizationManager::tr(const char*)
    {41, 2315, 1, 1, Smoke::mf_static, 289, 13},	//606 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 14},	//607 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//608 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//609 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 17},	//610 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 18},	//611 Plasma::AuthorizationManager::Custom (enum)
    {42, 1382, 0, 0, Smoke::mf_const, 457, 1},	//612 Plasma::AuthorizationRule::metaObject() const
    {42, 1516, 1, 1, 0, 500, 2},	//613 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2311, 43, 2, Smoke::mf_static, 289, 3},	//614 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2315, 43, 2, Smoke::mf_static, 289, 4},	//615 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2311, 46, 3, Smoke::mf_static, 289, 5},	//616 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2315, 46, 3, Smoke::mf_static, 289, 6},	//617 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1514, 3, 3, 0, 492, 7},	//618 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 891, 0, 0, Smoke::mf_const, 289, 8},	//619 Plasma::AuthorizationRule::description() const
    {42, 1973, 314, 1, 0, 0, 9},	//620 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1488, 0, 0, 0, 61, 10},	//621 Plasma::AuthorizationRule::policy()
    {42, 1967, 316, 1, 0, 0, 11},	//622 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1481, 0, 0, 0, 60, 12},	//623 Plasma::AuthorizationRule::persistence()
    {42, 2094, 318, 1, 0, 0, 13},	//624 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2281, 0, 0, 0, 198, 14},	//625 Plasma::AuthorizationRule::targets()
    {42, 1969, 89, 1, 0, 0, 15},	//626 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1482, 0, 0, Smoke::mf_const, 289, 16},	//627 Plasma::AuthorizationRule::pin() const
    {42, 1674, 0, 0, Smoke::mf_const, 289, 17},	//628 Plasma::AuthorizationRule::serviceName() const
    {42, 755, 320, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//629 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2311, 1, 1, Smoke::mf_static, 289, 19},	//630 Plasma::AuthorizationRule::tr(const char*)
    {42, 2315, 1, 1, Smoke::mf_static, 289, 20},	//631 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 21},	//632 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//633 Plasma::AuthorizationRule::Deny (enum)
    {42, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//634 Plasma::AuthorizationRule::Allow (enum)
    {42, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//635 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 25},	//636 Plasma::AuthorizationRule::Transient (enum)
    {42, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 26},	//637 Plasma::AuthorizationRule::Persistent (enum)
    {42, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 27},	//638 Plasma::AuthorizationRule::Default (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 28},	//639 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 29},	//640 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2425, 0, 0, Smoke::mf_dtor, 0, 30 },	//641 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//642 Plasma::BusyWidget::metaObject() const
    {43, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//643 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2311, 43, 2, Smoke::mf_static, 289, 3},	//644 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2315, 43, 2, Smoke::mf_static, 289, 4},	//645 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2311, 46, 3, Smoke::mf_static, 289, 5},	//646 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2315, 46, 3, Smoke::mf_static, 289, 6},	//647 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//648 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 67, 125, 1, Smoke::mf_ctor, 63, 8},	//649 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 2018, 7, 1, Smoke::mf_property, 0, 9},	//650 Plasma::BusyWidget::setRunning(bool)
    {43, 1187, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 10},	//651 Plasma::BusyWidget::isRunning() const
    {43, 1903, 89, 1, Smoke::mf_property, 0, 11},	//652 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1237, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//653 Plasma::BusyWidget::label() const
    {43, 769, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//654 Plasma::BusyWidget::clicked()
    {43, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//655 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2189, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//656 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1095, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//657 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//658 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//659 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//660 Plasma::BusyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {43, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//661 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2311, 1, 1, Smoke::mf_static, 289, 21},	//662 Plasma::BusyWidget::tr(const char*)
    {43, 2315, 1, 1, Smoke::mf_static, 289, 22},	//663 Plasma::BusyWidget::trUtf8(const char*)
    {43, 67, 0, 0, Smoke::mf_ctor, 63, 23},	//664 Plasma::BusyWidget::BusyWidget()
    {43, 1449, 326, 2, Smoke::mf_protected, 0, 24},	//665 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 25},	//666 Plasma::BusyWidget::staticMetaObject() const
    {43, 2426, 0, 0, Smoke::mf_dtor, 0, 26 },	//667 Plasma::BusyWidget::~BusyWidget()
    {44, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//668 Plasma::CheckBox::metaObject() const
    {44, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//669 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2311, 43, 2, Smoke::mf_static, 289, 3},	//670 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2315, 43, 2, Smoke::mf_static, 289, 4},	//671 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2311, 46, 3, Smoke::mf_static, 289, 5},	//672 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2315, 46, 3, Smoke::mf_static, 289, 6},	//673 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//674 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 85, 125, 1, Smoke::mf_ctor, 64, 8},	//675 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2096, 89, 1, Smoke::mf_property, 0, 9},	//676 Plasma::CheckBox::setText(const QString&)
    {44, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//677 Plasma::CheckBox::text() const
    {44, 1887, 89, 1, Smoke::mf_property, 0, 11},	//678 Plasma::CheckBox::setImage(const QString&)
    {44, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//679 Plasma::CheckBox::image() const
    {44, 2066, 89, 1, Smoke::mf_property, 0, 13},	//680 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2248, 0, 0, Smoke::mf_property, 289, 14},	//681 Plasma::CheckBox::styleSheet()
    {44, 1419, 0, 0, Smoke::mf_const, 184, 15},	//682 Plasma::CheckBox::nativeWidget() const
    {44, 1738, 7, 1, Smoke::mf_property, 0, 16},	//683 Plasma::CheckBox::setChecked(bool)
    {44, 1159, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 17},	//684 Plasma::CheckBox::isChecked() const
    {44, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//685 Plasma::CheckBox::toggled(bool)
    {44, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//686 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//687 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2311, 1, 1, Smoke::mf_static, 289, 21},	//688 Plasma::CheckBox::tr(const char*)
    {44, 2315, 1, 1, Smoke::mf_static, 289, 22},	//689 Plasma::CheckBox::trUtf8(const char*)
    {44, 85, 0, 0, Smoke::mf_ctor, 64, 23},	//690 Plasma::CheckBox::CheckBox()
    {44, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 24},	//691 Plasma::CheckBox::staticMetaObject() const
    {44, 2427, 0, 0, Smoke::mf_dtor, 0, 25 },	//692 Plasma::CheckBox::~CheckBox()
    {45, 1382, 0, 0, Smoke::mf_const, 457, 1},	//693 Plasma::ClientPinRequest::metaObject() const
    {45, 1516, 1, 1, 0, 500, 2},	//694 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2311, 43, 2, Smoke::mf_static, 289, 3},	//695 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2315, 43, 2, Smoke::mf_static, 289, 4},	//696 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2311, 46, 3, Smoke::mf_static, 289, 5},	//697 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2315, 46, 3, Smoke::mf_static, 289, 6},	//698 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1514, 3, 3, 0, 492, 7},	//699 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 891, 0, 0, Smoke::mf_const, 289, 8},	//700 Plasma::ClientPinRequest::description() const
    {45, 1969, 89, 1, 0, 0, 9},	//701 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1482, 0, 0, Smoke::mf_const, 289, 10},	//702 Plasma::ClientPinRequest::pin() const
    {45, 755, 331, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//703 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2311, 1, 1, Smoke::mf_static, 289, 12},	//704 Plasma::ClientPinRequest::tr(const char*)
    {45, 2315, 1, 1, Smoke::mf_static, 289, 13},	//705 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 14},	//706 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//707 Plasma::ComboBox::metaObject() const
    {46, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//708 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2311, 43, 2, Smoke::mf_static, 289, 3},	//709 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2315, 43, 2, Smoke::mf_static, 289, 4},	//710 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2311, 46, 3, Smoke::mf_static, 289, 5},	//711 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2315, 46, 3, Smoke::mf_static, 289, 6},	//712 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//713 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 88, 125, 1, Smoke::mf_ctor, 67, 8},	//714 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 9},	//715 Plasma::ComboBox::text() const
    {46, 2066, 89, 1, Smoke::mf_property, 0, 10},	//716 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2248, 0, 0, Smoke::mf_property, 289, 11},	//717 Plasma::ComboBox::styleSheet()
    {46, 1941, 333, 1, 0, 0, 12},	//718 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1419, 0, 0, Smoke::mf_const, 4, 13},	//719 Plasma::ComboBox::nativeWidget() const
    {46, 648, 89, 1, 0, 0, 14},	//720 Plasma::ComboBox::addItem(const QString&)
    {46, 842, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 15},	//721 Plasma::ComboBox::count() const
    {46, 866, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 16},	//722 Plasma::ComboBox::currentIndex() const
    {46, 1779, 129, 1, Smoke::mf_property, 0, 17},	//723 Plasma::ComboBox::setCurrentIndex(int)
    {46, 760, 0, 0, Smoke::mf_slot, 0, 18},	//724 Plasma::ComboBox::clear()
    {46, 616, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//725 Plasma::ComboBox::activated(const QString&)
    {46, 2285, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//726 Plasma::ComboBox::textChanged(const QString&)
    {46, 867, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//727 Plasma::ComboBox::currentIndexChanged(int)
    {46, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//728 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//729 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//730 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//731 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//732 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//733 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//734 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//735 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2311, 1, 1, Smoke::mf_static, 289, 30},	//736 Plasma::ComboBox::tr(const char*)
    {46, 2315, 1, 1, Smoke::mf_static, 289, 31},	//737 Plasma::ComboBox::trUtf8(const char*)
    {46, 88, 0, 0, Smoke::mf_ctor, 67, 32},	//738 Plasma::ComboBox::ComboBox()
    {46, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 33},	//739 Plasma::ComboBox::staticMetaObject() const
    {46, 2428, 0, 0, Smoke::mf_dtor, 0, 34 },	//740 Plasma::ComboBox::~ComboBox()
    {47, 91, 335, 3, Smoke::mf_ctor, 69, 1},	//741 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 91, 339, 3, Smoke::mf_ctor, 69, 2},	//742 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 91, 343, 3, Smoke::mf_ctor, 69, 3},	//743 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 1021, 77, 2, 0, 10, 4},	//744 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 1023, 89, 1, 0, 10, 5},	//745 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1509, 89, 1, 0, 299, 6},	//746 Plasma::ConfigLoader::property(const QString&)
    {47, 1082, 89, 1, Smoke::mf_const, 401, 7},	//747 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1072, 0, 0, Smoke::mf_const, 290, 8},	//748 Plasma::ConfigLoader::groupList() const
    {47, 2366, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//749 Plasma::ConfigLoader::usrWriteConfig()
    {47, 91, 347, 2, Smoke::mf_ctor, 69, 10},	//750 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 91, 350, 2, Smoke::mf_ctor, 69, 11},	//751 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 91, 353, 2, Smoke::mf_ctor, 69, 12},	//752 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2429, 0, 0, Smoke::mf_dtor, 0, 13 },	//753 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//754 Plasma::Containment::metaObject() const
    {48, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//755 Plasma::Containment::qt_metacast(const char*)
    {48, 2311, 43, 2, Smoke::mf_static, 289, 3},	//756 Plasma::Containment::tr(const char*, const char*)
    {48, 2315, 43, 2, Smoke::mf_static, 289, 4},	//757 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2311, 46, 3, Smoke::mf_static, 289, 5},	//758 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2315, 46, 3, Smoke::mf_static, 289, 6},	//759 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//760 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 100, 231, 3, Smoke::mf_ctor, 71, 8},	//761 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 100, 70, 2, Smoke::mf_ctor, 71, 9},	//762 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1126, 0, 0, Smoke::mf_virtual, 0, 10},	//763 Plasma::Containment::init()
    {48, 822, 0, 0, Smoke::mf_const, 75, 11},	//764 Plasma::Containment::containmentType() const
    {48, 841, 0, 0, Smoke::mf_const, 81, 12},	//765 Plasma::Containment::corona() const
    {48, 1283, 77, 2, Smoke::mf_static, 238, 13},	//766 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1288, 356, 3, Smoke::mf_static, 238, 14},	//767 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1282, 0, 0, Smoke::mf_static, 290, 15},	//768 Plasma::Containment::listContainmentTypes()
    {48, 1286, 89, 1, Smoke::mf_static, 238, 16},	//769 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 625, 360, 3, 0, 51, 17},	//770 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 625, 364, 3, 0, 0, 18},	//771 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 719, 0, 0, Smoke::mf_const, 242, 19},	//772 Plasma::Containment::applets() const
    {48, 762, 0, 0, 0, 0, 20},	//773 Plasma::Containment::clearApplets()
    {48, 2022, 368, 2, 0, 0, 21},	//774 Plasma::Containment::setScreen(int, int)
    {48, 1650, 0, 0, Smoke::mf_const, 492, 22},	//775 Plasma::Containment::screen() const
    {48, 1250, 0, 0, Smoke::mf_const, 492, 23},	//776 Plasma::Containment::lastScreen() const
    {48, 892, 0, 0, Smoke::mf_const, 492, 24},	//777 Plasma::Containment::desktop() const
    {48, 1248, 0, 0, Smoke::mf_const, 492, 25},	//778 Plasma::Containment::lastDesktop() const
    {48, 1631, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//779 Plasma::Containment::save(KConfigGroup&) const
    {48, 1613, 178, 1, Smoke::mf_virtual, 0, 27},	//780 Plasma::Containment::restore(KConfigGroup&)
    {48, 976, 197, 2, 0, 0, 28},	//781 Plasma::Containment::enableAction(const QString&, bool)
    {48, 682, 107, 1, 0, 0, 29},	//782 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1585, 107, 1, 0, 0, 30},	//783 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2112, 7, 1, 0, 0, 31},	//784 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1191, 0, 0, Smoke::mf_const, 401, 32},	//785 Plasma::Containment::isToolBoxOpen() const
    {48, 1430, 0, 0, 0, 0, 33},	//786 Plasma::Containment::openToolBox()
    {48, 774, 0, 0, 0, 0, 34},	//787 Plasma::Containment::closeToolBox()
    {48, 632, 57, 1, Smoke::mf_virtual, 0, 35},	//788 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1563, 57, 1, Smoke::mf_virtual, 0, 36},	//789 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 943, 0, 0, 0, 401, 37},	//790 Plasma::Containment::drawWallpaper()
    {48, 2153, 77, 2, 0, 0, 38},	//791 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2392, 0, 0, Smoke::mf_const, 171, 39},	//792 Plasma::Containment::wallpaper() const
    {48, 1684, 89, 1, 0, 0, 40},	//793 Plasma::Containment::setActivity(const QString&)
    {48, 618, 0, 0, Smoke::mf_const, 289, 41},	//794 Plasma::Containment::activity() const
    {48, 831, 0, 0, Smoke::mf_const, 80, 42},	//795 Plasma::Containment::context() const
    {48, 2183, 371, 2, 0, 0, 43},	//796 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2187, 374, 1, Smoke::mf_virtual, 0, 44},	//797 Plasma::Containment::showDropZone(const QPoint)
    {48, 1755, 77, 2, 0, 0, 45},	//798 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 814, 0, 0, 0, 290, 46},	//799 Plasma::Containment::containmentActionsTriggers()
    {48, 809, 89, 1, 0, 289, 47},	//800 Plasma::Containment::containmentActions(const QString&)
    {48, 811, 0, 0, 0, 8, 48},	//801 Plasma::Containment::containmentActionsConfig()
    {48, 710, 376, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//802 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 715, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//803 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2414, 379, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//804 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2305, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//805 Plasma::Containment::toolBoxToggled()
    {48, 2306, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//806 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 667, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//807 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2178, 382, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//808 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1651, 384, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//809 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 790, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//810 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 833, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//811 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1916, 9, 1, Smoke::mf_slot, 0, 59},	//812 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1846, 390, 1, Smoke::mf_slot, 0, 60},	//813 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 667, 0, 0, Smoke::mf_slot, 0, 61},	//814 Plasma::Containment::addSiblingContainment()
    {48, 1038, 0, 0, Smoke::mf_slot, 0, 62},	//815 Plasma::Containment::focusNextApplet()
    {48, 1042, 0, 0, Smoke::mf_slot, 0, 63},	//816 Plasma::Containment::focusPreviousApplet()
    {48, 894, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 64},	//817 Plasma::Containment::destroy()
    {48, 894, 7, 1, Smoke::mf_slot, 0, 65},	//818 Plasma::Containment::destroy(bool)
    {48, 2181, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//819 Plasma::Containment::showConfigurationInterface()
    {48, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 67},	//820 Plasma::Containment::configChanged()
    {48, 1759, 392, 1, Smoke::mf_protected, 0, 68},	//821 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1813, 7, 1, Smoke::mf_protected, 0, 69},	//822 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1633, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//823 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1615, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//824 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//825 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//826 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//827 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//828 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//829 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//830 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 78},	//831 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 79},	//832 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//833 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//834 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//835 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//836 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//837 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2304, 0, 0, Smoke::mf_const|Smoke::mf_protected, 442, 85},	//838 Plasma::Containment::toolBoxItem() const
    {48, 2110, 402, 1, Smoke::mf_protected, 0, 86},	//839 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2303, 0, 0, Smoke::mf_const|Smoke::mf_protected, 37, 87},	//840 Plasma::Containment::toolBox() const
    {48, 2311, 1, 1, Smoke::mf_static, 289, 88},	//841 Plasma::Containment::tr(const char*)
    {48, 2315, 1, 1, Smoke::mf_static, 289, 89},	//842 Plasma::Containment::trUtf8(const char*)
    {48, 100, 0, 0, Smoke::mf_ctor, 71, 90},	//843 Plasma::Containment::Containment()
    {48, 100, 170, 1, Smoke::mf_ctor, 71, 91},	//844 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 100, 298, 2, Smoke::mf_ctor, 71, 92},	//845 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1283, 0, 0, Smoke::mf_static, 238, 93},	//846 Plasma::Containment::listContainments()
    {48, 1283, 89, 1, Smoke::mf_static, 238, 94},	//847 Plasma::Containment::listContainments(const QString&)
    {48, 1288, 89, 1, Smoke::mf_static, 238, 95},	//848 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1288, 77, 2, Smoke::mf_static, 238, 96},	//849 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 625, 89, 1, 0, 51, 97},	//850 Plasma::Containment::addApplet(const QString&)
    {48, 625, 113, 2, 0, 51, 98},	//851 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 625, 252, 1, 0, 0, 99},	//852 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 625, 376, 2, 0, 0, 100},	//853 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 2022, 129, 1, 0, 0, 101},	//854 Plasma::Containment::setScreen(int)
    {48, 2153, 89, 1, 0, 0, 102},	//855 Plasma::Containment::setWallpaper(const QString&)
    {48, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 103},	//856 Plasma::Containment::staticMetaObject() const
    {48, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 104},	//857 Plasma::Containment::NoContainmentType (enum)
    {48, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 105},	//858 Plasma::Containment::DesktopContainment (enum)
    {48, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 106},	//859 Plasma::Containment::PanelContainment (enum)
    {48, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 107},	//860 Plasma::Containment::CustomContainment (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 108},	//861 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2430, 0, 0, Smoke::mf_dtor, 0, 109 },	//862 Plasma::Containment::~Containment()
    {49, 504, 0, 0, Smoke::mf_ctor, 72, 1},	//863 Plasma::Containment::StyleOption::StyleOption()
    {49, 504, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//864 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 504, 406, 1, Smoke::mf_ctor, 72, 3},	//865 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2381, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 170, 4},	//866 Plasma::Containment::StyleOption::view() const
    {49, 2150, 408, 1, Smoke::mf_attribute, 0, 5},	//867 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//868 Plasma::Containment::StyleOption::Type (enum)
    {49, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 7},	//869 Plasma::Containment::StyleOption::Version (enum)
    {49, 2474, 0, 0, Smoke::mf_dtor, 0, 8 },	//870 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//871 Plasma::ContainmentActions::metaObject() const
    {50, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//872 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2311, 43, 2, Smoke::mf_static, 289, 3},	//873 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2315, 43, 2, Smoke::mf_static, 289, 4},	//874 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2311, 46, 3, Smoke::mf_static, 289, 5},	//875 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2315, 46, 3, Smoke::mf_static, 289, 6},	//876 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//877 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 105, 97, 1, Smoke::mf_ctor, 76, 8},	//878 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1281, 0, 0, Smoke::mf_static, 238, 9},	//879 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1312, 410, 3, Smoke::mf_static, 76, 10},	//880 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1312, 414, 3, Smoke::mf_static, 76, 11},	//881 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1444, 0, 0, Smoke::mf_static, 20, 12},	//882 Plasma::ContainmentActions::packageStructure()
    {50, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//883 Plasma::ContainmentActions::name() const
    {50, 1487, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//884 Plasma::ContainmentActions::pluginName() const
    {50, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//885 Plasma::ContainmentActions::icon() const
    {50, 1171, 0, 0, Smoke::mf_const, 401, 16},	//886 Plasma::ContainmentActions::isInitialized() const
    {50, 1613, 111, 1, 0, 0, 17},	//887 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1631, 178, 1, Smoke::mf_virtual, 0, 18},	//888 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 848, 57, 1, Smoke::mf_virtual, 304, 19},	//889 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 787, 0, 0, Smoke::mf_virtual, 0, 20},	//890 Plasma::ContainmentActions::configurationAccepted()
    {50, 835, 329, 1, Smoke::mf_virtual, 0, 21},	//891 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 839, 0, 0, Smoke::mf_virtual, 251, 22},	//892 Plasma::ContainmentActions::contextualActions()
    {50, 882, 89, 1, Smoke::mf_const, 83, 23},	//893 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 788, 0, 0, Smoke::mf_const, 401, 24},	//894 Plasma::ContainmentActions::configurationRequired() const
    {50, 996, 329, 1, Smoke::mf_static, 289, 25},	//895 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 1495, 418, 2, 0, 275, 26},	//896 Plasma::ContainmentActions::popupPosition(const QSize&, QEvent*)
    {50, 992, 329, 1, Smoke::mf_virtual, 401, 27},	//897 Plasma::ContainmentActions::event(QEvent*)
    {50, 1753, 101, 1, 0, 0, 28},	//898 Plasma::ContainmentActions::setContainment(Plasma::Containment*)
    {50, 105, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 29},	//899 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1126, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//900 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1750, 7, 1, Smoke::mf_protected, 0, 31},	//901 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 808, 0, 0, Smoke::mf_protected, 71, 32},	//902 Plasma::ContainmentActions::containment()
    {50, 1473, 421, 2, Smoke::mf_protected, 0, 33},	//903 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2311, 1, 1, Smoke::mf_static, 289, 34},	//904 Plasma::ContainmentActions::tr(const char*)
    {50, 2315, 1, 1, Smoke::mf_static, 289, 35},	//905 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 105, 0, 0, Smoke::mf_ctor, 76, 36},	//906 Plasma::ContainmentActions::ContainmentActions()
    {50, 1312, 424, 2, Smoke::mf_static, 76, 37},	//907 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1312, 427, 2, Smoke::mf_static, 76, 38},	//908 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1750, 0, 0, Smoke::mf_protected, 0, 39},	//909 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 40},	//910 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2431, 0, 0, Smoke::mf_dtor, 0, 41 },	//911 Plasma::ContainmentActions::~ContainmentActions()
    {51, 108, 0, 0, Smoke::mf_ctor, 79, 1},	//912 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 108, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//913 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1437, 430, 1, 0, 78, 3},	//914 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 760, 0, 0, 0, 0, 4},	//915 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1556, 329, 1, 0, 0, 5},	//916 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 658, 432, 2, 0, 0, 6},	//917 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 658, 435, 3, 0, 0, 7},	//918 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 658, 439, 3, 0, 0, 8},	//919 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2432, 0, 0, Smoke::mf_dtor, 0, 9 },	//920 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//921 Plasma::Context::metaObject() const
    {52, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//922 Plasma::Context::qt_metacast(const char*)
    {52, 2311, 43, 2, Smoke::mf_static, 289, 3},	//923 Plasma::Context::tr(const char*, const char*)
    {52, 2315, 43, 2, Smoke::mf_static, 289, 4},	//924 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2311, 46, 3, Smoke::mf_static, 289, 5},	//925 Plasma::Context::tr(const char*, const char*, int)
    {52, 2315, 46, 3, Smoke::mf_static, 289, 6},	//926 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//927 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 111, 97, 1, Smoke::mf_ctor, 80, 8},	//928 Plasma::Context::Context(QObject*)
    {52, 846, 89, 1, 0, 0, 9},	//929 Plasma::Context::createActivity(const QString&)
    {52, 1266, 0, 0, Smoke::mf_const, 290, 10},	//930 Plasma::Context::listActivities() const
    {52, 1775, 89, 1, 0, 0, 11},	//931 Plasma::Context::setCurrentActivity(const QString&)
    {52, 862, 0, 0, Smoke::mf_const, 289, 12},	//932 Plasma::Context::currentActivity() const
    {52, 1777, 89, 1, 0, 0, 13},	//933 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 863, 0, 0, Smoke::mf_const, 289, 14},	//934 Plasma::Context::currentActivityId() const
    {52, 755, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//935 Plasma::Context::changed(Plasma::Context*)
    {52, 619, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//936 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1346, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//937 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2311, 1, 1, Smoke::mf_static, 289, 18},	//938 Plasma::Context::tr(const char*)
    {52, 2315, 1, 1, Smoke::mf_static, 289, 19},	//939 Plasma::Context::trUtf8(const char*)
    {52, 111, 0, 0, Smoke::mf_ctor, 80, 20},	//940 Plasma::Context::Context()
    {52, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 21},	//941 Plasma::Context::staticMetaObject() const
    {52, 2433, 0, 0, Smoke::mf_dtor, 0, 22 },	//942 Plasma::Context::~Context()
    {53, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//943 Plasma::Corona::metaObject() const
    {53, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//944 Plasma::Corona::qt_metacast(const char*)
    {53, 2311, 43, 2, Smoke::mf_static, 289, 3},	//945 Plasma::Corona::tr(const char*, const char*)
    {53, 2315, 43, 2, Smoke::mf_static, 289, 4},	//946 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2311, 46, 3, Smoke::mf_static, 289, 5},	//947 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2315, 46, 3, Smoke::mf_static, 289, 6},	//948 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//949 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 115, 97, 1, Smoke::mf_ctor, 81, 8},	//950 Plasma::Corona::Corona(QObject*)
    {53, 1696, 89, 1, 0, 0, 9},	//951 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 714, 0, 0, 0, 289, 10},	//952 Plasma::Corona::appletMimeType()
    {53, 823, 0, 0, Smoke::mf_const, 243, 11},	//953 Plasma::Corona::containments() const
    {53, 764, 0, 0, 0, 0, 12},	//954 Plasma::Corona::clearContainments()
    {53, 781, 0, 0, Smoke::mf_const, 19, 13},	//955 Plasma::Corona::config() const
    {53, 634, 113, 2, 0, 71, 14},	//956 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 817, 368, 2, Smoke::mf_const, 71, 15},	//957 Plasma::Corona::containmentForScreen(int, int) const
    {53, 817, 443, 4, 0, 71, 16},	//958 Plasma::Corona::containmentForScreen(int, int, const QString&, const QList<QVariant>&)
    {53, 654, 125, 1, 0, 0, 17},	//959 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1575, 125, 1, 0, 0, 18},	//960 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1428, 0, 0, Smoke::mf_const, 254, 19},	//961 Plasma::Corona::offscreenWidgets() const
    {53, 1427, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 492, 20},	//962 Plasma::Corona::numScreens() const
    {53, 1653, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 21},	//963 Plasma::Corona::screenGeometry(int) const
    {53, 735, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 22},	//964 Plasma::Corona::availableScreenRegion(int) const
    {53, 1495, 448, 2, 0, 275, 23},	//965 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1495, 451, 3, 0, 275, 24},	//966 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1055, 129, 1, Smoke::mf_const, 246, 25},	//967 Plasma::Corona::freeEdges(int) const
    {53, 604, 220, 1, Smoke::mf_const, 181, 26},	//968 Plasma::Corona::action(QString) const
    {53, 621, 222, 2, 0, 0, 27},	//969 Plasma::Corona::addAction(QString, QAction*)
    {53, 607, 0, 0, Smoke::mf_const, 251, 28},	//970 Plasma::Corona::actions() const
    {53, 976, 197, 2, 0, 0, 29},	//971 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2349, 0, 0, 0, 0, 30},	//972 Plasma::Corona::updateShortcuts()
    {53, 665, 455, 1, 0, 0, 31},	//973 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 621, 220, 1, 0, 1, 32},	//974 Plasma::Corona::addAction(QString)
    {53, 1757, 457, 2, 0, 0, 33},	//975 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 812, 392, 1, 0, 77, 34},	//976 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1805, 460, 1, 0, 0, 35},	//977 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 900, 0, 0, 0, 33, 36},	//978 Plasma::Corona::dialogManager()
    {53, 1121, 462, 1, 0, 243, 37},	//979 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 1501, 464, 1, Smoke::mf_const, 289, 38},	//980 Plasma::Corona::preferredToolBoxPlugin(const Plasma::Containment::Type) const
    {53, 1121, 111, 1, 0, 243, 39},	//981 Plasma::Corona::importLayout(const KConfigGroup&)
    {53, 1004, 466, 2, 0, 0, 40},	//982 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {53, 1133, 89, 1, Smoke::mf_slot, 0, 41},	//983 Plasma::Corona::initializeLayout(const QString&)
    {53, 1332, 89, 1, Smoke::mf_slot, 0, 42},	//984 Plasma::Corona::loadLayout(const QString&)
    {53, 1635, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 43},	//985 Plasma::Corona::saveLayout(const QString&) const
    {53, 1117, 0, 0, Smoke::mf_const|Smoke::mf_slot, 106, 44},	//986 Plasma::Corona::immutability() const
    {53, 1893, 258, 1, Smoke::mf_slot, 0, 45},	//987 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1599, 0, 0, Smoke::mf_slot, 0, 46},	//988 Plasma::Corona::requestConfigSync()
    {53, 1600, 0, 0, Smoke::mf_slot, 0, 47},	//989 Plasma::Corona::requireConfigSync()
    {53, 1258, 0, 0, Smoke::mf_slot, 0, 48},	//990 Plasma::Corona::layoutContainments()
    {53, 815, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//991 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1655, 384, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//992 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1544, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//993 Plasma::Corona::releaseVisualFocus()
    {53, 786, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//994 Plasma::Corona::configSynced()
    {53, 737, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//995 Plasma::Corona::availableScreenRegionChanged()
    {53, 1118, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//996 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2174, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//997 Plasma::Corona::shortcutsChanged()
    {53, 1327, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//998 Plasma::Corona::loadDefaultLayout()
    {53, 637, 113, 2, Smoke::mf_protected, 71, 57},	//999 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 1358, 469, 2, Smoke::mf_protected, 0, 58},	//1000 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1358, 472, 2, Smoke::mf_protected, 0, 59},	//1001 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 1984, 475, 2, Smoke::mf_protected, 0, 60},	//1002 Plasma::Corona::setPreferredToolBoxPlugin(const Plasma::Containment::Type, const QString&)
    {53, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1003 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1004 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1005 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2311, 1, 1, Smoke::mf_static, 289, 64},	//1006 Plasma::Corona::tr(const char*)
    {53, 2315, 1, 1, Smoke::mf_static, 289, 65},	//1007 Plasma::Corona::trUtf8(const char*)
    {53, 115, 0, 0, Smoke::mf_ctor, 81, 66},	//1008 Plasma::Corona::Corona()
    {53, 634, 89, 1, 0, 71, 67},	//1009 Plasma::Corona::addContainment(const QString&)
    {53, 817, 129, 1, Smoke::mf_const, 71, 68},	//1010 Plasma::Corona::containmentForScreen(int) const
    {53, 817, 478, 3, 0, 71, 69},	//1011 Plasma::Corona::containmentForScreen(int, int, const QString&)
    {53, 1133, 0, 0, Smoke::mf_slot, 0, 70},	//1012 Plasma::Corona::initializeLayout()
    {53, 1332, 0, 0, Smoke::mf_slot, 0, 71},	//1013 Plasma::Corona::loadLayout()
    {53, 1635, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 72},	//1014 Plasma::Corona::saveLayout() const
    {53, 637, 89, 1, Smoke::mf_protected, 71, 73},	//1015 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 74},	//1016 Plasma::Corona::staticMetaObject() const
    {53, 2434, 0, 0, Smoke::mf_dtor, 0, 75 },	//1017 Plasma::Corona::~Corona()
    {54, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1018 Plasma::DataContainer::metaObject() const
    {54, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1019 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1020 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1021 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1022 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1023 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1024 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 121, 97, 1, Smoke::mf_ctor, 82, 8},	//1025 Plasma::DataContainer::DataContainer(QObject*)
    {54, 881, 0, 0, Smoke::mf_const, 444, 9},	//1026 Plasma::DataContainer::data() const
    {54, 1785, 482, 2, 0, 0, 10},	//1027 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1560, 0, 0, 0, 0, 11},	//1028 Plasma::DataContainer::removeAllData()
    {54, 2390, 97, 1, Smoke::mf_const, 401, 12},	//1029 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 801, 485, 3, 0, 0, 13},	//1030 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 2063, 7, 1, 0, 0, 14},	//1031 Plasma::DataContainer::setStorageEnabled(bool)
    {54, 1189, 0, 0, Smoke::mf_const, 401, 15},	//1032 Plasma::DataContainer::isStorageEnabled() const
    {54, 1421, 0, 0, Smoke::mf_const, 401, 16},	//1033 Plasma::DataContainer::needsToBeStored() const
    {54, 1943, 7, 1, 0, 0, 17},	//1034 Plasma::DataContainer::setNeedsToBeStored(bool)
    {54, 1060, 0, 0, 0, 83, 18},	//1035 Plasma::DataContainer::getDataEngine()
    {54, 910, 97, 1, Smoke::mf_slot, 0, 19},	//1036 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1048, 0, 0, Smoke::mf_slot, 0, 20},	//1037 Plasma::DataContainer::forceImmediateUpdate()
    {54, 884, 489, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1038 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 741, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1039 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2347, 492, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1040 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 757, 0, 0, Smoke::mf_protected, 0, 24},	//1041 Plasma::DataContainer::checkForUpdate()
    {54, 2296, 0, 0, Smoke::mf_const|Smoke::mf_protected, 498, 25},	//1042 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1945, 7, 1, Smoke::mf_protected, 0, 26},	//1043 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 758, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//1044 Plasma::DataContainer::checkUsage()
    {54, 2311, 1, 1, Smoke::mf_static, 289, 28},	//1045 Plasma::DataContainer::tr(const char*)
    {54, 2315, 1, 1, Smoke::mf_static, 289, 29},	//1046 Plasma::DataContainer::trUtf8(const char*)
    {54, 121, 0, 0, Smoke::mf_ctor, 82, 30},	//1047 Plasma::DataContainer::DataContainer()
    {54, 1945, 0, 0, Smoke::mf_protected, 0, 31},	//1048 Plasma::DataContainer::setNeedsUpdate()
    {54, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 32},	//1049 Plasma::DataContainer::staticMetaObject() const
    {54, 2435, 0, 0, Smoke::mf_dtor, 0, 33 },	//1050 Plasma::DataContainer::~DataContainer()
    {55, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1051 Plasma::DataEngine::metaObject() const
    {55, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1052 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1053 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1054 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1055 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1056 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1057 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 123, 494, 2, Smoke::mf_ctor, 83, 8},	//1058 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 123, 70, 2, Smoke::mf_ctor, 83, 9},	//1059 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1126, 0, 0, Smoke::mf_virtual, 0, 10},	//1060 Plasma::DataEngine::init()
    {55, 2225, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 11},	//1061 Plasma::DataEngine::sources() const
    {55, 1672, 89, 1, Smoke::mf_virtual, 146, 12},	//1062 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1063 Plasma::DataEngine::name() const
    {55, 797, 497, 4, Smoke::mf_const, 0, 14},	//1064 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 792, 485, 3, Smoke::mf_const, 0, 15},	//1065 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 908, 149, 2, Smoke::mf_const, 0, 16},	//1066 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 806, 89, 1, 0, 82, 17},	//1067 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1518, 89, 1, Smoke::mf_const, 230, 18},	//1068 Plasma::DataEngine::query(const QString&) const
    {55, 1195, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 19},	//1069 Plasma::DataEngine::isValid() const
    {55, 1166, 0, 0, Smoke::mf_const, 401, 20},	//1070 Plasma::DataEngine::isEmpty() const
    {55, 1376, 0, 0, Smoke::mf_const, 498, 21},	//1071 Plasma::DataEngine::maxSourceCount() const
    {55, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 22},	//1072 Plasma::DataEngine::icon() const
    {55, 1443, 0, 0, Smoke::mf_const, 424, 23},	//1073 Plasma::DataEngine::package() const
    {55, 1487, 0, 0, Smoke::mf_const, 289, 24},	//1074 Plasma::DataEngine::pluginName() const
    {55, 850, 97, 1, 0, 146, 25},	//1075 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2219, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1076 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2221, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1077 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2223, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 28},	//1078 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2350, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 29},	//1079 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1785, 482, 2, Smoke::mf_protected, 0, 30},	//1080 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1785, 502, 3, Smoke::mf_protected, 0, 31},	//1081 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1785, 506, 2, Smoke::mf_protected, 0, 32},	//1082 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1560, 89, 1, Smoke::mf_protected, 0, 33},	//1083 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1565, 77, 2, Smoke::mf_protected, 0, 34},	//1084 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 669, 492, 1, Smoke::mf_protected, 0, 35},	//1085 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1920, 36, 1, Smoke::mf_protected, 0, 36},	//1086 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1934, 129, 1, Smoke::mf_protected, 0, 37},	//1087 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1394, 0, 0, Smoke::mf_const|Smoke::mf_protected, 492, 38},	//1088 Plasma::DataEngine::minimumPollingInterval() const
    {55, 1975, 36, 1, Smoke::mf_protected, 0, 39},	//1089 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1562, 0, 0, Smoke::mf_protected, 0, 40},	//1090 Plasma::DataEngine::removeAllSources()
    {55, 2134, 7, 1, Smoke::mf_protected, 0, 41},	//1091 Plasma::DataEngine::setValid(bool)
    {55, 805, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 42},	//1092 Plasma::DataEngine::containerDict() const
    {55, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1093 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1939, 89, 1, Smoke::mf_protected, 0, 44},	//1094 Plasma::DataEngine::setName(const QString&)
    {55, 1880, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1095 Plasma::DataEngine::setIcon(const QString&)
    {55, 1796, 89, 1, Smoke::mf_protected, 0, 46},	//1096 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 2063, 197, 2, Smoke::mf_protected, 0, 47},	//1097 Plasma::DataEngine::setStorageEnabled(const QString&, bool)
    {55, 1649, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1098 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1579, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1099 Plasma::DataEngine::removeSource(const QString&)
    {55, 2338, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1100 Plasma::DataEngine::updateAllSources()
    {55, 1049, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 51},	//1101 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2311, 1, 1, Smoke::mf_static, 289, 52},	//1102 Plasma::DataEngine::tr(const char*)
    {55, 2315, 1, 1, Smoke::mf_static, 289, 53},	//1103 Plasma::DataEngine::trUtf8(const char*)
    {55, 123, 0, 0, Smoke::mf_ctor, 83, 54},	//1104 Plasma::DataEngine::DataEngine()
    {55, 123, 97, 1, Smoke::mf_ctor, 83, 55},	//1105 Plasma::DataEngine::DataEngine(QObject*)
    {55, 797, 149, 2, Smoke::mf_const, 0, 56},	//1106 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 797, 509, 3, Smoke::mf_const, 0, 57},	//1107 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 792, 97, 1, Smoke::mf_const, 0, 58},	//1108 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 792, 513, 2, Smoke::mf_const, 0, 59},	//1109 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 850, 0, 0, 0, 146, 60},	//1110 Plasma::DataEngine::createDefaultService()
    {55, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 61},	//1111 Plasma::DataEngine::staticMetaObject() const
    {55, 2436, 0, 0, Smoke::mf_dtor, 0, 62 },	//1112 Plasma::DataEngine::~DataEngine()
    {56, 1382, 0, 0, Smoke::mf_const, 457, 1},	//1113 Plasma::DataEngineManager::metaObject() const
    {56, 1516, 1, 1, 0, 500, 2},	//1114 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1115 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1116 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1117 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1118 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1514, 3, 3, 0, 492, 7},	//1119 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1670, 0, 0, Smoke::mf_static, 84, 8},	//1120 Plasma::DataEngineManager::self()
    {56, 982, 89, 1, Smoke::mf_const, 83, 9},	//1121 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1328, 89, 1, 0, 83, 10},	//1122 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2327, 89, 1, 0, 0, 11},	//1123 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1267, 89, 1, Smoke::mf_static, 290, 12},	//1124 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1292, 89, 1, Smoke::mf_static, 238, 13},	//1125 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1294, 77, 2, Smoke::mf_static, 238, 14},	//1126 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2297, 176, 1, Smoke::mf_protected, 0, 15},	//1127 Plasma::DataEngineManager::timerEvent(QTimerEvent*)
    {56, 2311, 1, 1, Smoke::mf_static, 289, 16},	//1128 Plasma::DataEngineManager::tr(const char*)
    {56, 2315, 1, 1, Smoke::mf_static, 289, 17},	//1129 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1267, 0, 0, Smoke::mf_static, 290, 18},	//1130 Plasma::DataEngineManager::listAllEngines()
    {56, 1292, 0, 0, Smoke::mf_static, 238, 19},	//1131 Plasma::DataEngineManager::listEngineInfo()
    {56, 1294, 89, 1, Smoke::mf_static, 238, 20},	//1132 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 21},	//1133 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1134 Plasma::DataEngineScript::metaObject() const
    {57, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1135 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1136 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1137 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1138 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1139 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1140 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 127, 97, 1, Smoke::mf_ctor, 85, 8},	//1141 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1790, 516, 1, 0, 0, 9},	//1142 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 882, 0, 0, Smoke::mf_const, 83, 10},	//1143 Plasma::DataEngineScript::dataEngine() const
    {57, 2225, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 11},	//1144 Plasma::DataEngineScript::sources() const
    {57, 2223, 89, 1, Smoke::mf_virtual, 401, 12},	//1145 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2350, 89, 1, Smoke::mf_virtual, 401, 13},	//1146 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1672, 89, 1, Smoke::mf_virtual, 146, 14},	//1147 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1355, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 15},	//1148 Plasma::DataEngineScript::mainScript() const
    {57, 1443, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 424, 16},	//1149 Plasma::DataEngineScript::package() const
    {57, 891, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 17},	//1150 Plasma::DataEngineScript::description() const
    {57, 1785, 502, 3, Smoke::mf_protected, 0, 18},	//1151 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1785, 482, 2, Smoke::mf_protected, 0, 19},	//1152 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1785, 506, 2, Smoke::mf_protected, 0, 20},	//1153 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1560, 89, 1, Smoke::mf_protected, 0, 21},	//1154 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1565, 77, 2, Smoke::mf_protected, 0, 22},	//1155 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1920, 36, 1, Smoke::mf_protected, 0, 23},	//1156 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1934, 129, 1, Smoke::mf_protected, 0, 24},	//1157 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1394, 0, 0, Smoke::mf_const|Smoke::mf_protected, 492, 25},	//1158 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 1975, 36, 1, Smoke::mf_protected, 0, 26},	//1159 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1562, 0, 0, Smoke::mf_protected, 0, 27},	//1160 Plasma::DataEngineScript::removeAllSources()
    {57, 669, 492, 1, Smoke::mf_protected, 0, 28},	//1161 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 805, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 29},	//1162 Plasma::DataEngineScript::containerDict() const
    {57, 1939, 89, 1, Smoke::mf_protected, 0, 30},	//1163 Plasma::DataEngineScript::setName(const QString&)
    {57, 1880, 89, 1, Smoke::mf_protected, 0, 31},	//1164 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1649, 0, 0, Smoke::mf_protected, 0, 32},	//1165 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1579, 89, 1, Smoke::mf_protected, 0, 33},	//1166 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2338, 0, 0, Smoke::mf_protected, 0, 34},	//1167 Plasma::DataEngineScript::updateAllSources()
    {57, 1049, 0, 0, Smoke::mf_protected, 0, 35},	//1168 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2311, 1, 1, Smoke::mf_static, 289, 36},	//1169 Plasma::DataEngineScript::tr(const char*)
    {57, 2315, 1, 1, Smoke::mf_static, 289, 37},	//1170 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 127, 0, 0, Smoke::mf_ctor, 85, 38},	//1171 Plasma::DataEngineScript::DataEngineScript()
    {57, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 39},	//1172 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2437, 0, 0, Smoke::mf_dtor, 0, 40 },	//1173 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1174 Plasma::Delegate::metaObject() const
    {58, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1175 Plasma::Delegate::qt_metacast(const char*)
    {58, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1176 Plasma::Delegate::tr(const char*, const char*)
    {58, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1177 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1178 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1179 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1180 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 134, 97, 1, Smoke::mf_ctor, 86, 8},	//1181 Plasma::Delegate::Delegate(QObject*)
    {58, 2014, 518, 2, 0, 0, 9},	//1182 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1619, 521, 1, Smoke::mf_const, 492, 10},	//1183 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1449, 523, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1184 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2197, 0, 0, Smoke::mf_const, 401, 12},	//1185 Plasma::Delegate::showToolTip() const
    {58, 1529, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 13},	//1186 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1527, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 14},	//1187 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 974, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 15},	//1188 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2210, 527, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 16},	//1189 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2311, 1, 1, Smoke::mf_static, 289, 17},	//1190 Plasma::Delegate::tr(const char*)
    {58, 2315, 1, 1, Smoke::mf_static, 289, 18},	//1191 Plasma::Delegate::trUtf8(const char*)
    {58, 134, 0, 0, Smoke::mf_ctor, 86, 19},	//1192 Plasma::Delegate::Delegate()
    {58, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 20},	//1193 Plasma::Delegate::staticMetaObject() const
    {58, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 21},	//1194 Plasma::Delegate::SubTitleRole (enum)
    {58, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 22},	//1195 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 23},	//1196 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1197 Plasma::Delegate::MainColumn (enum)
    {58, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 25},	//1198 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2438, 0, 0, Smoke::mf_dtor, 0, 26 },	//1199 Plasma::Delegate::~Delegate()
    {59, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1200 Plasma::Dialog::metaObject() const
    {59, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1201 Plasma::Dialog::qt_metacast(const char*)
    {59, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1202 Plasma::Dialog::tr(const char*, const char*)
    {59, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1203 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1204 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1205 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1206 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 145, 530, 2, Smoke::mf_ctor, 89, 8},	//1207 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1854, 125, 1, 0, 0, 9},	//1208 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1069, 0, 0, 0, 226, 10},	//1209 Plasma::Dialog::graphicsWidget()
    {59, 2010, 533, 1, 0, 0, 11},	//1210 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1608, 0, 0, Smoke::mf_const, 201, 12},	//1211 Plasma::Dialog::resizeCorners() const
    {59, 689, 535, 1, 0, 0, 13},	//1212 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 691, 535, 1, 0, 0, 14},	//1213 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 721, 0, 0, Smoke::mf_const, 54, 15},	//1214 Plasma::Dialog::aspectRatioMode() const
    {59, 1700, 193, 1, 0, 0, 16},	//1215 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 901, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1216 Plasma::Dialog::dialogResized()
    {59, 902, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1217 Plasma::Dialog::dialogVisible(bool)
    {59, 2263, 0, 0, Smoke::mf_slot, 0, 19},	//1218 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1458, 537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1219 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 21},	//1220 Plasma::Dialog::event(QEvent*)
    {59, 1609, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1221 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 23},	//1222 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1095, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1223 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2189, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1224 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1225 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1399, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1226 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1401, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1227 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1403, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1228 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1229 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1405, 543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1230 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1123, 545, 1, Smoke::mf_protected, 401, 32},	//1231 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2311, 1, 1, Smoke::mf_static, 289, 33},	//1232 Plasma::Dialog::tr(const char*)
    {59, 2315, 1, 1, Smoke::mf_static, 289, 34},	//1233 Plasma::Dialog::trUtf8(const char*)
    {59, 145, 0, 0, Smoke::mf_ctor, 89, 35},	//1234 Plasma::Dialog::Dialog()
    {59, 145, 57, 1, Smoke::mf_ctor, 89, 36},	//1235 Plasma::Dialog::Dialog(QWidget*)
    {59, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 37},	//1236 Plasma::Dialog::staticMetaObject() const
    {59, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 38},	//1237 Plasma::Dialog::NoCorner (enum)
    {59, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 39},	//1238 Plasma::Dialog::NorthEast (enum)
    {59, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 40},	//1239 Plasma::Dialog::SouthEast (enum)
    {59, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 41},	//1240 Plasma::Dialog::NorthWest (enum)
    {59, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 42},	//1241 Plasma::Dialog::SouthWest (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 43},	//1242 Plasma::Dialog::All (enum)
    {59, 2439, 0, 0, Smoke::mf_dtor, 0, 44 },	//1243 Plasma::Dialog::~Dialog()
    {60, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1244 Plasma::Extender::metaObject() const
    {60, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1245 Plasma::Extender::qt_metacast(const char*)
    {60, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1246 Plasma::Extender::tr(const char*, const char*)
    {60, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1247 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1248 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1249 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1250 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 165, 252, 1, Smoke::mf_ctor, 92, 8},	//1251 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1826, 89, 1, Smoke::mf_property, 0, 9},	//1252 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 973, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1253 Plasma::Extender::emptyExtenderMessage() const
    {60, 1228, 0, 0, Smoke::mf_const, 245, 11},	//1254 Plasma::Extender::items() const
    {60, 726, 0, 0, Smoke::mf_const, 245, 12},	//1255 Plasma::Extender::attachedItems() const
    {60, 898, 0, 0, Smoke::mf_const, 245, 13},	//1256 Plasma::Extender::detachedItems() const
    {60, 1199, 89, 1, Smoke::mf_const, 95, 14},	//1257 Plasma::Extender::item(const QString&) const
    {60, 1070, 89, 1, Smoke::mf_const, 94, 15},	//1258 Plasma::Extender::group(const QString&) const
    {60, 1084, 89, 1, Smoke::mf_const, 401, 16},	//1259 Plasma::Extender::hasItem(const QString&) const
    {60, 1166, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 17},	//1260 Plasma::Extender::isEmpty() const
    {60, 1692, 547, 1, 0, 0, 18},	//1261 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 705, 0, 0, Smoke::mf_const, 93, 19},	//1262 Plasma::Extender::appearance() const
    {60, 1073, 0, 0, Smoke::mf_const, 244, 20},	//1263 Plasma::Extender::groups() const
    {60, 709, 0, 0, Smoke::mf_const, 51, 21},	//1264 Plasma::Extender::applet() const
    {60, 1203, 549, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1265 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1222, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1266 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1216, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1267 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1220, 549, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1268 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1218, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1269 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1637, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1270 Plasma::Extender::saveState()
    {60, 979, 229, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 28},	//1271 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 29},	//1272 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1273 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1274 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1275 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1276 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1277 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1278 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1208, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1279 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1212, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1280 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1058, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1281 Plasma::Extender::geometryChanged()
    {60, 2311, 1, 1, Smoke::mf_static, 289, 39},	//1282 Plasma::Extender::tr(const char*)
    {60, 2315, 1, 1, Smoke::mf_static, 289, 40},	//1283 Plasma::Extender::trUtf8(const char*)
    {60, 1203, 229, 1, Smoke::mf_protected, 0, 41},	//1284 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 42},	//1285 Plasma::Extender::staticMetaObject() const
    {60, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 43},	//1286 Plasma::Extender::NoBorders (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 44},	//1287 Plasma::Extender::BottomUpStacked (enum)
    {60, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 45},	//1288 Plasma::Extender::TopDownStacked (enum)
    {60, 2440, 0, 0, Smoke::mf_dtor, 0, 46 },	//1289 Plasma::Extender::~Extender()
    {61, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1290 Plasma::ExtenderGroup::metaObject() const
    {61, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1291 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1292 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1293 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1294 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1295 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1296 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 167, 552, 2, Smoke::mf_ctor, 94, 8},	//1297 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1228, 0, 0, Smoke::mf_const, 245, 9},	//1298 Plasma::ExtenderGroup::items() const
    {61, 732, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 10},	//1299 Plasma::ExtenderGroup::autoHide() const
    {61, 1716, 7, 1, Smoke::mf_property, 0, 11},	//1300 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1169, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 12},	//1301 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1156, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 13},	//1302 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1712, 7, 1, Smoke::mf_property, 0, 14},	//1303 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1859, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1304 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 1003, 0, 0, Smoke::mf_slot, 0, 16},	//1305 Plasma::ExtenderGroup::expandGroup()
    {61, 775, 0, 0, Smoke::mf_slot, 0, 17},	//1306 Plasma::ExtenderGroup::collapseGroup()
    {61, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1307 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 19},	//1308 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1309 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1310 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1311 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1312 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2311, 1, 1, Smoke::mf_static, 289, 24},	//1313 Plasma::ExtenderGroup::tr(const char*)
    {61, 2315, 1, 1, Smoke::mf_static, 289, 25},	//1314 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 167, 555, 1, Smoke::mf_ctor, 94, 26},	//1315 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 27},	//1316 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2441, 0, 0, Smoke::mf_dtor, 0, 28 },	//1317 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1318 Plasma::ExtenderItem::metaObject() const
    {62, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1319 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1320 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1321 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1322 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1323 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1324 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 170, 552, 2, Smoke::mf_ctor, 95, 8},	//1325 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 781, 0, 0, Smoke::mf_const, 8, 9},	//1326 Plasma::ExtenderItem::config() const
    {62, 2161, 170, 1, 0, 0, 10},	//1327 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2398, 0, 0, Smoke::mf_const, 212, 11},	//1328 Plasma::ExtenderItem::widget() const
    {62, 2108, 89, 1, Smoke::mf_property, 0, 12},	//1329 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1330 Plasma::ExtenderItem::title() const
    {62, 1939, 89, 1, Smoke::mf_property, 0, 14},	//1331 Plasma::ExtenderItem::setName(const QString&)
    {62, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1332 Plasma::ExtenderItem::name() const
    {62, 1880, 89, 1, 0, 0, 16},	//1333 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1880, 557, 1, Smoke::mf_property, 0, 17},	//1334 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 18},	//1335 Plasma::ExtenderItem::icon() const
    {62, 1832, 559, 2, 0, 0, 19},	//1336 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 1006, 0, 0, Smoke::mf_const, 92, 20},	//1337 Plasma::ExtenderItem::extender() const
    {62, 1856, 562, 1, 0, 0, 21},	//1338 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1856, 564, 2, 0, 0, 22},	//1339 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1070, 0, 0, Smoke::mf_const, 94, 23},	//1340 Plasma::ExtenderItem::group() const
    {62, 1168, 0, 0, Smoke::mf_const, 401, 24},	//1341 Plasma::ExtenderItem::isGroup() const
    {62, 1714, 36, 1, 0, 0, 25},	//1342 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 731, 0, 0, Smoke::mf_const, 498, 26},	//1343 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1164, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 27},	//1344 Plasma::ExtenderItem::isDetached() const
    {62, 1162, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 28},	//1345 Plasma::ExtenderItem::isCollapsed() const
    {62, 621, 86, 2, 0, 0, 29},	//1346 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 604, 89, 1, Smoke::mf_const, 181, 30},	//1347 Plasma::ExtenderItem::action(const QString&) const
    {62, 2116, 109, 1, 0, 0, 31},	//1348 Plasma::ExtenderItem::setTransient(const bool)
    {62, 1192, 0, 0, Smoke::mf_const, 401, 32},	//1349 Plasma::ExtenderItem::isTransient() const
    {62, 894, 0, 0, Smoke::mf_slot, 0, 33},	//1350 Plasma::ExtenderItem::destroy()
    {62, 1746, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//1351 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1618, 0, 0, Smoke::mf_slot, 0, 35},	//1352 Plasma::ExtenderItem::returnToSource()
    {62, 2180, 0, 0, Smoke::mf_slot, 0, 36},	//1353 Plasma::ExtenderItem::showCloseButton()
    {62, 1094, 0, 0, Smoke::mf_slot, 0, 37},	//1354 Plasma::ExtenderItem::hideCloseButton()
    {62, 896, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1355 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1356 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1405, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1357 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1358 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1359 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1360 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1361 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1362 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1107, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1363 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1364 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 48},	//1365 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 49},	//1366 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2311, 1, 1, Smoke::mf_static, 289, 50},	//1367 Plasma::ExtenderItem::tr(const char*)
    {62, 2315, 1, 1, Smoke::mf_static, 289, 51},	//1368 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 170, 555, 1, Smoke::mf_ctor, 95, 52},	//1369 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1832, 555, 1, 0, 0, 53},	//1370 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 54},	//1371 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2442, 0, 0, Smoke::mf_dtor, 0, 55 },	//1372 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1373 Plasma::FlashingLabel::metaObject() const
    {63, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1374 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1375 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1376 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1377 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1378 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1379 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 180, 170, 1, Smoke::mf_ctor, 96, 8},	//1380 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1449, 216, 3, Smoke::mf_virtual, 0, 9},	//1381 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1043, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 10},	//1382 Plasma::FlashingLabel::font() const
    {63, 1841, 569, 1, Smoke::mf_property, 0, 11},	//1383 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 778, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 12},	//1384 Plasma::FlashingLabel::color() const
    {63, 1748, 571, 1, Smoke::mf_property, 0, 13},	//1385 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 948, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 14},	//1386 Plasma::FlashingLabel::duration() const
    {63, 1815, 129, 1, Smoke::mf_property, 0, 15},	//1387 Plasma::FlashingLabel::setDuration(int)
    {63, 1028, 573, 3, 0, 0, 16},	//1388 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 1028, 577, 3, 0, 0, 17},	//1389 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1720, 7, 1, Smoke::mf_property, 0, 18},	//1390 Plasma::FlashingLabel::setAutohide(bool)
    {63, 734, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 19},	//1391 Plasma::FlashingLabel::autohide() const
    {63, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 20},	//1392 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1234, 0, 0, Smoke::mf_slot, 0, 21},	//1393 Plasma::FlashingLabel::kill()
    {63, 1010, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1394 Plasma::FlashingLabel::fadeIn()
    {63, 1011, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1395 Plasma::FlashingLabel::fadeOut()
    {63, 2311, 1, 1, Smoke::mf_static, 289, 24},	//1396 Plasma::FlashingLabel::tr(const char*)
    {63, 2315, 1, 1, Smoke::mf_static, 289, 25},	//1397 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 180, 0, 0, Smoke::mf_ctor, 96, 26},	//1398 Plasma::FlashingLabel::FlashingLabel()
    {63, 1449, 326, 2, 0, 0, 27},	//1399 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 1028, 89, 1, 0, 0, 28},	//1400 Plasma::FlashingLabel::flash(const QString&)
    {63, 1028, 581, 2, 0, 0, 29},	//1401 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 1028, 584, 1, 0, 0, 30},	//1402 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 1028, 586, 2, 0, 0, 31},	//1403 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 32},	//1404 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2443, 0, 0, Smoke::mf_dtor, 0, 33 },	//1405 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1406 Plasma::Frame::metaObject() const
    {64, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1407 Plasma::Frame::qt_metacast(const char*)
    {64, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1408 Plasma::Frame::tr(const char*, const char*)
    {64, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1409 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1410 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1411 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1412 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 187, 125, 1, Smoke::mf_ctor, 99, 8},	//1413 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1848, 589, 1, Smoke::mf_property, 0, 9},	//1414 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1053, 0, 0, Smoke::mf_const|Smoke::mf_property, 100, 10},	//1415 Plasma::Frame::frameShadow() const
    {64, 1830, 591, 1, 0, 0, 11},	//1416 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 978, 0, 0, Smoke::mf_const, 202, 12},	//1417 Plasma::Frame::enabledBorders() const
    {64, 2096, 220, 1, Smoke::mf_property, 0, 13},	//1418 Plasma::Frame::setText(QString)
    {64, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1419 Plasma::Frame::text() const
    {64, 1887, 89, 1, Smoke::mf_property, 0, 15},	//1420 Plasma::Frame::setImage(const QString&)
    {64, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//1421 Plasma::Frame::image() const
    {64, 2066, 89, 1, Smoke::mf_property, 0, 17},	//1422 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2248, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 18},	//1423 Plasma::Frame::styleSheet() const
    {64, 1419, 0, 0, Smoke::mf_const, 304, 19},	//1424 Plasma::Frame::nativeWidget() const
    {64, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1425 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1426 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 22},	//1427 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1428 Plasma::Frame::changeEvent(QEvent*)
    {64, 2311, 1, 1, Smoke::mf_static, 289, 24},	//1429 Plasma::Frame::tr(const char*)
    {64, 2315, 1, 1, Smoke::mf_static, 289, 25},	//1430 Plasma::Frame::trUtf8(const char*)
    {64, 187, 0, 0, Smoke::mf_ctor, 99, 26},	//1431 Plasma::Frame::Frame()
    {64, 1449, 326, 2, Smoke::mf_protected, 0, 27},	//1432 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 28},	//1433 Plasma::Frame::staticMetaObject() const
    {64, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//1434 Plasma::Frame::Plain (enum)
    {64, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1435 Plasma::Frame::Raised (enum)
    {64, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1436 Plasma::Frame::Sunken (enum)
    {64, 2444, 0, 0, Smoke::mf_dtor, 0, 32 },	//1437 Plasma::Frame::~Frame()
    {65, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1438 Plasma::FrameSvg::metaObject() const
    {65, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1439 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1440 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1441 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1442 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1443 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1444 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 189, 97, 1, Smoke::mf_ctor, 101, 8},	//1445 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1891, 89, 1, 0, 0, 9},	//1446 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1830, 591, 1, 0, 0, 10},	//1447 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 978, 0, 0, Smoke::mf_const, 202, 11},	//1448 Plasma::FrameSvg::enabledBorders() const
    {65, 1611, 593, 1, 0, 0, 12},	//1449 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1054, 0, 0, Smoke::mf_const, 287, 13},	//1450 Plasma::FrameSvg::frameSize() const
    {65, 1364, 595, 1, Smoke::mf_const, 489, 14},	//1451 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1061, 597, 4, Smoke::mf_const, 0, 15},	//1452 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 829, 0, 0, Smoke::mf_const, 279, 16},	//1453 Plasma::FrameSvg::contentsRect() const
    {65, 1822, 9, 1, 0, 0, 17},	//1454 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1822, 89, 1, 0, 0, 18},	//1455 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1079, 89, 1, Smoke::mf_const, 401, 19},	//1456 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1079, 9, 1, Smoke::mf_const, 401, 20},	//1457 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1503, 0, 0, 0, 289, 21},	//1458 Plasma::FrameSvg::prefix()
    {65, 1366, 0, 0, Smoke::mf_const, 282, 22},	//1459 Plasma::FrameSvg::mask() const
    {65, 688, 0, 0, Smoke::mf_const, 273, 23},	//1460 Plasma::FrameSvg::alphaMask() const
    {65, 1730, 7, 1, 0, 0, 24},	//1461 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 748, 0, 0, Smoke::mf_const, 401, 25},	//1462 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 763, 0, 0, 0, 0, 26},	//1463 Plasma::FrameSvg::clearCache()
    {65, 1052, 0, 0, 0, 273, 27},	//1464 Plasma::FrameSvg::framePixmap()
    {65, 1460, 602, 3, 0, 0, 28},	//1465 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1460, 606, 2, 0, 0, 29},	//1466 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2311, 1, 1, Smoke::mf_static, 289, 30},	//1467 Plasma::FrameSvg::tr(const char*)
    {65, 2315, 1, 1, Smoke::mf_static, 289, 31},	//1468 Plasma::FrameSvg::trUtf8(const char*)
    {65, 189, 0, 0, Smoke::mf_ctor, 101, 32},	//1469 Plasma::FrameSvg::FrameSvg()
    {65, 1460, 609, 2, 0, 0, 33},	//1470 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1460, 612, 1, 0, 0, 34},	//1471 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 35},	//1472 Plasma::FrameSvg::staticMetaObject() const
    {65, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 36},	//1473 Plasma::FrameSvg::NoBorder (enum)
    {65, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 37},	//1474 Plasma::FrameSvg::TopBorder (enum)
    {65, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 38},	//1475 Plasma::FrameSvg::BottomBorder (enum)
    {65, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 39},	//1476 Plasma::FrameSvg::LeftBorder (enum)
    {65, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 40},	//1477 Plasma::FrameSvg::RightBorder (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 41},	//1478 Plasma::FrameSvg::AllBorders (enum)
    {65, 2445, 0, 0, Smoke::mf_dtor, 0, 42 },	//1479 Plasma::FrameSvg::~FrameSvg()
    {66, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1480 Plasma::GLApplet::metaObject() const
    {66, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1481 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1482 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1483 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1484 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1485 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1486 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 193, 614, 3, Smoke::mf_ctor, 103, 8},	//1487 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 193, 70, 2, Smoke::mf_ctor, 103, 9},	//1488 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 744, 618, 2, 0, 498, 10},	//1489 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {66, 889, 36, 1, 0, 0, 11},	//1490 Plasma::GLApplet::deleteTexture(unsigned int)
    {66, 1464, 326, 2, Smoke::mf_virtual, 0, 12},	//1491 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1357, 0, 0, 0, 0, 13},	//1492 Plasma::GLApplet::makeCurrent()
    {66, 2311, 1, 1, Smoke::mf_static, 289, 14},	//1493 Plasma::GLApplet::tr(const char*)
    {66, 2315, 1, 1, Smoke::mf_static, 289, 15},	//1494 Plasma::GLApplet::trUtf8(const char*)
    {66, 744, 621, 1, 0, 498, 16},	//1495 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 17},	//1496 Plasma::GLApplet::staticMetaObject() const
    {66, 2446, 0, 0, Smoke::mf_dtor, 0, 18 },	//1497 Plasma::GLApplet::~GLApplet()
    {67, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1498 Plasma::GroupBox::metaObject() const
    {67, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1499 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1500 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1501 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1502 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1503 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1504 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 197, 125, 1, Smoke::mf_ctor, 104, 8},	//1505 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2096, 89, 1, Smoke::mf_property, 0, 9},	//1506 Plasma::GroupBox::setText(const QString&)
    {67, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1507 Plasma::GroupBox::text() const
    {67, 2066, 89, 1, Smoke::mf_property, 0, 11},	//1508 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2248, 0, 0, Smoke::mf_property, 289, 12},	//1509 Plasma::GroupBox::styleSheet()
    {67, 1419, 0, 0, Smoke::mf_const, 227, 13},	//1510 Plasma::GroupBox::nativeWidget() const
    {67, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1511 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1512 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2311, 1, 1, Smoke::mf_static, 289, 16},	//1513 Plasma::GroupBox::tr(const char*)
    {67, 2315, 1, 1, Smoke::mf_static, 289, 17},	//1514 Plasma::GroupBox::trUtf8(const char*)
    {67, 197, 0, 0, Smoke::mf_ctor, 104, 18},	//1515 Plasma::GroupBox::GroupBox()
    {67, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 19},	//1516 Plasma::GroupBox::staticMetaObject() const
    {67, 2447, 0, 0, Smoke::mf_dtor, 0, 20 },	//1517 Plasma::GroupBox::~GroupBox()
    {68, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1518 Plasma::IconWidget::metaObject() const
    {68, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1519 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1520 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1521 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1522 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1523 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1524 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 210, 170, 1, Smoke::mf_ctor, 105, 8},	//1525 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 210, 623, 2, Smoke::mf_ctor, 105, 9},	//1526 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 210, 626, 3, Smoke::mf_ctor, 105, 10},	//1527 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 11},	//1528 Plasma::IconWidget::text() const
    {68, 2096, 89, 1, Smoke::mf_property, 0, 12},	//1529 Plasma::IconWidget::setText(const QString&)
    {68, 2072, 77, 2, 0, 0, 13},	//1530 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2256, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1531 Plasma::IconWidget::svg() const
    {68, 1125, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1532 Plasma::IconWidget::infoText() const
    {68, 1897, 89, 1, Smoke::mf_property, 0, 16},	//1533 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 17},	//1534 Plasma::IconWidget::icon() const
    {68, 1880, 557, 1, Smoke::mf_property, 0, 18},	//1535 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2284, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 19},	//1536 Plasma::IconWidget::textBackgroundColor() const
    {68, 2098, 571, 1, Smoke::mf_property, 0, 20},	//1537 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1880, 89, 1, 0, 0, 21},	//1538 Plasma::IconWidget::setIcon(const QString&)
    {68, 1111, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 22},	//1539 Plasma::IconWidget::iconSize() const
    {68, 1982, 593, 1, Smoke::mf_property, 0, 23},	//1540 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1500, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 24},	//1541 Plasma::IconWidget::preferredIconSize() const
    {68, 1932, 593, 1, Smoke::mf_property, 0, 25},	//1542 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1393, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 26},	//1543 Plasma::IconWidget::minimumIconSize() const
    {68, 1924, 593, 1, Smoke::mf_property, 0, 27},	//1544 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1378, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 28},	//1545 Plasma::IconWidget::maximumIconSize() const
    {68, 646, 107, 1, 0, 0, 29},	//1546 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1569, 107, 1, 0, 0, 30},	//1547 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1682, 107, 1, 0, 0, 31},	//1548 Plasma::IconWidget::setAction(QAction*)
    {68, 604, 0, 0, Smoke::mf_const, 181, 32},	//1549 Plasma::IconWidget::action() const
    {68, 1953, 630, 1, Smoke::mf_property, 0, 33},	//1550 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1441, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 34},	//1551 Plasma::IconWidget::orientation() const
    {68, 1152, 7, 1, 0, 0, 35},	//1552 Plasma::IconWidget::invertLayout(bool)
    {68, 1154, 0, 0, Smoke::mf_const, 401, 36},	//1553 Plasma::IconWidget::invertedLayout() const
    {68, 2208, 632, 1, Smoke::mf_const, 287, 37},	//1554 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1426, 0, 0, Smoke::mf_property, 492, 38},	//1555 Plasma::IconWidget::numDisplayLines()
    {68, 1947, 129, 1, Smoke::mf_property, 0, 39},	//1556 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1811, 7, 1, Smoke::mf_property, 0, 40},	//1557 Plasma::IconWidget::setDrawBackground(bool)
    {68, 927, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 41},	//1558 Plasma::IconWidget::drawBackground() const
    {68, 2173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 42},	//1559 Plasma::IconWidget::shape() const
    {68, 1986, 7, 1, Smoke::mf_slot, 0, 43},	//1560 Plasma::IconWidget::setPressed(bool)
    {68, 2122, 0, 0, Smoke::mf_slot, 0, 44},	//1561 Plasma::IconWidget::setUnpressed()
    {68, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1562 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 46},	//1563 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1505, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1564 Plasma::IconWidget::pressed(bool)
    {68, 769, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1565 Plasma::IconWidget::clicked()
    {68, 915, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1566 Plasma::IconWidget::doubleClicked()
    {68, 616, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1567 Plasma::IconWidget::activated()
    {68, 755, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1568 Plasma::IconWidget::changed()
    {68, 1165, 0, 0, Smoke::mf_protected, 401, 52},	//1569 Plasma::IconWidget::isDown()
    {68, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1570 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1571 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1572 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1573 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1574 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1575 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 59},	//1576 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1577 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 923, 634, 3, 0, 0, 61},	//1578 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2311, 1, 1, Smoke::mf_static, 289, 62},	//1579 Plasma::IconWidget::tr(const char*)
    {68, 2315, 1, 1, Smoke::mf_static, 289, 63},	//1580 Plasma::IconWidget::trUtf8(const char*)
    {68, 210, 0, 0, Smoke::mf_ctor, 105, 64},	//1581 Plasma::IconWidget::IconWidget()
    {68, 210, 89, 1, Smoke::mf_ctor, 105, 65},	//1582 Plasma::IconWidget::IconWidget(const QString&)
    {68, 210, 638, 2, Smoke::mf_ctor, 105, 66},	//1583 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 2072, 89, 1, 0, 0, 67},	//1584 Plasma::IconWidget::setSvg(const QString&)
    {68, 1986, 0, 0, Smoke::mf_slot, 0, 68},	//1585 Plasma::IconWidget::setPressed()
    {68, 1449, 326, 2, Smoke::mf_protected, 0, 69},	//1586 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2210, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 70},	//1587 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 71},	//1588 Plasma::IconWidget::staticMetaObject() const
    {68, 2448, 0, 0, Smoke::mf_dtor, 0, 72 },	//1589 Plasma::IconWidget::~IconWidget()
    {69, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1590 Plasma::ItemBackground::metaObject() const
    {69, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1591 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1592 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1593 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1594 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1595 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1596 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 226, 125, 1, Smoke::mf_ctor, 108, 8},	//1597 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2086, 641, 1, Smoke::mf_property, 0, 9},	//1598 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2274, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 10},	//1599 Plasma::ItemBackground::target() const
    {69, 2088, 170, 1, Smoke::mf_property, 0, 11},	//1600 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2275, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 12},	//1601 Plasma::ItemBackground::targetItem() const
    {69, 1449, 216, 3, Smoke::mf_virtual, 0, 13},	//1602 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 706, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1603 Plasma::ItemBackground::appearanceChanged()
    {69, 703, 643, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1604 Plasma::ItemBackground::animationStep(qreal)
    {69, 2278, 645, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1605 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2276, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1606 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 18},	//1607 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 19},	//1608 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 20},	//1609 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1610 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2311, 1, 1, Smoke::mf_static, 289, 22},	//1611 Plasma::ItemBackground::tr(const char*)
    {69, 2315, 1, 1, Smoke::mf_static, 289, 23},	//1612 Plasma::ItemBackground::trUtf8(const char*)
    {69, 226, 0, 0, Smoke::mf_ctor, 108, 24},	//1613 Plasma::ItemBackground::ItemBackground()
    {69, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 25},	//1614 Plasma::ItemBackground::staticMetaObject() const
    {69, 2449, 0, 0, Smoke::mf_dtor, 0, 26 },	//1615 Plasma::ItemBackground::~ItemBackground()
    {70, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1616 Plasma::Label::metaObject() const
    {70, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1617 Plasma::Label::qt_metacast(const char*)
    {70, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1618 Plasma::Label::tr(const char*, const char*)
    {70, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1619 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1620 Plasma::Label::tr(const char*, const char*, int)
    {70, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1621 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1622 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 304, 125, 1, Smoke::mf_ctor, 111, 8},	//1623 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2096, 89, 1, Smoke::mf_property, 0, 9},	//1624 Plasma::Label::setText(const QString&)
    {70, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1625 Plasma::Label::text() const
    {70, 1887, 89, 1, Smoke::mf_property, 0, 11},	//1626 Plasma::Label::setImage(const QString&)
    {70, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1627 Plasma::Label::image() const
    {70, 1686, 647, 1, 0, 0, 13},	//1628 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 685, 0, 0, Smoke::mf_const, 205, 14},	//1629 Plasma::Label::alignment() const
    {70, 2020, 7, 1, Smoke::mf_property, 0, 15},	//1630 Plasma::Label::setScaledContents(bool)
    {70, 1088, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 16},	//1631 Plasma::Label::hasScaledContents() const
    {70, 2100, 7, 1, Smoke::mf_property, 0, 17},	//1632 Plasma::Label::setTextSelectable(bool)
    {70, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 18},	//1633 Plasma::Label::textSelectable() const
    {70, 2167, 7, 1, Smoke::mf_property, 0, 19},	//1634 Plasma::Label::setWordWrap(bool)
    {70, 2407, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 20},	//1635 Plasma::Label::wordWrap() const
    {70, 2066, 89, 1, Smoke::mf_property, 0, 21},	//1636 Plasma::Label::setStyleSheet(const QString&)
    {70, 2248, 0, 0, Smoke::mf_property, 289, 22},	//1637 Plasma::Label::styleSheet()
    {70, 1419, 0, 0, Smoke::mf_const, 237, 23},	//1638 Plasma::Label::nativeWidget() const
    {70, 1261, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1639 Plasma::Label::linkActivated(const QString&)
    {70, 1264, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1640 Plasma::Label::linkHovered(const QString&)
    {70, 884, 489, 2, Smoke::mf_slot, 0, 26},	//1641 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1642 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1643 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1644 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1645 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1646 Plasma::Label::changeEvent(QEvent*)
    {70, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 32},	//1647 Plasma::Label::event(QEvent*)
    {70, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//1648 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1649 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 35},	//1650 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2311, 1, 1, Smoke::mf_static, 289, 36},	//1651 Plasma::Label::tr(const char*)
    {70, 2315, 1, 1, Smoke::mf_static, 289, 37},	//1652 Plasma::Label::trUtf8(const char*)
    {70, 304, 0, 0, Smoke::mf_ctor, 111, 38},	//1653 Plasma::Label::Label()
    {70, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 39},	//1654 Plasma::Label::staticMetaObject() const
    {70, 2450, 0, 0, Smoke::mf_dtor, 0, 40 },	//1655 Plasma::Label::~Label()
    {71, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1656 Plasma::LineEdit::metaObject() const
    {71, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1657 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1658 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1659 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1660 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1661 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1662 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 333, 125, 1, Smoke::mf_ctor, 112, 8},	//1663 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2096, 89, 1, Smoke::mf_property, 0, 9},	//1664 Plasma::LineEdit::setText(const QString&)
    {71, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1665 Plasma::LineEdit::text() const
    {71, 1740, 7, 1, Smoke::mf_property, 0, 11},	//1666 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1160, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 12},	//1667 Plasma::LineEdit::isClearButtonShown() const
    {71, 1742, 89, 1, Smoke::mf_property, 0, 13},	//1668 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 768, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1669 Plasma::LineEdit::clickMessage() const
    {71, 2066, 89, 1, Smoke::mf_property, 0, 15},	//1670 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2248, 0, 0, Smoke::mf_property, 289, 16},	//1671 Plasma::LineEdit::styleSheet()
    {71, 1941, 649, 1, 0, 0, 17},	//1672 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1419, 0, 0, Smoke::mf_const, 13, 18},	//1673 Plasma::LineEdit::nativeWidget() const
    {71, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1674 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1675 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1676 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1677 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1678 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1679 Plasma::LineEdit::focusInEvent(QFocusEvent*)
    {71, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1680 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 950, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1681 Plasma::LineEdit::editingFinished()
    {71, 1617, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1682 Plasma::LineEdit::returnPressed()
    {71, 2287, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1683 Plasma::LineEdit::textEdited(const QString&)
    {71, 2285, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1684 Plasma::LineEdit::textChanged(const QString&)
    {71, 2311, 1, 1, Smoke::mf_static, 289, 30},	//1685 Plasma::LineEdit::tr(const char*)
    {71, 2315, 1, 1, Smoke::mf_static, 289, 31},	//1686 Plasma::LineEdit::trUtf8(const char*)
    {71, 333, 0, 0, Smoke::mf_ctor, 112, 32},	//1687 Plasma::LineEdit::LineEdit()
    {71, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 33},	//1688 Plasma::LineEdit::staticMetaObject() const
    {71, 2451, 0, 0, Smoke::mf_dtor, 0, 34 },	//1689 Plasma::LineEdit::~LineEdit()
    {72, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1690 Plasma::Meter::metaObject() const
    {72, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1691 Plasma::Meter::qt_metacast(const char*)
    {72, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1692 Plasma::Meter::tr(const char*, const char*)
    {72, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1693 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1694 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1695 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1696 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 344, 170, 1, Smoke::mf_ctor, 116, 8},	//1697 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1377, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 9},	//1698 Plasma::Meter::maximum() const
    {72, 1392, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 10},	//1699 Plasma::Meter::minimum() const
    {72, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 11},	//1700 Plasma::Meter::value() const
    {72, 2072, 89, 1, Smoke::mf_property, 0, 12},	//1701 Plasma::Meter::setSvg(const QString&)
    {72, 2256, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1702 Plasma::Meter::svg() const
    {72, 1926, 651, 1, Smoke::mf_property, 0, 14},	//1703 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1384, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 15},	//1704 Plasma::Meter::meterType() const
    {72, 1903, 653, 2, 0, 0, 16},	//1705 Plasma::Meter::setLabel(int, const QString&)
    {72, 1237, 129, 1, Smoke::mf_const, 289, 17},	//1706 Plasma::Meter::label(int) const
    {72, 1908, 656, 2, 0, 0, 18},	//1707 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1241, 129, 1, Smoke::mf_const, 187, 19},	//1708 Plasma::Meter::labelColor(int) const
    {72, 1910, 659, 2, 0, 0, 20},	//1709 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1243, 129, 1, Smoke::mf_const, 209, 21},	//1710 Plasma::Meter::labelFont(int) const
    {72, 1906, 662, 2, 0, 0, 22},	//1711 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1239, 129, 1, Smoke::mf_const, 205, 23},	//1712 Plasma::Meter::labelAlignment(int) const
    {72, 1245, 129, 1, Smoke::mf_const, 279, 24},	//1713 Plasma::Meter::labelRect(int) const
    {72, 884, 489, 2, Smoke::mf_slot, 0, 25},	//1714 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1922, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1715 Plasma::Meter::setMaximum(int)
    {72, 1930, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1716 Plasma::Meter::setMinimum(int)
    {72, 2136, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1717 Plasma::Meter::setValue(int)
    {72, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1718 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 30},	//1719 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2311, 1, 1, Smoke::mf_static, 289, 31},	//1720 Plasma::Meter::tr(const char*)
    {72, 2315, 1, 1, Smoke::mf_static, 289, 32},	//1721 Plasma::Meter::trUtf8(const char*)
    {72, 344, 0, 0, Smoke::mf_ctor, 116, 33},	//1722 Plasma::Meter::Meter()
    {72, 1449, 326, 2, Smoke::mf_protected, 0, 34},	//1723 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2210, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 35},	//1724 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 36},	//1725 Plasma::Meter::staticMetaObject() const
    {72, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//1726 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 38},	//1727 Plasma::Meter::BarMeterVertical (enum)
    {72, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 39},	//1728 Plasma::Meter::AnalogMeter (enum)
    {72, 2452, 0, 0, Smoke::mf_dtor, 0, 40 },	//1729 Plasma::Meter::~Meter()
    {73, 385, 0, 0, Smoke::mf_ctor, 119, 1},	//1730 Plasma::Package::Package()
    {73, 385, 665, 3, Smoke::mf_ctor, 119, 2},	//1731 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 385, 669, 2, Smoke::mf_ctor, 119, 3},	//1732 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 385, 672, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//1733 Plasma::Package::Package(const Plasma::Package&)
    {73, 1437, 672, 1, 0, 118, 5},	//1734 Plasma::Package::operator=(const Plasma::Package&)
    {73, 1195, 0, 0, Smoke::mf_const, 401, 6},	//1735 Plasma::Package::isValid() const
    {73, 1012, 674, 2, Smoke::mf_const, 289, 7},	//1736 Plasma::Package::filePath(const char*, const QString&) const
    {73, 1012, 1, 1, Smoke::mf_const, 289, 8},	//1737 Plasma::Package::filePath(const char*) const
    {73, 989, 1, 1, Smoke::mf_const, 290, 9},	//1738 Plasma::Package::entryList(const char*) const
    {73, 1383, 0, 0, Smoke::mf_const, 120, 10},	//1739 Plasma::Package::metadata() const
    {73, 1965, 89, 1, 0, 0, 11},	//1740 Plasma::Package::setPath(const QString&)
    {73, 1475, 0, 0, Smoke::mf_const, 472, 12},	//1741 Plasma::Package::path() const
    {73, 2246, 0, 0, Smoke::mf_const, 410, 13},	//1742 Plasma::Package::structure() const
    {73, 826, 0, 0, Smoke::mf_const, 289, 14},	//1743 Plasma::Package::contentsHash() const
    {73, 1297, 89, 1, Smoke::mf_static, 290, 15},	//1744 Plasma::Package::listInstalled(const QString&)
    {73, 1299, 89, 1, Smoke::mf_static, 290, 16},	//1745 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1147, 356, 3, Smoke::mf_static, 401, 17},	//1746 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2323, 356, 3, Smoke::mf_static, 401, 18},	//1747 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1534, 677, 2, Smoke::mf_static, 401, 19},	//1748 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 857, 680, 4, Smoke::mf_static, 401, 20},	//1749 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 857, 685, 3, Smoke::mf_static, 401, 21},	//1750 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2453, 0, 0, Smoke::mf_dtor, 0, 22 },	//1751 Plasma::Package::~Package()
    {74, 389, 89, 1, Smoke::mf_ctor, 122, 1},	//1752 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 389, 689, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 2},	//1753 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1437, 689, 1, 0, 121, 3},	//1754 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1195, 0, 0, Smoke::mf_const, 401, 4},	//1755 Plasma::PackageMetadata::isValid() const
    {74, 2408, 89, 1, Smoke::mf_const, 0, 5},	//1756 Plasma::PackageMetadata::write(const QString&) const
    {74, 1522, 89, 1, 0, 0, 6},	//1757 Plasma::PackageMetadata::read(const QString&)
    {74, 1417, 0, 0, Smoke::mf_const, 289, 7},	//1758 Plasma::PackageMetadata::name() const
    {74, 891, 0, 0, Smoke::mf_const, 289, 8},	//1759 Plasma::PackageMetadata::description() const
    {74, 1233, 0, 0, Smoke::mf_const, 290, 9},	//1760 Plasma::PackageMetadata::keywords() const
    {74, 1681, 0, 0, Smoke::mf_const, 289, 10},	//1761 Plasma::PackageMetadata::serviceType() const
    {74, 728, 0, 0, Smoke::mf_const, 289, 11},	//1762 Plasma::PackageMetadata::author() const
    {74, 972, 0, 0, Smoke::mf_const, 289, 12},	//1763 Plasma::PackageMetadata::email() const
    {74, 2370, 0, 0, Smoke::mf_const, 289, 13},	//1764 Plasma::PackageMetadata::version() const
    {74, 2395, 0, 0, Smoke::mf_const, 289, 14},	//1765 Plasma::PackageMetadata::website() const
    {74, 1260, 0, 0, Smoke::mf_const, 289, 15},	//1766 Plasma::PackageMetadata::license() const
    {74, 720, 0, 0, Smoke::mf_const, 289, 16},	//1767 Plasma::PackageMetadata::application() const
    {74, 750, 0, 0, Smoke::mf_const, 289, 17},	//1768 Plasma::PackageMetadata::category() const
    {74, 1603, 0, 0, Smoke::mf_const, 289, 18},	//1769 Plasma::PackageMetadata::requiredVersion() const
    {74, 1487, 0, 0, Smoke::mf_const, 289, 19},	//1770 Plasma::PackageMetadata::pluginName() const
    {74, 1120, 0, 0, Smoke::mf_const, 289, 20},	//1771 Plasma::PackageMetadata::implementationApi() const
    {74, 1555, 0, 0, Smoke::mf_const, 28, 21},	//1772 Plasma::PackageMetadata::remoteLocation() const
    {74, 2320, 0, 0, Smoke::mf_const, 289, 22},	//1773 Plasma::PackageMetadata::type() const
    {74, 1939, 89, 1, 0, 0, 23},	//1774 Plasma::PackageMetadata::setName(const QString&)
    {74, 1801, 89, 1, 0, 0, 24},	//1775 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1110, 0, 0, Smoke::mf_const, 289, 25},	//1776 Plasma::PackageMetadata::icon() const
    {74, 1880, 89, 1, 0, 0, 26},	//1777 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1901, 200, 1, 0, 0, 27},	//1778 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 2033, 89, 1, 0, 0, 28},	//1779 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1706, 89, 1, 0, 0, 29},	//1780 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1824, 89, 1, 0, 0, 30},	//1781 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2138, 89, 1, 0, 0, 31},	//1782 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2159, 89, 1, 0, 0, 32},	//1783 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1914, 89, 1, 0, 0, 33},	//1784 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1698, 89, 1, 0, 0, 34},	//1785 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1734, 89, 1, 0, 0, 35},	//1786 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 2008, 89, 1, 0, 0, 36},	//1787 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 2002, 119, 1, 0, 0, 37},	//1788 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2118, 89, 1, 0, 0, 38},	//1789 Plasma::PackageMetadata::setType(const QString&)
    {74, 1971, 89, 1, 0, 0, 39},	//1790 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1895, 89, 1, 0, 0, 40},	//1791 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 389, 0, 0, Smoke::mf_ctor, 122, 41},	//1792 Plasma::PackageMetadata::PackageMetadata()
    {74, 2454, 0, 0, Smoke::mf_dtor, 0, 42 },	//1793 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1794 Plasma::PackageStructure::metaObject() const
    {75, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1795 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1796 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1797 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1798 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1799 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1800 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 392, 64, 2, Smoke::mf_ctor, 124, 8},	//1801 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1437, 691, 1, 0, 123, 9},	//1802 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1312, 89, 1, Smoke::mf_static, 20, 10},	//1803 Plasma::PackageStructure::load(const QString&)
    {75, 2320, 0, 0, Smoke::mf_const, 289, 11},	//1804 Plasma::PackageStructure::type() const
    {75, 904, 0, 0, Smoke::mf_const, 256, 12},	//1805 Plasma::PackageStructure::directories() const
    {75, 1601, 0, 0, Smoke::mf_const, 256, 13},	//1806 Plasma::PackageStructure::requiredDirectories() const
    {75, 1015, 0, 0, Smoke::mf_const, 256, 14},	//1807 Plasma::PackageStructure::files() const
    {75, 1602, 0, 0, Smoke::mf_const, 256, 15},	//1808 Plasma::PackageStructure::requiredFiles() const
    {75, 640, 693, 3, 0, 0, 16},	//1809 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 644, 693, 3, 0, 0, 17},	//1810 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1567, 1, 1, 0, 0, 18},	//1811 Plasma::PackageStructure::removeDefinition(const char*)
    {75, 1475, 1, 1, Smoke::mf_const, 289, 19},	//1812 Plasma::PackageStructure::path(const char*) const
    {75, 1664, 1, 1, Smoke::mf_const, 290, 20},	//1813 Plasma::PackageStructure::searchPath(const char*) const
    {75, 989, 1, 1, 0, 290, 21},	//1814 Plasma::PackageStructure::entryList(const char*)
    {75, 1417, 1, 1, Smoke::mf_const, 289, 22},	//1815 Plasma::PackageStructure::name(const char*) const
    {75, 2006, 697, 2, 0, 0, 23},	//1816 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1185, 1, 1, Smoke::mf_const, 401, 24},	//1817 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1792, 700, 1, 0, 0, 25},	//1818 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1928, 702, 2, 0, 0, 26},	//1819 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1390, 1, 1, Smoke::mf_const, 290, 27},	//1820 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1965, 89, 1, 0, 0, 28},	//1821 Plasma::PackageStructure::setPath(const QString&)
    {75, 1475, 0, 0, Smoke::mf_const, 289, 29},	//1822 Plasma::PackageStructure::path() const
    {75, 1522, 705, 1, 0, 0, 30},	//1823 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2408, 707, 1, Smoke::mf_const, 0, 31},	//1824 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1147, 77, 2, Smoke::mf_virtual, 401, 32},	//1825 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2323, 77, 2, Smoke::mf_virtual, 401, 33},	//1826 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 855, 57, 1, Smoke::mf_virtual, 0, 34},	//1827 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 827, 0, 0, Smoke::mf_const, 289, 35},	//1828 Plasma::PackageStructure::contentsPrefix() const
    {75, 828, 0, 0, Smoke::mf_const, 290, 36},	//1829 Plasma::PackageStructure::contentsPrefixPaths() const
    {75, 886, 0, 0, Smoke::mf_const, 289, 37},	//1830 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1675, 0, 0, Smoke::mf_const, 289, 38},	//1831 Plasma::PackageStructure::servicePrefix() const
    {75, 2031, 89, 1, 0, 0, 39},	//1832 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1383, 0, 0, Smoke::mf_virtual, 120, 40},	//1833 Plasma::PackageStructure::metadata()
    {75, 686, 0, 0, Smoke::mf_const, 401, 41},	//1834 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1424, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1835 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1688, 7, 1, Smoke::mf_protected, 0, 43},	//1836 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1765, 89, 1, Smoke::mf_protected, 0, 44},	//1837 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1767, 200, 1, Smoke::mf_protected, 0, 45},	//1838 Plasma::PackageStructure::setContentsPrefixPaths(const QStringList&)
    {75, 1794, 89, 1, Smoke::mf_protected, 0, 46},	//1839 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1477, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1840 Plasma::PackageStructure::pathChanged()
    {75, 2311, 1, 1, Smoke::mf_static, 289, 48},	//1841 Plasma::PackageStructure::tr(const char*)
    {75, 2315, 1, 1, Smoke::mf_static, 289, 49},	//1842 Plasma::PackageStructure::trUtf8(const char*)
    {75, 392, 0, 0, Smoke::mf_ctor, 124, 50},	//1843 Plasma::PackageStructure::PackageStructure()
    {75, 392, 97, 1, Smoke::mf_ctor, 124, 51},	//1844 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 855, 0, 0, 0, 0, 52},	//1845 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 53},	//1846 Plasma::PackageStructure::staticMetaObject() const
    {75, 2455, 0, 0, Smoke::mf_dtor, 0, 54 },	//1847 Plasma::PackageStructure::~PackageStructure()
    {76, 410, 0, 0, Smoke::mf_ctor, 125, 1},	//1848 Plasma::PlotColor::PlotColor()
    {76, 410, 709, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 2},	//1849 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 778, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 3},	//1850 Plasma::PlotColor::color() const
    {76, 1748, 571, 1, Smoke::mf_attribute, 0, 4},	//1851 Plasma::PlotColor::setColor(const QColor&)
    {76, 880, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 5},	//1852 Plasma::PlotColor::darkColor() const
    {76, 1783, 571, 1, Smoke::mf_attribute, 0, 6},	//1853 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2456, 0, 0, Smoke::mf_dtor, 0, 7 },	//1854 Plasma::PlotColor::~PlotColor()
    {77, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1855 Plasma::PopupApplet::metaObject() const
    {77, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1856 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1857 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1858 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1859 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1860 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1861 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 412, 70, 2, Smoke::mf_ctor, 126, 8},	//1862 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 1979, 557, 1, 0, 0, 9},	//1863 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 1979, 89, 1, 0, 0, 10},	//1864 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1493, 0, 0, Smoke::mf_const, 233, 11},	//1865 Plasma::PopupApplet::popupIcon() const
    {77, 2398, 0, 0, Smoke::mf_virtual, 304, 12},	//1866 Plasma::PopupApplet::widget()
    {77, 2161, 57, 1, 0, 0, 13},	//1867 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1069, 0, 0, Smoke::mf_virtual, 226, 14},	//1868 Plasma::PopupApplet::graphicsWidget()
    {77, 1854, 125, 1, 0, 0, 15},	//1869 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1494, 0, 0, Smoke::mf_const, 127, 16},	//1870 Plasma::PopupApplet::popupPlacement() const
    {77, 1977, 711, 1, Smoke::mf_property, 0, 17},	//1871 Plasma::PopupApplet::setPopupAlignment(Qt::AlignmentFlag)
    {77, 1490, 0, 0, Smoke::mf_const|Smoke::mf_property, 305, 18},	//1872 Plasma::PopupApplet::popupAlignment() const
    {77, 1963, 7, 1, 0, 0, 19},	//1873 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1176, 0, 0, Smoke::mf_const, 401, 20},	//1874 Plasma::PopupApplet::isPassivePopup() const
    {77, 1179, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 401, 21},	//1875 Plasma::PopupApplet::isPopupShowing() const
    {77, 1170, 0, 0, Smoke::mf_const, 401, 22},	//1876 Plasma::PopupApplet::isIconified() const
    {77, 1097, 0, 0, Smoke::mf_slot, 0, 23},	//1877 Plasma::PopupApplet::hidePopup()
    {77, 2195, 713, 1, Smoke::mf_slot, 0, 24},	//1878 Plasma::PopupApplet::showPopup(uint)
    {77, 2300, 0, 0, Smoke::mf_slot, 0, 25},	//1879 Plasma::PopupApplet::togglePopup()
    {77, 1491, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1880 Plasma::PopupApplet::popupEvent(bool)
    {77, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 27},	//1881 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1882 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1883 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 30},	//1884 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1885 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1886 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1887 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1888 Plasma::PopupApplet::timerEvent(QTimerEvent*)
    {77, 2311, 1, 1, Smoke::mf_static, 289, 35},	//1889 Plasma::PopupApplet::tr(const char*)
    {77, 2315, 1, 1, Smoke::mf_static, 289, 36},	//1890 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2195, 0, 0, Smoke::mf_slot, 0, 37},	//1891 Plasma::PopupApplet::showPopup()
    {77, 2210, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 38},	//1892 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 39},	//1893 Plasma::PopupApplet::staticMetaObject() const
    {77, 2457, 0, 0, Smoke::mf_dtor, 0, 40 },	//1894 Plasma::PopupApplet::~PopupApplet()
    {78, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1895 Plasma::PushButton::metaObject() const
    {78, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1896 Plasma::PushButton::qt_metacast(const char*)
    {78, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1897 Plasma::PushButton::tr(const char*, const char*)
    {78, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1898 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1899 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1900 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1901 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 419, 125, 1, Smoke::mf_ctor, 129, 8},	//1902 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2096, 89, 1, Smoke::mf_property, 0, 9},	//1903 Plasma::PushButton::setText(const QString&)
    {78, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1904 Plasma::PushButton::text() const
    {78, 1887, 89, 1, Smoke::mf_property, 0, 11},	//1905 Plasma::PushButton::setImage(const QString&)
    {78, 1887, 77, 2, 0, 0, 12},	//1906 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1907 Plasma::PushButton::image() const
    {78, 2066, 89, 1, Smoke::mf_property, 0, 14},	//1908 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2248, 0, 0, Smoke::mf_property, 289, 15},	//1909 Plasma::PushButton::styleSheet()
    {78, 1682, 107, 1, 0, 0, 16},	//1910 Plasma::PushButton::setAction(QAction*)
    {78, 604, 0, 0, Smoke::mf_const, 181, 17},	//1911 Plasma::PushButton::action() const
    {78, 1880, 557, 1, Smoke::mf_property, 0, 18},	//1912 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1880, 715, 1, 0, 0, 19},	//1913 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 20},	//1914 Plasma::PushButton::icon() const
    {78, 1736, 7, 1, Smoke::mf_property, 0, 21},	//1915 Plasma::PushButton::setCheckable(bool)
    {78, 1158, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 22},	//1916 Plasma::PushButton::isCheckable() const
    {78, 1159, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 23},	//1917 Plasma::PushButton::isChecked() const
    {78, 1165, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 24},	//1918 Plasma::PushButton::isDown() const
    {78, 1419, 0, 0, Smoke::mf_const, 16, 25},	//1919 Plasma::PushButton::nativeWidget() const
    {78, 1505, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1920 Plasma::PushButton::pressed()
    {78, 1545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1921 Plasma::PushButton::released()
    {78, 769, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1922 Plasma::PushButton::clicked()
    {78, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1923 Plasma::PushButton::toggled(bool)
    {78, 767, 0, 0, Smoke::mf_slot, 0, 30},	//1924 Plasma::PushButton::click()
    {78, 1738, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//1925 Plasma::PushButton::setChecked(bool)
    {78, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1926 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1927 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1928 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1929 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1930 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 37},	//1931 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2311, 1, 1, Smoke::mf_static, 289, 38},	//1932 Plasma::PushButton::tr(const char*)
    {78, 2315, 1, 1, Smoke::mf_static, 289, 39},	//1933 Plasma::PushButton::trUtf8(const char*)
    {78, 419, 0, 0, Smoke::mf_ctor, 129, 40},	//1934 Plasma::PushButton::PushButton()
    {78, 1449, 326, 2, Smoke::mf_protected, 0, 41},	//1935 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 42},	//1936 Plasma::PushButton::staticMetaObject() const
    {78, 2458, 0, 0, Smoke::mf_dtor, 0, 43 },	//1937 Plasma::PushButton::~PushButton()
    {79, 431, 717, 1, Smoke::mf_ctor, 132, 1},	//1938 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 431, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1939 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1437, 80, 1, 0, 131, 3},	//1940 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1439, 80, 1, Smoke::mf_const, 401, 4},	//1941 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1435, 80, 1, Smoke::mf_const, 401, 5},	//1942 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1626, 0, 0, Smoke::mf_const, 34, 6},	//1943 Plasma::QueryMatch::runner() const
    {79, 1195, 0, 0, Smoke::mf_const, 401, 7},	//1944 Plasma::QueryMatch::isValid() const
    {79, 2118, 719, 1, 0, 0, 8},	//1945 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2320, 0, 0, Smoke::mf_const, 133, 9},	//1946 Plasma::QueryMatch::type() const
    {79, 2000, 721, 1, 0, 0, 10},	//1947 Plasma::QueryMatch::setRelevance(double)
    {79, 1546, 0, 0, Smoke::mf_const, 489, 11},	//1948 Plasma::QueryMatch::relevance() const
    {79, 1621, 723, 1, Smoke::mf_const, 0, 12},	//1949 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1785, 725, 1, 0, 0, 13},	//1950 Plasma::QueryMatch::setData(const QVariant&)
    {79, 881, 0, 0, Smoke::mf_const, 299, 14},	//1951 Plasma::QueryMatch::data() const
    {79, 1883, 89, 1, 0, 0, 15},	//1952 Plasma::QueryMatch::setId(const QString&)
    {79, 1112, 0, 0, Smoke::mf_const, 289, 16},	//1953 Plasma::QueryMatch::id() const
    {79, 2096, 89, 1, 0, 0, 17},	//1954 Plasma::QueryMatch::setText(const QString&)
    {79, 2283, 0, 0, Smoke::mf_const, 289, 18},	//1955 Plasma::QueryMatch::text() const
    {79, 2070, 89, 1, 0, 0, 19},	//1956 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2251, 0, 0, Smoke::mf_const, 289, 20},	//1957 Plasma::QueryMatch::subtext() const
    {79, 1880, 557, 1, 0, 0, 21},	//1958 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1110, 0, 0, Smoke::mf_const, 233, 22},	//1959 Plasma::QueryMatch::icon() const
    {79, 1828, 7, 1, 0, 0, 23},	//1960 Plasma::QueryMatch::setEnabled(bool)
    {79, 1167, 0, 0, Smoke::mf_const, 401, 24},	//1961 Plasma::QueryMatch::isEnabled() const
    {79, 1669, 0, 0, Smoke::mf_const, 181, 25},	//1962 Plasma::QueryMatch::selectedAction() const
    {79, 2029, 107, 1, 0, 0, 26},	//1963 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1076, 0, 0, Smoke::mf_const, 401, 27},	//1964 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 848, 57, 1, 0, 0, 28},	//1965 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 29},	//1966 Plasma::QueryMatch::NoMatch (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 30},	//1967 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 31},	//1968 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//1969 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//1970 Plasma::QueryMatch::HelperMatch (enum)
    {79, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//1971 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2459, 0, 0, Smoke::mf_dtor, 0, 35 },	//1972 Plasma::QueryMatch::~QueryMatch()
    {80, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1973 Plasma::RadioButton::metaObject() const
    {80, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1974 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2311, 43, 2, Smoke::mf_static, 289, 3},	//1975 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2315, 43, 2, Smoke::mf_static, 289, 4},	//1976 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2311, 46, 3, Smoke::mf_static, 289, 5},	//1977 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2315, 46, 3, Smoke::mf_static, 289, 6},	//1978 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//1979 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 434, 125, 1, Smoke::mf_ctor, 134, 8},	//1980 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2096, 89, 1, Smoke::mf_property, 0, 9},	//1981 Plasma::RadioButton::setText(const QString&)
    {80, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1982 Plasma::RadioButton::text() const
    {80, 1887, 89, 1, Smoke::mf_property, 0, 11},	//1983 Plasma::RadioButton::setImage(const QString&)
    {80, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1984 Plasma::RadioButton::image() const
    {80, 2066, 89, 1, Smoke::mf_property, 0, 13},	//1985 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2248, 0, 0, Smoke::mf_property, 289, 14},	//1986 Plasma::RadioButton::styleSheet()
    {80, 1419, 0, 0, Smoke::mf_const, 277, 15},	//1987 Plasma::RadioButton::nativeWidget() const
    {80, 1738, 7, 1, Smoke::mf_property, 0, 16},	//1988 Plasma::RadioButton::setChecked(bool)
    {80, 1159, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 17},	//1989 Plasma::RadioButton::isChecked() const
    {80, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1990 Plasma::RadioButton::toggled(bool)
    {80, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1991 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1992 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2311, 1, 1, Smoke::mf_static, 289, 21},	//1993 Plasma::RadioButton::tr(const char*)
    {80, 2315, 1, 1, Smoke::mf_static, 289, 22},	//1994 Plasma::RadioButton::trUtf8(const char*)
    {80, 434, 0, 0, Smoke::mf_ctor, 134, 23},	//1995 Plasma::RadioButton::RadioButton()
    {80, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 24},	//1996 Plasma::RadioButton::staticMetaObject() const
    {80, 2460, 0, 0, Smoke::mf_dtor, 0, 25 },	//1997 Plasma::RadioButton::~RadioButton()
    {81, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//1998 Plasma::RunnerContext::metaObject() const
    {81, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//1999 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2000 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2001 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2002 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2003 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2004 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 449, 97, 1, Smoke::mf_ctor, 136, 8},	//2005 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 449, 727, 2, Smoke::mf_ctor, 136, 9},	//2006 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1437, 723, 1, 0, 135, 10},	//2007 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1604, 0, 0, 0, 0, 11},	//2008 Plasma::RunnerContext::reset()
    {81, 1994, 89, 1, 0, 0, 12},	//2009 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1518, 0, 0, Smoke::mf_const, 289, 13},	//2010 Plasma::RunnerContext::query() const
    {81, 2320, 0, 0, Smoke::mf_const, 137, 14},	//2011 Plasma::RunnerContext::type() const
    {81, 1389, 0, 0, Smoke::mf_const, 289, 15},	//2012 Plasma::RunnerContext::mimeType() const
    {81, 1195, 0, 0, Smoke::mf_const, 401, 16},	//2013 Plasma::RunnerContext::isValid() const
    {81, 652, 730, 2, 0, 401, 17},	//2014 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 650, 733, 2, 0, 401, 18},	//2015 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1571, 736, 1, 0, 401, 19},	//2016 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1573, 738, 1, 0, 401, 20},	//2017 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1371, 0, 0, Smoke::mf_const, 249, 21},	//2018 Plasma::RunnerContext::matches() const
    {81, 1367, 89, 1, Smoke::mf_const, 130, 22},	//2019 Plasma::RunnerContext::match(const QString&) const
    {81, 2049, 7, 1, 0, 0, 23},	//2020 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2204, 0, 0, Smoke::mf_const, 401, 24},	//2021 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1613, 111, 1, 0, 0, 25},	//2022 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1631, 178, 1, 0, 0, 26},	//2023 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1621, 80, 1, 0, 0, 27},	//2024 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1372, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2025 Plasma::RunnerContext::matchesChanged()
    {81, 2311, 1, 1, Smoke::mf_static, 289, 29},	//2026 Plasma::RunnerContext::tr(const char*)
    {81, 2315, 1, 1, Smoke::mf_static, 289, 30},	//2027 Plasma::RunnerContext::trUtf8(const char*)
    {81, 449, 0, 0, Smoke::mf_ctor, 136, 31},	//2028 Plasma::RunnerContext::RunnerContext()
    {81, 449, 55, 1, Smoke::mf_ctor, 136, 32},	//2029 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 33},	//2030 Plasma::RunnerContext::staticMetaObject() const
    {81, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 34},	//2031 Plasma::RunnerContext::None (enum)
    {81, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 35},	//2032 Plasma::RunnerContext::UnknownType (enum)
    {81, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 36},	//2033 Plasma::RunnerContext::Directory (enum)
    {81, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 37},	//2034 Plasma::RunnerContext::File (enum)
    {81, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 38},	//2035 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 39},	//2036 Plasma::RunnerContext::Executable (enum)
    {81, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 40},	//2037 Plasma::RunnerContext::ShellCommand (enum)
    {81, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 41},	//2038 Plasma::RunnerContext::Help (enum)
    {81, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 42},	//2039 Plasma::RunnerContext::FileSystem (enum)
    {81, 2461, 0, 0, Smoke::mf_dtor, 0, 43 },	//2040 Plasma::RunnerContext::~RunnerContext()
    {82, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2041 Plasma::RunnerManager::metaObject() const
    {82, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2042 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2043 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2044 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2045 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2046 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2047 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 452, 97, 1, Smoke::mf_ctor, 138, 8},	//2048 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 452, 740, 2, Smoke::mf_ctor, 138, 9},	//2049 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1626, 89, 1, Smoke::mf_const, 34, 10},	//2050 Plasma::RunnerManager::runner(const QString&) const
    {82, 2202, 0, 0, Smoke::mf_const, 34, 11},	//2051 Plasma::RunnerManager::singleModeRunner() const
    {82, 2047, 89, 1, 0, 0, 12},	//2052 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2203, 0, 0, Smoke::mf_const, 289, 13},	//2053 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2200, 0, 0, Smoke::mf_const, 401, 14},	//2054 Plasma::RunnerManager::singleMode() const
    {82, 2045, 7, 1, 0, 0, 15},	//2055 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1628, 89, 1, Smoke::mf_const, 289, 16},	//2056 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1630, 0, 0, Smoke::mf_const, 241, 17},	//2057 Plasma::RunnerManager::runners() const
    {82, 2201, 0, 0, Smoke::mf_const, 290, 18},	//2058 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1663, 0, 0, Smoke::mf_const, 136, 19},	//2059 Plasma::RunnerManager::searchContext() const
    {82, 1371, 0, 0, Smoke::mf_const, 249, 20},	//2060 Plasma::RunnerManager::matches() const
    {82, 1621, 80, 1, 0, 0, 21},	//2061 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1621, 89, 1, 0, 0, 22},	//2062 Plasma::RunnerManager::run(const QString&)
    {82, 608, 80, 1, 0, 251, 23},	//2063 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1518, 0, 0, Smoke::mf_const, 289, 24},	//2064 Plasma::RunnerManager::query() const
    {82, 1548, 0, 0, 0, 0, 25},	//2065 Plasma::RunnerManager::reloadConfiguration()
    {82, 1690, 200, 1, 0, 0, 26},	//2066 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1340, 99, 1, 0, 0, 27},	//2067 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1340, 89, 1, 0, 0, 28},	//2068 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 687, 0, 0, Smoke::mf_const, 290, 29},	//2069 Plasma::RunnerManager::allowedRunners() const
    {82, 1386, 80, 1, Smoke::mf_const, 262, 30},	//2070 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1386, 89, 1, Smoke::mf_const, 262, 31},	//2071 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 1302, 89, 1, Smoke::mf_static, 238, 32},	//2072 Plasma::RunnerManager::listRunnerInfo(const QString&)
    {82, 2172, 0, 0, Smoke::mf_slot, 0, 33},	//2073 Plasma::RunnerManager::setupMatchSession()
    {82, 1370, 0, 0, Smoke::mf_slot, 0, 34},	//2074 Plasma::RunnerManager::matchSessionComplete()
    {82, 1255, 77, 2, Smoke::mf_slot, 0, 35},	//2075 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1255, 89, 1, Smoke::mf_slot, 0, 36},	//2076 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 1000, 77, 2, Smoke::mf_slot, 401, 37},	//2077 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 1000, 89, 1, Smoke::mf_slot, 401, 38},	//2078 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1604, 0, 0, Smoke::mf_slot, 0, 39},	//2079 Plasma::RunnerManager::reset()
    {82, 1372, 743, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2080 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1520, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2081 Plasma::RunnerManager::queryFinished()
    {82, 2311, 1, 1, Smoke::mf_static, 289, 42},	//2082 Plasma::RunnerManager::tr(const char*)
    {82, 2315, 1, 1, Smoke::mf_static, 289, 43},	//2083 Plasma::RunnerManager::trUtf8(const char*)
    {82, 452, 0, 0, Smoke::mf_ctor, 138, 44},	//2084 Plasma::RunnerManager::RunnerManager()
    {82, 452, 178, 1, Smoke::mf_ctor, 138, 45},	//2085 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 1302, 0, 0, Smoke::mf_static, 238, 46},	//2086 Plasma::RunnerManager::listRunnerInfo()
    {82, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 47},	//2087 Plasma::RunnerManager::staticMetaObject() const
    {82, 2462, 0, 0, Smoke::mf_dtor, 0, 48 },	//2088 Plasma::RunnerManager::~RunnerManager()
    {83, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2089 Plasma::RunnerScript::metaObject() const
    {83, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2090 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2091 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2092 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2093 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2094 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2095 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 455, 97, 1, Smoke::mf_ctor, 139, 8},	//2096 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 2016, 717, 1, 0, 0, 9},	//2097 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1626, 0, 0, Smoke::mf_const, 34, 10},	//2098 Plasma::RunnerScript::runner() const
    {83, 1367, 55, 1, Smoke::mf_virtual, 0, 11},	//2099 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1621, 59, 2, Smoke::mf_virtual, 0, 12},	//2100 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1504, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2101 Plasma::RunnerScript::prepare()
    {83, 2282, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2102 Plasma::RunnerScript::teardown()
    {83, 860, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2103 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1548, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2104 Plasma::RunnerScript::reloadConfiguration()
    {83, 608, 745, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2105 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1355, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 18},	//2106 Plasma::RunnerScript::mainScript() const
    {83, 1443, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 424, 19},	//2107 Plasma::RunnerScript::package() const
    {83, 891, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 20},	//2108 Plasma::RunnerScript::description() const
    {83, 882, 89, 1, Smoke::mf_protected, 83, 21},	//2109 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 781, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 22},	//2110 Plasma::RunnerScript::config() const
    {83, 1885, 62, 1, Smoke::mf_protected, 0, 23},	//2111 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1863, 7, 1, Smoke::mf_protected, 0, 24},	//2112 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 2055, 73, 1, Smoke::mf_protected, 0, 25},	//2113 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 1992, 75, 1, Smoke::mf_protected, 0, 26},	//2114 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1676, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 27},	//2115 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 621, 82, 3, Smoke::mf_protected, 181, 28},	//2116 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 621, 86, 2, Smoke::mf_protected, 0, 29},	//2117 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1558, 89, 1, Smoke::mf_protected, 0, 30},	//2118 Plasma::RunnerScript::removeAction(const QString&)
    {83, 604, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 31},	//2119 Plasma::RunnerScript::action(const QString&) const
    {83, 607, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 32},	//2120 Plasma::RunnerScript::actions() const
    {83, 761, 0, 0, Smoke::mf_protected, 0, 33},	//2121 Plasma::RunnerScript::clearActions()
    {83, 673, 91, 1, Smoke::mf_protected, 0, 34},	//2122 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 2078, 93, 1, Smoke::mf_protected, 0, 35},	//2123 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2311, 1, 1, Smoke::mf_static, 289, 36},	//2124 Plasma::RunnerScript::tr(const char*)
    {83, 2315, 1, 1, Smoke::mf_static, 289, 37},	//2125 Plasma::RunnerScript::trUtf8(const char*)
    {83, 455, 0, 0, Smoke::mf_ctor, 139, 38},	//2126 Plasma::RunnerScript::RunnerScript()
    {83, 1676, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 39},	//2127 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 40},	//2128 Plasma::RunnerScript::staticMetaObject() const
    {83, 2463, 0, 0, Smoke::mf_dtor, 0, 41 },	//2129 Plasma::RunnerScript::~RunnerScript()
    {84, 457, 77, 2, Smoke::mf_ctor, 141, 1},	//2130 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 457, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//2131 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1437, 91, 1, 0, 140, 3},	//2132 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 642, 89, 1, 0, 0, 4},	//2133 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 998, 0, 0, Smoke::mf_const, 290, 5},	//2134 Plasma::RunnerSyntax::exampleQueries() const
    {84, 999, 0, 0, Smoke::mf_const, 290, 6},	//2135 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1801, 89, 1, 0, 0, 7},	//2136 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 891, 0, 0, Smoke::mf_const, 289, 8},	//2137 Plasma::RunnerSyntax::description() const
    {84, 2027, 89, 1, 0, 0, 9},	//2138 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1666, 0, 0, Smoke::mf_const, 289, 10},	//2139 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2464, 0, 0, Smoke::mf_dtor, 0, 11 },	//2140 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2141 Plasma::ScriptEngine::metaObject() const
    {85, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2142 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2143 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2144 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2145 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2146 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2147 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1126, 0, 0, Smoke::mf_virtual, 401, 8},	//2148 Plasma::ScriptEngine::init()
    {85, 465, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 142, 9},	//2149 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1355, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 10},	//2150 Plasma::ScriptEngine::mainScript() const
    {85, 1443, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 424, 11},	//2151 Plasma::ScriptEngine::package() const
    {85, 2311, 1, 1, Smoke::mf_static, 289, 12},	//2152 Plasma::ScriptEngine::tr(const char*)
    {85, 2315, 1, 1, Smoke::mf_static, 289, 13},	//2153 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 465, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 142, 14},	//2154 Plasma::ScriptEngine::ScriptEngine()
    {85, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 15},	//2155 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2465, 0, 0, Smoke::mf_dtor, 0, 16 },	//2156 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2157 Plasma::ScrollBar::metaObject() const
    {86, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2158 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2159 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2160 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2161 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2162 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2163 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 467, 125, 1, Smoke::mf_ctor, 143, 8},	//2164 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 1996, 368, 2, 0, 0, 9},	//2165 Plasma::ScrollBar::setRange(int, int)
    {86, 2051, 129, 1, Smoke::mf_property, 0, 10},	//2166 Plasma::ScrollBar::setSingleStep(int)
    {86, 2205, 0, 0, Smoke::mf_property, 492, 11},	//2167 Plasma::ScrollBar::singleStep()
    {86, 1961, 129, 1, Smoke::mf_property, 0, 12},	//2168 Plasma::ScrollBar::setPageStep(int)
    {86, 1448, 0, 0, Smoke::mf_property, 492, 13},	//2169 Plasma::ScrollBar::pageStep()
    {86, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 14},	//2170 Plasma::ScrollBar::value() const
    {86, 1392, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 15},	//2171 Plasma::ScrollBar::minimum() const
    {86, 1377, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 16},	//2172 Plasma::ScrollBar::maximum() const
    {86, 1930, 748, 1, Smoke::mf_const|Smoke::mf_property, 0, 17},	//2173 Plasma::ScrollBar::setMinimum(const int) const
    {86, 1922, 748, 1, Smoke::mf_const|Smoke::mf_property, 0, 18},	//2174 Plasma::ScrollBar::setMaximum(const int) const
    {86, 2066, 89, 1, Smoke::mf_property, 0, 19},	//2175 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2248, 0, 0, Smoke::mf_property, 289, 20},	//2176 Plasma::ScrollBar::styleSheet()
    {86, 1419, 0, 0, Smoke::mf_const, 284, 21},	//2177 Plasma::ScrollBar::nativeWidget() const
    {86, 1441, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 22},	//2178 Plasma::ScrollBar::orientation() const
    {86, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2179 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2136, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//2180 Plasma::ScrollBar::setValue(int)
    {86, 1953, 630, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2181 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2368, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2182 Plasma::ScrollBar::valueChanged(int)
    {86, 2216, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2183 Plasma::ScrollBar::sliderMoved(int)
    {86, 2311, 1, 1, Smoke::mf_static, 289, 28},	//2184 Plasma::ScrollBar::tr(const char*)
    {86, 2315, 1, 1, Smoke::mf_static, 289, 29},	//2185 Plasma::ScrollBar::trUtf8(const char*)
    {86, 467, 0, 0, Smoke::mf_ctor, 143, 30},	//2186 Plasma::ScrollBar::ScrollBar()
    {86, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 31},	//2187 Plasma::ScrollBar::staticMetaObject() const
    {86, 2466, 0, 0, Smoke::mf_dtor, 0, 32 },	//2188 Plasma::ScrollBar::~ScrollBar()
    {87, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2189 Plasma::ScrollWidget::metaObject() const
    {87, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2190 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2191 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2192 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2193 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2194 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2195 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 470, 125, 1, Smoke::mf_ctor, 144, 8},	//2196 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 470, 170, 1, Smoke::mf_ctor, 144, 9},	//2197 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2161, 125, 1, 0, 0, 10},	//2198 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2398, 0, 0, Smoke::mf_const, 226, 11},	//2199 Plasma::ScrollWidget::widget() const
    {87, 1686, 647, 1, 0, 0, 12},	//2200 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 685, 0, 0, Smoke::mf_const, 205, 13},	//2201 Plasma::ScrollWidget::alignment() const
    {87, 1955, 7, 1, Smoke::mf_property, 0, 14},	//2202 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1086, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 15},	//2203 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1873, 750, 1, Smoke::mf_property, 0, 16},	//2204 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1102, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 17},	//2205 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2148, 750, 1, Smoke::mf_property, 0, 18},	//2206 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2380, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 19},	//2207 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 1442, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 20},	//2208 Plasma::ScrollWidget::overflowBordersVisible() const
    {87, 1957, 109, 1, Smoke::mf_property, 0, 21},	//2209 Plasma::ScrollWidget::setOverflowBordersVisible(const bool)
    {87, 986, 641, 1, 0, 0, 22},	//2210 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 984, 170, 1, 0, 0, 23},	//2211 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1531, 125, 1, 0, 0, 24},	//2212 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2330, 125, 1, 0, 0, 25},	//2213 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2385, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 26},	//2214 Plasma::ScrollWidget::viewportGeometry() const
    {87, 830, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 27},	//2215 Plasma::ScrollWidget::contentsSize() const
    {87, 2025, 382, 1, Smoke::mf_property, 0, 28},	//2216 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1659, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 29},	//2217 Plasma::ScrollWidget::scrollPosition() const
    {87, 2053, 593, 1, Smoke::mf_property, 0, 30},	//2218 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2218, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 31},	//2219 Plasma::ScrollWidget::snapSize() const
    {87, 2066, 89, 1, Smoke::mf_property, 0, 32},	//2220 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2248, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 33},	//2221 Plasma::ScrollWidget::styleSheet() const
    {87, 1419, 0, 0, Smoke::mf_const, 304, 34},	//2222 Plasma::ScrollWidget::nativeWidget() const
    {87, 1660, 752, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2223 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2386, 641, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2224 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2225 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2226 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2227 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2228 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2229 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2230 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 43},	//2231 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2232 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 45},	//2233 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 46},	//2234 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2311, 1, 1, Smoke::mf_static, 289, 47},	//2235 Plasma::ScrollWidget::tr(const char*)
    {87, 2315, 1, 1, Smoke::mf_static, 289, 48},	//2236 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 470, 0, 0, Smoke::mf_ctor, 144, 49},	//2237 Plasma::ScrollWidget::ScrollWidget()
    {87, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 50},	//2238 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2467, 0, 0, Smoke::mf_dtor, 0, 51 },	//2239 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2240 Plasma::Separator::metaObject() const
    {88, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2241 Plasma::Separator::qt_metacast(const char*)
    {88, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2242 Plasma::Separator::tr(const char*, const char*)
    {88, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2243 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2244 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2245 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2246 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 473, 755, 2, Smoke::mf_ctor, 145, 8},	//2247 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1953, 630, 1, Smoke::mf_property, 0, 9},	//2248 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1441, 0, 0, Smoke::mf_property, 352, 10},	//2249 Plasma::Separator::orientation()
    {88, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2250 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 12},	//2251 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2311, 1, 1, Smoke::mf_static, 289, 13},	//2252 Plasma::Separator::tr(const char*)
    {88, 2315, 1, 1, Smoke::mf_static, 289, 14},	//2253 Plasma::Separator::trUtf8(const char*)
    {88, 473, 0, 0, Smoke::mf_ctor, 145, 15},	//2254 Plasma::Separator::Separator()
    {88, 473, 170, 1, Smoke::mf_ctor, 145, 16},	//2255 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 17},	//2256 Plasma::Separator::staticMetaObject() const
    {88, 2468, 0, 0, Smoke::mf_dtor, 0, 18 },	//2257 Plasma::Separator::~Separator()
    {89, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2258 Plasma::Service::metaObject() const
    {89, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2259 Plasma::Service::qt_metacast(const char*)
    {89, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2260 Plasma::Service::tr(const char*, const char*)
    {89, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2261 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2262 Plasma::Service::tr(const char*, const char*, int)
    {89, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2263 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2264 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1312, 758, 3, Smoke::mf_static, 146, 8},	//2265 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1312, 149, 2, Smoke::mf_static, 146, 9},	//2266 Plasma::Service::load(const QString&, QObject*)
    {89, 599, 116, 2, Smoke::mf_static, 146, 10},	//2267 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1803, 89, 1, Smoke::mf_property, 0, 11},	//2268 Plasma::Service::setDestination(const QString&)
    {89, 893, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2269 Plasma::Service::destination() const
    {89, 1433, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 13},	//2270 Plasma::Service::operationNames() const
    {89, 1431, 89, 1, 0, 8, 14},	//2271 Plasma::Service::operationDescription(const QString&)
    {89, 2230, 762, 2, 0, 148, 15},	//2272 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1174, 89, 1, Smoke::mf_const, 401, 16},	//2273 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2274 Plasma::Service::name() const
    {89, 722, 765, 2, 0, 0, 18},	//2275 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 905, 57, 1, 0, 0, 19},	//2276 Plasma::Service::disassociateWidget(QWidget*)
    {89, 722, 768, 2, 0, 0, 20},	//2277 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 905, 125, 1, 0, 0, 21},	//2278 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 1471, 111, 1, 0, 258, 22},	//2279 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 1025, 771, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2280 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1434, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2281 Plasma::Service::operationsChanged()
    {89, 1679, 773, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2282 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 476, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 26},	//2283 Plasma::Service::Service(QObject*)
    {89, 476, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 27},	//2284 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 853, 775, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 28},	//2285 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1533, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2286 Plasma::Service::registerOperationsScheme()
    {89, 1951, 778, 1, Smoke::mf_protected, 0, 30},	//2287 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1939, 89, 1, Smoke::mf_protected, 0, 31},	//2288 Plasma::Service::setName(const QString&)
    {89, 1949, 197, 2, Smoke::mf_protected, 0, 32},	//2289 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2311, 1, 1, Smoke::mf_static, 289, 33},	//2290 Plasma::Service::tr(const char*)
    {89, 2315, 1, 1, Smoke::mf_static, 289, 34},	//2291 Plasma::Service::trUtf8(const char*)
    {89, 1312, 113, 2, Smoke::mf_static, 146, 35},	//2292 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1312, 89, 1, Smoke::mf_static, 146, 36},	//2293 Plasma::Service::load(const QString&)
    {89, 599, 119, 1, Smoke::mf_static, 146, 37},	//2294 Plasma::Service::access(const KUrl&)
    {89, 2230, 111, 1, 0, 148, 38},	//2295 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 476, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 146, 39},	//2296 Plasma::Service::Service()
    {89, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 40},	//2297 Plasma::Service::staticMetaObject() const
    {89, 2469, 0, 0, Smoke::mf_dtor, 0, 41 },	//2298 Plasma::Service::~Service()
    {90, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2299 Plasma::ServiceAccessJob::metaObject() const
    {90, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2300 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2301 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2302 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2303 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2304 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2305 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1671, 0, 0, Smoke::mf_const, 146, 8},	//2306 Plasma::ServiceAccessJob::service() const
    {90, 479, 780, 2, Smoke::mf_ctor|Smoke::mf_protected, 147, 9},	//2307 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2308 Plasma::ServiceAccessJob::start()
    {90, 2311, 1, 1, Smoke::mf_static, 289, 11},	//2309 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2315, 1, 1, Smoke::mf_static, 289, 12},	//2310 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 479, 783, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 13},	//2311 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 14},	//2312 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2470, 0, 0, Smoke::mf_dtor, 0, 15 },	//2313 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {92, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2314 Plasma::SignalPlotter::metaObject() const
    {92, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2315 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2316 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2317 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2318 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2319 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2320 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 485, 170, 1, Smoke::mf_ctor, 149, 8},	//2321 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 656, 571, 1, 0, 0, 9},	//2322 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 663, 785, 1, 0, 0, 10},	//2323 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1595, 787, 1, 0, 0, 11},	//2324 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1577, 36, 1, 0, 0, 12},	//2325 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1486, 0, 0, 0, 248, 13},	//2326 Plasma::SignalPlotter::plotColors()
    {92, 2108, 89, 1, Smoke::mf_property, 0, 14},	//2327 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2328 Plasma::SignalPlotter::title() const
    {92, 2120, 89, 1, Smoke::mf_property, 0, 16},	//2329 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2326, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2330 Plasma::SignalPlotter::unit() const
    {92, 1639, 721, 1, 0, 0, 18},	//2331 Plasma::SignalPlotter::scale(double)
    {92, 1641, 0, 0, Smoke::mf_const, 489, 19},	//2332 Plasma::SignalPlotter::scaledBy() const
    {92, 2126, 7, 1, Smoke::mf_property, 0, 20},	//2333 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2358, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 21},	//2334 Plasma::SignalPlotter::useAutoRange() const
    {92, 2146, 789, 2, 0, 0, 22},	//2335 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2379, 0, 0, Smoke::mf_const, 489, 23},	//2336 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2378, 0, 0, Smoke::mf_const, 489, 24},	//2337 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1871, 36, 1, 0, 0, 25},	//2338 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1101, 0, 0, Smoke::mf_const, 498, 26},	//2339 Plasma::SignalPlotter::horizontalScale() const
    {92, 2041, 7, 1, Smoke::mf_property, 0, 27},	//2340 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 28},	//2341 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2140, 571, 1, Smoke::mf_property, 0, 29},	//2342 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2375, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 30},	//2343 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2142, 36, 1, 0, 0, 31},	//2344 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2376, 0, 0, Smoke::mf_const, 498, 32},	//2345 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2144, 7, 1, Smoke::mf_property, 0, 33},	//2346 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2377, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 34},	//2347 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 2035, 7, 1, Smoke::mf_property, 0, 35},	//2348 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2191, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 36},	//2349 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1867, 571, 1, Smoke::mf_property, 0, 37},	//2350 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1099, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 38},	//2351 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1844, 571, 1, Smoke::mf_property, 0, 39},	//2352 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1046, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 40},	//2353 Plasma::SignalPlotter::fontColor() const
    {92, 1841, 569, 1, Smoke::mf_property, 0, 41},	//2354 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1043, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 42},	//2355 Plasma::SignalPlotter::font() const
    {92, 1869, 36, 1, 0, 0, 43},	//2356 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1100, 0, 0, Smoke::mf_const, 498, 44},	//2357 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 2037, 7, 1, Smoke::mf_property, 0, 45},	//2358 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2192, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 46},	//2359 Plasma::SignalPlotter::showLabels() const
    {92, 2039, 7, 1, Smoke::mf_property, 0, 47},	//2360 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2198, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 48},	//2361 Plasma::SignalPlotter::showTopBar() const
    {92, 1722, 571, 1, Smoke::mf_property, 0, 49},	//2362 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 739, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 50},	//2363 Plasma::SignalPlotter::backgroundColor() const
    {92, 2076, 89, 1, Smoke::mf_property, 0, 51},	//2364 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2257, 0, 0, Smoke::mf_property, 289, 52},	//2365 Plasma::SignalPlotter::svgBackground()
    {92, 1251, 36, 1, Smoke::mf_const, 489, 53},	//2366 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1253, 36, 1, Smoke::mf_const, 289, 54},	//2367 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2106, 7, 1, Smoke::mf_property, 0, 55},	//2368 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2293, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 56},	//2369 Plasma::SignalPlotter::thinFrame() const
    {92, 2057, 7, 1, Smoke::mf_property, 0, 57},	//2370 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2227, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 58},	//2371 Plasma::SignalPlotter::stackPlots() const
    {92, 1063, 792, 2, 0, 273, 59},	//2372 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1850, 641, 1, Smoke::mf_virtual, 0, 60},	//2373 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2343, 0, 0, Smoke::mf_protected, 0, 61},	//2374 Plasma::SignalPlotter::updateDataBuffers()
    {92, 749, 0, 0, Smoke::mf_protected, 0, 62},	//2375 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2376 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 944, 795, 4, Smoke::mf_protected, 0, 64},	//2377 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 927, 800, 3, Smoke::mf_protected, 0, 65},	//2378 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 935, 800, 3, Smoke::mf_protected, 0, 66},	//2379 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 939, 800, 3, Smoke::mf_protected, 0, 67},	//2380 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 937, 804, 4, Smoke::mf_protected, 0, 68},	//2381 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 941, 804, 4, Smoke::mf_protected, 0, 69},	//2382 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 933, 809, 5, Smoke::mf_protected, 0, 70},	//2383 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 925, 800, 3, Smoke::mf_protected, 0, 71},	//2384 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 930, 804, 4, Smoke::mf_protected, 0, 72},	//2385 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2311, 1, 1, Smoke::mf_static, 289, 73},	//2386 Plasma::SignalPlotter::tr(const char*)
    {92, 2315, 1, 1, Smoke::mf_static, 289, 74},	//2387 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 485, 0, 0, Smoke::mf_ctor, 149, 75},	//2388 Plasma::SignalPlotter::SignalPlotter()
    {92, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 76},	//2389 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2471, 0, 0, Smoke::mf_dtor, 0, 77 },	//2390 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2391 Plasma::Slider::metaObject() const
    {93, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2392 Plasma::Slider::qt_metacast(const char*)
    {93, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2393 Plasma::Slider::tr(const char*, const char*)
    {93, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2394 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2395 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2396 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2397 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 491, 125, 1, Smoke::mf_ctor, 150, 8},	//2398 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1377, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 9},	//2399 Plasma::Slider::maximum() const
    {93, 1392, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 10},	//2400 Plasma::Slider::minimum() const
    {93, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 11},	//2401 Plasma::Slider::value() const
    {93, 1441, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 12},	//2402 Plasma::Slider::orientation() const
    {93, 2066, 89, 1, Smoke::mf_property, 0, 13},	//2403 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2248, 0, 0, Smoke::mf_property, 289, 14},	//2404 Plasma::Slider::styleSheet()
    {93, 1419, 0, 0, Smoke::mf_const, 288, 15},	//2405 Plasma::Slider::nativeWidget() const
    {93, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2406 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2407 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1922, 129, 1, Smoke::mf_slot, 0, 18},	//2408 Plasma::Slider::setMaximum(int)
    {93, 1930, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2409 Plasma::Slider::setMinimum(int)
    {93, 1996, 368, 2, Smoke::mf_slot, 0, 20},	//2410 Plasma::Slider::setRange(int, int)
    {93, 2136, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2411 Plasma::Slider::setValue(int)
    {93, 1953, 630, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2412 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2216, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2413 Plasma::Slider::sliderMoved(int)
    {93, 2368, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2414 Plasma::Slider::valueChanged(int)
    {93, 2311, 1, 1, Smoke::mf_static, 289, 25},	//2415 Plasma::Slider::tr(const char*)
    {93, 2315, 1, 1, Smoke::mf_static, 289, 26},	//2416 Plasma::Slider::trUtf8(const char*)
    {93, 491, 0, 0, Smoke::mf_ctor, 150, 27},	//2417 Plasma::Slider::Slider()
    {93, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 28},	//2418 Plasma::Slider::staticMetaObject() const
    {93, 2472, 0, 0, Smoke::mf_dtor, 0, 29 },	//2419 Plasma::Slider::~Slider()
    {94, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2420 Plasma::SpinBox::metaObject() const
    {94, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2421 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2422 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2423 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2424 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2425 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2426 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 497, 125, 1, Smoke::mf_ctor, 151, 8},	//2427 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1377, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 9},	//2428 Plasma::SpinBox::maximum() const
    {94, 1392, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 10},	//2429 Plasma::SpinBox::minimum() const
    {94, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 11},	//2430 Plasma::SpinBox::value() const
    {94, 2066, 89, 1, Smoke::mf_property, 0, 12},	//2431 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2248, 0, 0, Smoke::mf_property, 289, 13},	//2432 Plasma::SpinBox::styleSheet()
    {94, 1419, 0, 0, Smoke::mf_const, 12, 14},	//2433 Plasma::SpinBox::nativeWidget() const
    {94, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2434 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2435 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2436 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2437 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2438 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2439 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2440 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1922, 129, 1, Smoke::mf_slot, 0, 22},	//2441 Plasma::SpinBox::setMaximum(int)
    {94, 1930, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2442 Plasma::SpinBox::setMinimum(int)
    {94, 1996, 368, 2, Smoke::mf_slot, 0, 24},	//2443 Plasma::SpinBox::setRange(int, int)
    {94, 2136, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2444 Plasma::SpinBox::setValue(int)
    {94, 2216, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2445 Plasma::SpinBox::sliderMoved(int)
    {94, 2368, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2446 Plasma::SpinBox::valueChanged(int)
    {94, 950, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2447 Plasma::SpinBox::editingFinished()
    {94, 2311, 1, 1, Smoke::mf_static, 289, 29},	//2448 Plasma::SpinBox::tr(const char*)
    {94, 2315, 1, 1, Smoke::mf_static, 289, 30},	//2449 Plasma::SpinBox::trUtf8(const char*)
    {94, 497, 0, 0, Smoke::mf_ctor, 151, 31},	//2450 Plasma::SpinBox::SpinBox()
    {94, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 32},	//2451 Plasma::SpinBox::staticMetaObject() const
    {94, 2473, 0, 0, Smoke::mf_dtor, 0, 33 },	//2452 Plasma::SpinBox::~SpinBox()
    {95, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2453 Plasma::Svg::metaObject() const
    {95, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2454 Plasma::Svg::qt_metacast(const char*)
    {95, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2455 Plasma::Svg::tr(const char*, const char*)
    {95, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2456 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2457 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2458 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2459 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 512, 97, 1, Smoke::mf_ctor, 152, 8},	//2460 Plasma::Svg::Svg(QObject*)
    {95, 1483, 89, 1, 0, 273, 9},	//2461 Plasma::Svg::pixmap(const QString&)
    {95, 1449, 815, 3, 0, 0, 10},	//2462 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1449, 819, 4, 0, 0, 11},	//2463 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1449, 824, 3, 0, 0, 12},	//2464 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1449, 828, 6, 0, 0, 13},	//2465 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2206, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 14},	//2466 Plasma::Svg::size() const
    {95, 1605, 789, 2, 0, 0, 15},	//2467 Plasma::Svg::resize(double, double)
    {95, 1605, 593, 1, 0, 0, 16},	//2468 Plasma::Svg::resize(const QSizeF&)
    {95, 1605, 0, 0, 0, 0, 17},	//2469 Plasma::Svg::resize()
    {95, 970, 89, 1, Smoke::mf_const, 286, 18},	//2470 Plasma::Svg::elementSize(const QString&) const
    {95, 968, 89, 1, Smoke::mf_const, 279, 19},	//2471 Plasma::Svg::elementRect(const QString&) const
    {95, 1077, 89, 1, Smoke::mf_const, 401, 20},	//2472 Plasma::Svg::hasElement(const QString&) const
    {95, 963, 545, 1, Smoke::mf_const, 289, 21},	//2473 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1195, 0, 0, Smoke::mf_const, 401, 22},	//2474 Plasma::Svg::isValid() const
    {95, 1761, 7, 1, Smoke::mf_property, 0, 23},	//2475 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 825, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 24},	//2476 Plasma::Svg::containsMultipleImages() const
    {95, 1891, 89, 1, Smoke::mf_property, 0, 25},	//2477 Plasma::Svg::setImagePath(const QString&)
    {95, 1115, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 26},	//2478 Plasma::Svg::imagePath() const
    {95, 2132, 7, 1, Smoke::mf_property, 0, 27},	//2479 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1194, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 28},	//2480 Plasma::Svg::isUsingRenderingCache() const
    {95, 2102, 835, 1, 0, 0, 29},	//2481 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2290, 0, 0, Smoke::mf_const, 157, 30},	//2482 Plasma::Svg::theme() const
    {95, 1597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2483 Plasma::Svg::repaintNeeded()
    {95, 2207, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2484 Plasma::Svg::sizeChanged()
    {95, 2311, 1, 1, Smoke::mf_static, 289, 33},	//2485 Plasma::Svg::tr(const char*)
    {95, 2315, 1, 1, Smoke::mf_static, 289, 34},	//2486 Plasma::Svg::trUtf8(const char*)
    {95, 512, 0, 0, Smoke::mf_ctor, 152, 35},	//2487 Plasma::Svg::Svg()
    {95, 1483, 0, 0, 0, 273, 36},	//2488 Plasma::Svg::pixmap()
    {95, 1449, 606, 2, 0, 0, 37},	//2489 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1449, 800, 3, 0, 0, 38},	//2490 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1449, 609, 2, 0, 0, 39},	//2491 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1449, 809, 5, 0, 0, 40},	//2492 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 41},	//2493 Plasma::Svg::staticMetaObject() const
    {95, 2475, 0, 0, Smoke::mf_dtor, 0, 42 },	//2494 Plasma::Svg::~Svg()
    {96, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2495 Plasma::SvgWidget::metaObject() const
    {96, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2496 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2497 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2498 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2499 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2500 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2501 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 514, 755, 2, Smoke::mf_ctor, 153, 8},	//2502 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 514, 837, 4, Smoke::mf_ctor, 153, 9},	//2503 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 2072, 842, 1, 0, 0, 10},	//2504 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2256, 0, 0, Smoke::mf_const, 152, 11},	//2505 Plasma::SvgWidget::svg() const
    {96, 1820, 89, 1, Smoke::mf_property, 0, 12},	//2506 Plasma::SvgWidget::setElementID(const QString&)
    {96, 967, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//2507 Plasma::SvgWidget::elementID() const
    {96, 1403, 278, 1, Smoke::mf_virtual, 0, 14},	//2508 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 769, 844, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2509 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2510 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 17},	//2511 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2512 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2311, 1, 1, Smoke::mf_static, 289, 19},	//2513 Plasma::SvgWidget::tr(const char*)
    {96, 2315, 1, 1, Smoke::mf_static, 289, 20},	//2514 Plasma::SvgWidget::trUtf8(const char*)
    {96, 514, 0, 0, Smoke::mf_ctor, 153, 21},	//2515 Plasma::SvgWidget::SvgWidget()
    {96, 514, 170, 1, Smoke::mf_ctor, 153, 22},	//2516 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 514, 842, 1, Smoke::mf_ctor, 153, 23},	//2517 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 514, 846, 2, Smoke::mf_ctor, 153, 24},	//2518 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 514, 849, 3, Smoke::mf_ctor, 153, 25},	//2519 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 26},	//2520 Plasma::SvgWidget::staticMetaObject() const
    {96, 2476, 0, 0, Smoke::mf_dtor, 0, 27 },	//2521 Plasma::SvgWidget::~SvgWidget()
    {97, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2522 Plasma::TabBar::metaObject() const
    {97, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2523 Plasma::TabBar::qt_metacast(const char*)
    {97, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2524 Plasma::TabBar::tr(const char*, const char*)
    {97, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2525 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2526 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2527 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2528 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 520, 125, 1, Smoke::mf_ctor, 154, 8},	//2529 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1142, 853, 4, 0, 492, 9},	//2530 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1142, 858, 3, 0, 492, 10},	//2531 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 675, 862, 3, 0, 492, 11},	//2532 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 675, 866, 2, 0, 492, 12},	//2533 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1581, 129, 1, 0, 0, 13},	//2534 Plasma::TabBar::removeTab(int)
    {97, 2272, 129, 1, 0, 216, 14},	//2535 Plasma::TabBar::takeTab(int)
    {97, 2265, 129, 1, 0, 216, 15},	//2536 Plasma::TabBar::tabAt(int)
    {97, 866, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 16},	//2537 Plasma::TabBar::currentIndex() const
    {97, 842, 0, 0, Smoke::mf_const|Smoke::mf_property, 492, 17},	//2538 Plasma::TabBar::count() const
    {97, 2084, 653, 2, 0, 0, 18},	//2539 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2269, 129, 1, Smoke::mf_const, 289, 19},	//2540 Plasma::TabBar::tabText(int) const
    {97, 2082, 869, 2, 0, 0, 20},	//2541 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2267, 129, 1, Smoke::mf_const, 233, 21},	//2542 Plasma::TabBar::tabIcon(int) const
    {97, 2080, 7, 1, Smoke::mf_property, 0, 22},	//2543 Plasma::TabBar::setTabBarShown(bool)
    {97, 1190, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 23},	//2544 Plasma::TabBar::isTabBarShown() const
    {97, 2066, 89, 1, Smoke::mf_property, 0, 24},	//2545 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2248, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 25},	//2546 Plasma::TabBar::styleSheet() const
    {97, 1419, 0, 0, Smoke::mf_const, 25, 26},	//2547 Plasma::TabBar::nativeWidget() const
    {97, 1839, 125, 1, 0, 0, 27},	//2548 Plasma::TabBar::setFirstPositionWidget(QGraphicsWidget*)
    {97, 1027, 0, 0, Smoke::mf_const, 226, 28},	//2549 Plasma::TabBar::firstPositionWidget() const
    {97, 1912, 125, 1, 0, 0, 29},	//2550 Plasma::TabBar::setLastPositionWidget(QGraphicsWidget*)
    {97, 1249, 0, 0, Smoke::mf_const, 226, 30},	//2551 Plasma::TabBar::lastPositionWidget() const
    {97, 1779, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//2552 Plasma::TabBar::setCurrentIndex(int)
    {97, 864, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2553 Plasma::TabBar::currentChanged(int)
    {97, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2554 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2555 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2556 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2311, 1, 1, Smoke::mf_static, 289, 36},	//2557 Plasma::TabBar::tr(const char*)
    {97, 2315, 1, 1, Smoke::mf_static, 289, 37},	//2558 Plasma::TabBar::trUtf8(const char*)
    {97, 520, 0, 0, Smoke::mf_ctor, 154, 38},	//2559 Plasma::TabBar::TabBar()
    {97, 1142, 872, 3, 0, 492, 39},	//2560 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1142, 653, 2, 0, 492, 40},	//2561 Plasma::TabBar::insertTab(int, const QString&)
    {97, 675, 638, 2, 0, 492, 41},	//2562 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 675, 89, 1, 0, 492, 42},	//2563 Plasma::TabBar::addTab(const QString&)
    {97, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 43},	//2564 Plasma::TabBar::staticMetaObject() const
    {97, 2477, 0, 0, Smoke::mf_dtor, 0, 44 },	//2565 Plasma::TabBar::~TabBar()
    {98, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2566 Plasma::TextBrowser::metaObject() const
    {98, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2567 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2568 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2569 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2570 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2571 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2572 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 522, 125, 1, Smoke::mf_ctor, 155, 8},	//2573 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2096, 89, 1, Smoke::mf_property, 0, 9},	//2574 Plasma::TextBrowser::setText(const QString&)
    {98, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2575 Plasma::TextBrowser::text() const
    {98, 1873, 876, 1, 0, 0, 11},	//2576 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2148, 876, 1, 0, 0, 12},	//2577 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2066, 89, 1, Smoke::mf_property, 0, 13},	//2578 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2248, 0, 0, Smoke::mf_property, 289, 14},	//2579 Plasma::TextBrowser::styleSheet()
    {98, 1419, 0, 0, Smoke::mf_const, 26, 15},	//2580 Plasma::TextBrowser::nativeWidget() const
    {98, 707, 89, 1, Smoke::mf_slot, 0, 16},	//2581 Plasma::TextBrowser::append(const QString&)
    {98, 884, 489, 2, Smoke::mf_slot, 0, 17},	//2582 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2285, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2583 Plasma::TextBrowser::textChanged()
    {98, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2584 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2585 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2586 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2587 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2311, 1, 1, Smoke::mf_static, 289, 23},	//2588 Plasma::TextBrowser::tr(const char*)
    {98, 2315, 1, 1, Smoke::mf_static, 289, 24},	//2589 Plasma::TextBrowser::trUtf8(const char*)
    {98, 522, 0, 0, Smoke::mf_ctor, 155, 25},	//2590 Plasma::TextBrowser::TextBrowser()
    {98, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 26},	//2591 Plasma::TextBrowser::staticMetaObject() const
    {98, 2478, 0, 0, Smoke::mf_dtor, 0, 27 },	//2592 Plasma::TextBrowser::~TextBrowser()
    {99, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2593 Plasma::TextEdit::metaObject() const
    {99, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2594 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2595 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2596 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2597 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2598 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2599 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 525, 125, 1, Smoke::mf_ctor, 156, 8},	//2600 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2096, 89, 1, Smoke::mf_property, 0, 9},	//2601 Plasma::TextEdit::setText(const QString&)
    {99, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2602 Plasma::TextEdit::text() const
    {99, 1998, 7, 1, Smoke::mf_property, 0, 11},	//2603 Plasma::TextEdit::setReadOnly(bool)
    {99, 1182, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 12},	//2604 Plasma::TextEdit::isReadOnly() const
    {99, 2066, 89, 1, Smoke::mf_property, 0, 13},	//2605 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2248, 0, 0, Smoke::mf_property, 289, 14},	//2606 Plasma::TextEdit::styleSheet()
    {99, 1941, 878, 1, 0, 0, 15},	//2607 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1419, 0, 0, Smoke::mf_const, 27, 16},	//2608 Plasma::TextEdit::nativeWidget() const
    {99, 707, 89, 1, Smoke::mf_slot, 0, 17},	//2609 Plasma::TextEdit::append(const QString&)
    {99, 884, 489, 2, Smoke::mf_slot, 0, 18},	//2610 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2285, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2611 Plasma::TextEdit::textChanged()
    {99, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2612 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2613 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2614 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2615 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2616 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2311, 1, 1, Smoke::mf_static, 289, 25},	//2617 Plasma::TextEdit::tr(const char*)
    {99, 2315, 1, 1, Smoke::mf_static, 289, 26},	//2618 Plasma::TextEdit::trUtf8(const char*)
    {99, 525, 0, 0, Smoke::mf_ctor, 156, 27},	//2619 Plasma::TextEdit::TextEdit()
    {99, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 28},	//2620 Plasma::TextEdit::staticMetaObject() const
    {99, 2479, 0, 0, Smoke::mf_dtor, 0, 29 },	//2621 Plasma::TextEdit::~TextEdit()
    {100, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2622 Plasma::Theme::metaObject() const
    {100, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2623 Plasma::Theme::qt_metacast(const char*)
    {100, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2624 Plasma::Theme::tr(const char*, const char*)
    {100, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2625 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2626 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2627 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2628 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 888, 0, 0, Smoke::mf_static, 157, 8},	//2629 Plasma::Theme::defaultTheme()
    {100, 527, 97, 1, Smoke::mf_ctor, 157, 9},	//2630 Plasma::Theme::Theme(QObject*)
    {100, 527, 149, 2, Smoke::mf_ctor, 157, 10},	//2631 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1444, 0, 0, Smoke::mf_static, 20, 11},	//2632 Plasma::Theme::packageStructure()
    {100, 1304, 0, 0, Smoke::mf_static, 238, 12},	//2633 Plasma::Theme::listThemeInfo()
    {100, 2104, 89, 1, 0, 0, 13},	//2634 Plasma::Theme::setThemeName(const QString&)
    {100, 2292, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2635 Plasma::Theme::themeName() const
    {100, 1115, 89, 1, Smoke::mf_const, 289, 15},	//2636 Plasma::Theme::imagePath(const QString&) const
    {100, 701, 89, 1, Smoke::mf_const, 289, 16},	//2637 Plasma::Theme::animationPath(const QString&) const
    {100, 2393, 186, 1, Smoke::mf_const, 289, 17},	//2638 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 871, 89, 1, Smoke::mf_const, 401, 18},	//2639 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 780, 0, 0, Smoke::mf_const, 19, 19},	//2640 Plasma::Theme::colorScheme() const
    {100, 778, 880, 1, Smoke::mf_const, 187, 20},	//2641 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1841, 882, 2, 0, 0, 21},	//2642 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1043, 885, 1, Smoke::mf_const, 209, 22},	//2643 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1047, 0, 0, Smoke::mf_const, 210, 23},	//2644 Plasma::Theme::fontMetrics() const
    {100, 2405, 0, 0, Smoke::mf_const, 401, 24},	//2645 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2128, 7, 1, 0, 0, 25},	//2646 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2360, 0, 0, Smoke::mf_const, 401, 26},	//2647 Plasma::Theme::useGlobalSettings() const
    {100, 2361, 0, 0, Smoke::mf_const, 401, 27},	//2648 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2248, 89, 1, Smoke::mf_const, 289, 28},	//2649 Plasma::Theme::styleSheet(const QString&) const
    {100, 1016, 887, 2, 0, 401, 29},	//2650 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 1016, 890, 3, 0, 401, 30},	//2651 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1137, 894, 2, 0, 0, 31},	//2652 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1137, 897, 3, 0, 0, 32},	//2653 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1732, 129, 1, 0, 0, 33},	//2654 Plasma::Theme::setCacheLimit(int)
    {100, 1019, 901, 3, Smoke::mf_const, 401, 34},	//2655 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1276, 89, 1, Smoke::mf_const, 290, 35},	//2656 Plasma::Theme::listCachedRectKeys(const QString&) const
    {100, 1140, 905, 3, 0, 0, 36},	//2657 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1150, 89, 1, 0, 0, 37},	//2658 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1542, 89, 1, 0, 0, 38},	//2659 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 2291, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2660 Plasma::Theme::themeChanged()
    {100, 2171, 0, 0, Smoke::mf_slot, 0, 40},	//2661 Plasma::Theme::settingsChanged()
    {100, 2311, 1, 1, Smoke::mf_static, 289, 41},	//2662 Plasma::Theme::tr(const char*)
    {100, 2315, 1, 1, Smoke::mf_static, 289, 42},	//2663 Plasma::Theme::trUtf8(const char*)
    {100, 527, 0, 0, Smoke::mf_ctor, 157, 43},	//2664 Plasma::Theme::Theme()
    {100, 527, 89, 1, Smoke::mf_ctor, 157, 44},	//2665 Plasma::Theme::Theme(const QString&)
    {100, 2393, 0, 0, Smoke::mf_const, 289, 45},	//2666 Plasma::Theme::wallpaperPath() const
    {100, 1841, 569, 1, 0, 0, 46},	//2667 Plasma::Theme::setFont(const QFont&)
    {100, 2248, 0, 0, Smoke::mf_const, 289, 47},	//2668 Plasma::Theme::styleSheet() const
    {100, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 48},	//2669 Plasma::Theme::staticMetaObject() const
    {100, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 49},	//2670 Plasma::Theme::TextColor (enum)
    {100, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 50},	//2671 Plasma::Theme::HighlightColor (enum)
    {100, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 51},	//2672 Plasma::Theme::BackgroundColor (enum)
    {100, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 52},	//2673 Plasma::Theme::ButtonTextColor (enum)
    {100, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 53},	//2674 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 54},	//2675 Plasma::Theme::LinkColor (enum)
    {100, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//2676 Plasma::Theme::VisitedLinkColor (enum)
    {100, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//2677 Plasma::Theme::ButtonHoverColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 57},	//2678 Plasma::Theme::ButtonFocusColor (enum)
    {100, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 58},	//2679 Plasma::Theme::ViewTextColor (enum)
    {100, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 59},	//2680 Plasma::Theme::ViewBackgroundColor (enum)
    {100, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 60},	//2681 Plasma::Theme::ViewHoverColor (enum)
    {100, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 61},	//2682 Plasma::Theme::ViewFocusColor (enum)
    {100, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//2683 Plasma::Theme::DefaultFont (enum)
    {100, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//2684 Plasma::Theme::DesktopFont (enum)
    {100, 2480, 0, 0, Smoke::mf_dtor, 0, 64 },	//2685 Plasma::Theme::~Theme()
    {101, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2686 Plasma::ToolButton::metaObject() const
    {101, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2687 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2688 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2689 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2690 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2691 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2692 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 532, 125, 1, Smoke::mf_ctor, 160, 8},	//2693 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1718, 7, 1, Smoke::mf_property, 0, 9},	//2694 Plasma::ToolButton::setAutoRaise(bool)
    {101, 733, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 10},	//2695 Plasma::ToolButton::autoRaise() const
    {101, 2096, 89, 1, Smoke::mf_property, 0, 11},	//2696 Plasma::ToolButton::setText(const QString&)
    {101, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2697 Plasma::ToolButton::text() const
    {101, 1887, 89, 1, Smoke::mf_property, 0, 13},	//2698 Plasma::ToolButton::setImage(const QString&)
    {101, 1887, 77, 2, 0, 0, 14},	//2699 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2700 Plasma::ToolButton::image() const
    {101, 1807, 7, 1, Smoke::mf_property, 0, 16},	//2701 Plasma::ToolButton::setDown(bool)
    {101, 1165, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 17},	//2702 Plasma::ToolButton::isDown() const
    {101, 2066, 89, 1, Smoke::mf_property, 0, 18},	//2703 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2248, 0, 0, Smoke::mf_property, 289, 19},	//2704 Plasma::ToolButton::styleSheet()
    {101, 1682, 107, 1, 0, 0, 20},	//2705 Plasma::ToolButton::setAction(QAction*)
    {101, 604, 0, 0, Smoke::mf_const, 181, 21},	//2706 Plasma::ToolButton::action() const
    {101, 1880, 557, 1, 0, 0, 22},	//2707 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1110, 0, 0, Smoke::mf_const, 233, 23},	//2708 Plasma::ToolButton::icon() const
    {101, 1419, 0, 0, Smoke::mf_const, 297, 24},	//2709 Plasma::ToolButton::nativeWidget() const
    {101, 769, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2710 Plasma::ToolButton::clicked()
    {101, 1505, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2711 Plasma::ToolButton::pressed()
    {101, 1545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2712 Plasma::ToolButton::released()
    {101, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2713 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2714 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2715 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2716 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2717 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//2718 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 34},	//2719 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2311, 1, 1, Smoke::mf_static, 289, 35},	//2720 Plasma::ToolButton::tr(const char*)
    {101, 2315, 1, 1, Smoke::mf_static, 289, 36},	//2721 Plasma::ToolButton::trUtf8(const char*)
    {101, 532, 0, 0, Smoke::mf_ctor, 160, 37},	//2722 Plasma::ToolButton::ToolButton()
    {101, 1449, 326, 2, Smoke::mf_protected, 0, 38},	//2723 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 39},	//2724 Plasma::ToolButton::staticMetaObject() const
    {101, 2481, 0, 0, Smoke::mf_dtor, 0, 40 },	//2725 Plasma::ToolButton::~ToolButton()
    {102, 534, 0, 0, Smoke::mf_ctor, 162, 1},	//2726 Plasma::ToolTipContent::ToolTipContent()
    {102, 534, 909, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 2},	//2727 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 534, 911, 3, Smoke::mf_ctor, 162, 3},	//2728 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 534, 915, 3, Smoke::mf_ctor, 162, 4},	//2729 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1437, 909, 1, 0, 161, 5},	//2730 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1166, 0, 0, Smoke::mf_const, 401, 6},	//2731 Plasma::ToolTipContent::isEmpty() const
    {102, 1918, 89, 1, 0, 0, 7},	//2732 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1356, 0, 0, Smoke::mf_const, 289, 8},	//2733 Plasma::ToolTipContent::mainText() const
    {102, 2068, 89, 1, 0, 0, 9},	//2734 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2250, 0, 0, Smoke::mf_const, 289, 10},	//2735 Plasma::ToolTipContent::subText() const
    {102, 1887, 584, 1, 0, 0, 11},	//2736 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1887, 557, 1, 0, 0, 12},	//2737 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1114, 0, 0, Smoke::mf_const, 273, 13},	//2738 Plasma::ToolTipContent::image() const
    {102, 2163, 919, 1, 0, 0, 14},	//2739 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2404, 0, 0, Smoke::mf_const, 499, 15},	//2740 Plasma::ToolTipContent::windowToPreview() const
    {102, 2165, 921, 1, 0, 0, 16},	//2741 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2406, 0, 0, Smoke::mf_const, 257, 17},	//2742 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1865, 7, 1, 0, 0, 18},	//2743 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1098, 0, 0, Smoke::mf_const, 401, 19},	//2744 Plasma::ToolTipContent::highlightWindows() const
    {102, 1720, 7, 1, 0, 0, 20},	//2745 Plasma::ToolTipContent::setAutohide(bool)
    {102, 734, 0, 0, Smoke::mf_const, 401, 21},	//2746 Plasma::ToolTipContent::autohide() const
    {102, 661, 923, 3, 0, 0, 22},	//2747 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1536, 927, 1, Smoke::mf_const, 0, 23},	//2748 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1744, 7, 1, 0, 0, 24},	//2749 Plasma::ToolTipContent::setClickable(bool)
    {102, 1161, 0, 0, Smoke::mf_const, 401, 25},	//2750 Plasma::ToolTipContent::isClickable() const
    {102, 1854, 125, 1, 0, 0, 26},	//2751 Plasma::ToolTipContent::setGraphicsWidget(QGraphicsWidget*)
    {102, 1069, 0, 0, Smoke::mf_const, 226, 27},	//2752 Plasma::ToolTipContent::graphicsWidget() const
    {102, 534, 77, 2, Smoke::mf_ctor, 162, 28},	//2753 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 29},	//2754 Plasma::ToolTipContent::ImageResource (enum)
    {102, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 30},	//2755 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 31},	//2756 Plasma::ToolTipContent::CssResource (enum)
    {102, 2482, 0, 0, Smoke::mf_dtor, 0, 32 },	//2757 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1382, 0, 0, Smoke::mf_const, 457, 1},	//2758 Plasma::ToolTipManager::metaObject() const
    {103, 1516, 1, 1, 0, 500, 2},	//2759 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2760 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2761 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2762 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2763 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1514, 3, 3, 0, 492, 7},	//2764 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1670, 0, 0, Smoke::mf_static, 164, 8},	//2765 Plasma::ToolTipManager::self()
    {103, 2176, 125, 1, 0, 0, 9},	//2766 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1196, 125, 1, Smoke::mf_const, 401, 10},	//2767 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1092, 125, 1, 0, 0, 11},	//2768 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1540, 125, 1, 0, 0, 12},	//2769 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2334, 125, 1, 0, 0, 13},	//2770 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1763, 929, 2, 0, 0, 14},	//2771 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 765, 125, 1, 0, 0, 15},	//2772 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 2059, 932, 1, 0, 0, 16},	//2773 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2234, 0, 0, Smoke::mf_const, 165, 17},	//2774 Plasma::ToolTipManager::state() const
    {103, 2402, 934, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2775 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1261, 939, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2776 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2311, 1, 1, Smoke::mf_static, 289, 20},	//2777 Plasma::ToolTipManager::tr(const char*)
    {103, 2315, 1, 1, Smoke::mf_static, 289, 21},	//2778 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 22},	//2779 Plasma::ToolTipManager::staticMetaObject() const
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 23},	//2780 Plasma::ToolTipManager::Activated (enum)
    {103, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 24},	//2781 Plasma::ToolTipManager::Inhibited (enum)
    {103, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 25},	//2782 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2783 Plasma::TreeView::metaObject() const
    {104, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2784 Plasma::TreeView::qt_metacast(const char*)
    {104, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2785 Plasma::TreeView::tr(const char*, const char*)
    {104, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2786 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2787 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2788 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2789 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 547, 125, 1, Smoke::mf_ctor, 166, 8},	//2790 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1936, 944, 1, 0, 0, 9},	//2791 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1396, 0, 0, 0, 180, 10},	//2792 Plasma::TreeView::model()
    {104, 2066, 89, 1, Smoke::mf_property, 0, 11},	//2793 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2248, 0, 0, Smoke::mf_property, 289, 12},	//2794 Plasma::TreeView::styleSheet()
    {104, 1419, 0, 0, Smoke::mf_const, 298, 13},	//2795 Plasma::TreeView::nativeWidget() const
    {104, 2311, 1, 1, Smoke::mf_static, 289, 14},	//2796 Plasma::TreeView::tr(const char*)
    {104, 2315, 1, 1, Smoke::mf_static, 289, 15},	//2797 Plasma::TreeView::trUtf8(const char*)
    {104, 547, 0, 0, Smoke::mf_ctor, 166, 16},	//2798 Plasma::TreeView::TreeView()
    {104, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 17},	//2799 Plasma::TreeView::staticMetaObject() const
    {104, 2483, 0, 0, Smoke::mf_dtor, 0, 18 },	//2800 Plasma::TreeView::~TreeView()
    {105, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2801 Plasma::VideoWidget::metaObject() const
    {105, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2802 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2803 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2804 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2805 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2806 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2807 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 567, 125, 1, Smoke::mf_ctor, 168, 8},	//2808 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2123, 89, 1, Smoke::mf_property, 0, 9},	//2809 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2353, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2810 Plasma::VideoWidget::url() const
    {105, 1379, 0, 0, Smoke::mf_const, 31, 11},	//2811 Plasma::VideoWidget::mediaObject() const
    {105, 727, 0, 0, Smoke::mf_const, 30, 12},	//2812 Plasma::VideoWidget::audioOutput() const
    {105, 873, 0, 0, Smoke::mf_const, 494, 13},	//2813 Plasma::VideoWidget::currentTime() const
    {105, 2310, 0, 0, Smoke::mf_const, 494, 14},	//2814 Plasma::VideoWidget::totalTime() const
    {105, 1549, 0, 0, Smoke::mf_const, 494, 15},	//2815 Plasma::VideoWidget::remainingTime() const
    {105, 2130, 946, 1, 0, 0, 16},	//2816 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2362, 0, 0, Smoke::mf_const, 204, 17},	//2817 Plasma::VideoWidget::usedControls() const
    {105, 1773, 7, 1, Smoke::mf_property, 0, 18},	//2818 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 840, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 19},	//2819 Plasma::VideoWidget::controlsVisible() const
    {105, 2066, 89, 1, Smoke::mf_property, 0, 20},	//2820 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2248, 0, 0, Smoke::mf_property, 289, 21},	//2821 Plasma::VideoWidget::styleSheet()
    {105, 1419, 0, 0, Smoke::mf_const, 32, 22},	//2822 Plasma::VideoWidget::nativeWidget() const
    {105, 1485, 0, 0, Smoke::mf_slot, 0, 23},	//2823 Plasma::VideoWidget::play()
    {105, 1478, 0, 0, Smoke::mf_slot, 0, 24},	//2824 Plasma::VideoWidget::pause()
    {105, 2237, 0, 0, Smoke::mf_slot, 0, 25},	//2825 Plasma::VideoWidget::stop()
    {105, 1667, 948, 1, Smoke::mf_slot, 0, 26},	//2826 Plasma::VideoWidget::seek(qint64)
    {105, 2294, 948, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2827 Plasma::VideoWidget::tick(qint64)
    {105, 598, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2828 Plasma::VideoWidget::aboutToFinish()
    {105, 1425, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2829 Plasma::VideoWidget::nextRequested()
    {105, 1507, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2830 Plasma::VideoWidget::previousRequested()
    {105, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2831 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2832 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2833 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1107, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2834 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2311, 1, 1, Smoke::mf_static, 289, 35},	//2835 Plasma::VideoWidget::tr(const char*)
    {105, 2315, 1, 1, Smoke::mf_static, 289, 36},	//2836 Plasma::VideoWidget::trUtf8(const char*)
    {105, 567, 0, 0, Smoke::mf_ctor, 168, 37},	//2837 Plasma::VideoWidget::VideoWidget()
    {105, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 38},	//2838 Plasma::VideoWidget::staticMetaObject() const
    {105, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 39},	//2839 Plasma::VideoWidget::NoControls (enum)
    {105, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 40},	//2840 Plasma::VideoWidget::Play (enum)
    {105, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 41},	//2841 Plasma::VideoWidget::Pause (enum)
    {105, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 42},	//2842 Plasma::VideoWidget::Stop (enum)
    {105, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 43},	//2843 Plasma::VideoWidget::PlayPause (enum)
    {105, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 44},	//2844 Plasma::VideoWidget::Previous (enum)
    {105, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 45},	//2845 Plasma::VideoWidget::Next (enum)
    {105, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 46},	//2846 Plasma::VideoWidget::Progress (enum)
    {105, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 47},	//2847 Plasma::VideoWidget::Volume (enum)
    {105, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 48},	//2848 Plasma::VideoWidget::OpenFile (enum)
    {105, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 49},	//2849 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2484, 0, 0, Smoke::mf_dtor, 0, 50 },	//2850 Plasma::VideoWidget::~VideoWidget()
    {106, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2851 Plasma::View::metaObject() const
    {106, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2852 Plasma::View::qt_metacast(const char*)
    {106, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2853 Plasma::View::tr(const char*, const char*)
    {106, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2854 Plasma::View::trUtf8(const char*, const char*)
    {106, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2855 Plasma::View::tr(const char*, const char*, int)
    {106, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2856 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2857 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 569, 950, 2, Smoke::mf_ctor, 170, 8},	//2858 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 569, 953, 3, Smoke::mf_ctor, 170, 9},	//2859 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2157, 7, 1, 0, 0, 10},	//2860 Plasma::View::setWallpaperEnabled(bool)
    {106, 1198, 0, 0, Smoke::mf_const, 401, 11},	//2861 Plasma::View::isWallpaperEnabled() const
    {106, 2022, 368, 2, 0, 0, 12},	//2862 Plasma::View::setScreen(int, int)
    {106, 1650, 0, 0, Smoke::mf_const, 492, 13},	//2863 Plasma::View::screen() const
    {106, 892, 0, 0, Smoke::mf_const, 492, 14},	//2864 Plasma::View::desktop() const
    {106, 952, 0, 0, Smoke::mf_const, 492, 15},	//2865 Plasma::View::effectiveDesktop() const
    {106, 808, 0, 0, Smoke::mf_const, 71, 16},	//2866 Plasma::View::containment() const
    {106, 2258, 410, 3, 0, 71, 17},	//2867 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2258, 113, 2, 0, 71, 18},	//2868 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2114, 7, 1, 0, 0, 19},	//2869 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2319, 0, 0, 0, 401, 20},	//2870 Plasma::View::trackContainmentChanges()
    {106, 2308, 545, 1, Smoke::mf_static, 170, 21},	//2871 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1112, 0, 0, Smoke::mf_const, 492, 22},	//2872 Plasma::View::id() const
    {106, 1647, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2873 Plasma::View::sceneRectAboutToChange()
    {106, 1648, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2874 Plasma::View::sceneRectChanged()
    {106, 1352, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2875 Plasma::View::lostContainment()
    {106, 1753, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2876 Plasma::View::setContainment(Plasma::Containment*)
    {106, 781, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 27},	//2877 Plasma::View::config() const
    {106, 784, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2878 Plasma::View::configNeedsSaving() const
    {106, 2311, 1, 1, Smoke::mf_static, 289, 29},	//2879 Plasma::View::tr(const char*)
    {106, 2315, 1, 1, Smoke::mf_static, 289, 30},	//2880 Plasma::View::trUtf8(const char*)
    {106, 569, 101, 1, Smoke::mf_ctor, 170, 31},	//2881 Plasma::View::View(Plasma::Containment*)
    {106, 569, 957, 2, Smoke::mf_ctor, 170, 32},	//2882 Plasma::View::View(Plasma::Containment*, int)
    {106, 2022, 129, 1, 0, 0, 33},	//2883 Plasma::View::setScreen(int)
    {106, 2258, 424, 2, 0, 71, 34},	//2884 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2258, 89, 1, 0, 71, 35},	//2885 Plasma::View::swapContainment(const QString&)
    {106, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 36},	//2886 Plasma::View::staticMetaObject() const
    {106, 2485, 0, 0, Smoke::mf_dtor, 0, 37 },	//2887 Plasma::View::~View()
    {107, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2888 Plasma::Wallpaper::metaObject() const
    {107, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2889 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2890 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2891 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2892 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2893 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2894 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 580, 97, 1, Smoke::mf_ctor, 171, 8},	//2895 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 1307, 89, 1, Smoke::mf_static, 238, 9},	//2896 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1309, 77, 2, Smoke::mf_static, 238, 10},	//2897 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1312, 113, 2, Smoke::mf_static, 171, 11},	//2898 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1312, 960, 2, Smoke::mf_static, 171, 12},	//2899 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1444, 963, 1, Smoke::mf_static, 20, 13},	//2900 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2901 Plasma::Wallpaper::name() const
    {107, 1443, 0, 0, Smoke::mf_const, 424, 15},	//2902 Plasma::Wallpaper::package() const
    {107, 1487, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//2903 Plasma::Wallpaper::pluginName() const
    {107, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2904 Plasma::Wallpaper::icon() const
    {107, 1594, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 18},	//2905 Plasma::Wallpaper::renderingMode() const
    {107, 2004, 89, 1, 0, 0, 19},	//2906 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1301, 0, 0, Smoke::mf_const|Smoke::mf_property, 239, 20},	//2907 Plasma::Wallpaper::listRenderingModes() const
    {107, 1171, 0, 0, Smoke::mf_const, 401, 21},	//2908 Plasma::Wallpaper::isInitialized() const
    {107, 747, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 22},	//2909 Plasma::Wallpaper::boundingRect() const
    {107, 1726, 641, 1, Smoke::mf_property, 0, 23},	//2910 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1449, 609, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//2911 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1613, 111, 1, 0, 0, 25},	//2912 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1631, 178, 1, Smoke::mf_virtual, 0, 26},	//2913 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 848, 57, 1, Smoke::mf_virtual, 304, 27},	//2914 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1399, 278, 1, Smoke::mf_virtual, 0, 28},	//2915 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1401, 278, 1, Smoke::mf_virtual, 0, 29},	//2916 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1403, 278, 1, Smoke::mf_virtual, 0, 30},	//2917 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2396, 398, 1, Smoke::mf_virtual, 0, 31},	//2918 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 882, 89, 1, Smoke::mf_const, 83, 32},	//2919 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 788, 0, 0, Smoke::mf_const, 401, 33},	//2920 Plasma::Wallpaper::configurationRequired() const
    {107, 1194, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 34},	//2921 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 2012, 965, 1, 0, 0, 35},	//2922 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 2090, 593, 1, 0, 0, 36},	//2923 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 839, 0, 0, Smoke::mf_const, 251, 37},	//2924 Plasma::Wallpaper::contextualActions() const
    {107, 1180, 0, 0, Smoke::mf_const|Smoke::mf_property, 401, 38},	//2925 Plasma::Wallpaper::isPreviewing() const
    {107, 1990, 7, 1, Smoke::mf_property, 0, 39},	//2926 Plasma::Wallpaper::setPreviewing(bool)
    {107, 1420, 0, 0, Smoke::mf_const, 401, 40},	//2927 Plasma::Wallpaper::needsPreviewDuringConfiguration() const
    {107, 2336, 641, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2928 Plasma::Wallpaper::update(const QRectF&)
    {107, 790, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2929 Plasma::Wallpaper::configureRequested()
    {107, 788, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2930 Plasma::Wallpaper::configurationRequired(bool)
    {107, 784, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2931 Plasma::Wallpaper::configNeedsSaving()
    {107, 1591, 621, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2932 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2356, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2933 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1593, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2934 Plasma::Wallpaper::renderHintsChanged()
    {107, 580, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 171, 48},	//2935 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1126, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//2936 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1750, 265, 2, Smoke::mf_protected, 0, 50},	//2937 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1587, 967, 4, Smoke::mf_protected, 0, 51},	//2938 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2132, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 52},	//2939 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 1016, 972, 3, Smoke::mf_protected, 401, 53},	//2940 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1137, 976, 2, Smoke::mf_protected, 0, 54},	//2941 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1771, 979, 1, Smoke::mf_protected, 0, 55},	//2942 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 1988, 109, 1, Smoke::mf_protected, 0, 56},	//2943 Plasma::Wallpaper::setPreviewDuringConfiguration(const bool)
    {107, 2311, 1, 1, Smoke::mf_static, 289, 57},	//2944 Plasma::Wallpaper::tr(const char*)
    {107, 2315, 1, 1, Smoke::mf_static, 289, 58},	//2945 Plasma::Wallpaper::trUtf8(const char*)
    {107, 580, 0, 0, Smoke::mf_ctor, 171, 59},	//2946 Plasma::Wallpaper::Wallpaper()
    {107, 1307, 0, 0, Smoke::mf_static, 238, 60},	//2947 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1309, 89, 1, Smoke::mf_static, 238, 61},	//2948 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1312, 89, 1, Smoke::mf_static, 171, 62},	//2949 Plasma::Wallpaper::load(const QString&)
    {107, 1312, 210, 1, Smoke::mf_static, 171, 63},	//2950 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1444, 0, 0, Smoke::mf_static, 20, 64},	//2951 Plasma::Wallpaper::packageStructure()
    {107, 1750, 7, 1, Smoke::mf_protected, 0, 65},	//2952 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1587, 981, 2, Smoke::mf_protected, 0, 66},	//2953 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1587, 984, 3, Smoke::mf_protected, 0, 67},	//2954 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 1016, 988, 2, Smoke::mf_protected, 401, 68},	//2955 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 69},	//2956 Plasma::Wallpaper::staticMetaObject() const
    {107, 832, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 252, 70},	//2957 Plasma::Wallpaper::contextActions() const
    {107, 1769, 979, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 71},	//2958 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 72},	//2959 Plasma::Wallpaper::ScaledResize (enum)
    {107, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 73},	//2960 Plasma::Wallpaper::CenteredResize (enum)
    {107, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 74},	//2961 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 75},	//2962 Plasma::Wallpaper::TiledResize (enum)
    {107, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 76},	//2963 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 77},	//2964 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 2486, 0, 0, Smoke::mf_dtor, 0, 78 },	//2965 Plasma::Wallpaper::~Wallpaper()
    {108, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//2966 Plasma::WallpaperScript::metaObject() const
    {108, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//2967 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2311, 43, 2, Smoke::mf_static, 289, 3},	//2968 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2315, 43, 2, Smoke::mf_static, 289, 4},	//2969 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2311, 46, 3, Smoke::mf_static, 289, 5},	//2970 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2315, 46, 3, Smoke::mf_static, 289, 6},	//2971 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//2972 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 584, 97, 1, Smoke::mf_ctor, 173, 8},	//2973 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2153, 963, 1, 0, 0, 9},	//2974 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2392, 0, 0, Smoke::mf_const, 171, 10},	//2975 Plasma::WallpaperScript::wallpaper() const
    {108, 1131, 111, 1, Smoke::mf_virtual, 0, 11},	//2976 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1449, 609, 2, Smoke::mf_virtual, 0, 12},	//2977 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1631, 178, 1, Smoke::mf_virtual, 0, 13},	//2978 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 848, 57, 1, Smoke::mf_virtual, 304, 14},	//2979 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1399, 278, 1, Smoke::mf_virtual, 0, 15},	//2980 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1401, 278, 1, Smoke::mf_virtual, 0, 16},	//2981 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1403, 278, 1, Smoke::mf_virtual, 0, 17},	//2982 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2396, 398, 1, Smoke::mf_virtual, 0, 18},	//2983 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 1355, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 19},	//2984 Plasma::WallpaperScript::mainScript() const
    {108, 1443, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 424, 20},	//2985 Plasma::WallpaperScript::package() const
    {108, 891, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 21},	//2986 Plasma::WallpaperScript::description() const
    {108, 1171, 0, 0, Smoke::mf_const|Smoke::mf_protected, 401, 22},	//2987 Plasma::WallpaperScript::isInitialized() const
    {108, 747, 0, 0, Smoke::mf_const|Smoke::mf_protected, 279, 23},	//2988 Plasma::WallpaperScript::boundingRect() const
    {108, 882, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 24},	//2989 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 2012, 965, 1, Smoke::mf_protected, 0, 25},	//2990 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2090, 593, 1, Smoke::mf_protected, 0, 26},	//2991 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1750, 265, 2, Smoke::mf_protected, 0, 27},	//2992 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1587, 967, 4, Smoke::mf_protected, 0, 28},	//2993 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2132, 7, 1, Smoke::mf_protected, 0, 29},	//2994 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 1016, 972, 3, Smoke::mf_protected, 401, 30},	//2995 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1137, 976, 2, Smoke::mf_protected, 0, 31},	//2996 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1771, 979, 1, Smoke::mf_protected, 0, 32},	//2997 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2336, 641, 1, Smoke::mf_protected, 0, 33},	//2998 Plasma::WallpaperScript::update(const QRectF&)
    {108, 784, 0, 0, Smoke::mf_protected, 0, 34},	//2999 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1591, 621, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//3000 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2356, 119, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//3001 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2311, 1, 1, Smoke::mf_static, 289, 37},	//3002 Plasma::WallpaperScript::tr(const char*)
    {108, 2315, 1, 1, Smoke::mf_static, 289, 38},	//3003 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 584, 0, 0, Smoke::mf_ctor, 173, 39},	//3004 Plasma::WallpaperScript::WallpaperScript()
    {108, 1750, 7, 1, Smoke::mf_protected, 0, 40},	//3005 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1587, 981, 2, Smoke::mf_protected, 0, 41},	//3006 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1587, 984, 3, Smoke::mf_protected, 0, 42},	//3007 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 1016, 988, 2, Smoke::mf_protected, 401, 43},	//3008 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 44},	//3009 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2487, 0, 0, Smoke::mf_dtor, 0, 45 },	//3010 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 457, 1},	//3011 Plasma::WebView::metaObject() const
    {109, 1516, 1, 1, Smoke::mf_virtual, 500, 2},	//3012 Plasma::WebView::qt_metacast(const char*)
    {109, 2311, 43, 2, Smoke::mf_static, 289, 3},	//3013 Plasma::WebView::tr(const char*, const char*)
    {109, 2315, 43, 2, Smoke::mf_static, 289, 4},	//3014 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2311, 46, 3, Smoke::mf_static, 289, 5},	//3015 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2315, 46, 3, Smoke::mf_static, 289, 6},	//3016 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1514, 3, 3, Smoke::mf_virtual, 492, 7},	//3017 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 587, 170, 1, Smoke::mf_ctor, 174, 8},	//3018 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2123, 119, 1, Smoke::mf_property, 0, 9},	//3019 Plasma::WebView::setUrl(const KUrl&)
    {109, 2353, 0, 0, Smoke::mf_const|Smoke::mf_property, 28, 10},	//3020 Plasma::WebView::url() const
    {109, 1875, 991, 2, 0, 0, 11},	//3021 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1109, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//3022 Plasma::WebView::html() const
    {109, 1875, 994, 2, 0, 0, 13},	//3023 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1057, 0, 0, Smoke::mf_const, 279, 14},	//3024 Plasma::WebView::geometry() const
    {109, 830, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 15},	//3025 Plasma::WebView::contentsSize() const
    {109, 2025, 382, 1, Smoke::mf_property, 0, 16},	//3026 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1659, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 17},	//3027 Plasma::WebView::scrollPosition() const
    {109, 2385, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 18},	//3028 Plasma::WebView::viewportGeometry() const
    {109, 2413, 0, 0, Smoke::mf_const, 489, 19},	//3029 Plasma::WebView::zoomFactor() const
    {109, 2169, 632, 1, 0, 0, 20},	//3030 Plasma::WebView::setZoomFactor(const double)
    {109, 1959, 997, 1, 0, 0, 21},	//3031 Plasma::WebView::setPage(QWebPage*)
    {109, 1447, 0, 0, Smoke::mf_const, 302, 22},	//3032 Plasma::WebView::page() const
    {109, 1354, 0, 0, Smoke::mf_const, 301, 23},	//3033 Plasma::WebView::mainFrame() const
    {109, 1809, 7, 1, Smoke::mf_property, 0, 24},	//3034 Plasma::WebView::setDragToScroll(bool)
    {109, 922, 0, 0, Smoke::mf_property, 401, 25},	//3035 Plasma::WebView::dragToScroll()
    {109, 1850, 641, 1, Smoke::mf_virtual, 0, 26},	//3036 Plasma::WebView::setGeometry(const QRectF&)
    {109, 738, 0, 0, Smoke::mf_slot, 0, 27},	//3037 Plasma::WebView::back()
    {109, 1051, 0, 0, Smoke::mf_slot, 0, 28},	//3038 Plasma::WebView::forward()
    {109, 1547, 0, 0, Smoke::mf_slot, 0, 29},	//3039 Plasma::WebView::reload()
    {109, 2237, 0, 0, Smoke::mf_slot, 0, 30},	//3040 Plasma::WebView::stop()
    {109, 1338, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//3041 Plasma::WebView::loadProgress(int)
    {109, 1330, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//3042 Plasma::WebView::loadFinished(bool)
    {109, 2354, 195, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//3043 Plasma::WebView::urlChanged(const QUrl&)
    {109, 1449, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//3044 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//3045 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1107, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//3046 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//3047 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//3048 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//3049 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//3050 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//3051 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//3052 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//3053 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//3054 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//3055 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//3056 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//3057 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//3058 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//3059 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 50},	//3060 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 51},	//3061 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2311, 1, 1, Smoke::mf_static, 289, 52},	//3062 Plasma::WebView::tr(const char*)
    {109, 2315, 1, 1, Smoke::mf_static, 289, 53},	//3063 Plasma::WebView::trUtf8(const char*)
    {109, 587, 0, 0, Smoke::mf_ctor, 174, 54},	//3064 Plasma::WebView::WebView()
    {109, 1875, 999, 1, 0, 0, 55},	//3065 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1875, 89, 1, 0, 0, 56},	//3066 Plasma::WebView::setHtml(const QString&)
    {109, 1449, 326, 2, Smoke::mf_protected, 0, 57},	//3067 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2235, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 58},	//3068 Plasma::WebView::staticMetaObject() const
    {109, 2488, 0, 0, Smoke::mf_dtor, 0, 59 },	//3069 Plasma::WebView::~WebView()
    {110, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3070 QAbstractAnimation::event(QEvent*)
    {110, 2352, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3071 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2344, 1001, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3072 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 4},	//3073 QAbstractAnimation::Forward (enum)
    {110, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 5},	//3074 QAbstractAnimation::Backward (enum)
    {110, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 6},	//3075 QAbstractAnimation::Stopped (enum)
    {110, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//3076 QAbstractAnimation::Paused (enum)
    {110, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//3077 QAbstractAnimation::Running (enum)
    {111, 852, 1003, 3, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3078 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1819, 1007, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3079 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1938, 1010, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3080 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2345, 1003, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3081 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 951, 1014, 4, Smoke::mf_virtual, 401, 0},	//3082 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1395, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3083 QAbstractScrollArea::minimumSizeHint() const
    {132, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3084 QFrame::changeEvent(QEvent*)
    {133, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 1},	//3085 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 2},	//3086 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 3},	//3087 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 4},	//3088 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 5},	//3089 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 396, 6},	//3090 QGlobalSpace::LicensedXml (enum)
    {133, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 7},	//3091 QGlobalSpace::QtDebugMsg (enum)
    {133, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 8},	//3092 QGlobalSpace::QtWarningMsg (enum)
    {133, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 9},	//3093 QGlobalSpace::QtCriticalMsg (enum)
    {133, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 10},	//3094 QGlobalSpace::QtFatalMsg (enum)
    {133, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 11},	//3095 QGlobalSpace::QtSystemMsg (enum)
    {133, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 12},	//3096 QGlobalSpace::LicensedOpenGL (enum)
    {133, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 13},	//3097 QGlobalSpace::LicensedQt3Support (enum)
    {133, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 14},	//3098 QGlobalSpace::LicensedOpenVG (enum)
    {133, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 15},	//3099 QGlobalSpace::LicensedNetwork (enum)
    {133, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 16},	//3100 QGlobalSpace::LicensedSql (enum)
    {133, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//3101 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//3102 QGlobalSpace::KST_KService (enum)
    {133, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//3103 QGlobalSpace::KST_KServiceType (enum)
    {133, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//3104 QGlobalSpace::KST_KMimeType (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 21},	//3105 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 22},	//3106 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//3107 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {133, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//3108 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//3109 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//3110 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//3111 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//3112 QGlobalSpace::KST_KCustom (enum)
    {133, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 29},	//3113 QGlobalSpace::LicensedCore (enum)
    {133, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 30},	//3114 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 31},	//3115 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 32},	//3116 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 33},	//3117 QGlobalSpace::KST_KImageIO (enum)
    {133, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 34},	//3118 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//3119 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//3120 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 37},	//3121 QGlobalSpace::LicensedSvg (enum)
    {133, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 38},	//3122 QGlobalSpace::LicensedXmlPatterns (enum)
    {133, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 39},	//3123 QGlobalSpace::LicensedGui (enum)
    {133, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 40},	//3124 QGlobalSpace::LicensedDeclarative (enum)
    {133, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 41},	//3125 QGlobalSpace::LicensedActiveQt (enum)
    {133, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 42},	//3126 QGlobalSpace::LicensedDBus (enum)
    {133, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 43},	//3127 QGlobalSpace::LicensedTest (enum)
    {133, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 44},	//3128 QGlobalSpace::LicensedScriptTools (enum)
    {133, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 45},	//3129 QGlobalSpace::LicensedQt3SupportLight (enum)
    {133, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 46},	//3130 QGlobalSpace::__codecvt_ok (enum)
    {133, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 47},	//3131 QGlobalSpace::__codecvt_partial (enum)
    {133, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 48},	//3132 QGlobalSpace::__codecvt_error (enum)
    {133, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 49},	//3133 QGlobalSpace::__codecvt_noconv (enum)
    {133, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 50},	//3134 QGlobalSpace::LicensedScript (enum)
    {133, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 51},	//3135 QGlobalSpace::LicensedMultimedia (enum)
    {133, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 52},	//3136 QGlobalSpace::LicensedHelp (enum)
    {134, 684, 129, 1, Smoke::mf_virtual, 0, 0},	//3137 QGraphicsItem::advance(int)
    {134, 824, 382, 1, Smoke::mf_const|Smoke::mf_virtual, 401, 0},	//3138 QGraphicsItem::contains(const QPointF&) const
    {134, 776, 1019, 2, Smoke::mf_const|Smoke::mf_virtual, 401, 0},	//3139 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 777, 1022, 2, Smoke::mf_const|Smoke::mf_virtual, 401, 0},	//3140 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1173, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 401, 0},	//3141 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1429, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3142 QGraphicsItem::opaqueArea() const
    {134, 1645, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3143 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3144 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3145 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3146 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3147 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3148 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3149 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3150 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3151 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3152 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3153 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3154 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3155 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3156 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1135, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3157 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1136, 1027, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3158 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2253, 1029, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3159 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1835, 1031, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3160 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 1009, 725, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3161 QGraphicsItem::extension(const QVariant&) const
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 26},	//3162 QGraphicsItem::ItemPositionChange (enum)
    {134, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//3163 QGraphicsItem::ItemMatrixChange (enum)
    {134, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 28},	//3164 QGraphicsItem::ItemVisibleChange (enum)
    {134, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//3165 QGraphicsItem::ItemEnabledChange (enum)
    {134, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 30},	//3166 QGraphicsItem::ItemSelectedChange (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 31},	//3167 QGraphicsItem::ItemParentChange (enum)
    {134, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 32},	//3168 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 33},	//3169 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 34},	//3170 QGraphicsItem::ItemTransformChange (enum)
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 35},	//3171 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 36},	//3172 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 37},	//3173 QGraphicsItem::ItemSceneChange (enum)
    {134, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 38},	//3174 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 39},	//3175 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 40},	//3176 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 41},	//3177 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//3178 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//3179 QGraphicsItem::ItemCursorChange (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//3180 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//3181 QGraphicsItem::ItemToolTipChange (enum)
    {134, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//3182 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//3183 QGraphicsItem::ItemFlagsChange (enum)
    {134, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//3184 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 49},	//3185 QGraphicsItem::ItemZValueChange (enum)
    {134, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 50},	//3186 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 51},	//3187 QGraphicsItem::ItemOpacityChange (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 52},	//3188 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 53},	//3189 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 54},	//3190 QGraphicsItem::ItemRotationChange (enum)
    {134, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 55},	//3191 QGraphicsItem::ItemRotationHasChanged (enum)
    {134, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 56},	//3192 QGraphicsItem::ItemScaleChange (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 57},	//3193 QGraphicsItem::ItemScaleHasChanged (enum)
    {134, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 58},	//3194 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {134, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 59},	//3195 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {134, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 60},	//3196 QGraphicsItem::Type (enum)
    {134, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 61},	//3197 QGraphicsItem::UserType (enum)
    {134, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 62},	//3198 QGraphicsItem::UserExtension (enum)
    {136, 1850, 641, 1, Smoke::mf_virtual, 0, 0},	//3199 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {136, 1449, 216, 3, Smoke::mf_virtual, 0, 0},	//3200 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {136, 2320, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 492, 0},	//3201 QGraphicsProxyWidget::type() const
    {136, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3202 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {136, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3203 QGraphicsProxyWidget::event(QEvent*)
    {136, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3204 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {136, 2189, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3205 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {136, 1095, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3206 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {136, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3207 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 916, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3208 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {136, 918, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3209 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {136, 920, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3210 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {136, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3211 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1103, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3212 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {136, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3213 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {136, 1107, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3214 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {136, 1068, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3215 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {136, 2322, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3216 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {136, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3217 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3218 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3219 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3220 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3221 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3222 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {136, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3223 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {136, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3224 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {136, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3225 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {136, 1039, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3226 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {136, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3227 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {136, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3228 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {136, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 31},	//3229 QGraphicsProxyWidget::Type (enum)
    {137, 1136, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3230 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {137, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3231 QGraphicsScene::event(QEvent*)
    {137, 994, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3232 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {137, 837, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3233 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 946, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3234 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3235 QGraphicsScene::focusInEvent(QFocusEvent*)
    {137, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3236 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {137, 1091, 1034, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3237 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {137, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {137, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {137, 1401, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3240 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1399, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3241 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1403, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1397, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2396, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1135, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {137, 927, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {137, 929, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {137, 932, 1036, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 2210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3249 QGraphicsView::sizeHint() const
    {146, 1136, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3250 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {146, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3251 QGraphicsView::event(QEvent*)
    {146, 2384, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3252 QGraphicsView::viewportEvent(QEvent*)
    {146, 837, 1042, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {146, 916, 1044, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3254 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {146, 918, 1046, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3255 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {146, 920, 1048, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {146, 946, 1050, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3257 QGraphicsView::dropEvent(QDropEvent*)
    {146, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3258 QGraphicsView::focusInEvent(QFocusEvent*)
    {146, 1039, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3259 QGraphicsView::focusNextPrevChild(bool)
    {146, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3260 QGraphicsView::focusOutEvent(QFocusEvent*)
    {146, 1229, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QGraphicsView::keyPressEvent(QKeyEvent*)
    {146, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3262 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {146, 1397, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3263 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {146, 1401, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3264 QGraphicsView::mousePressEvent(QMouseEvent*)
    {146, 1399, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3265 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {146, 1403, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3266 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {146, 2396, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3267 QGraphicsView::wheelEvent(QWheelEvent*)
    {146, 1458, 537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3268 QGraphicsView::paintEvent(QPaintEvent*)
    {146, 1609, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3269 QGraphicsView::resizeEvent(QResizeEvent*)
    {146, 1658, 368, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3270 QGraphicsView::scrollContentsBy(int, int)
    {146, 2189, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3271 QGraphicsView::showEvent(QShowEvent*)
    {146, 1135, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3272 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {146, 927, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3273 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {146, 929, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3274 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {146, 932, 1054, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3275 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {147, 1850, 641, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3276 QGraphicsWidget::setGeometry(const QRectF&)
    {147, 1059, 1059, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3277 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {147, 2320, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 492, 0},	//3278 QGraphicsWidget::type() const
    {147, 1449, 216, 3, Smoke::mf_virtual, 0, 0},	//3279 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 1468, 216, 3, Smoke::mf_virtual, 0, 0},	//3280 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//3281 QGraphicsWidget::boundingRect() const
    {147, 2173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3282 QGraphicsWidget::shape() const
    {147, 1130, 1064, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3283 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {147, 2210, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3284 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {147, 2346, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3285 QGraphicsWidget::updateGeometry()
    {147, 1210, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3286 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {147, 1511, 482, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3287 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {147, 1644, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3288 QGraphicsWidget::sceneEvent(QEvent*)
    {147, 2400, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3289 QGraphicsWidget::windowFrameEvent(QEvent*)
    {147, 2401, 382, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//3290 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {147, 992, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3291 QGraphicsWidget::event(QEvent*)
    {147, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3292 QGraphicsWidget::changeEvent(QEvent*)
    {147, 773, 1066, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3293 QGraphicsWidget::closeEvent(QCloseEvent*)
    {147, 1036, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3294 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {147, 1039, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3295 QGraphicsWidget::focusNextPrevChild(bool)
    {147, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3296 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {147, 1095, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3297 QGraphicsWidget::hideEvent(QHideEvent*)
    {147, 1405, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3298 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {147, 1489, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3299 QGraphicsWidget::polishEvent()
    {147, 1609, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3300 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {147, 2189, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3301 QGraphicsWidget::showEvent(QShowEvent*)
    {147, 1107, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3302 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {147, 1105, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3303 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {147, 1068, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3304 QGraphicsWidget::grabMouseEvent(QEvent*)
    {147, 2322, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3305 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {147, 1067, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3306 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {147, 2321, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3307 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {147, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 33},	//3308 QGraphicsWidget::Type (enum)
    {163, 992, 329, 1, Smoke::mf_virtual, 401, 0},	//3309 QObject::event(QEvent*)
    {163, 994, 272, 2, Smoke::mf_virtual, 401, 0},	//3310 QObject::eventFilter(QObject*, QEvent*)
    {163, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3311 QObject::timerEvent(QTimerEvent*)
    {163, 759, 1068, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3312 QObject::childEvent(QChildEvent*)
    {163, 879, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3313 QObject::customEvent(QEvent*)
    {163, 796, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3314 QObject::connectNotify(const char*)
    {163, 907, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3315 QObject::disconnectNotify(const char*)
    {199, 899, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 492, 0},	//3316 QWidget::devType() const
    {199, 2152, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3317 QWidget::setVisible(bool)
    {199, 2210, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3318 QWidget::sizeHint() const
    {199, 1395, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3319 QWidget::minimumSizeHint() const
    {199, 1090, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 492, 0},	//3320 QWidget::heightForWidth(int) const
    {199, 1457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//3321 QWidget::paintEngine() const
    {199, 1397, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3322 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {199, 2396, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3323 QWidget::wheelEvent(QWheelEvent*)
    {199, 1231, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3324 QWidget::keyReleaseEvent(QKeyEvent*)
    {199, 1040, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3325 QWidget::focusOutEvent(QFocusEvent*)
    {199, 988, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3326 QWidget::enterEvent(QEvent*)
    {199, 1259, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3327 QWidget::leaveEvent(QEvent*)
    {199, 1405, 543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3328 QWidget::moveEvent(QMoveEvent*)
    {199, 773, 1066, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QWidget::closeEvent(QCloseEvent*)
    {199, 837, 1042, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3330 QWidget::contextMenuEvent(QContextMenuEvent*)
    {199, 2271, 1070, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3331 QWidget::tabletEvent(QTabletEvent*)
    {199, 606, 1072, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3332 QWidget::actionEvent(QActionEvent*)
    {199, 916, 1044, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3333 QWidget::dragEnterEvent(QDragEnterEvent*)
    {199, 920, 1048, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3334 QWidget::dragMoveEvent(QDragMoveEvent*)
    {199, 918, 1046, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3335 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {199, 946, 1050, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3336 QWidget::dropEvent(QDropEvent*)
    {199, 1095, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3337 QWidget::hideEvent(QHideEvent*)
    {199, 2412, 1074, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3338 QWidget::x11Event(_XEvent*)
    {199, 753, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3339 QWidget::changeEvent(QEvent*)
    {199, 1385, 1076, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 492, 0},	//3340 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {199, 1135, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3341 QWidget::inputMethodEvent(QInputMethodEvent*)
    {199, 1136, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3342 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {199, 1039, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 401, 0},	//3343 QWidget::focusNextPrevChild(bool)
    {199, 2247, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3344 QWidget::styleChange(QStyle&)
    {199, 981, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3345 QWidget::enabledChange(bool)
    {199, 1470, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3346 QWidget::paletteChange(const QPalette&)
    {199, 1045, 569, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3347 QWidget::fontChange(const QFont&)
    {199, 2399, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3348 QWidget::windowActivationChange(bool)
    {199, 1247, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3349 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    533,  // Plasma::Applet::Applet(QGraphicsItem*)
    535,  // Plasma::Applet::Applet(const KPluginInfo&)
    0,
    2489,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2491,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2462,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2464,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    2728,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2729,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2736,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2737,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    212,  // Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    229,  // Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    2048,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2085,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    864,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    865,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1938,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1939,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    1912,  // Plasma::PushButton::setIcon(const QIcon&)
    1913,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    979,  // Plasma::Corona::importLayout(const KConfigBase&)
    981,  // Plasma::Corona::importLayout(const KConfigGroup&)
    0,
    1000,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    1001,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    2275,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2277,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2276,  // Plasma::Service::disassociateWidget(QWidget*)
    2278,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    2005,  // Plasma::RunnerContext::RunnerContext(QObject*)
    2029,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    918,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    919,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    2196,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2197,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    1058,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1059,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    2516,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2517,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2502,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2518,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    343,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    363,  // Plasma::Animator::create(Plasma::Animator::Animation)
    364,  // Plasma::Animator::create(const QString&)
    0,
    341,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    342,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    1456,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1457,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1466,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1470,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1454,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1455,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 12, 108},	// Plasma::AcceptingInputStatus
    {29, 18, 106},	// Plasma::ActiveStatus
    {29, 20, 50},	// Plasma::AlignToHour
    {29, 21, 49},	// Plasma::AlignToMinute
    {29, 24, 100},	// Plasma::AllConstraints
    {29, 36, 115},	// Plasma::AnimatorComponent
    {29, 46, 112},	// Plasma::AppletComponent
    {29, 49, 89},	// Plasma::AppletType
    {29, 58, 122},	// Plasma::BottomEdge
    {29, 59, 52},	// Plasma::BottomMargin
    {29, 60, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 61, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 62, 64},	// Plasma::BottomPositioned
    {29, 70, 47},	// Plasma::ButtonCancel
    {29, 73, 46},	// Plasma::ButtonNo
    {29, 74, 43},	// Plasma::ButtonNone
    {29, 75, 44},	// Plasma::ButtonOk
    {29, 77, 45},	// Plasma::ButtonYes
    {29, 82, 65},	// Plasma::CenterPositioned
    {29, 99, 59},	// Plasma::ConstrainedSquare
    {29, 110, 116},	// Plasma::ContainmentComponent
    {29, 113, 98},	// Plasma::ContextConstraint
    {29, 126, 113},	// Plasma::DataEngineComponent
    {29, 139, 119},	// Plasma::Desktop
    {29, 142, 109},	// Plasma::DesktopZoom
    {29, 154, 66},	// Plasma::Down
    {29, 179, 60},	// Plasma::FixedSize
    {29, 182, 118},	// Plasma::Floating
    {29, 183, 80},	// Plasma::FloatingPopup
    {29, 185, 92},	// Plasma::FormFactorConstraint
    {29, 191, 120},	// Plasma::FullScreen
    {29, 199, 110},	// Plasma::GroupZoom
    {29, 207, 41},	// Plasma::Horizontal
    {29, 208, 102},	// Plasma::HorizontalFlip
    {29, 216, 56},	// Plasma::IgnoreAspectRatio
    {29, 219, 96},	// Plasma::ImmutableConstraint
    {29, 223, 55},	// Plasma::InvalidAspectRatioMode
    {29, 224, 72},	// Plasma::InvalidCredentials
    {29, 300, 57},	// Plasma::KeepAspectRatio
    {29, 307, 68},	// Plasma::Left
    {29, 309, 123},	// Plasma::LeftEdge
    {29, 310, 53},	// Plasma::LeftMargin
    {29, 311, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 312, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 313, 61},	// Plasma::LeftPositioned
    {29, 335, 90},	// Plasma::LineEditType
    {29, 338, 93},	// Plasma::LocationConstraint
    {29, 343, 40},	// Plasma::MediaCenter
    {29, 353, 77},	// Plasma::Mutable
    {29, 354, 107},	// Plasma::NeedsAttentionStatus
    {29, 357, 48},	// Plasma::NoAlignment
    {29, 359, 70},	// Plasma::NoAnnouncement
    {29, 365, 91},	// Plasma::NoConstraint
    {29, 371, 101},	// Plasma::NoFlip
    {29, 384, 111},	// Plasma::OverviewZoom
    {29, 398, 105},	// Plasma::PassiveStatus
    {29, 407, 39},	// Plasma::Planar
    {29, 414, 99},	// Plasma::PopupConstraint
    {29, 438, 69},	// Plasma::Right
    {29, 440, 124},	// Plasma::RightEdge
    {29, 441, 54},	// Plasma::RightMargin
    {29, 442, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 443, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 444, 62},	// Plasma::RightPositioned
    {29, 448, 114},	// Plasma::RunnerComponent
    {29, 464, 94},	// Plasma::ScreenConstraint
    {29, 487, 95},	// Plasma::SizeConstraint
    {29, 499, 58},	// Plasma::Square
    {29, 501, 97},	// Plasma::StartupCompletedConstraint
    {29, 519, 79},	// Plasma::SystemImmutable
    {29, 540, 121},	// Plasma::TopEdge
    {29, 541, 51},	// Plasma::TopMargin
    {29, 542, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 543, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 544, 63},	// Plasma::TopPositioned
    {29, 549, 75},	// Plasma::TrustedCredentials
    {29, 552, 76},	// Plasma::UltimateCredentials
    {29, 553, 73},	// Plasma::UnknownCredentials
    {29, 554, 104},	// Plasma::UnknownStatus
    {29, 556, 67},	// Plasma::Up
    {29, 559, 78},	// Plasma::UserImmutable
    {29, 563, 74},	// Plasma::ValidCredentials
    {29, 565, 42},	// Plasma::Vertical
    {29, 566, 103},	// Plasma::VerticalFlip
    {29, 583, 117},	// Plasma::WallpaperComponent
    {29, 590, 71},	// Plasma::ZeroconfAnnouncement
    {29, 592, 37},	// Plasma::ZoomIn
    {29, 593, 38},	// Plasma::ZoomOut
    {29, 612, 30},	// Plasma::actionsFromMenu#
    {29, 613, 31},	// Plasma::actionsFromMenu#$
    {29, 614, 29},	// Plasma::actionsFromMenu#$#
    {29, 1178, 33},	// Plasma::isPluginVersionCompatible$
    {29, 1236, 34},	// Plasma::knownLanguages$
    {29, 1344, -19},	// Plasma::loadScriptEngine$#
    {29, 1349, 18},	// Plasma::locationToDirection$
    {29, 1351, 23},	// Plasma::locationToInverseDirection$
    {29, 1446, 26},	// Plasma::packageStructure$$
    {29, 1643, 27},	// Plasma::scalingFactor$
    {29, 2370, 22},	// Plasma::version
    {29, 2371, 20},	// Plasma::versionMajor
    {29, 2372, 25},	// Plasma::versionMinor
    {29, 2373, 36},	// Plasma::versionRelease
    {29, 2374, 19},	// Plasma::versionString
    {29, 2383, 21},	// Plasma::viewFor#
    {30, 1, 136},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 132},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1382, 125},	// Plasma::AbstractDialogManager::metaObject
    {30, 1515, 131},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1517, 126},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2186, 133},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2235, 137},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2312, 134},	// Plasma::AbstractDialogManager::tr$
    {30, 2313, 127},	// Plasma::AbstractDialogManager::tr$$
    {30, 2314, 129},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2316, 135},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2317, 128},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2318, 130},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2416, 138},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 192},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 193},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 168},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 170},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 194},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 169},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 204, 202},	// Plasma::AbstractRunner::HighPriority
    {31, 205, 203},	// Plasma::AbstractRunner::HighestPriority
    {31, 339, 200},	// Plasma::AbstractRunner::LowPriority
    {31, 340, 199},	// Plasma::AbstractRunner::LowestPriority
    {31, 379, 201},	// Plasma::AbstractRunner::NormalPriority
    {31, 380, 198},	// Plasma::AbstractRunner::NormalSpeed
    {31, 493, 197},	// Plasma::AbstractRunner::SlowSpeed
    {31, 605, 181},	// Plasma::AbstractRunner::action$
    {31, 607, 182},	// Plasma::AbstractRunner::actions
    {31, 609, 177},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 623, 179},	// Plasma::AbstractRunner::addAction$#
    {31, 624, 178},	// Plasma::AbstractRunner::addAction$#$
    {31, 674, 184},	// Plasma::AbstractRunner::addSyntax#
    {31, 743, 162},	// Plasma::AbstractRunner::bigLock
    {31, 761, 183},	// Plasma::AbstractRunner::clearActions
    {31, 781, 172},	// Plasma::AbstractRunner::config
    {31, 861, 149},	// Plasma::AbstractRunner::createRunOptions#
    {31, 883, 187},	// Plasma::AbstractRunner::dataEngine$
    {31, 887, 163},	// Plasma::AbstractRunner::defaultSyntax
    {31, 891, 157},	// Plasma::AbstractRunner::description
    {31, 1087, 148},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1110, 158},	// Plasma::AbstractRunner::icon
    {31, 1112, 156},	// Plasma::AbstractRunner::id
    {31, 1113, 153},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1126, 188},	// Plasma::AbstractRunner::init
    {31, 1172, 164},	// Plasma::AbstractRunner::isMatchingSuspended
    {31, 1368, 146},	// Plasma::AbstractRunner::match#
    {31, 1375, 167},	// Plasma::AbstractRunner::matchingSuspended$
    {31, 1382, 139},	// Plasma::AbstractRunner::metaObject
    {31, 1387, 189},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1417, 155},	// Plasma::AbstractRunner::name
    {31, 1443, 159},	// Plasma::AbstractRunner::package
    {31, 1480, 147},	// Plasma::AbstractRunner::performMatch#
    {31, 1504, 165},	// Plasma::AbstractRunner::prepare
    {31, 1508, 152},	// Plasma::AbstractRunner::priority
    {31, 1515, 145},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1517, 140},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1548, 160},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1559, 180},	// Plasma::AbstractRunner::removeAction$
    {31, 1623, 150},	// Plasma::AbstractRunner::run##
    {31, 1677, 195},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1678, 176},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1799, 185},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1864, 173},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1886, 154},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 1993, 175},	// Plasma::AbstractRunner::setPriority$
    {31, 2056, 174},	// Plasma::AbstractRunner::setSpeed$
    {31, 2079, 186},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2226, 151},	// Plasma::AbstractRunner::speed
    {31, 2235, 196},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2255, 171},	// Plasma::AbstractRunner::suspendMatching$
    {31, 2264, 161},	// Plasma::AbstractRunner::syntaxes
    {31, 2282, 166},	// Plasma::AbstractRunner::teardown
    {31, 2312, 190},	// Plasma::AbstractRunner::tr$
    {31, 2313, 141},	// Plasma::AbstractRunner::tr$$
    {31, 2314, 143},	// Plasma::AbstractRunner::tr$$$
    {31, 2316, 191},	// Plasma::AbstractRunner::trUtf8$
    {31, 2317, 142},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2318, 144},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2417, 204},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 9, 228},	// Plasma::AbstractToolBox::AbstractToolBox
    {32, 10, -16},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 11, 213},	// Plasma::AbstractToolBox::AbstractToolBox#?
    {32, 19, 234},	// Plasma::AbstractToolBox::AddTool
    {32, 98, 235},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 114, 236},	// Plasma::AbstractToolBox::ControlTool
    {32, 143, 238},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 347, 237},	// Plasma::AbstractToolBox::MiscTool
    {32, 560, 239},	// Plasma::AbstractToolBox::UserToolType
    {32, 681, 216},	// Plasma::AbstractToolBox::addTool#
    {32, 808, 225},	// Plasma::AbstractToolBox::containment
    {32, 1188, 218},	// Plasma::AbstractToolBox::isShowing
    {32, 1305, 232},	// Plasma::AbstractToolBox::listToolBoxInfo
    {32, 1306, 215},	// Plasma::AbstractToolBox::listToolBoxInfo$
    {32, 1319, 230},	// Plasma::AbstractToolBox::load$
    {32, 1323, 231},	// Plasma::AbstractToolBox::load$?
    {32, 1324, 214},	// Plasma::AbstractToolBox::load$?#
    {32, 1382, 205},	// Plasma::AbstractToolBox::metaObject
    {32, 1515, 211},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1517, 206},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1584, 217},	// Plasma::AbstractToolBox::removeTool#
    {32, 1598, 222},	// Plasma::AbstractToolBox::reposition
    {32, 1614, 220},	// Plasma::AbstractToolBox::restore#
    {32, 1632, 221},	// Plasma::AbstractToolBox::save#
    {32, 2044, 219},	// Plasma::AbstractToolBox::setShowing$
    {32, 2235, 233},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2301, 223},	// Plasma::AbstractToolBox::toggled
    {32, 2312, 226},	// Plasma::AbstractToolBox::tr$
    {32, 2313, 207},	// Plasma::AbstractToolBox::tr$$
    {32, 2314, 209},	// Plasma::AbstractToolBox::tr$$$
    {32, 2316, 227},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2317, 208},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2318, 210},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2389, 224},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2418, 240},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 14, 253},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 15, 249},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 709, 248},	// Plasma::AccessAppletJob::applet
    {33, 1382, 241},	// Plasma::AccessAppletJob::metaObject
    {33, 1515, 247},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1517, 242},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2229, 250},	// Plasma::AccessAppletJob::start
    {33, 2235, 254},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2312, 251},	// Plasma::AccessAppletJob::tr$
    {33, 2313, 243},	// Plasma::AccessAppletJob::tr$$
    {33, 2314, 245},	// Plasma::AccessAppletJob::tr$$$
    {33, 2316, 252},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2317, 244},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2318, 246},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2419, 255},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 603, 264},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 1026, 267},	// Plasma::AccessManager::finished#
    {34, 1382, 256},	// Plasma::AccessManager::metaObject
    {34, 1515, 262},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1517, 257},	// Plasma::AccessManager::qt_metacast$
    {34, 1551, 268},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1553, 269},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1554, 265},	// Plasma::AccessManager::remoteApplets
    {34, 1670, 263},	// Plasma::AccessManager::self
    {34, 2235, 272},	// Plasma::AccessManager::staticMetaObject
    {34, 2252, 266},	// Plasma::AccessManager::supportedProtocols
    {34, 2312, 270},	// Plasma::AccessManager::tr$
    {34, 2313, 258},	// Plasma::AccessManager::tr$$
    {34, 2314, 260},	// Plasma::AccessManager::tr$$$
    {34, 2316, 271},	// Plasma::AccessManager::trUtf8$
    {34, 2317, 259},	// Plasma::AccessManager::trUtf8$$
    {34, 2318, 261},	// Plasma::AccessManager::trUtf8$$$
    {35, 32, 290},	// Plasma::Animation::Animation
    {35, 33, 281},	// Plasma::Animation::Animation#
    {35, 81, 293},	// Plasma::Animation::Center
    {35, 154, 295},	// Plasma::Animation::Down
    {35, 307, 296},	// Plasma::Animation::Left
    {35, 348, 298},	// Plasma::Animation::MoveAny
    {35, 349, 301},	// Plasma::Animation::MoveDown
    {35, 350, 302},	// Plasma::Animation::MoveLeft
    {35, 351, 300},	// Plasma::Animation::MoveRight
    {35, 352, 299},	// Plasma::Animation::MoveUp
    {35, 438, 297},	// Plasma::Animation::Right
    {35, 556, 294},	// Plasma::Animation::Up
    {35, 948, 280},	// Plasma::Animation::duration
    {35, 949, 285},	// Plasma::Animation::easingCurve
    {35, 1382, 273},	// Plasma::Animation::metaObject
    {35, 1515, 279},	// Plasma::Animation::qt_metacall$$?
    {35, 1517, 274},	// Plasma::Animation::qt_metacast$
    {35, 1815, 291},	// Plasma::Animation::setDuration
    {35, 1816, 286},	// Plasma::Animation::setDuration$
    {35, 1818, 284},	// Plasma::Animation::setEasingCurve#
    {35, 2093, 282},	// Plasma::Animation::setTargetWidget#
    {35, 2235, 292},	// Plasma::Animation::staticMetaObject
    {35, 2280, 283},	// Plasma::Animation::targetWidget
    {35, 2312, 288},	// Plasma::Animation::tr$
    {35, 2313, 275},	// Plasma::Animation::tr$$
    {35, 2314, 277},	// Plasma::Animation::tr$$$
    {35, 2316, 289},	// Plasma::Animation::trUtf8$
    {35, 2317, 276},	// Plasma::Animation::trUtf8$$
    {35, 2318, 278},	// Plasma::Animation::trUtf8$$$
    {35, 2342, 287},	// Plasma::Animation::updateCurrentTime$
    {35, 2420, 303},	// Plasma::Animation::~Animation
    {36, 34, 330},	// Plasma::AnimationDriver::AnimationDriver
    {36, 35, 311},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 694, 318},	// Plasma::AnimationDriver::animationCurve$
    {36, 696, 315},	// Plasma::AnimationDriver::animationDuration$
    {36, 700, 312},	// Plasma::AnimationDriver::animationFps$
    {36, 954, 320},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 956, 317},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 960, 314},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 962, 321},	// Plasma::AnimationDriver::elementAppear$#
    {36, 966, 322},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1202, 325},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1207, 323},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1215, 324},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1225, 326},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1227, 327},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1382, 304},	// Plasma::AnimationDriver::metaObject
    {36, 1410, 319},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1412, 316},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1414, 313},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1515, 310},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1517, 305},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2235, 331},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2312, 328},	// Plasma::AnimationDriver::tr$
    {36, 2313, 306},	// Plasma::AnimationDriver::tr$$
    {36, 2314, 308},	// Plasma::AnimationDriver::tr$$$
    {36, 2316, 329},	// Plasma::AnimationDriver::trUtf8$
    {36, 2317, 307},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2318, 309},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2421, 332},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 16, 368},	// Plasma::Animator::ActivateAnimation
    {37, 37, 366},	// Plasma::Animator::AppearAnimation
    {37, 150, 367},	// Plasma::Animator::DisappearAnimation
    {37, 157, 380},	// Plasma::Animator::EaseInCurve
    {37, 158, 382},	// Plasma::Animator::EaseInOutCurve
    {37, 159, 381},	// Plasma::Animator::EaseOutCurve
    {37, 173, 369},	// Plasma::Animator::FadeAnimation
    {37, 174, 387},	// Plasma::Animator::FastSlideInMovement
    {37, 175, 388},	// Plasma::Animator::FastSlideOutMovement
    {37, 196, 375},	// Plasma::Animator::GeometryAnimation
    {37, 200, 370},	// Plasma::Animator::GrowAnimation
    {37, 306, 379},	// Plasma::Animator::LastAnimation
    {37, 336, 383},	// Plasma::Animator::LinearCurve
    {37, 401, 384},	// Plasma::Animator::PendularCurve
    {37, 405, 377},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 418, 371},	// Plasma::Animator::PulseAnimation
    {37, 445, 372},	// Plasma::Animator::RotationAnimation
    {37, 446, 373},	// Plasma::Animator::RotationStackedAnimation
    {37, 488, 374},	// Plasma::Animator::SlideAnimation
    {37, 489, 385},	// Plasma::Animator::SlideInMovement
    {37, 490, 386},	// Plasma::Animator::SlideOutMovement
    {37, 586, 378},	// Plasma::Animator::WaterAnimation
    {37, 591, 376},	// Plasma::Animator::ZoomAnimation
    {37, 698, 355},	// Plasma::Animator::animationFinished#$
    {37, 844, -66},	// Plasma::Animator::create$
    {37, 845, -70},	// Plasma::Animator::create$#
    {37, 870, 351},	// Plasma::Animator::currentPixmap$
    {37, 875, 347},	// Plasma::Animator::customAnimation$$$#$
    {37, 877, 358},	// Plasma::Animator::customAnimationFinished$
    {37, 958, 357},	// Plasma::Animator::elementAnimationFinished$
    {37, 1155, 352},	// Plasma::Animator::isAnimating
    {37, 1382, 333},	// Plasma::Animator::metaObject
    {37, 1408, 345},	// Plasma::Animator::moveItem#$#
    {37, 1416, 356},	// Plasma::Animator::movementFinished#
    {37, 1515, 339},	// Plasma::Animator::qt_metacall$$?
    {37, 1517, 334},	// Plasma::Animator::qt_metacast$
    {37, 1539, 353},	// Plasma::Animator::registerScrollingManager#
    {37, 1661, 359},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1670, 340},	// Plasma::Animator::self
    {37, 1900, 350},	// Plasma::Animator::setInitialPixmap$#
    {37, 2235, 365},	// Plasma::Animator::staticMetaObject
    {37, 2239, 348},	// Plasma::Animator::stopCustomAnimation$
    {37, 2241, 349},	// Plasma::Animator::stopElementAnimation$
    {37, 2243, 344},	// Plasma::Animator::stopItemAnimation$
    {37, 2245, 346},	// Plasma::Animator::stopItemMovement$
    {37, 2298, 360},	// Plasma::Animator::timerEvent#
    {37, 2312, 361},	// Plasma::Animator::tr$
    {37, 2313, 335},	// Plasma::Animator::tr$$
    {37, 2314, 337},	// Plasma::Animator::tr$$$
    {37, 2316, 362},	// Plasma::Animator::trUtf8$
    {37, 2317, 336},	// Plasma::Animator::trUtf8$$
    {37, 2318, 338},	// Plasma::Animator::trUtf8$$$
    {37, 2333, 354},	// Plasma::Animator::unregisterScrollingManager#
    {38, 38, 532},	// Plasma::Applet::Applet
    {38, 39, -1},	// Plasma::Applet::Applet#
    {38, 40, 536},	// Plasma::Applet::Applet##
    {38, 41, 457},	// Plasma::Applet::Applet##$
    {38, 42, 534},	// Plasma::Applet::Applet#$
    {38, 43, 456},	// Plasma::Applet::Applet#$$
    {38, 44, 458},	// Plasma::Applet::Applet#$$?
    {38, 45, 497},	// Plasma::Applet::Applet#?
    {38, 131, 544},	// Plasma::Applet::DefaultBackground
    {38, 360, 541},	// Plasma::Applet::NoBackground
    {38, 500, 542},	// Plasma::Applet::StandardBackground
    {38, 546, 543},	// Plasma::Applet::TranslucentBackground
    {38, 551, 545},	// Plasma::Applet::Type
    {38, 605, 442},	// Plasma::Applet::action$
    {38, 615, 473},	// Plasma::Applet::activate
    {38, 623, 443},	// Plasma::Applet::addAction$#
    {38, 633, 453},	// Plasma::Applet::addAssociatedWidget#
    {38, 713, 475},	// Plasma::Applet::appletDestroyed#
    {38, 717, 469},	// Plasma::Applet::appletTransformedByUser
    {38, 718, 470},	// Plasma::Applet::appletTransformedItself
    {38, 721, 415},	// Plasma::Applet::aspectRatioMode
    {38, 724, 464},	// Plasma::Applet::associatedApplication
    {38, 725, 465},	// Plasma::Applet::associatedApplicationUrls
    {38, 740, 445},	// Plasma::Applet::backgroundHints
    {38, 750, 434},	// Plasma::Applet::category
    {38, 751, 426},	// Plasma::Applet::category#
    {38, 752, 427},	// Plasma::Applet::category$
    {38, 781, 398},	// Plasma::Applet::config
    {38, 782, 399},	// Plasma::Applet::config$
    {38, 783, 488},	// Plasma::Applet::configChanged
    {38, 784, 472},	// Plasma::Applet::configNeedsSaving
    {38, 785, 403},	// Plasma::Applet::configScheme
    {38, 788, 439},	// Plasma::Applet::configurationRequired
    {38, 804, 503},	// Plasma::Applet::constraintsEvent$
    {38, 808, 449},	// Plasma::Applet::containment
    {38, 831, 414},	// Plasma::Applet::context
    {38, 839, 441},	// Plasma::Applet::contextualActions
    {38, 849, 460},	// Plasma::Applet::createConfigurationInterface#
    {38, 878, 422},	// Plasma::Applet::customCategories
    {38, 883, 404},	// Plasma::Applet::dataEngine$
    {38, 894, 480},	// Plasma::Applet::destroy
    {38, 896, 459},	// Plasma::Applet::destroyed
    {38, 995, 508},	// Plasma::Applet::eventFilter##
    {38, 1006, 507},	// Plasma::Applet::extender
    {38, 1008, 477},	// Plasma::Applet::extenderItemRestored#
    {38, 1035, 486},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 1037, 511},	// Plasma::Applet::focusInEvent#
    {38, 1043, 430},	// Plasma::Applet::font
    {38, 1050, 412},	// Plasma::Applet::formFactor
    {38, 1058, 468},	// Plasma::Applet::geometryChanged
    {38, 1065, 402},	// Plasma::Applet::globalConfig
    {38, 1066, 451},	// Plasma::Applet::globalShortcut
    {38, 1075, 461},	// Plasma::Applet::hasAuthorization$
    {38, 1076, 440},	// Plasma::Applet::hasConfigurationInterface
    {38, 1081, 437},	// Plasma::Applet::hasFailedToLaunch
    {38, 1089, 466},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1104, 516},	// Plasma::Applet::hoverEnterEvent#
    {38, 1106, 517},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1110, 433},	// Plasma::Applet::icon
    {38, 1112, 397},	// Plasma::Applet::id
    {38, 1117, 435},	// Plasma::Applet::immutability
    {38, 1119, 478},	// Plasma::Applet::immutabilityChanged$
    {38, 1126, 487},	// Plasma::Applet::init
    {38, 1129, 455},	// Plasma::Applet::initExtenderItem#
    {38, 1157, 438},	// Plasma::Applet::isBusy
    {38, 1163, 446},	// Plasma::Applet::isContainment
    {38, 1179, 452},	// Plasma::Applet::isPopupShowing
    {38, 1181, 495},	// Plasma::Applet::isPublished
    {38, 1184, 506},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1193, 483},	// Plasma::Applet::isUserConfiguring
    {38, 1211, 513},	// Plasma::Applet::itemChange$#
    {38, 1269, 522},	// Plasma::Applet::listAppletInfo
    {38, 1270, 523},	// Plasma::Applet::listAppletInfo$
    {38, 1271, 417},	// Plasma::Applet::listAppletInfo$$
    {38, 1273, 418},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1275, 419},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1278, 524},	// Plasma::Applet::listCategories
    {38, 1279, 525},	// Plasma::Applet::listCategories$
    {38, 1280, 420},	// Plasma::Applet::listCategories$$
    {38, 1313, 530},	// Plasma::Applet::load#
    {38, 1316, 531},	// Plasma::Applet::load#$
    {38, 1317, 425},	// Plasma::Applet::load#$?
    {38, 1319, 528},	// Plasma::Applet::load$
    {38, 1321, 529},	// Plasma::Applet::load$$
    {38, 1322, 424},	// Plasma::Applet::load$$?
    {38, 1335, 526},	// Plasma::Applet::loadPlasmoid$
    {38, 1336, 527},	// Plasma::Applet::loadPlasmoid$$
    {38, 1337, 423},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1345, 413},	// Plasma::Applet::location
    {38, 1353, 485},	// Plasma::Applet::lower
    {38, 1361, 407},	// Plasma::Applet::mapFromView##
    {38, 1363, 408},	// Plasma::Applet::mapToView##
    {38, 1381, 474},	// Plasma::Applet::messageButtonPressed$
    {38, 1382, 389},	// Plasma::Applet::metaObject
    {38, 1400, 510},	// Plasma::Applet::mouseMoveEvent#
    {38, 1417, 429},	// Plasma::Applet::name
    {38, 1423, 476},	// Plasma::Applet::newStatus$
    {38, 1443, 405},	// Plasma::Applet::package
    {38, 1444, 396},	// Plasma::Applet::packageStructure
    {38, 1467, 428},	// Plasma::Applet::paintInterface###
    {38, 1469, 436},	// Plasma::Applet::paintWindowFrame###
    {38, 1487, 431},	// Plasma::Applet::pluginName
    {38, 1496, 409},	// Plasma::Applet::popupPosition#
    {38, 1499, 410},	// Plasma::Applet::popupPosition#$
    {38, 1513, 493},	// Plasma::Applet::publish$$
    {38, 1515, 395},	// Plasma::Applet::qt_metacall$$?
    {38, 1517, 390},	// Plasma::Applet::qt_metacast$
    {38, 1521, 484},	// Plasma::Applet::raise
    {38, 1532, 504},	// Plasma::Applet::registerAsDragHandle#
    {38, 1544, 467},	// Plasma::Applet::releaseVisualFocus
    {38, 1564, 454},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1610, 512},	// Plasma::Applet::resizeEvent#
    {38, 1614, 401},	// Plasma::Applet::restore#
    {38, 1625, 496},	// Plasma::Applet::runAssociatedApplication
    {38, 1632, 400},	// Plasma::Applet::save#
    {38, 1638, 499},	// Plasma::Applet::saveState#
    {38, 1646, 509},	// Plasma::Applet::sceneEventFilter##
    {38, 1657, 447},	// Plasma::Applet::screenRect
    {38, 1701, 416},	// Plasma::Applet::setAspectRatioMode$
    {38, 1703, 462},	// Plasma::Applet::setAssociatedApplication$
    {38, 1705, 463},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1725, 444},	// Plasma::Applet::setBackgroundHints$
    {38, 1729, 489},	// Plasma::Applet::setBusy$
    {38, 1751, 538},	// Plasma::Applet::setConfigurationRequired$
    {38, 1752, 501},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1782, 421},	// Plasma::Applet::setCustomCategories?
    {38, 1837, 537},	// Plasma::Applet::setFailedToLaunch$
    {38, 1838, 498},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1853, 450},	// Plasma::Applet::setGlobalShortcut#
    {38, 1862, 500},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1894, 479},	// Plasma::Applet::setImmutability$
    {38, 2062, 492},	// Plasma::Applet::setStatus$
    {38, 2173, 514},	// Plasma::Applet::shape
    {38, 2175, 432},	// Plasma::Applet::shouldConserveResources
    {38, 2181, 481},	// Plasma::Applet::showConfigurationInterface
    {38, 2182, 482},	// Plasma::Applet::showConfigurationInterface#
    {38, 2194, 502},	// Plasma::Applet::showMessage#$$
    {38, 2212, 539},	// Plasma::Applet::sizeHint$
    {38, 2213, 515},	// Plasma::Applet::sizeHint$#
    {38, 2215, 471},	// Plasma::Applet::sizeHintChanged$
    {38, 2233, 490},	// Plasma::Applet::startupArguments
    {38, 2235, 540},	// Plasma::Applet::staticMetaObject
    {38, 2236, 491},	// Plasma::Applet::status
    {38, 2298, 518},	// Plasma::Applet::timerEvent#
    {38, 2312, 519},	// Plasma::Applet::tr$
    {38, 2313, 391},	// Plasma::Applet::tr$$
    {38, 2314, 393},	// Plasma::Applet::tr$$$
    {38, 2316, 520},	// Plasma::Applet::trUtf8$
    {38, 2317, 392},	// Plasma::Applet::trUtf8$$
    {38, 2318, 394},	// Plasma::Applet::trUtf8$$$
    {38, 2320, 448},	// Plasma::Applet::type
    {38, 2329, 494},	// Plasma::Applet::unpublish
    {38, 2331, 505},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2339, 521},	// Plasma::Applet::updateConstraints
    {38, 2340, 411},	// Plasma::Applet::updateConstraints$
    {38, 2381, 406},	// Plasma::Applet::view
    {38, 2422, 546},	// Plasma::Applet::~Applet
    {39, 47, 584},	// Plasma::AppletScript::AppletScript
    {39, 48, 554},	// Plasma::AppletScript::AppletScript#
    {39, 672, 576},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 709, 556},	// Plasma::AppletScript::applet
    {39, 783, 570},	// Plasma::AppletScript::configChanged
    {39, 784, 565},	// Plasma::AppletScript::configNeedsSaving
    {39, 804, 559},	// Plasma::AppletScript::constraintsEvent$
    {39, 839, 560},	// Plasma::AppletScript::contextualActions
    {39, 883, 571},	// Plasma::AppletScript::dataEngine$
    {39, 891, 574},	// Plasma::AppletScript::description
    {39, 1006, 566},	// Plasma::AppletScript::extender
    {39, 1184, 580},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1326, 581},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1355, 572},	// Plasma::AppletScript::mainScript
    {39, 1382, 547},	// Plasma::AppletScript::metaObject
    {39, 1443, 573},	// Plasma::AppletScript::package
    {39, 1467, 557},	// Plasma::AppletScript::paintInterface###
    {39, 1492, 568},	// Plasma::AppletScript::popupEvent$
    {39, 1515, 553},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1517, 548},	// Plasma::AppletScript::qt_metacast$
    {39, 1532, 578},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1638, 567},	// Plasma::AppletScript::saveState#
    {39, 1695, 555},	// Plasma::AppletScript::setApplet#
    {39, 1751, 585},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1752, 563},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1837, 586},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1838, 564},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1862, 562},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2173, 561},	// Plasma::AppletScript::shape
    {39, 2181, 569},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2194, 577},	// Plasma::AppletScript::showMessage#$$
    {39, 2206, 558},	// Plasma::AppletScript::size
    {39, 2228, 575},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2235, 587},	// Plasma::AppletScript::staticMetaObject
    {39, 2312, 582},	// Plasma::AppletScript::tr$
    {39, 2313, 549},	// Plasma::AppletScript::tr$$
    {39, 2314, 551},	// Plasma::AppletScript::tr$$$
    {39, 2316, 583},	// Plasma::AppletScript::trUtf8$
    {39, 2317, 550},	// Plasma::AppletScript::trUtf8$$
    {39, 2318, 552},	// Plasma::AppletScript::trUtf8$$$
    {39, 2331, 579},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2423, 588},	// Plasma::AppletScript::~AppletScript
    {40, 50, 591},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 51, 592},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 730, 589},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 772, 590},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2424, 593},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 118, 611},	// Plasma::AuthorizationManager::Custom
    {41, 138, 608},	// Plasma::AuthorizationManager::DenyAll
    {41, 403, 610},	// Plasma::AuthorizationManager::PinPairing
    {41, 550, 609},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1382, 594},	// Plasma::AuthorizationManager::metaObject
    {41, 1515, 600},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1517, 595},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1526, 604},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1670, 601},	// Plasma::AuthorizationManager::self
    {41, 1709, 603},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1711, 602},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2235, 607},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2312, 605},	// Plasma::AuthorizationManager::tr$
    {41, 2313, 596},	// Plasma::AuthorizationManager::tr$$
    {41, 2314, 598},	// Plasma::AuthorizationManager::tr$$$
    {41, 2316, 606},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2317, 597},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2318, 599},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 26, 640},	// Plasma::AuthorizationRule::AllServices
    {42, 27, 639},	// Plasma::AuthorizationRule::AllUsers
    {42, 28, 634},	// Plasma::AuthorizationRule::Allow
    {42, 130, 638},	// Plasma::AuthorizationRule::Default
    {42, 137, 633},	// Plasma::AuthorizationRule::Deny
    {42, 402, 637},	// Plasma::AuthorizationRule::Persistent
    {42, 404, 635},	// Plasma::AuthorizationRule::PinRequired
    {42, 545, 636},	// Plasma::AuthorizationRule::Transient
    {42, 756, 629},	// Plasma::AuthorizationRule::changed#
    {42, 891, 619},	// Plasma::AuthorizationRule::description
    {42, 1382, 612},	// Plasma::AuthorizationRule::metaObject
    {42, 1481, 623},	// Plasma::AuthorizationRule::persistence
    {42, 1482, 627},	// Plasma::AuthorizationRule::pin
    {42, 1488, 621},	// Plasma::AuthorizationRule::policy
    {42, 1515, 618},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1517, 613},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1674, 628},	// Plasma::AuthorizationRule::serviceName
    {42, 1968, 622},	// Plasma::AuthorizationRule::setPersistence$
    {42, 1970, 626},	// Plasma::AuthorizationRule::setPin$
    {42, 1974, 620},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2095, 624},	// Plasma::AuthorizationRule::setTargets$
    {42, 2235, 632},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2281, 625},	// Plasma::AuthorizationRule::targets
    {42, 2312, 630},	// Plasma::AuthorizationRule::tr$
    {42, 2313, 614},	// Plasma::AuthorizationRule::tr$$
    {42, 2314, 616},	// Plasma::AuthorizationRule::tr$$$
    {42, 2316, 631},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2317, 615},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2318, 617},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2425, 641},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 67, 664},	// Plasma::BusyWidget::BusyWidget
    {43, 68, 649},	// Plasma::BusyWidget::BusyWidget#
    {43, 769, 654},	// Plasma::BusyWidget::clicked
    {43, 1096, 657},	// Plasma::BusyWidget::hideEvent#
    {43, 1187, 651},	// Plasma::BusyWidget::isRunning
    {43, 1237, 653},	// Plasma::BusyWidget::label
    {43, 1382, 642},	// Plasma::BusyWidget::metaObject
    {43, 1402, 659},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1404, 660},	// Plasma::BusyWidget::mouseReleaseEvent#
    {43, 1450, 665},	// Plasma::BusyWidget::paint##
    {43, 1451, 655},	// Plasma::BusyWidget::paint###
    {43, 1515, 648},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1517, 643},	// Plasma::BusyWidget::qt_metacast$
    {43, 1610, 658},	// Plasma::BusyWidget::resizeEvent#
    {43, 1904, 652},	// Plasma::BusyWidget::setLabel$
    {43, 2019, 650},	// Plasma::BusyWidget::setRunning$
    {43, 2190, 656},	// Plasma::BusyWidget::showEvent#
    {43, 2235, 666},	// Plasma::BusyWidget::staticMetaObject
    {43, 2298, 661},	// Plasma::BusyWidget::timerEvent#
    {43, 2312, 662},	// Plasma::BusyWidget::tr$
    {43, 2313, 644},	// Plasma::BusyWidget::tr$$
    {43, 2314, 646},	// Plasma::BusyWidget::tr$$$
    {43, 2316, 663},	// Plasma::BusyWidget::trUtf8$
    {43, 2317, 645},	// Plasma::BusyWidget::trUtf8$$
    {43, 2318, 647},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2426, 667},	// Plasma::BusyWidget::~BusyWidget
    {44, 85, 690},	// Plasma::CheckBox::CheckBox
    {44, 86, 675},	// Plasma::CheckBox::CheckBox#
    {44, 754, 687},	// Plasma::CheckBox::changeEvent#
    {44, 1114, 679},	// Plasma::CheckBox::image
    {44, 1159, 684},	// Plasma::CheckBox::isChecked
    {44, 1382, 668},	// Plasma::CheckBox::metaObject
    {44, 1419, 682},	// Plasma::CheckBox::nativeWidget
    {44, 1515, 674},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1517, 669},	// Plasma::CheckBox::qt_metacast$
    {44, 1610, 686},	// Plasma::CheckBox::resizeEvent#
    {44, 1739, 683},	// Plasma::CheckBox::setChecked$
    {44, 1889, 678},	// Plasma::CheckBox::setImage$
    {44, 2067, 680},	// Plasma::CheckBox::setStyleSheet$
    {44, 2097, 676},	// Plasma::CheckBox::setText$
    {44, 2235, 691},	// Plasma::CheckBox::staticMetaObject
    {44, 2248, 681},	// Plasma::CheckBox::styleSheet
    {44, 2283, 677},	// Plasma::CheckBox::text
    {44, 2302, 685},	// Plasma::CheckBox::toggled$
    {44, 2312, 688},	// Plasma::CheckBox::tr$
    {44, 2313, 670},	// Plasma::CheckBox::tr$$
    {44, 2314, 672},	// Plasma::CheckBox::tr$$$
    {44, 2316, 689},	// Plasma::CheckBox::trUtf8$
    {44, 2317, 671},	// Plasma::CheckBox::trUtf8$$
    {44, 2318, 673},	// Plasma::CheckBox::trUtf8$$$
    {44, 2427, 692},	// Plasma::CheckBox::~CheckBox
    {45, 756, 703},	// Plasma::ClientPinRequest::changed#
    {45, 891, 700},	// Plasma::ClientPinRequest::description
    {45, 1382, 693},	// Plasma::ClientPinRequest::metaObject
    {45, 1482, 702},	// Plasma::ClientPinRequest::pin
    {45, 1515, 699},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1517, 694},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 1970, 701},	// Plasma::ClientPinRequest::setPin$
    {45, 2235, 706},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2312, 704},	// Plasma::ClientPinRequest::tr$
    {45, 2313, 695},	// Plasma::ClientPinRequest::tr$$
    {45, 2314, 697},	// Plasma::ClientPinRequest::tr$$$
    {45, 2316, 705},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2317, 696},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2318, 698},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 88, 738},	// Plasma::ComboBox::ComboBox
    {46, 89, 714},	// Plasma::ComboBox::ComboBox#
    {46, 617, 725},	// Plasma::ComboBox::activated$
    {46, 649, 720},	// Plasma::ComboBox::addItem$
    {46, 754, 734},	// Plasma::ComboBox::changeEvent#
    {46, 760, 724},	// Plasma::ComboBox::clear
    {46, 842, 721},	// Plasma::ComboBox::count
    {46, 866, 722},	// Plasma::ComboBox::currentIndex
    {46, 868, 727},	// Plasma::ComboBox::currentIndexChanged$
    {46, 1037, 730},	// Plasma::ComboBox::focusInEvent#
    {46, 1041, 731},	// Plasma::ComboBox::focusOutEvent#
    {46, 1104, 732},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1106, 733},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1382, 707},	// Plasma::ComboBox::metaObject
    {46, 1402, 735},	// Plasma::ComboBox::mousePressEvent#
    {46, 1419, 719},	// Plasma::ComboBox::nativeWidget
    {46, 1451, 729},	// Plasma::ComboBox::paint###
    {46, 1515, 713},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1517, 708},	// Plasma::ComboBox::qt_metacast$
    {46, 1610, 728},	// Plasma::ComboBox::resizeEvent#
    {46, 1780, 723},	// Plasma::ComboBox::setCurrentIndex$
    {46, 1942, 718},	// Plasma::ComboBox::setNativeWidget#
    {46, 2067, 716},	// Plasma::ComboBox::setStyleSheet$
    {46, 2235, 739},	// Plasma::ComboBox::staticMetaObject
    {46, 2248, 717},	// Plasma::ComboBox::styleSheet
    {46, 2283, 715},	// Plasma::ComboBox::text
    {46, 2286, 726},	// Plasma::ComboBox::textChanged$
    {46, 2312, 736},	// Plasma::ComboBox::tr$
    {46, 2313, 709},	// Plasma::ComboBox::tr$$
    {46, 2314, 711},	// Plasma::ComboBox::tr$$$
    {46, 2316, 737},	// Plasma::ComboBox::trUtf8$
    {46, 2317, 710},	// Plasma::ComboBox::trUtf8$$
    {46, 2318, 712},	// Plasma::ComboBox::trUtf8$$$
    {46, 2428, 740},	// Plasma::ComboBox::~ComboBox
    {47, 92, 752},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 93, 743},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 94, 750},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 95, 741},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 96, 751},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 97, 742},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 1022, 744},	// Plasma::ConfigLoader::findItem$$
    {47, 1024, 745},	// Plasma::ConfigLoader::findItemByName$
    {47, 1072, 748},	// Plasma::ConfigLoader::groupList
    {47, 1083, 747},	// Plasma::ConfigLoader::hasGroup$
    {47, 1510, 746},	// Plasma::ConfigLoader::property$
    {47, 2366, 749},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2429, 753},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 100, 843},	// Plasma::Containment::Containment
    {48, 101, 844},	// Plasma::Containment::Containment#
    {48, 102, 845},	// Plasma::Containment::Containment#$
    {48, 103, 761},	// Plasma::Containment::Containment#$$
    {48, 104, 762},	// Plasma::Containment::Containment#?
    {48, 119, 860},	// Plasma::Containment::CustomContainment
    {48, 120, 861},	// Plasma::Containment::CustomPanelContainment
    {48, 140, 858},	// Plasma::Containment::DesktopContainment
    {48, 366, 857},	// Plasma::Containment::NoContainmentType
    {48, 396, 859},	// Plasma::Containment::PanelContainment
    {48, 618, 794},	// Plasma::Containment::activity
    {48, 626, 852},	// Plasma::Containment::addApplet#
    {48, 627, 853},	// Plasma::Containment::addApplet##
    {48, 628, 771},	// Plasma::Containment::addApplet##$
    {48, 629, 850},	// Plasma::Containment::addApplet$
    {48, 630, 851},	// Plasma::Containment::addApplet$?
    {48, 631, 770},	// Plasma::Containment::addApplet$?#
    {48, 633, 788},	// Plasma::Containment::addAssociatedWidget#
    {48, 667, 814},	// Plasma::Containment::addSiblingContainment
    {48, 668, 807},	// Plasma::Containment::addSiblingContainment#
    {48, 683, 782},	// Plasma::Containment::addToolBoxAction#
    {48, 711, 802},	// Plasma::Containment::appletAdded##
    {48, 716, 803},	// Plasma::Containment::appletRemoved#
    {48, 719, 772},	// Plasma::Containment::applets
    {48, 762, 773},	// Plasma::Containment::clearApplets
    {48, 774, 787},	// Plasma::Containment::closeToolBox
    {48, 783, 820},	// Plasma::Containment::configChanged
    {48, 791, 810},	// Plasma::Containment::configureRequested#
    {48, 810, 800},	// Plasma::Containment::containmentActions$
    {48, 811, 801},	// Plasma::Containment::containmentActionsConfig
    {48, 814, 799},	// Plasma::Containment::containmentActionsTriggers
    {48, 822, 764},	// Plasma::Containment::containmentType
    {48, 831, 795},	// Plasma::Containment::context
    {48, 834, 811},	// Plasma::Containment::contextChanged#
    {48, 838, 828},	// Plasma::Containment::contextMenuEvent#
    {48, 841, 765},	// Plasma::Containment::corona
    {48, 892, 777},	// Plasma::Containment::desktop
    {48, 894, 817},	// Plasma::Containment::destroy
    {48, 895, 818},	// Plasma::Containment::destroy$
    {48, 917, 833},	// Plasma::Containment::dragEnterEvent#
    {48, 919, 834},	// Plasma::Containment::dragLeaveEvent#
    {48, 921, 835},	// Plasma::Containment::dragMoveEvent#
    {48, 943, 790},	// Plasma::Containment::drawWallpaper
    {48, 947, 836},	// Plasma::Containment::dropEvent#
    {48, 977, 781},	// Plasma::Containment::enableAction$$
    {48, 1038, 815},	// Plasma::Containment::focusNextApplet
    {48, 1042, 816},	// Plasma::Containment::focusPreviousApplet
    {48, 1126, 763},	// Plasma::Containment::init
    {48, 1191, 785},	// Plasma::Containment::isToolBoxOpen
    {48, 1211, 832},	// Plasma::Containment::itemChange$#
    {48, 1230, 829},	// Plasma::Containment::keyPressEvent#
    {48, 1248, 778},	// Plasma::Containment::lastDesktop
    {48, 1250, 776},	// Plasma::Containment::lastScreen
    {48, 1282, 768},	// Plasma::Containment::listContainmentTypes
    {48, 1283, 846},	// Plasma::Containment::listContainments
    {48, 1284, 847},	// Plasma::Containment::listContainments$
    {48, 1285, 766},	// Plasma::Containment::listContainments$$
    {48, 1287, 769},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1289, 848},	// Plasma::Containment::listContainmentsOfType$
    {48, 1290, 849},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1291, 767},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1382, 754},	// Plasma::Containment::metaObject
    {48, 1400, 825},	// Plasma::Containment::mouseMoveEvent#
    {48, 1402, 826},	// Plasma::Containment::mousePressEvent#
    {48, 1404, 827},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1430, 786},	// Plasma::Containment::openToolBox
    {48, 1515, 760},	// Plasma::Containment::qt_metacall$$?
    {48, 1517, 755},	// Plasma::Containment::qt_metacast$
    {48, 1564, 789},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1586, 783},	// Plasma::Containment::removeToolBoxAction#
    {48, 1610, 837},	// Plasma::Containment::resizeEvent#
    {48, 1614, 780},	// Plasma::Containment::restore#
    {48, 1616, 824},	// Plasma::Containment::restoreContents#
    {48, 1632, 779},	// Plasma::Containment::save#
    {48, 1634, 823},	// Plasma::Containment::saveContents#
    {48, 1646, 831},	// Plasma::Containment::sceneEventFilter##
    {48, 1650, 775},	// Plasma::Containment::screen
    {48, 1652, 809},	// Plasma::Containment::screenChanged$$#
    {48, 1685, 793},	// Plasma::Containment::setActivity$
    {48, 1756, 798},	// Plasma::Containment::setContainmentActions$$
    {48, 1760, 821},	// Plasma::Containment::setContainmentType$
    {48, 1814, 822},	// Plasma::Containment::setDrawWallpaper$
    {48, 1847, 813},	// Plasma::Containment::setFormFactor$
    {48, 1917, 812},	// Plasma::Containment::setLocation$
    {48, 2023, 854},	// Plasma::Containment::setScreen$
    {48, 2024, 774},	// Plasma::Containment::setScreen$$
    {48, 2111, 839},	// Plasma::Containment::setToolBox#
    {48, 2113, 784},	// Plasma::Containment::setToolBoxOpen$
    {48, 2155, 855},	// Plasma::Containment::setWallpaper$
    {48, 2156, 791},	// Plasma::Containment::setWallpaper$$
    {48, 2179, 808},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2181, 819},	// Plasma::Containment::showConfigurationInterface
    {48, 2184, 796},	// Plasma::Containment::showContextMenu##
    {48, 2188, 797},	// Plasma::Containment::showDropZone#
    {48, 2235, 856},	// Plasma::Containment::staticMetaObject
    {48, 2303, 840},	// Plasma::Containment::toolBox
    {48, 2304, 838},	// Plasma::Containment::toolBoxItem
    {48, 2305, 805},	// Plasma::Containment::toolBoxToggled
    {48, 2307, 806},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2312, 841},	// Plasma::Containment::tr$
    {48, 2313, 756},	// Plasma::Containment::tr$$
    {48, 2314, 758},	// Plasma::Containment::tr$$$
    {48, 2316, 842},	// Plasma::Containment::trUtf8$
    {48, 2317, 757},	// Plasma::Containment::trUtf8$$
    {48, 2318, 759},	// Plasma::Containment::trUtf8$$$
    {48, 2392, 792},	// Plasma::Containment::wallpaper
    {48, 2397, 830},	// Plasma::Containment::wheelEvent#
    {48, 2415, 804},	// Plasma::Containment::zoomRequested#$
    {48, 2430, 862},	// Plasma::Containment::~Containment
    {49, 504, 863},	// Plasma::Containment::StyleOption::StyleOption
    {49, 505, -27},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 551, 868},	// Plasma::Containment::StyleOption::Type
    {49, 564, 869},	// Plasma::Containment::StyleOption::Version
    {49, 2151, 867},	// Plasma::Containment::StyleOption::setView#
    {49, 2381, 866},	// Plasma::Containment::StyleOption::view
    {49, 2474, 870},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 105, 906},	// Plasma::ContainmentActions::ContainmentActions
    {50, 106, 878},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 107, 899},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 787, 890},	// Plasma::ContainmentActions::configurationAccepted
    {50, 788, 894},	// Plasma::ContainmentActions::configurationRequired
    {50, 808, 902},	// Plasma::ContainmentActions::containment
    {50, 836, 891},	// Plasma::ContainmentActions::contextEvent#
    {50, 839, 892},	// Plasma::ContainmentActions::contextualActions
    {50, 849, 889},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 883, 893},	// Plasma::ContainmentActions::dataEngine$
    {50, 993, 897},	// Plasma::ContainmentActions::event#
    {50, 997, 895},	// Plasma::ContainmentActions::eventToString#
    {50, 1110, 885},	// Plasma::ContainmentActions::icon
    {50, 1127, 900},	// Plasma::ContainmentActions::init#
    {50, 1171, 886},	// Plasma::ContainmentActions::isInitialized
    {50, 1281, 879},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1314, 908},	// Plasma::ContainmentActions::load##
    {50, 1315, 881},	// Plasma::ContainmentActions::load##?
    {50, 1316, 907},	// Plasma::ContainmentActions::load#$
    {50, 1317, 880},	// Plasma::ContainmentActions::load#$?
    {50, 1382, 871},	// Plasma::ContainmentActions::metaObject
    {50, 1417, 883},	// Plasma::ContainmentActions::name
    {50, 1444, 882},	// Plasma::ContainmentActions::packageStructure
    {50, 1474, 903},	// Plasma::ContainmentActions::paste##
    {50, 1487, 884},	// Plasma::ContainmentActions::pluginName
    {50, 1497, 896},	// Plasma::ContainmentActions::popupPosition##
    {50, 1515, 877},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1517, 872},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1614, 887},	// Plasma::ContainmentActions::restore#
    {50, 1632, 888},	// Plasma::ContainmentActions::save#
    {50, 1750, 909},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1751, 901},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 1754, 898},	// Plasma::ContainmentActions::setContainment#
    {50, 2235, 910},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2312, 904},	// Plasma::ContainmentActions::tr$
    {50, 2313, 873},	// Plasma::ContainmentActions::tr$$
    {50, 2314, 875},	// Plasma::ContainmentActions::tr$$$
    {50, 2316, 905},	// Plasma::ContainmentActions::trUtf8$
    {50, 2317, 874},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2318, 876},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2431, 911},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 108, 912},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 109, 913},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 659, 917},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 660, -51},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 760, 915},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1438, 914},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1557, 916},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2432, 920},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 111, 940},	// Plasma::Context::Context
    {52, 112, 928},	// Plasma::Context::Context#
    {52, 620, 936},	// Plasma::Context::activityChanged#
    {52, 756, 935},	// Plasma::Context::changed#
    {52, 847, 929},	// Plasma::Context::createActivity$
    {52, 862, 932},	// Plasma::Context::currentActivity
    {52, 863, 934},	// Plasma::Context::currentActivityId
    {52, 1266, 930},	// Plasma::Context::listActivities
    {52, 1347, 937},	// Plasma::Context::locationChanged#
    {52, 1382, 921},	// Plasma::Context::metaObject
    {52, 1515, 927},	// Plasma::Context::qt_metacall$$?
    {52, 1517, 922},	// Plasma::Context::qt_metacast$
    {52, 1776, 931},	// Plasma::Context::setCurrentActivity$
    {52, 1778, 933},	// Plasma::Context::setCurrentActivityId$
    {52, 2235, 941},	// Plasma::Context::staticMetaObject
    {52, 2312, 938},	// Plasma::Context::tr$
    {52, 2313, 923},	// Plasma::Context::tr$$
    {52, 2314, 925},	// Plasma::Context::tr$$$
    {52, 2316, 939},	// Plasma::Context::trUtf8$
    {52, 2317, 924},	// Plasma::Context::trUtf8$$
    {52, 2318, 926},	// Plasma::Context::trUtf8$$$
    {52, 2433, 942},	// Plasma::Context::~Context
    {53, 115, 1008},	// Plasma::Corona::Corona
    {53, 116, 950},	// Plasma::Corona::Corona#
    {53, 605, 968},	// Plasma::Corona::action$
    {53, 607, 970},	// Plasma::Corona::actions
    {53, 622, 974},	// Plasma::Corona::addAction$
    {53, 623, 969},	// Plasma::Corona::addAction$#
    {53, 635, 1009},	// Plasma::Corona::addContainment$
    {53, 636, 956},	// Plasma::Corona::addContainment$?
    {53, 638, 1015},	// Plasma::Corona::addContainmentDelayed$
    {53, 639, 999},	// Plasma::Corona::addContainmentDelayed$?
    {53, 655, 959},	// Plasma::Corona::addOffscreenWidget#
    {53, 666, 973},	// Plasma::Corona::addShortcuts#
    {53, 714, 952},	// Plasma::Corona::appletMimeType
    {53, 736, 964},	// Plasma::Corona::availableScreenRegion$
    {53, 737, 995},	// Plasma::Corona::availableScreenRegionChanged
    {53, 764, 954},	// Plasma::Corona::clearContainments
    {53, 781, 955},	// Plasma::Corona::config
    {53, 786, 994},	// Plasma::Corona::configSynced
    {53, 813, 976},	// Plasma::Corona::containmentActionsDefaults$
    {53, 816, 991},	// Plasma::Corona::containmentAdded#
    {53, 818, 1010},	// Plasma::Corona::containmentForScreen$
    {53, 819, 957},	// Plasma::Corona::containmentForScreen$$
    {53, 820, 1011},	// Plasma::Corona::containmentForScreen$$$
    {53, 821, 958},	// Plasma::Corona::containmentForScreen$$$?
    {53, 823, 953},	// Plasma::Corona::containments
    {53, 900, 978},	// Plasma::Corona::dialogManager
    {53, 917, 1003},	// Plasma::Corona::dragEnterEvent#
    {53, 919, 1004},	// Plasma::Corona::dragLeaveEvent#
    {53, 921, 1005},	// Plasma::Corona::dragMoveEvent#
    {53, 977, 971},	// Plasma::Corona::enableAction$$
    {53, 1005, 982},	// Plasma::Corona::exportLayout#?
    {53, 1056, 967},	// Plasma::Corona::freeEdges$
    {53, 1117, 986},	// Plasma::Corona::immutability
    {53, 1119, 996},	// Plasma::Corona::immutabilityChanged$
    {53, 1122, -36},	// Plasma::Corona::importLayout#
    {53, 1133, 1012},	// Plasma::Corona::initializeLayout
    {53, 1134, 983},	// Plasma::Corona::initializeLayout$
    {53, 1258, 990},	// Plasma::Corona::layoutContainments
    {53, 1327, 998},	// Plasma::Corona::loadDefaultLayout
    {53, 1332, 1013},	// Plasma::Corona::loadLayout
    {53, 1333, 984},	// Plasma::Corona::loadLayout$
    {53, 1359, -39},	// Plasma::Corona::mapAnimation$$
    {53, 1382, 943},	// Plasma::Corona::metaObject
    {53, 1427, 962},	// Plasma::Corona::numScreens
    {53, 1428, 961},	// Plasma::Corona::offscreenWidgets
    {53, 1497, 965},	// Plasma::Corona::popupPosition##
    {53, 1498, 966},	// Plasma::Corona::popupPosition##$
    {53, 1502, 980},	// Plasma::Corona::preferredToolBoxPlugin$
    {53, 1515, 949},	// Plasma::Corona::qt_metacall$$?
    {53, 1517, 944},	// Plasma::Corona::qt_metacast$
    {53, 1544, 993},	// Plasma::Corona::releaseVisualFocus
    {53, 1576, 960},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1599, 988},	// Plasma::Corona::requestConfigSync
    {53, 1600, 989},	// Plasma::Corona::requireConfigSync
    {53, 1635, 1014},	// Plasma::Corona::saveLayout
    {53, 1636, 985},	// Plasma::Corona::saveLayout$
    {53, 1654, 963},	// Plasma::Corona::screenGeometry$
    {53, 1656, 992},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1697, 951},	// Plasma::Corona::setAppletMimeType$
    {53, 1758, 975},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1806, 977},	// Plasma::Corona::setDialogManager#
    {53, 1894, 987},	// Plasma::Corona::setImmutability$
    {53, 1985, 1002},	// Plasma::Corona::setPreferredToolBoxPlugin$$
    {53, 2174, 997},	// Plasma::Corona::shortcutsChanged
    {53, 2235, 1016},	// Plasma::Corona::staticMetaObject
    {53, 2312, 1006},	// Plasma::Corona::tr$
    {53, 2313, 945},	// Plasma::Corona::tr$$
    {53, 2314, 947},	// Plasma::Corona::tr$$$
    {53, 2316, 1007},	// Plasma::Corona::trUtf8$
    {53, 2317, 946},	// Plasma::Corona::trUtf8$$
    {53, 2318, 948},	// Plasma::Corona::trUtf8$$$
    {53, 2349, 972},	// Plasma::Corona::updateShortcuts
    {53, 2434, 1017},	// Plasma::Corona::~Corona
    {54, 121, 1047},	// Plasma::DataContainer::DataContainer
    {54, 122, 1025},	// Plasma::DataContainer::DataContainer#
    {54, 742, 1039},	// Plasma::DataContainer::becameUnused$
    {54, 757, 1041},	// Plasma::DataContainer::checkForUpdate
    {54, 758, 1044},	// Plasma::DataContainer::checkUsage
    {54, 802, 1030},	// Plasma::DataContainer::connectVisualization#$$
    {54, 881, 1026},	// Plasma::DataContainer::data
    {54, 885, 1038},	// Plasma::DataContainer::dataUpdated$?
    {54, 911, 1036},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1048, 1037},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1060, 1035},	// Plasma::DataContainer::getDataEngine
    {54, 1189, 1032},	// Plasma::DataContainer::isStorageEnabled
    {54, 1382, 1018},	// Plasma::DataContainer::metaObject
    {54, 1421, 1033},	// Plasma::DataContainer::needsToBeStored
    {54, 1515, 1024},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1517, 1019},	// Plasma::DataContainer::qt_metacast$
    {54, 1560, 1028},	// Plasma::DataContainer::removeAllData
    {54, 1787, 1027},	// Plasma::DataContainer::setData$#
    {54, 1944, 1034},	// Plasma::DataContainer::setNeedsToBeStored$
    {54, 1945, 1048},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1946, 1043},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2064, 1031},	// Plasma::DataContainer::setStorageEnabled$
    {54, 2235, 1049},	// Plasma::DataContainer::staticMetaObject
    {54, 2296, 1042},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2312, 1045},	// Plasma::DataContainer::tr$
    {54, 2313, 1020},	// Plasma::DataContainer::tr$$
    {54, 2314, 1022},	// Plasma::DataContainer::tr$$$
    {54, 2316, 1046},	// Plasma::DataContainer::trUtf8$
    {54, 2317, 1021},	// Plasma::DataContainer::trUtf8$$
    {54, 2318, 1023},	// Plasma::DataContainer::trUtf8$$$
    {54, 2348, 1040},	// Plasma::DataContainer::updateRequested#
    {54, 2391, 1029},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2435, 1050},	// Plasma::DataContainer::~DataContainer
    {55, 123, 1104},	// Plasma::DataEngine::DataEngine
    {55, 124, 1105},	// Plasma::DataEngine::DataEngine#
    {55, 125, -57},	// Plasma::DataEngine::DataEngine#?
    {55, 670, 1085},	// Plasma::DataEngine::addSource#
    {55, 793, 1108},	// Plasma::DataEngine::connectAllSources#
    {55, 794, 1109},	// Plasma::DataEngine::connectAllSources#$
    {55, 795, 1065},	// Plasma::DataEngine::connectAllSources#$$
    {55, 798, 1106},	// Plasma::DataEngine::connectSource$#
    {55, 799, 1107},	// Plasma::DataEngine::connectSource$#$
    {55, 800, 1064},	// Plasma::DataEngine::connectSource$#$$
    {55, 805, 1092},	// Plasma::DataEngine::containerDict
    {55, 807, 1067},	// Plasma::DataEngine::containerForSource$
    {55, 850, 1110},	// Plasma::DataEngine::createDefaultService
    {55, 851, 1075},	// Plasma::DataEngine::createDefaultService#
    {55, 909, 1066},	// Plasma::DataEngine::disconnectSource$#
    {55, 1049, 1101},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1110, 1072},	// Plasma::DataEngine::icon
    {55, 1126, 1060},	// Plasma::DataEngine::init
    {55, 1166, 1070},	// Plasma::DataEngine::isEmpty
    {55, 1195, 1069},	// Plasma::DataEngine::isValid
    {55, 1376, 1071},	// Plasma::DataEngine::maxSourceCount
    {55, 1382, 1051},	// Plasma::DataEngine::metaObject
    {55, 1394, 1088},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1417, 1063},	// Plasma::DataEngine::name
    {55, 1443, 1073},	// Plasma::DataEngine::package
    {55, 1487, 1074},	// Plasma::DataEngine::pluginName
    {55, 1515, 1057},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1517, 1052},	// Plasma::DataEngine::qt_metacast$
    {55, 1519, 1068},	// Plasma::DataEngine::query$
    {55, 1561, 1083},	// Plasma::DataEngine::removeAllData$
    {55, 1562, 1090},	// Plasma::DataEngine::removeAllSources
    {55, 1566, 1084},	// Plasma::DataEngine::removeData$$
    {55, 1580, 1099},	// Plasma::DataEngine::removeSource$
    {55, 1649, 1098},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1673, 1062},	// Plasma::DataEngine::serviceForSource$
    {55, 1787, 1080},	// Plasma::DataEngine::setData$#
    {55, 1788, 1081},	// Plasma::DataEngine::setData$$#
    {55, 1789, 1082},	// Plasma::DataEngine::setData$?
    {55, 1797, 1096},	// Plasma::DataEngine::setDefaultService$
    {55, 1882, 1095},	// Plasma::DataEngine::setIcon$
    {55, 1921, 1086},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1935, 1087},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1940, 1094},	// Plasma::DataEngine::setName$
    {55, 1976, 1089},	// Plasma::DataEngine::setPollingInterval$
    {55, 2065, 1097},	// Plasma::DataEngine::setStorageEnabled$$
    {55, 2135, 1091},	// Plasma::DataEngine::setValid$
    {55, 2220, 1076},	// Plasma::DataEngine::sourceAdded$
    {55, 2222, 1077},	// Plasma::DataEngine::sourceRemoved$
    {55, 2224, 1078},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2225, 1061},	// Plasma::DataEngine::sources
    {55, 2235, 1111},	// Plasma::DataEngine::staticMetaObject
    {55, 2298, 1093},	// Plasma::DataEngine::timerEvent#
    {55, 2312, 1102},	// Plasma::DataEngine::tr$
    {55, 2313, 1053},	// Plasma::DataEngine::tr$$
    {55, 2314, 1055},	// Plasma::DataEngine::tr$$$
    {55, 2316, 1103},	// Plasma::DataEngine::trUtf8$
    {55, 2317, 1054},	// Plasma::DataEngine::trUtf8$$
    {55, 2318, 1056},	// Plasma::DataEngine::trUtf8$$$
    {55, 2338, 1100},	// Plasma::DataEngine::updateAllSources
    {55, 2351, 1079},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2436, 1112},	// Plasma::DataEngine::~DataEngine
    {56, 983, 1121},	// Plasma::DataEngineManager::engine$
    {56, 1267, 1130},	// Plasma::DataEngineManager::listAllEngines
    {56, 1268, 1124},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1292, 1131},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1293, 1125},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1295, 1132},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1296, 1126},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1329, 1122},	// Plasma::DataEngineManager::loadEngine$
    {56, 1382, 1113},	// Plasma::DataEngineManager::metaObject
    {56, 1515, 1119},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1517, 1114},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1670, 1120},	// Plasma::DataEngineManager::self
    {56, 2235, 1133},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2298, 1127},	// Plasma::DataEngineManager::timerEvent#
    {56, 2312, 1128},	// Plasma::DataEngineManager::tr$
    {56, 2313, 1115},	// Plasma::DataEngineManager::tr$$
    {56, 2314, 1117},	// Plasma::DataEngineManager::tr$$$
    {56, 2316, 1129},	// Plasma::DataEngineManager::trUtf8$
    {56, 2317, 1116},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2318, 1118},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2328, 1123},	// Plasma::DataEngineManager::unloadEngine$
    {57, 127, 1171},	// Plasma::DataEngineScript::DataEngineScript
    {57, 128, 1141},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 670, 1161},	// Plasma::DataEngineScript::addSource#
    {57, 805, 1162},	// Plasma::DataEngineScript::containerDict
    {57, 882, 1143},	// Plasma::DataEngineScript::dataEngine
    {57, 891, 1150},	// Plasma::DataEngineScript::description
    {57, 1049, 1168},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1355, 1148},	// Plasma::DataEngineScript::mainScript
    {57, 1382, 1134},	// Plasma::DataEngineScript::metaObject
    {57, 1394, 1158},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1443, 1149},	// Plasma::DataEngineScript::package
    {57, 1515, 1140},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1517, 1135},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1561, 1154},	// Plasma::DataEngineScript::removeAllData$
    {57, 1562, 1160},	// Plasma::DataEngineScript::removeAllSources
    {57, 1566, 1155},	// Plasma::DataEngineScript::removeData$$
    {57, 1580, 1166},	// Plasma::DataEngineScript::removeSource$
    {57, 1649, 1165},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1673, 1147},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1787, 1152},	// Plasma::DataEngineScript::setData$#
    {57, 1788, 1151},	// Plasma::DataEngineScript::setData$$#
    {57, 1789, 1153},	// Plasma::DataEngineScript::setData$?
    {57, 1791, 1142},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1882, 1164},	// Plasma::DataEngineScript::setIcon$
    {57, 1921, 1156},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1935, 1157},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1940, 1163},	// Plasma::DataEngineScript::setName$
    {57, 1976, 1159},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2224, 1145},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2225, 1144},	// Plasma::DataEngineScript::sources
    {57, 2235, 1172},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2312, 1169},	// Plasma::DataEngineScript::tr$
    {57, 2313, 1136},	// Plasma::DataEngineScript::tr$$
    {57, 2314, 1138},	// Plasma::DataEngineScript::tr$$$
    {57, 2316, 1170},	// Plasma::DataEngineScript::trUtf8$
    {57, 2317, 1137},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2318, 1139},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2338, 1167},	// Plasma::DataEngineScript::updateAllSources
    {57, 2351, 1146},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2437, 1173},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 87, 1196},	// Plasma::Delegate::ColumnTypeRole
    {58, 134, 1192},	// Plasma::Delegate::Delegate
    {58, 135, 1181},	// Plasma::Delegate::Delegate#
    {58, 341, 1197},	// Plasma::Delegate::MainColumn
    {58, 472, 1198},	// Plasma::Delegate::SecondaryActionColumn
    {58, 507, 1195},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 508, 1194},	// Plasma::Delegate::SubTitleRole
    {58, 975, 1188},	// Plasma::Delegate::emptyRect##
    {58, 1382, 1174},	// Plasma::Delegate::metaObject
    {58, 1451, 1184},	// Plasma::Delegate::paint###
    {58, 1515, 1180},	// Plasma::Delegate::qt_metacall$$?
    {58, 1517, 1175},	// Plasma::Delegate::qt_metacast$
    {58, 1528, 1187},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1530, 1186},	// Plasma::Delegate::rectAfterTitle##
    {58, 1620, 1183},	// Plasma::Delegate::roleMapping$
    {58, 2015, 1182},	// Plasma::Delegate::setRoleMapping$$
    {58, 2197, 1185},	// Plasma::Delegate::showToolTip
    {58, 2211, 1189},	// Plasma::Delegate::sizeHint##
    {58, 2235, 1193},	// Plasma::Delegate::staticMetaObject
    {58, 2312, 1190},	// Plasma::Delegate::tr$
    {58, 2313, 1176},	// Plasma::Delegate::tr$$
    {58, 2314, 1178},	// Plasma::Delegate::tr$$$
    {58, 2316, 1191},	// Plasma::Delegate::trUtf8$
    {58, 2317, 1177},	// Plasma::Delegate::trUtf8$$
    {58, 2318, 1179},	// Plasma::Delegate::trUtf8$$$
    {58, 2438, 1199},	// Plasma::Delegate::~Delegate
    {59, 22, 1242},	// Plasma::Dialog::All
    {59, 145, 1234},	// Plasma::Dialog::Dialog
    {59, 146, 1235},	// Plasma::Dialog::Dialog#
    {59, 147, 1207},	// Plasma::Dialog::Dialog#$
    {59, 368, 1237},	// Plasma::Dialog::NoCorner
    {59, 381, 1238},	// Plasma::Dialog::NorthEast
    {59, 382, 1240},	// Plasma::Dialog::NorthWest
    {59, 495, 1239},	// Plasma::Dialog::SouthEast
    {59, 496, 1241},	// Plasma::Dialog::SouthWest
    {59, 690, 1212},	// Plasma::Dialog::animatedHide$
    {59, 692, 1213},	// Plasma::Dialog::animatedShow$
    {59, 721, 1214},	// Plasma::Dialog::aspectRatioMode
    {59, 901, 1216},	// Plasma::Dialog::dialogResized
    {59, 903, 1217},	// Plasma::Dialog::dialogVisible$
    {59, 993, 1220},	// Plasma::Dialog::event#
    {59, 995, 1222},	// Plasma::Dialog::eventFilter##
    {59, 1037, 1225},	// Plasma::Dialog::focusInEvent#
    {59, 1069, 1209},	// Plasma::Dialog::graphicsWidget
    {59, 1096, 1223},	// Plasma::Dialog::hideEvent#
    {59, 1124, 1231},	// Plasma::Dialog::inControlArea#
    {59, 1230, 1229},	// Plasma::Dialog::keyPressEvent#
    {59, 1382, 1200},	// Plasma::Dialog::metaObject
    {59, 1400, 1226},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1402, 1227},	// Plasma::Dialog::mousePressEvent#
    {59, 1404, 1228},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1406, 1230},	// Plasma::Dialog::moveEvent#
    {59, 1459, 1219},	// Plasma::Dialog::paintEvent#
    {59, 1515, 1206},	// Plasma::Dialog::qt_metacall$$?
    {59, 1517, 1201},	// Plasma::Dialog::qt_metacast$
    {59, 1608, 1211},	// Plasma::Dialog::resizeCorners
    {59, 1610, 1221},	// Plasma::Dialog::resizeEvent#
    {59, 1701, 1215},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1855, 1208},	// Plasma::Dialog::setGraphicsWidget#
    {59, 2011, 1210},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2190, 1224},	// Plasma::Dialog::showEvent#
    {59, 2235, 1236},	// Plasma::Dialog::staticMetaObject
    {59, 2263, 1218},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2312, 1232},	// Plasma::Dialog::tr$
    {59, 2313, 1202},	// Plasma::Dialog::tr$$
    {59, 2314, 1204},	// Plasma::Dialog::tr$$$
    {59, 2316, 1233},	// Plasma::Dialog::trUtf8$
    {59, 2317, 1203},	// Plasma::Dialog::trUtf8$$
    {59, 2318, 1205},	// Plasma::Dialog::trUtf8$$$
    {59, 2439, 1243},	// Plasma::Dialog::~Dialog
    {60, 63, 1287},	// Plasma::Extender::BottomUpStacked
    {60, 166, 1251},	// Plasma::Extender::Extender#
    {60, 362, 1286},	// Plasma::Extender::NoBorders
    {60, 539, 1288},	// Plasma::Extender::TopDownStacked
    {60, 705, 1262},	// Plasma::Extender::appearance
    {60, 709, 1264},	// Plasma::Extender::applet
    {60, 726, 1255},	// Plasma::Extender::attachedItems
    {60, 898, 1256},	// Plasma::Extender::detachedItems
    {60, 917, 1275},	// Plasma::Extender::dragEnterEvent#
    {60, 919, 1277},	// Plasma::Extender::dragLeaveEvent#
    {60, 921, 1276},	// Plasma::Extender::dragMoveEvent#
    {60, 947, 1278},	// Plasma::Extender::dropEvent#
    {60, 973, 1253},	// Plasma::Extender::emptyExtenderMessage
    {60, 980, 1271},	// Plasma::Extender::enabledBordersForItem#
    {60, 1058, 1281},	// Plasma::Extender::geometryChanged
    {60, 1071, 1258},	// Plasma::Extender::group$
    {60, 1073, 1263},	// Plasma::Extender::groups
    {60, 1085, 1259},	// Plasma::Extender::hasItem$
    {60, 1166, 1260},	// Plasma::Extender::isEmpty
    {60, 1200, 1257},	// Plasma::Extender::item$
    {60, 1204, 1284},	// Plasma::Extender::itemAddedEvent#
    {60, 1205, 1265},	// Plasma::Extender::itemAddedEvent##
    {60, 1209, 1279},	// Plasma::Extender::itemAttached#
    {60, 1211, 1272},	// Plasma::Extender::itemChange$#
    {60, 1213, 1280},	// Plasma::Extender::itemDetached#
    {60, 1217, 1267},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1219, 1269},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1221, 1268},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1223, 1266},	// Plasma::Extender::itemRemovedEvent#
    {60, 1228, 1254},	// Plasma::Extender::items
    {60, 1382, 1244},	// Plasma::Extender::metaObject
    {60, 1402, 1274},	// Plasma::Extender::mousePressEvent#
    {60, 1515, 1250},	// Plasma::Extender::qt_metacall$$?
    {60, 1517, 1245},	// Plasma::Extender::qt_metacast$
    {60, 1610, 1273},	// Plasma::Extender::resizeEvent#
    {60, 1637, 1270},	// Plasma::Extender::saveState
    {60, 1693, 1261},	// Plasma::Extender::setAppearance$
    {60, 1827, 1252},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2235, 1285},	// Plasma::Extender::staticMetaObject
    {60, 2312, 1282},	// Plasma::Extender::tr$
    {60, 2313, 1246},	// Plasma::Extender::tr$$
    {60, 2314, 1248},	// Plasma::Extender::tr$$$
    {60, 2316, 1283},	// Plasma::Extender::trUtf8$
    {60, 2317, 1247},	// Plasma::Extender::trUtf8$$
    {60, 2318, 1249},	// Plasma::Extender::trUtf8$$$
    {60, 2440, 1289},	// Plasma::Extender::~Extender
    {61, 168, 1315},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 169, 1297},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 732, 1299},	// Plasma::ExtenderGroup::autoHide
    {61, 775, 1306},	// Plasma::ExtenderGroup::collapseGroup
    {61, 917, 1309},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 919, 1311},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 921, 1310},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 947, 1312},	// Plasma::ExtenderGroup::dropEvent#
    {61, 995, 1308},	// Plasma::ExtenderGroup::eventFilter##
    {61, 1003, 1305},	// Plasma::ExtenderGroup::expandGroup
    {61, 1156, 1302},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1169, 1301},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1228, 1298},	// Plasma::ExtenderGroup::items
    {61, 1382, 1290},	// Plasma::ExtenderGroup::metaObject
    {61, 1515, 1296},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1517, 1291},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1610, 1307},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1713, 1303},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1717, 1300},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1860, 1304},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2235, 1316},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2312, 1313},	// Plasma::ExtenderGroup::tr$
    {61, 2313, 1292},	// Plasma::ExtenderGroup::tr$$
    {61, 2314, 1294},	// Plasma::ExtenderGroup::tr$$$
    {61, 2316, 1314},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2317, 1293},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2318, 1295},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2441, 1317},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 171, 1369},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 172, 1325},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 605, 1347},	// Plasma::ExtenderItem::action$
    {62, 623, 1346},	// Plasma::ExtenderItem::addAction$#
    {62, 731, 1343},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 781, 1326},	// Plasma::ExtenderItem::config
    {62, 894, 1350},	// Plasma::ExtenderItem::destroy
    {62, 897, 1355},	// Plasma::ExtenderItem::destroyed#
    {62, 1006, 1337},	// Plasma::ExtenderItem::extender
    {62, 1070, 1340},	// Plasma::ExtenderItem::group
    {62, 1094, 1354},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1106, 1364},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1108, 1363},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1110, 1335},	// Plasma::ExtenderItem::icon
    {62, 1162, 1345},	// Plasma::ExtenderItem::isCollapsed
    {62, 1164, 1344},	// Plasma::ExtenderItem::isDetached
    {62, 1168, 1341},	// Plasma::ExtenderItem::isGroup
    {62, 1192, 1349},	// Plasma::ExtenderItem::isTransient
    {62, 1382, 1318},	// Plasma::ExtenderItem::metaObject
    {62, 1398, 1360},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1400, 1361},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1402, 1359},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1404, 1362},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1406, 1357},	// Plasma::ExtenderItem::moveEvent#
    {62, 1417, 1332},	// Plasma::ExtenderItem::name
    {62, 1451, 1356},	// Plasma::ExtenderItem::paint###
    {62, 1515, 1324},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1517, 1319},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1610, 1358},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1618, 1352},	// Plasma::ExtenderItem::returnToSource
    {62, 1646, 1365},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1715, 1342},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1747, 1351},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1833, 1370},	// Plasma::ExtenderItem::setExtender#
    {62, 1834, 1336},	// Plasma::ExtenderItem::setExtender##
    {62, 1857, 1338},	// Plasma::ExtenderItem::setGroup#
    {62, 1858, 1339},	// Plasma::ExtenderItem::setGroup##
    {62, 1881, 1334},	// Plasma::ExtenderItem::setIcon#
    {62, 1882, 1333},	// Plasma::ExtenderItem::setIcon$
    {62, 1940, 1331},	// Plasma::ExtenderItem::setName$
    {62, 2109, 1329},	// Plasma::ExtenderItem::setTitle$
    {62, 2117, 1348},	// Plasma::ExtenderItem::setTransient$
    {62, 2162, 1327},	// Plasma::ExtenderItem::setWidget#
    {62, 2180, 1353},	// Plasma::ExtenderItem::showCloseButton
    {62, 2213, 1366},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2235, 1371},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2299, 1330},	// Plasma::ExtenderItem::title
    {62, 2312, 1367},	// Plasma::ExtenderItem::tr$
    {62, 2313, 1320},	// Plasma::ExtenderItem::tr$$
    {62, 2314, 1322},	// Plasma::ExtenderItem::tr$$$
    {62, 2316, 1368},	// Plasma::ExtenderItem::trUtf8$
    {62, 2317, 1321},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2318, 1323},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2398, 1328},	// Plasma::ExtenderItem::widget
    {62, 2442, 1372},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 180, 1398},	// Plasma::FlashingLabel::FlashingLabel
    {63, 181, 1380},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 734, 1391},	// Plasma::FlashingLabel::autohide
    {63, 778, 1384},	// Plasma::FlashingLabel::color
    {63, 948, 1386},	// Plasma::FlashingLabel::duration
    {63, 1010, 1394},	// Plasma::FlashingLabel::fadeIn
    {63, 1011, 1395},	// Plasma::FlashingLabel::fadeOut
    {63, 1029, 1402},	// Plasma::FlashingLabel::flash#
    {63, 1030, 1403},	// Plasma::FlashingLabel::flash#$
    {63, 1031, 1389},	// Plasma::FlashingLabel::flash#$$
    {63, 1032, 1400},	// Plasma::FlashingLabel::flash$
    {63, 1033, 1401},	// Plasma::FlashingLabel::flash$$
    {63, 1034, 1388},	// Plasma::FlashingLabel::flash$$#
    {63, 1043, 1382},	// Plasma::FlashingLabel::font
    {63, 1234, 1393},	// Plasma::FlashingLabel::kill
    {63, 1382, 1373},	// Plasma::FlashingLabel::metaObject
    {63, 1450, 1399},	// Plasma::FlashingLabel::paint##
    {63, 1451, 1381},	// Plasma::FlashingLabel::paint###
    {63, 1515, 1379},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1517, 1374},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1721, 1390},	// Plasma::FlashingLabel::setAutohide$
    {63, 1749, 1385},	// Plasma::FlashingLabel::setColor#
    {63, 1816, 1387},	// Plasma::FlashingLabel::setDuration$
    {63, 1842, 1383},	// Plasma::FlashingLabel::setFont#
    {63, 2213, 1392},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2235, 1404},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2312, 1396},	// Plasma::FlashingLabel::tr$
    {63, 2313, 1375},	// Plasma::FlashingLabel::tr$$
    {63, 2314, 1377},	// Plasma::FlashingLabel::tr$$$
    {63, 2316, 1397},	// Plasma::FlashingLabel::trUtf8$
    {63, 2317, 1376},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2318, 1378},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2443, 1405},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 187, 1431},	// Plasma::Frame::Frame
    {64, 188, 1413},	// Plasma::Frame::Frame#
    {64, 406, 1434},	// Plasma::Frame::Plain
    {64, 436, 1435},	// Plasma::Frame::Raised
    {64, 510, 1436},	// Plasma::Frame::Sunken
    {64, 754, 1428},	// Plasma::Frame::changeEvent#
    {64, 978, 1417},	// Plasma::Frame::enabledBorders
    {64, 1053, 1415},	// Plasma::Frame::frameShadow
    {64, 1114, 1421},	// Plasma::Frame::image
    {64, 1382, 1406},	// Plasma::Frame::metaObject
    {64, 1419, 1424},	// Plasma::Frame::nativeWidget
    {64, 1450, 1432},	// Plasma::Frame::paint##
    {64, 1451, 1425},	// Plasma::Frame::paint###
    {64, 1515, 1412},	// Plasma::Frame::qt_metacall$$?
    {64, 1517, 1407},	// Plasma::Frame::qt_metacast$
    {64, 1610, 1426},	// Plasma::Frame::resizeEvent#
    {64, 1831, 1416},	// Plasma::Frame::setEnabledBorders$
    {64, 1849, 1414},	// Plasma::Frame::setFrameShadow$
    {64, 1889, 1420},	// Plasma::Frame::setImage$
    {64, 2067, 1422},	// Plasma::Frame::setStyleSheet$
    {64, 2097, 1418},	// Plasma::Frame::setText$
    {64, 2213, 1427},	// Plasma::Frame::sizeHint$#
    {64, 2235, 1433},	// Plasma::Frame::staticMetaObject
    {64, 2248, 1423},	// Plasma::Frame::styleSheet
    {64, 2283, 1419},	// Plasma::Frame::text
    {64, 2312, 1429},	// Plasma::Frame::tr$
    {64, 2313, 1408},	// Plasma::Frame::tr$$
    {64, 2314, 1410},	// Plasma::Frame::tr$$$
    {64, 2316, 1430},	// Plasma::Frame::trUtf8$
    {64, 2317, 1409},	// Plasma::Frame::trUtf8$$
    {64, 2318, 1411},	// Plasma::Frame::trUtf8$$$
    {64, 2444, 1437},	// Plasma::Frame::~Frame
    {65, 23, 1478},	// Plasma::FrameSvg::AllBorders
    {65, 57, 1475},	// Plasma::FrameSvg::BottomBorder
    {65, 189, 1469},	// Plasma::FrameSvg::FrameSvg
    {65, 190, 1445},	// Plasma::FrameSvg::FrameSvg#
    {65, 308, 1476},	// Plasma::FrameSvg::LeftBorder
    {65, 361, 1473},	// Plasma::FrameSvg::NoBorder
    {65, 439, 1477},	// Plasma::FrameSvg::RightBorder
    {65, 538, 1474},	// Plasma::FrameSvg::TopBorder
    {65, 688, 1460},	// Plasma::FrameSvg::alphaMask
    {65, 748, 1462},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 763, 1463},	// Plasma::FrameSvg::clearCache
    {65, 829, 1453},	// Plasma::FrameSvg::contentsRect
    {65, 978, 1448},	// Plasma::FrameSvg::enabledBorders
    {65, 1052, 1464},	// Plasma::FrameSvg::framePixmap
    {65, 1054, 1450},	// Plasma::FrameSvg::frameSize
    {65, 1062, 1452},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1080, -73},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1365, 1451},	// Plasma::FrameSvg::marginSize$
    {65, 1366, 1459},	// Plasma::FrameSvg::mask
    {65, 1382, 1438},	// Plasma::FrameSvg::metaObject
    {65, 1461, 1471},	// Plasma::FrameSvg::paintFrame#
    {65, 1462, -76},	// Plasma::FrameSvg::paintFrame##
    {65, 1463, 1465},	// Plasma::FrameSvg::paintFrame###
    {65, 1503, 1458},	// Plasma::FrameSvg::prefix
    {65, 1515, 1444},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1517, 1439},	// Plasma::FrameSvg::qt_metacast$
    {65, 1612, 1449},	// Plasma::FrameSvg::resizeFrame#
    {65, 1731, 1461},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1823, -79},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1831, 1447},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1892, 1446},	// Plasma::FrameSvg::setImagePath$
    {65, 2235, 1472},	// Plasma::FrameSvg::staticMetaObject
    {65, 2312, 1467},	// Plasma::FrameSvg::tr$
    {65, 2313, 1440},	// Plasma::FrameSvg::tr$$
    {65, 2314, 1442},	// Plasma::FrameSvg::tr$$$
    {65, 2316, 1468},	// Plasma::FrameSvg::trUtf8$
    {65, 2317, 1441},	// Plasma::FrameSvg::trUtf8$$
    {65, 2318, 1443},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2445, 1479},	// Plasma::FrameSvg::~FrameSvg
    {66, 194, 1487},	// Plasma::GLApplet::GLApplet#$$
    {66, 195, 1488},	// Plasma::GLApplet::GLApplet#?
    {66, 745, 1495},	// Plasma::GLApplet::bindTexture#
    {66, 746, 1489},	// Plasma::GLApplet::bindTexture#$
    {66, 890, 1490},	// Plasma::GLApplet::deleteTexture$
    {66, 1357, 1492},	// Plasma::GLApplet::makeCurrent
    {66, 1382, 1480},	// Plasma::GLApplet::metaObject
    {66, 1465, 1491},	// Plasma::GLApplet::paintGLInterface##
    {66, 1515, 1486},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1517, 1481},	// Plasma::GLApplet::qt_metacast$
    {66, 2235, 1496},	// Plasma::GLApplet::staticMetaObject
    {66, 2312, 1493},	// Plasma::GLApplet::tr$
    {66, 2313, 1482},	// Plasma::GLApplet::tr$$
    {66, 2314, 1484},	// Plasma::GLApplet::tr$$$
    {66, 2316, 1494},	// Plasma::GLApplet::trUtf8$
    {66, 2317, 1483},	// Plasma::GLApplet::trUtf8$$
    {66, 2318, 1485},	// Plasma::GLApplet::trUtf8$$$
    {66, 2446, 1497},	// Plasma::GLApplet::~GLApplet
    {67, 197, 1515},	// Plasma::GroupBox::GroupBox
    {67, 198, 1505},	// Plasma::GroupBox::GroupBox#
    {67, 754, 1512},	// Plasma::GroupBox::changeEvent#
    {67, 1382, 1498},	// Plasma::GroupBox::metaObject
    {67, 1419, 1510},	// Plasma::GroupBox::nativeWidget
    {67, 1515, 1504},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1517, 1499},	// Plasma::GroupBox::qt_metacast$
    {67, 1610, 1511},	// Plasma::GroupBox::resizeEvent#
    {67, 2067, 1508},	// Plasma::GroupBox::setStyleSheet$
    {67, 2097, 1506},	// Plasma::GroupBox::setText$
    {67, 2235, 1516},	// Plasma::GroupBox::staticMetaObject
    {67, 2248, 1509},	// Plasma::GroupBox::styleSheet
    {67, 2283, 1507},	// Plasma::GroupBox::text
    {67, 2312, 1513},	// Plasma::GroupBox::tr$
    {67, 2313, 1500},	// Plasma::GroupBox::tr$$
    {67, 2314, 1502},	// Plasma::GroupBox::tr$$$
    {67, 2316, 1514},	// Plasma::GroupBox::trUtf8$
    {67, 2317, 1501},	// Plasma::GroupBox::trUtf8$$
    {67, 2318, 1503},	// Plasma::GroupBox::trUtf8$$$
    {67, 2447, 1517},	// Plasma::GroupBox::~GroupBox
    {68, 210, 1581},	// Plasma::IconWidget::IconWidget
    {68, 211, 1525},	// Plasma::IconWidget::IconWidget#
    {68, 212, 1583},	// Plasma::IconWidget::IconWidget#$
    {68, 213, 1527},	// Plasma::IconWidget::IconWidget#$#
    {68, 214, 1582},	// Plasma::IconWidget::IconWidget$
    {68, 215, 1526},	// Plasma::IconWidget::IconWidget$#
    {68, 604, 1549},	// Plasma::IconWidget::action
    {68, 616, 1567},	// Plasma::IconWidget::activated
    {68, 647, 1546},	// Plasma::IconWidget::addIconAction#
    {68, 754, 1577},	// Plasma::IconWidget::changeEvent#
    {68, 755, 1568},	// Plasma::IconWidget::changed
    {68, 769, 1565},	// Plasma::IconWidget::clicked
    {68, 915, 1566},	// Plasma::IconWidget::doubleClicked
    {68, 924, 1578},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 927, 1558},	// Plasma::IconWidget::drawBackground
    {68, 1104, 1574},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1106, 1575},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1110, 1534},	// Plasma::IconWidget::icon
    {68, 1111, 1539},	// Plasma::IconWidget::iconSize
    {68, 1125, 1532},	// Plasma::IconWidget::infoText
    {68, 1153, 1552},	// Plasma::IconWidget::invertLayout$
    {68, 1154, 1553},	// Plasma::IconWidget::invertedLayout
    {68, 1165, 1569},	// Plasma::IconWidget::isDown
    {68, 1378, 1545},	// Plasma::IconWidget::maximumIconSize
    {68, 1382, 1518},	// Plasma::IconWidget::metaObject
    {68, 1393, 1543},	// Plasma::IconWidget::minimumIconSize
    {68, 1398, 1573},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1400, 1571},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1402, 1570},	// Plasma::IconWidget::mousePressEvent#
    {68, 1404, 1572},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1426, 1555},	// Plasma::IconWidget::numDisplayLines
    {68, 1441, 1551},	// Plasma::IconWidget::orientation
    {68, 1450, 1586},	// Plasma::IconWidget::paint##
    {68, 1451, 1562},	// Plasma::IconWidget::paint###
    {68, 1500, 1541},	// Plasma::IconWidget::preferredIconSize
    {68, 1506, 1564},	// Plasma::IconWidget::pressed$
    {68, 1515, 1524},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1517, 1519},	// Plasma::IconWidget::qt_metacast$
    {68, 1570, 1547},	// Plasma::IconWidget::removeIconAction#
    {68, 1646, 1576},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1683, 1548},	// Plasma::IconWidget::setAction#
    {68, 1812, 1557},	// Plasma::IconWidget::setDrawBackground$
    {68, 1881, 1535},	// Plasma::IconWidget::setIcon#
    {68, 1882, 1538},	// Plasma::IconWidget::setIcon$
    {68, 1898, 1533},	// Plasma::IconWidget::setInfoText$
    {68, 1925, 1544},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1933, 1542},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1948, 1556},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1954, 1550},	// Plasma::IconWidget::setOrientation$
    {68, 1983, 1540},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 1986, 1585},	// Plasma::IconWidget::setPressed
    {68, 1987, 1560},	// Plasma::IconWidget::setPressed$
    {68, 2074, 1584},	// Plasma::IconWidget::setSvg$
    {68, 2075, 1530},	// Plasma::IconWidget::setSvg$$
    {68, 2097, 1529},	// Plasma::IconWidget::setText$
    {68, 2099, 1537},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2122, 1561},	// Plasma::IconWidget::setUnpressed
    {68, 2173, 1559},	// Plasma::IconWidget::shape
    {68, 2209, 1554},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2212, 1587},	// Plasma::IconWidget::sizeHint$
    {68, 2213, 1563},	// Plasma::IconWidget::sizeHint$#
    {68, 2235, 1588},	// Plasma::IconWidget::staticMetaObject
    {68, 2256, 1531},	// Plasma::IconWidget::svg
    {68, 2283, 1528},	// Plasma::IconWidget::text
    {68, 2284, 1536},	// Plasma::IconWidget::textBackgroundColor
    {68, 2312, 1579},	// Plasma::IconWidget::tr$
    {68, 2313, 1520},	// Plasma::IconWidget::tr$$
    {68, 2314, 1522},	// Plasma::IconWidget::tr$$$
    {68, 2316, 1580},	// Plasma::IconWidget::trUtf8$
    {68, 2317, 1521},	// Plasma::IconWidget::trUtf8$$
    {68, 2318, 1523},	// Plasma::IconWidget::trUtf8$$$
    {68, 2448, 1589},	// Plasma::IconWidget::~IconWidget
    {69, 226, 1613},	// Plasma::ItemBackground::ItemBackground
    {69, 227, 1597},	// Plasma::ItemBackground::ItemBackground#
    {69, 704, 1604},	// Plasma::ItemBackground::animationStep$
    {69, 706, 1603},	// Plasma::ItemBackground::appearanceChanged
    {69, 995, 1608},	// Plasma::ItemBackground::eventFilter##
    {69, 1211, 1607},	// Plasma::ItemBackground::itemChange$#
    {69, 1382, 1590},	// Plasma::ItemBackground::metaObject
    {69, 1451, 1602},	// Plasma::ItemBackground::paint###
    {69, 1515, 1596},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1517, 1591},	// Plasma::ItemBackground::qt_metacast$
    {69, 1610, 1610},	// Plasma::ItemBackground::resizeEvent#
    {69, 1646, 1609},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2087, 1598},	// Plasma::ItemBackground::setTarget#
    {69, 2089, 1600},	// Plasma::ItemBackground::setTargetItem#
    {69, 2235, 1614},	// Plasma::ItemBackground::staticMetaObject
    {69, 2274, 1599},	// Plasma::ItemBackground::target
    {69, 2275, 1601},	// Plasma::ItemBackground::targetItem
    {69, 2277, 1606},	// Plasma::ItemBackground::targetItemReached#
    {69, 2279, 1605},	// Plasma::ItemBackground::targetReached#
    {69, 2312, 1611},	// Plasma::ItemBackground::tr$
    {69, 2313, 1592},	// Plasma::ItemBackground::tr$$
    {69, 2314, 1594},	// Plasma::ItemBackground::tr$$$
    {69, 2316, 1612},	// Plasma::ItemBackground::trUtf8$
    {69, 2317, 1593},	// Plasma::ItemBackground::trUtf8$$
    {69, 2318, 1595},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2449, 1615},	// Plasma::ItemBackground::~ItemBackground
    {70, 304, 1653},	// Plasma::Label::Label
    {70, 305, 1623},	// Plasma::Label::Label#
    {70, 685, 1629},	// Plasma::Label::alignment
    {70, 754, 1646},	// Plasma::Label::changeEvent#
    {70, 838, 1649},	// Plasma::Label::contextMenuEvent#
    {70, 885, 1641},	// Plasma::Label::dataUpdated$?
    {70, 993, 1647},	// Plasma::Label::event#
    {70, 1088, 1631},	// Plasma::Label::hasScaledContents
    {70, 1114, 1627},	// Plasma::Label::image
    {70, 1211, 1648},	// Plasma::Label::itemChange$#
    {70, 1262, 1639},	// Plasma::Label::linkActivated$
    {70, 1265, 1640},	// Plasma::Label::linkHovered$
    {70, 1382, 1616},	// Plasma::Label::metaObject
    {70, 1400, 1644},	// Plasma::Label::mouseMoveEvent#
    {70, 1402, 1643},	// Plasma::Label::mousePressEvent#
    {70, 1419, 1638},	// Plasma::Label::nativeWidget
    {70, 1451, 1645},	// Plasma::Label::paint###
    {70, 1515, 1622},	// Plasma::Label::qt_metacall$$?
    {70, 1517, 1617},	// Plasma::Label::qt_metacast$
    {70, 1610, 1642},	// Plasma::Label::resizeEvent#
    {70, 1687, 1628},	// Plasma::Label::setAlignment$
    {70, 1889, 1626},	// Plasma::Label::setImage$
    {70, 2021, 1630},	// Plasma::Label::setScaledContents$
    {70, 2067, 1636},	// Plasma::Label::setStyleSheet$
    {70, 2097, 1624},	// Plasma::Label::setText$
    {70, 2101, 1632},	// Plasma::Label::setTextSelectable$
    {70, 2168, 1634},	// Plasma::Label::setWordWrap$
    {70, 2213, 1650},	// Plasma::Label::sizeHint$#
    {70, 2235, 1654},	// Plasma::Label::staticMetaObject
    {70, 2248, 1637},	// Plasma::Label::styleSheet
    {70, 2283, 1625},	// Plasma::Label::text
    {70, 2289, 1633},	// Plasma::Label::textSelectable
    {70, 2312, 1651},	// Plasma::Label::tr$
    {70, 2313, 1618},	// Plasma::Label::tr$$
    {70, 2314, 1620},	// Plasma::Label::tr$$$
    {70, 2316, 1652},	// Plasma::Label::trUtf8$
    {70, 2317, 1619},	// Plasma::Label::trUtf8$$
    {70, 2318, 1621},	// Plasma::Label::trUtf8$$$
    {70, 2407, 1635},	// Plasma::Label::wordWrap
    {70, 2450, 1655},	// Plasma::Label::~Label
    {71, 333, 1687},	// Plasma::LineEdit::LineEdit
    {71, 334, 1663},	// Plasma::LineEdit::LineEdit#
    {71, 754, 1676},	// Plasma::LineEdit::changeEvent#
    {71, 768, 1669},	// Plasma::LineEdit::clickMessage
    {71, 950, 1681},	// Plasma::LineEdit::editingFinished
    {71, 1037, 1679},	// Plasma::LineEdit::focusInEvent#
    {71, 1041, 1680},	// Plasma::LineEdit::focusOutEvent#
    {71, 1104, 1674},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1106, 1675},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1160, 1667},	// Plasma::LineEdit::isClearButtonShown
    {71, 1382, 1656},	// Plasma::LineEdit::metaObject
    {71, 1402, 1678},	// Plasma::LineEdit::mousePressEvent#
    {71, 1419, 1673},	// Plasma::LineEdit::nativeWidget
    {71, 1451, 1677},	// Plasma::LineEdit::paint###
    {71, 1515, 1662},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1517, 1657},	// Plasma::LineEdit::qt_metacast$
    {71, 1617, 1682},	// Plasma::LineEdit::returnPressed
    {71, 1741, 1666},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1743, 1668},	// Plasma::LineEdit::setClickMessage$
    {71, 1942, 1672},	// Plasma::LineEdit::setNativeWidget#
    {71, 2067, 1670},	// Plasma::LineEdit::setStyleSheet$
    {71, 2097, 1664},	// Plasma::LineEdit::setText$
    {71, 2235, 1688},	// Plasma::LineEdit::staticMetaObject
    {71, 2248, 1671},	// Plasma::LineEdit::styleSheet
    {71, 2283, 1665},	// Plasma::LineEdit::text
    {71, 2286, 1684},	// Plasma::LineEdit::textChanged$
    {71, 2288, 1683},	// Plasma::LineEdit::textEdited$
    {71, 2312, 1685},	// Plasma::LineEdit::tr$
    {71, 2313, 1658},	// Plasma::LineEdit::tr$$
    {71, 2314, 1660},	// Plasma::LineEdit::tr$$$
    {71, 2316, 1686},	// Plasma::LineEdit::trUtf8$
    {71, 2317, 1659},	// Plasma::LineEdit::trUtf8$$
    {71, 2318, 1661},	// Plasma::LineEdit::trUtf8$$$
    {71, 2451, 1689},	// Plasma::LineEdit::~LineEdit
    {72, 29, 1728},	// Plasma::Meter::AnalogMeter
    {72, 55, 1726},	// Plasma::Meter::BarMeterHorizontal
    {72, 56, 1727},	// Plasma::Meter::BarMeterVertical
    {72, 344, 1722},	// Plasma::Meter::Meter
    {72, 345, 1697},	// Plasma::Meter::Meter#
    {72, 885, 1714},	// Plasma::Meter::dataUpdated$?
    {72, 1238, 1706},	// Plasma::Meter::label$
    {72, 1240, 1712},	// Plasma::Meter::labelAlignment$
    {72, 1242, 1708},	// Plasma::Meter::labelColor$
    {72, 1244, 1710},	// Plasma::Meter::labelFont$
    {72, 1246, 1713},	// Plasma::Meter::labelRect$
    {72, 1377, 1698},	// Plasma::Meter::maximum
    {72, 1382, 1690},	// Plasma::Meter::metaObject
    {72, 1384, 1704},	// Plasma::Meter::meterType
    {72, 1392, 1699},	// Plasma::Meter::minimum
    {72, 1450, 1723},	// Plasma::Meter::paint##
    {72, 1451, 1718},	// Plasma::Meter::paint###
    {72, 1515, 1696},	// Plasma::Meter::qt_metacall$$?
    {72, 1517, 1691},	// Plasma::Meter::qt_metacast$
    {72, 1905, 1705},	// Plasma::Meter::setLabel$$
    {72, 1907, 1711},	// Plasma::Meter::setLabelAlignment$$
    {72, 1909, 1707},	// Plasma::Meter::setLabelColor$#
    {72, 1911, 1709},	// Plasma::Meter::setLabelFont$#
    {72, 1923, 1715},	// Plasma::Meter::setMaximum$
    {72, 1927, 1703},	// Plasma::Meter::setMeterType$
    {72, 1931, 1716},	// Plasma::Meter::setMinimum$
    {72, 2074, 1701},	// Plasma::Meter::setSvg$
    {72, 2137, 1717},	// Plasma::Meter::setValue$
    {72, 2212, 1724},	// Plasma::Meter::sizeHint$
    {72, 2213, 1719},	// Plasma::Meter::sizeHint$#
    {72, 2235, 1725},	// Plasma::Meter::staticMetaObject
    {72, 2256, 1702},	// Plasma::Meter::svg
    {72, 2312, 1720},	// Plasma::Meter::tr$
    {72, 2313, 1692},	// Plasma::Meter::tr$$
    {72, 2314, 1694},	// Plasma::Meter::tr$$$
    {72, 2316, 1721},	// Plasma::Meter::trUtf8$
    {72, 2317, 1693},	// Plasma::Meter::trUtf8$$
    {72, 2318, 1695},	// Plasma::Meter::trUtf8$$$
    {72, 2367, 1700},	// Plasma::Meter::value
    {72, 2452, 1729},	// Plasma::Meter::~Meter
    {73, 385, 1730},	// Plasma::Package::Package
    {73, 386, 1733},	// Plasma::Package::Package#
    {73, 387, 1731},	// Plasma::Package::Package$$?
    {73, 388, 1732},	// Plasma::Package::Package$?
    {73, 826, 1743},	// Plasma::Package::contentsHash
    {73, 858, 1750},	// Plasma::Package::createPackage#$$
    {73, 859, 1749},	// Plasma::Package::createPackage#$$$
    {73, 990, 1738},	// Plasma::Package::entryList$
    {73, 1013, 1737},	// Plasma::Package::filePath$
    {73, 1014, 1736},	// Plasma::Package::filePath$$
    {73, 1149, 1746},	// Plasma::Package::installPackage$$$
    {73, 1195, 1735},	// Plasma::Package::isValid
    {73, 1298, 1744},	// Plasma::Package::listInstalled$
    {73, 1300, 1745},	// Plasma::Package::listInstalledPaths$
    {73, 1383, 1739},	// Plasma::Package::metadata
    {73, 1438, 1734},	// Plasma::Package::operator=#
    {73, 1475, 1741},	// Plasma::Package::path
    {73, 1535, 1748},	// Plasma::Package::registerPackage#$
    {73, 1966, 1740},	// Plasma::Package::setPath$
    {73, 2246, 1742},	// Plasma::Package::structure
    {73, 2325, 1747},	// Plasma::Package::uninstallPackage$$$
    {73, 2453, 1751},	// Plasma::Package::~Package
    {74, 389, 1792},	// Plasma::PackageMetadata::PackageMetadata
    {74, 390, 1753},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 391, 1752},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 720, 1767},	// Plasma::PackageMetadata::application
    {74, 728, 1762},	// Plasma::PackageMetadata::author
    {74, 750, 1768},	// Plasma::PackageMetadata::category
    {74, 891, 1759},	// Plasma::PackageMetadata::description
    {74, 972, 1763},	// Plasma::PackageMetadata::email
    {74, 1110, 1776},	// Plasma::PackageMetadata::icon
    {74, 1120, 1771},	// Plasma::PackageMetadata::implementationApi
    {74, 1195, 1755},	// Plasma::PackageMetadata::isValid
    {74, 1233, 1760},	// Plasma::PackageMetadata::keywords
    {74, 1260, 1766},	// Plasma::PackageMetadata::license
    {74, 1417, 1758},	// Plasma::PackageMetadata::name
    {74, 1438, 1754},	// Plasma::PackageMetadata::operator=#
    {74, 1487, 1770},	// Plasma::PackageMetadata::pluginName
    {74, 1524, 1757},	// Plasma::PackageMetadata::read$
    {74, 1555, 1772},	// Plasma::PackageMetadata::remoteLocation
    {74, 1603, 1769},	// Plasma::PackageMetadata::requiredVersion
    {74, 1681, 1761},	// Plasma::PackageMetadata::serviceType
    {74, 1699, 1785},	// Plasma::PackageMetadata::setApplication$
    {74, 1707, 1780},	// Plasma::PackageMetadata::setAuthor$
    {74, 1735, 1786},	// Plasma::PackageMetadata::setCategory$
    {74, 1802, 1775},	// Plasma::PackageMetadata::setDescription$
    {74, 1825, 1781},	// Plasma::PackageMetadata::setEmail$
    {74, 1882, 1777},	// Plasma::PackageMetadata::setIcon$
    {74, 1896, 1791},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1902, 1778},	// Plasma::PackageMetadata::setKeywords?
    {74, 1915, 1784},	// Plasma::PackageMetadata::setLicense$
    {74, 1940, 1774},	// Plasma::PackageMetadata::setName$
    {74, 1972, 1790},	// Plasma::PackageMetadata::setPluginName$
    {74, 2003, 1788},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 2009, 1787},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 2034, 1779},	// Plasma::PackageMetadata::setServiceType$
    {74, 2119, 1789},	// Plasma::PackageMetadata::setType$
    {74, 2139, 1782},	// Plasma::PackageMetadata::setVersion$
    {74, 2160, 1783},	// Plasma::PackageMetadata::setWebsite$
    {74, 2320, 1773},	// Plasma::PackageMetadata::type
    {74, 2370, 1764},	// Plasma::PackageMetadata::version
    {74, 2395, 1765},	// Plasma::PackageMetadata::website
    {74, 2410, 1756},	// Plasma::PackageMetadata::write$
    {74, 2454, 1793},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 392, 1843},	// Plasma::PackageStructure::PackageStructure
    {75, 393, 1844},	// Plasma::PackageStructure::PackageStructure#
    {75, 394, 1801},	// Plasma::PackageStructure::PackageStructure#$
    {75, 641, 1809},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 645, 1810},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 686, 1834},	// Plasma::PackageStructure::allowExternalPaths
    {75, 827, 1828},	// Plasma::PackageStructure::contentsPrefix
    {75, 828, 1829},	// Plasma::PackageStructure::contentsPrefixPaths
    {75, 855, 1845},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 856, 1827},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 886, 1830},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 904, 1805},	// Plasma::PackageStructure::directories
    {75, 990, 1814},	// Plasma::PackageStructure::entryList$
    {75, 1015, 1807},	// Plasma::PackageStructure::files
    {75, 1148, 1825},	// Plasma::PackageStructure::installPackage$$
    {75, 1186, 1817},	// Plasma::PackageStructure::isRequired$
    {75, 1319, 1803},	// Plasma::PackageStructure::load$
    {75, 1382, 1794},	// Plasma::PackageStructure::metaObject
    {75, 1383, 1833},	// Plasma::PackageStructure::metadata
    {75, 1391, 1820},	// Plasma::PackageStructure::mimetypes$
    {75, 1418, 1815},	// Plasma::PackageStructure::name$
    {75, 1424, 1835},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1438, 1802},	// Plasma::PackageStructure::operator=#
    {75, 1475, 1822},	// Plasma::PackageStructure::path
    {75, 1476, 1812},	// Plasma::PackageStructure::path$
    {75, 1477, 1840},	// Plasma::PackageStructure::pathChanged
    {75, 1515, 1800},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1517, 1795},	// Plasma::PackageStructure::qt_metacast$
    {75, 1523, 1823},	// Plasma::PackageStructure::read#
    {75, 1568, 1811},	// Plasma::PackageStructure::removeDefinition$
    {75, 1601, 1806},	// Plasma::PackageStructure::requiredDirectories
    {75, 1602, 1808},	// Plasma::PackageStructure::requiredFiles
    {75, 1665, 1813},	// Plasma::PackageStructure::searchPath$
    {75, 1675, 1831},	// Plasma::PackageStructure::servicePrefix
    {75, 1689, 1836},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1766, 1837},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1768, 1838},	// Plasma::PackageStructure::setContentsPrefixPaths?
    {75, 1793, 1818},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1795, 1839},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1929, 1819},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1966, 1821},	// Plasma::PackageStructure::setPath$
    {75, 2007, 1816},	// Plasma::PackageStructure::setRequired$$
    {75, 2032, 1832},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2235, 1846},	// Plasma::PackageStructure::staticMetaObject
    {75, 2312, 1841},	// Plasma::PackageStructure::tr$
    {75, 2313, 1796},	// Plasma::PackageStructure::tr$$
    {75, 2314, 1798},	// Plasma::PackageStructure::tr$$$
    {75, 2316, 1842},	// Plasma::PackageStructure::trUtf8$
    {75, 2317, 1797},	// Plasma::PackageStructure::trUtf8$$
    {75, 2318, 1799},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2320, 1804},	// Plasma::PackageStructure::type
    {75, 2324, 1826},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2409, 1824},	// Plasma::PackageStructure::write#
    {75, 2455, 1847},	// Plasma::PackageStructure::~PackageStructure
    {76, 410, 1848},	// Plasma::PlotColor::PlotColor
    {76, 411, 1849},	// Plasma::PlotColor::PlotColor#
    {76, 778, 1850},	// Plasma::PlotColor::color
    {76, 880, 1852},	// Plasma::PlotColor::darkColor
    {76, 1749, 1851},	// Plasma::PlotColor::setColor#
    {76, 1784, 1853},	// Plasma::PlotColor::setDarkColor#
    {76, 2456, 1854},	// Plasma::PlotColor::~PlotColor
    {77, 413, 1862},	// Plasma::PopupApplet::PopupApplet#?
    {77, 917, 1885},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 919, 1886},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 947, 1887},	// Plasma::PopupApplet::dropEvent#
    {77, 995, 1884},	// Plasma::PopupApplet::eventFilter##
    {77, 1069, 1868},	// Plasma::PopupApplet::graphicsWidget
    {77, 1097, 1877},	// Plasma::PopupApplet::hidePopup
    {77, 1170, 1876},	// Plasma::PopupApplet::isIconified
    {77, 1176, 1874},	// Plasma::PopupApplet::isPassivePopup
    {77, 1179, 1875},	// Plasma::PopupApplet::isPopupShowing
    {77, 1382, 1855},	// Plasma::PopupApplet::metaObject
    {77, 1402, 1882},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1404, 1883},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1490, 1872},	// Plasma::PopupApplet::popupAlignment
    {77, 1492, 1880},	// Plasma::PopupApplet::popupEvent$
    {77, 1493, 1865},	// Plasma::PopupApplet::popupIcon
    {77, 1494, 1870},	// Plasma::PopupApplet::popupPlacement
    {77, 1515, 1861},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1517, 1856},	// Plasma::PopupApplet::qt_metacast$
    {77, 1855, 1869},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1964, 1873},	// Plasma::PopupApplet::setPassivePopup$
    {77, 1978, 1871},	// Plasma::PopupApplet::setPopupAlignment$
    {77, 1980, 1863},	// Plasma::PopupApplet::setPopupIcon#
    {77, 1981, 1864},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2162, 1867},	// Plasma::PopupApplet::setWidget#
    {77, 2195, 1891},	// Plasma::PopupApplet::showPopup
    {77, 2196, 1878},	// Plasma::PopupApplet::showPopup$
    {77, 2212, 1892},	// Plasma::PopupApplet::sizeHint$
    {77, 2213, 1881},	// Plasma::PopupApplet::sizeHint$#
    {77, 2235, 1893},	// Plasma::PopupApplet::staticMetaObject
    {77, 2298, 1888},	// Plasma::PopupApplet::timerEvent#
    {77, 2300, 1879},	// Plasma::PopupApplet::togglePopup
    {77, 2312, 1889},	// Plasma::PopupApplet::tr$
    {77, 2313, 1857},	// Plasma::PopupApplet::tr$$
    {77, 2314, 1859},	// Plasma::PopupApplet::tr$$$
    {77, 2316, 1890},	// Plasma::PopupApplet::trUtf8$
    {77, 2317, 1858},	// Plasma::PopupApplet::trUtf8$$
    {77, 2318, 1860},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2398, 1866},	// Plasma::PopupApplet::widget
    {77, 2457, 1894},	// Plasma::PopupApplet::~PopupApplet
    {78, 419, 1934},	// Plasma::PushButton::PushButton
    {78, 420, 1902},	// Plasma::PushButton::PushButton#
    {78, 604, 1911},	// Plasma::PushButton::action
    {78, 754, 1930},	// Plasma::PushButton::changeEvent#
    {78, 767, 1924},	// Plasma::PushButton::click
    {78, 769, 1922},	// Plasma::PushButton::clicked
    {78, 1104, 1928},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1106, 1929},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1110, 1914},	// Plasma::PushButton::icon
    {78, 1114, 1907},	// Plasma::PushButton::image
    {78, 1158, 1916},	// Plasma::PushButton::isCheckable
    {78, 1159, 1917},	// Plasma::PushButton::isChecked
    {78, 1165, 1918},	// Plasma::PushButton::isDown
    {78, 1382, 1895},	// Plasma::PushButton::metaObject
    {78, 1419, 1919},	// Plasma::PushButton::nativeWidget
    {78, 1450, 1935},	// Plasma::PushButton::paint##
    {78, 1451, 1926},	// Plasma::PushButton::paint###
    {78, 1505, 1920},	// Plasma::PushButton::pressed
    {78, 1515, 1901},	// Plasma::PushButton::qt_metacall$$?
    {78, 1517, 1896},	// Plasma::PushButton::qt_metacast$
    {78, 1545, 1921},	// Plasma::PushButton::released
    {78, 1610, 1927},	// Plasma::PushButton::resizeEvent#
    {78, 1683, 1910},	// Plasma::PushButton::setAction#
    {78, 1737, 1915},	// Plasma::PushButton::setCheckable$
    {78, 1739, 1925},	// Plasma::PushButton::setChecked$
    {78, 1881, -33},	// Plasma::PushButton::setIcon#
    {78, 1889, 1905},	// Plasma::PushButton::setImage$
    {78, 1890, 1906},	// Plasma::PushButton::setImage$$
    {78, 2067, 1908},	// Plasma::PushButton::setStyleSheet$
    {78, 2097, 1903},	// Plasma::PushButton::setText$
    {78, 2213, 1931},	// Plasma::PushButton::sizeHint$#
    {78, 2235, 1936},	// Plasma::PushButton::staticMetaObject
    {78, 2248, 1909},	// Plasma::PushButton::styleSheet
    {78, 2283, 1904},	// Plasma::PushButton::text
    {78, 2302, 1923},	// Plasma::PushButton::toggled$
    {78, 2312, 1932},	// Plasma::PushButton::tr$
    {78, 2313, 1897},	// Plasma::PushButton::tr$$
    {78, 2314, 1899},	// Plasma::PushButton::tr$$$
    {78, 2316, 1933},	// Plasma::PushButton::trUtf8$
    {78, 2317, 1898},	// Plasma::PushButton::trUtf8$$
    {78, 2318, 1900},	// Plasma::PushButton::trUtf8$$$
    {78, 2458, 1937},	// Plasma::PushButton::~PushButton
    {79, 90, 1967},	// Plasma::QueryMatch::CompletionMatch
    {79, 163, 1971},	// Plasma::QueryMatch::ExactMatch
    {79, 203, 1970},	// Plasma::QueryMatch::HelperMatch
    {79, 221, 1969},	// Plasma::QueryMatch::InformationalMatch
    {79, 375, 1966},	// Plasma::QueryMatch::NoMatch
    {79, 415, 1968},	// Plasma::QueryMatch::PossibleMatch
    {79, 432, -30},	// Plasma::QueryMatch::QueryMatch#
    {79, 849, 1965},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 881, 1951},	// Plasma::QueryMatch::data
    {79, 1076, 1964},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1110, 1959},	// Plasma::QueryMatch::icon
    {79, 1112, 1953},	// Plasma::QueryMatch::id
    {79, 1167, 1961},	// Plasma::QueryMatch::isEnabled
    {79, 1195, 1944},	// Plasma::QueryMatch::isValid
    {79, 1436, 1942},	// Plasma::QueryMatch::operator<#
    {79, 1438, 1940},	// Plasma::QueryMatch::operator=#
    {79, 1440, 1941},	// Plasma::QueryMatch::operator==#
    {79, 1546, 1948},	// Plasma::QueryMatch::relevance
    {79, 1622, 1949},	// Plasma::QueryMatch::run#
    {79, 1626, 1943},	// Plasma::QueryMatch::runner
    {79, 1669, 1962},	// Plasma::QueryMatch::selectedAction
    {79, 1786, 1950},	// Plasma::QueryMatch::setData#
    {79, 1829, 1960},	// Plasma::QueryMatch::setEnabled$
    {79, 1881, 1958},	// Plasma::QueryMatch::setIcon#
    {79, 1884, 1952},	// Plasma::QueryMatch::setId$
    {79, 2001, 1947},	// Plasma::QueryMatch::setRelevance$
    {79, 2030, 1963},	// Plasma::QueryMatch::setSelectedAction#
    {79, 2071, 1956},	// Plasma::QueryMatch::setSubtext$
    {79, 2097, 1954},	// Plasma::QueryMatch::setText$
    {79, 2119, 1945},	// Plasma::QueryMatch::setType$
    {79, 2251, 1957},	// Plasma::QueryMatch::subtext
    {79, 2283, 1955},	// Plasma::QueryMatch::text
    {79, 2320, 1946},	// Plasma::QueryMatch::type
    {79, 2459, 1972},	// Plasma::QueryMatch::~QueryMatch
    {80, 434, 1995},	// Plasma::RadioButton::RadioButton
    {80, 435, 1980},	// Plasma::RadioButton::RadioButton#
    {80, 754, 1992},	// Plasma::RadioButton::changeEvent#
    {80, 1114, 1984},	// Plasma::RadioButton::image
    {80, 1159, 1989},	// Plasma::RadioButton::isChecked
    {80, 1382, 1973},	// Plasma::RadioButton::metaObject
    {80, 1419, 1987},	// Plasma::RadioButton::nativeWidget
    {80, 1515, 1979},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1517, 1974},	// Plasma::RadioButton::qt_metacast$
    {80, 1610, 1991},	// Plasma::RadioButton::resizeEvent#
    {80, 1739, 1988},	// Plasma::RadioButton::setChecked$
    {80, 1889, 1983},	// Plasma::RadioButton::setImage$
    {80, 2067, 1985},	// Plasma::RadioButton::setStyleSheet$
    {80, 2097, 1981},	// Plasma::RadioButton::setText$
    {80, 2235, 1996},	// Plasma::RadioButton::staticMetaObject
    {80, 2248, 1986},	// Plasma::RadioButton::styleSheet
    {80, 2283, 1982},	// Plasma::RadioButton::text
    {80, 2302, 1990},	// Plasma::RadioButton::toggled$
    {80, 2312, 1993},	// Plasma::RadioButton::tr$
    {80, 2313, 1975},	// Plasma::RadioButton::tr$$
    {80, 2314, 1977},	// Plasma::RadioButton::tr$$$
    {80, 2316, 1994},	// Plasma::RadioButton::trUtf8$
    {80, 2317, 1976},	// Plasma::RadioButton::trUtf8$$
    {80, 2318, 1978},	// Plasma::RadioButton::trUtf8$$$
    {80, 2460, 1997},	// Plasma::RadioButton::~RadioButton
    {81, 149, 2033},	// Plasma::RunnerContext::Directory
    {81, 164, 2036},	// Plasma::RunnerContext::Executable
    {81, 176, 2034},	// Plasma::RunnerContext::File
    {81, 177, 2039},	// Plasma::RunnerContext::FileSystem
    {81, 202, 2038},	// Plasma::RunnerContext::Help
    {81, 355, 2035},	// Plasma::RunnerContext::NetworkLocation
    {81, 378, 2031},	// Plasma::RunnerContext::None
    {81, 449, 2028},	// Plasma::RunnerContext::RunnerContext
    {81, 450, -48},	// Plasma::RunnerContext::RunnerContext#
    {81, 451, 2006},	// Plasma::RunnerContext::RunnerContext##
    {81, 484, 2037},	// Plasma::RunnerContext::ShellCommand
    {81, 555, 2032},	// Plasma::RunnerContext::UnknownType
    {81, 651, 2015},	// Plasma::RunnerContext::addMatch$#
    {81, 653, 2014},	// Plasma::RunnerContext::addMatches$?
    {81, 1195, 2013},	// Plasma::RunnerContext::isValid
    {81, 1369, 2019},	// Plasma::RunnerContext::match$
    {81, 1371, 2018},	// Plasma::RunnerContext::matches
    {81, 1372, 2025},	// Plasma::RunnerContext::matchesChanged
    {81, 1382, 1998},	// Plasma::RunnerContext::metaObject
    {81, 1389, 2012},	// Plasma::RunnerContext::mimeType
    {81, 1438, 2007},	// Plasma::RunnerContext::operator=#
    {81, 1515, 2004},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1517, 1999},	// Plasma::RunnerContext::qt_metacast$
    {81, 1518, 2010},	// Plasma::RunnerContext::query
    {81, 1572, 2016},	// Plasma::RunnerContext::removeMatch$
    {81, 1574, 2017},	// Plasma::RunnerContext::removeMatches?
    {81, 1604, 2008},	// Plasma::RunnerContext::reset
    {81, 1614, 2022},	// Plasma::RunnerContext::restore#
    {81, 1622, 2024},	// Plasma::RunnerContext::run#
    {81, 1632, 2023},	// Plasma::RunnerContext::save#
    {81, 1995, 2009},	// Plasma::RunnerContext::setQuery$
    {81, 2050, 2020},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2204, 2021},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2235, 2030},	// Plasma::RunnerContext::staticMetaObject
    {81, 2312, 2026},	// Plasma::RunnerContext::tr$
    {81, 2313, 2000},	// Plasma::RunnerContext::tr$$
    {81, 2314, 2002},	// Plasma::RunnerContext::tr$$$
    {81, 2316, 2027},	// Plasma::RunnerContext::trUtf8$
    {81, 2317, 2001},	// Plasma::RunnerContext::trUtf8$$
    {81, 2318, 2003},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2320, 2011},	// Plasma::RunnerContext::type
    {81, 2461, 2040},	// Plasma::RunnerContext::~RunnerContext
    {82, 452, 2084},	// Plasma::RunnerManager::RunnerManager
    {82, 453, -24},	// Plasma::RunnerManager::RunnerManager#
    {82, 454, 2049},	// Plasma::RunnerManager::RunnerManager##
    {82, 609, 2063},	// Plasma::RunnerManager::actionsForMatch#
    {82, 687, 2069},	// Plasma::RunnerManager::allowedRunners
    {82, 1001, 2078},	// Plasma::RunnerManager::execQuery$
    {82, 1002, 2077},	// Plasma::RunnerManager::execQuery$$
    {82, 1256, 2076},	// Plasma::RunnerManager::launchQuery$
    {82, 1257, 2075},	// Plasma::RunnerManager::launchQuery$$
    {82, 1302, 2086},	// Plasma::RunnerManager::listRunnerInfo
    {82, 1303, 2072},	// Plasma::RunnerManager::listRunnerInfo$
    {82, 1341, 2068},	// Plasma::RunnerManager::loadRunner$
    {82, 1342, 2067},	// Plasma::RunnerManager::loadRunner?
    {82, 1370, 2074},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1371, 2060},	// Plasma::RunnerManager::matches
    {82, 1373, 2080},	// Plasma::RunnerManager::matchesChanged?
    {82, 1382, 2041},	// Plasma::RunnerManager::metaObject
    {82, 1387, 2070},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1388, 2071},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1515, 2047},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1517, 2042},	// Plasma::RunnerManager::qt_metacast$
    {82, 1518, 2064},	// Plasma::RunnerManager::query
    {82, 1520, 2081},	// Plasma::RunnerManager::queryFinished
    {82, 1548, 2065},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1604, 2079},	// Plasma::RunnerManager::reset
    {82, 1622, 2061},	// Plasma::RunnerManager::run#
    {82, 1624, 2062},	// Plasma::RunnerManager::run$
    {82, 1627, 2050},	// Plasma::RunnerManager::runner$
    {82, 1629, 2056},	// Plasma::RunnerManager::runnerName$
    {82, 1630, 2057},	// Plasma::RunnerManager::runners
    {82, 1663, 2059},	// Plasma::RunnerManager::searchContext
    {82, 1691, 2066},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 2046, 2055},	// Plasma::RunnerManager::setSingleMode$
    {82, 2048, 2052},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2172, 2073},	// Plasma::RunnerManager::setupMatchSession
    {82, 2200, 2054},	// Plasma::RunnerManager::singleMode
    {82, 2201, 2058},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2202, 2051},	// Plasma::RunnerManager::singleModeRunner
    {82, 2203, 2053},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2235, 2087},	// Plasma::RunnerManager::staticMetaObject
    {82, 2312, 2082},	// Plasma::RunnerManager::tr$
    {82, 2313, 2043},	// Plasma::RunnerManager::tr$$
    {82, 2314, 2045},	// Plasma::RunnerManager::tr$$$
    {82, 2316, 2083},	// Plasma::RunnerManager::trUtf8$
    {82, 2317, 2044},	// Plasma::RunnerManager::trUtf8$$
    {82, 2318, 2046},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2462, 2088},	// Plasma::RunnerManager::~RunnerManager
    {83, 455, 2126},	// Plasma::RunnerScript::RunnerScript
    {83, 456, 2096},	// Plasma::RunnerScript::RunnerScript#
    {83, 605, 2119},	// Plasma::RunnerScript::action$
    {83, 607, 2120},	// Plasma::RunnerScript::actions
    {83, 610, 2105},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 623, 2117},	// Plasma::RunnerScript::addAction$#
    {83, 624, 2116},	// Plasma::RunnerScript::addAction$#$
    {83, 674, 2122},	// Plasma::RunnerScript::addSyntax#
    {83, 761, 2121},	// Plasma::RunnerScript::clearActions
    {83, 781, 2110},	// Plasma::RunnerScript::config
    {83, 861, 2103},	// Plasma::RunnerScript::createRunOptions#
    {83, 883, 2109},	// Plasma::RunnerScript::dataEngine$
    {83, 891, 2108},	// Plasma::RunnerScript::description
    {83, 1355, 2106},	// Plasma::RunnerScript::mainScript
    {83, 1368, 2099},	// Plasma::RunnerScript::match#
    {83, 1382, 2089},	// Plasma::RunnerScript::metaObject
    {83, 1443, 2107},	// Plasma::RunnerScript::package
    {83, 1504, 2101},	// Plasma::RunnerScript::prepare
    {83, 1515, 2095},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1517, 2090},	// Plasma::RunnerScript::qt_metacast$
    {83, 1548, 2104},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1559, 2118},	// Plasma::RunnerScript::removeAction$
    {83, 1623, 2100},	// Plasma::RunnerScript::run##
    {83, 1626, 2098},	// Plasma::RunnerScript::runner
    {83, 1677, 2127},	// Plasma::RunnerScript::serviceQuery$
    {83, 1678, 2115},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1864, 2112},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1886, 2111},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 1993, 2114},	// Plasma::RunnerScript::setPriority$
    {83, 2017, 2097},	// Plasma::RunnerScript::setRunner#
    {83, 2056, 2113},	// Plasma::RunnerScript::setSpeed$
    {83, 2079, 2123},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2235, 2128},	// Plasma::RunnerScript::staticMetaObject
    {83, 2282, 2102},	// Plasma::RunnerScript::teardown
    {83, 2312, 2124},	// Plasma::RunnerScript::tr$
    {83, 2313, 2091},	// Plasma::RunnerScript::tr$$
    {83, 2314, 2093},	// Plasma::RunnerScript::tr$$$
    {83, 2316, 2125},	// Plasma::RunnerScript::trUtf8$
    {83, 2317, 2092},	// Plasma::RunnerScript::trUtf8$$
    {83, 2318, 2094},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2463, 2129},	// Plasma::RunnerScript::~RunnerScript
    {84, 458, 2131},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 459, 2130},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 643, 2133},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 891, 2137},	// Plasma::RunnerSyntax::description
    {84, 998, 2134},	// Plasma::RunnerSyntax::exampleQueries
    {84, 999, 2135},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1438, 2132},	// Plasma::RunnerSyntax::operator=#
    {84, 1666, 2139},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1802, 2136},	// Plasma::RunnerSyntax::setDescription$
    {84, 2028, 2138},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2464, 2140},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 465, 2154},	// Plasma::ScriptEngine::ScriptEngine
    {85, 466, 2149},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1126, 2148},	// Plasma::ScriptEngine::init
    {85, 1355, 2150},	// Plasma::ScriptEngine::mainScript
    {85, 1382, 2141},	// Plasma::ScriptEngine::metaObject
    {85, 1443, 2151},	// Plasma::ScriptEngine::package
    {85, 1515, 2147},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1517, 2142},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2235, 2155},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2312, 2152},	// Plasma::ScriptEngine::tr$
    {85, 2313, 2143},	// Plasma::ScriptEngine::tr$$
    {85, 2314, 2145},	// Plasma::ScriptEngine::tr$$$
    {85, 2316, 2153},	// Plasma::ScriptEngine::trUtf8$
    {85, 2317, 2144},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2318, 2146},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2465, 2156},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 467, 2186},	// Plasma::ScrollBar::ScrollBar
    {86, 468, 2164},	// Plasma::ScrollBar::ScrollBar#
    {86, 838, 2179},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1377, 2172},	// Plasma::ScrollBar::maximum
    {86, 1382, 2157},	// Plasma::ScrollBar::metaObject
    {86, 1392, 2171},	// Plasma::ScrollBar::minimum
    {86, 1419, 2177},	// Plasma::ScrollBar::nativeWidget
    {86, 1441, 2178},	// Plasma::ScrollBar::orientation
    {86, 1448, 2169},	// Plasma::ScrollBar::pageStep
    {86, 1515, 2163},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1517, 2158},	// Plasma::ScrollBar::qt_metacast$
    {86, 1923, 2174},	// Plasma::ScrollBar::setMaximum$
    {86, 1931, 2173},	// Plasma::ScrollBar::setMinimum$
    {86, 1954, 2181},	// Plasma::ScrollBar::setOrientation$
    {86, 1962, 2168},	// Plasma::ScrollBar::setPageStep$
    {86, 1997, 2165},	// Plasma::ScrollBar::setRange$$
    {86, 2052, 2166},	// Plasma::ScrollBar::setSingleStep$
    {86, 2067, 2175},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2137, 2180},	// Plasma::ScrollBar::setValue$
    {86, 2205, 2167},	// Plasma::ScrollBar::singleStep
    {86, 2217, 2183},	// Plasma::ScrollBar::sliderMoved$
    {86, 2235, 2187},	// Plasma::ScrollBar::staticMetaObject
    {86, 2248, 2176},	// Plasma::ScrollBar::styleSheet
    {86, 2312, 2184},	// Plasma::ScrollBar::tr$
    {86, 2313, 2159},	// Plasma::ScrollBar::tr$$
    {86, 2314, 2161},	// Plasma::ScrollBar::tr$$$
    {86, 2316, 2185},	// Plasma::ScrollBar::trUtf8$
    {86, 2317, 2160},	// Plasma::ScrollBar::trUtf8$$
    {86, 2318, 2162},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2367, 2170},	// Plasma::ScrollBar::value
    {86, 2369, 2182},	// Plasma::ScrollBar::valueChanged$
    {86, 2466, 2188},	// Plasma::ScrollBar::~ScrollBar
    {87, 470, 2237},	// Plasma::ScrollWidget::ScrollWidget
    {87, 471, -54},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 685, 2201},	// Plasma::ScrollWidget::alignment
    {87, 830, 2215},	// Plasma::ScrollWidget::contentsSize
    {87, 985, 2211},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 987, 2210},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 995, 2231},	// Plasma::ScrollWidget::eventFilter##
    {87, 1037, 2232},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1086, 2203},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1102, 2205},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1230, 2229},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1382, 2189},	// Plasma::ScrollWidget::metaObject
    {87, 1400, 2226},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1402, 2227},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1404, 2228},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1419, 2222},	// Plasma::ScrollWidget::nativeWidget
    {87, 1442, 2208},	// Plasma::ScrollWidget::overflowBordersVisible
    {87, 1515, 2195},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1517, 2190},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1532, 2212},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1610, 2225},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1646, 2234},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1659, 2217},	// Plasma::ScrollWidget::scrollPosition
    {87, 1662, 2223},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1687, 2200},	// Plasma::ScrollWidget::setAlignment$
    {87, 1874, 2204},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1956, 2202},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1958, 2209},	// Plasma::ScrollWidget::setOverflowBordersVisible$
    {87, 2026, 2216},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 2054, 2218},	// Plasma::ScrollWidget::setSnapSize#
    {87, 2067, 2220},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2149, 2206},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2162, 2198},	// Plasma::ScrollWidget::setWidget#
    {87, 2213, 2233},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2218, 2219},	// Plasma::ScrollWidget::snapSize
    {87, 2235, 2238},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2248, 2221},	// Plasma::ScrollWidget::styleSheet
    {87, 2312, 2235},	// Plasma::ScrollWidget::tr$
    {87, 2313, 2191},	// Plasma::ScrollWidget::tr$$
    {87, 2314, 2193},	// Plasma::ScrollWidget::tr$$$
    {87, 2316, 2236},	// Plasma::ScrollWidget::trUtf8$
    {87, 2317, 2192},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2318, 2194},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2331, 2213},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2380, 2207},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2385, 2214},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2387, 2224},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2397, 2230},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2398, 2199},	// Plasma::ScrollWidget::widget
    {87, 2467, 2239},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 473, 2254},	// Plasma::Separator::Separator
    {88, 474, 2255},	// Plasma::Separator::Separator#
    {88, 475, 2247},	// Plasma::Separator::Separator#$
    {88, 1382, 2240},	// Plasma::Separator::metaObject
    {88, 1441, 2249},	// Plasma::Separator::orientation
    {88, 1451, 2250},	// Plasma::Separator::paint###
    {88, 1515, 2246},	// Plasma::Separator::qt_metacall$$?
    {88, 1517, 2241},	// Plasma::Separator::qt_metacast$
    {88, 1954, 2248},	// Plasma::Separator::setOrientation$
    {88, 2213, 2251},	// Plasma::Separator::sizeHint$#
    {88, 2235, 2256},	// Plasma::Separator::staticMetaObject
    {88, 2312, 2252},	// Plasma::Separator::tr$
    {88, 2313, 2242},	// Plasma::Separator::tr$$
    {88, 2314, 2244},	// Plasma::Separator::tr$$$
    {88, 2316, 2253},	// Plasma::Separator::trUtf8$
    {88, 2317, 2243},	// Plasma::Separator::trUtf8$$
    {88, 2318, 2245},	// Plasma::Separator::trUtf8$$$
    {88, 2468, 2257},	// Plasma::Separator::~Separator
    {89, 476, 2296},	// Plasma::Service::Service
    {89, 477, 2283},	// Plasma::Service::Service#
    {89, 478, 2284},	// Plasma::Service::Service#?
    {89, 600, 2294},	// Plasma::Service::access#
    {89, 601, 2267},	// Plasma::Service::access##
    {89, 723, -42},	// Plasma::Service::associateWidget#$
    {89, 854, 2285},	// Plasma::Service::createJob$?
    {89, 893, 2269},	// Plasma::Service::destination
    {89, 906, -45},	// Plasma::Service::disassociateWidget#
    {89, 1026, 2280},	// Plasma::Service::finished#
    {89, 1175, 2273},	// Plasma::Service::isOperationEnabled$
    {89, 1319, 2293},	// Plasma::Service::load$
    {89, 1320, 2266},	// Plasma::Service::load$#
    {89, 1323, 2292},	// Plasma::Service::load$?
    {89, 1324, 2265},	// Plasma::Service::load$?#
    {89, 1382, 2258},	// Plasma::Service::metaObject
    {89, 1417, 2274},	// Plasma::Service::name
    {89, 1432, 2271},	// Plasma::Service::operationDescription$
    {89, 1433, 2270},	// Plasma::Service::operationNames
    {89, 1434, 2281},	// Plasma::Service::operationsChanged
    {89, 1472, 2279},	// Plasma::Service::parametersFromDescription#
    {89, 1515, 2264},	// Plasma::Service::qt_metacall$$?
    {89, 1517, 2259},	// Plasma::Service::qt_metacast$
    {89, 1533, 2286},	// Plasma::Service::registerOperationsScheme
    {89, 1680, 2282},	// Plasma::Service::serviceReady#
    {89, 1804, 2268},	// Plasma::Service::setDestination$
    {89, 1940, 2288},	// Plasma::Service::setName$
    {89, 1950, 2289},	// Plasma::Service::setOperationEnabled$$
    {89, 1952, 2287},	// Plasma::Service::setOperationsScheme#
    {89, 2231, 2295},	// Plasma::Service::startOperationCall#
    {89, 2232, 2272},	// Plasma::Service::startOperationCall##
    {89, 2235, 2297},	// Plasma::Service::staticMetaObject
    {89, 2312, 2290},	// Plasma::Service::tr$
    {89, 2313, 2260},	// Plasma::Service::tr$$
    {89, 2314, 2262},	// Plasma::Service::tr$$$
    {89, 2316, 2291},	// Plasma::Service::trUtf8$
    {89, 2317, 2261},	// Plasma::Service::trUtf8$$
    {89, 2318, 2263},	// Plasma::Service::trUtf8$$$
    {89, 2469, 2298},	// Plasma::Service::~Service
    {90, 480, 2311},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 481, 2307},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1382, 2299},	// Plasma::ServiceAccessJob::metaObject
    {90, 1515, 2305},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1517, 2300},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1671, 2306},	// Plasma::ServiceAccessJob::service
    {90, 2229, 2308},	// Plasma::ServiceAccessJob::start
    {90, 2235, 2312},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2312, 2309},	// Plasma::ServiceAccessJob::tr$
    {90, 2313, 2301},	// Plasma::ServiceAccessJob::tr$$
    {90, 2314, 2303},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2316, 2310},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2317, 2302},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2318, 2304},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2470, 2313},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {92, 485, 2388},	// Plasma::SignalPlotter::SignalPlotter
    {92, 486, 2321},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 657, 2322},	// Plasma::SignalPlotter::addPlot#
    {92, 664, 2323},	// Plasma::SignalPlotter::addSample?
    {92, 739, 2363},	// Plasma::SignalPlotter::backgroundColor
    {92, 749, 2375},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 926, 2384},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 928, 2378},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 931, 2385},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 934, 2383},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 936, 2379},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 938, 2381},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 940, 2380},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 942, 2382},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 945, 2377},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1043, 2355},	// Plasma::SignalPlotter::font
    {92, 1046, 2353},	// Plasma::SignalPlotter::fontColor
    {92, 1064, 2372},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1099, 2351},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1100, 2357},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1101, 2339},	// Plasma::SignalPlotter::horizontalScale
    {92, 1252, 2366},	// Plasma::SignalPlotter::lastValue$
    {92, 1254, 2367},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1382, 2314},	// Plasma::SignalPlotter::metaObject
    {92, 1451, 2376},	// Plasma::SignalPlotter::paint###
    {92, 1486, 2326},	// Plasma::SignalPlotter::plotColors
    {92, 1515, 2320},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1517, 2315},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1578, 2325},	// Plasma::SignalPlotter::removePlot$
    {92, 1596, 2324},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1640, 2331},	// Plasma::SignalPlotter::scale$
    {92, 1641, 2332},	// Plasma::SignalPlotter::scaledBy
    {92, 1723, 2362},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1842, 2354},	// Plasma::SignalPlotter::setFont#
    {92, 1845, 2352},	// Plasma::SignalPlotter::setFontColor#
    {92, 1851, 2373},	// Plasma::SignalPlotter::setGeometry#
    {92, 1868, 2350},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1870, 2356},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1872, 2338},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 2036, 2348},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 2038, 2358},	// Plasma::SignalPlotter::setShowLabels$
    {92, 2040, 2360},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 2042, 2340},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 2058, 2370},	// Plasma::SignalPlotter::setStackPlots$
    {92, 2077, 2364},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2107, 2368},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2109, 2327},	// Plasma::SignalPlotter::setTitle$
    {92, 2121, 2329},	// Plasma::SignalPlotter::setUnit$
    {92, 2127, 2333},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2141, 2342},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2143, 2344},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2145, 2346},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2147, 2335},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2191, 2349},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2192, 2359},	// Plasma::SignalPlotter::showLabels
    {92, 2198, 2361},	// Plasma::SignalPlotter::showTopBar
    {92, 2199, 2341},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2227, 2371},	// Plasma::SignalPlotter::stackPlots
    {92, 2235, 2389},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2257, 2365},	// Plasma::SignalPlotter::svgBackground
    {92, 2293, 2369},	// Plasma::SignalPlotter::thinFrame
    {92, 2299, 2328},	// Plasma::SignalPlotter::title
    {92, 2312, 2386},	// Plasma::SignalPlotter::tr$
    {92, 2313, 2316},	// Plasma::SignalPlotter::tr$$
    {92, 2314, 2318},	// Plasma::SignalPlotter::tr$$$
    {92, 2316, 2387},	// Plasma::SignalPlotter::trUtf8$
    {92, 2317, 2317},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2318, 2319},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2326, 2330},	// Plasma::SignalPlotter::unit
    {92, 2343, 2374},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2358, 2334},	// Plasma::SignalPlotter::useAutoRange
    {92, 2375, 2343},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2376, 2345},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2377, 2347},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2378, 2337},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2379, 2336},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2471, 2390},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 491, 2417},	// Plasma::Slider::Slider
    {93, 492, 2398},	// Plasma::Slider::Slider#
    {93, 1377, 2399},	// Plasma::Slider::maximum
    {93, 1382, 2391},	// Plasma::Slider::metaObject
    {93, 1392, 2400},	// Plasma::Slider::minimum
    {93, 1419, 2405},	// Plasma::Slider::nativeWidget
    {93, 1441, 2402},	// Plasma::Slider::orientation
    {93, 1451, 2406},	// Plasma::Slider::paint###
    {93, 1515, 2397},	// Plasma::Slider::qt_metacall$$?
    {93, 1517, 2392},	// Plasma::Slider::qt_metacast$
    {93, 1923, 2408},	// Plasma::Slider::setMaximum$
    {93, 1931, 2409},	// Plasma::Slider::setMinimum$
    {93, 1954, 2412},	// Plasma::Slider::setOrientation$
    {93, 1997, 2410},	// Plasma::Slider::setRange$$
    {93, 2067, 2403},	// Plasma::Slider::setStyleSheet$
    {93, 2137, 2411},	// Plasma::Slider::setValue$
    {93, 2217, 2413},	// Plasma::Slider::sliderMoved$
    {93, 2235, 2418},	// Plasma::Slider::staticMetaObject
    {93, 2248, 2404},	// Plasma::Slider::styleSheet
    {93, 2312, 2415},	// Plasma::Slider::tr$
    {93, 2313, 2393},	// Plasma::Slider::tr$$
    {93, 2314, 2395},	// Plasma::Slider::tr$$$
    {93, 2316, 2416},	// Plasma::Slider::trUtf8$
    {93, 2317, 2394},	// Plasma::Slider::trUtf8$$
    {93, 2318, 2396},	// Plasma::Slider::trUtf8$$$
    {93, 2367, 2401},	// Plasma::Slider::value
    {93, 2369, 2414},	// Plasma::Slider::valueChanged$
    {93, 2397, 2407},	// Plasma::Slider::wheelEvent#
    {93, 2472, 2419},	// Plasma::Slider::~Slider
    {94, 497, 2450},	// Plasma::SpinBox::SpinBox
    {94, 498, 2427},	// Plasma::SpinBox::SpinBox#
    {94, 754, 2434},	// Plasma::SpinBox::changeEvent#
    {94, 950, 2447},	// Plasma::SpinBox::editingFinished
    {94, 1041, 2440},	// Plasma::SpinBox::focusOutEvent#
    {94, 1104, 2435},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1106, 2436},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1377, 2428},	// Plasma::SpinBox::maximum
    {94, 1382, 2420},	// Plasma::SpinBox::metaObject
    {94, 1392, 2429},	// Plasma::SpinBox::minimum
    {94, 1402, 2439},	// Plasma::SpinBox::mousePressEvent#
    {94, 1419, 2433},	// Plasma::SpinBox::nativeWidget
    {94, 1451, 2438},	// Plasma::SpinBox::paint###
    {94, 1515, 2426},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1517, 2421},	// Plasma::SpinBox::qt_metacast$
    {94, 1610, 2437},	// Plasma::SpinBox::resizeEvent#
    {94, 1923, 2441},	// Plasma::SpinBox::setMaximum$
    {94, 1931, 2442},	// Plasma::SpinBox::setMinimum$
    {94, 1997, 2443},	// Plasma::SpinBox::setRange$$
    {94, 2067, 2431},	// Plasma::SpinBox::setStyleSheet$
    {94, 2137, 2444},	// Plasma::SpinBox::setValue$
    {94, 2217, 2445},	// Plasma::SpinBox::sliderMoved$
    {94, 2235, 2451},	// Plasma::SpinBox::staticMetaObject
    {94, 2248, 2432},	// Plasma::SpinBox::styleSheet
    {94, 2312, 2448},	// Plasma::SpinBox::tr$
    {94, 2313, 2422},	// Plasma::SpinBox::tr$$
    {94, 2314, 2424},	// Plasma::SpinBox::tr$$$
    {94, 2316, 2449},	// Plasma::SpinBox::trUtf8$
    {94, 2317, 2423},	// Plasma::SpinBox::trUtf8$$
    {94, 2318, 2425},	// Plasma::SpinBox::trUtf8$$$
    {94, 2367, 2430},	// Plasma::SpinBox::value
    {94, 2369, 2446},	// Plasma::SpinBox::valueChanged$
    {94, 2473, 2452},	// Plasma::SpinBox::~SpinBox
    {95, 512, 2487},	// Plasma::Svg::Svg
    {95, 513, 2460},	// Plasma::Svg::Svg#
    {95, 825, 2476},	// Plasma::Svg::containsMultipleImages
    {95, 964, 2473},	// Plasma::Svg::elementAtPoint#
    {95, 969, 2471},	// Plasma::Svg::elementRect$
    {95, 971, 2470},	// Plasma::Svg::elementSize$
    {95, 1078, 2472},	// Plasma::Svg::hasElement$
    {95, 1115, 2478},	// Plasma::Svg::imagePath
    {95, 1194, 2480},	// Plasma::Svg::isUsingRenderingCache
    {95, 1195, 2474},	// Plasma::Svg::isValid
    {95, 1382, 2453},	// Plasma::Svg::metaObject
    {95, 1450, -4},	// Plasma::Svg::paint##
    {95, 1452, -7},	// Plasma::Svg::paint##$
    {95, 1453, 2490},	// Plasma::Svg::paint#$$
    {95, 1454, 2463},	// Plasma::Svg::paint#$$$
    {95, 1455, 2492},	// Plasma::Svg::paint#$$$$
    {95, 1456, 2465},	// Plasma::Svg::paint#$$$$$
    {95, 1483, 2488},	// Plasma::Svg::pixmap
    {95, 1484, 2461},	// Plasma::Svg::pixmap$
    {95, 1515, 2459},	// Plasma::Svg::qt_metacall$$?
    {95, 1517, 2454},	// Plasma::Svg::qt_metacast$
    {95, 1597, 2483},	// Plasma::Svg::repaintNeeded
    {95, 1605, 2469},	// Plasma::Svg::resize
    {95, 1606, 2468},	// Plasma::Svg::resize#
    {95, 1607, 2467},	// Plasma::Svg::resize$$
    {95, 1762, 2475},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1892, 2477},	// Plasma::Svg::setImagePath$
    {95, 2103, 2481},	// Plasma::Svg::setTheme#
    {95, 2133, 2479},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2206, 2466},	// Plasma::Svg::size
    {95, 2207, 2484},	// Plasma::Svg::sizeChanged
    {95, 2235, 2493},	// Plasma::Svg::staticMetaObject
    {95, 2290, 2482},	// Plasma::Svg::theme
    {95, 2312, 2485},	// Plasma::Svg::tr$
    {95, 2313, 2455},	// Plasma::Svg::tr$$
    {95, 2314, 2457},	// Plasma::Svg::tr$$$
    {95, 2316, 2486},	// Plasma::Svg::trUtf8$
    {95, 2317, 2456},	// Plasma::Svg::trUtf8$$
    {95, 2318, 2458},	// Plasma::Svg::trUtf8$$$
    {95, 2475, 2494},	// Plasma::Svg::~Svg
    {96, 514, 2515},	// Plasma::SvgWidget::SvgWidget
    {96, 515, -60},	// Plasma::SvgWidget::SvgWidget#
    {96, 516, -63},	// Plasma::SvgWidget::SvgWidget#$
    {96, 517, 2519},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 518, 2503},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 770, 2509},	// Plasma::SvgWidget::clicked$
    {96, 967, 2507},	// Plasma::SvgWidget::elementID
    {96, 1382, 2495},	// Plasma::SvgWidget::metaObject
    {96, 1402, 2512},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1404, 2508},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1451, 2510},	// Plasma::SvgWidget::paint###
    {96, 1515, 2501},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1517, 2496},	// Plasma::SvgWidget::qt_metacast$
    {96, 1821, 2506},	// Plasma::SvgWidget::setElementID$
    {96, 2073, 2504},	// Plasma::SvgWidget::setSvg#
    {96, 2213, 2511},	// Plasma::SvgWidget::sizeHint$#
    {96, 2235, 2520},	// Plasma::SvgWidget::staticMetaObject
    {96, 2256, 2505},	// Plasma::SvgWidget::svg
    {96, 2312, 2513},	// Plasma::SvgWidget::tr$
    {96, 2313, 2497},	// Plasma::SvgWidget::tr$$
    {96, 2314, 2499},	// Plasma::SvgWidget::tr$$$
    {96, 2316, 2514},	// Plasma::SvgWidget::trUtf8$
    {96, 2317, 2498},	// Plasma::SvgWidget::trUtf8$$
    {96, 2318, 2500},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2476, 2521},	// Plasma::SvgWidget::~SvgWidget
    {97, 520, 2559},	// Plasma::TabBar::TabBar
    {97, 521, 2529},	// Plasma::TabBar::TabBar#
    {97, 676, 2562},	// Plasma::TabBar::addTab#$
    {97, 677, 2532},	// Plasma::TabBar::addTab#$#
    {97, 678, 2563},	// Plasma::TabBar::addTab$
    {97, 679, 2533},	// Plasma::TabBar::addTab$#
    {97, 754, 2556},	// Plasma::TabBar::changeEvent#
    {97, 842, 2538},	// Plasma::TabBar::count
    {97, 865, 2553},	// Plasma::TabBar::currentChanged$
    {97, 866, 2537},	// Plasma::TabBar::currentIndex
    {97, 1027, 2549},	// Plasma::TabBar::firstPositionWidget
    {97, 1143, 2560},	// Plasma::TabBar::insertTab$#$
    {97, 1144, 2530},	// Plasma::TabBar::insertTab$#$#
    {97, 1145, 2561},	// Plasma::TabBar::insertTab$$
    {97, 1146, 2531},	// Plasma::TabBar::insertTab$$#
    {97, 1190, 2544},	// Plasma::TabBar::isTabBarShown
    {97, 1249, 2551},	// Plasma::TabBar::lastPositionWidget
    {97, 1382, 2522},	// Plasma::TabBar::metaObject
    {97, 1419, 2547},	// Plasma::TabBar::nativeWidget
    {97, 1515, 2528},	// Plasma::TabBar::qt_metacall$$?
    {97, 1517, 2523},	// Plasma::TabBar::qt_metacast$
    {97, 1582, 2534},	// Plasma::TabBar::removeTab$
    {97, 1610, 2555},	// Plasma::TabBar::resizeEvent#
    {97, 1780, 2552},	// Plasma::TabBar::setCurrentIndex$
    {97, 1840, 2548},	// Plasma::TabBar::setFirstPositionWidget#
    {97, 1913, 2550},	// Plasma::TabBar::setLastPositionWidget#
    {97, 2067, 2545},	// Plasma::TabBar::setStyleSheet$
    {97, 2081, 2543},	// Plasma::TabBar::setTabBarShown$
    {97, 2083, 2541},	// Plasma::TabBar::setTabIcon$#
    {97, 2085, 2539},	// Plasma::TabBar::setTabText$$
    {97, 2235, 2564},	// Plasma::TabBar::staticMetaObject
    {97, 2248, 2546},	// Plasma::TabBar::styleSheet
    {97, 2266, 2536},	// Plasma::TabBar::tabAt$
    {97, 2268, 2542},	// Plasma::TabBar::tabIcon$
    {97, 2270, 2540},	// Plasma::TabBar::tabText$
    {97, 2273, 2535},	// Plasma::TabBar::takeTab$
    {97, 2312, 2557},	// Plasma::TabBar::tr$
    {97, 2313, 2524},	// Plasma::TabBar::tr$$
    {97, 2314, 2526},	// Plasma::TabBar::tr$$$
    {97, 2316, 2558},	// Plasma::TabBar::trUtf8$
    {97, 2317, 2525},	// Plasma::TabBar::trUtf8$$
    {97, 2318, 2527},	// Plasma::TabBar::trUtf8$$$
    {97, 2397, 2554},	// Plasma::TabBar::wheelEvent#
    {97, 2477, 2565},	// Plasma::TabBar::~TabBar
    {98, 522, 2590},	// Plasma::TextBrowser::TextBrowser
    {98, 523, 2573},	// Plasma::TextBrowser::TextBrowser#
    {98, 708, 2581},	// Plasma::TextBrowser::append$
    {98, 754, 2586},	// Plasma::TextBrowser::changeEvent#
    {98, 838, 2587},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 885, 2582},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1382, 2566},	// Plasma::TextBrowser::metaObject
    {98, 1419, 2580},	// Plasma::TextBrowser::nativeWidget
    {98, 1515, 2572},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1517, 2567},	// Plasma::TextBrowser::qt_metacast$
    {98, 1610, 2584},	// Plasma::TextBrowser::resizeEvent#
    {98, 1874, 2576},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 2067, 2578},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2097, 2574},	// Plasma::TextBrowser::setText$
    {98, 2149, 2577},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2235, 2591},	// Plasma::TextBrowser::staticMetaObject
    {98, 2248, 2579},	// Plasma::TextBrowser::styleSheet
    {98, 2283, 2575},	// Plasma::TextBrowser::text
    {98, 2285, 2583},	// Plasma::TextBrowser::textChanged
    {98, 2312, 2588},	// Plasma::TextBrowser::tr$
    {98, 2313, 2568},	// Plasma::TextBrowser::tr$$
    {98, 2314, 2570},	// Plasma::TextBrowser::tr$$$
    {98, 2316, 2589},	// Plasma::TextBrowser::trUtf8$
    {98, 2317, 2569},	// Plasma::TextBrowser::trUtf8$$
    {98, 2318, 2571},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2397, 2585},	// Plasma::TextBrowser::wheelEvent#
    {98, 2478, 2592},	// Plasma::TextBrowser::~TextBrowser
    {99, 525, 2619},	// Plasma::TextEdit::TextEdit
    {99, 526, 2600},	// Plasma::TextEdit::TextEdit#
    {99, 708, 2609},	// Plasma::TextEdit::append$
    {99, 754, 2613},	// Plasma::TextEdit::changeEvent#
    {99, 838, 2614},	// Plasma::TextEdit::contextMenuEvent#
    {99, 885, 2610},	// Plasma::TextEdit::dataUpdated$?
    {99, 1041, 2616},	// Plasma::TextEdit::focusOutEvent#
    {99, 1182, 2604},	// Plasma::TextEdit::isReadOnly
    {99, 1382, 2593},	// Plasma::TextEdit::metaObject
    {99, 1402, 2615},	// Plasma::TextEdit::mousePressEvent#
    {99, 1419, 2608},	// Plasma::TextEdit::nativeWidget
    {99, 1515, 2599},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1517, 2594},	// Plasma::TextEdit::qt_metacast$
    {99, 1610, 2612},	// Plasma::TextEdit::resizeEvent#
    {99, 1942, 2607},	// Plasma::TextEdit::setNativeWidget#
    {99, 1999, 2603},	// Plasma::TextEdit::setReadOnly$
    {99, 2067, 2605},	// Plasma::TextEdit::setStyleSheet$
    {99, 2097, 2601},	// Plasma::TextEdit::setText$
    {99, 2235, 2620},	// Plasma::TextEdit::staticMetaObject
    {99, 2248, 2606},	// Plasma::TextEdit::styleSheet
    {99, 2283, 2602},	// Plasma::TextEdit::text
    {99, 2285, 2611},	// Plasma::TextEdit::textChanged
    {99, 2312, 2617},	// Plasma::TextEdit::tr$
    {99, 2313, 2595},	// Plasma::TextEdit::tr$$
    {99, 2314, 2597},	// Plasma::TextEdit::tr$$$
    {99, 2316, 2618},	// Plasma::TextEdit::trUtf8$
    {99, 2317, 2596},	// Plasma::TextEdit::trUtf8$$
    {99, 2318, 2598},	// Plasma::TextEdit::trUtf8$$$
    {99, 2479, 2621},	// Plasma::TextEdit::~TextEdit
    {100, 52, 2672},	// Plasma::Theme::BackgroundColor
    {100, 69, 2674},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2678},	// Plasma::Theme::ButtonFocusColor
    {100, 72, 2677},	// Plasma::Theme::ButtonHoverColor
    {100, 76, 2673},	// Plasma::Theme::ButtonTextColor
    {100, 133, 2683},	// Plasma::Theme::DefaultFont
    {100, 141, 2684},	// Plasma::Theme::DesktopFont
    {100, 206, 2671},	// Plasma::Theme::HighlightColor
    {100, 337, 2675},	// Plasma::Theme::LinkColor
    {100, 524, 2670},	// Plasma::Theme::TextColor
    {100, 527, 2664},	// Plasma::Theme::Theme
    {100, 528, 2630},	// Plasma::Theme::Theme#
    {100, 529, 2665},	// Plasma::Theme::Theme$
    {100, 530, 2631},	// Plasma::Theme::Theme$#
    {100, 574, 2680},	// Plasma::Theme::ViewBackgroundColor
    {100, 575, 2682},	// Plasma::Theme::ViewFocusColor
    {100, 576, 2681},	// Plasma::Theme::ViewHoverColor
    {100, 577, 2679},	// Plasma::Theme::ViewTextColor
    {100, 578, 2676},	// Plasma::Theme::VisitedLinkColor
    {100, 702, 2637},	// Plasma::Theme::animationPath$
    {100, 779, 2641},	// Plasma::Theme::color$
    {100, 780, 2640},	// Plasma::Theme::colorScheme
    {100, 872, 2639},	// Plasma::Theme::currentThemeHasImage$
    {100, 888, 2629},	// Plasma::Theme::defaultTheme
    {100, 1017, 2650},	// Plasma::Theme::findInCache$#
    {100, 1018, 2651},	// Plasma::Theme::findInCache$#$
    {100, 1020, 2655},	// Plasma::Theme::findInRectsCache$$#
    {100, 1044, 2643},	// Plasma::Theme::font$
    {100, 1047, 2644},	// Plasma::Theme::fontMetrics
    {100, 1116, 2636},	// Plasma::Theme::imagePath$
    {100, 1138, 2652},	// Plasma::Theme::insertIntoCache$#
    {100, 1139, 2653},	// Plasma::Theme::insertIntoCache$#$
    {100, 1141, 2657},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1151, 2658},	// Plasma::Theme::invalidateRectsCache$
    {100, 1277, 2656},	// Plasma::Theme::listCachedRectKeys$
    {100, 1304, 2633},	// Plasma::Theme::listThemeInfo
    {100, 1382, 2622},	// Plasma::Theme::metaObject
    {100, 1444, 2632},	// Plasma::Theme::packageStructure
    {100, 1515, 2628},	// Plasma::Theme::qt_metacall$$?
    {100, 1517, 2623},	// Plasma::Theme::qt_metacast$
    {100, 1543, 2659},	// Plasma::Theme::releaseRectsCache$
    {100, 1733, 2654},	// Plasma::Theme::setCacheLimit$
    {100, 1842, 2667},	// Plasma::Theme::setFont#
    {100, 1843, 2642},	// Plasma::Theme::setFont#$
    {100, 2105, 2634},	// Plasma::Theme::setThemeName$
    {100, 2129, 2646},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2171, 2661},	// Plasma::Theme::settingsChanged
    {100, 2235, 2669},	// Plasma::Theme::staticMetaObject
    {100, 2248, 2668},	// Plasma::Theme::styleSheet
    {100, 2249, 2649},	// Plasma::Theme::styleSheet$
    {100, 2291, 2660},	// Plasma::Theme::themeChanged
    {100, 2292, 2635},	// Plasma::Theme::themeName
    {100, 2312, 2662},	// Plasma::Theme::tr$
    {100, 2313, 2624},	// Plasma::Theme::tr$$
    {100, 2314, 2626},	// Plasma::Theme::tr$$$
    {100, 2316, 2663},	// Plasma::Theme::trUtf8$
    {100, 2317, 2625},	// Plasma::Theme::trUtf8$$
    {100, 2318, 2627},	// Plasma::Theme::trUtf8$$$
    {100, 2360, 2647},	// Plasma::Theme::useGlobalSettings
    {100, 2361, 2648},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2393, 2666},	// Plasma::Theme::wallpaperPath
    {100, 2394, 2638},	// Plasma::Theme::wallpaperPath#
    {100, 2405, 2645},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2480, 2685},	// Plasma::Theme::~Theme
    {101, 532, 2722},	// Plasma::ToolButton::ToolButton
    {101, 533, 2693},	// Plasma::ToolButton::ToolButton#
    {101, 604, 2706},	// Plasma::ToolButton::action
    {101, 733, 2695},	// Plasma::ToolButton::autoRaise
    {101, 754, 2717},	// Plasma::ToolButton::changeEvent#
    {101, 769, 2710},	// Plasma::ToolButton::clicked
    {101, 1104, 2715},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1106, 2716},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1110, 2708},	// Plasma::ToolButton::icon
    {101, 1114, 2700},	// Plasma::ToolButton::image
    {101, 1165, 2702},	// Plasma::ToolButton::isDown
    {101, 1211, 2718},	// Plasma::ToolButton::itemChange$#
    {101, 1382, 2686},	// Plasma::ToolButton::metaObject
    {101, 1419, 2709},	// Plasma::ToolButton::nativeWidget
    {101, 1450, 2723},	// Plasma::ToolButton::paint##
    {101, 1451, 2713},	// Plasma::ToolButton::paint###
    {101, 1505, 2711},	// Plasma::ToolButton::pressed
    {101, 1515, 2692},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1517, 2687},	// Plasma::ToolButton::qt_metacast$
    {101, 1545, 2712},	// Plasma::ToolButton::released
    {101, 1610, 2714},	// Plasma::ToolButton::resizeEvent#
    {101, 1683, 2705},	// Plasma::ToolButton::setAction#
    {101, 1719, 2694},	// Plasma::ToolButton::setAutoRaise$
    {101, 1808, 2701},	// Plasma::ToolButton::setDown$
    {101, 1881, 2707},	// Plasma::ToolButton::setIcon#
    {101, 1889, 2698},	// Plasma::ToolButton::setImage$
    {101, 1890, 2699},	// Plasma::ToolButton::setImage$$
    {101, 2067, 2703},	// Plasma::ToolButton::setStyleSheet$
    {101, 2097, 2696},	// Plasma::ToolButton::setText$
    {101, 2213, 2719},	// Plasma::ToolButton::sizeHint$#
    {101, 2235, 2724},	// Plasma::ToolButton::staticMetaObject
    {101, 2248, 2704},	// Plasma::ToolButton::styleSheet
    {101, 2283, 2697},	// Plasma::ToolButton::text
    {101, 2312, 2720},	// Plasma::ToolButton::tr$
    {101, 2313, 2688},	// Plasma::ToolButton::tr$$
    {101, 2314, 2690},	// Plasma::ToolButton::tr$$$
    {101, 2316, 2721},	// Plasma::ToolButton::trUtf8$
    {101, 2317, 2689},	// Plasma::ToolButton::trUtf8$$
    {101, 2318, 2691},	// Plasma::ToolButton::trUtf8$$$
    {101, 2481, 2725},	// Plasma::ToolButton::~ToolButton
    {102, 117, 2756},	// Plasma::ToolTipContent::CssResource
    {102, 209, 2755},	// Plasma::ToolTipContent::HtmlResource
    {102, 218, 2754},	// Plasma::ToolTipContent::ImageResource
    {102, 534, 2726},	// Plasma::ToolTipContent::ToolTipContent
    {102, 535, 2727},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 536, 2753},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 537, -10},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 662, 2747},	// Plasma::ToolTipContent::addResource$##
    {102, 734, 2746},	// Plasma::ToolTipContent::autohide
    {102, 1069, 2752},	// Plasma::ToolTipContent::graphicsWidget
    {102, 1098, 2744},	// Plasma::ToolTipContent::highlightWindows
    {102, 1114, 2738},	// Plasma::ToolTipContent::image
    {102, 1161, 2750},	// Plasma::ToolTipContent::isClickable
    {102, 1166, 2731},	// Plasma::ToolTipContent::isEmpty
    {102, 1356, 2733},	// Plasma::ToolTipContent::mainText
    {102, 1438, 2730},	// Plasma::ToolTipContent::operator=#
    {102, 1537, 2748},	// Plasma::ToolTipContent::registerResources#
    {102, 1721, 2745},	// Plasma::ToolTipContent::setAutohide$
    {102, 1745, 2749},	// Plasma::ToolTipContent::setClickable$
    {102, 1855, 2751},	// Plasma::ToolTipContent::setGraphicsWidget#
    {102, 1866, 2743},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1888, -13},	// Plasma::ToolTipContent::setImage#
    {102, 1919, 2732},	// Plasma::ToolTipContent::setMainText$
    {102, 2069, 2734},	// Plasma::ToolTipContent::setSubText$
    {102, 2164, 2739},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2166, 2741},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2250, 2735},	// Plasma::ToolTipContent::subText
    {102, 2404, 2740},	// Plasma::ToolTipContent::windowToPreview
    {102, 2406, 2742},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2482, 2757},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 17, 2780},	// Plasma::ToolTipManager::Activated
    {103, 129, 2782},	// Plasma::ToolTipManager::Deactivated
    {103, 222, 2781},	// Plasma::ToolTipManager::Inhibited
    {103, 766, 2772},	// Plasma::ToolTipManager::clearContent#
    {103, 1093, 2768},	// Plasma::ToolTipManager::hide#
    {103, 1197, 2767},	// Plasma::ToolTipManager::isVisible#
    {103, 1263, 2776},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1382, 2758},	// Plasma::ToolTipManager::metaObject
    {103, 1515, 2764},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1517, 2759},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1541, 2769},	// Plasma::ToolTipManager::registerWidget#
    {103, 1670, 2765},	// Plasma::ToolTipManager::self
    {103, 1764, 2771},	// Plasma::ToolTipManager::setContent##
    {103, 2060, 2773},	// Plasma::ToolTipManager::setState$
    {103, 2177, 2766},	// Plasma::ToolTipManager::show#
    {103, 2234, 2774},	// Plasma::ToolTipManager::state
    {103, 2235, 2779},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2312, 2777},	// Plasma::ToolTipManager::tr$
    {103, 2313, 2760},	// Plasma::ToolTipManager::tr$$
    {103, 2314, 2762},	// Plasma::ToolTipManager::tr$$$
    {103, 2316, 2778},	// Plasma::ToolTipManager::trUtf8$
    {103, 2317, 2761},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2318, 2763},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2335, 2770},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2403, 2775},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 547, 2798},	// Plasma::TreeView::TreeView
    {104, 548, 2790},	// Plasma::TreeView::TreeView#
    {104, 1382, 2783},	// Plasma::TreeView::metaObject
    {104, 1396, 2792},	// Plasma::TreeView::model
    {104, 1419, 2795},	// Plasma::TreeView::nativeWidget
    {104, 1515, 2789},	// Plasma::TreeView::qt_metacall$$?
    {104, 1517, 2784},	// Plasma::TreeView::qt_metacast$
    {104, 1937, 2791},	// Plasma::TreeView::setModel#
    {104, 2067, 2793},	// Plasma::TreeView::setStyleSheet$
    {104, 2235, 2799},	// Plasma::TreeView::staticMetaObject
    {104, 2248, 2794},	// Plasma::TreeView::styleSheet
    {104, 2312, 2796},	// Plasma::TreeView::tr$
    {104, 2313, 2785},	// Plasma::TreeView::tr$$
    {104, 2314, 2787},	// Plasma::TreeView::tr$$$
    {104, 2316, 2797},	// Plasma::TreeView::trUtf8$
    {104, 2317, 2786},	// Plasma::TreeView::trUtf8$$
    {104, 2318, 2788},	// Plasma::TreeView::trUtf8$$$
    {104, 2483, 2800},	// Plasma::TreeView::~TreeView
    {105, 132, 2849},	// Plasma::VideoWidget::DefaultControls
    {105, 356, 2845},	// Plasma::VideoWidget::Next
    {105, 367, 2839},	// Plasma::VideoWidget::NoControls
    {105, 383, 2848},	// Plasma::VideoWidget::OpenFile
    {105, 399, 2841},	// Plasma::VideoWidget::Pause
    {105, 408, 2840},	// Plasma::VideoWidget::Play
    {105, 409, 2843},	// Plasma::VideoWidget::PlayPause
    {105, 416, 2844},	// Plasma::VideoWidget::Previous
    {105, 417, 2846},	// Plasma::VideoWidget::Progress
    {105, 502, 2842},	// Plasma::VideoWidget::Stop
    {105, 567, 2837},	// Plasma::VideoWidget::VideoWidget
    {105, 568, 2808},	// Plasma::VideoWidget::VideoWidget#
    {105, 579, 2847},	// Plasma::VideoWidget::Volume
    {105, 598, 2828},	// Plasma::VideoWidget::aboutToFinish
    {105, 727, 2812},	// Plasma::VideoWidget::audioOutput
    {105, 840, 2819},	// Plasma::VideoWidget::controlsVisible
    {105, 873, 2813},	// Plasma::VideoWidget::currentTime
    {105, 1104, 2832},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1106, 2833},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1108, 2834},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1379, 2811},	// Plasma::VideoWidget::mediaObject
    {105, 1382, 2801},	// Plasma::VideoWidget::metaObject
    {105, 1419, 2822},	// Plasma::VideoWidget::nativeWidget
    {105, 1425, 2829},	// Plasma::VideoWidget::nextRequested
    {105, 1478, 2824},	// Plasma::VideoWidget::pause
    {105, 1485, 2823},	// Plasma::VideoWidget::play
    {105, 1507, 2830},	// Plasma::VideoWidget::previousRequested
    {105, 1515, 2807},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1517, 2802},	// Plasma::VideoWidget::qt_metacast$
    {105, 1549, 2815},	// Plasma::VideoWidget::remainingTime
    {105, 1610, 2831},	// Plasma::VideoWidget::resizeEvent#
    {105, 1668, 2826},	// Plasma::VideoWidget::seek$
    {105, 1774, 2818},	// Plasma::VideoWidget::setControlsVisible$
    {105, 2067, 2820},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2125, 2809},	// Plasma::VideoWidget::setUrl$
    {105, 2131, 2816},	// Plasma::VideoWidget::setUsedControls$
    {105, 2235, 2838},	// Plasma::VideoWidget::staticMetaObject
    {105, 2237, 2825},	// Plasma::VideoWidget::stop
    {105, 2248, 2821},	// Plasma::VideoWidget::styleSheet
    {105, 2295, 2827},	// Plasma::VideoWidget::tick$
    {105, 2310, 2814},	// Plasma::VideoWidget::totalTime
    {105, 2312, 2835},	// Plasma::VideoWidget::tr$
    {105, 2313, 2803},	// Plasma::VideoWidget::tr$$
    {105, 2314, 2805},	// Plasma::VideoWidget::tr$$$
    {105, 2316, 2836},	// Plasma::VideoWidget::trUtf8$
    {105, 2317, 2804},	// Plasma::VideoWidget::trUtf8$$
    {105, 2318, 2806},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2353, 2810},	// Plasma::VideoWidget::url
    {105, 2362, 2817},	// Plasma::VideoWidget::usedControls
    {105, 2484, 2850},	// Plasma::VideoWidget::~VideoWidget
    {106, 570, 2881},	// Plasma::View::View#
    {106, 571, 2858},	// Plasma::View::View##
    {106, 572, 2882},	// Plasma::View::View#$
    {106, 573, 2859},	// Plasma::View::View#$#
    {106, 781, 2877},	// Plasma::View::config
    {106, 784, 2878},	// Plasma::View::configNeedsSaving
    {106, 808, 2866},	// Plasma::View::containment
    {106, 892, 2864},	// Plasma::View::desktop
    {106, 952, 2865},	// Plasma::View::effectiveDesktop
    {106, 1112, 2872},	// Plasma::View::id
    {106, 1198, 2861},	// Plasma::View::isWallpaperEnabled
    {106, 1352, 2875},	// Plasma::View::lostContainment
    {106, 1382, 2851},	// Plasma::View::metaObject
    {106, 1515, 2857},	// Plasma::View::qt_metacall$$?
    {106, 1517, 2852},	// Plasma::View::qt_metacast$
    {106, 1647, 2873},	// Plasma::View::sceneRectAboutToChange
    {106, 1648, 2874},	// Plasma::View::sceneRectChanged
    {106, 1650, 2863},	// Plasma::View::screen
    {106, 1754, 2876},	// Plasma::View::setContainment#
    {106, 2023, 2883},	// Plasma::View::setScreen$
    {106, 2024, 2862},	// Plasma::View::setScreen$$
    {106, 2115, 2869},	// Plasma::View::setTrackContainmentChanges$
    {106, 2158, 2860},	// Plasma::View::setWallpaperEnabled$
    {106, 2235, 2886},	// Plasma::View::staticMetaObject
    {106, 2259, 2884},	// Plasma::View::swapContainment#$
    {106, 2260, 2867},	// Plasma::View::swapContainment#$?
    {106, 2261, 2885},	// Plasma::View::swapContainment$
    {106, 2262, 2868},	// Plasma::View::swapContainment$?
    {106, 2309, 2871},	// Plasma::View::topLevelViewAt#
    {106, 2312, 2879},	// Plasma::View::tr$
    {106, 2313, 2853},	// Plasma::View::tr$$
    {106, 2314, 2855},	// Plasma::View::tr$$$
    {106, 2316, 2880},	// Plasma::View::trUtf8$
    {106, 2317, 2854},	// Plasma::View::trUtf8$$
    {106, 2318, 2856},	// Plasma::View::trUtf8$$$
    {106, 2319, 2870},	// Plasma::View::trackContainmentChanges
    {106, 2485, 2887},	// Plasma::View::~View
    {107, 83, 2963},	// Plasma::Wallpaper::CenterTiledResize
    {107, 84, 2960},	// Plasma::Wallpaper::CenteredResize
    {107, 342, 2964},	// Plasma::Wallpaper::MaxpectResize
    {107, 461, 2961},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 462, 2959},	// Plasma::Wallpaper::ScaledResize
    {107, 531, 2962},	// Plasma::Wallpaper::TiledResize
    {107, 580, 2946},	// Plasma::Wallpaper::Wallpaper
    {107, 581, 2895},	// Plasma::Wallpaper::Wallpaper#
    {107, 582, 2935},	// Plasma::Wallpaper::Wallpaper#?
    {107, 747, 2909},	// Plasma::Wallpaper::boundingRect
    {107, 784, 2931},	// Plasma::Wallpaper::configNeedsSaving
    {107, 788, 2920},	// Plasma::Wallpaper::configurationRequired
    {107, 789, 2930},	// Plasma::Wallpaper::configurationRequired$
    {107, 790, 2929},	// Plasma::Wallpaper::configureRequested
    {107, 832, 2957},	// Plasma::Wallpaper::contextActions
    {107, 839, 2924},	// Plasma::Wallpaper::contextualActions
    {107, 849, 2914},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 883, 2919},	// Plasma::Wallpaper::dataEngine$
    {107, 1017, 2955},	// Plasma::Wallpaper::findInCache$#
    {107, 1018, 2940},	// Plasma::Wallpaper::findInCache$#$
    {107, 1110, 2904},	// Plasma::Wallpaper::icon
    {107, 1127, 2936},	// Plasma::Wallpaper::init#
    {107, 1138, 2941},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1171, 2908},	// Plasma::Wallpaper::isInitialized
    {107, 1180, 2925},	// Plasma::Wallpaper::isPreviewing
    {107, 1194, 2921},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1301, 2907},	// Plasma::Wallpaper::listRenderingModes
    {107, 1307, 2947},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1308, 2896},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1310, 2948},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1311, 2897},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1313, 2950},	// Plasma::Wallpaper::load#
    {107, 1318, 2899},	// Plasma::Wallpaper::load#?
    {107, 1319, 2949},	// Plasma::Wallpaper::load$
    {107, 1323, 2898},	// Plasma::Wallpaper::load$?
    {107, 1382, 2888},	// Plasma::Wallpaper::metaObject
    {107, 1400, 2915},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1402, 2916},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1404, 2917},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1417, 2901},	// Plasma::Wallpaper::name
    {107, 1420, 2927},	// Plasma::Wallpaper::needsPreviewDuringConfiguration
    {107, 1443, 2902},	// Plasma::Wallpaper::package
    {107, 1444, 2951},	// Plasma::Wallpaper::packageStructure
    {107, 1445, 2900},	// Plasma::Wallpaper::packageStructure#
    {107, 1450, 2911},	// Plasma::Wallpaper::paint##
    {107, 1487, 2903},	// Plasma::Wallpaper::pluginName
    {107, 1515, 2894},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1517, 2889},	// Plasma::Wallpaper::qt_metacast$
    {107, 1588, 2953},	// Plasma::Wallpaper::render$#
    {107, 1589, 2954},	// Plasma::Wallpaper::render$#$
    {107, 1590, 2938},	// Plasma::Wallpaper::render$#$#
    {107, 1592, 2932},	// Plasma::Wallpaper::renderCompleted#
    {107, 1593, 2934},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1594, 2905},	// Plasma::Wallpaper::renderingMode
    {107, 1614, 2912},	// Plasma::Wallpaper::restore#
    {107, 1632, 2913},	// Plasma::Wallpaper::save#
    {107, 1727, 2910},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1751, 2952},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1752, 2937},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1770, 2958},	// Plasma::Wallpaper::setContextActions?
    {107, 1772, 2942},	// Plasma::Wallpaper::setContextualActions?
    {107, 1989, 2943},	// Plasma::Wallpaper::setPreviewDuringConfiguration$
    {107, 1991, 2926},	// Plasma::Wallpaper::setPreviewing$
    {107, 2005, 2906},	// Plasma::Wallpaper::setRenderingMode$
    {107, 2013, 2922},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2091, 2923},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2133, 2939},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2235, 2956},	// Plasma::Wallpaper::staticMetaObject
    {107, 2312, 2944},	// Plasma::Wallpaper::tr$
    {107, 2313, 2890},	// Plasma::Wallpaper::tr$$
    {107, 2314, 2892},	// Plasma::Wallpaper::tr$$$
    {107, 2316, 2945},	// Plasma::Wallpaper::trUtf8$
    {107, 2317, 2891},	// Plasma::Wallpaper::trUtf8$$
    {107, 2318, 2893},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2337, 2928},	// Plasma::Wallpaper::update#
    {107, 2357, 2933},	// Plasma::Wallpaper::urlDropped#
    {107, 2397, 2918},	// Plasma::Wallpaper::wheelEvent#
    {107, 2486, 2965},	// Plasma::Wallpaper::~Wallpaper
    {108, 584, 3004},	// Plasma::WallpaperScript::WallpaperScript
    {108, 585, 2973},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 747, 2988},	// Plasma::WallpaperScript::boundingRect
    {108, 784, 2999},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 849, 2979},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 883, 2989},	// Plasma::WallpaperScript::dataEngine$
    {108, 891, 2986},	// Plasma::WallpaperScript::description
    {108, 1017, 3008},	// Plasma::WallpaperScript::findInCache$#
    {108, 1018, 2995},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1132, 2976},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1138, 2996},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1171, 2987},	// Plasma::WallpaperScript::isInitialized
    {108, 1355, 2984},	// Plasma::WallpaperScript::mainScript
    {108, 1382, 2966},	// Plasma::WallpaperScript::metaObject
    {108, 1400, 2980},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1402, 2981},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1404, 2982},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1443, 2985},	// Plasma::WallpaperScript::package
    {108, 1450, 2977},	// Plasma::WallpaperScript::paint##
    {108, 1515, 2972},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1517, 2967},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1588, 3006},	// Plasma::WallpaperScript::render$#
    {108, 1589, 3007},	// Plasma::WallpaperScript::render$#$
    {108, 1590, 2993},	// Plasma::WallpaperScript::render$#$#
    {108, 1592, 3000},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1632, 2978},	// Plasma::WallpaperScript::save#
    {108, 1751, 3005},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1752, 2992},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1772, 2997},	// Plasma::WallpaperScript::setContextualActions?
    {108, 2013, 2990},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2091, 2991},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2133, 2994},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2154, 2974},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2235, 3009},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2312, 3002},	// Plasma::WallpaperScript::tr$
    {108, 2313, 2968},	// Plasma::WallpaperScript::tr$$
    {108, 2314, 2970},	// Plasma::WallpaperScript::tr$$$
    {108, 2316, 3003},	// Plasma::WallpaperScript::trUtf8$
    {108, 2317, 2969},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2318, 2971},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2337, 2998},	// Plasma::WallpaperScript::update#
    {108, 2357, 3001},	// Plasma::WallpaperScript::urlDropped#
    {108, 2392, 2975},	// Plasma::WallpaperScript::wallpaper
    {108, 2397, 2983},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2487, 3010},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 587, 3064},	// Plasma::WebView::WebView
    {109, 588, 3018},	// Plasma::WebView::WebView#
    {109, 738, 3037},	// Plasma::WebView::back
    {109, 830, 3025},	// Plasma::WebView::contentsSize
    {109, 838, 3050},	// Plasma::WebView::contextMenuEvent#
    {109, 917, 3056},	// Plasma::WebView::dragEnterEvent#
    {109, 919, 3057},	// Plasma::WebView::dragLeaveEvent#
    {109, 921, 3058},	// Plasma::WebView::dragMoveEvent#
    {109, 922, 3035},	// Plasma::WebView::dragToScroll
    {109, 947, 3059},	// Plasma::WebView::dropEvent#
    {109, 1037, 3054},	// Plasma::WebView::focusInEvent#
    {109, 1041, 3055},	// Plasma::WebView::focusOutEvent#
    {109, 1051, 3038},	// Plasma::WebView::forward
    {109, 1057, 3024},	// Plasma::WebView::geometry
    {109, 1108, 3046},	// Plasma::WebView::hoverMoveEvent#
    {109, 1109, 3022},	// Plasma::WebView::html
    {109, 1211, 3060},	// Plasma::WebView::itemChange$#
    {109, 1230, 3052},	// Plasma::WebView::keyPressEvent#
    {109, 1232, 3053},	// Plasma::WebView::keyReleaseEvent#
    {109, 1331, 3042},	// Plasma::WebView::loadFinished$
    {109, 1339, 3041},	// Plasma::WebView::loadProgress$
    {109, 1354, 3033},	// Plasma::WebView::mainFrame
    {109, 1382, 3011},	// Plasma::WebView::metaObject
    {109, 1398, 3048},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1400, 3045},	// Plasma::WebView::mouseMoveEvent#
    {109, 1402, 3047},	// Plasma::WebView::mousePressEvent#
    {109, 1404, 3049},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1447, 3032},	// Plasma::WebView::page
    {109, 1450, 3067},	// Plasma::WebView::paint##
    {109, 1451, 3044},	// Plasma::WebView::paint###
    {109, 1515, 3017},	// Plasma::WebView::qt_metacall$$?
    {109, 1517, 3012},	// Plasma::WebView::qt_metacast$
    {109, 1547, 3039},	// Plasma::WebView::reload
    {109, 1659, 3027},	// Plasma::WebView::scrollPosition
    {109, 1810, 3034},	// Plasma::WebView::setDragToScroll$
    {109, 1851, 3036},	// Plasma::WebView::setGeometry#
    {109, 1876, 3065},	// Plasma::WebView::setHtml#
    {109, 1877, 3021},	// Plasma::WebView::setHtml##
    {109, 1878, 3066},	// Plasma::WebView::setHtml$
    {109, 1879, 3023},	// Plasma::WebView::setHtml$#
    {109, 1960, 3031},	// Plasma::WebView::setPage#
    {109, 2026, 3026},	// Plasma::WebView::setScrollPosition#
    {109, 2124, 3019},	// Plasma::WebView::setUrl#
    {109, 2170, 3030},	// Plasma::WebView::setZoomFactor$
    {109, 2213, 3061},	// Plasma::WebView::sizeHint$#
    {109, 2235, 3068},	// Plasma::WebView::staticMetaObject
    {109, 2237, 3040},	// Plasma::WebView::stop
    {109, 2312, 3062},	// Plasma::WebView::tr$
    {109, 2313, 3013},	// Plasma::WebView::tr$$
    {109, 2314, 3015},	// Plasma::WebView::tr$$$
    {109, 2316, 3063},	// Plasma::WebView::trUtf8$
    {109, 2317, 3014},	// Plasma::WebView::trUtf8$$
    {109, 2318, 3016},	// Plasma::WebView::trUtf8$$$
    {109, 2353, 3020},	// Plasma::WebView::url
    {109, 2355, 3043},	// Plasma::WebView::urlChanged#
    {109, 2385, 3028},	// Plasma::WebView::viewportGeometry
    {109, 2397, 3051},	// Plasma::WebView::wheelEvent#
    {109, 2413, 3029},	// Plasma::WebView::zoomFactor
    {109, 2488, 3069},	// Plasma::WebView::~WebView
    {133, 281, 3120},	// QGlobalSpace::KST_CTimeInfo
    {133, 282, 3112},	// QGlobalSpace::KST_KCustom
    {133, 283, 3106},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 284, 3105},	// QGlobalSpace::KST_KFolderMimeType
    {133, 285, 3117},	// QGlobalSpace::KST_KImageIO
    {133, 286, 3109},	// QGlobalSpace::KST_KImageIOFormat
    {133, 287, 3104},	// QGlobalSpace::KST_KMimeType
    {133, 288, 3107},	// QGlobalSpace::KST_KMimeTypeEntry
    {133, 289, 3119},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 290, 3110},	// QGlobalSpace::KST_KProtocolInfo
    {133, 291, 3118},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 292, 3102},	// QGlobalSpace::KST_KService
    {133, 293, 3114},	// QGlobalSpace::KST_KServiceFactory
    {133, 294, 3108},	// QGlobalSpace::KST_KServiceGroup
    {133, 295, 3116},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 296, 3111},	// QGlobalSpace::KST_KServiceSeparator
    {133, 297, 3103},	// QGlobalSpace::KST_KServiceType
    {133, 298, 3115},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 299, 3101},	// QGlobalSpace::KST_KSycocaEntry
    {133, 314, 3125},	// QGlobalSpace::LicensedActiveQt
    {133, 315, 3113},	// QGlobalSpace::LicensedCore
    {133, 316, 3126},	// QGlobalSpace::LicensedDBus
    {133, 317, 3124},	// QGlobalSpace::LicensedDeclarative
    {133, 318, 3123},	// QGlobalSpace::LicensedGui
    {133, 319, 3136},	// QGlobalSpace::LicensedHelp
    {133, 320, 3135},	// QGlobalSpace::LicensedMultimedia
    {133, 321, 3099},	// QGlobalSpace::LicensedNetwork
    {133, 322, 3096},	// QGlobalSpace::LicensedOpenGL
    {133, 323, 3098},	// QGlobalSpace::LicensedOpenVG
    {133, 324, 3097},	// QGlobalSpace::LicensedQt3Support
    {133, 325, 3129},	// QGlobalSpace::LicensedQt3SupportLight
    {133, 326, 3134},	// QGlobalSpace::LicensedScript
    {133, 327, 3128},	// QGlobalSpace::LicensedScriptTools
    {133, 328, 3100},	// QGlobalSpace::LicensedSql
    {133, 329, 3121},	// QGlobalSpace::LicensedSvg
    {133, 330, 3127},	// QGlobalSpace::LicensedTest
    {133, 331, 3090},	// QGlobalSpace::LicensedXml
    {133, 332, 3122},	// QGlobalSpace::LicensedXmlPatterns
    {133, 421, 3085},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 422, 3089},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 423, 3088},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 424, 3086},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 425, 3087},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 426, 3093},	// QGlobalSpace::QtCriticalMsg
    {133, 427, 3091},	// QGlobalSpace::QtDebugMsg
    {133, 428, 3094},	// QGlobalSpace::QtFatalMsg
    {133, 429, 3095},	// QGlobalSpace::QtSystemMsg
    {133, 430, 3092},	// QGlobalSpace::QtWarningMsg
    {133, 594, 3132},	// QGlobalSpace::__codecvt_error
    {133, 595, 3133},	// QGlobalSpace::__codecvt_noconv
    {133, 596, 3130},	// QGlobalSpace::__codecvt_ok
    {133, 597, 3131},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 199,
        __smokeplasma::methods, 3350,
        __smokeplasma::methodMaps, 3076,
        __smokeplasma::methodNames, 2488,
        __smokeplasma::types, 502,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
