#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", false, 3, xcall_Solid__Networking__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::Networking::Notifier) },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", false, 3, xcall_Solid__PowerManagement__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::PowerManagement::Notifier) },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Solid::AudioInterface::AudioInterfaceType>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Solid::OpticalDisc::ContentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Solid::OpticalDrive::MediumType>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Solid::Processor::InstructionSet>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//18
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//20
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForActiveQtModule", 4, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForCoreModule", 4, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForDBusModule", 4, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForDeclarativeModule", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForGuiModule", 4, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForHelpModule", 4, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForMultimediaModule", 4, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForNetworkModule", 4, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForOpenGLModule", 4, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForOpenVGModule", 4, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForQt3SupportLightModule", 4, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForQt3SupportModule", 4, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForScriptModule", 4, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForScriptToolsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForSqlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForSvgModule", 4, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForTestModule", 4, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForXmlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForXmlPatternsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//118
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//119
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//123
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//136
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//137
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//143
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//147
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//150
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//151
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//154
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//157
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//160
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//163
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//164
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//165
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//167
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    12, 3, 0,	//3  QObject*, QEvent*
    19, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    163, 0,	//10  const char*
    163, 163, 0,	//12  const char*, const char*
    163, 163, 164, 0,	//15  const char*, const char*, int
    11, 164, 168, 0,	//19  QMetaObject::Call, int, void**
    151, 156, 0,	//23  bool, const QString&
    164, 156, 0,	//26  int, const QString&
    117, 156, 0,	//29  Solid::Button::ButtonType, const QString&
    16, 0,	//32  QString
    156, 0,	//34  const QString&
    161, 156, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    162, 156, 0,	//39  const Solid::Predicate&, const QString&
    156, 156, 0,	//42  const QString&, const QString&
    159, 0,	//45  const Solid::Device&
    161, 0,	//47  const Solid::DeviceInterface::Type&
    162, 0,	//49  const Solid::Predicate&
    122, 0,	//51  Solid::DeviceInterface::Type
    123, 12, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    152, 0,	//56  const QMap<QString,int>&
    128, 0,	//58  Solid::Networking::ManagementPolicy
    130, 0,	//60  Solid::Networking::Status
    126, 20, 156, 0,	//62  Solid::ErrorType, QVariant, const QString&
    164, 0,	//66  int
    135, 12, 163, 0,	//68  Solid::PowerManagement::SleepState, QObject*, const char*
    151, 0,	//72  bool
    161, 156, 158, 139, 0,	//74  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    156, 156, 158, 139, 0,	//79  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    161, 156, 158, 0,	//84  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    156, 156, 158, 0,	//88  const QString&, const QString&, const QVariant&
    143, 12, 0,	//92  Solid::StorageAccessPrivate&, QObject*
    147, 12, 0,	//95  Solid::StorageDrivePrivate&, QObject*
    150, 12, 0,	//98  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "InternetGateway",	//93
    "KeyboardBattery",	//94
    "KeyboardMouseBattery",	//95
    "Last",	//96
    "LicensedActiveQt",	//97
    "LicensedCore",	//98
    "LicensedDBus",	//99
    "LicensedDeclarative",	//100
    "LicensedGui",	//101
    "LicensedHelp",	//102
    "LicensedMultimedia",	//103
    "LicensedNetwork",	//104
    "LicensedOpenGL",	//105
    "LicensedOpenVG",	//106
    "LicensedQt3Support",	//107
    "LicensedQt3SupportLight",	//108
    "LicensedScript",	//109
    "LicensedScriptTools",	//110
    "LicensedSql",	//111
    "LicensedSvg",	//112
    "LicensedTest",	//113
    "LicensedXml",	//114
    "LicensedXmlPatterns",	//115
    "LidButton",	//116
    "Managed",	//117
    "Manual",	//118
    "Mask",	//119
    "MemoryStick",	//120
    "Modem",	//121
    "MonitorBattery",	//122
    "MouseBattery",	//123
    "NetworkInterface",	//124
    "NetworkShare",	//125
    "NoCharge",	//126
    "NoContent",	//127
    "NoError",	//128
    "NoExtensions",	//129
    "Notifier",	//130
    "OnNextStatusChange",	//131
    "OpenSoundSystem",	//132
    "OpticalDisc",	//133
    "OpticalDrive",	//134
    "Other",	//135
    "PartitionTable",	//136
    "PdaBattery",	//137
    "PhoneBattery",	//138
    "Platform",	//139
    "PortableMediaPlayer",	//140
    "PowerButton",	//141
    "Predicate",	//142
    "Predicate#",	//143
    "Predicate$",	//144
    "Predicate$$#",	//145
    "Predicate$$#$",	//146
    "PrimaryBattery",	//147
    "Processor",	//148
    "PropertyAdded",	//149
    "PropertyCheck",	//150
    "PropertyModified",	//151
    "PropertyRemoved",	//152
    "Q_COMPLEX_TYPE",	//153
    "Q_DUMMY_TYPE",	//154
    "Q_MOVABLE_TYPE",	//155
    "Q_PRIMITIVE_TYPE",	//156
    "Q_STATIC_TYPE",	//157
    "QtCriticalMsg",	//158
    "QtDebugMsg",	//159
    "QtFatalMsg",	//160
    "QtSystemMsg",	//161
    "QtWarningMsg",	//162
    "Raid",	//163
    "Sata",	//164
    "Scsi",	//165
    "SdMmc",	//166
    "SerialInterface",	//167
    "SleepButton",	//168
    "SmartCardReader",	//169
    "SmartMedia",	//170
    "StandbyState",	//171
    "StorageAccess",	//172
    "StorageAccess##",	//173
    "StorageDrive",	//174
    "StorageDrive##",	//175
    "StorageVolume",	//176
    "StorageVolume##",	//177
    "SuperVideoCd",	//178
    "SuspendState",	//179
    "TabletButton",	//180
    "Tape",	//181
    "UnauthorizedOperation",	//182
    "Unconnected",	//183
    "Unknown",	//184
    "UnknownAudioDriver",	//185
    "UnknownAudioInterfaceType",	//186
    "UnknownBattery",	//187
    "UnknownButtonType",	//188
    "UnknownDiscType",	//189
    "Unused",	//190
    "UpsBattery",	//191
    "Usb",	//192
    "UsbSoundcard",	//193
    "Video",	//194
    "VideoBluRay",	//195
    "VideoCd",	//196
    "VideoDvd",	//197
    "Xd",	//198
    "accessibilityChanged",	//199
    "accessibilityChanged$$",	//200
    "allDevices",	//201
    "allProperties",	//202
    "appShouldConserveResources",	//203
    "appShouldConserveResourcesChanged",	//204
    "appShouldConserveResourcesChanged$",	//205
    "asDeviceInterface",	//206
    "asDeviceInterface$",	//207
    "availableContent",	//208
    "beginSuppressingScreenPowerManagement",	//209
    "beginSuppressingScreenPowerManagement$",	//210
    "beginSuppressingSleep",	//211
    "beginSuppressingSleep$",	//212
    "bus",	//213
    "canChangeFrequency",	//214
    "capacity",	//215
    "chargePercent",	//216
    "chargePercentChanged",	//217
    "chargePercentChanged$$",	//218
    "chargeState",	//219
    "chargeStateChanged",	//220
    "chargeStateChanged$$",	//221
    "childEvent",	//222
    "comparisonOperator",	//223
    "conditionRaised",	//224
    "conditionRaised$$",	//225
    "connectNotify",	//226
    "connectPolicy",	//227
    "customEvent",	//228
    "description",	//229
    "device",	//230
    "deviceAdapter",	//231
    "deviceAdded",	//232
    "deviceAdded$",	//233
    "deviceIndex",	//234
    "deviceInterfaceType",	//235
    "deviceMajor",	//236
    "deviceMinor",	//237
    "deviceRemoved",	//238
    "deviceRemoved$",	//239
    "deviceType",	//240
    "discType",	//241
    "disconnectNotify",	//242
    "disconnectPolicy",	//243
    "driveType",	//244
    "driver",	//245
    "driverHandle",	//246
    "driverHandle$",	//247
    "eject",	//248
    "ejectDone",	//249
    "ejectDone$#$",	//250
    "ejectPressed",	//251
    "ejectPressed$",	//252
    "ejectRequested",	//253
    "ejectRequested$",	//254
    "emblems",	//255
    "encryptedContainer",	//256
    "event",	//257
    "eventFilter",	//258
    "filePath",	//259
    "firstOperand",	//260
    "fromString",	//261
    "fromString$",	//262
    "fsType",	//263
    "hasState",	//264
    "hwAddress",	//265
    "icon",	//266
    "ifaceName",	//267
    "instance",	//268
    "instructionSets",	//269
    "interfaceType",	//270
    "isAccessible",	//271
    "isAppendable",	//272
    "isBlank",	//273
    "isDeviceInterface",	//274
    "isDeviceInterface$",	//275
    "isHotpluggable",	//276
    "isIgnored",	//277
    "isInUse",	//278
    "isPlugged",	//279
    "isRechargeable",	//280
    "isRemovable",	//281
    "isRewritable",	//282
    "isValid",	//283
    "isWireless",	//284
    "label",	//285
    "listFromQuery",	//286
    "listFromQuery#",	//287
    "listFromQuery#$",	//288
    "listFromQuery$",	//289
    "listFromQuery$$",	//290
    "listFromType",	//291
    "listFromType$",	//292
    "listFromType$$",	//293
    "macAddress",	//294
    "matches",	//295
    "matches#",	//296
    "matchingValue",	//297
    "maxSpeed",	//298
    "metaObject",	//299
    "name",	//300
    "notifier",	//301
    "number",	//302
    "operator&",	//303
    "operator&#",	//304
    "operator&=",	//305
    "operator&=#",	//306
    "operator=",	//307
    "operator=#",	//308
    "operator|",	//309
    "operator|#",	//310
    "operator|=",	//311
    "operator|=#",	//312
    "parent",	//313
    "parentUdi",	//314
    "plugStateChanged",	//315
    "plugStateChanged$$",	//316
    "pressed",	//317
    "pressed$$",	//318
    "product",	//319
    "property",	//320
    "property$",	//321
    "propertyChanged",	//322
    "propertyChanged?",	//323
    "propertyExists",	//324
    "propertyExists$",	//325
    "propertyName",	//326
    "qt_metacall",	//327
    "qt_metacall$$?",	//328
    "qt_metacast",	//329
    "qt_metacast$",	//330
    "readSpeed",	//331
    "requestSleep",	//332
    "requestSleep$#$",	//333
    "secondOperand",	//334
    "setConnectPolicy",	//335
    "setConnectPolicy$",	//336
    "setDisconnectPolicy",	//337
    "setDisconnectPolicy$",	//338
    "setup",	//339
    "setupDone",	//340
    "setupDone$#$",	//341
    "setupRequested",	//342
    "setupRequested$",	//343
    "shouldConnect",	//344
    "shouldDisconnect",	//345
    "size",	//346
    "soundcardType",	//347
    "stateValue",	//348
    "staticMetaObject",	//349
    "status",	//350
    "statusChanged",	//351
    "statusChanged$",	//352
    "stopSuppressingScreenPowerManagement",	//353
    "stopSuppressingScreenPowerManagement$",	//354
    "stopSuppressingSleep",	//355
    "stopSuppressingSleep$",	//356
    "stringToType",	//357
    "stringToType$",	//358
    "supportedDrivers",	//359
    "supportedDrivers$",	//360
    "supportedMedia",	//361
    "supportedProtocols",	//362
    "supportedSleepStates",	//363
    "teardown",	//364
    "teardownDone",	//365
    "teardownDone$#$",	//366
    "teardownRequested",	//367
    "teardownRequested$",	//368
    "timerEvent",	//369
    "toString",	//370
    "tr",	//371
    "tr$",	//372
    "tr$$",	//373
    "tr$$$",	//374
    "trUtf8",	//375
    "trUtf8$",	//376
    "trUtf8$$",	//377
    "trUtf8$$$",	//378
    "type",	//379
    "typeDescription",	//380
    "typeDescription$",	//381
    "typeToString",	//382
    "typeToString$",	//383
    "udi",	//384
    "usage",	//385
    "usedTypes",	//386
    "uuid",	//387
    "vendor",	//388
    "writeSpeed",	//389
    "writeSpeeds",	//390
    "~AcAdapter",	//391
    "~AudioInterface",	//392
    "~Battery",	//393
    "~Block",	//394
    "~Button",	//395
    "~Camera",	//396
    "~Device",	//397
    "~DeviceInterface",	//398
    "~DeviceNotifier",	//399
    "~DvbInterface",	//400
    "~GenericInterface",	//401
    "~NetworkInterface",	//402
    "~Notifier",	//403
    "~OpticalDisc",	//404
    "~OpticalDrive",	//405
    "~PortableMediaPlayer",	//406
    "~Predicate",	//407
    "~Processor",	//408
    "~StorageAccess",	//409
    "~StorageDrive",	//410
    "~StorageVolume",	//411
    "~Video",	//412
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {4, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {4, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {4, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {4, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {4, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {4, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {4, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {4, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {4, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {4, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {4, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {4, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {4, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {4, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {4, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {4, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {4, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {4, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {4, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {4, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {4, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {6, 257, 1, 1, Smoke::mf_virtual, 151, 0},	//30 QObject::event(QEvent*)
    {6, 258, 3, 2, Smoke::mf_virtual, 151, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {6, 369, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {6, 222, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {6, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {6, 226, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {6, 242, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {10, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//37 Solid::NoError (enum)
    {10, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//38 Solid::UnauthorizedOperation (enum)
    {11, 299, 0, 0, Smoke::mf_const, 154, 1},	//39 Solid::AcAdapter::metaObject() const
    {11, 329, 10, 1, 0, 167, 2},	//40 Solid::AcAdapter::qt_metacast(const char*)
    {11, 371, 12, 2, Smoke::mf_static, 16, 3},	//41 Solid::AcAdapter::tr(const char*, const char*)
    {11, 375, 12, 2, Smoke::mf_static, 16, 4},	//42 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 371, 15, 3, Smoke::mf_static, 16, 5},	//43 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 375, 15, 3, Smoke::mf_static, 16, 6},	//44 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 327, 19, 3, 0, 164, 7},	//45 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 235, 0, 0, Smoke::mf_static, 122, 8},	//46 Solid::AcAdapter::deviceInterfaceType()
    {11, 279, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//47 Solid::AcAdapter::isPlugged() const
    {11, 315, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//48 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 371, 10, 1, Smoke::mf_static, 16, 11},	//49 Solid::AcAdapter::tr(const char*)
    {11, 375, 10, 1, Smoke::mf_static, 16, 12},	//50 Solid::AcAdapter::trUtf8(const char*)
    {11, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 13},	//51 Solid::AcAdapter::staticMetaObject() const
    {11, 391, 0, 0, Smoke::mf_dtor, 0, 14 },	//52 Solid::AcAdapter::~AcAdapter()
    {12, 299, 0, 0, Smoke::mf_const, 154, 1},	//53 Solid::AudioInterface::metaObject() const
    {12, 329, 10, 1, 0, 167, 2},	//54 Solid::AudioInterface::qt_metacast(const char*)
    {12, 371, 12, 2, Smoke::mf_static, 16, 3},	//55 Solid::AudioInterface::tr(const char*, const char*)
    {12, 375, 12, 2, Smoke::mf_static, 16, 4},	//56 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 371, 15, 3, Smoke::mf_static, 16, 5},	//57 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 375, 15, 3, Smoke::mf_static, 16, 6},	//58 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 327, 19, 3, 0, 164, 7},	//59 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 235, 0, 0, Smoke::mf_static, 122, 8},	//60 Solid::AudioInterface::deviceInterfaceType()
    {12, 245, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 9},	//61 Solid::AudioInterface::driver() const
    {12, 246, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 10},	//62 Solid::AudioInterface::driverHandle() const
    {12, 300, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//63 Solid::AudioInterface::name() const
    {12, 240, 0, 0, Smoke::mf_const, 4, 12},	//64 Solid::AudioInterface::deviceType() const
    {12, 347, 0, 0, Smoke::mf_const|Smoke::mf_property, 114, 13},	//65 Solid::AudioInterface::soundcardType() const
    {12, 371, 10, 1, Smoke::mf_static, 16, 14},	//66 Solid::AudioInterface::tr(const char*)
    {12, 375, 10, 1, Smoke::mf_static, 16, 15},	//67 Solid::AudioInterface::trUtf8(const char*)
    {12, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//68 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 17},	//69 Solid::AudioInterface::Alsa (enum)
    {12, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 18},	//70 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 19},	//71 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 20},	//72 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 21},	//73 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 22},	//74 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 23},	//75 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//76 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//77 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//78 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//79 Solid::AudioInterface::Headset (enum)
    {12, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//80 Solid::AudioInterface::Modem (enum)
    {12, 392, 0, 0, Smoke::mf_dtor, 0, 29 },	//81 Solid::AudioInterface::~AudioInterface()
    {13, 299, 0, 0, Smoke::mf_const, 154, 1},	//82 Solid::Battery::metaObject() const
    {13, 329, 10, 1, 0, 167, 2},	//83 Solid::Battery::qt_metacast(const char*)
    {13, 371, 12, 2, Smoke::mf_static, 16, 3},	//84 Solid::Battery::tr(const char*, const char*)
    {13, 375, 12, 2, Smoke::mf_static, 16, 4},	//85 Solid::Battery::trUtf8(const char*, const char*)
    {13, 371, 15, 3, Smoke::mf_static, 16, 5},	//86 Solid::Battery::tr(const char*, const char*, int)
    {13, 375, 15, 3, Smoke::mf_static, 16, 6},	//87 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 327, 19, 3, 0, 164, 7},	//88 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 235, 0, 0, Smoke::mf_static, 122, 8},	//89 Solid::Battery::deviceInterfaceType()
    {13, 279, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//90 Solid::Battery::isPlugged() const
    {13, 379, 0, 0, Smoke::mf_const|Smoke::mf_property, 115, 10},	//91 Solid::Battery::type() const
    {13, 216, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//92 Solid::Battery::chargePercent() const
    {13, 280, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//93 Solid::Battery::isRechargeable() const
    {13, 219, 0, 0, Smoke::mf_const|Smoke::mf_property, 116, 13},	//94 Solid::Battery::chargeState() const
    {13, 217, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//95 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 220, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//96 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 315, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//97 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 371, 10, 1, Smoke::mf_static, 16, 17},	//98 Solid::Battery::tr(const char*)
    {13, 375, 10, 1, Smoke::mf_static, 16, 18},	//99 Solid::Battery::trUtf8(const char*)
    {13, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//100 Solid::Battery::staticMetaObject() const
    {13, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 20},	//101 Solid::Battery::UnknownBattery (enum)
    {13, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 21},	//102 Solid::Battery::PdaBattery (enum)
    {13, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 22},	//103 Solid::Battery::UpsBattery (enum)
    {13, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 23},	//104 Solid::Battery::PrimaryBattery (enum)
    {13, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 24},	//105 Solid::Battery::MouseBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 25},	//106 Solid::Battery::KeyboardBattery (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//107 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//108 Solid::Battery::CameraBattery (enum)
    {13, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//109 Solid::Battery::PhoneBattery (enum)
    {13, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//110 Solid::Battery::MonitorBattery (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 30},	//111 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 31},	//112 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 32},	//113 Solid::Battery::Discharging (enum)
    {13, 393, 0, 0, Smoke::mf_dtor, 0, 33 },	//114 Solid::Battery::~Battery()
    {14, 299, 0, 0, Smoke::mf_const, 154, 1},	//115 Solid::Block::metaObject() const
    {14, 329, 10, 1, 0, 167, 2},	//116 Solid::Block::qt_metacast(const char*)
    {14, 371, 12, 2, Smoke::mf_static, 16, 3},	//117 Solid::Block::tr(const char*, const char*)
    {14, 375, 12, 2, Smoke::mf_static, 16, 4},	//118 Solid::Block::trUtf8(const char*, const char*)
    {14, 371, 15, 3, Smoke::mf_static, 16, 5},	//119 Solid::Block::tr(const char*, const char*, int)
    {14, 375, 15, 3, Smoke::mf_static, 16, 6},	//120 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 327, 19, 3, 0, 164, 7},	//121 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 235, 0, 0, Smoke::mf_static, 122, 8},	//122 Solid::Block::deviceInterfaceType()
    {14, 236, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//123 Solid::Block::deviceMajor() const
    {14, 237, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//124 Solid::Block::deviceMinor() const
    {14, 230, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//125 Solid::Block::device() const
    {14, 371, 10, 1, Smoke::mf_static, 16, 12},	//126 Solid::Block::tr(const char*)
    {14, 375, 10, 1, Smoke::mf_static, 16, 13},	//127 Solid::Block::trUtf8(const char*)
    {14, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//128 Solid::Block::staticMetaObject() const
    {14, 394, 0, 0, Smoke::mf_dtor, 0, 15 },	//129 Solid::Block::~Block()
    {15, 299, 0, 0, Smoke::mf_const, 154, 1},	//130 Solid::Button::metaObject() const
    {15, 329, 10, 1, 0, 167, 2},	//131 Solid::Button::qt_metacast(const char*)
    {15, 371, 12, 2, Smoke::mf_static, 16, 3},	//132 Solid::Button::tr(const char*, const char*)
    {15, 375, 12, 2, Smoke::mf_static, 16, 4},	//133 Solid::Button::trUtf8(const char*, const char*)
    {15, 371, 15, 3, Smoke::mf_static, 16, 5},	//134 Solid::Button::tr(const char*, const char*, int)
    {15, 375, 15, 3, Smoke::mf_static, 16, 6},	//135 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 327, 19, 3, 0, 164, 7},	//136 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 235, 0, 0, Smoke::mf_static, 122, 8},	//137 Solid::Button::deviceInterfaceType()
    {15, 379, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 9},	//138 Solid::Button::type() const
    {15, 264, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//139 Solid::Button::hasState() const
    {15, 348, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//140 Solid::Button::stateValue() const
    {15, 317, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//141 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 371, 10, 1, Smoke::mf_static, 16, 13},	//142 Solid::Button::tr(const char*)
    {15, 375, 10, 1, Smoke::mf_static, 16, 14},	//143 Solid::Button::trUtf8(const char*)
    {15, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//144 Solid::Button::staticMetaObject() const
    {15, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 16},	//145 Solid::Button::LidButton (enum)
    {15, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 17},	//146 Solid::Button::PowerButton (enum)
    {15, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 18},	//147 Solid::Button::SleepButton (enum)
    {15, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 19},	//148 Solid::Button::UnknownButtonType (enum)
    {15, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 20},	//149 Solid::Button::TabletButton (enum)
    {15, 395, 0, 0, Smoke::mf_dtor, 0, 21 },	//150 Solid::Button::~Button()
    {16, 299, 0, 0, Smoke::mf_const, 154, 1},	//151 Solid::Camera::metaObject() const
    {16, 329, 10, 1, 0, 167, 2},	//152 Solid::Camera::qt_metacast(const char*)
    {16, 371, 12, 2, Smoke::mf_static, 16, 3},	//153 Solid::Camera::tr(const char*, const char*)
    {16, 375, 12, 2, Smoke::mf_static, 16, 4},	//154 Solid::Camera::trUtf8(const char*, const char*)
    {16, 371, 15, 3, Smoke::mf_static, 16, 5},	//155 Solid::Camera::tr(const char*, const char*, int)
    {16, 375, 15, 3, Smoke::mf_static, 16, 6},	//156 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 327, 19, 3, 0, 164, 7},	//157 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 235, 0, 0, Smoke::mf_static, 122, 8},	//158 Solid::Camera::deviceInterfaceType()
    {16, 362, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//159 Solid::Camera::supportedProtocols() const
    {16, 359, 32, 1, Smoke::mf_const, 17, 10},	//160 Solid::Camera::supportedDrivers(QString) const
    {16, 246, 34, 1, Smoke::mf_const, 20, 11},	//161 Solid::Camera::driverHandle(const QString&) const
    {16, 371, 10, 1, Smoke::mf_static, 16, 12},	//162 Solid::Camera::tr(const char*)
    {16, 375, 10, 1, Smoke::mf_static, 16, 13},	//163 Solid::Camera::trUtf8(const char*)
    {16, 359, 0, 0, Smoke::mf_const, 17, 14},	//164 Solid::Camera::supportedDrivers() const
    {16, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//165 Solid::Camera::staticMetaObject() const
    {16, 396, 0, 0, Smoke::mf_dtor, 0, 16 },	//166 Solid::Camera::~Camera()
    {17, 201, 0, 0, Smoke::mf_static, 8, 1},	//167 Solid::Device::allDevices()
    {17, 291, 36, 2, Smoke::mf_static, 8, 2},	//168 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 286, 39, 2, Smoke::mf_static, 8, 3},	//169 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 286, 42, 2, Smoke::mf_static, 8, 4},	//170 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 120, 5},	//171 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 6},	//172 Solid::Device::Device(const Solid::Device&)
    {17, 307, 45, 1, 0, 119, 7},	//173 Solid::Device::operator=(const Solid::Device&)
    {17, 283, 0, 0, Smoke::mf_const, 151, 8},	//174 Solid::Device::isValid() const
    {17, 384, 0, 0, Smoke::mf_const, 16, 9},	//175 Solid::Device::udi() const
    {17, 314, 0, 0, Smoke::mf_const, 16, 10},	//176 Solid::Device::parentUdi() const
    {17, 313, 0, 0, Smoke::mf_const, 118, 11},	//177 Solid::Device::parent() const
    {17, 388, 0, 0, Smoke::mf_const, 16, 12},	//178 Solid::Device::vendor() const
    {17, 319, 0, 0, Smoke::mf_const, 16, 13},	//179 Solid::Device::product() const
    {17, 266, 0, 0, Smoke::mf_const, 16, 14},	//180 Solid::Device::icon() const
    {17, 255, 0, 0, Smoke::mf_const, 17, 15},	//181 Solid::Device::emblems() const
    {17, 229, 0, 0, Smoke::mf_const, 16, 16},	//182 Solid::Device::description() const
    {17, 274, 47, 1, Smoke::mf_const, 151, 17},	//183 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 206, 47, 1, 0, 121, 18},	//184 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 206, 47, 1, Smoke::mf_const, 160, 19},	//185 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 291, 47, 1, Smoke::mf_static, 8, 20},	//186 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 286, 49, 1, Smoke::mf_static, 8, 21},	//187 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 286, 34, 1, Smoke::mf_static, 8, 22},	//188 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 120, 23},	//189 Solid::Device::Device()
    {17, 397, 0, 0, Smoke::mf_dtor, 0, 24 },	//190 Solid::Device::~Device()
    {18, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//191 Solid::DeviceInterface::metaObject() const
    {18, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//192 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 371, 12, 2, Smoke::mf_static, 16, 3},	//193 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 375, 12, 2, Smoke::mf_static, 16, 4},	//194 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 371, 15, 3, Smoke::mf_static, 16, 5},	//195 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 375, 15, 3, Smoke::mf_static, 16, 6},	//196 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//197 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 283, 0, 0, Smoke::mf_const, 151, 8},	//198 Solid::DeviceInterface::isValid() const
    {18, 382, 51, 1, Smoke::mf_static, 16, 9},	//199 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 357, 34, 1, Smoke::mf_static, 122, 10},	//200 Solid::DeviceInterface::stringToType(const QString&)
    {18, 380, 51, 1, Smoke::mf_static, 16, 11},	//201 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 121, 12},	//202 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 371, 10, 1, Smoke::mf_static, 16, 13},	//203 Solid::DeviceInterface::tr(const char*)
    {18, 375, 10, 1, Smoke::mf_static, 16, 14},	//204 Solid::DeviceInterface::trUtf8(const char*)
    {18, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//205 Solid::DeviceInterface::staticMetaObject() const
    {18, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 16},	//206 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//207 Solid::DeviceInterface::GenericInterface (enum)
    {18, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 18},	//208 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 19},	//209 Solid::DeviceInterface::Block (enum)
    {18, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 20},	//210 Solid::DeviceInterface::StorageAccess (enum)
    {18, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 21},	//211 Solid::DeviceInterface::StorageDrive (enum)
    {18, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 22},	//212 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 23},	//213 Solid::DeviceInterface::StorageVolume (enum)
    {18, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 24},	//214 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 25},	//215 Solid::DeviceInterface::Camera (enum)
    {18, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 26},	//216 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 27},	//217 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 28},	//218 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 29},	//219 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 30},	//220 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 31},	//221 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 32},	//222 Solid::DeviceInterface::DvbInterface (enum)
    {18, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 33},	//223 Solid::DeviceInterface::Video (enum)
    {18, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//224 Solid::DeviceInterface::SerialInterface (enum)
    {18, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//225 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//226 Solid::DeviceInterface::InternetGateway (enum)
    {18, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 37},	//227 Solid::DeviceInterface::NetworkShare (enum)
    {18, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 38},	//228 Solid::DeviceInterface::Last (enum)
    {18, 398, 0, 0, Smoke::mf_dtor, 0, 39 },	//229 Solid::DeviceInterface::~DeviceInterface()
    {20, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//230 Solid::DeviceNotifier::metaObject() const
    {20, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//231 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 371, 12, 2, Smoke::mf_static, 16, 3},	//232 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 375, 12, 2, Smoke::mf_static, 16, 4},	//233 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 371, 15, 3, Smoke::mf_static, 16, 5},	//234 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 375, 15, 3, Smoke::mf_static, 16, 6},	//235 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//236 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 268, 0, 0, Smoke::mf_static, 124, 8},	//237 Solid::DeviceNotifier::instance()
    {20, 232, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//238 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 238, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//239 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 124, 11},	//240 Solid::DeviceNotifier::DeviceNotifier()
    {20, 371, 10, 1, Smoke::mf_static, 16, 12},	//241 Solid::DeviceNotifier::tr(const char*)
    {20, 375, 10, 1, Smoke::mf_static, 16, 13},	//242 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//243 Solid::DeviceNotifier::staticMetaObject() const
    {20, 399, 0, 0, Smoke::mf_dtor, 0, 15 },	//244 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 299, 0, 0, Smoke::mf_const, 154, 1},	//245 Solid::DvbInterface::metaObject() const
    {21, 329, 10, 1, 0, 167, 2},	//246 Solid::DvbInterface::qt_metacast(const char*)
    {21, 371, 12, 2, Smoke::mf_static, 16, 3},	//247 Solid::DvbInterface::tr(const char*, const char*)
    {21, 375, 12, 2, Smoke::mf_static, 16, 4},	//248 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 371, 15, 3, Smoke::mf_static, 16, 5},	//249 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 375, 15, 3, Smoke::mf_static, 16, 6},	//250 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 327, 19, 3, 0, 164, 7},	//251 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 235, 0, 0, Smoke::mf_static, 122, 8},	//252 Solid::DvbInterface::deviceInterfaceType()
    {21, 230, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//253 Solid::DvbInterface::device() const
    {21, 231, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//254 Solid::DvbInterface::deviceAdapter() const
    {21, 240, 0, 0, Smoke::mf_const|Smoke::mf_property, 125, 11},	//255 Solid::DvbInterface::deviceType() const
    {21, 234, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 12},	//256 Solid::DvbInterface::deviceIndex() const
    {21, 371, 10, 1, Smoke::mf_static, 16, 13},	//257 Solid::DvbInterface::tr(const char*)
    {21, 375, 10, 1, Smoke::mf_static, 16, 14},	//258 Solid::DvbInterface::trUtf8(const char*)
    {21, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//259 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 16},	//260 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 17},	//261 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 18},	//262 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 19},	//263 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 20},	//264 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 21},	//265 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 22},	//266 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 23},	//267 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 24},	//268 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 25},	//269 Solid::DvbInterface::DvbVideo (enum)
    {21, 400, 0, 0, Smoke::mf_dtor, 0, 26 },	//270 Solid::DvbInterface::~DvbInterface()
    {22, 299, 0, 0, Smoke::mf_const, 154, 1},	//271 Solid::GenericInterface::metaObject() const
    {22, 329, 10, 1, 0, 167, 2},	//272 Solid::GenericInterface::qt_metacast(const char*)
    {22, 371, 12, 2, Smoke::mf_static, 16, 3},	//273 Solid::GenericInterface::tr(const char*, const char*)
    {22, 375, 12, 2, Smoke::mf_static, 16, 4},	//274 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 371, 15, 3, Smoke::mf_static, 16, 5},	//275 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 375, 15, 3, Smoke::mf_static, 16, 6},	//276 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 327, 19, 3, 0, 164, 7},	//277 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 235, 0, 0, Smoke::mf_static, 122, 8},	//278 Solid::GenericInterface::deviceInterfaceType()
    {22, 320, 34, 1, Smoke::mf_const, 20, 9},	//279 Solid::GenericInterface::property(const QString&) const
    {22, 202, 0, 0, Smoke::mf_const, 10, 10},	//280 Solid::GenericInterface::allProperties() const
    {22, 324, 34, 1, Smoke::mf_const, 151, 11},	//281 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 322, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//282 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 224, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//283 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 371, 10, 1, Smoke::mf_static, 16, 14},	//284 Solid::GenericInterface::tr(const char*)
    {22, 375, 10, 1, Smoke::mf_static, 16, 15},	//285 Solid::GenericInterface::trUtf8(const char*)
    {22, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//286 Solid::GenericInterface::staticMetaObject() const
    {22, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 17},	//287 Solid::GenericInterface::PropertyModified (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 18},	//288 Solid::GenericInterface::PropertyAdded (enum)
    {22, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 19},	//289 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 401, 0, 0, Smoke::mf_dtor, 0, 20 },	//290 Solid::GenericInterface::~GenericInterface()
    {23, 299, 0, 0, Smoke::mf_const, 154, 1},	//291 Solid::NetworkInterface::metaObject() const
    {23, 329, 10, 1, 0, 167, 2},	//292 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 371, 12, 2, Smoke::mf_static, 16, 3},	//293 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 375, 12, 2, Smoke::mf_static, 16, 4},	//294 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 371, 15, 3, Smoke::mf_static, 16, 5},	//295 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 375, 15, 3, Smoke::mf_static, 16, 6},	//296 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 327, 19, 3, 0, 164, 7},	//297 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 235, 0, 0, Smoke::mf_static, 122, 8},	//298 Solid::NetworkInterface::deviceInterfaceType()
    {23, 267, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//299 Solid::NetworkInterface::ifaceName() const
    {23, 284, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//300 Solid::NetworkInterface::isWireless() const
    {23, 265, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//301 Solid::NetworkInterface::hwAddress() const
    {23, 294, 0, 0, Smoke::mf_const, 166, 12},	//302 Solid::NetworkInterface::macAddress() const
    {23, 371, 10, 1, Smoke::mf_static, 16, 13},	//303 Solid::NetworkInterface::tr(const char*)
    {23, 375, 10, 1, Smoke::mf_static, 16, 14},	//304 Solid::NetworkInterface::trUtf8(const char*)
    {23, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//305 Solid::NetworkInterface::staticMetaObject() const
    {23, 402, 0, 0, Smoke::mf_dtor, 0, 16 },	//306 Solid::NetworkInterface::~NetworkInterface()
    {24, 227, 0, 0, Smoke::mf_static, 128, 1},	//307 Solid::Networking::connectPolicy()
    {24, 335, 58, 1, Smoke::mf_static, 0, 2},	//308 Solid::Networking::setConnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 337, 58, 1, Smoke::mf_static, 0, 3},	//309 Solid::Networking::setDisconnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 243, 0, 0, Smoke::mf_static, 128, 4},	//310 Solid::Networking::disconnectPolicy()
    {24, 350, 0, 0, Smoke::mf_static, 130, 5},	//311 Solid::Networking::status()
    {24, 301, 0, 0, Smoke::mf_static, 129, 6},	//312 Solid::Networking::notifier()
    {24, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 7},	//313 Solid::Networking::Manual (enum)
    {24, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 8},	//314 Solid::Networking::OnNextStatusChange (enum)
    {24, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 9},	//315 Solid::Networking::Managed (enum)
    {24, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 10},	//316 Solid::Networking::Unknown (enum)
    {24, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 11},	//317 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 12},	//318 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 13},	//319 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 14},	//320 Solid::Networking::Connected (enum)
    {25, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//321 Solid::Networking::Notifier::metaObject() const
    {25, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//322 Solid::Networking::Notifier::qt_metacast(const char*)
    {25, 371, 12, 2, Smoke::mf_static, 16, 3},	//323 Solid::Networking::Notifier::tr(const char*, const char*)
    {25, 375, 12, 2, Smoke::mf_static, 16, 4},	//324 Solid::Networking::Notifier::trUtf8(const char*, const char*)
    {25, 371, 15, 3, Smoke::mf_static, 16, 5},	//325 Solid::Networking::Notifier::tr(const char*, const char*, int)
    {25, 375, 15, 3, Smoke::mf_static, 16, 6},	//326 Solid::Networking::Notifier::trUtf8(const char*, const char*, int)
    {25, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//327 Solid::Networking::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {25, 351, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//328 Solid::Networking::Notifier::statusChanged(Solid::Networking::Status)
    {25, 344, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//329 Solid::Networking::Notifier::shouldConnect()
    {25, 345, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//330 Solid::Networking::Notifier::shouldDisconnect()
    {25, 130, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 129, 11},	//331 Solid::Networking::Notifier::Notifier()
    {25, 371, 10, 1, Smoke::mf_static, 16, 12},	//332 Solid::Networking::Notifier::tr(const char*)
    {25, 375, 10, 1, Smoke::mf_static, 16, 13},	//333 Solid::Networking::Notifier::trUtf8(const char*)
    {25, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//334 Solid::Networking::Notifier::staticMetaObject() const
    {25, 403, 0, 0, Smoke::mf_dtor, 0, 15 },	//335 Solid::Networking::Notifier::~Notifier()
    {26, 299, 0, 0, Smoke::mf_const, 154, 1},	//336 Solid::OpticalDisc::metaObject() const
    {26, 329, 10, 1, 0, 167, 2},	//337 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 371, 12, 2, Smoke::mf_static, 16, 3},	//338 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 375, 12, 2, Smoke::mf_static, 16, 4},	//339 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 371, 15, 3, Smoke::mf_static, 16, 5},	//340 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 375, 15, 3, Smoke::mf_static, 16, 6},	//341 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 327, 19, 3, 0, 164, 7},	//342 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 235, 0, 0, Smoke::mf_static, 122, 8},	//343 Solid::OpticalDisc::deviceInterfaceType()
    {26, 208, 0, 0, Smoke::mf_const, 5, 9},	//344 Solid::OpticalDisc::availableContent() const
    {26, 241, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//345 Solid::OpticalDisc::discType() const
    {26, 272, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//346 Solid::OpticalDisc::isAppendable() const
    {26, 273, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//347 Solid::OpticalDisc::isBlank() const
    {26, 282, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 13},	//348 Solid::OpticalDisc::isRewritable() const
    {26, 215, 0, 0, Smoke::mf_const, 166, 14},	//349 Solid::OpticalDisc::capacity() const
    {26, 371, 10, 1, Smoke::mf_static, 16, 15},	//350 Solid::OpticalDisc::tr(const char*)
    {26, 375, 10, 1, Smoke::mf_static, 16, 16},	//351 Solid::OpticalDisc::trUtf8(const char*)
    {26, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 17},	//352 Solid::OpticalDisc::staticMetaObject() const
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 18},	//353 Solid::OpticalDisc::NoContent (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 19},	//354 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 20},	//355 Solid::OpticalDisc::Data (enum)
    {26, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 21},	//356 Solid::OpticalDisc::VideoCd (enum)
    {26, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 22},	//357 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 23},	//358 Solid::OpticalDisc::VideoDvd (enum)
    {26, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 24},	//359 Solid::OpticalDisc::VideoBluRay (enum)
    {26, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 25},	//360 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 26},	//361 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 27},	//362 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 28},	//363 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 29},	//364 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//365 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//366 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//367 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//368 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 34},	//369 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 35},	//370 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 36},	//371 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 37},	//372 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 38},	//373 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 39},	//374 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 40},	//375 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 41},	//376 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 42},	//377 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 404, 0, 0, Smoke::mf_dtor, 0, 43 },	//378 Solid::OpticalDisc::~OpticalDisc()
    {27, 299, 0, 0, Smoke::mf_const, 154, 1},	//379 Solid::OpticalDrive::metaObject() const
    {27, 329, 10, 1, 0, 167, 2},	//380 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 371, 12, 2, Smoke::mf_static, 16, 3},	//381 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 375, 12, 2, Smoke::mf_static, 16, 4},	//382 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 371, 15, 3, Smoke::mf_static, 16, 5},	//383 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 375, 15, 3, Smoke::mf_static, 16, 6},	//384 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 327, 19, 3, 0, 164, 7},	//385 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 235, 0, 0, Smoke::mf_static, 122, 8},	//386 Solid::OpticalDrive::deviceInterfaceType()
    {27, 361, 0, 0, Smoke::mf_const, 6, 9},	//387 Solid::OpticalDrive::supportedMedia() const
    {27, 331, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//388 Solid::OpticalDrive::readSpeed() const
    {27, 389, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//389 Solid::OpticalDrive::writeSpeed() const
    {27, 390, 0, 0, Smoke::mf_const|Smoke::mf_property, 9, 12},	//390 Solid::OpticalDrive::writeSpeeds() const
    {27, 248, 0, 0, 0, 151, 13},	//391 Solid::OpticalDrive::eject()
    {27, 251, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//392 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 249, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//393 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 253, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//394 Solid::OpticalDrive::ejectRequested(const QString&)
    {27, 371, 10, 1, Smoke::mf_static, 16, 17},	//395 Solid::OpticalDrive::tr(const char*)
    {27, 375, 10, 1, Smoke::mf_static, 16, 18},	//396 Solid::OpticalDrive::trUtf8(const char*)
    {27, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//397 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//398 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//399 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 22},	//400 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 23},	//401 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 24},	//402 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 25},	//403 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 26},	//404 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 27},	//405 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 28},	//406 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 29},	//407 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 30},	//408 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 31},	//409 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//410 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//411 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//412 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 35},	//413 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 405, 0, 0, Smoke::mf_dtor, 0, 36 },	//414 Solid::OpticalDrive::~OpticalDrive()
    {28, 299, 0, 0, Smoke::mf_const, 154, 1},	//415 Solid::PortableMediaPlayer::metaObject() const
    {28, 329, 10, 1, 0, 167, 2},	//416 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 371, 12, 2, Smoke::mf_static, 16, 3},	//417 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 375, 12, 2, Smoke::mf_static, 16, 4},	//418 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 371, 15, 3, Smoke::mf_static, 16, 5},	//419 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 375, 15, 3, Smoke::mf_static, 16, 6},	//420 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 327, 19, 3, 0, 164, 7},	//421 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 235, 0, 0, Smoke::mf_static, 122, 8},	//422 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 362, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//423 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 359, 32, 1, Smoke::mf_const, 17, 10},	//424 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 246, 34, 1, Smoke::mf_const, 20, 11},	//425 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 371, 10, 1, Smoke::mf_static, 16, 12},	//426 Solid::PortableMediaPlayer::tr(const char*)
    {28, 375, 10, 1, Smoke::mf_static, 16, 13},	//427 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 359, 0, 0, Smoke::mf_const, 17, 14},	//428 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//429 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 406, 0, 0, Smoke::mf_dtor, 0, 16 },	//430 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 203, 0, 0, Smoke::mf_static, 151, 1},	//431 Solid::PowerManagement::appShouldConserveResources()
    {29, 363, 0, 0, Smoke::mf_static, 15, 2},	//432 Solid::PowerManagement::supportedSleepStates()
    {29, 355, 66, 1, Smoke::mf_static, 151, 3},	//433 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 209, 34, 1, Smoke::mf_static, 164, 4},	//434 Solid::PowerManagement::beginSuppressingScreenPowerManagement(const QString&)
    {29, 209, 0, 0, Smoke::mf_static, 164, 5},	//435 Solid::PowerManagement::beginSuppressingScreenPowerManagement()
    {29, 211, 34, 1, Smoke::mf_static, 164, 6},	//436 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 211, 0, 0, Smoke::mf_static, 164, 7},	//437 Solid::PowerManagement::beginSuppressingSleep()
    {29, 332, 68, 3, Smoke::mf_static, 0, 8},	//438 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 301, 0, 0, Smoke::mf_static, 134, 9},	//439 Solid::PowerManagement::notifier()
    {29, 353, 66, 1, Smoke::mf_static, 151, 10},	//440 Solid::PowerManagement::stopSuppressingScreenPowerManagement(int)
    {29, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 11},	//441 Solid::PowerManagement::StandbyState (enum)
    {29, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 12},	//442 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 13},	//443 Solid::PowerManagement::HibernateState (enum)
    {30, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//444 Solid::PowerManagement::Notifier::metaObject() const
    {30, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//445 Solid::PowerManagement::Notifier::qt_metacast(const char*)
    {30, 371, 12, 2, Smoke::mf_static, 16, 3},	//446 Solid::PowerManagement::Notifier::tr(const char*, const char*)
    {30, 375, 12, 2, Smoke::mf_static, 16, 4},	//447 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*)
    {30, 371, 15, 3, Smoke::mf_static, 16, 5},	//448 Solid::PowerManagement::Notifier::tr(const char*, const char*, int)
    {30, 375, 15, 3, Smoke::mf_static, 16, 6},	//449 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*, int)
    {30, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//450 Solid::PowerManagement::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {30, 204, 72, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//451 Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged(bool)
    {30, 130, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 134, 9},	//452 Solid::PowerManagement::Notifier::Notifier()
    {30, 371, 10, 1, Smoke::mf_static, 16, 10},	//453 Solid::PowerManagement::Notifier::tr(const char*)
    {30, 375, 10, 1, Smoke::mf_static, 16, 11},	//454 Solid::PowerManagement::Notifier::trUtf8(const char*)
    {30, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 12},	//455 Solid::PowerManagement::Notifier::staticMetaObject() const
    {30, 403, 0, 0, Smoke::mf_dtor, 0, 13 },	//456 Solid::PowerManagement::Notifier::~Notifier()
    {31, 142, 0, 0, Smoke::mf_ctor, 138, 1},	//457 Solid::Predicate::Predicate()
    {31, 142, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//458 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 142, 74, 4, Smoke::mf_ctor, 138, 3},	//459 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 142, 79, 4, Smoke::mf_ctor, 138, 4},	//460 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 142, 47, 1, Smoke::mf_ctor, 138, 5},	//461 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 142, 34, 1, Smoke::mf_ctor, 138, 6},	//462 Solid::Predicate::Predicate(const QString&)
    {31, 307, 49, 1, 0, 137, 7},	//463 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 303, 49, 1, 0, 136, 8},	//464 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 305, 49, 1, 0, 137, 9},	//465 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 309, 49, 1, 0, 136, 10},	//466 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 311, 49, 1, 0, 137, 11},	//467 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 283, 0, 0, Smoke::mf_const, 151, 12},	//468 Solid::Predicate::isValid() const
    {31, 295, 45, 1, Smoke::mf_const, 151, 13},	//469 Solid::Predicate::matches(const Solid::Device&) const
    {31, 386, 0, 0, Smoke::mf_const, 14, 14},	//470 Solid::Predicate::usedTypes() const
    {31, 370, 0, 0, Smoke::mf_const, 16, 15},	//471 Solid::Predicate::toString() const
    {31, 261, 34, 1, Smoke::mf_static, 136, 16},	//472 Solid::Predicate::fromString(const QString&)
    {31, 379, 0, 0, Smoke::mf_const, 140, 17},	//473 Solid::Predicate::type() const
    {31, 270, 0, 0, Smoke::mf_const, 122, 18},	//474 Solid::Predicate::interfaceType() const
    {31, 326, 0, 0, Smoke::mf_const, 16, 19},	//475 Solid::Predicate::propertyName() const
    {31, 297, 0, 0, Smoke::mf_const, 20, 20},	//476 Solid::Predicate::matchingValue() const
    {31, 223, 0, 0, Smoke::mf_const, 139, 21},	//477 Solid::Predicate::comparisonOperator() const
    {31, 260, 0, 0, Smoke::mf_const, 136, 22},	//478 Solid::Predicate::firstOperand() const
    {31, 334, 0, 0, Smoke::mf_const, 136, 23},	//479 Solid::Predicate::secondOperand() const
    {31, 142, 84, 3, Smoke::mf_ctor, 138, 24},	//480 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 142, 88, 3, Smoke::mf_ctor, 138, 25},	//481 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//482 Solid::Predicate::Equals (enum)
    {31, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//483 Solid::Predicate::Mask (enum)
    {31, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 28},	//484 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 29},	//485 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 30},	//486 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 31},	//487 Solid::Predicate::InterfaceCheck (enum)
    {31, 407, 0, 0, Smoke::mf_dtor, 0, 32 },	//488 Solid::Predicate::~Predicate()
    {32, 299, 0, 0, Smoke::mf_const, 154, 1},	//489 Solid::Processor::metaObject() const
    {32, 329, 10, 1, 0, 167, 2},	//490 Solid::Processor::qt_metacast(const char*)
    {32, 371, 12, 2, Smoke::mf_static, 16, 3},	//491 Solid::Processor::tr(const char*, const char*)
    {32, 375, 12, 2, Smoke::mf_static, 16, 4},	//492 Solid::Processor::trUtf8(const char*, const char*)
    {32, 371, 15, 3, Smoke::mf_static, 16, 5},	//493 Solid::Processor::tr(const char*, const char*, int)
    {32, 375, 15, 3, Smoke::mf_static, 16, 6},	//494 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 327, 19, 3, 0, 164, 7},	//495 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 235, 0, 0, Smoke::mf_static, 122, 8},	//496 Solid::Processor::deviceInterfaceType()
    {32, 302, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//497 Solid::Processor::number() const
    {32, 298, 0, 0, Smoke::mf_const, 164, 10},	//498 Solid::Processor::maxSpeed() const
    {32, 214, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//499 Solid::Processor::canChangeFrequency() const
    {32, 269, 0, 0, Smoke::mf_const, 7, 12},	//500 Solid::Processor::instructionSets() const
    {32, 371, 10, 1, Smoke::mf_static, 16, 13},	//501 Solid::Processor::tr(const char*)
    {32, 375, 10, 1, Smoke::mf_static, 16, 14},	//502 Solid::Processor::trUtf8(const char*)
    {32, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//503 Solid::Processor::staticMetaObject() const
    {32, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 16},	//504 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 17},	//505 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 18},	//506 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 19},	//507 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 20},	//508 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 21},	//509 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 22},	//510 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 23},	//511 Solid::Processor::AltiVec (enum)
    {32, 408, 0, 0, Smoke::mf_dtor, 0, 24 },	//512 Solid::Processor::~Processor()
    {33, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//513 Solid::StorageAccess::metaObject() const
    {33, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//514 Solid::StorageAccess::qt_metacast(const char*)
    {33, 371, 12, 2, Smoke::mf_static, 16, 3},	//515 Solid::StorageAccess::tr(const char*, const char*)
    {33, 375, 12, 2, Smoke::mf_static, 16, 4},	//516 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 371, 15, 3, Smoke::mf_static, 16, 5},	//517 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 375, 15, 3, Smoke::mf_static, 16, 6},	//518 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//519 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 235, 0, 0, Smoke::mf_static, 122, 8},	//520 Solid::StorageAccess::deviceInterfaceType()
    {33, 271, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//521 Solid::StorageAccess::isAccessible() const
    {33, 259, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//522 Solid::StorageAccess::filePath() const
    {33, 277, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//523 Solid::StorageAccess::isIgnored() const
    {33, 339, 0, 0, 0, 151, 12},	//524 Solid::StorageAccess::setup()
    {33, 364, 0, 0, 0, 151, 13},	//525 Solid::StorageAccess::teardown()
    {33, 199, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//526 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 340, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//527 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 365, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//528 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 342, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//529 Solid::StorageAccess::setupRequested(const QString&)
    {33, 367, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//530 Solid::StorageAccess::teardownRequested(const QString&)
    {33, 172, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 142, 19},	//531 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 371, 10, 1, Smoke::mf_static, 16, 20},	//532 Solid::StorageAccess::tr(const char*)
    {33, 375, 10, 1, Smoke::mf_static, 16, 21},	//533 Solid::StorageAccess::trUtf8(const char*)
    {33, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 22},	//534 Solid::StorageAccess::staticMetaObject() const
    {33, 409, 0, 0, Smoke::mf_dtor, 0, 23 },	//535 Solid::StorageAccess::~StorageAccess()
    {35, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//536 Solid::StorageDrive::metaObject() const
    {35, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//537 Solid::StorageDrive::qt_metacast(const char*)
    {35, 371, 12, 2, Smoke::mf_static, 16, 3},	//538 Solid::StorageDrive::tr(const char*, const char*)
    {35, 375, 12, 2, Smoke::mf_static, 16, 4},	//539 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 371, 15, 3, Smoke::mf_static, 16, 5},	//540 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 375, 15, 3, Smoke::mf_static, 16, 6},	//541 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//542 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 235, 0, 0, Smoke::mf_static, 122, 8},	//543 Solid::StorageDrive::deviceInterfaceType()
    {35, 213, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//544 Solid::StorageDrive::bus() const
    {35, 244, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 10},	//545 Solid::StorageDrive::driveType() const
    {35, 281, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//546 Solid::StorageDrive::isRemovable() const
    {35, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//547 Solid::StorageDrive::isHotpluggable() const
    {35, 346, 0, 0, Smoke::mf_const, 166, 13},	//548 Solid::StorageDrive::size() const
    {35, 278, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 14},	//549 Solid::StorageDrive::isInUse() const
    {35, 174, 95, 2, Smoke::mf_ctor|Smoke::mf_protected, 144, 15},	//550 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 371, 10, 1, Smoke::mf_static, 16, 16},	//551 Solid::StorageDrive::tr(const char*)
    {35, 375, 10, 1, Smoke::mf_static, 16, 17},	//552 Solid::StorageDrive::trUtf8(const char*)
    {35, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 18},	//553 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 19},	//554 Solid::StorageDrive::Ide (enum)
    {35, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 20},	//555 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 21},	//556 Solid::StorageDrive::Ieee1394 (enum)
    {35, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 22},	//557 Solid::StorageDrive::Scsi (enum)
    {35, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 23},	//558 Solid::StorageDrive::Sata (enum)
    {35, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 24},	//559 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//560 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//561 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 27},	//562 Solid::StorageDrive::Floppy (enum)
    {35, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 28},	//563 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//564 Solid::StorageDrive::CompactFlash (enum)
    {35, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 30},	//565 Solid::StorageDrive::MemoryStick (enum)
    {35, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 31},	//566 Solid::StorageDrive::SmartMedia (enum)
    {35, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 32},	//567 Solid::StorageDrive::SdMmc (enum)
    {35, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 33},	//568 Solid::StorageDrive::Xd (enum)
    {35, 410, 0, 0, Smoke::mf_dtor, 0, 34 },	//569 Solid::StorageDrive::~StorageDrive()
    {37, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//570 Solid::StorageVolume::metaObject() const
    {37, 329, 10, 1, Smoke::mf_virtual, 167, 2},	//571 Solid::StorageVolume::qt_metacast(const char*)
    {37, 371, 12, 2, Smoke::mf_static, 16, 3},	//572 Solid::StorageVolume::tr(const char*, const char*)
    {37, 375, 12, 2, Smoke::mf_static, 16, 4},	//573 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 371, 15, 3, Smoke::mf_static, 16, 5},	//574 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 375, 15, 3, Smoke::mf_static, 16, 6},	//575 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 327, 19, 3, Smoke::mf_virtual, 164, 7},	//576 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 235, 0, 0, Smoke::mf_static, 122, 8},	//577 Solid::StorageVolume::deviceInterfaceType()
    {37, 277, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//578 Solid::StorageVolume::isIgnored() const
    {37, 385, 0, 0, Smoke::mf_const|Smoke::mf_property, 149, 10},	//579 Solid::StorageVolume::usage() const
    {37, 263, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//580 Solid::StorageVolume::fsType() const
    {37, 285, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 12},	//581 Solid::StorageVolume::label() const
    {37, 387, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 13},	//582 Solid::StorageVolume::uuid() const
    {37, 346, 0, 0, Smoke::mf_const, 166, 14},	//583 Solid::StorageVolume::size() const
    {37, 256, 0, 0, Smoke::mf_const, 118, 15},	//584 Solid::StorageVolume::encryptedContainer() const
    {37, 176, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 16},	//585 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 371, 10, 1, Smoke::mf_static, 16, 17},	//586 Solid::StorageVolume::tr(const char*)
    {37, 375, 10, 1, Smoke::mf_static, 16, 18},	//587 Solid::StorageVolume::trUtf8(const char*)
    {37, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//588 Solid::StorageVolume::staticMetaObject() const
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 20},	//589 Solid::StorageVolume::Other (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 21},	//590 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 22},	//591 Solid::StorageVolume::FileSystem (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 23},	//592 Solid::StorageVolume::PartitionTable (enum)
    {37, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 24},	//593 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 25},	//594 Solid::StorageVolume::Encrypted (enum)
    {37, 411, 0, 0, Smoke::mf_dtor, 0, 26 },	//595 Solid::StorageVolume::~StorageVolume()
    {39, 299, 0, 0, Smoke::mf_const, 154, 1},	//596 Solid::Video::metaObject() const
    {39, 329, 10, 1, 0, 167, 2},	//597 Solid::Video::qt_metacast(const char*)
    {39, 371, 12, 2, Smoke::mf_static, 16, 3},	//598 Solid::Video::tr(const char*, const char*)
    {39, 375, 12, 2, Smoke::mf_static, 16, 4},	//599 Solid::Video::trUtf8(const char*, const char*)
    {39, 371, 15, 3, Smoke::mf_static, 16, 5},	//600 Solid::Video::tr(const char*, const char*, int)
    {39, 375, 15, 3, Smoke::mf_static, 16, 6},	//601 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 327, 19, 3, 0, 164, 7},	//602 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 235, 0, 0, Smoke::mf_static, 122, 8},	//603 Solid::Video::deviceInterfaceType()
    {39, 362, 0, 0, Smoke::mf_const, 17, 9},	//604 Solid::Video::supportedProtocols() const
    {39, 359, 32, 1, Smoke::mf_const, 17, 10},	//605 Solid::Video::supportedDrivers(QString) const
    {39, 246, 34, 1, Smoke::mf_const, 20, 11},	//606 Solid::Video::driverHandle(const QString&) const
    {39, 371, 10, 1, Smoke::mf_static, 16, 12},	//607 Solid::Video::tr(const char*)
    {39, 375, 10, 1, Smoke::mf_static, 16, 13},	//608 Solid::Video::trUtf8(const char*)
    {39, 359, 0, 0, Smoke::mf_const, 17, 14},	//609 Solid::Video::supportedDrivers() const
    {39, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//610 Solid::Video::staticMetaObject() const
    {39, 412, 0, 0, Smoke::mf_dtor, 0, 16 },	//611 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    184,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    185,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
    461,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    462,  // Solid::Predicate::Predicate(const QString&)
    0,
    480,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    481,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    459,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    460,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 97, 13},	// QGlobalSpace::LicensedActiveQt
    {4, 98, 19},	// QGlobalSpace::LicensedCore
    {4, 99, 11},	// QGlobalSpace::LicensedDBus
    {4, 100, 16},	// QGlobalSpace::LicensedDeclarative
    {4, 101, 6},	// QGlobalSpace::LicensedGui
    {4, 102, 25},	// QGlobalSpace::LicensedHelp
    {4, 103, 26},	// QGlobalSpace::LicensedMultimedia
    {4, 104, 29},	// QGlobalSpace::LicensedNetwork
    {4, 105, 18},	// QGlobalSpace::LicensedOpenGL
    {4, 106, 10},	// QGlobalSpace::LicensedOpenVG
    {4, 107, 27},	// QGlobalSpace::LicensedQt3Support
    {4, 108, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {4, 109, 9},	// QGlobalSpace::LicensedScript
    {4, 110, 14},	// QGlobalSpace::LicensedScriptTools
    {4, 111, 17},	// QGlobalSpace::LicensedSql
    {4, 112, 15},	// QGlobalSpace::LicensedSvg
    {4, 113, 12},	// QGlobalSpace::LicensedTest
    {4, 114, 7},	// QGlobalSpace::LicensedXml
    {4, 115, 28},	// QGlobalSpace::LicensedXmlPatterns
    {4, 153, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 154, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 155, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 156, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 157, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 158, 22},	// QGlobalSpace::QtCriticalMsg
    {4, 159, 20},	// QGlobalSpace::QtDebugMsg
    {4, 160, 23},	// QGlobalSpace::QtFatalMsg
    {4, 161, 24},	// QGlobalSpace::QtSystemMsg
    {4, 162, 21},	// QGlobalSpace::QtWarningMsg
    {10, 128, 37},	// Solid::NoError
    {10, 182, 38},	// Solid::UnauthorizedOperation
    {11, 235, 46},	// Solid::AcAdapter::deviceInterfaceType
    {11, 279, 47},	// Solid::AcAdapter::isPlugged
    {11, 299, 39},	// Solid::AcAdapter::metaObject
    {11, 316, 48},	// Solid::AcAdapter::plugStateChanged$$
    {11, 328, 45},	// Solid::AcAdapter::qt_metacall$$?
    {11, 330, 40},	// Solid::AcAdapter::qt_metacast$
    {11, 349, 51},	// Solid::AcAdapter::staticMetaObject
    {11, 372, 49},	// Solid::AcAdapter::tr$
    {11, 373, 41},	// Solid::AcAdapter::tr$$
    {11, 374, 43},	// Solid::AcAdapter::tr$$$
    {11, 376, 50},	// Solid::AcAdapter::trUtf8$
    {11, 377, 42},	// Solid::AcAdapter::trUtf8$$
    {11, 378, 44},	// Solid::AcAdapter::trUtf8$$$
    {11, 391, 52},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 69},	// Solid::AudioInterface::Alsa
    {12, 6, 73},	// Solid::AudioInterface::AudioControl
    {12, 7, 74},	// Solid::AudioInterface::AudioInput
    {12, 9, 75},	// Solid::AudioInterface::AudioOutput
    {12, 72, 78},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 79},	// Solid::AudioInterface::Headset
    {12, 92, 76},	// Solid::AudioInterface::InternalSoundcard
    {12, 121, 80},	// Solid::AudioInterface::Modem
    {12, 132, 70},	// Solid::AudioInterface::OpenSoundSystem
    {12, 185, 71},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 186, 72},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 193, 77},	// Solid::AudioInterface::UsbSoundcard
    {12, 235, 60},	// Solid::AudioInterface::deviceInterfaceType
    {12, 240, 64},	// Solid::AudioInterface::deviceType
    {12, 245, 61},	// Solid::AudioInterface::driver
    {12, 246, 62},	// Solid::AudioInterface::driverHandle
    {12, 299, 53},	// Solid::AudioInterface::metaObject
    {12, 300, 63},	// Solid::AudioInterface::name
    {12, 328, 59},	// Solid::AudioInterface::qt_metacall$$?
    {12, 330, 54},	// Solid::AudioInterface::qt_metacast$
    {12, 347, 65},	// Solid::AudioInterface::soundcardType
    {12, 349, 68},	// Solid::AudioInterface::staticMetaObject
    {12, 372, 66},	// Solid::AudioInterface::tr$
    {12, 373, 55},	// Solid::AudioInterface::tr$$
    {12, 374, 57},	// Solid::AudioInterface::tr$$$
    {12, 376, 67},	// Solid::AudioInterface::trUtf8$
    {12, 377, 56},	// Solid::AudioInterface::trUtf8$$
    {12, 378, 58},	// Solid::AudioInterface::trUtf8$$$
    {12, 392, 81},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 108},	// Solid::Battery::CameraBattery
    {13, 27, 112},	// Solid::Battery::Charging
    {13, 39, 113},	// Solid::Battery::Discharging
    {13, 94, 106},	// Solid::Battery::KeyboardBattery
    {13, 95, 107},	// Solid::Battery::KeyboardMouseBattery
    {13, 122, 110},	// Solid::Battery::MonitorBattery
    {13, 123, 105},	// Solid::Battery::MouseBattery
    {13, 126, 111},	// Solid::Battery::NoCharge
    {13, 137, 102},	// Solid::Battery::PdaBattery
    {13, 138, 109},	// Solid::Battery::PhoneBattery
    {13, 147, 104},	// Solid::Battery::PrimaryBattery
    {13, 187, 101},	// Solid::Battery::UnknownBattery
    {13, 191, 103},	// Solid::Battery::UpsBattery
    {13, 216, 92},	// Solid::Battery::chargePercent
    {13, 218, 95},	// Solid::Battery::chargePercentChanged$$
    {13, 219, 94},	// Solid::Battery::chargeState
    {13, 221, 96},	// Solid::Battery::chargeStateChanged$$
    {13, 235, 89},	// Solid::Battery::deviceInterfaceType
    {13, 279, 90},	// Solid::Battery::isPlugged
    {13, 280, 93},	// Solid::Battery::isRechargeable
    {13, 299, 82},	// Solid::Battery::metaObject
    {13, 316, 97},	// Solid::Battery::plugStateChanged$$
    {13, 328, 88},	// Solid::Battery::qt_metacall$$?
    {13, 330, 83},	// Solid::Battery::qt_metacast$
    {13, 349, 100},	// Solid::Battery::staticMetaObject
    {13, 372, 98},	// Solid::Battery::tr$
    {13, 373, 84},	// Solid::Battery::tr$$
    {13, 374, 86},	// Solid::Battery::tr$$$
    {13, 376, 99},	// Solid::Battery::trUtf8$
    {13, 377, 85},	// Solid::Battery::trUtf8$$
    {13, 378, 87},	// Solid::Battery::trUtf8$$$
    {13, 379, 91},	// Solid::Battery::type
    {13, 393, 114},	// Solid::Battery::~Battery
    {14, 230, 125},	// Solid::Block::device
    {14, 235, 122},	// Solid::Block::deviceInterfaceType
    {14, 236, 123},	// Solid::Block::deviceMajor
    {14, 237, 124},	// Solid::Block::deviceMinor
    {14, 299, 115},	// Solid::Block::metaObject
    {14, 328, 121},	// Solid::Block::qt_metacall$$?
    {14, 330, 116},	// Solid::Block::qt_metacast$
    {14, 349, 128},	// Solid::Block::staticMetaObject
    {14, 372, 126},	// Solid::Block::tr$
    {14, 373, 117},	// Solid::Block::tr$$
    {14, 374, 119},	// Solid::Block::tr$$$
    {14, 376, 127},	// Solid::Block::trUtf8$
    {14, 377, 118},	// Solid::Block::trUtf8$$
    {14, 378, 120},	// Solid::Block::trUtf8$$$
    {14, 394, 129},	// Solid::Block::~Block
    {15, 116, 145},	// Solid::Button::LidButton
    {15, 141, 146},	// Solid::Button::PowerButton
    {15, 168, 147},	// Solid::Button::SleepButton
    {15, 180, 149},	// Solid::Button::TabletButton
    {15, 188, 148},	// Solid::Button::UnknownButtonType
    {15, 235, 137},	// Solid::Button::deviceInterfaceType
    {15, 264, 139},	// Solid::Button::hasState
    {15, 299, 130},	// Solid::Button::metaObject
    {15, 318, 141},	// Solid::Button::pressed$$
    {15, 328, 136},	// Solid::Button::qt_metacall$$?
    {15, 330, 131},	// Solid::Button::qt_metacast$
    {15, 348, 140},	// Solid::Button::stateValue
    {15, 349, 144},	// Solid::Button::staticMetaObject
    {15, 372, 142},	// Solid::Button::tr$
    {15, 373, 132},	// Solid::Button::tr$$
    {15, 374, 134},	// Solid::Button::tr$$$
    {15, 376, 143},	// Solid::Button::trUtf8$
    {15, 377, 133},	// Solid::Button::trUtf8$$
    {15, 378, 135},	// Solid::Button::trUtf8$$$
    {15, 379, 138},	// Solid::Button::type
    {15, 395, 150},	// Solid::Button::~Button
    {16, 235, 158},	// Solid::Camera::deviceInterfaceType
    {16, 247, 161},	// Solid::Camera::driverHandle$
    {16, 299, 151},	// Solid::Camera::metaObject
    {16, 328, 157},	// Solid::Camera::qt_metacall$$?
    {16, 330, 152},	// Solid::Camera::qt_metacast$
    {16, 349, 165},	// Solid::Camera::staticMetaObject
    {16, 359, 164},	// Solid::Camera::supportedDrivers
    {16, 360, 160},	// Solid::Camera::supportedDrivers$
    {16, 362, 159},	// Solid::Camera::supportedProtocols
    {16, 372, 162},	// Solid::Camera::tr$
    {16, 373, 153},	// Solid::Camera::tr$$
    {16, 374, 155},	// Solid::Camera::tr$$$
    {16, 376, 163},	// Solid::Camera::trUtf8$
    {16, 377, 154},	// Solid::Camera::trUtf8$$
    {16, 378, 156},	// Solid::Camera::trUtf8$$$
    {16, 396, 166},	// Solid::Camera::~Camera
    {17, 33, 189},	// Solid::Device::Device
    {17, 34, 172},	// Solid::Device::Device#
    {17, 35, 171},	// Solid::Device::Device$
    {17, 201, 167},	// Solid::Device::allDevices
    {17, 207, -1},	// Solid::Device::asDeviceInterface$
    {17, 229, 182},	// Solid::Device::description
    {17, 255, 181},	// Solid::Device::emblems
    {17, 266, 180},	// Solid::Device::icon
    {17, 275, 183},	// Solid::Device::isDeviceInterface$
    {17, 283, 174},	// Solid::Device::isValid
    {17, 287, 187},	// Solid::Device::listFromQuery#
    {17, 288, 169},	// Solid::Device::listFromQuery#$
    {17, 289, 188},	// Solid::Device::listFromQuery$
    {17, 290, 170},	// Solid::Device::listFromQuery$$
    {17, 292, 186},	// Solid::Device::listFromType$
    {17, 293, 168},	// Solid::Device::listFromType$$
    {17, 308, 173},	// Solid::Device::operator=#
    {17, 313, 177},	// Solid::Device::parent
    {17, 314, 176},	// Solid::Device::parentUdi
    {17, 319, 179},	// Solid::Device::product
    {17, 384, 175},	// Solid::Device::udi
    {17, 388, 178},	// Solid::Device::vendor
    {17, 397, 190},	// Solid::Device::~Device
    {18, 1, 218},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 221},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 219},	// Solid::DeviceInterface::Battery
    {18, 14, 209},	// Solid::DeviceInterface::Block
    {18, 18, 220},	// Solid::DeviceInterface::Button
    {18, 19, 215},	// Solid::DeviceInterface::Camera
    {18, 37, 202},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 222},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 207},	// Solid::DeviceInterface::GenericInterface
    {18, 93, 226},	// Solid::DeviceInterface::InternetGateway
    {18, 96, 228},	// Solid::DeviceInterface::Last
    {18, 124, 217},	// Solid::DeviceInterface::NetworkInterface
    {18, 125, 227},	// Solid::DeviceInterface::NetworkShare
    {18, 133, 214},	// Solid::DeviceInterface::OpticalDisc
    {18, 134, 212},	// Solid::DeviceInterface::OpticalDrive
    {18, 140, 216},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 148, 208},	// Solid::DeviceInterface::Processor
    {18, 167, 224},	// Solid::DeviceInterface::SerialInterface
    {18, 169, 225},	// Solid::DeviceInterface::SmartCardReader
    {18, 172, 210},	// Solid::DeviceInterface::StorageAccess
    {18, 174, 211},	// Solid::DeviceInterface::StorageDrive
    {18, 176, 213},	// Solid::DeviceInterface::StorageVolume
    {18, 184, 206},	// Solid::DeviceInterface::Unknown
    {18, 194, 223},	// Solid::DeviceInterface::Video
    {18, 283, 198},	// Solid::DeviceInterface::isValid
    {18, 299, 191},	// Solid::DeviceInterface::metaObject
    {18, 328, 197},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 330, 192},	// Solid::DeviceInterface::qt_metacast$
    {18, 349, 205},	// Solid::DeviceInterface::staticMetaObject
    {18, 358, 200},	// Solid::DeviceInterface::stringToType$
    {18, 372, 203},	// Solid::DeviceInterface::tr$
    {18, 373, 193},	// Solid::DeviceInterface::tr$$
    {18, 374, 195},	// Solid::DeviceInterface::tr$$$
    {18, 376, 204},	// Solid::DeviceInterface::trUtf8$
    {18, 377, 194},	// Solid::DeviceInterface::trUtf8$$
    {18, 378, 196},	// Solid::DeviceInterface::trUtf8$$$
    {18, 381, 201},	// Solid::DeviceInterface::typeDescription$
    {18, 383, 199},	// Solid::DeviceInterface::typeToString$
    {18, 398, 229},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 240},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 233, 238},	// Solid::DeviceNotifier::deviceAdded$
    {20, 239, 239},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 268, 237},	// Solid::DeviceNotifier::instance
    {20, 299, 230},	// Solid::DeviceNotifier::metaObject
    {20, 328, 236},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 330, 231},	// Solid::DeviceNotifier::qt_metacast$
    {20, 349, 243},	// Solid::DeviceNotifier::staticMetaObject
    {20, 372, 241},	// Solid::DeviceNotifier::tr$
    {20, 373, 232},	// Solid::DeviceNotifier::tr$$
    {20, 374, 234},	// Solid::DeviceNotifier::tr$$$
    {20, 376, 242},	// Solid::DeviceNotifier::trUtf8$
    {20, 377, 233},	// Solid::DeviceNotifier::trUtf8$$
    {20, 378, 235},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 399, 244},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 261},	// Solid::DvbInterface::DvbAudio
    {21, 43, 262},	// Solid::DvbInterface::DvbCa
    {21, 44, 263},	// Solid::DvbInterface::DvbDemux
    {21, 45, 264},	// Solid::DvbInterface::DvbDvr
    {21, 46, 265},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 266},	// Solid::DvbInterface::DvbNet
    {21, 49, 267},	// Solid::DvbInterface::DvbOsd
    {21, 50, 268},	// Solid::DvbInterface::DvbSec
    {21, 51, 260},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 269},	// Solid::DvbInterface::DvbVideo
    {21, 230, 253},	// Solid::DvbInterface::device
    {21, 231, 254},	// Solid::DvbInterface::deviceAdapter
    {21, 234, 256},	// Solid::DvbInterface::deviceIndex
    {21, 235, 252},	// Solid::DvbInterface::deviceInterfaceType
    {21, 240, 255},	// Solid::DvbInterface::deviceType
    {21, 299, 245},	// Solid::DvbInterface::metaObject
    {21, 328, 251},	// Solid::DvbInterface::qt_metacall$$?
    {21, 330, 246},	// Solid::DvbInterface::qt_metacast$
    {21, 349, 259},	// Solid::DvbInterface::staticMetaObject
    {21, 372, 257},	// Solid::DvbInterface::tr$
    {21, 373, 247},	// Solid::DvbInterface::tr$$
    {21, 374, 249},	// Solid::DvbInterface::tr$$$
    {21, 376, 258},	// Solid::DvbInterface::trUtf8$
    {21, 377, 248},	// Solid::DvbInterface::trUtf8$$
    {21, 378, 250},	// Solid::DvbInterface::trUtf8$$$
    {21, 400, 270},	// Solid::DvbInterface::~DvbInterface
    {22, 149, 288},	// Solid::GenericInterface::PropertyAdded
    {22, 151, 287},	// Solid::GenericInterface::PropertyModified
    {22, 152, 289},	// Solid::GenericInterface::PropertyRemoved
    {22, 202, 280},	// Solid::GenericInterface::allProperties
    {22, 225, 283},	// Solid::GenericInterface::conditionRaised$$
    {22, 235, 278},	// Solid::GenericInterface::deviceInterfaceType
    {22, 299, 271},	// Solid::GenericInterface::metaObject
    {22, 321, 279},	// Solid::GenericInterface::property$
    {22, 323, 282},	// Solid::GenericInterface::propertyChanged?
    {22, 325, 281},	// Solid::GenericInterface::propertyExists$
    {22, 328, 277},	// Solid::GenericInterface::qt_metacall$$?
    {22, 330, 272},	// Solid::GenericInterface::qt_metacast$
    {22, 349, 286},	// Solid::GenericInterface::staticMetaObject
    {22, 372, 284},	// Solid::GenericInterface::tr$
    {22, 373, 273},	// Solid::GenericInterface::tr$$
    {22, 374, 275},	// Solid::GenericInterface::tr$$$
    {22, 376, 285},	// Solid::GenericInterface::trUtf8$
    {22, 377, 274},	// Solid::GenericInterface::trUtf8$$
    {22, 378, 276},	// Solid::GenericInterface::trUtf8$$$
    {22, 401, 290},	// Solid::GenericInterface::~GenericInterface
    {23, 235, 298},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 265, 301},	// Solid::NetworkInterface::hwAddress
    {23, 267, 299},	// Solid::NetworkInterface::ifaceName
    {23, 284, 300},	// Solid::NetworkInterface::isWireless
    {23, 294, 302},	// Solid::NetworkInterface::macAddress
    {23, 299, 291},	// Solid::NetworkInterface::metaObject
    {23, 328, 297},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 330, 292},	// Solid::NetworkInterface::qt_metacast$
    {23, 349, 305},	// Solid::NetworkInterface::staticMetaObject
    {23, 372, 303},	// Solid::NetworkInterface::tr$
    {23, 373, 293},	// Solid::NetworkInterface::tr$$
    {23, 374, 295},	// Solid::NetworkInterface::tr$$$
    {23, 376, 304},	// Solid::NetworkInterface::trUtf8$
    {23, 377, 294},	// Solid::NetworkInterface::trUtf8$$
    {23, 378, 296},	// Solid::NetworkInterface::trUtf8$$$
    {23, 402, 306},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 320},	// Solid::Networking::Connected
    {24, 31, 319},	// Solid::Networking::Connecting
    {24, 40, 318},	// Solid::Networking::Disconnecting
    {24, 117, 315},	// Solid::Networking::Managed
    {24, 118, 313},	// Solid::Networking::Manual
    {24, 131, 314},	// Solid::Networking::OnNextStatusChange
    {24, 183, 317},	// Solid::Networking::Unconnected
    {24, 184, 316},	// Solid::Networking::Unknown
    {24, 227, 307},	// Solid::Networking::connectPolicy
    {24, 243, 310},	// Solid::Networking::disconnectPolicy
    {24, 301, 312},	// Solid::Networking::notifier
    {24, 336, 308},	// Solid::Networking::setConnectPolicy$
    {24, 338, 309},	// Solid::Networking::setDisconnectPolicy$
    {24, 350, 311},	// Solid::Networking::status
    {25, 130, 331},	// Solid::Networking::Notifier::Notifier
    {25, 299, 321},	// Solid::Networking::Notifier::metaObject
    {25, 328, 327},	// Solid::Networking::Notifier::qt_metacall$$?
    {25, 330, 322},	// Solid::Networking::Notifier::qt_metacast$
    {25, 344, 329},	// Solid::Networking::Notifier::shouldConnect
    {25, 345, 330},	// Solid::Networking::Notifier::shouldDisconnect
    {25, 349, 334},	// Solid::Networking::Notifier::staticMetaObject
    {25, 352, 328},	// Solid::Networking::Notifier::statusChanged$
    {25, 372, 332},	// Solid::Networking::Notifier::tr$
    {25, 373, 323},	// Solid::Networking::Notifier::tr$$
    {25, 374, 325},	// Solid::Networking::Notifier::tr$$$
    {25, 376, 333},	// Solid::Networking::Notifier::trUtf8$
    {25, 377, 324},	// Solid::Networking::Notifier::trUtf8$$
    {25, 378, 326},	// Solid::Networking::Notifier::trUtf8$$$
    {25, 403, 335},	// Solid::Networking::Notifier::~Notifier
    {26, 5, 354},	// Solid::OpticalDisc::Audio
    {26, 15, 373},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 374},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 372},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 362},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 363},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 361},	// Solid::OpticalDisc::CdRom
    {26, 32, 355},	// Solid::OpticalDisc::Data
    {26, 54, 368},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 370},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 369},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 371},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 365},	// Solid::OpticalDisc::DvdRam
    {26, 59, 366},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 367},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 364},	// Solid::OpticalDisc::DvdRom
    {26, 77, 376},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 377},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 375},	// Solid::OpticalDisc::HdDvdRom
    {26, 127, 353},	// Solid::OpticalDisc::NoContent
    {26, 178, 357},	// Solid::OpticalDisc::SuperVideoCd
    {26, 189, 360},	// Solid::OpticalDisc::UnknownDiscType
    {26, 195, 359},	// Solid::OpticalDisc::VideoBluRay
    {26, 196, 356},	// Solid::OpticalDisc::VideoCd
    {26, 197, 358},	// Solid::OpticalDisc::VideoDvd
    {26, 208, 344},	// Solid::OpticalDisc::availableContent
    {26, 215, 349},	// Solid::OpticalDisc::capacity
    {26, 235, 343},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 241, 345},	// Solid::OpticalDisc::discType
    {26, 272, 346},	// Solid::OpticalDisc::isAppendable
    {26, 273, 347},	// Solid::OpticalDisc::isBlank
    {26, 282, 348},	// Solid::OpticalDisc::isRewritable
    {26, 299, 336},	// Solid::OpticalDisc::metaObject
    {26, 328, 342},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 330, 337},	// Solid::OpticalDisc::qt_metacast$
    {26, 349, 352},	// Solid::OpticalDisc::staticMetaObject
    {26, 372, 350},	// Solid::OpticalDisc::tr$
    {26, 373, 338},	// Solid::OpticalDisc::tr$$
    {26, 374, 340},	// Solid::OpticalDisc::tr$$$
    {26, 376, 351},	// Solid::OpticalDisc::trUtf8$
    {26, 377, 339},	// Solid::OpticalDisc::trUtf8$$
    {26, 378, 341},	// Solid::OpticalDisc::trUtf8$$$
    {26, 404, 378},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 408},	// Solid::OpticalDrive::Bd
    {27, 12, 409},	// Solid::OpticalDrive::Bdr
    {27, 13, 410},	// Solid::OpticalDrive::Bdre
    {27, 24, 398},	// Solid::OpticalDrive::Cdr
    {27, 26, 399},	// Solid::OpticalDrive::Cdrw
    {27, 53, 400},	// Solid::OpticalDrive::Dvd
    {27, 62, 406},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 407},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 404},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 405},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 401},	// Solid::OpticalDrive::Dvdr
    {27, 67, 403},	// Solid::OpticalDrive::Dvdram
    {27, 68, 402},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 411},	// Solid::OpticalDrive::HdDvd
    {27, 80, 412},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 413},	// Solid::OpticalDrive::HdDvdrw
    {27, 235, 386},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 248, 391},	// Solid::OpticalDrive::eject
    {27, 250, 393},	// Solid::OpticalDrive::ejectDone$#$
    {27, 252, 392},	// Solid::OpticalDrive::ejectPressed$
    {27, 254, 394},	// Solid::OpticalDrive::ejectRequested$
    {27, 299, 379},	// Solid::OpticalDrive::metaObject
    {27, 328, 385},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 330, 380},	// Solid::OpticalDrive::qt_metacast$
    {27, 331, 388},	// Solid::OpticalDrive::readSpeed
    {27, 349, 397},	// Solid::OpticalDrive::staticMetaObject
    {27, 361, 387},	// Solid::OpticalDrive::supportedMedia
    {27, 372, 395},	// Solid::OpticalDrive::tr$
    {27, 373, 381},	// Solid::OpticalDrive::tr$$
    {27, 374, 383},	// Solid::OpticalDrive::tr$$$
    {27, 376, 396},	// Solid::OpticalDrive::trUtf8$
    {27, 377, 382},	// Solid::OpticalDrive::trUtf8$$
    {27, 378, 384},	// Solid::OpticalDrive::trUtf8$$$
    {27, 389, 389},	// Solid::OpticalDrive::writeSpeed
    {27, 390, 390},	// Solid::OpticalDrive::writeSpeeds
    {27, 405, 414},	// Solid::OpticalDrive::~OpticalDrive
    {28, 235, 422},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 247, 425},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 299, 415},	// Solid::PortableMediaPlayer::metaObject
    {28, 328, 421},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 330, 416},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 349, 429},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 359, 428},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 360, 424},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 362, 423},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 372, 426},	// Solid::PortableMediaPlayer::tr$
    {28, 373, 417},	// Solid::PortableMediaPlayer::tr$$
    {28, 374, 419},	// Solid::PortableMediaPlayer::tr$$$
    {28, 376, 427},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 377, 418},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 378, 420},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 406, 430},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 443},	// Solid::PowerManagement::HibernateState
    {29, 171, 441},	// Solid::PowerManagement::StandbyState
    {29, 179, 442},	// Solid::PowerManagement::SuspendState
    {29, 203, 431},	// Solid::PowerManagement::appShouldConserveResources
    {29, 209, 435},	// Solid::PowerManagement::beginSuppressingScreenPowerManagement
    {29, 210, 434},	// Solid::PowerManagement::beginSuppressingScreenPowerManagement$
    {29, 211, 437},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 212, 436},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 301, 439},	// Solid::PowerManagement::notifier
    {29, 333, 438},	// Solid::PowerManagement::requestSleep$#$
    {29, 354, 440},	// Solid::PowerManagement::stopSuppressingScreenPowerManagement$
    {29, 356, 433},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 363, 432},	// Solid::PowerManagement::supportedSleepStates
    {30, 130, 452},	// Solid::PowerManagement::Notifier::Notifier
    {30, 205, 451},	// Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged$
    {30, 299, 444},	// Solid::PowerManagement::Notifier::metaObject
    {30, 328, 450},	// Solid::PowerManagement::Notifier::qt_metacall$$?
    {30, 330, 445},	// Solid::PowerManagement::Notifier::qt_metacast$
    {30, 349, 455},	// Solid::PowerManagement::Notifier::staticMetaObject
    {30, 372, 453},	// Solid::PowerManagement::Notifier::tr$
    {30, 373, 446},	// Solid::PowerManagement::Notifier::tr$$
    {30, 374, 448},	// Solid::PowerManagement::Notifier::tr$$$
    {30, 376, 454},	// Solid::PowerManagement::Notifier::trUtf8$
    {30, 377, 447},	// Solid::PowerManagement::Notifier::trUtf8$$
    {30, 378, 449},	// Solid::PowerManagement::Notifier::trUtf8$$$
    {30, 403, 456},	// Solid::PowerManagement::Notifier::~Notifier
    {31, 29, 485},	// Solid::Predicate::Conjunction
    {31, 41, 486},	// Solid::Predicate::Disjunction
    {31, 70, 482},	// Solid::Predicate::Equals
    {31, 91, 487},	// Solid::Predicate::InterfaceCheck
    {31, 119, 483},	// Solid::Predicate::Mask
    {31, 142, 457},	// Solid::Predicate::Predicate
    {31, 143, 458},	// Solid::Predicate::Predicate#
    {31, 144, -4},	// Solid::Predicate::Predicate$
    {31, 145, -7},	// Solid::Predicate::Predicate$$#
    {31, 146, -10},	// Solid::Predicate::Predicate$$#$
    {31, 150, 484},	// Solid::Predicate::PropertyCheck
    {31, 223, 477},	// Solid::Predicate::comparisonOperator
    {31, 260, 478},	// Solid::Predicate::firstOperand
    {31, 262, 472},	// Solid::Predicate::fromString$
    {31, 270, 474},	// Solid::Predicate::interfaceType
    {31, 283, 468},	// Solid::Predicate::isValid
    {31, 296, 469},	// Solid::Predicate::matches#
    {31, 297, 476},	// Solid::Predicate::matchingValue
    {31, 304, 464},	// Solid::Predicate::operator&#
    {31, 306, 465},	// Solid::Predicate::operator&=#
    {31, 308, 463},	// Solid::Predicate::operator=#
    {31, 310, 466},	// Solid::Predicate::operator|#
    {31, 312, 467},	// Solid::Predicate::operator|=#
    {31, 326, 475},	// Solid::Predicate::propertyName
    {31, 334, 479},	// Solid::Predicate::secondOperand
    {31, 370, 471},	// Solid::Predicate::toString
    {31, 379, 473},	// Solid::Predicate::type
    {31, 386, 470},	// Solid::Predicate::usedTypes
    {31, 407, 488},	// Solid::Predicate::~Predicate
    {32, 3, 511},	// Solid::Processor::AltiVec
    {32, 4, 510},	// Solid::Processor::Amd3DNow
    {32, 86, 505},	// Solid::Processor::IntelMmx
    {32, 87, 506},	// Solid::Processor::IntelSse
    {32, 88, 507},	// Solid::Processor::IntelSse2
    {32, 89, 508},	// Solid::Processor::IntelSse3
    {32, 90, 509},	// Solid::Processor::IntelSse4
    {32, 129, 504},	// Solid::Processor::NoExtensions
    {32, 214, 499},	// Solid::Processor::canChangeFrequency
    {32, 235, 496},	// Solid::Processor::deviceInterfaceType
    {32, 269, 500},	// Solid::Processor::instructionSets
    {32, 298, 498},	// Solid::Processor::maxSpeed
    {32, 299, 489},	// Solid::Processor::metaObject
    {32, 302, 497},	// Solid::Processor::number
    {32, 328, 495},	// Solid::Processor::qt_metacall$$?
    {32, 330, 490},	// Solid::Processor::qt_metacast$
    {32, 349, 503},	// Solid::Processor::staticMetaObject
    {32, 372, 501},	// Solid::Processor::tr$
    {32, 373, 491},	// Solid::Processor::tr$$
    {32, 374, 493},	// Solid::Processor::tr$$$
    {32, 376, 502},	// Solid::Processor::trUtf8$
    {32, 377, 492},	// Solid::Processor::trUtf8$$
    {32, 378, 494},	// Solid::Processor::trUtf8$$$
    {32, 408, 512},	// Solid::Processor::~Processor
    {33, 173, 531},	// Solid::StorageAccess::StorageAccess##
    {33, 200, 526},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 235, 520},	// Solid::StorageAccess::deviceInterfaceType
    {33, 259, 522},	// Solid::StorageAccess::filePath
    {33, 271, 521},	// Solid::StorageAccess::isAccessible
    {33, 277, 523},	// Solid::StorageAccess::isIgnored
    {33, 299, 513},	// Solid::StorageAccess::metaObject
    {33, 328, 519},	// Solid::StorageAccess::qt_metacall$$?
    {33, 330, 514},	// Solid::StorageAccess::qt_metacast$
    {33, 339, 524},	// Solid::StorageAccess::setup
    {33, 341, 527},	// Solid::StorageAccess::setupDone$#$
    {33, 343, 529},	// Solid::StorageAccess::setupRequested$
    {33, 349, 534},	// Solid::StorageAccess::staticMetaObject
    {33, 364, 525},	// Solid::StorageAccess::teardown
    {33, 366, 528},	// Solid::StorageAccess::teardownDone$#$
    {33, 368, 530},	// Solid::StorageAccess::teardownRequested$
    {33, 372, 532},	// Solid::StorageAccess::tr$
    {33, 373, 515},	// Solid::StorageAccess::tr$$
    {33, 374, 517},	// Solid::StorageAccess::tr$$$
    {33, 376, 533},	// Solid::StorageAccess::trUtf8$
    {33, 377, 516},	// Solid::StorageAccess::trUtf8$$
    {33, 378, 518},	// Solid::StorageAccess::trUtf8$$$
    {33, 409, 535},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 561},	// Solid::StorageDrive::CdromDrive
    {35, 28, 564},	// Solid::StorageDrive::CompactFlash
    {35, 73, 562},	// Solid::StorageDrive::Floppy
    {35, 75, 560},	// Solid::StorageDrive::HardDisk
    {35, 84, 554},	// Solid::StorageDrive::Ide
    {35, 85, 556},	// Solid::StorageDrive::Ieee1394
    {35, 120, 565},	// Solid::StorageDrive::MemoryStick
    {35, 139, 559},	// Solid::StorageDrive::Platform
    {35, 164, 558},	// Solid::StorageDrive::Sata
    {35, 165, 557},	// Solid::StorageDrive::Scsi
    {35, 166, 567},	// Solid::StorageDrive::SdMmc
    {35, 170, 566},	// Solid::StorageDrive::SmartMedia
    {35, 175, 550},	// Solid::StorageDrive::StorageDrive##
    {35, 181, 563},	// Solid::StorageDrive::Tape
    {35, 192, 555},	// Solid::StorageDrive::Usb
    {35, 198, 568},	// Solid::StorageDrive::Xd
    {35, 213, 544},	// Solid::StorageDrive::bus
    {35, 235, 543},	// Solid::StorageDrive::deviceInterfaceType
    {35, 244, 545},	// Solid::StorageDrive::driveType
    {35, 276, 547},	// Solid::StorageDrive::isHotpluggable
    {35, 278, 549},	// Solid::StorageDrive::isInUse
    {35, 281, 546},	// Solid::StorageDrive::isRemovable
    {35, 299, 536},	// Solid::StorageDrive::metaObject
    {35, 328, 542},	// Solid::StorageDrive::qt_metacall$$?
    {35, 330, 537},	// Solid::StorageDrive::qt_metacast$
    {35, 346, 548},	// Solid::StorageDrive::size
    {35, 349, 553},	// Solid::StorageDrive::staticMetaObject
    {35, 372, 551},	// Solid::StorageDrive::tr$
    {35, 373, 538},	// Solid::StorageDrive::tr$$
    {35, 374, 540},	// Solid::StorageDrive::tr$$$
    {35, 376, 552},	// Solid::StorageDrive::trUtf8$
    {35, 377, 539},	// Solid::StorageDrive::trUtf8$$
    {35, 378, 541},	// Solid::StorageDrive::trUtf8$$$
    {35, 410, 569},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 594},	// Solid::StorageVolume::Encrypted
    {37, 71, 591},	// Solid::StorageVolume::FileSystem
    {37, 135, 589},	// Solid::StorageVolume::Other
    {37, 136, 592},	// Solid::StorageVolume::PartitionTable
    {37, 163, 593},	// Solid::StorageVolume::Raid
    {37, 177, 585},	// Solid::StorageVolume::StorageVolume##
    {37, 190, 590},	// Solid::StorageVolume::Unused
    {37, 235, 577},	// Solid::StorageVolume::deviceInterfaceType
    {37, 256, 584},	// Solid::StorageVolume::encryptedContainer
    {37, 263, 580},	// Solid::StorageVolume::fsType
    {37, 277, 578},	// Solid::StorageVolume::isIgnored
    {37, 285, 581},	// Solid::StorageVolume::label
    {37, 299, 570},	// Solid::StorageVolume::metaObject
    {37, 328, 576},	// Solid::StorageVolume::qt_metacall$$?
    {37, 330, 571},	// Solid::StorageVolume::qt_metacast$
    {37, 346, 583},	// Solid::StorageVolume::size
    {37, 349, 588},	// Solid::StorageVolume::staticMetaObject
    {37, 372, 586},	// Solid::StorageVolume::tr$
    {37, 373, 572},	// Solid::StorageVolume::tr$$
    {37, 374, 574},	// Solid::StorageVolume::tr$$$
    {37, 376, 587},	// Solid::StorageVolume::trUtf8$
    {37, 377, 573},	// Solid::StorageVolume::trUtf8$$
    {37, 378, 575},	// Solid::StorageVolume::trUtf8$$$
    {37, 385, 579},	// Solid::StorageVolume::usage
    {37, 387, 582},	// Solid::StorageVolume::uuid
    {37, 411, 595},	// Solid::StorageVolume::~StorageVolume
    {39, 235, 603},	// Solid::Video::deviceInterfaceType
    {39, 247, 606},	// Solid::Video::driverHandle$
    {39, 299, 596},	// Solid::Video::metaObject
    {39, 328, 602},	// Solid::Video::qt_metacall$$?
    {39, 330, 597},	// Solid::Video::qt_metacast$
    {39, 349, 610},	// Solid::Video::staticMetaObject
    {39, 359, 609},	// Solid::Video::supportedDrivers
    {39, 360, 605},	// Solid::Video::supportedDrivers$
    {39, 362, 604},	// Solid::Video::supportedProtocols
    {39, 372, 607},	// Solid::Video::tr$
    {39, 373, 598},	// Solid::Video::tr$$
    {39, 374, 600},	// Solid::Video::tr$$$
    {39, 376, 608},	// Solid::Video::trUtf8$
    {39, 377, 599},	// Solid::Video::trUtf8$$
    {39, 378, 601},	// Solid::Video::trUtf8$$$
    {39, 412, 611},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 612,
        __smokesolid::methodMaps, 601,
        __smokesolid::methodNames, 412,
        __smokesolid::types, 168,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
