#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 28: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Backend
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 14: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BackendSetting
      switch(to) {
        case 15: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::BindingSet
      switch(to) {
        case 16: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::Error
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorCache
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::ErrorData
      switch(to) {
        case 19: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::Locator
      switch(to) {
        case 20: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Error::ParserError
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::FilterModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Graph
      switch(to) {
        case 23: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Inference::Rule
      switch(to) {
        case 25: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::LanguageTag
      switch(to) {
        case 26: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::LiteralValue
      switch(to) {
        case 27: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 28: return (void*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Node
      switch(to) {
        case 29: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::NodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::Parser
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 31: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::Plugin
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::PluginManager
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::QueryResultIterator
      switch(to) {
        case 34: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 35: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::RdfSchemaModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::Serializer
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 37: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Statement
      switch(to) {
        case 38: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::StatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::StorageModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 46:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 47:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 18, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    17, 0,	// 4: Soprano::Error::Error
    28, 0,	// 6: Soprano::Model
    22, 0,	// 8: Soprano::FilterModel
    7, 18, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    7, 0,	// 15: QObject
    30, 0,	// 17: Soprano::NodeIterator
    39, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//13
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//14
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//15
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//17
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//18
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//21
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//22
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//24
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//28
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//29
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//30
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//31
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//32
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//33
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//34
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//36
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//37
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//38
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//39
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//40
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//41
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//42
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//43
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//44
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//45
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//46
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//47
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//53
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//54
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//55
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//9
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//18
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//25
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Soprano::BackendFeature", 13, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Soprano::BackendOption", 13, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Soprano::BackendSetting", 15, Smoke::t_class|Smoke::tf_stack },	//120
    { "Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref },	//121
    { "Soprano::BackendSetting*", 15, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Soprano::BindingSet", 16, Smoke::t_class|Smoke::tf_stack },	//123
    { "Soprano::Error::Error", 17, Smoke::t_class|Smoke::tf_stack },	//124
    { "Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref },	//125
    { "Soprano::Error::Error*", 17, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Soprano::Error::ErrorCache*", 18, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Soprano::Error::ErrorData*", 19, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Soprano::Error::Locator", 20, Smoke::t_class|Smoke::tf_stack },	//130
    { "Soprano::Error::ParserError", 21, Smoke::t_class|Smoke::tf_stack },	//131
    { "Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref },	//132
    { "Soprano::Error::ParserError*", 21, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::FilterModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Soprano::Inference::InferenceModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//137
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//138
    { "Soprano::LiteralValue", 27, Smoke::t_class|Smoke::tf_stack },	//139
    { "Soprano::Model*", 28, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Soprano::Node", 29, Smoke::t_class|Smoke::tf_stack },	//141
    { "Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref },	//142
    { "Soprano::Node*", 29, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Soprano::Node::N3ParserFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Soprano::Node::Type", 29, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Soprano::NodeIterator", 30, Smoke::t_class|Smoke::tf_stack },	//146
    { "Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref },	//147
    { "Soprano::NodeIterator*", 30, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::Plugin*", 32, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Soprano::PluginManager*", 33, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Soprano::QueryResultIterator", 34, Smoke::t_class|Smoke::tf_stack },	//153
    { "Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref },	//154
    { "Soprano::QueryResultIterator*", 34, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Soprano::QueryResultIteratorBackend*", 35, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Soprano::RdfSchemaModel*", 36, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Soprano::RdfSerialization", 13, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Soprano::Statement", 38, Smoke::t_class|Smoke::tf_stack },	//160
    { "Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref },	//161
    { "Soprano::Statement*", 38, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Soprano::StatementIterator", 39, Smoke::t_class|Smoke::tf_stack },	//163
    { "Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref },	//164
    { "Soprano::StatementIterator*", 39, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Soprano::StorageModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Soprano::Util::AsyncModel*", 41, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Soprano::Util::AsyncModel::AsyncModelMode", 41, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Soprano::Util::AsyncQuery*", 42, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Soprano::Util::AsyncResult*", 43, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Soprano::Util::ReadOnlyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Soprano::Util::SignalCacheModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref },	//173
    { "Soprano::Util::SimpleNodeIterator*", 46, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref },	//175
    { "Soprano::Util::SimpleStatementIterator*", 47, Smoke::t_class|Smoke::tf_ptr },	//176
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//177
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//178
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//184
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//186
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//189
    { "const QUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Soprano::Backend&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//193
    { "const Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Soprano::Error::ErrorCache&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Soprano::Error::Locator&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Soprano::Graph&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::Inference::Rule&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Soprano::LanguageTag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Soprano::LiteralValue&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Soprano::Parser&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const Soprano::Plugin&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Soprano::Serializer&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//216
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//217
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//218
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//220
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    17, 4, 0,	//3  QObject*, QEvent*
    23, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    215, 0,	//10  const char*
    9, 119, 187, 0,	//12  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    9, 119, 0,	//16  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    203, 0,	//19  const Soprano::Node&
    5, 188, 0,	//21  QFlags<Soprano::BackendFeature>, const QStringList&
    5, 0,	//24  QFlags<Soprano::BackendFeature>
    3, 199, 0,	//26  QDebug, const Soprano::Graph&
    211, 0,	//29  const Soprano::Statement&
    187, 0,	//31  const QString&
    158, 187, 0,	//33  Soprano::RdfSerialization, const QString&
    158, 0,	//36  Soprano::RdfSerialization
    179, 119, 191, 0,	//38  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    193, 0,	//42  const Soprano::Backend*
    201, 0,	//44  const Soprano::LanguageTag&
    179, 0,	//46  const QList<Soprano::BackendSetting>&
    179, 187, 191, 0,	//48  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    179, 187, 0,	//52  const QList<Soprano::BackendSetting>&, const QString&
    179, 119, 187, 0,	//55  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    179, 119, 0,	//59  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    202, 0,	//62  const Soprano::LiteralValue&
    9, 187, 0,	//64  QList<Soprano::BackendSetting>&, const QString&
    192, 0,	//67  const Soprano::Backend&
    119, 0,	//69  Soprano::BackendOption
    119, 191, 0,	//71  Soprano::BackendOption, const QVariant&
    187, 191, 0,	//74  const QString&, const QVariant&
    194, 0,	//77  const Soprano::BackendSetting&
    191, 0,	//79  const QVariant&
    187, 216, 0,	//81  const QString&, int
    195, 0,	//84  const Soprano::Error::Error&
    129, 0,	//86  Soprano::Error::ErrorData*
    196, 0,	//88  const Soprano::Error::ErrorCache&
    197, 187, 216, 0,	//90  const Soprano::Error::Locator&, const QString&, int
    198, 0,	//94  const Soprano::Error::ParserError&
    197, 0,	//96  const Soprano::Error::Locator&
    197, 187, 0,	//98  const Soprano::Error::Locator&, const QString&
    215, 215, 0,	//101  const char*, const char*
    215, 215, 216, 0,	//104  const char*, const char*, int
    16, 216, 220, 0,	//108  QMetaObject::Call, int, void**
    140, 0,	//112  Soprano::Model*
    203, 203, 203, 203, 0,	//114  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    187, 152, 187, 0,	//119  const QString&, Soprano::Query::QueryLanguage, const QString&
    22, 0,	//123  QTextStream&
    203, 203, 203, 0,	//125  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    187, 152, 0,	//129  const QString&, Soprano::Query::QueryLanguage
    200, 0,	//132  const Soprano::Inference::Rule&
    180, 0,	//134  const QList<Soprano::Inference::Rule>&
    178, 0,	//136  bool
    182, 0,	//138  const QList<Soprano::Statement>&
    190, 0,	//140  const QUrl&
    202, 187, 0,	//142  const Soprano::LiteralValue&, const QString&
    187, 6, 0,	//145  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    22, 6, 0,	//148  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    137, 0,	//151  Soprano::IteratorBackend<Soprano::Node>*
    204, 0,	//153  const Soprano::NodeIterator&
    187, 190, 158, 187, 0,	//155  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    22, 190, 158, 187, 0,	//160  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    205, 0,	//165  const Soprano::Parser&
    187, 190, 158, 0,	//167  const QString&, const QUrl&, Soprano::RdfSerialization
    22, 190, 158, 0,	//171  QTextStream&, const QUrl&, Soprano::RdfSerialization
    207, 0,	//175  const Soprano::Plugin&
    188, 178, 0,	//177  const QStringList&, bool
    188, 0,	//180  const QStringList&
    208, 0,	//182  const Soprano::QueryResultIterator&
    156, 0,	//184  Soprano::QueryResultIteratorBackend*
    216, 0,	//186  int
    186, 0,	//188  const QString
    187, 187, 187, 187, 211, 0,	//190  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    187, 187, 187, 0,	//196  const QString&, const QString&, const QString&
    187, 187, 187, 187, 0,	//200  const QString&, const QString&, const QString&, const QString&
    203, 203, 0,	//205  const Soprano::Node&, const Soprano::Node&
    163, 22, 158, 187, 0,	//208  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    187, 190, 0,	//213  const QString&, const QUrl&
    209, 0,	//216  const Soprano::Serializer&
    163, 22, 158, 0,	//218  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    138, 0,	//222  Soprano::IteratorBackend<Soprano::Statement>*
    212, 0,	//224  const Soprano::StatementIterator&
    168, 0,	//226  Soprano::Util::AsyncModel::AsyncModelMode
    169, 0,	//228  Soprano::Util::AsyncQuery*
    140, 187, 152, 187, 0,	//230  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    140, 187, 152, 0,	//235  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    170, 0,	//239  Soprano::Util::AsyncResult*
    191, 195, 0,	//241  const QVariant&, const Soprano::Error::Error&
    181, 0,	//244  const QList<Soprano::Node>&
    213, 0,	//246  const Soprano::Util::SimpleNodeIterator&
    214, 0,	//248  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Agent",	//1
    "AllDifferent",	//2
    "Alt",	//3
    "Annotation",	//4
    "AnnotationProperty",	//5
    "Archive",	//6
    "ArchivedFile",	//7
    "AsymmetricProperty",	//8
    "AsyncModel",	//9
    "AsyncModel#",	//10
    "Audio",	//11
    "AudioList",	//12
    "Backend",	//13
    "Backend#",	//14
    "Backend$",	//15
    "BackendFeatureAddStatement",	//16
    "BackendFeatureAll",	//17
    "BackendFeatureContext",	//18
    "BackendFeatureInference",	//19
    "BackendFeatureInferenceOptional",	//20
    "BackendFeatureListStatements",	//21
    "BackendFeatureNone",	//22
    "BackendFeatureQuery",	//23
    "BackendFeatureRemoveStatements",	//24
    "BackendFeatureStorageMemory",	//25
    "BackendFeatureUser",	//26
    "BackendOptionEnableInference",	//27
    "BackendOptionHost",	//28
    "BackendOptionNone",	//29
    "BackendOptionPassword",	//30
    "BackendOptionPort",	//31
    "BackendOptionStorageDir",	//32
    "BackendOptionStorageMemory",	//33
    "BackendOptionUser",	//34
    "BackendOptionUsername",	//35
    "BackendSetting",	//36
    "BackendSetting#",	//37
    "BackendSetting$",	//38
    "BackendSetting$#",	//39
    "Bag",	//40
    "BlankNode",	//41
    "BlockDevice",	//42
    "Bookmark",	//43
    "Class",	//44
    "CommunicationChannel",	//45
    "Configuration",	//46
    "Contact",	//47
    "ContactGroup",	//48
    "Container",	//49
    "ContainerMembershipProperty",	//50
    "Content",	//51
    "Data",	//52
    "DataObject",	//53
    "DataRange",	//54
    "Datatype",	//55
    "DatatypeProperty",	//56
    "DefaultGraph",	//57
    "DeletedFile",	//58
    "DeprecatedClass",	//59
    "DeprecatedProperty",	//60
    "DiscardableInstanceBase",	//61
    "Document",	//62
    "DocumentGraph",	//63
    "Documentation",	//64
    "Email",	//65
    "EmailAttachment",	//66
    "EmbeddedObject",	//67
    "EmptyNode",	//68
    "Error",	//69
    "Error#",	//70
    "Error$",	//71
    "Error$$",	//72
    "ErrorCache",	//73
    "ErrorCache#",	//74
    "ExternalViewSpecification",	//75
    "File",	//76
    "FileSystem",	//77
    "Filelike",	//78
    "FilterModel",	//79
    "FilterModel#",	//80
    "Folder",	//81
    "FreeDesktopIcon",	//82
    "FunctionalProperty",	//83
    "Graph",	//84
    "GraphMetadata",	//85
    "GraphView",	//86
    "IMAP4Message",	//87
    "IMMessage",	//88
    "IgnorePrefixes",	//89
    "Image",	//90
    "InferenceGraph",	//91
    "InferenceMetaData",	//92
    "InferenceModel",	//93
    "InferenceModel#",	//94
    "InstanceBase",	//95
    "InverseFunctionalProperty",	//96
    "KnowledgeBase",	//97
    "LicensedActiveQt",	//98
    "LicensedCore",	//99
    "LicensedDBus",	//100
    "LicensedDeclarative",	//101
    "LicensedGui",	//102
    "LicensedHelp",	//103
    "LicensedMultimedia",	//104
    "LicensedNetwork",	//105
    "LicensedOpenGL",	//106
    "LicensedOpenVG",	//107
    "LicensedQt3Support",	//108
    "LicensedQt3SupportLight",	//109
    "LicensedScript",	//110
    "LicensedScriptTools",	//111
    "LicensedSql",	//112
    "LicensedSvg",	//113
    "LicensedTest",	//114
    "LicensedXml",	//115
    "LicensedXmlPatterns",	//116
    "List",	//117
    "Literal",	//118
    "LiteralNode",	//119
    "MailingList",	//120
    "MailingListEmail",	//121
    "Media",	//122
    "MediaList",	//123
    "Message",	//124
    "MessageboxMessage",	//125
    "Model",	//126
    "MultiThreaded",	//127
    "Music",	//128
    "NewsGroup",	//129
    "NewsGroupEmail",	//130
    "NoFlags",	//131
    "Node",	//132
    "Node#",	//133
    "Node#$",	//134
    "Node$",	//135
    "NodeIterator",	//136
    "NodeIterator#",	//137
    "NodeIterator?",	//138
    "Nothing",	//139
    "ObjectProperty",	//140
    "OfflineMedia",	//141
    "Ontology",	//142
    "OntologyProperty",	//143
    "Organization",	//144
    "POP3Message",	//145
    "Parser",	//146
    "Parser#",	//147
    "Parser$",	//148
    "ParserError",	//149
    "ParserError#",	//150
    "ParserError#$",	//151
    "ParserError#$$",	//152
    "Party",	//153
    "Person",	//154
    "PersonalEmail",	//155
    "Photo",	//156
    "Plugin",	//157
    "Plugin#",	//158
    "Plugin$",	//159
    "Presentation",	//160
    "Project",	//161
    "Property",	//162
    "Q_COMPLEX_TYPE",	//163
    "Q_DUMMY_TYPE",	//164
    "Q_MOVABLE_TYPE",	//165
    "Q_PRIMITIVE_TYPE",	//166
    "Q_STATIC_TYPE",	//167
    "QtCriticalMsg",	//168
    "QtDebugMsg",	//169
    "QtFatalMsg",	//170
    "QtSystemMsg",	//171
    "QtWarningMsg",	//172
    "QueryResultIterator",	//173
    "QueryResultIterator#",	//174
    "RSSFeed",	//175
    "RSSMessage",	//176
    "RdfSchemaModel",	//177
    "RdfSchemaModel#",	//178
    "ReadOnlyModel",	//179
    "ReadOnlyModel#",	//180
    "ReflexiveProperty",	//181
    "RemoteFile",	//182
    "RemoteMessageboxMessage",	//183
    "RemoteResource",	//184
    "Resource",	//185
    "ResourceNode",	//186
    "Restriction",	//187
    "RevisionControlledFile",	//188
    "RevisionControlledRepository",	//189
    "RuleViewSpecification",	//190
    "Schema",	//191
    "Semantics",	//192
    "Seq",	//193
    "SerializationN3",	//194
    "SerializationNQuads",	//195
    "SerializationNTriples",	//196
    "SerializationRdfXml",	//197
    "SerializationTrig",	//198
    "SerializationTurtle",	//199
    "SerializationUnknown",	//200
    "SerializationUser",	//201
    "Serializer",	//202
    "Serializer#",	//203
    "Serializer$",	//204
    "SignalCacheModel",	//205
    "SignalCacheModel#",	//206
    "SimpleNodeIterator",	//207
    "SimpleNodeIterator#",	//208
    "SimpleNodeIterator?",	//209
    "SimpleStatementIterator",	//210
    "SimpleStatementIterator#",	//211
    "SimpleStatementIterator?",	//212
    "SingleThreaded",	//213
    "SoftwarePackage",	//214
    "Source",	//215
    "SourceCode",	//216
    "Spreadsheet",	//217
    "Statement",	//218
    "Statement#",	//219
    "Statement###",	//220
    "Statement####",	//221
    "StatementIterator",	//222
    "StatementIterator#",	//223
    "StatementIterator?",	//224
    "StorageModel",	//225
    "StorageModel#",	//226
    "StrictLiteralTypes",	//227
    "StrictUris",	//228
    "Symbol",	//229
    "SymmetricProperty",	//230
    "SystemResource",	//231
    "Tag",	//232
    "Text",	//233
    "TextDocument",	//234
    "Thing",	//235
    "TransitiveProperty",	//236
    "UncategorizedText",	//237
    "Video",	//238
    "ViewSpecification",	//239
    "Visual",	//240
    "XML",	//241
    "XMLLiteral",	//242
    "__codecvt_error",	//243
    "__codecvt_noconv",	//244
    "__codecvt_ok",	//245
    "__codecvt_partial",	//246
    "acl",	//247
    "addPrefix",	//248
    "addPrefix$#",	//249
    "addRule",	//250
    "addRule#",	//251
    "addStatement",	//252
    "addStatement#",	//253
    "addStatement###",	//254
    "addStatement####",	//255
    "addStatementAsync",	//256
    "addStatementAsync#",	//257
    "addStatementAsync###",	//258
    "addStatementAsync####",	//259
    "addStatements",	//260
    "addStatements?",	//261
    "addStatementsAsync",	//262
    "addStatementsAsync?",	//263
    "album",	//264
    "albumArtist",	//265
    "albumGain",	//266
    "albumPeakGain",	//267
    "albumTrackCount",	//268
    "allBackends",	//269
    "allBindings",	//270
    "allNodes",	//271
    "allParsers",	//272
    "allSerializers",	//273
    "allStatements",	//274
    "allValuesFrom",	//275
    "altLabel",	//276
    "altSymbol",	//277
    "annotation",	//278
    "aperture",	//279
    "artist",	//280
    "asText",	//281
    "aspectRatio",	//282
    "attachmentEncoding",	//283
    "audioBPM",	//284
    "audioBitrate",	//285
    "audioChannels",	//286
    "audioCodec",	//287
    "audioCodecType",	//288
    "audioSampleBitDepth",	//289
    "audioSampleCount",	//290
    "audioSampleDataType",	//291
    "audioSampleRate",	//292
    "author",	//293
    "autoRating",	//294
    "backend",	//295
    "backwardCompatibleWith",	//296
    "base64Binary",	//297
    "baseRevisionID",	//298
    "bcc",	//299
    "binding",	//300
    "binding$",	//301
    "bindingCount",	//302
    "bindingNames",	//303
    "birthDate",	//304
    "blankToN3",	//305
    "blankToN3$",	//306
    "blogContactURL",	//307
    "boolValue",	//308
    "boolean",	//309
    "cacheTime",	//310
    "cameraManufacturer",	//311
    "cameraModel",	//312
    "cardinality",	//313
    "cc",	//314
    "ccdWidth",	//315
    "cellPhoneNumber",	//316
    "changeCommitTime",	//317
    "changeCommitter",	//318
    "characterCount",	//319
    "charset",	//320
    "chatRoom",	//321
    "childEvent",	//322
    "classes",	//323
    "clearError",	//324
    "clearInference",	//325
    "clearPrefixes",	//326
    "close",	//327
    "code",	//328
    "colorCount",	//329
    "colorSpace",	//330
    "columnCount",	//331
    "comment",	//332
    "commentCharacterCount",	//333
    "commitDiff",	//334
    "communicationChannel",	//335
    "complementOf",	//336
    "composer",	//337
    "compressionAlgorithm",	//338
    "compressionLevel",	//339
    "conflicts",	//340
    "connectNotify",	//341
    "contactMedium",	//342
    "contactNick",	//343
    "contactURL",	//344
    "contains",	//345
    "containsAnyStatement",	//346
    "containsAnyStatement#",	//347
    "containsAnyStatement###",	//348
    "containsAnyStatement####",	//349
    "containsAnyStatementAsync",	//350
    "containsAnyStatementAsync#",	//351
    "containsAnyStatementAsync###",	//352
    "containsAnyStatementAsync####",	//353
    "containsContext",	//354
    "containsContext#",	//355
    "containsStatement",	//356
    "containsStatement#",	//357
    "containsStatement###",	//358
    "containsStatement####",	//359
    "containsStatementAsync",	//360
    "containsStatementAsync#",	//361
    "containsStatementAsync###",	//362
    "containsStatementAsync####",	//363
    "contentComment",	//364
    "contentCreated",	//365
    "contentKeyword",	//366
    "contentModified",	//367
    "contentType",	//368
    "context",	//369
    "contributor",	//370
    "copyright",	//371
    "coreGraphMetadataFor",	//372
    "createBlankNode",	//373
    "createBlankNode$",	//374
    "createBlankNodeAsync",	//375
    "createEmptyNode",	//376
    "createLiteralNode",	//377
    "createLiteralNode#",	//378
    "createLiteralNode#$",	//379
    "createModel",	//380
    "createModel?",	//381
    "createResourceNode",	//382
    "createResourceNode#",	//383
    "createResult",	//384
    "created",	//385
    "creator",	//386
    "currentBindings",	//387
    "currentStatement",	//388
    "customEvent",	//389
    "dataType",	//390
    "date",	//391
    "dateTime",	//392
    "decimal",	//393
    "definesClass",	//394
    "definesFunction",	//395
    "definesGlobalVariable",	//396
    "deleteModelData",	//397
    "deleteModelData?",	//398
    "deletionTime",	//399
    "depends",	//400
    "deprecated",	//401
    "derivedFrom",	//402
    "description",	//403
    "differentFrom",	//404
    "directSubClassOf",	//405
    "directSubClassOf#",	//406
    "directSubClassOf##",	//407
    "directSubPropertyOf",	//408
    "directSubPropertyOf#",	//409
    "directSubPropertyOf##",	//410
    "directType",	//411
    "directType##",	//412
    "discNumber",	//413
    "disclaimer",	//414
    "disconnectNotify",	//415
    "discoverBackendByFeatures",	//416
    "discoverBackendByFeatures$",	//417
    "discoverBackendByFeatures$?",	//418
    "discoverBackendByName",	//419
    "discoverBackendByName$",	//420
    "discoverParserByName",	//421
    "discoverParserByName$",	//422
    "discoverParserForSerialization",	//423
    "discoverParserForSerialization$",	//424
    "discoverParserForSerialization$$",	//425
    "discoverSerializerByName",	//426
    "discoverSerializerByName$",	//427
    "discoverSerializerForSerialization",	//428
    "discoverSerializerForSerialization$",	//429
    "discoverSerializerForSerialization$$",	//430
    "disjointWith",	//431
    "distinctMembers",	//432
    "documentCategory",	//433
    "domain",	//434
    "domain##",	//435
    "emailAddress",	//436
    "engineeringTool",	//437
    "equivalentClass",	//438
    "equivalentGraph",	//439
    "equivalentProperty",	//440
    "errorCode",	//441
    "event",	//442
    "eventFilter",	//443
    "executeQuery",	//444
    "executeQuery#$$",	//445
    "executeQuery#$$$",	//446
    "executeQuery$$",	//447
    "executeQuery$$$",	//448
    "executeQueryAsync",	//449
    "executeQueryAsync$$",	//450
    "executeQueryAsync$$$",	//451
    "exposureBias",	//452
    "exposureProgram",	//453
    "exposureTime",	//454
    "externalRealizer",	//455
    "familyName",	//456
    "faxPhoneNumber",	//457
    "fileExtension",	//458
    "fileSystemType",	//459
    "fingerprint",	//460
    "finished",	//461
    "finished#",	//462
    "first",	//463
    "firstUsed",	//464
    "flashUsed",	//465
    "focalLength",	//466
    "focusDistance",	//467
    "formatSubtype",	//468
    "frameCount",	//469
    "frameRate",	//470
    "freeSpace",	//471
    "fromN3",	//472
    "fromN3$",	//473
    "fromN3$$",	//474
    "fromN3Stream",	//475
    "fromN3Stream#",	//476
    "fromN3Stream#$",	//477
    "gender",	//478
    "generator",	//479
    "generatorOptions",	//480
    "genre",	//481
    "givenName",	//482
    "graphMetadataFor",	//483
    "group",	//484
    "hasDefaultNamespace",	//485
    "hasDefaultNamespaceAbbreviation",	//486
    "hasSemantics",	//487
    "hasSpecification",	//488
    "hasSubResource",	//489
    "hasSuperResource",	//490
    "hasSymbol",	//491
    "hasTag",	//492
    "hasTopic",	//493
    "hasValue",	//494
    "height",	//495
    "homeEmailAddress",	//496
    "homePhoneNumber",	//497
    "homePostalAddress",	//498
    "homepageContactURL",	//499
    "honorificPrefix",	//500
    "honorificSuffix",	//501
    "horizontalResolution",	//502
    "iconName",	//503
    "id",	//504
    "identifier",	//505
    "imContactMedium",	//506
    "imports",	//507
    "inReplyTo",	//508
    "incompatibleWith",	//509
    "instance",	//510
    "integer",	//511
    "interest",	//512
    "interlaceMode",	//513
    "intersectionOf",	//514
    "inverseOf",	//515
    "inverseProperty",	//516
    "ircContactMedium",	//517
    "isAvailable",	//518
    "isBinding",	//519
    "isBlank",	//520
    "isBool",	//521
    "isClass",	//522
    "isClass#",	//523
    "isContentEncrypted",	//524
    "isDataGraphFor",	//525
    "isDefinedBy",	//526
    "isDirectSubClassOf",	//527
    "isDirectSubClassOf##",	//528
    "isDirectSubPropertyOf",	//529
    "isDirectSubPropertyOf##",	//530
    "isDirectType",	//531
    "isDirectType##",	//532
    "isEmpty",	//533
    "isEmptyAsync",	//534
    "isEncrypted",	//535
    "isGraph",	//536
    "isImportant",	//537
    "isInProgress",	//538
    "isLiteral",	//539
    "isOptionInSettings",	//540
    "isOptionInSettings?$",	//541
    "isOptionInSettings?$$",	//542
    "isParserError",	//543
    "isProperty",	//544
    "isProperty#",	//545
    "isPublicChannel",	//546
    "isRead",	//547
    "isRelated",	//548
    "isResource",	//549
    "isSourceEncrypted",	//550
    "isSubClassOf",	//551
    "isSubClassOf##",	//552
    "isSubPropertyOf",	//553
    "isSubPropertyOf##",	//554
    "isTagFor",	//555
    "isTopicOf",	//556
    "isType",	//557
    "isType##",	//558
    "isValid",	//559
    "isoEquivalent",	//560
    "iterateBindings",	//561
    "iterateBindings$",	//562
    "iterateContexts",	//563
    "iterateObjects",	//564
    "iteratePredicates",	//565
    "iterateStatements",	//566
    "iterateStatementsFromBindings",	//567
    "iterateStatementsFromBindings$$$",	//568
    "iterateStatementsFromBindings$$$$",	//569
    "iterateStatementsFromBindings$$$$#",	//570
    "iterateSubjects",	//571
    "jabberContactMedium",	//572
    "keyword",	//573
    "knows",	//574
    "label",	//575
    "language",	//576
    "lastError",	//577
    "lastModified",	//578
    "lastRefreshed",	//579
    "lastUsed",	//580
    "legal",	//581
    "license",	//582
    "licenseType",	//583
    "lineCount",	//584
    "links",	//585
    "listContexts",	//586
    "listContextsAsync",	//587
    "listStatements",	//588
    "listStatements#",	//589
    "listStatements###",	//590
    "listStatements####",	//591
    "listStatementsAsync",	//592
    "listStatementsAsync#",	//593
    "listStatementsAsync###",	//594
    "listStatementsAsync####",	//595
    "listStatementsInContext",	//596
    "listStatementsInContext#",	//597
    "literal",	//598
    "literalToN3",	//599
    "literalToN3#",	//600
    "loadCustomBackend",	//601
    "loadCustomBackend$",	//602
    "loadCustomParser",	//603
    "loadCustomParser$",	//604
    "loadCustomPlugin",	//605
    "loadCustomPlugin$",	//606
    "loadCustomSerializer",	//607
    "loadCustomSerializer$",	//608
    "localRevision",	//609
    "locator",	//610
    "lyricist",	//611
    "mailingList",	//612
    "mailingPostalAddress",	//613
    "maintainedBy",	//614
    "maintainer",	//615
    "markupCharacterCount",	//616
    "matches",	//617
    "matches#",	//618
    "maxCardinality",	//619
    "md5Hash",	//620
    "mediaBitrate",	//621
    "mediaCodec",	//622
    "mediaCodecType",	//623
    "mediaDuration",	//624
    "member",	//625
    "mergeConflict",	//626
    "message",	//627
    "metaObject",	//628
    "meteringMode",	//629
    "mimeType",	//630
    "mimeTypeToSerialization",	//631
    "mimeTypeToSerialization$",	//632
    "minCardinality",	//633
    "mode",	//634
    "modified",	//635
    "mountPoint",	//636
    "name",	//637
    "naoNamespace",	//638
    "negativeInteger",	//639
    "newsGroup",	//640
    "next",	//641
    "nextReady",	//642
    "nextReady#",	//643
    "nil",	//644
    "node",	//645
    "nodeIterator",	//646
    "nonNegativeInteger",	//647
    "nrlNamespace",	//648
    "numericRating",	//649
    "object",	//650
    "occupiedSpace",	//651
    "onProperty",	//652
    "oneOf",	//653
    "operator bool",	//654
    "operator!=",	//655
    "operator!=#",	//656
    "operator<<",	//657
    "operator<<##",	//658
    "operator=",	//659
    "operator=#",	//660
    "operator==",	//661
    "operator==#",	//662
    "operator=?",	//663
    "operator[]",	//664
    "operator[]$",	//665
    "option",	//666
    "orientation",	//667
    "originURL",	//668
    "originalLocation",	//669
    "otherName",	//670
    "owlNamespace",	//671
    "owner",	//672
    "pageCount",	//673
    "paragraphCount",	//674
    "parentModel",	//675
    "parentStatementAdded",	//676
    "parentStatementAdded#",	//677
    "parentStatementRemoved",	//678
    "parentStatementRemoved#",	//679
    "parentStatementsAdded",	//680
    "parentStatementsRemoved",	//681
    "parseFile",	//682
    "parseFile$#$",	//683
    "parseFile$#$$",	//684
    "parseStream",	//685
    "parseStream##$",	//686
    "parseStream##$$",	//687
    "parseString",	//688
    "parseString$#$",	//689
    "parseString$#$$",	//690
    "performInference",	//691
    "performer",	//692
    "permissions",	//693
    "personPhoto",	//694
    "personalIdentifier",	//695
    "phoneNumber",	//696
    "pixelDataBitDepth",	//697
    "pixelDataType",	//698
    "pluginName",	//699
    "pluralPrefLabel",	//700
    "postalAddress",	//701
    "predicate",	//702
    "prefLabel",	//703
    "prefSymbol",	//704
    "prefixes",	//705
    "primaryRecipient",	//706
    "priorVersion",	//707
    "programmingLanguage",	//708
    "properties",	//709
    "qHash",	//710
    "qHash#",	//711
    "qt_metacall",	//712
    "qt_metacall$$?",	//713
    "qt_metacast",	//714
    "qt_metacast$",	//715
    "queryResultIterator",	//716
    "range",	//717
    "range##",	//718
    "rating",	//719
    "rdfNamespace",	//720
    "rdfsNamespace",	//721
    "realizes",	//722
    "receptionTime",	//723
    "recipient",	//724
    "related",	//725
    "remotePassword",	//726
    "remotePort",	//727
    "remoteServer",	//728
    "remoteUser",	//729
    "removeAllStatements",	//730
    "removeAllStatements#",	//731
    "removeAllStatements###",	//732
    "removeAllStatements####",	//733
    "removeAllStatementsAsync",	//734
    "removeAllStatementsAsync#",	//735
    "removeAllStatementsAsync###",	//736
    "removeAllStatementsAsync####",	//737
    "removeContext",	//738
    "removeContext#",	//739
    "removeStatement",	//740
    "removeStatement#",	//741
    "removeStatement###",	//742
    "removeStatement####",	//743
    "removeStatementAsync",	//744
    "removeStatementAsync#",	//745
    "removeStatementAsync###",	//746
    "removeStatementAsync####",	//747
    "removeStatements",	//748
    "removeStatements?",	//749
    "removeStatementsAsync",	//750
    "removeStatementsAsync?",	//751
    "replyTo",	//752
    "resourceToN3",	//753
    "resourceToN3#",	//754
    "rest",	//755
    "resultReady",	//756
    "resultReady#",	//757
    "rowCount",	//758
    "rssFeed",	//759
    "rule",	//760
    "ruleLanguage",	//761
    "sameAs",	//762
    "sampleConfiguration",	//763
    "sampleDataBitDepth",	//764
    "sampleDataType",	//765
    "score",	//766
    "scoreParameter",	//767
    "secondaryRecipient",	//768
    "seeAlso",	//769
    "seenAttachedAs",	//770
    "semanticsDefinedBy",	//771
    "serializationLanguage",	//772
    "serializationMimeType",	//773
    "serializationMimeType$",	//774
    "serializationMimeType$$",	//775
    "serialize",	//776
    "serialize##$",	//777
    "serialize##$$",	//778
    "setCacheTime",	//779
    "setCacheTime$",	//780
    "setCompressedSourceStatements",	//781
    "setCompressedSourceStatements$",	//782
    "setContext",	//783
    "setContext#",	//784
    "setCount",	//785
    "setError",	//786
    "setError#",	//787
    "setError$",	//788
    "setError$$",	//789
    "setMode",	//790
    "setMode$",	//791
    "setObject",	//792
    "setObject#",	//793
    "setOptimizedQueriesEnabled",	//794
    "setOptimizedQueriesEnabled$",	//795
    "setParentModel",	//796
    "setParentModel#",	//797
    "setPluginSearchPath",	//798
    "setPluginSearchPath?",	//799
    "setPluginSearchPath?$",	//800
    "setPredicate",	//801
    "setPredicate#",	//802
    "setRate",	//803
    "setResult",	//804
    "setResult##",	//805
    "setRules",	//806
    "setRules?",	//807
    "setSubject",	//808
    "setSubject#",	//809
    "setUsedBackend",	//810
    "setUsedBackend#",	//811
    "setValue",	//812
    "setValue#",	//813
    "settingInSettings",	//814
    "settingInSettings?",	//815
    "settingInSettings?$",	//816
    "settingInSettings?$$",	//817
    "sha1Hash",	//818
    "silNamespace",	//819
    "size",	//820
    "someValuesFrom",	//821
    "sourceCreated",	//822
    "sourceModified",	//823
    "sourceStatement",	//824
    "statementAdded",	//825
    "statementAdded#",	//826
    "statementCount",	//827
    "statementCountAsync",	//828
    "statementIterator",	//829
    "statementRemoved",	//830
    "statementRemoved#",	//831
    "statementsAdded",	//832
    "statementsRemoved",	//833
    "staticMetaObject",	//834
    "status",	//835
    "storageSize",	//836
    "string",	//837
    "subClassOf",	//838
    "subClassOf#",	//839
    "subClassOf##",	//840
    "subGraphOf",	//841
    "subPropertyOf",	//842
    "subPropertyOf#",	//843
    "subPropertyOf##",	//844
    "subject",	//845
    "summary",	//846
    "superGraphOf",	//847
    "supercedes",	//848
    "supportedFeatures",	//849
    "supportedSerializations",	//850
    "supportedUserFeatures",	//851
    "supportedUserSerializations",	//852
    "supportsFeatures",	//853
    "supportsFeatures$",	//854
    "supportsFeatures$?",	//855
    "supportsSerialization",	//856
    "supportsSerialization$",	//857
    "supportsSerialization$$",	//858
    "targetQuality",	//859
    "time",	//860
    "timerEvent",	//861
    "timerEvent#",	//862
    "title",	//863
    "to",	//864
    "toN3",	//865
    "toParserError",	//866
    "toString",	//867
    "totalSpace",	//868
    "totalUncompressedSize",	//869
    "tr",	//870
    "tr$",	//871
    "tr$$",	//872
    "tr$$$",	//873
    "trUtf8",	//874
    "trUtf8$",	//875
    "trUtf8$$",	//876
    "trUtf8$$$",	//877
    "trackGain",	//878
    "trackNumber",	//879
    "trackPeakGain",	//880
    "type",	//881
    "type##",	//882
    "unionOf",	//883
    "unsignedInt",	//884
    "unsignedLong",	//885
    "unsignedShort",	//886
    "updatable",	//887
    "uri",	//888
    "url",	//889
    "useCount",	//890
    "usedBackend",	//891
    "userComment",	//892
    "userKeyword",	//893
    "userOptionName",	//894
    "userRating",	//895
    "userVisible",	//896
    "usesNamespace",	//897
    "value",	//898
    "valueInSettings",	//899
    "valueInSettings?$",	//900
    "valueInSettings?$#",	//901
    "valueInSettings?$$",	//902
    "valueInSettingsWithDefault",	//903
    "valueInSettingsWithDefault?$#",	//904
    "version",	//905
    "versionInfo",	//906
    "versionMajor",	//907
    "versionMinor",	//908
    "versionRelease",	//909
    "versionString",	//910
    "verticalResolution",	//911
    "videoBitrate",	//912
    "videoCodec",	//913
    "videoCodecType",	//914
    "viewOn",	//915
    "whiteBalance",	//916
    "width",	//917
    "wordCount",	//918
    "workEmailAddress",	//919
    "workPhoneNumber",	//920
    "workPostalAddress",	//921
    "write",	//922
    "write#",	//923
    "xesam35mmEquivalent",	//924
    "xesamNamespace",	//925
    "xsdDouble",	//926
    "xsdFloat",	//927
    "xsdInt",	//928
    "xsdLong",	//929
    "xsdNamespace",	//930
    "xsdShort",	//931
    "~AsyncModel",	//932
    "~AsyncQuery",	//933
    "~AsyncResult",	//934
    "~Backend",	//935
    "~BackendSetting",	//936
    "~Error",	//937
    "~ErrorCache",	//938
    "~FilterModel",	//939
    "~InferenceModel",	//940
    "~Model",	//941
    "~Node",	//942
    "~NodeIterator",	//943
    "~Parser",	//944
    "~ParserError",	//945
    "~Plugin",	//946
    "~PluginManager",	//947
    "~QueryResultIterator",	//948
    "~RdfSchemaModel",	//949
    "~ReadOnlyModel",	//950
    "~Serializer",	//951
    "~SignalCacheModel",	//952
    "~SimpleNodeIterator",	//953
    "~SimpleStatementIterator",	//954
    "~Statement",	//955
    "~StatementIterator",	//956
    "~StorageModel",	//957
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {5, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {5, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {5, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {5, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {7, 442, 1, 1, Smoke::mf_virtual, 178, 0},	//34 QObject::event(QEvent*)
    {7, 443, 3, 2, Smoke::mf_virtual, 178, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {7, 861, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {7, 322, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {7, 389, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {7, 341, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {7, 415, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {13, 814, 12, 3, Smoke::mf_static, 121, 1},	//41 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 814, 16, 2, Smoke::mf_static, 121, 2},	//42 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 710, 19, 1, Smoke::mf_static, 218, 3},	//43 Soprano::qHash(const Soprano::Node&)
    {13, 416, 21, 2, Smoke::mf_static, 193, 4},	//44 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {13, 416, 24, 1, Smoke::mf_static, 193, 5},	//45 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {13, 657, 26, 2, Smoke::mf_static, 3, 6},	//46 Soprano::operator<<(QDebug, const Soprano::Graph&)
    {13, 710, 29, 1, Smoke::mf_static, 218, 7},	//47 Soprano::qHash(const Soprano::Statement&)
    {13, 631, 31, 1, Smoke::mf_static, 158, 8},	//48 Soprano::mimeTypeToSerialization(const QString&)
    {13, 773, 33, 2, Smoke::mf_static, 19, 9},	//49 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {13, 773, 36, 1, Smoke::mf_static, 19, 10},	//50 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {13, 419, 31, 1, Smoke::mf_static, 193, 11},	//51 Soprano::discoverBackendByName(const QString&)
    {13, 903, 38, 3, Smoke::mf_static, 25, 12},	//52 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {13, 810, 42, 1, Smoke::mf_static, 0, 13},	//53 Soprano::setUsedBackend(const Soprano::Backend*)
    {13, 710, 44, 1, Smoke::mf_static, 218, 14},	//54 Soprano::qHash(const Soprano::LanguageTag&)
    {13, 380, 46, 1, Smoke::mf_static, 140, 15},	//55 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {13, 380, 0, 0, Smoke::mf_static, 140, 16},	//56 Soprano::createModel()
    {13, 899, 48, 3, Smoke::mf_static, 25, 17},	//57 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {13, 899, 52, 2, Smoke::mf_static, 25, 18},	//58 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 814, 55, 3, Smoke::mf_static, 120, 19},	//59 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 814, 59, 2, Smoke::mf_static, 120, 20},	//60 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 814, 52, 2, Smoke::mf_static, 120, 21},	//61 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 814, 46, 1, Smoke::mf_static, 120, 22},	//62 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {13, 540, 55, 3, Smoke::mf_static, 178, 23},	//63 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 540, 59, 2, Smoke::mf_static, 178, 24},	//64 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 910, 0, 0, Smoke::mf_static, 215, 25},	//65 Soprano::versionString()
    {13, 907, 0, 0, Smoke::mf_static, 218, 26},	//66 Soprano::versionMajor()
    {13, 909, 0, 0, Smoke::mf_static, 218, 27},	//67 Soprano::versionRelease()
    {13, 710, 62, 1, Smoke::mf_static, 218, 28},	//68 Soprano::qHash(const Soprano::LiteralValue&)
    {13, 899, 55, 3, Smoke::mf_static, 25, 29},	//69 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 899, 59, 2, Smoke::mf_static, 25, 30},	//70 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 891, 0, 0, Smoke::mf_static, 193, 31},	//71 Soprano::usedBackend()
    {13, 814, 64, 2, Smoke::mf_static, 121, 32},	//72 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {13, 908, 0, 0, Smoke::mf_static, 218, 33},	//73 Soprano::versionMinor()
    {13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 34},	//74 Soprano::BackendFeatureNone (enum)
    {13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 35},	//75 Soprano::BackendFeatureAddStatement (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 36},	//76 Soprano::BackendFeatureRemoveStatements (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 37},	//77 Soprano::BackendFeatureListStatements (enum)
    {13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 38},	//78 Soprano::BackendFeatureQuery (enum)
    {13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 39},	//79 Soprano::BackendFeatureInference (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 40},	//80 Soprano::BackendFeatureInferenceOptional (enum)
    {13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 41},	//81 Soprano::BackendFeatureContext (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 42},	//82 Soprano::BackendFeatureStorageMemory (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 43},	//83 Soprano::BackendFeatureAll (enum)
    {13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 44},	//84 Soprano::BackendFeatureUser (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 45},	//85 Soprano::BackendOptionNone (enum)
    {13, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 46},	//86 Soprano::BackendOptionStorageMemory (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 47},	//87 Soprano::BackendOptionEnableInference (enum)
    {13, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 48},	//88 Soprano::BackendOptionStorageDir (enum)
    {13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 49},	//89 Soprano::BackendOptionHost (enum)
    {13, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 50},	//90 Soprano::BackendOptionPort (enum)
    {13, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 51},	//91 Soprano::BackendOptionUsername (enum)
    {13, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 52},	//92 Soprano::BackendOptionPassword (enum)
    {13, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 53},	//93 Soprano::BackendOptionUser (enum)
    {13, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 54},	//94 Soprano::SerializationUnknown (enum)
    {13, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//95 Soprano::SerializationRdfXml (enum)
    {13, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//96 Soprano::SerializationN3 (enum)
    {13, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 57},	//97 Soprano::SerializationNTriples (enum)
    {13, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 58},	//98 Soprano::SerializationTurtle (enum)
    {13, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 59},	//99 Soprano::SerializationTrig (enum)
    {13, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 60},	//100 Soprano::SerializationNQuads (enum)
    {13, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 61},	//101 Soprano::SerializationUser (enum)
    {14, 13, 31, 1, Smoke::mf_ctor, 117, 1},	//102 Soprano::Backend::Backend(const QString&)
    {14, 380, 46, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 2},	//103 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 397, 46, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 3},	//104 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 849, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 4},	//105 Soprano::Backend::supportedFeatures() const [pure virtual]
    {14, 851, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 5},	//106 Soprano::Backend::supportedUserFeatures() const
    {14, 853, 21, 2, Smoke::mf_const, 178, 6},	//107 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {14, 13, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 7},	//108 Soprano::Backend::Backend(const Soprano::Backend&)
    {14, 380, 0, 0, Smoke::mf_const, 166, 8},	//109 Soprano::Backend::createModel() const
    {14, 853, 24, 1, Smoke::mf_const, 178, 9},	//110 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {14, 935, 0, 0, Smoke::mf_dtor, 0, 10 },	//111 Soprano::Backend::~Backend()
    {15, 36, 0, 0, Smoke::mf_ctor, 122, 1},	//112 Soprano::BackendSetting::BackendSetting()
    {15, 36, 69, 1, Smoke::mf_ctor, 122, 2},	//113 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {15, 36, 71, 2, Smoke::mf_ctor, 122, 3},	//114 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {15, 36, 74, 2, Smoke::mf_ctor, 122, 4},	//115 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {15, 36, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 5},	//116 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {15, 659, 77, 1, 0, 121, 6},	//117 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {15, 666, 0, 0, Smoke::mf_const, 119, 7},	//118 Soprano::BackendSetting::option() const
    {15, 894, 0, 0, Smoke::mf_const, 19, 8},	//119 Soprano::BackendSetting::userOptionName() const
    {15, 898, 0, 0, Smoke::mf_const, 25, 9},	//120 Soprano::BackendSetting::value() const
    {15, 812, 79, 1, 0, 0, 10},	//121 Soprano::BackendSetting::setValue(const QVariant&)
    {15, 936, 0, 0, Smoke::mf_dtor, 0, 11 },	//122 Soprano::BackendSetting::~BackendSetting()
    {17, 69, 0, 0, Smoke::mf_ctor, 126, 1},	//123 Soprano::Error::Error::Error()
    {17, 69, 81, 2, Smoke::mf_ctor, 126, 2},	//124 Soprano::Error::Error::Error(const QString&, int)
    {17, 69, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 3},	//125 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {17, 659, 84, 1, 0, 125, 4},	//126 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {17, 654, 0, 0, Smoke::mf_const, 178, 5},	//127 Soprano::Error::Error::operator bool() const
    {17, 627, 0, 0, Smoke::mf_const, 19, 6},	//128 Soprano::Error::Error::message() const
    {17, 328, 0, 0, Smoke::mf_const, 216, 7},	//129 Soprano::Error::Error::code() const
    {17, 543, 0, 0, Smoke::mf_const, 178, 8},	//130 Soprano::Error::Error::isParserError() const
    {17, 866, 0, 0, Smoke::mf_const, 131, 9},	//131 Soprano::Error::Error::toParserError() const
    {17, 69, 86, 1, Smoke::mf_ctor|Smoke::mf_protected, 126, 10},	//132 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {17, 69, 31, 1, Smoke::mf_ctor, 126, 11},	//133 Soprano::Error::Error::Error(const QString&)
    {17, 937, 0, 0, Smoke::mf_dtor, 0, 12 },	//134 Soprano::Error::Error::~Error()
    {18, 577, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 124, 1},	//135 Soprano::Error::ErrorCache::lastError() const
    {18, 73, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 127, 2},	//136 Soprano::Error::ErrorCache::ErrorCache()
    {18, 324, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//137 Soprano::Error::ErrorCache::clearError() const
    {18, 786, 84, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//138 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {18, 786, 81, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//139 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {18, 73, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 6},	//140 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {18, 786, 31, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//141 Soprano::Error::ErrorCache::setError(const QString&) const
    {18, 938, 0, 0, Smoke::mf_dtor, 0, 8 },	//142 Soprano::Error::ErrorCache::~ErrorCache()
    {21, 149, 0, 0, Smoke::mf_ctor, 133, 1},	//143 Soprano::Error::ParserError::ParserError()
    {21, 149, 90, 3, Smoke::mf_ctor, 133, 2},	//144 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {21, 149, 84, 1, Smoke::mf_ctor, 133, 3},	//145 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {21, 659, 84, 1, 0, 132, 4},	//146 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {21, 610, 0, 0, Smoke::mf_const, 130, 5},	//147 Soprano::Error::ParserError::locator() const
    {21, 149, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 6},	//148 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {21, 149, 96, 1, Smoke::mf_ctor, 133, 7},	//149 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {21, 149, 98, 2, Smoke::mf_ctor, 133, 8},	//150 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {21, 945, 0, 0, Smoke::mf_dtor, 0, 9 },	//151 Soprano::Error::ParserError::~ParserError()
    {22, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//152 Soprano::FilterModel::metaObject() const
    {22, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//153 Soprano::FilterModel::qt_metacast(const char*)
    {22, 870, 101, 2, Smoke::mf_static, 19, 3},	//154 Soprano::FilterModel::tr(const char*, const char*)
    {22, 874, 101, 2, Smoke::mf_static, 19, 4},	//155 Soprano::FilterModel::trUtf8(const char*, const char*)
    {22, 870, 104, 3, Smoke::mf_static, 19, 5},	//156 Soprano::FilterModel::tr(const char*, const char*, int)
    {22, 874, 104, 3, Smoke::mf_static, 19, 6},	//157 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {22, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//158 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 796, 112, 1, Smoke::mf_virtual, 0, 8},	//159 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {22, 675, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 140, 9},	//160 Soprano::FilterModel::parentModel() const
    {22, 252, 29, 1, Smoke::mf_virtual, 128, 10},	//161 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {22, 252, 114, 4, 0, 128, 11},	//162 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 740, 29, 1, Smoke::mf_virtual, 128, 12},	//163 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {22, 740, 114, 4, 0, 128, 13},	//164 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 730, 29, 1, Smoke::mf_virtual, 128, 14},	//165 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {22, 730, 114, 4, 0, 128, 15},	//166 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 588, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 16},	//167 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {22, 588, 114, 4, Smoke::mf_const, 163, 17},	//168 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 586, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 18},	//169 Soprano::FilterModel::listContexts() const
    {22, 444, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 153, 19},	//170 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 356, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 20},	//171 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {22, 356, 114, 4, Smoke::mf_const, 178, 21},	//172 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 346, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 22},	//173 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {22, 346, 114, 4, Smoke::mf_const, 178, 23},	//174 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 24},	//175 Soprano::FilterModel::isEmpty() const
    {22, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 25},	//176 Soprano::FilterModel::statementCount() const
    {22, 922, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 26},	//177 Soprano::FilterModel::write(QTextStream&) const
    {22, 373, 0, 0, Smoke::mf_virtual, 141, 27},	//178 Soprano::FilterModel::createBlankNode()
    {22, 730, 0, 0, 0, 128, 28},	//179 Soprano::FilterModel::removeAllStatements()
    {22, 588, 0, 0, Smoke::mf_const, 163, 29},	//180 Soprano::FilterModel::listStatements() const
    {22, 79, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 134, 30},	//181 Soprano::FilterModel::FilterModel()
    {22, 79, 112, 1, Smoke::mf_ctor|Smoke::mf_protected, 134, 31},	//182 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {22, 680, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//183 Soprano::FilterModel::parentStatementsAdded()
    {22, 681, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//184 Soprano::FilterModel::parentStatementsRemoved()
    {22, 676, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//185 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {22, 678, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//186 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {22, 870, 10, 1, Smoke::mf_static, 19, 36},	//187 Soprano::FilterModel::tr(const char*)
    {22, 874, 10, 1, Smoke::mf_static, 19, 37},	//188 Soprano::FilterModel::trUtf8(const char*)
    {22, 252, 125, 3, 0, 128, 38},	//189 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 740, 125, 3, 0, 128, 39},	//190 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 730, 125, 3, 0, 128, 40},	//191 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 588, 125, 3, Smoke::mf_const, 163, 41},	//192 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 444, 129, 2, Smoke::mf_const, 153, 42},	//193 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {22, 356, 125, 3, Smoke::mf_const, 178, 43},	//194 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 346, 125, 3, Smoke::mf_const, 178, 44},	//195 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 45},	//196 Soprano::FilterModel::staticMetaObject() const
    {22, 939, 0, 0, Smoke::mf_dtor, 0, 46 },	//197 Soprano::FilterModel::~FilterModel()
    {24, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//198 Soprano::Inference::InferenceModel::metaObject() const
    {24, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//199 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {24, 870, 101, 2, Smoke::mf_static, 19, 3},	//200 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {24, 874, 101, 2, Smoke::mf_static, 19, 4},	//201 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {24, 870, 104, 3, Smoke::mf_static, 19, 5},	//202 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {24, 874, 104, 3, Smoke::mf_static, 19, 6},	//203 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {24, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//204 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 93, 112, 1, Smoke::mf_ctor, 135, 8},	//205 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {24, 252, 29, 1, Smoke::mf_virtual, 128, 9},	//206 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {24, 740, 29, 1, Smoke::mf_virtual, 128, 10},	//207 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {24, 730, 29, 1, Smoke::mf_virtual, 128, 11},	//208 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {24, 250, 132, 1, 0, 0, 12},	//209 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {24, 806, 134, 1, 0, 0, 13},	//210 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {24, 252, 114, 4, 0, 128, 14},	//211 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 740, 114, 4, 0, 128, 15},	//212 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 730, 114, 4, 0, 128, 16},	//213 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 730, 0, 0, 0, 128, 17},	//214 Soprano::Inference::InferenceModel::removeAllStatements()
    {24, 691, 0, 0, Smoke::mf_slot, 0, 18},	//215 Soprano::Inference::InferenceModel::performInference()
    {24, 325, 0, 0, Smoke::mf_slot, 0, 19},	//216 Soprano::Inference::InferenceModel::clearInference()
    {24, 781, 136, 1, Smoke::mf_slot, 0, 20},	//217 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {24, 794, 136, 1, Smoke::mf_slot, 0, 21},	//218 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {24, 870, 10, 1, Smoke::mf_static, 19, 22},	//219 Soprano::Inference::InferenceModel::tr(const char*)
    {24, 874, 10, 1, Smoke::mf_static, 19, 23},	//220 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {24, 252, 125, 3, 0, 128, 24},	//221 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 740, 125, 3, 0, 128, 25},	//222 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 730, 125, 3, 0, 128, 26},	//223 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 27},	//224 Soprano::Inference::InferenceModel::staticMetaObject() const
    {24, 940, 0, 0, Smoke::mf_dtor, 0, 28 },	//225 Soprano::Inference::InferenceModel::~InferenceModel()
    {28, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//226 Soprano::Model::metaObject() const
    {28, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//227 Soprano::Model::qt_metacast(const char*)
    {28, 870, 101, 2, Smoke::mf_static, 19, 3},	//228 Soprano::Model::tr(const char*, const char*)
    {28, 874, 101, 2, Smoke::mf_static, 19, 4},	//229 Soprano::Model::trUtf8(const char*, const char*)
    {28, 870, 104, 3, Smoke::mf_static, 19, 5},	//230 Soprano::Model::tr(const char*, const char*, int)
    {28, 874, 104, 3, Smoke::mf_static, 19, 6},	//231 Soprano::Model::trUtf8(const char*, const char*, int)
    {28, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//232 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {28, 252, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 8},	//233 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {28, 252, 114, 4, 0, 128, 9},	//234 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 260, 138, 1, 0, 128, 10},	//235 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {28, 740, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 11},	//236 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {28, 740, 114, 4, 0, 128, 12},	//237 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 730, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 13},	//238 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {28, 730, 114, 4, 0, 128, 14},	//239 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 748, 138, 1, 0, 128, 15},	//240 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {28, 738, 19, 1, 0, 128, 16},	//241 Soprano::Model::removeContext(const Soprano::Node&)
    {28, 730, 0, 0, 0, 128, 17},	//242 Soprano::Model::removeAllStatements()
    {28, 588, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 163, 18},	//243 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {28, 588, 114, 4, Smoke::mf_const, 163, 19},	//244 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 588, 0, 0, Smoke::mf_const, 163, 20},	//245 Soprano::Model::listStatements() const
    {28, 596, 19, 1, Smoke::mf_const, 163, 21},	//246 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {28, 586, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 22},	//247 Soprano::Model::listContexts() const [pure virtual]
    {28, 444, 119, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 23},	//248 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {28, 346, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 24},	//249 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {28, 346, 114, 4, Smoke::mf_const, 178, 25},	//250 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 356, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 26},	//251 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {28, 356, 114, 4, Smoke::mf_const, 178, 27},	//252 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 354, 19, 1, Smoke::mf_const, 178, 28},	//253 Soprano::Model::containsContext(const Soprano::Node&) const
    {28, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 29},	//254 Soprano::Model::isEmpty() const [pure virtual]
    {28, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 216, 30},	//255 Soprano::Model::statementCount() const [pure virtual]
    {28, 922, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 31},	//256 Soprano::Model::write(QTextStream&) const
    {28, 373, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 32},	//257 Soprano::Model::createBlankNode() [pure virtual]
    {28, 832, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//258 Soprano::Model::statementsAdded()
    {28, 833, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//259 Soprano::Model::statementsRemoved()
    {28, 825, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//260 Soprano::Model::statementAdded(const Soprano::Statement&)
    {28, 830, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//261 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {28, 126, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 140, 37},	//262 Soprano::Model::Model()
    {28, 870, 10, 1, Smoke::mf_static, 19, 38},	//263 Soprano::Model::tr(const char*)
    {28, 874, 10, 1, Smoke::mf_static, 19, 39},	//264 Soprano::Model::trUtf8(const char*)
    {28, 252, 125, 3, 0, 128, 40},	//265 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 740, 125, 3, 0, 128, 41},	//266 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 730, 125, 3, 0, 128, 42},	//267 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 588, 125, 3, Smoke::mf_const, 163, 43},	//268 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 444, 129, 2, Smoke::mf_const, 153, 44},	//269 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {28, 346, 125, 3, Smoke::mf_const, 178, 45},	//270 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 356, 125, 3, Smoke::mf_const, 178, 46},	//271 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 47},	//272 Soprano::Model::staticMetaObject() const
    {28, 941, 0, 0, Smoke::mf_dtor, 0, 48 },	//273 Soprano::Model::~Model()
    {29, 132, 0, 0, Smoke::mf_ctor, 143, 1},	//274 Soprano::Node::Node()
    {29, 132, 140, 1, Smoke::mf_ctor, 143, 2},	//275 Soprano::Node::Node(const QUrl&)
    {29, 132, 31, 1, Smoke::mf_ctor, 143, 3},	//276 Soprano::Node::Node(const QString&)
    {29, 132, 62, 1, Smoke::mf_ctor, 143, 4},	//277 Soprano::Node::Node(const Soprano::LiteralValue&)
    {29, 132, 142, 2, Smoke::mf_ctor, 143, 5},	//278 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {29, 132, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 6},	//279 Soprano::Node::Node(const Soprano::Node&)
    {29, 659, 19, 1, 0, 142, 7},	//280 Soprano::Node::operator=(const Soprano::Node&)
    {29, 659, 140, 1, 0, 142, 8},	//281 Soprano::Node::operator=(const QUrl&)
    {29, 659, 62, 1, 0, 142, 9},	//282 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {29, 661, 19, 1, Smoke::mf_const, 178, 10},	//283 Soprano::Node::operator==(const Soprano::Node&) const
    {29, 655, 19, 1, Smoke::mf_const, 178, 11},	//284 Soprano::Node::operator!=(const Soprano::Node&) const
    {29, 661, 140, 1, Smoke::mf_const, 178, 12},	//285 Soprano::Node::operator==(const QUrl&) const
    {29, 661, 62, 1, Smoke::mf_const, 178, 13},	//286 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {29, 617, 19, 1, Smoke::mf_const, 178, 14},	//287 Soprano::Node::matches(const Soprano::Node&) const
    {29, 881, 0, 0, Smoke::mf_const, 145, 15},	//288 Soprano::Node::type() const
    {29, 533, 0, 0, Smoke::mf_const, 178, 16},	//289 Soprano::Node::isEmpty() const
    {29, 559, 0, 0, Smoke::mf_const, 178, 17},	//290 Soprano::Node::isValid() const
    {29, 539, 0, 0, Smoke::mf_const, 178, 18},	//291 Soprano::Node::isLiteral() const
    {29, 549, 0, 0, Smoke::mf_const, 178, 19},	//292 Soprano::Node::isResource() const
    {29, 520, 0, 0, Smoke::mf_const, 178, 20},	//293 Soprano::Node::isBlank() const
    {29, 888, 0, 0, Smoke::mf_const, 24, 21},	//294 Soprano::Node::uri() const
    {29, 505, 0, 0, Smoke::mf_const, 19, 22},	//295 Soprano::Node::identifier() const
    {29, 598, 0, 0, Smoke::mf_const, 139, 23},	//296 Soprano::Node::literal() const
    {29, 390, 0, 0, Smoke::mf_const, 24, 24},	//297 Soprano::Node::dataType() const
    {29, 576, 0, 0, Smoke::mf_const, 19, 25},	//298 Soprano::Node::language() const
    {29, 867, 0, 0, Smoke::mf_const, 19, 26},	//299 Soprano::Node::toString() const
    {29, 865, 0, 0, Smoke::mf_const, 19, 27},	//300 Soprano::Node::toN3() const
    {29, 376, 0, 0, Smoke::mf_static, 141, 28},	//301 Soprano::Node::createEmptyNode()
    {29, 382, 140, 1, Smoke::mf_static, 141, 29},	//302 Soprano::Node::createResourceNode(const QUrl&)
    {29, 373, 31, 1, Smoke::mf_static, 141, 30},	//303 Soprano::Node::createBlankNode(const QString&)
    {29, 377, 62, 1, Smoke::mf_static, 141, 31},	//304 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {29, 377, 142, 2, 0, 141, 32},	//305 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {29, 753, 140, 1, Smoke::mf_static, 19, 33},	//306 Soprano::Node::resourceToN3(const QUrl&)
    {29, 305, 31, 1, Smoke::mf_static, 19, 34},	//307 Soprano::Node::blankToN3(const QString&)
    {29, 599, 62, 1, Smoke::mf_static, 19, 35},	//308 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {29, 472, 145, 2, Smoke::mf_static, 141, 36},	//309 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 475, 148, 2, Smoke::mf_static, 141, 37},	//310 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 472, 31, 1, Smoke::mf_static, 141, 38},	//311 Soprano::Node::fromN3(const QString&)
    {29, 475, 123, 1, Smoke::mf_static, 141, 39},	//312 Soprano::Node::fromN3Stream(QTextStream&)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 40},	//313 Soprano::Node::EmptyNode (enum)
    {29, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 41},	//314 Soprano::Node::ResourceNode (enum)
    {29, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 42},	//315 Soprano::Node::LiteralNode (enum)
    {29, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 43},	//316 Soprano::Node::BlankNode (enum)
    {29, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 44},	//317 Soprano::Node::NoFlags (enum)
    {29, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 45},	//318 Soprano::Node::StrictLiteralTypes (enum)
    {29, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 46},	//319 Soprano::Node::StrictUris (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 47},	//320 Soprano::Node::IgnorePrefixes (enum)
    {29, 942, 0, 0, Smoke::mf_dtor, 0, 48 },	//321 Soprano::Node::~Node()
    {30, 136, 0, 0, Smoke::mf_ctor, 148, 1},	//322 Soprano::NodeIterator::NodeIterator()
    {30, 136, 151, 1, Smoke::mf_ctor, 148, 2},	//323 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {30, 136, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 3},	//324 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {30, 659, 153, 1, 0, 147, 4},	//325 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {30, 271, 0, 0, 0, 11, 5},	//326 Soprano::NodeIterator::allNodes()
    {30, 943, 0, 0, Smoke::mf_dtor, 0, 6 },	//327 Soprano::NodeIterator::~NodeIterator()
    {31, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//328 Soprano::Parser::supportedSerializations() const [pure virtual]
    {31, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//329 Soprano::Parser::supportedUserSerializations() const
    {31, 856, 33, 2, Smoke::mf_const, 178, 3},	//330 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {31, 682, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 163, 4},	//331 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 688, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 163, 5},	//332 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 685, 160, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 163, 6},	//333 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {31, 146, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 149, 7},	//334 Soprano::Parser::Parser(const QString&)
    {31, 146, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 8},	//335 Soprano::Parser::Parser(const Soprano::Parser&)
    {31, 856, 36, 1, Smoke::mf_const, 178, 9},	//336 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {31, 682, 167, 3, Smoke::mf_const, 163, 10},	//337 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 688, 167, 3, Smoke::mf_const, 163, 11},	//338 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 685, 171, 3, Smoke::mf_const, 163, 12},	//339 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {31, 944, 0, 0, Smoke::mf_dtor, 0, 13 },	//340 Soprano::Parser::~Parser()
    {32, 699, 0, 0, Smoke::mf_const, 19, 1},	//341 Soprano::Plugin::pluginName() const
    {32, 518, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 2},	//342 Soprano::Plugin::isAvailable() const
    {32, 157, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 3},	//343 Soprano::Plugin::Plugin(const QString&)
    {32, 157, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 4},	//344 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {32, 946, 0, 0, Smoke::mf_dtor, 0, 5 },	//345 Soprano::Plugin::~Plugin()
    {33, 628, 0, 0, Smoke::mf_const, 184, 1},	//346 Soprano::PluginManager::metaObject() const
    {33, 714, 10, 1, 0, 219, 2},	//347 Soprano::PluginManager::qt_metacast(const char*)
    {33, 870, 101, 2, Smoke::mf_static, 19, 3},	//348 Soprano::PluginManager::tr(const char*, const char*)
    {33, 874, 101, 2, Smoke::mf_static, 19, 4},	//349 Soprano::PluginManager::trUtf8(const char*, const char*)
    {33, 870, 104, 3, Smoke::mf_static, 19, 5},	//350 Soprano::PluginManager::tr(const char*, const char*, int)
    {33, 874, 104, 3, Smoke::mf_static, 19, 6},	//351 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {33, 712, 108, 3, 0, 216, 7},	//352 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {33, 798, 177, 2, 0, 0, 8},	//353 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {33, 605, 31, 1, 0, 178, 9},	//354 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {33, 601, 31, 1, 0, 193, 10},	//355 Soprano::PluginManager::loadCustomBackend(const QString&)
    {33, 603, 31, 1, 0, 206, 11},	//356 Soprano::PluginManager::loadCustomParser(const QString&)
    {33, 607, 31, 1, 0, 210, 12},	//357 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {33, 419, 31, 1, 0, 193, 13},	//358 Soprano::PluginManager::discoverBackendByName(const QString&)
    {33, 416, 21, 2, 0, 193, 14},	//359 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {33, 269, 0, 0, 0, 13, 15},	//360 Soprano::PluginManager::allBackends()
    {33, 421, 31, 1, 0, 206, 16},	//361 Soprano::PluginManager::discoverParserByName(const QString&)
    {33, 423, 33, 2, 0, 206, 17},	//362 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 272, 0, 0, 0, 14, 18},	//363 Soprano::PluginManager::allParsers()
    {33, 426, 31, 1, 0, 210, 19},	//364 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {33, 428, 33, 2, 0, 210, 20},	//365 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 273, 0, 0, 0, 15, 21},	//366 Soprano::PluginManager::allSerializers()
    {33, 510, 0, 0, Smoke::mf_static, 151, 22},	//367 Soprano::PluginManager::instance()
    {33, 870, 10, 1, Smoke::mf_static, 19, 23},	//368 Soprano::PluginManager::tr(const char*)
    {33, 874, 10, 1, Smoke::mf_static, 19, 24},	//369 Soprano::PluginManager::trUtf8(const char*)
    {33, 798, 180, 1, 0, 0, 25},	//370 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {33, 416, 24, 1, 0, 193, 26},	//371 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {33, 423, 36, 1, 0, 206, 27},	//372 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {33, 428, 36, 1, 0, 210, 28},	//373 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {33, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 29},	//374 Soprano::PluginManager::staticMetaObject() const
    {33, 947, 0, 0, Smoke::mf_dtor, 0, 30 },	//375 Soprano::PluginManager::~PluginManager()
    {34, 173, 0, 0, Smoke::mf_ctor, 155, 1},	//376 Soprano::QueryResultIterator::QueryResultIterator()
    {34, 173, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//377 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {34, 173, 184, 1, Smoke::mf_ctor, 155, 3},	//378 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {34, 659, 182, 1, 0, 154, 4},	//379 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {34, 388, 0, 0, Smoke::mf_const, 160, 5},	//380 Soprano::QueryResultIterator::currentStatement() const
    {34, 387, 0, 0, Smoke::mf_const, 123, 6},	//381 Soprano::QueryResultIterator::currentBindings() const
    {34, 308, 0, 0, Smoke::mf_const, 178, 7},	//382 Soprano::QueryResultIterator::boolValue() const
    {34, 664, 186, 1, Smoke::mf_const, 141, 8},	//383 Soprano::QueryResultIterator::operator[](int) const
    {34, 664, 188, 1, Smoke::mf_const, 141, 9},	//384 Soprano::QueryResultIterator::operator[](const QString) const
    {34, 300, 31, 1, Smoke::mf_const, 141, 10},	//385 Soprano::QueryResultIterator::binding(const QString&) const
    {34, 300, 186, 1, Smoke::mf_const, 141, 11},	//386 Soprano::QueryResultIterator::binding(int) const
    {34, 302, 0, 0, Smoke::mf_const, 216, 12},	//387 Soprano::QueryResultIterator::bindingCount() const
    {34, 303, 0, 0, Smoke::mf_const, 20, 13},	//388 Soprano::QueryResultIterator::bindingNames() const
    {34, 536, 0, 0, Smoke::mf_const, 178, 14},	//389 Soprano::QueryResultIterator::isGraph() const
    {34, 519, 0, 0, Smoke::mf_const, 178, 15},	//390 Soprano::QueryResultIterator::isBinding() const
    {34, 521, 0, 0, Smoke::mf_const, 178, 16},	//391 Soprano::QueryResultIterator::isBool() const
    {34, 270, 0, 0, 0, 10, 17},	//392 Soprano::QueryResultIterator::allBindings()
    {34, 566, 0, 0, Smoke::mf_const, 163, 18},	//393 Soprano::QueryResultIterator::iterateStatements() const
    {34, 561, 31, 1, Smoke::mf_const, 146, 19},	//394 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {34, 561, 186, 1, Smoke::mf_const, 146, 20},	//395 Soprano::QueryResultIterator::iterateBindings(int) const
    {34, 567, 190, 5, Smoke::mf_const, 163, 21},	//396 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {34, 567, 196, 3, Smoke::mf_const, 163, 22},	//397 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {34, 567, 200, 4, Smoke::mf_const, 163, 23},	//398 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {34, 948, 0, 0, Smoke::mf_dtor, 0, 24 },	//399 Soprano::QueryResultIterator::~QueryResultIterator()
    {36, 177, 112, 1, Smoke::mf_ctor, 157, 1},	//400 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {36, 323, 0, 0, Smoke::mf_const, 163, 2},	//401 Soprano::RdfSchemaModel::classes() const
    {36, 405, 205, 2, Smoke::mf_const, 163, 3},	//402 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 408, 205, 2, Smoke::mf_const, 163, 4},	//403 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 411, 205, 2, Smoke::mf_const, 163, 5},	//404 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {36, 434, 205, 2, Smoke::mf_const, 163, 6},	//405 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {36, 709, 0, 0, Smoke::mf_const, 163, 7},	//406 Soprano::RdfSchemaModel::properties() const
    {36, 717, 205, 2, Smoke::mf_const, 163, 8},	//407 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {36, 838, 205, 2, Smoke::mf_const, 163, 9},	//408 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 842, 205, 2, Smoke::mf_const, 163, 10},	//409 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 881, 205, 2, Smoke::mf_const, 163, 11},	//410 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {36, 522, 19, 1, Smoke::mf_const, 178, 12},	//411 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {36, 544, 19, 1, Smoke::mf_const, 178, 13},	//412 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {36, 527, 205, 2, Smoke::mf_const, 178, 14},	//413 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 529, 205, 2, Smoke::mf_const, 178, 15},	//414 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 531, 205, 2, Smoke::mf_const, 178, 16},	//415 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {36, 551, 205, 2, Smoke::mf_const, 178, 17},	//416 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 553, 205, 2, Smoke::mf_const, 178, 18},	//417 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 557, 205, 2, Smoke::mf_const, 178, 19},	//418 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {36, 177, 0, 0, Smoke::mf_ctor, 157, 20},	//419 Soprano::RdfSchemaModel::RdfSchemaModel()
    {36, 405, 19, 1, Smoke::mf_const, 163, 21},	//420 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {36, 408, 19, 1, Smoke::mf_const, 163, 22},	//421 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {36, 838, 19, 1, Smoke::mf_const, 163, 23},	//422 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {36, 842, 19, 1, Smoke::mf_const, 163, 24},	//423 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {36, 949, 0, 0, Smoke::mf_dtor, 0, 25 },	//424 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {37, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//425 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {37, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//426 Soprano::Serializer::supportedUserSerializations() const
    {37, 856, 33, 2, Smoke::mf_const, 178, 3},	//427 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {37, 776, 208, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 4},	//428 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {37, 248, 213, 2, Smoke::mf_const, 0, 5},	//429 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {37, 326, 0, 0, Smoke::mf_const, 0, 6},	//430 Soprano::Serializer::clearPrefixes() const
    {37, 705, 0, 0, Smoke::mf_const, 8, 7},	//431 Soprano::Serializer::prefixes() const
    {37, 202, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 159, 8},	//432 Soprano::Serializer::Serializer(const QString&)
    {37, 202, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 9},	//433 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {37, 856, 36, 1, Smoke::mf_const, 178, 10},	//434 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {37, 776, 218, 3, Smoke::mf_const, 178, 11},	//435 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {37, 951, 0, 0, Smoke::mf_dtor, 0, 12 },	//436 Soprano::Serializer::~Serializer()
    {38, 218, 0, 0, Smoke::mf_ctor, 162, 1},	//437 Soprano::Statement::Statement()
    {38, 218, 114, 4, Smoke::mf_ctor, 162, 2},	//438 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 218, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 3},	//439 Soprano::Statement::Statement(const Soprano::Statement&)
    {38, 659, 29, 1, 0, 161, 4},	//440 Soprano::Statement::operator=(const Soprano::Statement&)
    {38, 661, 29, 1, Smoke::mf_const, 178, 5},	//441 Soprano::Statement::operator==(const Soprano::Statement&) const
    {38, 655, 29, 1, Smoke::mf_const, 178, 6},	//442 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {38, 617, 29, 1, Smoke::mf_const, 178, 7},	//443 Soprano::Statement::matches(const Soprano::Statement&) const
    {38, 559, 0, 0, Smoke::mf_const, 178, 8},	//444 Soprano::Statement::isValid() const
    {38, 845, 0, 0, Smoke::mf_const, 141, 9},	//445 Soprano::Statement::subject() const
    {38, 702, 0, 0, Smoke::mf_const, 141, 10},	//446 Soprano::Statement::predicate() const
    {38, 650, 0, 0, Smoke::mf_const, 141, 11},	//447 Soprano::Statement::object() const
    {38, 369, 0, 0, Smoke::mf_const, 141, 12},	//448 Soprano::Statement::context() const
    {38, 808, 19, 1, 0, 0, 13},	//449 Soprano::Statement::setSubject(const Soprano::Node&)
    {38, 801, 19, 1, 0, 0, 14},	//450 Soprano::Statement::setPredicate(const Soprano::Node&)
    {38, 792, 19, 1, 0, 0, 15},	//451 Soprano::Statement::setObject(const Soprano::Node&)
    {38, 783, 19, 1, 0, 0, 16},	//452 Soprano::Statement::setContext(const Soprano::Node&)
    {38, 218, 125, 3, Smoke::mf_ctor, 162, 17},	//453 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 955, 0, 0, Smoke::mf_dtor, 0, 18 },	//454 Soprano::Statement::~Statement()
    {39, 222, 0, 0, Smoke::mf_ctor, 165, 1},	//455 Soprano::StatementIterator::StatementIterator()
    {39, 222, 222, 1, Smoke::mf_ctor, 165, 2},	//456 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {39, 222, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 3},	//457 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {39, 659, 224, 1, 0, 164, 4},	//458 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {39, 274, 0, 0, 0, 12, 5},	//459 Soprano::StatementIterator::allStatements()
    {39, 571, 0, 0, Smoke::mf_const, 146, 6},	//460 Soprano::StatementIterator::iterateSubjects() const
    {39, 565, 0, 0, Smoke::mf_const, 146, 7},	//461 Soprano::StatementIterator::iteratePredicates() const
    {39, 564, 0, 0, Smoke::mf_const, 146, 8},	//462 Soprano::StatementIterator::iterateObjects() const
    {39, 563, 0, 0, Smoke::mf_const, 146, 9},	//463 Soprano::StatementIterator::iterateContexts() const
    {39, 956, 0, 0, Smoke::mf_dtor, 0, 10 },	//464 Soprano::StatementIterator::~StatementIterator()
    {40, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//465 Soprano::StorageModel::metaObject() const
    {40, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//466 Soprano::StorageModel::qt_metacast(const char*)
    {40, 870, 101, 2, Smoke::mf_static, 19, 3},	//467 Soprano::StorageModel::tr(const char*, const char*)
    {40, 874, 101, 2, Smoke::mf_static, 19, 4},	//468 Soprano::StorageModel::trUtf8(const char*, const char*)
    {40, 870, 104, 3, Smoke::mf_static, 19, 5},	//469 Soprano::StorageModel::tr(const char*, const char*, int)
    {40, 874, 104, 3, Smoke::mf_static, 19, 6},	//470 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {40, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//471 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {40, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 8},	//472 Soprano::StorageModel::isEmpty() const
    {40, 356, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 9},	//473 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {40, 346, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 10},	//474 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {40, 730, 29, 1, Smoke::mf_virtual, 128, 11},	//475 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {40, 295, 0, 0, Smoke::mf_const, 193, 12},	//476 Soprano::StorageModel::backend() const
    {40, 730, 114, 4, 0, 128, 13},	//477 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 730, 0, 0, 0, 128, 14},	//478 Soprano::StorageModel::removeAllStatements()
    {40, 356, 114, 4, Smoke::mf_const, 178, 15},	//479 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 346, 114, 4, Smoke::mf_const, 178, 16},	//480 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 225, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 166, 17},	//481 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {40, 870, 10, 1, Smoke::mf_static, 19, 18},	//482 Soprano::StorageModel::tr(const char*)
    {40, 874, 10, 1, Smoke::mf_static, 19, 19},	//483 Soprano::StorageModel::trUtf8(const char*)
    {40, 730, 125, 3, 0, 128, 20},	//484 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 356, 125, 3, Smoke::mf_const, 178, 21},	//485 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 346, 125, 3, Smoke::mf_const, 178, 22},	//486 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 23},	//487 Soprano::StorageModel::staticMetaObject() const
    {40, 957, 0, 0, Smoke::mf_dtor, 0, 24 },	//488 Soprano::StorageModel::~StorageModel()
    {41, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//489 Soprano::Util::AsyncModel::metaObject() const
    {41, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//490 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {41, 870, 101, 2, Smoke::mf_static, 19, 3},	//491 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {41, 874, 101, 2, Smoke::mf_static, 19, 4},	//492 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {41, 870, 104, 3, Smoke::mf_static, 19, 5},	//493 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {41, 874, 104, 3, Smoke::mf_static, 19, 6},	//494 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {41, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//495 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {41, 9, 112, 1, Smoke::mf_ctor, 167, 8},	//496 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {41, 790, 226, 1, 0, 0, 9},	//497 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {41, 634, 0, 0, Smoke::mf_const, 168, 10},	//498 Soprano::Util::AsyncModel::mode() const
    {41, 256, 29, 1, 0, 170, 11},	//499 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {41, 256, 114, 4, 0, 170, 12},	//500 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 262, 138, 1, 0, 170, 13},	//501 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {41, 744, 29, 1, 0, 170, 14},	//502 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {41, 744, 114, 4, 0, 170, 15},	//503 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 750, 138, 1, 0, 170, 16},	//504 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {41, 734, 29, 1, 0, 170, 17},	//505 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {41, 734, 114, 4, 0, 170, 18},	//506 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 534, 0, 0, Smoke::mf_const, 170, 19},	//507 Soprano::Util::AsyncModel::isEmptyAsync() const
    {41, 828, 0, 0, Smoke::mf_const, 170, 20},	//508 Soprano::Util::AsyncModel::statementCountAsync() const
    {41, 592, 29, 1, Smoke::mf_const, 170, 21},	//509 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {41, 592, 114, 4, Smoke::mf_const, 170, 22},	//510 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 592, 0, 0, Smoke::mf_const, 170, 23},	//511 Soprano::Util::AsyncModel::listStatementsAsync() const
    {41, 587, 0, 0, Smoke::mf_const, 170, 24},	//512 Soprano::Util::AsyncModel::listContextsAsync() const
    {41, 449, 119, 3, Smoke::mf_const, 170, 25},	//513 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 360, 29, 1, Smoke::mf_const, 170, 26},	//514 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {41, 360, 114, 4, Smoke::mf_const, 170, 27},	//515 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 350, 29, 1, Smoke::mf_const, 170, 28},	//516 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {41, 350, 114, 4, Smoke::mf_const, 170, 29},	//517 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 375, 0, 0, 0, 170, 30},	//518 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {41, 588, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 31},	//519 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {41, 586, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 32},	//520 Soprano::Util::AsyncModel::listContexts() const
    {41, 444, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 153, 33},	//521 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 252, 29, 1, Smoke::mf_virtual, 128, 34},	//522 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {41, 252, 114, 4, 0, 128, 35},	//523 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 740, 29, 1, Smoke::mf_virtual, 128, 36},	//524 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {41, 740, 114, 4, 0, 128, 37},	//525 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 730, 29, 1, Smoke::mf_virtual, 128, 38},	//526 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {41, 730, 114, 4, 0, 128, 39},	//527 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 730, 0, 0, 0, 128, 40},	//528 Soprano::Util::AsyncModel::removeAllStatements()
    {41, 588, 114, 4, Smoke::mf_const, 163, 41},	//529 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 588, 0, 0, Smoke::mf_const, 163, 42},	//530 Soprano::Util::AsyncModel::listStatements() const
    {41, 356, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 43},	//531 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {41, 356, 114, 4, Smoke::mf_const, 178, 44},	//532 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 346, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 45},	//533 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {41, 346, 114, 4, Smoke::mf_const, 178, 46},	//534 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 870, 10, 1, Smoke::mf_static, 19, 47},	//535 Soprano::Util::AsyncModel::tr(const char*)
    {41, 874, 10, 1, Smoke::mf_static, 19, 48},	//536 Soprano::Util::AsyncModel::trUtf8(const char*)
    {41, 9, 0, 0, Smoke::mf_ctor, 167, 49},	//537 Soprano::Util::AsyncModel::AsyncModel()
    {41, 256, 125, 3, 0, 170, 50},	//538 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 744, 125, 3, 0, 170, 51},	//539 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 734, 125, 3, 0, 170, 52},	//540 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 592, 125, 3, Smoke::mf_const, 170, 53},	//541 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 449, 129, 2, Smoke::mf_const, 170, 54},	//542 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {41, 360, 125, 3, Smoke::mf_const, 170, 55},	//543 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 350, 125, 3, Smoke::mf_const, 170, 56},	//544 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 444, 129, 2, Smoke::mf_const, 153, 57},	//545 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {41, 252, 125, 3, 0, 128, 58},	//546 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 740, 125, 3, 0, 128, 59},	//547 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 730, 125, 3, 0, 128, 60},	//548 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 588, 125, 3, Smoke::mf_const, 163, 61},	//549 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 356, 125, 3, Smoke::mf_const, 178, 62},	//550 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 346, 125, 3, Smoke::mf_const, 178, 63},	//551 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 64},	//552 Soprano::Util::AsyncModel::staticMetaObject() const
    {41, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 65},	//553 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {41, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 66},	//554 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {41, 932, 0, 0, Smoke::mf_dtor, 0, 67 },	//555 Soprano::Util::AsyncModel::~AsyncModel()
    {42, 628, 0, 0, Smoke::mf_const, 184, 1},	//556 Soprano::Util::AsyncQuery::metaObject() const
    {42, 714, 10, 1, 0, 219, 2},	//557 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {42, 870, 101, 2, Smoke::mf_static, 19, 3},	//558 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {42, 874, 101, 2, Smoke::mf_static, 19, 4},	//559 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {42, 870, 104, 3, Smoke::mf_static, 19, 5},	//560 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {42, 874, 104, 3, Smoke::mf_static, 19, 6},	//561 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {42, 712, 108, 3, 0, 216, 7},	//562 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {42, 388, 0, 0, Smoke::mf_const, 160, 8},	//563 Soprano::Util::AsyncQuery::currentStatement() const
    {42, 387, 0, 0, Smoke::mf_const, 123, 9},	//564 Soprano::Util::AsyncQuery::currentBindings() const
    {42, 308, 0, 0, Smoke::mf_const, 178, 10},	//565 Soprano::Util::AsyncQuery::boolValue() const
    {42, 300, 31, 1, Smoke::mf_const, 141, 11},	//566 Soprano::Util::AsyncQuery::binding(const QString&) const
    {42, 300, 186, 1, Smoke::mf_const, 141, 12},	//567 Soprano::Util::AsyncQuery::binding(int) const
    {42, 302, 0, 0, Smoke::mf_const, 216, 13},	//568 Soprano::Util::AsyncQuery::bindingCount() const
    {42, 303, 0, 0, Smoke::mf_const, 20, 14},	//569 Soprano::Util::AsyncQuery::bindingNames() const
    {42, 536, 0, 0, Smoke::mf_const, 178, 15},	//570 Soprano::Util::AsyncQuery::isGraph() const
    {42, 519, 0, 0, Smoke::mf_const, 178, 16},	//571 Soprano::Util::AsyncQuery::isBinding() const
    {42, 521, 0, 0, Smoke::mf_const, 178, 17},	//572 Soprano::Util::AsyncQuery::isBool() const
    {42, 641, 0, 0, Smoke::mf_slot, 178, 18},	//573 Soprano::Util::AsyncQuery::next()
    {42, 327, 0, 0, Smoke::mf_slot, 0, 19},	//574 Soprano::Util::AsyncQuery::close()
    {42, 642, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//575 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {42, 461, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//576 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {42, 444, 230, 4, Smoke::mf_static, 169, 22},	//577 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {42, 870, 10, 1, Smoke::mf_static, 19, 23},	//578 Soprano::Util::AsyncQuery::tr(const char*)
    {42, 874, 10, 1, Smoke::mf_static, 19, 24},	//579 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {42, 444, 235, 3, Smoke::mf_static, 169, 25},	//580 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {42, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 26},	//581 Soprano::Util::AsyncQuery::staticMetaObject() const
    {42, 933, 0, 0, Smoke::mf_dtor, 0, 27 },	//582 Soprano::Util::AsyncQuery::~AsyncQuery()
    {43, 628, 0, 0, Smoke::mf_const, 184, 1},	//583 Soprano::Util::AsyncResult::metaObject() const
    {43, 714, 10, 1, 0, 219, 2},	//584 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {43, 870, 101, 2, Smoke::mf_static, 19, 3},	//585 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {43, 874, 101, 2, Smoke::mf_static, 19, 4},	//586 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {43, 870, 104, 3, Smoke::mf_static, 19, 5},	//587 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {43, 874, 104, 3, Smoke::mf_static, 19, 6},	//588 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {43, 712, 108, 3, 0, 216, 7},	//589 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {43, 756, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//590 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {43, 384, 0, 0, Smoke::mf_static, 170, 9},	//591 Soprano::Util::AsyncResult::createResult()
    {43, 898, 0, 0, Smoke::mf_const, 25, 10},	//592 Soprano::Util::AsyncResult::value() const
    {43, 441, 0, 0, Smoke::mf_const, 128, 11},	//593 Soprano::Util::AsyncResult::errorCode() const
    {43, 829, 0, 0, Smoke::mf_const, 163, 12},	//594 Soprano::Util::AsyncResult::statementIterator() const
    {43, 646, 0, 0, Smoke::mf_const, 146, 13},	//595 Soprano::Util::AsyncResult::nodeIterator() const
    {43, 716, 0, 0, Smoke::mf_const, 153, 14},	//596 Soprano::Util::AsyncResult::queryResultIterator() const
    {43, 645, 0, 0, Smoke::mf_const, 141, 15},	//597 Soprano::Util::AsyncResult::node() const
    {43, 804, 241, 2, 0, 0, 16},	//598 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {43, 870, 10, 1, Smoke::mf_static, 19, 17},	//599 Soprano::Util::AsyncResult::tr(const char*)
    {43, 874, 10, 1, Smoke::mf_static, 19, 18},	//600 Soprano::Util::AsyncResult::trUtf8(const char*)
    {43, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 19},	//601 Soprano::Util::AsyncResult::staticMetaObject() const
    {43, 934, 0, 0, Smoke::mf_dtor, 0, 20 },	//602 Soprano::Util::AsyncResult::~AsyncResult()
    {44, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//603 Soprano::Util::ReadOnlyModel::metaObject() const
    {44, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//604 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {44, 870, 101, 2, Smoke::mf_static, 19, 3},	//605 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {44, 874, 101, 2, Smoke::mf_static, 19, 4},	//606 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {44, 870, 104, 3, Smoke::mf_static, 19, 5},	//607 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {44, 874, 104, 3, Smoke::mf_static, 19, 6},	//608 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {44, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//609 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {44, 179, 112, 1, Smoke::mf_ctor, 171, 8},	//610 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {44, 796, 112, 1, 0, 0, 9},	//611 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {44, 588, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 10},	//612 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {44, 586, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 11},	//613 Soprano::Util::ReadOnlyModel::listContexts() const
    {44, 444, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 153, 12},	//614 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {44, 356, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//615 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {44, 346, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 14},	//616 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {44, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 15},	//617 Soprano::Util::ReadOnlyModel::isEmpty() const
    {44, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//618 Soprano::Util::ReadOnlyModel::statementCount() const
    {44, 252, 29, 1, Smoke::mf_virtual, 128, 17},	//619 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {44, 740, 29, 1, Smoke::mf_virtual, 128, 18},	//620 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {44, 730, 29, 1, Smoke::mf_virtual, 128, 19},	//621 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {44, 373, 0, 0, Smoke::mf_virtual, 141, 20},	//622 Soprano::Util::ReadOnlyModel::createBlankNode()
    {44, 252, 114, 4, 0, 128, 21},	//623 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 740, 114, 4, 0, 128, 22},	//624 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 730, 114, 4, 0, 128, 23},	//625 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 730, 0, 0, 0, 128, 24},	//626 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {44, 588, 114, 4, Smoke::mf_const, 163, 25},	//627 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 588, 0, 0, Smoke::mf_const, 163, 26},	//628 Soprano::Util::ReadOnlyModel::listStatements() const
    {44, 356, 114, 4, Smoke::mf_const, 178, 27},	//629 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 346, 114, 4, Smoke::mf_const, 178, 28},	//630 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 870, 10, 1, Smoke::mf_static, 19, 29},	//631 Soprano::Util::ReadOnlyModel::tr(const char*)
    {44, 874, 10, 1, Smoke::mf_static, 19, 30},	//632 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {44, 179, 0, 0, Smoke::mf_ctor, 171, 31},	//633 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {44, 444, 129, 2, Smoke::mf_const, 153, 32},	//634 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {44, 252, 125, 3, 0, 128, 33},	//635 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 740, 125, 3, 0, 128, 34},	//636 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 730, 125, 3, 0, 128, 35},	//637 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 588, 125, 3, Smoke::mf_const, 163, 36},	//638 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 356, 125, 3, Smoke::mf_const, 178, 37},	//639 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 346, 125, 3, Smoke::mf_const, 178, 38},	//640 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 39},	//641 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {44, 950, 0, 0, Smoke::mf_dtor, 0, 40 },	//642 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {45, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 1},	//643 Soprano::Util::SignalCacheModel::metaObject() const
    {45, 714, 10, 1, Smoke::mf_virtual, 219, 2},	//644 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {45, 870, 101, 2, Smoke::mf_static, 19, 3},	//645 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {45, 874, 101, 2, Smoke::mf_static, 19, 4},	//646 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {45, 870, 104, 3, Smoke::mf_static, 19, 5},	//647 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {45, 874, 104, 3, Smoke::mf_static, 19, 6},	//648 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {45, 712, 108, 3, Smoke::mf_virtual, 216, 7},	//649 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 205, 112, 1, Smoke::mf_ctor, 172, 8},	//650 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {45, 310, 0, 0, Smoke::mf_const, 216, 9},	//651 Soprano::Util::SignalCacheModel::cacheTime() const
    {45, 779, 186, 1, Smoke::mf_slot, 0, 10},	//652 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {45, 680, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//653 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {45, 681, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//654 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {45, 861, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//655 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {45, 870, 10, 1, Smoke::mf_static, 19, 14},	//656 Soprano::Util::SignalCacheModel::tr(const char*)
    {45, 874, 10, 1, Smoke::mf_static, 19, 15},	//657 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {45, 205, 0, 0, Smoke::mf_ctor, 172, 16},	//658 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {45, 834, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 183, 17},	//659 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {45, 952, 0, 0, Smoke::mf_dtor, 0, 18 },	//660 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {46, 207, 0, 0, Smoke::mf_ctor, 174, 1},	//661 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {46, 207, 244, 1, Smoke::mf_ctor, 174, 2},	//662 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {46, 207, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 174, 3},	//663 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {46, 659, 244, 1, 0, 173, 4},	//664 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {46, 659, 246, 1, 0, 173, 5},	//665 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {46, 953, 0, 0, Smoke::mf_dtor, 0, 6 },	//666 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {47, 210, 0, 0, Smoke::mf_ctor, 176, 1},	//667 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {47, 210, 138, 1, Smoke::mf_ctor, 176, 2},	//668 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {47, 210, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 176, 3},	//669 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {47, 659, 138, 1, 0, 175, 4},	//670 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {47, 659, 248, 1, 0, 175, 5},	//671 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {47, 954, 0, 0, Smoke::mf_dtor, 0, 6 },	//672 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {48, 649, 0, 0, Smoke::mf_static, 24, 1},	//673 Soprano::Vocabulary::NAO::numericRating()
    {48, 1, 0, 0, Smoke::mf_static, 24, 2},	//674 Soprano::Vocabulary::NAO::Agent()
    {48, 905, 0, 0, Smoke::mf_static, 24, 3},	//675 Soprano::Vocabulary::NAO::version()
    {48, 555, 0, 0, Smoke::mf_static, 24, 4},	//676 Soprano::Vocabulary::NAO::isTagFor()
    {48, 277, 0, 0, Smoke::mf_static, 24, 5},	//677 Soprano::Vocabulary::NAO::altSymbol()
    {48, 719, 0, 0, Smoke::mf_static, 24, 6},	//678 Soprano::Vocabulary::NAO::rating()
    {48, 896, 0, 0, Smoke::mf_static, 24, 7},	//679 Soprano::Vocabulary::NAO::userVisible()
    {48, 700, 0, 0, Smoke::mf_static, 24, 8},	//680 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {48, 278, 0, 0, Smoke::mf_static, 24, 9},	//681 Soprano::Vocabulary::NAO::annotation()
    {48, 767, 0, 0, Smoke::mf_static, 24, 10},	//682 Soprano::Vocabulary::NAO::scoreParameter()
    {48, 556, 0, 0, Smoke::mf_static, 24, 11},	//683 Soprano::Vocabulary::NAO::isTopicOf()
    {48, 403, 0, 0, Smoke::mf_static, 24, 12},	//684 Soprano::Vocabulary::NAO::description()
    {48, 695, 0, 0, Smoke::mf_static, 24, 13},	//685 Soprano::Vocabulary::NAO::personalIdentifier()
    {48, 232, 0, 0, Smoke::mf_static, 24, 14},	//686 Soprano::Vocabulary::NAO::Tag()
    {48, 229, 0, 0, Smoke::mf_static, 24, 15},	//687 Soprano::Vocabulary::NAO::Symbol()
    {48, 835, 0, 0, Smoke::mf_static, 24, 16},	//688 Soprano::Vocabulary::NAO::status()
    {48, 635, 0, 0, Smoke::mf_static, 24, 17},	//689 Soprano::Vocabulary::NAO::modified()
    {48, 490, 0, 0, Smoke::mf_static, 24, 18},	//690 Soprano::Vocabulary::NAO::hasSuperResource()
    {48, 704, 0, 0, Smoke::mf_static, 24, 19},	//691 Soprano::Vocabulary::NAO::prefSymbol()
    {48, 638, 0, 0, Smoke::mf_static, 24, 20},	//692 Soprano::Vocabulary::NAO::naoNamespace()
    {48, 153, 0, 0, Smoke::mf_static, 24, 21},	//693 Soprano::Vocabulary::NAO::Party()
    {48, 578, 0, 0, Smoke::mf_static, 24, 22},	//694 Soprano::Vocabulary::NAO::lastModified()
    {48, 703, 0, 0, Smoke::mf_static, 24, 23},	//695 Soprano::Vocabulary::NAO::prefLabel()
    {48, 491, 0, 0, Smoke::mf_static, 24, 24},	//696 Soprano::Vocabulary::NAO::hasSymbol()
    {48, 370, 0, 0, Smoke::mf_static, 24, 25},	//697 Soprano::Vocabulary::NAO::contributor()
    {48, 385, 0, 0, Smoke::mf_static, 24, 26},	//698 Soprano::Vocabulary::NAO::created()
    {48, 489, 0, 0, Smoke::mf_static, 24, 27},	//699 Soprano::Vocabulary::NAO::hasSubResource()
    {48, 505, 0, 0, Smoke::mf_static, 24, 28},	//700 Soprano::Vocabulary::NAO::identifier()
    {48, 493, 0, 0, Smoke::mf_static, 24, 29},	//701 Soprano::Vocabulary::NAO::hasTopic()
    {48, 503, 0, 0, Smoke::mf_static, 24, 30},	//702 Soprano::Vocabulary::NAO::iconName()
    {48, 614, 0, 0, Smoke::mf_static, 24, 31},	//703 Soprano::Vocabulary::NAO::maintainedBy()
    {48, 525, 0, 0, Smoke::mf_static, 24, 32},	//704 Soprano::Vocabulary::NAO::isDataGraphFor()
    {48, 486, 0, 0, Smoke::mf_static, 24, 33},	//705 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {48, 548, 0, 0, Smoke::mf_static, 24, 34},	//706 Soprano::Vocabulary::NAO::isRelated()
    {48, 82, 0, 0, Smoke::mf_static, 24, 35},	//707 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {48, 772, 0, 0, Smoke::mf_static, 24, 36},	//708 Soprano::Vocabulary::NAO::serializationLanguage()
    {48, 485, 0, 0, Smoke::mf_static, 24, 37},	//709 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {48, 401, 0, 0, Smoke::mf_static, 24, 38},	//710 Soprano::Vocabulary::NAO::deprecated()
    {48, 437, 0, 0, Smoke::mf_static, 24, 39},	//711 Soprano::Vocabulary::NAO::engineeringTool()
    {48, 276, 0, 0, Smoke::mf_static, 24, 40},	//712 Soprano::Vocabulary::NAO::altLabel()
    {48, 492, 0, 0, Smoke::mf_static, 24, 41},	//713 Soprano::Vocabulary::NAO::hasTag()
    {48, 386, 0, 0, Smoke::mf_static, 24, 42},	//714 Soprano::Vocabulary::NAO::creator()
    {48, 766, 0, 0, Smoke::mf_static, 24, 43},	//715 Soprano::Vocabulary::NAO::score()
    {49, 771, 0, 0, Smoke::mf_static, 24, 1},	//716 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {49, 722, 0, 0, Smoke::mf_static, 24, 2},	//717 Soprano::Vocabulary::NRL::realizes()
    {49, 63, 0, 0, Smoke::mf_static, 24, 3},	//718 Soprano::Vocabulary::NRL::DocumentGraph()
    {49, 57, 0, 0, Smoke::mf_static, 24, 4},	//719 Soprano::Vocabulary::NRL::DefaultGraph()
    {49, 633, 0, 0, Smoke::mf_static, 24, 5},	//720 Soprano::Vocabulary::NRL::minCardinality()
    {49, 190, 0, 0, Smoke::mf_static, 24, 6},	//721 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {49, 372, 0, 0, Smoke::mf_static, 24, 7},	//722 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {49, 83, 0, 0, Smoke::mf_static, 24, 8},	//723 Soprano::Vocabulary::NRL::FunctionalProperty()
    {49, 191, 0, 0, Smoke::mf_static, 24, 9},	//724 Soprano::Vocabulary::NRL::Schema()
    {49, 46, 0, 0, Smoke::mf_static, 24, 10},	//725 Soprano::Vocabulary::NRL::Configuration()
    {49, 236, 0, 0, Smoke::mf_static, 24, 11},	//726 Soprano::Vocabulary::NRL::TransitiveProperty()
    {49, 86, 0, 0, Smoke::mf_static, 24, 12},	//727 Soprano::Vocabulary::NRL::GraphView()
    {49, 192, 0, 0, Smoke::mf_static, 24, 13},	//728 Soprano::Vocabulary::NRL::Semantics()
    {49, 516, 0, 0, Smoke::mf_static, 24, 14},	//729 Soprano::Vocabulary::NRL::inverseProperty()
    {49, 142, 0, 0, Smoke::mf_static, 24, 15},	//730 Soprano::Vocabulary::NRL::Ontology()
    {49, 181, 0, 0, Smoke::mf_static, 24, 16},	//731 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {49, 97, 0, 0, Smoke::mf_static, 24, 17},	//732 Soprano::Vocabulary::NRL::KnowledgeBase()
    {49, 487, 0, 0, Smoke::mf_static, 24, 18},	//733 Soprano::Vocabulary::NRL::hasSemantics()
    {49, 483, 0, 0, Smoke::mf_static, 24, 19},	//734 Soprano::Vocabulary::NRL::graphMetadataFor()
    {49, 507, 0, 0, Smoke::mf_static, 24, 20},	//735 Soprano::Vocabulary::NRL::imports()
    {49, 915, 0, 0, Smoke::mf_static, 24, 21},	//736 Soprano::Vocabulary::NRL::viewOn()
    {49, 887, 0, 0, Smoke::mf_static, 24, 22},	//737 Soprano::Vocabulary::NRL::updatable()
    {49, 75, 0, 0, Smoke::mf_static, 24, 23},	//738 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {49, 455, 0, 0, Smoke::mf_static, 24, 24},	//739 Soprano::Vocabulary::NRL::externalRealizer()
    {49, 61, 0, 0, Smoke::mf_static, 24, 25},	//740 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {49, 488, 0, 0, Smoke::mf_static, 24, 26},	//741 Soprano::Vocabulary::NRL::hasSpecification()
    {49, 84, 0, 0, Smoke::mf_static, 24, 27},	//742 Soprano::Vocabulary::NRL::Graph()
    {49, 85, 0, 0, Smoke::mf_static, 24, 28},	//743 Soprano::Vocabulary::NRL::GraphMetadata()
    {49, 439, 0, 0, Smoke::mf_static, 24, 29},	//744 Soprano::Vocabulary::NRL::equivalentGraph()
    {49, 230, 0, 0, Smoke::mf_static, 24, 30},	//745 Soprano::Vocabulary::NRL::SymmetricProperty()
    {49, 95, 0, 0, Smoke::mf_static, 24, 31},	//746 Soprano::Vocabulary::NRL::InstanceBase()
    {49, 619, 0, 0, Smoke::mf_static, 24, 32},	//747 Soprano::Vocabulary::NRL::maxCardinality()
    {49, 761, 0, 0, Smoke::mf_static, 24, 33},	//748 Soprano::Vocabulary::NRL::ruleLanguage()
    {49, 52, 0, 0, Smoke::mf_static, 24, 34},	//749 Soprano::Vocabulary::NRL::Data()
    {49, 648, 0, 0, Smoke::mf_static, 24, 35},	//750 Soprano::Vocabulary::NRL::nrlNamespace()
    {49, 313, 0, 0, Smoke::mf_static, 24, 36},	//751 Soprano::Vocabulary::NRL::cardinality()
    {49, 8, 0, 0, Smoke::mf_static, 24, 37},	//752 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {49, 760, 0, 0, Smoke::mf_static, 24, 38},	//753 Soprano::Vocabulary::NRL::rule()
    {49, 841, 0, 0, Smoke::mf_static, 24, 39},	//754 Soprano::Vocabulary::NRL::subGraphOf()
    {49, 96, 0, 0, Smoke::mf_static, 24, 40},	//755 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {49, 847, 0, 0, Smoke::mf_static, 24, 41},	//756 Soprano::Vocabulary::NRL::superGraphOf()
    {49, 239, 0, 0, Smoke::mf_static, 24, 42},	//757 Soprano::Vocabulary::NRL::ViewSpecification()
    {50, 671, 0, 0, Smoke::mf_static, 24, 1},	//758 Soprano::Vocabulary::OWL::owlNamespace()
    {50, 509, 0, 0, Smoke::mf_static, 24, 2},	//759 Soprano::Vocabulary::OWL::incompatibleWith()
    {50, 5, 0, 0, Smoke::mf_static, 24, 3},	//760 Soprano::Vocabulary::OWL::AnnotationProperty()
    {50, 59, 0, 0, Smoke::mf_static, 24, 4},	//761 Soprano::Vocabulary::OWL::DeprecatedClass()
    {50, 431, 0, 0, Smoke::mf_static, 24, 5},	//762 Soprano::Vocabulary::OWL::disjointWith()
    {50, 54, 0, 0, Smoke::mf_static, 24, 6},	//763 Soprano::Vocabulary::OWL::DataRange()
    {50, 507, 0, 0, Smoke::mf_static, 24, 7},	//764 Soprano::Vocabulary::OWL::imports()
    {50, 143, 0, 0, Smoke::mf_static, 24, 8},	//765 Soprano::Vocabulary::OWL::OntologyProperty()
    {50, 515, 0, 0, Smoke::mf_static, 24, 9},	//766 Soprano::Vocabulary::OWL::inverseOf()
    {50, 139, 0, 0, Smoke::mf_static, 24, 10},	//767 Soprano::Vocabulary::OWL::Nothing()
    {50, 60, 0, 0, Smoke::mf_static, 24, 11},	//768 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {50, 514, 0, 0, Smoke::mf_static, 24, 12},	//769 Soprano::Vocabulary::OWL::intersectionOf()
    {50, 230, 0, 0, Smoke::mf_static, 24, 13},	//770 Soprano::Vocabulary::OWL::SymmetricProperty()
    {50, 187, 0, 0, Smoke::mf_static, 24, 14},	//771 Soprano::Vocabulary::OWL::Restriction()
    {50, 762, 0, 0, Smoke::mf_static, 24, 15},	//772 Soprano::Vocabulary::OWL::sameAs()
    {50, 83, 0, 0, Smoke::mf_static, 24, 16},	//773 Soprano::Vocabulary::OWL::FunctionalProperty()
    {50, 96, 0, 0, Smoke::mf_static, 24, 17},	//774 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {50, 296, 0, 0, Smoke::mf_static, 24, 18},	//775 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {50, 906, 0, 0, Smoke::mf_static, 24, 19},	//776 Soprano::Vocabulary::OWL::versionInfo()
    {50, 438, 0, 0, Smoke::mf_static, 24, 20},	//777 Soprano::Vocabulary::OWL::equivalentClass()
    {50, 432, 0, 0, Smoke::mf_static, 24, 21},	//778 Soprano::Vocabulary::OWL::distinctMembers()
    {50, 653, 0, 0, Smoke::mf_static, 24, 22},	//779 Soprano::Vocabulary::OWL::oneOf()
    {50, 619, 0, 0, Smoke::mf_static, 24, 23},	//780 Soprano::Vocabulary::OWL::maxCardinality()
    {50, 336, 0, 0, Smoke::mf_static, 24, 24},	//781 Soprano::Vocabulary::OWL::complementOf()
    {50, 142, 0, 0, Smoke::mf_static, 24, 25},	//782 Soprano::Vocabulary::OWL::Ontology()
    {50, 707, 0, 0, Smoke::mf_static, 24, 26},	//783 Soprano::Vocabulary::OWL::priorVersion()
    {50, 633, 0, 0, Smoke::mf_static, 24, 27},	//784 Soprano::Vocabulary::OWL::minCardinality()
    {50, 404, 0, 0, Smoke::mf_static, 24, 28},	//785 Soprano::Vocabulary::OWL::differentFrom()
    {50, 883, 0, 0, Smoke::mf_static, 24, 29},	//786 Soprano::Vocabulary::OWL::unionOf()
    {50, 235, 0, 0, Smoke::mf_static, 24, 30},	//787 Soprano::Vocabulary::OWL::Thing()
    {50, 821, 0, 0, Smoke::mf_static, 24, 31},	//788 Soprano::Vocabulary::OWL::someValuesFrom()
    {50, 236, 0, 0, Smoke::mf_static, 24, 32},	//789 Soprano::Vocabulary::OWL::TransitiveProperty()
    {50, 652, 0, 0, Smoke::mf_static, 24, 33},	//790 Soprano::Vocabulary::OWL::onProperty()
    {50, 140, 0, 0, Smoke::mf_static, 24, 34},	//791 Soprano::Vocabulary::OWL::ObjectProperty()
    {50, 440, 0, 0, Smoke::mf_static, 24, 35},	//792 Soprano::Vocabulary::OWL::equivalentProperty()
    {50, 56, 0, 0, Smoke::mf_static, 24, 36},	//793 Soprano::Vocabulary::OWL::DatatypeProperty()
    {50, 313, 0, 0, Smoke::mf_static, 24, 37},	//794 Soprano::Vocabulary::OWL::cardinality()
    {50, 2, 0, 0, Smoke::mf_static, 24, 38},	//795 Soprano::Vocabulary::OWL::AllDifferent()
    {50, 44, 0, 0, Smoke::mf_static, 24, 39},	//796 Soprano::Vocabulary::OWL::Class()
    {50, 494, 0, 0, Smoke::mf_static, 24, 40},	//797 Soprano::Vocabulary::OWL::hasValue()
    {50, 275, 0, 0, Smoke::mf_static, 24, 41},	//798 Soprano::Vocabulary::OWL::allValuesFrom()
    {51, 218, 0, 0, Smoke::mf_static, 24, 1},	//799 Soprano::Vocabulary::RDF::Statement()
    {51, 3, 0, 0, Smoke::mf_static, 24, 2},	//800 Soprano::Vocabulary::RDF::Alt()
    {51, 162, 0, 0, Smoke::mf_static, 24, 3},	//801 Soprano::Vocabulary::RDF::Property()
    {51, 845, 0, 0, Smoke::mf_static, 24, 4},	//802 Soprano::Vocabulary::RDF::subject()
    {51, 463, 0, 0, Smoke::mf_static, 24, 5},	//803 Soprano::Vocabulary::RDF::first()
    {51, 117, 0, 0, Smoke::mf_static, 24, 6},	//804 Soprano::Vocabulary::RDF::List()
    {51, 898, 0, 0, Smoke::mf_static, 24, 7},	//805 Soprano::Vocabulary::RDF::value()
    {51, 193, 0, 0, Smoke::mf_static, 24, 8},	//806 Soprano::Vocabulary::RDF::Seq()
    {51, 650, 0, 0, Smoke::mf_static, 24, 9},	//807 Soprano::Vocabulary::RDF::object()
    {51, 755, 0, 0, Smoke::mf_static, 24, 10},	//808 Soprano::Vocabulary::RDF::rest()
    {51, 702, 0, 0, Smoke::mf_static, 24, 11},	//809 Soprano::Vocabulary::RDF::predicate()
    {51, 40, 0, 0, Smoke::mf_static, 24, 12},	//810 Soprano::Vocabulary::RDF::Bag()
    {51, 242, 0, 0, Smoke::mf_static, 24, 13},	//811 Soprano::Vocabulary::RDF::XMLLiteral()
    {51, 881, 0, 0, Smoke::mf_static, 24, 14},	//812 Soprano::Vocabulary::RDF::type()
    {51, 644, 0, 0, Smoke::mf_static, 24, 15},	//813 Soprano::Vocabulary::RDF::nil()
    {51, 720, 0, 0, Smoke::mf_static, 24, 16},	//814 Soprano::Vocabulary::RDF::rdfNamespace()
    {52, 717, 0, 0, Smoke::mf_static, 24, 1},	//815 Soprano::Vocabulary::RDFS::range()
    {52, 575, 0, 0, Smoke::mf_static, 24, 2},	//816 Soprano::Vocabulary::RDFS::label()
    {52, 625, 0, 0, Smoke::mf_static, 24, 3},	//817 Soprano::Vocabulary::RDFS::member()
    {52, 526, 0, 0, Smoke::mf_static, 24, 4},	//818 Soprano::Vocabulary::RDFS::isDefinedBy()
    {52, 118, 0, 0, Smoke::mf_static, 24, 5},	//819 Soprano::Vocabulary::RDFS::Literal()
    {52, 55, 0, 0, Smoke::mf_static, 24, 6},	//820 Soprano::Vocabulary::RDFS::Datatype()
    {52, 842, 0, 0, Smoke::mf_static, 24, 7},	//821 Soprano::Vocabulary::RDFS::subPropertyOf()
    {52, 332, 0, 0, Smoke::mf_static, 24, 8},	//822 Soprano::Vocabulary::RDFS::comment()
    {52, 838, 0, 0, Smoke::mf_static, 24, 9},	//823 Soprano::Vocabulary::RDFS::subClassOf()
    {52, 434, 0, 0, Smoke::mf_static, 24, 10},	//824 Soprano::Vocabulary::RDFS::domain()
    {52, 50, 0, 0, Smoke::mf_static, 24, 11},	//825 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {52, 721, 0, 0, Smoke::mf_static, 24, 12},	//826 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {52, 185, 0, 0, Smoke::mf_static, 24, 13},	//827 Soprano::Vocabulary::RDFS::Resource()
    {52, 769, 0, 0, Smoke::mf_static, 24, 14},	//828 Soprano::Vocabulary::RDFS::seeAlso()
    {52, 44, 0, 0, Smoke::mf_static, 24, 15},	//829 Soprano::Vocabulary::RDFS::Class()
    {52, 49, 0, 0, Smoke::mf_static, 24, 16},	//830 Soprano::Vocabulary::RDFS::Container()
    {53, 824, 0, 0, Smoke::mf_static, 24, 1},	//831 Soprano::Vocabulary::SIL::sourceStatement()
    {53, 92, 0, 0, Smoke::mf_static, 24, 2},	//832 Soprano::Vocabulary::SIL::InferenceMetaData()
    {53, 819, 0, 0, Smoke::mf_static, 24, 3},	//833 Soprano::Vocabulary::SIL::silNamespace()
    {53, 369, 0, 0, Smoke::mf_static, 24, 4},	//834 Soprano::Vocabulary::SIL::context()
    {53, 91, 0, 0, Smoke::mf_static, 24, 5},	//835 Soprano::Vocabulary::SIL::InferenceGraph()
    {54, 297, 0, 0, Smoke::mf_static, 24, 1},	//836 Soprano::Vocabulary::XMLSchema::base64Binary()
    {54, 926, 0, 0, Smoke::mf_static, 24, 2},	//837 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {54, 884, 0, 0, Smoke::mf_static, 24, 3},	//838 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {54, 309, 0, 0, Smoke::mf_static, 24, 4},	//839 Soprano::Vocabulary::XMLSchema::boolean()
    {54, 886, 0, 0, Smoke::mf_static, 24, 5},	//840 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {54, 392, 0, 0, Smoke::mf_static, 24, 6},	//841 Soprano::Vocabulary::XMLSchema::dateTime()
    {54, 393, 0, 0, Smoke::mf_static, 24, 7},	//842 Soprano::Vocabulary::XMLSchema::decimal()
    {54, 928, 0, 0, Smoke::mf_static, 24, 8},	//843 Soprano::Vocabulary::XMLSchema::xsdInt()
    {54, 930, 0, 0, Smoke::mf_static, 24, 9},	//844 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {54, 639, 0, 0, Smoke::mf_static, 24, 10},	//845 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {54, 885, 0, 0, Smoke::mf_static, 24, 11},	//846 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {54, 860, 0, 0, Smoke::mf_static, 24, 12},	//847 Soprano::Vocabulary::XMLSchema::time()
    {54, 837, 0, 0, Smoke::mf_static, 24, 13},	//848 Soprano::Vocabulary::XMLSchema::string()
    {54, 927, 0, 0, Smoke::mf_static, 24, 14},	//849 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {54, 931, 0, 0, Smoke::mf_static, 24, 15},	//850 Soprano::Vocabulary::XMLSchema::xsdShort()
    {54, 511, 0, 0, Smoke::mf_static, 24, 16},	//851 Soprano::Vocabulary::XMLSchema::integer()
    {54, 929, 0, 0, Smoke::mf_static, 24, 17},	//852 Soprano::Vocabulary::XMLSchema::xsdLong()
    {54, 647, 0, 0, Smoke::mf_static, 24, 18},	//853 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {54, 391, 0, 0, Smoke::mf_static, 24, 19},	//854 Soprano::Vocabulary::XMLSchema::date()
    {55, 706, 0, 0, Smoke::mf_static, 24, 1},	//855 Soprano::Vocabulary::Xesam::primaryRecipient()
    {55, 331, 0, 0, Smoke::mf_static, 24, 2},	//856 Soprano::Vocabulary::Xesam::columnCount()
    {55, 156, 0, 0, Smoke::mf_static, 24, 3},	//857 Soprano::Vocabulary::Xesam::Photo()
    {55, 724, 0, 0, Smoke::mf_static, 24, 4},	//858 Soprano::Vocabulary::Xesam::recipient()
    {55, 67, 0, 0, Smoke::mf_static, 24, 5},	//859 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {55, 921, 0, 0, Smoke::mf_static, 24, 6},	//860 Soprano::Vocabulary::Xesam::workPostalAddress()
    {55, 818, 0, 0, Smoke::mf_static, 24, 7},	//861 Soprano::Vocabulary::Xesam::sha1Hash()
    {55, 495, 0, 0, Smoke::mf_static, 24, 8},	//862 Soprano::Vocabulary::Xesam::height()
    {55, 517, 0, 0, Smoke::mf_static, 24, 9},	//863 Soprano::Vocabulary::Xesam::ircContactMedium()
    {55, 547, 0, 0, Smoke::mf_static, 24, 10},	//864 Soprano::Vocabulary::Xesam::isRead()
    {55, 81, 0, 0, Smoke::mf_static, 24, 11},	//865 Soprano::Vocabulary::Xesam::Folder()
    {55, 294, 0, 0, Smoke::mf_static, 24, 12},	//866 Soprano::Vocabulary::Xesam::autoRating()
    {55, 340, 0, 0, Smoke::mf_static, 24, 13},	//867 Soprano::Vocabulary::Xesam::conflicts()
    {55, 160, 0, 0, Smoke::mf_static, 24, 14},	//868 Soprano::Vocabulary::Xesam::Presentation()
    {55, 583, 0, 0, Smoke::mf_static, 24, 15},	//869 Soprano::Vocabulary::Xesam::licenseType()
    {55, 266, 0, 0, Smoke::mf_static, 24, 16},	//870 Soprano::Vocabulary::Xesam::albumGain()
    {55, 42, 0, 0, Smoke::mf_static, 24, 17},	//871 Soprano::Vocabulary::Xesam::BlockDevice()
    {55, 318, 0, 0, Smoke::mf_static, 24, 18},	//872 Soprano::Vocabulary::Xesam::changeCommitter()
    {55, 304, 0, 0, Smoke::mf_static, 24, 19},	//873 Soprano::Vocabulary::Xesam::birthDate()
    {55, 4, 0, 0, Smoke::mf_static, 24, 20},	//874 Soprano::Vocabulary::Xesam::Annotation()
    {55, 674, 0, 0, Smoke::mf_static, 24, 21},	//875 Soprano::Vocabulary::Xesam::paragraphCount()
    {55, 623, 0, 0, Smoke::mf_static, 24, 22},	//876 Soprano::Vocabulary::Xesam::mediaCodecType()
    {55, 925, 0, 0, Smoke::mf_static, 24, 23},	//877 Soprano::Vocabulary::Xesam::xesamNamespace()
    {55, 582, 0, 0, Smoke::mf_static, 24, 24},	//878 Soprano::Vocabulary::Xesam::license()
    {55, 78, 0, 0, Smoke::mf_static, 24, 25},	//879 Soprano::Vocabulary::Xesam::Filelike()
    {55, 182, 0, 0, Smoke::mf_static, 24, 26},	//880 Soprano::Vocabulary::Xesam::RemoteFile()
    {55, 469, 0, 0, Smoke::mf_static, 24, 27},	//881 Soprano::Vocabulary::Xesam::frameCount()
    {55, 513, 0, 0, Smoke::mf_static, 24, 28},	//882 Soprano::Vocabulary::Xesam::interlaceMode()
    {55, 77, 0, 0, Smoke::mf_static, 24, 29},	//883 Soprano::Vocabulary::Xesam::FileSystem()
    {55, 630, 0, 0, Smoke::mf_static, 24, 30},	//884 Soprano::Vocabulary::Xesam::mimeType()
    {55, 386, 0, 0, Smoke::mf_static, 24, 31},	//885 Soprano::Vocabulary::Xesam::creator()
    {55, 365, 0, 0, Smoke::mf_static, 24, 32},	//886 Soprano::Vocabulary::Xesam::contentCreated()
    {55, 616, 0, 0, Smoke::mf_static, 24, 33},	//887 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {55, 723, 0, 0, Smoke::mf_static, 24, 34},	//888 Soprano::Vocabulary::Xesam::receptionTime()
    {55, 785, 0, 0, Smoke::mf_static, 24, 35},	//889 Soprano::Vocabulary::Xesam::setCount()
    {55, 215, 0, 0, Smoke::mf_static, 24, 36},	//890 Soprano::Vocabulary::Xesam::Source()
    {55, 332, 0, 0, Smoke::mf_static, 24, 37},	//891 Soprano::Vocabulary::Xesam::comment()
    {55, 371, 0, 0, Smoke::mf_static, 24, 38},	//892 Soprano::Vocabulary::Xesam::copyright()
    {55, 238, 0, 0, Smoke::mf_static, 24, 39},	//893 Soprano::Vocabulary::Xesam::Video()
    {55, 918, 0, 0, Smoke::mf_static, 24, 40},	//894 Soprano::Vocabulary::Xesam::wordCount()
    {55, 335, 0, 0, Smoke::mf_static, 24, 41},	//895 Soprano::Vocabulary::Xesam::communicationChannel()
    {55, 484, 0, 0, Smoke::mf_static, 24, 42},	//896 Soprano::Vocabulary::Xesam::group()
    {55, 456, 0, 0, Smoke::mf_static, 24, 43},	//897 Soprano::Vocabulary::Xesam::familyName()
    {55, 609, 0, 0, Smoke::mf_static, 24, 44},	//898 Soprano::Vocabulary::Xesam::localRevision()
    {55, 342, 0, 0, Smoke::mf_static, 24, 45},	//899 Soprano::Vocabulary::Xesam::contactMedium()
    {55, 337, 0, 0, Smoke::mf_static, 24, 46},	//900 Soprano::Vocabulary::Xesam::composer()
    {55, 285, 0, 0, Smoke::mf_static, 24, 47},	//901 Soprano::Vocabulary::Xesam::audioBitrate()
    {55, 701, 0, 0, Smoke::mf_static, 24, 48},	//902 Soprano::Vocabulary::Xesam::postalAddress()
    {55, 624, 0, 0, Smoke::mf_static, 24, 49},	//903 Soprano::Vocabulary::Xesam::mediaDuration()
    {55, 499, 0, 0, Smoke::mf_static, 24, 50},	//904 Soprano::Vocabulary::Xesam::homepageContactURL()
    {55, 889, 0, 0, Smoke::mf_static, 24, 51},	//905 Soprano::Vocabulary::Xesam::url()
    {55, 345, 0, 0, Smoke::mf_static, 24, 52},	//906 Soprano::Vocabulary::Xesam::contains()
    {55, 123, 0, 0, Smoke::mf_static, 24, 53},	//907 Soprano::Vocabulary::Xesam::MediaList()
    {55, 334, 0, 0, Smoke::mf_static, 24, 54},	//908 Soprano::Vocabulary::Xesam::commitDiff()
    {55, 481, 0, 0, Smoke::mf_static, 24, 55},	//909 Soprano::Vocabulary::Xesam::genre()
    {55, 403, 0, 0, Smoke::mf_static, 24, 56},	//910 Soprano::Vocabulary::Xesam::description()
    {55, 413, 0, 0, Smoke::mf_static, 24, 57},	//911 Soprano::Vocabulary::Xesam::discNumber()
    {55, 124, 0, 0, Smoke::mf_static, 24, 58},	//912 Soprano::Vocabulary::Xesam::Message()
    {55, 288, 0, 0, Smoke::mf_static, 24, 59},	//913 Soprano::Vocabulary::Xesam::audioCodecType()
    {55, 144, 0, 0, Smoke::mf_static, 24, 60},	//914 Soprano::Vocabulary::Xesam::Organization()
    {55, 668, 0, 0, Smoke::mf_static, 24, 61},	//915 Soprano::Vocabulary::Xesam::originURL()
    {55, 879, 0, 0, Smoke::mf_static, 24, 62},	//916 Soprano::Vocabulary::Xesam::trackNumber()
    {55, 314, 0, 0, Smoke::mf_static, 24, 63},	//917 Soprano::Vocabulary::Xesam::cc()
    {55, 145, 0, 0, Smoke::mf_static, 24, 64},	//918 Soprano::Vocabulary::Xesam::POP3Message()
    {55, 394, 0, 0, Smoke::mf_static, 24, 65},	//919 Soprano::Vocabulary::Xesam::definesClass()
    {55, 669, 0, 0, Smoke::mf_static, 24, 66},	//920 Soprano::Vocabulary::Xesam::originalLocation()
    {55, 283, 0, 0, Smoke::mf_static, 24, 67},	//921 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {55, 506, 0, 0, Smoke::mf_static, 24, 68},	//922 Soprano::Vocabulary::Xesam::imContactMedium()
    {55, 626, 0, 0, Smoke::mf_static, 24, 69},	//923 Soprano::Vocabulary::Xesam::mergeConflict()
    {55, 460, 0, 0, Smoke::mf_static, 24, 70},	//924 Soprano::Vocabulary::Xesam::fingerprint()
    {55, 501, 0, 0, Smoke::mf_static, 24, 71},	//925 Soprano::Vocabulary::Xesam::honorificSuffix()
    {55, 560, 0, 0, Smoke::mf_static, 24, 72},	//926 Soprano::Vocabulary::Xesam::isoEquivalent()
    {55, 920, 0, 0, Smoke::mf_static, 24, 73},	//927 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {55, 291, 0, 0, Smoke::mf_static, 24, 74},	//928 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {55, 436, 0, 0, Smoke::mf_static, 24, 75},	//929 Soprano::Vocabulary::Xesam::emailAddress()
    {55, 339, 0, 0, Smoke::mf_static, 24, 76},	//930 Soprano::Vocabulary::Xesam::compressionLevel()
    {55, 863, 0, 0, Smoke::mf_static, 24, 77},	//931 Soprano::Vocabulary::Xesam::title()
    {55, 317, 0, 0, Smoke::mf_static, 24, 78},	//932 Soprano::Vocabulary::Xesam::changeCommitTime()
    {55, 122, 0, 0, Smoke::mf_static, 24, 79},	//933 Soprano::Vocabulary::Xesam::Media()
    {55, 453, 0, 0, Smoke::mf_static, 24, 80},	//934 Soprano::Vocabulary::Xesam::exposureProgram()
    {55, 535, 0, 0, Smoke::mf_static, 24, 81},	//935 Soprano::Vocabulary::Xesam::isEncrypted()
    {55, 58, 0, 0, Smoke::mf_static, 24, 82},	//936 Soprano::Vocabulary::Xesam::DeletedFile()
    {55, 636, 0, 0, Smoke::mf_static, 24, 83},	//937 Soprano::Vocabulary::Xesam::mountPoint()
    {55, 459, 0, 0, Smoke::mf_static, 24, 84},	//938 Soprano::Vocabulary::Xesam::fileSystemType()
    {55, 321, 0, 0, Smoke::mf_static, 24, 85},	//939 Soprano::Vocabulary::Xesam::chatRoom()
    {55, 458, 0, 0, Smoke::mf_static, 24, 86},	//940 Soprano::Vocabulary::Xesam::fileExtension()
    {55, 155, 0, 0, Smoke::mf_static, 24, 87},	//941 Soprano::Vocabulary::Xesam::PersonalEmail()
    {55, 457, 0, 0, Smoke::mf_static, 24, 88},	//942 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {55, 43, 0, 0, Smoke::mf_static, 24, 89},	//943 Soprano::Vocabulary::Xesam::Bookmark()
    {55, 125, 0, 0, Smoke::mf_static, 24, 90},	//944 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {55, 508, 0, 0, Smoke::mf_static, 24, 91},	//945 Soprano::Vocabulary::Xesam::inReplyTo()
    {55, 546, 0, 0, Smoke::mf_static, 24, 92},	//946 Soprano::Vocabulary::Xesam::isPublicChannel()
    {55, 622, 0, 0, Smoke::mf_static, 24, 93},	//947 Soprano::Vocabulary::Xesam::mediaCodec()
    {55, 924, 0, 0, Smoke::mf_static, 24, 94},	//948 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {55, 727, 0, 0, Smoke::mf_static, 24, 95},	//949 Soprano::Vocabulary::Xesam::remotePort()
    {55, 763, 0, 0, Smoke::mf_static, 24, 96},	//950 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {55, 670, 0, 0, Smoke::mf_static, 24, 97},	//951 Soprano::Vocabulary::Xesam::otherName()
    {55, 316, 0, 0, Smoke::mf_static, 24, 98},	//952 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {55, 524, 0, 0, Smoke::mf_static, 24, 99},	//953 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {55, 651, 0, 0, Smoke::mf_static, 24, 100},	//954 Soprano::Vocabulary::Xesam::occupiedSpace()
    {55, 11, 0, 0, Smoke::mf_static, 24, 101},	//955 Soprano::Vocabulary::Xesam::Audio()
    {55, 90, 0, 0, Smoke::mf_static, 24, 102},	//956 Soprano::Vocabulary::Xesam::Image()
    {55, 637, 0, 0, Smoke::mf_static, 24, 103},	//957 Soprano::Vocabulary::Xesam::name()
    {55, 12, 0, 0, Smoke::mf_static, 24, 104},	//958 Soprano::Vocabulary::Xesam::AudioList()
    {55, 621, 0, 0, Smoke::mf_static, 24, 105},	//959 Soprano::Vocabulary::Xesam::mediaBitrate()
    {55, 697, 0, 0, Smoke::mf_static, 24, 106},	//960 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {55, 237, 0, 0, Smoke::mf_static, 24, 107},	//961 Soprano::Vocabulary::Xesam::UncategorizedText()
    {55, 329, 0, 0, Smoke::mf_static, 24, 108},	//962 Soprano::Vocabulary::Xesam::colorCount()
    {55, 319, 0, 0, Smoke::mf_static, 24, 109},	//963 Soprano::Vocabulary::Xesam::characterCount()
    {55, 366, 0, 0, Smoke::mf_static, 24, 110},	//964 Soprano::Vocabulary::Xesam::contentKeyword()
    {55, 265, 0, 0, Smoke::mf_static, 24, 111},	//965 Soprano::Vocabulary::Xesam::albumArtist()
    {55, 289, 0, 0, Smoke::mf_static, 24, 112},	//966 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {55, 820, 0, 0, Smoke::mf_static, 24, 113},	//967 Soprano::Vocabulary::Xesam::size()
    {55, 579, 0, 0, Smoke::mf_static, 24, 114},	//968 Soprano::Vocabulary::Xesam::lastRefreshed()
    {55, 914, 0, 0, Smoke::mf_static, 24, 115},	//969 Soprano::Vocabulary::Xesam::videoCodecType()
    {55, 729, 0, 0, Smoke::mf_static, 24, 116},	//970 Soprano::Vocabulary::Xesam::remoteUser()
    {55, 464, 0, 0, Smoke::mf_static, 24, 117},	//971 Soprano::Vocabulary::Xesam::firstUsed()
    {55, 895, 0, 0, Smoke::mf_static, 24, 118},	//972 Soprano::Vocabulary::Xesam::userRating()
    {55, 823, 0, 0, Smoke::mf_static, 24, 119},	//973 Soprano::Vocabulary::Xesam::sourceModified()
    {55, 629, 0, 0, Smoke::mf_static, 24, 120},	//974 Soprano::Vocabulary::Xesam::meteringMode()
    {55, 916, 0, 0, Smoke::mf_static, 24, 121},	//975 Soprano::Vocabulary::Xesam::whiteBalance()
    {55, 87, 0, 0, Smoke::mf_static, 24, 122},	//976 Soprano::Vocabulary::Xesam::IMAP4Message()
    {55, 620, 0, 0, Smoke::mf_static, 24, 123},	//977 Soprano::Vocabulary::Xesam::md5Hash()
    {55, 470, 0, 0, Smoke::mf_static, 24, 124},	//978 Soprano::Vocabulary::Xesam::frameRate()
    {55, 574, 0, 0, Smoke::mf_static, 24, 125},	//979 Soprano::Vocabulary::Xesam::knows()
    {55, 613, 0, 0, Smoke::mf_static, 24, 126},	//980 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {55, 184, 0, 0, Smoke::mf_static, 24, 127},	//981 Soprano::Vocabulary::Xesam::RemoteResource()
    {55, 247, 0, 0, Smoke::mf_static, 24, 128},	//982 Soprano::Vocabulary::Xesam::acl()
    {55, 538, 0, 0, Smoke::mf_static, 24, 129},	//983 Soprano::Vocabulary::Xesam::isInProgress()
    {55, 893, 0, 0, Smoke::mf_static, 24, 130},	//984 Soprano::Vocabulary::Xesam::userKeyword()
    {55, 343, 0, 0, Smoke::mf_static, 24, 131},	//985 Soprano::Vocabulary::Xesam::contactNick()
    {55, 502, 0, 0, Smoke::mf_static, 24, 132},	//986 Soprano::Vocabulary::Xesam::horizontalResolution()
    {55, 912, 0, 0, Smoke::mf_static, 24, 133},	//987 Soprano::Vocabulary::Xesam::videoBitrate()
    {55, 48, 0, 0, Smoke::mf_static, 24, 134},	//988 Soprano::Vocabulary::Xesam::ContactGroup()
    {55, 581, 0, 0, Smoke::mf_static, 24, 135},	//989 Soprano::Vocabulary::Xesam::legal()
    {55, 88, 0, 0, Smoke::mf_static, 24, 136},	//990 Soprano::Vocabulary::Xesam::IMMessage()
    {55, 911, 0, 0, Smoke::mf_static, 24, 137},	//991 Soprano::Vocabulary::Xesam::verticalResolution()
    {55, 471, 0, 0, Smoke::mf_static, 24, 138},	//992 Soprano::Vocabulary::Xesam::freeSpace()
    {55, 758, 0, 0, Smoke::mf_static, 24, 139},	//993 Soprano::Vocabulary::Xesam::rowCount()
    {55, 708, 0, 0, Smoke::mf_static, 24, 140},	//994 Soprano::Vocabulary::Xesam::programmingLanguage()
    {55, 396, 0, 0, Smoke::mf_static, 24, 141},	//995 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {55, 869, 0, 0, Smoke::mf_static, 24, 142},	//996 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {55, 51, 0, 0, Smoke::mf_static, 24, 143},	//997 Soprano::Vocabulary::Xesam::Content()
    {55, 286, 0, 0, Smoke::mf_static, 24, 144},	//998 Soprano::Vocabulary::Xesam::audioChannels()
    {55, 452, 0, 0, Smoke::mf_static, 24, 145},	//999 Soprano::Vocabulary::Xesam::exposureBias()
    {55, 312, 0, 0, Smoke::mf_static, 24, 146},	//1000 Soprano::Vocabulary::Xesam::cameraModel()
    {55, 454, 0, 0, Smoke::mf_static, 24, 147},	//1001 Soprano::Vocabulary::Xesam::exposureTime()
    {55, 399, 0, 0, Smoke::mf_static, 24, 148},	//1002 Soprano::Vocabulary::Xesam::deletionTime()
    {55, 573, 0, 0, Smoke::mf_static, 24, 149},	//1003 Soprano::Vocabulary::Xesam::keyword()
    {55, 890, 0, 0, Smoke::mf_static, 24, 150},	//1004 Soprano::Vocabulary::Xesam::useCount()
    {55, 880, 0, 0, Smoke::mf_static, 24, 151},	//1005 Soprano::Vocabulary::Xesam::trackPeakGain()
    {55, 478, 0, 0, Smoke::mf_static, 24, 152},	//1006 Soprano::Vocabulary::Xesam::gender()
    {55, 878, 0, 0, Smoke::mf_static, 24, 153},	//1007 Soprano::Vocabulary::Xesam::trackGain()
    {55, 234, 0, 0, Smoke::mf_static, 24, 154},	//1008 Soprano::Vocabulary::Xesam::TextDocument()
    {55, 615, 0, 0, Smoke::mf_static, 24, 155},	//1009 Soprano::Vocabulary::Xesam::maintainer()
    {55, 725, 0, 0, Smoke::mf_static, 24, 156},	//1010 Soprano::Vocabulary::Xesam::related()
    {55, 868, 0, 0, Smoke::mf_static, 24, 157},	//1011 Soprano::Vocabulary::Xesam::totalSpace()
    {55, 176, 0, 0, Smoke::mf_static, 24, 158},	//1012 Soprano::Vocabulary::Xesam::RSSMessage()
    {55, 311, 0, 0, Smoke::mf_static, 24, 159},	//1013 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {55, 917, 0, 0, Smoke::mf_static, 24, 160},	//1014 Soprano::Vocabulary::Xesam::width()
    {55, 752, 0, 0, Smoke::mf_static, 24, 161},	//1015 Soprano::Vocabulary::Xesam::replyTo()
    {55, 672, 0, 0, Smoke::mf_static, 24, 162},	//1016 Soprano::Vocabulary::Xesam::owner()
    {55, 141, 0, 0, Smoke::mf_static, 24, 163},	//1017 Soprano::Vocabulary::Xesam::OfflineMedia()
    {55, 864, 0, 0, Smoke::mf_static, 24, 164},	//1018 Soprano::Vocabulary::Xesam::to()
    {55, 803, 0, 0, Smoke::mf_static, 24, 165},	//1019 Soprano::Vocabulary::Xesam::setRate()
    {55, 189, 0, 0, Smoke::mf_static, 24, 166},	//1020 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {55, 497, 0, 0, Smoke::mf_static, 24, 167},	//1021 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {55, 512, 0, 0, Smoke::mf_static, 24, 168},	//1022 Soprano::Vocabulary::Xesam::interest()
    {55, 293, 0, 0, Smoke::mf_static, 24, 169},	//1023 Soprano::Vocabulary::Xesam::author()
    {55, 585, 0, 0, Smoke::mf_static, 24, 170},	//1024 Soprano::Vocabulary::Xesam::links()
    {55, 214, 0, 0, Smoke::mf_static, 24, 171},	//1025 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {55, 130, 0, 0, Smoke::mf_static, 24, 172},	//1026 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {55, 65, 0, 0, Smoke::mf_static, 24, 173},	//1027 Soprano::Vocabulary::Xesam::Email()
    {55, 287, 0, 0, Smoke::mf_static, 24, 174},	//1028 Soprano::Vocabulary::Xesam::audioCodec()
    {55, 240, 0, 0, Smoke::mf_static, 24, 175},	//1029 Soprano::Vocabulary::Xesam::Visual()
    {55, 845, 0, 0, Smoke::mf_static, 24, 176},	//1030 Soprano::Vocabulary::Xesam::subject()
    {55, 640, 0, 0, Smoke::mf_static, 24, 177},	//1031 Soprano::Vocabulary::Xesam::newsGroup()
    {55, 537, 0, 0, Smoke::mf_static, 24, 178},	//1032 Soprano::Vocabulary::Xesam::isImportant()
    {55, 498, 0, 0, Smoke::mf_static, 24, 179},	//1033 Soprano::Vocabulary::Xesam::homePostalAddress()
    {55, 580, 0, 0, Smoke::mf_static, 24, 180},	//1034 Soprano::Vocabulary::Xesam::lastUsed()
    {55, 268, 0, 0, Smoke::mf_static, 24, 181},	//1035 Soprano::Vocabulary::Xesam::albumTrackCount()
    {55, 320, 0, 0, Smoke::mf_static, 24, 182},	//1036 Soprano::Vocabulary::Xesam::charset()
    {55, 848, 0, 0, Smoke::mf_static, 24, 183},	//1037 Soprano::Vocabulary::Xesam::supercedes()
    {55, 892, 0, 0, Smoke::mf_static, 24, 184},	//1038 Soprano::Vocabulary::Xesam::userComment()
    {55, 480, 0, 0, Smoke::mf_static, 24, 185},	//1039 Soprano::Vocabulary::Xesam::generatorOptions()
    {55, 433, 0, 0, Smoke::mf_static, 24, 186},	//1040 Soprano::Vocabulary::Xesam::documentCategory()
    {55, 836, 0, 0, Smoke::mf_static, 24, 187},	//1041 Soprano::Vocabulary::Xesam::storageSize()
    {55, 402, 0, 0, Smoke::mf_static, 24, 188},	//1042 Soprano::Vocabulary::Xesam::derivedFrom()
    {55, 611, 0, 0, Smoke::mf_static, 24, 189},	//1043 Soprano::Vocabulary::Xesam::lyricist()
    {55, 231, 0, 0, Smoke::mf_static, 24, 190},	//1044 Soprano::Vocabulary::Xesam::SystemResource()
    {55, 667, 0, 0, Smoke::mf_static, 24, 191},	//1045 Soprano::Vocabulary::Xesam::orientation()
    {55, 307, 0, 0, Smoke::mf_static, 24, 192},	//1046 Soprano::Vocabulary::Xesam::blogContactURL()
    {55, 282, 0, 0, Smoke::mf_static, 24, 193},	//1047 Soprano::Vocabulary::Xesam::aspectRatio()
    {55, 330, 0, 0, Smoke::mf_static, 24, 194},	//1048 Soprano::Vocabulary::Xesam::colorSpace()
    {55, 400, 0, 0, Smoke::mf_static, 24, 195},	//1049 Soprano::Vocabulary::Xesam::depends()
    {55, 290, 0, 0, Smoke::mf_static, 24, 196},	//1050 Soprano::Vocabulary::Xesam::audioSampleCount()
    {55, 698, 0, 0, Smoke::mf_static, 24, 197},	//1051 Soprano::Vocabulary::Xesam::pixelDataType()
    {55, 333, 0, 0, Smoke::mf_static, 24, 198},	//1052 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {55, 368, 0, 0, Smoke::mf_static, 24, 199},	//1053 Soprano::Vocabulary::Xesam::contentType()
    {55, 673, 0, 0, Smoke::mf_static, 24, 200},	//1054 Soprano::Vocabulary::Xesam::pageCount()
    {55, 897, 0, 0, Smoke::mf_static, 24, 201},	//1055 Soprano::Vocabulary::Xesam::usesNamespace()
    {55, 467, 0, 0, Smoke::mf_static, 24, 202},	//1056 Soprano::Vocabulary::Xesam::focusDistance()
    {55, 576, 0, 0, Smoke::mf_static, 24, 203},	//1057 Soprano::Vocabulary::Xesam::language()
    {55, 846, 0, 0, Smoke::mf_static, 24, 204},	//1058 Soprano::Vocabulary::Xesam::summary()
    {55, 414, 0, 0, Smoke::mf_static, 24, 205},	//1059 Soprano::Vocabulary::Xesam::disclaimer()
    {55, 693, 0, 0, Smoke::mf_static, 24, 206},	//1060 Soprano::Vocabulary::Xesam::permissions()
    {55, 728, 0, 0, Smoke::mf_static, 24, 207},	//1061 Soprano::Vocabulary::Xesam::remoteServer()
    {55, 128, 0, 0, Smoke::mf_static, 24, 208},	//1062 Soprano::Vocabulary::Xesam::Music()
    {55, 299, 0, 0, Smoke::mf_static, 24, 209},	//1063 Soprano::Vocabulary::Xesam::bcc()
    {55, 129, 0, 0, Smoke::mf_static, 24, 210},	//1064 Soprano::Vocabulary::Xesam::NewsGroup()
    {55, 696, 0, 0, Smoke::mf_static, 24, 211},	//1065 Soprano::Vocabulary::Xesam::phoneNumber()
    {55, 466, 0, 0, Smoke::mf_static, 24, 212},	//1066 Soprano::Vocabulary::Xesam::focalLength()
    {55, 121, 0, 0, Smoke::mf_static, 24, 213},	//1067 Soprano::Vocabulary::Xesam::MailingListEmail()
    {55, 233, 0, 0, Smoke::mf_static, 24, 214},	//1068 Soprano::Vocabulary::Xesam::Text()
    {55, 264, 0, 0, Smoke::mf_static, 24, 215},	//1069 Soprano::Vocabulary::Xesam::album()
    {55, 267, 0, 0, Smoke::mf_static, 24, 216},	//1070 Soprano::Vocabulary::Xesam::albumPeakGain()
    {55, 465, 0, 0, Smoke::mf_static, 24, 217},	//1071 Soprano::Vocabulary::Xesam::flashUsed()
    {55, 47, 0, 0, Smoke::mf_static, 24, 218},	//1072 Soprano::Vocabulary::Xesam::Contact()
    {55, 504, 0, 0, Smoke::mf_static, 24, 219},	//1073 Soprano::Vocabulary::Xesam::id()
    {55, 53, 0, 0, Smoke::mf_static, 24, 220},	//1074 Soprano::Vocabulary::Xesam::DataObject()
    {55, 338, 0, 0, Smoke::mf_static, 24, 221},	//1075 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {55, 726, 0, 0, Smoke::mf_static, 24, 222},	//1076 Soprano::Vocabulary::Xesam::remotePassword()
    {55, 183, 0, 0, Smoke::mf_static, 24, 223},	//1077 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {55, 395, 0, 0, Smoke::mf_static, 24, 224},	//1078 Soprano::Vocabulary::Xesam::definesFunction()
    {55, 479, 0, 0, Smoke::mf_static, 24, 225},	//1079 Soprano::Vocabulary::Xesam::generator()
    {55, 759, 0, 0, Smoke::mf_static, 24, 226},	//1080 Soprano::Vocabulary::Xesam::rssFeed()
    {55, 292, 0, 0, Smoke::mf_static, 24, 227},	//1081 Soprano::Vocabulary::Xesam::audioSampleRate()
    {55, 120, 0, 0, Smoke::mf_static, 24, 228},	//1082 Soprano::Vocabulary::Xesam::MailingList()
    {55, 859, 0, 0, Smoke::mf_static, 24, 229},	//1083 Soprano::Vocabulary::Xesam::targetQuality()
    {55, 216, 0, 0, Smoke::mf_static, 24, 230},	//1084 Soprano::Vocabulary::Xesam::SourceCode()
    {55, 764, 0, 0, Smoke::mf_static, 24, 231},	//1085 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {55, 76, 0, 0, Smoke::mf_static, 24, 232},	//1086 Soprano::Vocabulary::Xesam::File()
    {55, 482, 0, 0, Smoke::mf_static, 24, 233},	//1087 Soprano::Vocabulary::Xesam::givenName()
    {55, 694, 0, 0, Smoke::mf_static, 24, 234},	//1088 Soprano::Vocabulary::Xesam::personPhoto()
    {55, 370, 0, 0, Smoke::mf_static, 24, 235},	//1089 Soprano::Vocabulary::Xesam::contributor()
    {55, 280, 0, 0, Smoke::mf_static, 24, 236},	//1090 Soprano::Vocabulary::Xesam::artist()
    {55, 217, 0, 0, Smoke::mf_static, 24, 237},	//1091 Soprano::Vocabulary::Xesam::Spreadsheet()
    {55, 344, 0, 0, Smoke::mf_static, 24, 238},	//1092 Soprano::Vocabulary::Xesam::contactURL()
    {55, 279, 0, 0, Smoke::mf_static, 24, 239},	//1093 Soprano::Vocabulary::Xesam::aperture()
    {55, 500, 0, 0, Smoke::mf_static, 24, 240},	//1094 Soprano::Vocabulary::Xesam::honorificPrefix()
    {55, 284, 0, 0, Smoke::mf_static, 24, 241},	//1095 Soprano::Vocabulary::Xesam::audioBPM()
    {55, 315, 0, 0, Smoke::mf_static, 24, 242},	//1096 Soprano::Vocabulary::Xesam::ccdWidth()
    {55, 550, 0, 0, Smoke::mf_static, 24, 243},	//1097 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {55, 572, 0, 0, Smoke::mf_static, 24, 244},	//1098 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {55, 64, 0, 0, Smoke::mf_static, 24, 245},	//1099 Soprano::Vocabulary::Xesam::Documentation()
    {55, 241, 0, 0, Smoke::mf_static, 24, 246},	//1100 Soprano::Vocabulary::Xesam::XML()
    {55, 188, 0, 0, Smoke::mf_static, 24, 247},	//1101 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {55, 298, 0, 0, Smoke::mf_static, 24, 248},	//1102 Soprano::Vocabulary::Xesam::baseRevisionID()
    {55, 6, 0, 0, Smoke::mf_static, 24, 249},	//1103 Soprano::Vocabulary::Xesam::Archive()
    {55, 281, 0, 0, Smoke::mf_static, 24, 250},	//1104 Soprano::Vocabulary::Xesam::asText()
    {55, 45, 0, 0, Smoke::mf_static, 24, 251},	//1105 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {55, 496, 0, 0, Smoke::mf_static, 24, 252},	//1106 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {55, 919, 0, 0, Smoke::mf_static, 24, 253},	//1107 Soprano::Vocabulary::Xesam::workEmailAddress()
    {55, 367, 0, 0, Smoke::mf_static, 24, 254},	//1108 Soprano::Vocabulary::Xesam::contentModified()
    {55, 175, 0, 0, Smoke::mf_static, 24, 255},	//1109 Soprano::Vocabulary::Xesam::RSSFeed()
    {55, 62, 0, 0, Smoke::mf_static, 24, 256},	//1110 Soprano::Vocabulary::Xesam::Document()
    {55, 612, 0, 0, Smoke::mf_static, 24, 257},	//1111 Soprano::Vocabulary::Xesam::mailingList()
    {55, 584, 0, 0, Smoke::mf_static, 24, 258},	//1112 Soprano::Vocabulary::Xesam::lineCount()
    {55, 692, 0, 0, Smoke::mf_static, 24, 259},	//1113 Soprano::Vocabulary::Xesam::performer()
    {55, 7, 0, 0, Smoke::mf_static, 24, 260},	//1114 Soprano::Vocabulary::Xesam::ArchivedFile()
    {55, 66, 0, 0, Smoke::mf_static, 24, 261},	//1115 Soprano::Vocabulary::Xesam::EmailAttachment()
    {55, 364, 0, 0, Smoke::mf_static, 24, 262},	//1116 Soprano::Vocabulary::Xesam::contentComment()
    {55, 768, 0, 0, Smoke::mf_static, 24, 263},	//1117 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {55, 468, 0, 0, Smoke::mf_static, 24, 264},	//1118 Soprano::Vocabulary::Xesam::formatSubtype()
    {55, 161, 0, 0, Smoke::mf_static, 24, 265},	//1119 Soprano::Vocabulary::Xesam::Project()
    {55, 770, 0, 0, Smoke::mf_static, 24, 266},	//1120 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {55, 822, 0, 0, Smoke::mf_static, 24, 267},	//1121 Soprano::Vocabulary::Xesam::sourceCreated()
    {55, 232, 0, 0, Smoke::mf_static, 24, 268},	//1122 Soprano::Vocabulary::Xesam::Tag()
    {55, 905, 0, 0, Smoke::mf_static, 24, 269},	//1123 Soprano::Vocabulary::Xesam::version()
    {55, 913, 0, 0, Smoke::mf_static, 24, 270},	//1124 Soprano::Vocabulary::Xesam::videoCodec()
    {55, 765, 0, 0, Smoke::mf_static, 24, 271},	//1125 Soprano::Vocabulary::Xesam::sampleDataType()
    {55, 154, 0, 0, Smoke::mf_static, 24, 272},	//1126 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    275,  // Soprano::Node::Node(const QUrl&)
    277,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    279,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    280,  // Soprano::Node::operator=(const Soprano::Node&)
    281,  // Soprano::Node::operator=(const QUrl&)
    282,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    283,  // Soprano::Node::operator==(const Soprano::Node&) const
    285,  // Soprano::Node::operator==(const QUrl&) const
    286,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    566,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    567,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    114,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    115,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    125,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    132,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    377,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    378,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    385,  // Soprano::QueryResultIterator::binding(const QString&) const
    386,  // Soprano::QueryResultIterator::binding(int) const
    0,
    394,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    395,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    383,  // Soprano::QueryResultIterator::operator[](int) const
    384,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    145,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    148,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    149,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    43,  // Soprano::qHash(const Soprano::Node&)
    47,  // Soprano::qHash(const Soprano::Statement&)
    54,  // Soprano::qHash(const Soprano::LanguageTag&)
    68,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    42,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    60,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    61,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    72,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    41,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    59,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    58,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    70,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 98, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 99, 19},	// QGlobalSpace::LicensedCore
    {5, 100, 11},	// QGlobalSpace::LicensedDBus
    {5, 101, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 102, 6},	// QGlobalSpace::LicensedGui
    {5, 103, 25},	// QGlobalSpace::LicensedHelp
    {5, 104, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 105, 29},	// QGlobalSpace::LicensedNetwork
    {5, 106, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 107, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 108, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 109, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 110, 9},	// QGlobalSpace::LicensedScript
    {5, 111, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 112, 17},	// QGlobalSpace::LicensedSql
    {5, 113, 15},	// QGlobalSpace::LicensedSvg
    {5, 114, 12},	// QGlobalSpace::LicensedTest
    {5, 115, 7},	// QGlobalSpace::LicensedXml
    {5, 116, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 163, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 164, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 165, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 166, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 167, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 168, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 169, 20},	// QGlobalSpace::QtDebugMsg
    {5, 170, 23},	// QGlobalSpace::QtFatalMsg
    {5, 171, 24},	// QGlobalSpace::QtSystemMsg
    {5, 172, 21},	// QGlobalSpace::QtWarningMsg
    {5, 243, 32},	// QGlobalSpace::__codecvt_error
    {5, 244, 33},	// QGlobalSpace::__codecvt_noconv
    {5, 245, 30},	// QGlobalSpace::__codecvt_ok
    {5, 246, 31},	// QGlobalSpace::__codecvt_partial
    {13, 16, 75},	// Soprano::BackendFeatureAddStatement
    {13, 17, 83},	// Soprano::BackendFeatureAll
    {13, 18, 81},	// Soprano::BackendFeatureContext
    {13, 19, 79},	// Soprano::BackendFeatureInference
    {13, 20, 80},	// Soprano::BackendFeatureInferenceOptional
    {13, 21, 77},	// Soprano::BackendFeatureListStatements
    {13, 22, 74},	// Soprano::BackendFeatureNone
    {13, 23, 78},	// Soprano::BackendFeatureQuery
    {13, 24, 76},	// Soprano::BackendFeatureRemoveStatements
    {13, 25, 82},	// Soprano::BackendFeatureStorageMemory
    {13, 26, 84},	// Soprano::BackendFeatureUser
    {13, 27, 87},	// Soprano::BackendOptionEnableInference
    {13, 28, 89},	// Soprano::BackendOptionHost
    {13, 29, 85},	// Soprano::BackendOptionNone
    {13, 30, 92},	// Soprano::BackendOptionPassword
    {13, 31, 90},	// Soprano::BackendOptionPort
    {13, 32, 88},	// Soprano::BackendOptionStorageDir
    {13, 33, 86},	// Soprano::BackendOptionStorageMemory
    {13, 34, 93},	// Soprano::BackendOptionUser
    {13, 35, 91},	// Soprano::BackendOptionUsername
    {13, 194, 96},	// Soprano::SerializationN3
    {13, 195, 100},	// Soprano::SerializationNQuads
    {13, 196, 97},	// Soprano::SerializationNTriples
    {13, 197, 95},	// Soprano::SerializationRdfXml
    {13, 198, 99},	// Soprano::SerializationTrig
    {13, 199, 98},	// Soprano::SerializationTurtle
    {13, 200, 94},	// Soprano::SerializationUnknown
    {13, 201, 101},	// Soprano::SerializationUser
    {13, 380, 56},	// Soprano::createModel
    {13, 381, 55},	// Soprano::createModel?
    {13, 417, 45},	// Soprano::discoverBackendByFeatures$
    {13, 418, 44},	// Soprano::discoverBackendByFeatures$?
    {13, 420, 51},	// Soprano::discoverBackendByName$
    {13, 541, 64},	// Soprano::isOptionInSettings?$
    {13, 542, 63},	// Soprano::isOptionInSettings?$$
    {13, 632, 48},	// Soprano::mimeTypeToSerialization$
    {13, 658, 46},	// Soprano::operator<<##
    {13, 711, -38},	// Soprano::qHash#
    {13, 774, 50},	// Soprano::serializationMimeType$
    {13, 775, 49},	// Soprano::serializationMimeType$$
    {13, 811, 53},	// Soprano::setUsedBackend#
    {13, 815, 62},	// Soprano::settingInSettings?
    {13, 816, -43},	// Soprano::settingInSettings?$
    {13, 817, -48},	// Soprano::settingInSettings?$$
    {13, 891, 71},	// Soprano::usedBackend
    {13, 900, -51},	// Soprano::valueInSettings?$
    {13, 901, 57},	// Soprano::valueInSettings?$#
    {13, 902, 69},	// Soprano::valueInSettings?$$
    {13, 904, 52},	// Soprano::valueInSettingsWithDefault?$#
    {13, 907, 66},	// Soprano::versionMajor
    {13, 908, 73},	// Soprano::versionMinor
    {13, 909, 67},	// Soprano::versionRelease
    {13, 910, 65},	// Soprano::versionString
    {14, 14, 108},	// Soprano::Backend::Backend#
    {14, 15, 102},	// Soprano::Backend::Backend$
    {14, 380, 109},	// Soprano::Backend::createModel
    {14, 381, 103},	// Soprano::Backend::createModel?
    {14, 398, 104},	// Soprano::Backend::deleteModelData?
    {14, 849, 105},	// Soprano::Backend::supportedFeatures
    {14, 851, 106},	// Soprano::Backend::supportedUserFeatures
    {14, 854, 110},	// Soprano::Backend::supportsFeatures$
    {14, 855, 107},	// Soprano::Backend::supportsFeatures$?
    {14, 935, 111},	// Soprano::Backend::~Backend
    {15, 36, 112},	// Soprano::BackendSetting::BackendSetting
    {15, 37, 116},	// Soprano::BackendSetting::BackendSetting#
    {15, 38, 113},	// Soprano::BackendSetting::BackendSetting$
    {15, 39, -16},	// Soprano::BackendSetting::BackendSetting$#
    {15, 660, 117},	// Soprano::BackendSetting::operator=#
    {15, 666, 118},	// Soprano::BackendSetting::option
    {15, 813, 121},	// Soprano::BackendSetting::setValue#
    {15, 894, 119},	// Soprano::BackendSetting::userOptionName
    {15, 898, 120},	// Soprano::BackendSetting::value
    {15, 936, 122},	// Soprano::BackendSetting::~BackendSetting
    {17, 69, 123},	// Soprano::Error::Error::Error
    {17, 70, -19},	// Soprano::Error::Error::Error#
    {17, 71, 133},	// Soprano::Error::Error::Error$
    {17, 72, 124},	// Soprano::Error::Error::Error$$
    {17, 328, 129},	// Soprano::Error::Error::code
    {17, 543, 130},	// Soprano::Error::Error::isParserError
    {17, 627, 128},	// Soprano::Error::Error::message
    {17, 654, 127},	// Soprano::Error::Error::operator bool
    {17, 660, 126},	// Soprano::Error::Error::operator=#
    {17, 866, 131},	// Soprano::Error::Error::toParserError
    {17, 937, 134},	// Soprano::Error::Error::~Error
    {18, 73, 136},	// Soprano::Error::ErrorCache::ErrorCache
    {18, 74, 140},	// Soprano::Error::ErrorCache::ErrorCache#
    {18, 324, 137},	// Soprano::Error::ErrorCache::clearError
    {18, 577, 135},	// Soprano::Error::ErrorCache::lastError
    {18, 787, 138},	// Soprano::Error::ErrorCache::setError#
    {18, 788, 141},	// Soprano::Error::ErrorCache::setError$
    {18, 789, 139},	// Soprano::Error::ErrorCache::setError$$
    {18, 938, 142},	// Soprano::Error::ErrorCache::~ErrorCache
    {21, 149, 143},	// Soprano::Error::ParserError::ParserError
    {21, 150, -34},	// Soprano::Error::ParserError::ParserError#
    {21, 151, 150},	// Soprano::Error::ParserError::ParserError#$
    {21, 152, 144},	// Soprano::Error::ParserError::ParserError#$$
    {21, 610, 147},	// Soprano::Error::ParserError::locator
    {21, 660, 146},	// Soprano::Error::ParserError::operator=#
    {21, 945, 151},	// Soprano::Error::ParserError::~ParserError
    {22, 79, 181},	// Soprano::FilterModel::FilterModel
    {22, 80, 182},	// Soprano::FilterModel::FilterModel#
    {22, 253, 161},	// Soprano::FilterModel::addStatement#
    {22, 254, 189},	// Soprano::FilterModel::addStatement###
    {22, 255, 162},	// Soprano::FilterModel::addStatement####
    {22, 347, 173},	// Soprano::FilterModel::containsAnyStatement#
    {22, 348, 195},	// Soprano::FilterModel::containsAnyStatement###
    {22, 349, 174},	// Soprano::FilterModel::containsAnyStatement####
    {22, 357, 171},	// Soprano::FilterModel::containsStatement#
    {22, 358, 194},	// Soprano::FilterModel::containsStatement###
    {22, 359, 172},	// Soprano::FilterModel::containsStatement####
    {22, 373, 178},	// Soprano::FilterModel::createBlankNode
    {22, 447, 193},	// Soprano::FilterModel::executeQuery$$
    {22, 448, 170},	// Soprano::FilterModel::executeQuery$$$
    {22, 533, 175},	// Soprano::FilterModel::isEmpty
    {22, 586, 169},	// Soprano::FilterModel::listContexts
    {22, 588, 180},	// Soprano::FilterModel::listStatements
    {22, 589, 167},	// Soprano::FilterModel::listStatements#
    {22, 590, 192},	// Soprano::FilterModel::listStatements###
    {22, 591, 168},	// Soprano::FilterModel::listStatements####
    {22, 628, 152},	// Soprano::FilterModel::metaObject
    {22, 675, 160},	// Soprano::FilterModel::parentModel
    {22, 677, 185},	// Soprano::FilterModel::parentStatementAdded#
    {22, 679, 186},	// Soprano::FilterModel::parentStatementRemoved#
    {22, 680, 183},	// Soprano::FilterModel::parentStatementsAdded
    {22, 681, 184},	// Soprano::FilterModel::parentStatementsRemoved
    {22, 713, 158},	// Soprano::FilterModel::qt_metacall$$?
    {22, 715, 153},	// Soprano::FilterModel::qt_metacast$
    {22, 730, 179},	// Soprano::FilterModel::removeAllStatements
    {22, 731, 165},	// Soprano::FilterModel::removeAllStatements#
    {22, 732, 191},	// Soprano::FilterModel::removeAllStatements###
    {22, 733, 166},	// Soprano::FilterModel::removeAllStatements####
    {22, 741, 163},	// Soprano::FilterModel::removeStatement#
    {22, 742, 190},	// Soprano::FilterModel::removeStatement###
    {22, 743, 164},	// Soprano::FilterModel::removeStatement####
    {22, 797, 159},	// Soprano::FilterModel::setParentModel#
    {22, 827, 176},	// Soprano::FilterModel::statementCount
    {22, 834, 196},	// Soprano::FilterModel::staticMetaObject
    {22, 871, 187},	// Soprano::FilterModel::tr$
    {22, 872, 154},	// Soprano::FilterModel::tr$$
    {22, 873, 156},	// Soprano::FilterModel::tr$$$
    {22, 875, 188},	// Soprano::FilterModel::trUtf8$
    {22, 876, 155},	// Soprano::FilterModel::trUtf8$$
    {22, 877, 157},	// Soprano::FilterModel::trUtf8$$$
    {22, 923, 177},	// Soprano::FilterModel::write#
    {22, 939, 197},	// Soprano::FilterModel::~FilterModel
    {24, 94, 205},	// Soprano::Inference::InferenceModel::InferenceModel#
    {24, 251, 209},	// Soprano::Inference::InferenceModel::addRule#
    {24, 253, 206},	// Soprano::Inference::InferenceModel::addStatement#
    {24, 254, 221},	// Soprano::Inference::InferenceModel::addStatement###
    {24, 255, 211},	// Soprano::Inference::InferenceModel::addStatement####
    {24, 325, 216},	// Soprano::Inference::InferenceModel::clearInference
    {24, 628, 198},	// Soprano::Inference::InferenceModel::metaObject
    {24, 691, 215},	// Soprano::Inference::InferenceModel::performInference
    {24, 713, 204},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {24, 715, 199},	// Soprano::Inference::InferenceModel::qt_metacast$
    {24, 730, 214},	// Soprano::Inference::InferenceModel::removeAllStatements
    {24, 731, 208},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {24, 732, 223},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {24, 733, 213},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {24, 741, 207},	// Soprano::Inference::InferenceModel::removeStatement#
    {24, 742, 222},	// Soprano::Inference::InferenceModel::removeStatement###
    {24, 743, 212},	// Soprano::Inference::InferenceModel::removeStatement####
    {24, 782, 217},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {24, 795, 218},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {24, 807, 210},	// Soprano::Inference::InferenceModel::setRules?
    {24, 834, 224},	// Soprano::Inference::InferenceModel::staticMetaObject
    {24, 871, 219},	// Soprano::Inference::InferenceModel::tr$
    {24, 872, 200},	// Soprano::Inference::InferenceModel::tr$$
    {24, 873, 202},	// Soprano::Inference::InferenceModel::tr$$$
    {24, 875, 220},	// Soprano::Inference::InferenceModel::trUtf8$
    {24, 876, 201},	// Soprano::Inference::InferenceModel::trUtf8$$
    {24, 877, 203},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {24, 940, 225},	// Soprano::Inference::InferenceModel::~InferenceModel
    {28, 126, 262},	// Soprano::Model::Model
    {28, 253, 233},	// Soprano::Model::addStatement#
    {28, 254, 265},	// Soprano::Model::addStatement###
    {28, 255, 234},	// Soprano::Model::addStatement####
    {28, 261, 235},	// Soprano::Model::addStatements?
    {28, 347, 249},	// Soprano::Model::containsAnyStatement#
    {28, 348, 270},	// Soprano::Model::containsAnyStatement###
    {28, 349, 250},	// Soprano::Model::containsAnyStatement####
    {28, 355, 253},	// Soprano::Model::containsContext#
    {28, 357, 251},	// Soprano::Model::containsStatement#
    {28, 358, 271},	// Soprano::Model::containsStatement###
    {28, 359, 252},	// Soprano::Model::containsStatement####
    {28, 373, 257},	// Soprano::Model::createBlankNode
    {28, 447, 269},	// Soprano::Model::executeQuery$$
    {28, 448, 248},	// Soprano::Model::executeQuery$$$
    {28, 533, 254},	// Soprano::Model::isEmpty
    {28, 586, 247},	// Soprano::Model::listContexts
    {28, 588, 245},	// Soprano::Model::listStatements
    {28, 589, 243},	// Soprano::Model::listStatements#
    {28, 590, 268},	// Soprano::Model::listStatements###
    {28, 591, 244},	// Soprano::Model::listStatements####
    {28, 597, 246},	// Soprano::Model::listStatementsInContext#
    {28, 628, 226},	// Soprano::Model::metaObject
    {28, 713, 232},	// Soprano::Model::qt_metacall$$?
    {28, 715, 227},	// Soprano::Model::qt_metacast$
    {28, 730, 242},	// Soprano::Model::removeAllStatements
    {28, 731, 238},	// Soprano::Model::removeAllStatements#
    {28, 732, 267},	// Soprano::Model::removeAllStatements###
    {28, 733, 239},	// Soprano::Model::removeAllStatements####
    {28, 739, 241},	// Soprano::Model::removeContext#
    {28, 741, 236},	// Soprano::Model::removeStatement#
    {28, 742, 266},	// Soprano::Model::removeStatement###
    {28, 743, 237},	// Soprano::Model::removeStatement####
    {28, 749, 240},	// Soprano::Model::removeStatements?
    {28, 826, 260},	// Soprano::Model::statementAdded#
    {28, 827, 255},	// Soprano::Model::statementCount
    {28, 831, 261},	// Soprano::Model::statementRemoved#
    {28, 832, 258},	// Soprano::Model::statementsAdded
    {28, 833, 259},	// Soprano::Model::statementsRemoved
    {28, 834, 272},	// Soprano::Model::staticMetaObject
    {28, 871, 263},	// Soprano::Model::tr$
    {28, 872, 228},	// Soprano::Model::tr$$
    {28, 873, 230},	// Soprano::Model::tr$$$
    {28, 875, 264},	// Soprano::Model::trUtf8$
    {28, 876, 229},	// Soprano::Model::trUtf8$$
    {28, 877, 231},	// Soprano::Model::trUtf8$$$
    {28, 923, 256},	// Soprano::Model::write#
    {28, 941, 273},	// Soprano::Model::~Model
    {29, 41, 316},	// Soprano::Node::BlankNode
    {29, 68, 313},	// Soprano::Node::EmptyNode
    {29, 89, 320},	// Soprano::Node::IgnorePrefixes
    {29, 119, 315},	// Soprano::Node::LiteralNode
    {29, 131, 317},	// Soprano::Node::NoFlags
    {29, 132, 274},	// Soprano::Node::Node
    {29, 133, -1},	// Soprano::Node::Node#
    {29, 134, 278},	// Soprano::Node::Node#$
    {29, 135, 276},	// Soprano::Node::Node$
    {29, 186, 314},	// Soprano::Node::ResourceNode
    {29, 227, 318},	// Soprano::Node::StrictLiteralTypes
    {29, 228, 319},	// Soprano::Node::StrictUris
    {29, 306, 307},	// Soprano::Node::blankToN3$
    {29, 374, 303},	// Soprano::Node::createBlankNode$
    {29, 376, 301},	// Soprano::Node::createEmptyNode
    {29, 378, 304},	// Soprano::Node::createLiteralNode#
    {29, 379, 305},	// Soprano::Node::createLiteralNode#$
    {29, 383, 302},	// Soprano::Node::createResourceNode#
    {29, 390, 297},	// Soprano::Node::dataType
    {29, 473, 311},	// Soprano::Node::fromN3$
    {29, 474, 309},	// Soprano::Node::fromN3$$
    {29, 476, 312},	// Soprano::Node::fromN3Stream#
    {29, 477, 310},	// Soprano::Node::fromN3Stream#$
    {29, 505, 295},	// Soprano::Node::identifier
    {29, 520, 293},	// Soprano::Node::isBlank
    {29, 533, 289},	// Soprano::Node::isEmpty
    {29, 539, 291},	// Soprano::Node::isLiteral
    {29, 549, 292},	// Soprano::Node::isResource
    {29, 559, 290},	// Soprano::Node::isValid
    {29, 576, 298},	// Soprano::Node::language
    {29, 598, 296},	// Soprano::Node::literal
    {29, 600, 308},	// Soprano::Node::literalToN3#
    {29, 618, 287},	// Soprano::Node::matches#
    {29, 656, 284},	// Soprano::Node::operator!=#
    {29, 660, -5},	// Soprano::Node::operator=#
    {29, 662, -9},	// Soprano::Node::operator==#
    {29, 754, 306},	// Soprano::Node::resourceToN3#
    {29, 865, 300},	// Soprano::Node::toN3
    {29, 867, 299},	// Soprano::Node::toString
    {29, 881, 288},	// Soprano::Node::type
    {29, 888, 294},	// Soprano::Node::uri
    {29, 942, 321},	// Soprano::Node::~Node
    {30, 136, 322},	// Soprano::NodeIterator::NodeIterator
    {30, 137, 324},	// Soprano::NodeIterator::NodeIterator#
    {30, 138, 323},	// Soprano::NodeIterator::NodeIterator?
    {30, 271, 326},	// Soprano::NodeIterator::allNodes
    {30, 660, 325},	// Soprano::NodeIterator::operator=#
    {30, 943, 327},	// Soprano::NodeIterator::~NodeIterator
    {31, 147, 335},	// Soprano::Parser::Parser#
    {31, 148, 334},	// Soprano::Parser::Parser$
    {31, 683, 337},	// Soprano::Parser::parseFile$#$
    {31, 684, 331},	// Soprano::Parser::parseFile$#$$
    {31, 686, 339},	// Soprano::Parser::parseStream##$
    {31, 687, 333},	// Soprano::Parser::parseStream##$$
    {31, 689, 338},	// Soprano::Parser::parseString$#$
    {31, 690, 332},	// Soprano::Parser::parseString$#$$
    {31, 850, 328},	// Soprano::Parser::supportedSerializations
    {31, 852, 329},	// Soprano::Parser::supportedUserSerializations
    {31, 857, 336},	// Soprano::Parser::supportsSerialization$
    {31, 858, 330},	// Soprano::Parser::supportsSerialization$$
    {31, 944, 340},	// Soprano::Parser::~Parser
    {32, 158, 344},	// Soprano::Plugin::Plugin#
    {32, 159, 343},	// Soprano::Plugin::Plugin$
    {32, 518, 342},	// Soprano::Plugin::isAvailable
    {32, 699, 341},	// Soprano::Plugin::pluginName
    {32, 946, 345},	// Soprano::Plugin::~Plugin
    {33, 269, 360},	// Soprano::PluginManager::allBackends
    {33, 272, 363},	// Soprano::PluginManager::allParsers
    {33, 273, 366},	// Soprano::PluginManager::allSerializers
    {33, 417, 371},	// Soprano::PluginManager::discoverBackendByFeatures$
    {33, 418, 359},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {33, 420, 358},	// Soprano::PluginManager::discoverBackendByName$
    {33, 422, 361},	// Soprano::PluginManager::discoverParserByName$
    {33, 424, 372},	// Soprano::PluginManager::discoverParserForSerialization$
    {33, 425, 362},	// Soprano::PluginManager::discoverParserForSerialization$$
    {33, 427, 364},	// Soprano::PluginManager::discoverSerializerByName$
    {33, 429, 373},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {33, 430, 365},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {33, 510, 367},	// Soprano::PluginManager::instance
    {33, 602, 355},	// Soprano::PluginManager::loadCustomBackend$
    {33, 604, 356},	// Soprano::PluginManager::loadCustomParser$
    {33, 606, 354},	// Soprano::PluginManager::loadCustomPlugin$
    {33, 608, 357},	// Soprano::PluginManager::loadCustomSerializer$
    {33, 628, 346},	// Soprano::PluginManager::metaObject
    {33, 713, 352},	// Soprano::PluginManager::qt_metacall$$?
    {33, 715, 347},	// Soprano::PluginManager::qt_metacast$
    {33, 799, 370},	// Soprano::PluginManager::setPluginSearchPath?
    {33, 800, 353},	// Soprano::PluginManager::setPluginSearchPath?$
    {33, 834, 374},	// Soprano::PluginManager::staticMetaObject
    {33, 871, 368},	// Soprano::PluginManager::tr$
    {33, 872, 348},	// Soprano::PluginManager::tr$$
    {33, 873, 350},	// Soprano::PluginManager::tr$$$
    {33, 875, 369},	// Soprano::PluginManager::trUtf8$
    {33, 876, 349},	// Soprano::PluginManager::trUtf8$$
    {33, 877, 351},	// Soprano::PluginManager::trUtf8$$$
    {33, 947, 375},	// Soprano::PluginManager::~PluginManager
    {34, 173, 376},	// Soprano::QueryResultIterator::QueryResultIterator
    {34, 174, -22},	// Soprano::QueryResultIterator::QueryResultIterator#
    {34, 270, 392},	// Soprano::QueryResultIterator::allBindings
    {34, 301, -25},	// Soprano::QueryResultIterator::binding$
    {34, 302, 387},	// Soprano::QueryResultIterator::bindingCount
    {34, 303, 388},	// Soprano::QueryResultIterator::bindingNames
    {34, 308, 382},	// Soprano::QueryResultIterator::boolValue
    {34, 387, 381},	// Soprano::QueryResultIterator::currentBindings
    {34, 388, 380},	// Soprano::QueryResultIterator::currentStatement
    {34, 519, 390},	// Soprano::QueryResultIterator::isBinding
    {34, 521, 391},	// Soprano::QueryResultIterator::isBool
    {34, 536, 389},	// Soprano::QueryResultIterator::isGraph
    {34, 562, -28},	// Soprano::QueryResultIterator::iterateBindings$
    {34, 566, 393},	// Soprano::QueryResultIterator::iterateStatements
    {34, 568, 397},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {34, 569, 398},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {34, 570, 396},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {34, 660, 379},	// Soprano::QueryResultIterator::operator=#
    {34, 665, -31},	// Soprano::QueryResultIterator::operator[]$
    {34, 948, 399},	// Soprano::QueryResultIterator::~QueryResultIterator
    {36, 177, 419},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {36, 178, 400},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {36, 323, 401},	// Soprano::RdfSchemaModel::classes
    {36, 406, 420},	// Soprano::RdfSchemaModel::directSubClassOf#
    {36, 407, 402},	// Soprano::RdfSchemaModel::directSubClassOf##
    {36, 409, 421},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {36, 410, 403},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {36, 412, 404},	// Soprano::RdfSchemaModel::directType##
    {36, 435, 405},	// Soprano::RdfSchemaModel::domain##
    {36, 523, 411},	// Soprano::RdfSchemaModel::isClass#
    {36, 528, 413},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {36, 530, 414},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {36, 532, 415},	// Soprano::RdfSchemaModel::isDirectType##
    {36, 545, 412},	// Soprano::RdfSchemaModel::isProperty#
    {36, 552, 416},	// Soprano::RdfSchemaModel::isSubClassOf##
    {36, 554, 417},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {36, 558, 418},	// Soprano::RdfSchemaModel::isType##
    {36, 709, 406},	// Soprano::RdfSchemaModel::properties
    {36, 718, 407},	// Soprano::RdfSchemaModel::range##
    {36, 839, 422},	// Soprano::RdfSchemaModel::subClassOf#
    {36, 840, 408},	// Soprano::RdfSchemaModel::subClassOf##
    {36, 843, 423},	// Soprano::RdfSchemaModel::subPropertyOf#
    {36, 844, 409},	// Soprano::RdfSchemaModel::subPropertyOf##
    {36, 882, 410},	// Soprano::RdfSchemaModel::type##
    {36, 949, 424},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {37, 203, 433},	// Soprano::Serializer::Serializer#
    {37, 204, 432},	// Soprano::Serializer::Serializer$
    {37, 249, 429},	// Soprano::Serializer::addPrefix$#
    {37, 326, 430},	// Soprano::Serializer::clearPrefixes
    {37, 705, 431},	// Soprano::Serializer::prefixes
    {37, 777, 435},	// Soprano::Serializer::serialize##$
    {37, 778, 428},	// Soprano::Serializer::serialize##$$
    {37, 850, 425},	// Soprano::Serializer::supportedSerializations
    {37, 852, 426},	// Soprano::Serializer::supportedUserSerializations
    {37, 857, 434},	// Soprano::Serializer::supportsSerialization$
    {37, 858, 427},	// Soprano::Serializer::supportsSerialization$$
    {37, 951, 436},	// Soprano::Serializer::~Serializer
    {38, 218, 437},	// Soprano::Statement::Statement
    {38, 219, 439},	// Soprano::Statement::Statement#
    {38, 220, 453},	// Soprano::Statement::Statement###
    {38, 221, 438},	// Soprano::Statement::Statement####
    {38, 369, 448},	// Soprano::Statement::context
    {38, 559, 444},	// Soprano::Statement::isValid
    {38, 618, 443},	// Soprano::Statement::matches#
    {38, 650, 447},	// Soprano::Statement::object
    {38, 656, 442},	// Soprano::Statement::operator!=#
    {38, 660, 440},	// Soprano::Statement::operator=#
    {38, 662, 441},	// Soprano::Statement::operator==#
    {38, 702, 446},	// Soprano::Statement::predicate
    {38, 784, 452},	// Soprano::Statement::setContext#
    {38, 793, 451},	// Soprano::Statement::setObject#
    {38, 802, 450},	// Soprano::Statement::setPredicate#
    {38, 809, 449},	// Soprano::Statement::setSubject#
    {38, 845, 445},	// Soprano::Statement::subject
    {38, 955, 454},	// Soprano::Statement::~Statement
    {39, 222, 455},	// Soprano::StatementIterator::StatementIterator
    {39, 223, 457},	// Soprano::StatementIterator::StatementIterator#
    {39, 224, 456},	// Soprano::StatementIterator::StatementIterator?
    {39, 274, 459},	// Soprano::StatementIterator::allStatements
    {39, 563, 463},	// Soprano::StatementIterator::iterateContexts
    {39, 564, 462},	// Soprano::StatementIterator::iterateObjects
    {39, 565, 461},	// Soprano::StatementIterator::iteratePredicates
    {39, 571, 460},	// Soprano::StatementIterator::iterateSubjects
    {39, 660, 458},	// Soprano::StatementIterator::operator=#
    {39, 956, 464},	// Soprano::StatementIterator::~StatementIterator
    {40, 226, 481},	// Soprano::StorageModel::StorageModel#
    {40, 295, 476},	// Soprano::StorageModel::backend
    {40, 347, 474},	// Soprano::StorageModel::containsAnyStatement#
    {40, 348, 486},	// Soprano::StorageModel::containsAnyStatement###
    {40, 349, 480},	// Soprano::StorageModel::containsAnyStatement####
    {40, 357, 473},	// Soprano::StorageModel::containsStatement#
    {40, 358, 485},	// Soprano::StorageModel::containsStatement###
    {40, 359, 479},	// Soprano::StorageModel::containsStatement####
    {40, 533, 472},	// Soprano::StorageModel::isEmpty
    {40, 628, 465},	// Soprano::StorageModel::metaObject
    {40, 713, 471},	// Soprano::StorageModel::qt_metacall$$?
    {40, 715, 466},	// Soprano::StorageModel::qt_metacast$
    {40, 730, 478},	// Soprano::StorageModel::removeAllStatements
    {40, 731, 475},	// Soprano::StorageModel::removeAllStatements#
    {40, 732, 484},	// Soprano::StorageModel::removeAllStatements###
    {40, 733, 477},	// Soprano::StorageModel::removeAllStatements####
    {40, 834, 487},	// Soprano::StorageModel::staticMetaObject
    {40, 871, 482},	// Soprano::StorageModel::tr$
    {40, 872, 467},	// Soprano::StorageModel::tr$$
    {40, 873, 469},	// Soprano::StorageModel::tr$$$
    {40, 875, 483},	// Soprano::StorageModel::trUtf8$
    {40, 876, 468},	// Soprano::StorageModel::trUtf8$$
    {40, 877, 470},	// Soprano::StorageModel::trUtf8$$$
    {40, 957, 488},	// Soprano::StorageModel::~StorageModel
    {41, 9, 537},	// Soprano::Util::AsyncModel::AsyncModel
    {41, 10, 496},	// Soprano::Util::AsyncModel::AsyncModel#
    {41, 127, 554},	// Soprano::Util::AsyncModel::MultiThreaded
    {41, 213, 553},	// Soprano::Util::AsyncModel::SingleThreaded
    {41, 253, 522},	// Soprano::Util::AsyncModel::addStatement#
    {41, 254, 546},	// Soprano::Util::AsyncModel::addStatement###
    {41, 255, 523},	// Soprano::Util::AsyncModel::addStatement####
    {41, 257, 499},	// Soprano::Util::AsyncModel::addStatementAsync#
    {41, 258, 538},	// Soprano::Util::AsyncModel::addStatementAsync###
    {41, 259, 500},	// Soprano::Util::AsyncModel::addStatementAsync####
    {41, 263, 501},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {41, 347, 533},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {41, 348, 551},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {41, 349, 534},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {41, 351, 516},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {41, 352, 544},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {41, 353, 517},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {41, 357, 531},	// Soprano::Util::AsyncModel::containsStatement#
    {41, 358, 550},	// Soprano::Util::AsyncModel::containsStatement###
    {41, 359, 532},	// Soprano::Util::AsyncModel::containsStatement####
    {41, 361, 514},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {41, 362, 543},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {41, 363, 515},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {41, 375, 518},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {41, 447, 545},	// Soprano::Util::AsyncModel::executeQuery$$
    {41, 448, 521},	// Soprano::Util::AsyncModel::executeQuery$$$
    {41, 450, 542},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {41, 451, 513},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {41, 534, 507},	// Soprano::Util::AsyncModel::isEmptyAsync
    {41, 586, 520},	// Soprano::Util::AsyncModel::listContexts
    {41, 587, 512},	// Soprano::Util::AsyncModel::listContextsAsync
    {41, 588, 530},	// Soprano::Util::AsyncModel::listStatements
    {41, 589, 519},	// Soprano::Util::AsyncModel::listStatements#
    {41, 590, 549},	// Soprano::Util::AsyncModel::listStatements###
    {41, 591, 529},	// Soprano::Util::AsyncModel::listStatements####
    {41, 592, 511},	// Soprano::Util::AsyncModel::listStatementsAsync
    {41, 593, 509},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {41, 594, 541},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {41, 595, 510},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {41, 628, 489},	// Soprano::Util::AsyncModel::metaObject
    {41, 634, 498},	// Soprano::Util::AsyncModel::mode
    {41, 713, 495},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {41, 715, 490},	// Soprano::Util::AsyncModel::qt_metacast$
    {41, 730, 528},	// Soprano::Util::AsyncModel::removeAllStatements
    {41, 731, 526},	// Soprano::Util::AsyncModel::removeAllStatements#
    {41, 732, 548},	// Soprano::Util::AsyncModel::removeAllStatements###
    {41, 733, 527},	// Soprano::Util::AsyncModel::removeAllStatements####
    {41, 735, 505},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {41, 736, 540},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {41, 737, 506},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {41, 741, 524},	// Soprano::Util::AsyncModel::removeStatement#
    {41, 742, 547},	// Soprano::Util::AsyncModel::removeStatement###
    {41, 743, 525},	// Soprano::Util::AsyncModel::removeStatement####
    {41, 745, 502},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {41, 746, 539},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {41, 747, 503},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {41, 751, 504},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {41, 791, 497},	// Soprano::Util::AsyncModel::setMode$
    {41, 828, 508},	// Soprano::Util::AsyncModel::statementCountAsync
    {41, 834, 552},	// Soprano::Util::AsyncModel::staticMetaObject
    {41, 871, 535},	// Soprano::Util::AsyncModel::tr$
    {41, 872, 491},	// Soprano::Util::AsyncModel::tr$$
    {41, 873, 493},	// Soprano::Util::AsyncModel::tr$$$
    {41, 875, 536},	// Soprano::Util::AsyncModel::trUtf8$
    {41, 876, 492},	// Soprano::Util::AsyncModel::trUtf8$$
    {41, 877, 494},	// Soprano::Util::AsyncModel::trUtf8$$$
    {41, 932, 555},	// Soprano::Util::AsyncModel::~AsyncModel
    {42, 301, -13},	// Soprano::Util::AsyncQuery::binding$
    {42, 302, 568},	// Soprano::Util::AsyncQuery::bindingCount
    {42, 303, 569},	// Soprano::Util::AsyncQuery::bindingNames
    {42, 308, 565},	// Soprano::Util::AsyncQuery::boolValue
    {42, 327, 574},	// Soprano::Util::AsyncQuery::close
    {42, 387, 564},	// Soprano::Util::AsyncQuery::currentBindings
    {42, 388, 563},	// Soprano::Util::AsyncQuery::currentStatement
    {42, 445, 580},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {42, 446, 577},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {42, 462, 576},	// Soprano::Util::AsyncQuery::finished#
    {42, 519, 571},	// Soprano::Util::AsyncQuery::isBinding
    {42, 521, 572},	// Soprano::Util::AsyncQuery::isBool
    {42, 536, 570},	// Soprano::Util::AsyncQuery::isGraph
    {42, 628, 556},	// Soprano::Util::AsyncQuery::metaObject
    {42, 641, 573},	// Soprano::Util::AsyncQuery::next
    {42, 643, 575},	// Soprano::Util::AsyncQuery::nextReady#
    {42, 713, 562},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {42, 715, 557},	// Soprano::Util::AsyncQuery::qt_metacast$
    {42, 834, 581},	// Soprano::Util::AsyncQuery::staticMetaObject
    {42, 871, 578},	// Soprano::Util::AsyncQuery::tr$
    {42, 872, 558},	// Soprano::Util::AsyncQuery::tr$$
    {42, 873, 560},	// Soprano::Util::AsyncQuery::tr$$$
    {42, 875, 579},	// Soprano::Util::AsyncQuery::trUtf8$
    {42, 876, 559},	// Soprano::Util::AsyncQuery::trUtf8$$
    {42, 877, 561},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {42, 933, 582},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {43, 384, 591},	// Soprano::Util::AsyncResult::createResult
    {43, 441, 593},	// Soprano::Util::AsyncResult::errorCode
    {43, 628, 583},	// Soprano::Util::AsyncResult::metaObject
    {43, 645, 597},	// Soprano::Util::AsyncResult::node
    {43, 646, 595},	// Soprano::Util::AsyncResult::nodeIterator
    {43, 713, 589},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {43, 715, 584},	// Soprano::Util::AsyncResult::qt_metacast$
    {43, 716, 596},	// Soprano::Util::AsyncResult::queryResultIterator
    {43, 757, 590},	// Soprano::Util::AsyncResult::resultReady#
    {43, 805, 598},	// Soprano::Util::AsyncResult::setResult##
    {43, 829, 594},	// Soprano::Util::AsyncResult::statementIterator
    {43, 834, 601},	// Soprano::Util::AsyncResult::staticMetaObject
    {43, 871, 599},	// Soprano::Util::AsyncResult::tr$
    {43, 872, 585},	// Soprano::Util::AsyncResult::tr$$
    {43, 873, 587},	// Soprano::Util::AsyncResult::tr$$$
    {43, 875, 600},	// Soprano::Util::AsyncResult::trUtf8$
    {43, 876, 586},	// Soprano::Util::AsyncResult::trUtf8$$
    {43, 877, 588},	// Soprano::Util::AsyncResult::trUtf8$$$
    {43, 898, 592},	// Soprano::Util::AsyncResult::value
    {43, 934, 602},	// Soprano::Util::AsyncResult::~AsyncResult
    {44, 179, 633},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {44, 180, 610},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {44, 253, 619},	// Soprano::Util::ReadOnlyModel::addStatement#
    {44, 254, 635},	// Soprano::Util::ReadOnlyModel::addStatement###
    {44, 255, 623},	// Soprano::Util::ReadOnlyModel::addStatement####
    {44, 347, 616},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {44, 348, 640},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {44, 349, 630},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {44, 357, 615},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {44, 358, 639},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {44, 359, 629},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {44, 373, 622},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {44, 447, 634},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {44, 448, 614},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {44, 533, 617},	// Soprano::Util::ReadOnlyModel::isEmpty
    {44, 586, 613},	// Soprano::Util::ReadOnlyModel::listContexts
    {44, 588, 628},	// Soprano::Util::ReadOnlyModel::listStatements
    {44, 589, 612},	// Soprano::Util::ReadOnlyModel::listStatements#
    {44, 590, 638},	// Soprano::Util::ReadOnlyModel::listStatements###
    {44, 591, 627},	// Soprano::Util::ReadOnlyModel::listStatements####
    {44, 628, 603},	// Soprano::Util::ReadOnlyModel::metaObject
    {44, 713, 609},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {44, 715, 604},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {44, 730, 626},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {44, 731, 621},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {44, 732, 637},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {44, 733, 625},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {44, 741, 620},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {44, 742, 636},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {44, 743, 624},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {44, 797, 611},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {44, 827, 618},	// Soprano::Util::ReadOnlyModel::statementCount
    {44, 834, 641},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {44, 871, 631},	// Soprano::Util::ReadOnlyModel::tr$
    {44, 872, 605},	// Soprano::Util::ReadOnlyModel::tr$$
    {44, 873, 607},	// Soprano::Util::ReadOnlyModel::tr$$$
    {44, 875, 632},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {44, 876, 606},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {44, 877, 608},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {44, 950, 642},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {45, 205, 658},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {45, 206, 650},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {45, 310, 651},	// Soprano::Util::SignalCacheModel::cacheTime
    {45, 628, 643},	// Soprano::Util::SignalCacheModel::metaObject
    {45, 680, 653},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {45, 681, 654},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {45, 713, 649},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {45, 715, 644},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {45, 780, 652},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {45, 834, 659},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {45, 862, 655},	// Soprano::Util::SignalCacheModel::timerEvent#
    {45, 871, 656},	// Soprano::Util::SignalCacheModel::tr$
    {45, 872, 645},	// Soprano::Util::SignalCacheModel::tr$$
    {45, 873, 647},	// Soprano::Util::SignalCacheModel::tr$$$
    {45, 875, 657},	// Soprano::Util::SignalCacheModel::trUtf8$
    {45, 876, 646},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {45, 877, 648},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {45, 952, 660},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {46, 207, 661},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {46, 208, 663},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {46, 209, 662},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {46, 660, 665},	// Soprano::Util::SimpleNodeIterator::operator=#
    {46, 663, 664},	// Soprano::Util::SimpleNodeIterator::operator=?
    {46, 953, 666},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {47, 210, 667},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {47, 211, 669},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {47, 212, 668},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {47, 660, 671},	// Soprano::Util::SimpleStatementIterator::operator=#
    {47, 663, 670},	// Soprano::Util::SimpleStatementIterator::operator=?
    {47, 954, 672},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {48, 1, 674},	// Soprano::Vocabulary::NAO::Agent
    {48, 82, 707},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {48, 153, 693},	// Soprano::Vocabulary::NAO::Party
    {48, 229, 687},	// Soprano::Vocabulary::NAO::Symbol
    {48, 232, 686},	// Soprano::Vocabulary::NAO::Tag
    {48, 276, 712},	// Soprano::Vocabulary::NAO::altLabel
    {48, 277, 677},	// Soprano::Vocabulary::NAO::altSymbol
    {48, 278, 681},	// Soprano::Vocabulary::NAO::annotation
    {48, 370, 697},	// Soprano::Vocabulary::NAO::contributor
    {48, 385, 698},	// Soprano::Vocabulary::NAO::created
    {48, 386, 714},	// Soprano::Vocabulary::NAO::creator
    {48, 401, 710},	// Soprano::Vocabulary::NAO::deprecated
    {48, 403, 684},	// Soprano::Vocabulary::NAO::description
    {48, 437, 711},	// Soprano::Vocabulary::NAO::engineeringTool
    {48, 485, 709},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {48, 486, 705},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {48, 489, 699},	// Soprano::Vocabulary::NAO::hasSubResource
    {48, 490, 690},	// Soprano::Vocabulary::NAO::hasSuperResource
    {48, 491, 696},	// Soprano::Vocabulary::NAO::hasSymbol
    {48, 492, 713},	// Soprano::Vocabulary::NAO::hasTag
    {48, 493, 701},	// Soprano::Vocabulary::NAO::hasTopic
    {48, 503, 702},	// Soprano::Vocabulary::NAO::iconName
    {48, 505, 700},	// Soprano::Vocabulary::NAO::identifier
    {48, 525, 704},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {48, 548, 706},	// Soprano::Vocabulary::NAO::isRelated
    {48, 555, 676},	// Soprano::Vocabulary::NAO::isTagFor
    {48, 556, 683},	// Soprano::Vocabulary::NAO::isTopicOf
    {48, 578, 694},	// Soprano::Vocabulary::NAO::lastModified
    {48, 614, 703},	// Soprano::Vocabulary::NAO::maintainedBy
    {48, 635, 689},	// Soprano::Vocabulary::NAO::modified
    {48, 638, 692},	// Soprano::Vocabulary::NAO::naoNamespace
    {48, 649, 673},	// Soprano::Vocabulary::NAO::numericRating
    {48, 695, 685},	// Soprano::Vocabulary::NAO::personalIdentifier
    {48, 700, 680},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {48, 703, 695},	// Soprano::Vocabulary::NAO::prefLabel
    {48, 704, 691},	// Soprano::Vocabulary::NAO::prefSymbol
    {48, 719, 678},	// Soprano::Vocabulary::NAO::rating
    {48, 766, 715},	// Soprano::Vocabulary::NAO::score
    {48, 767, 682},	// Soprano::Vocabulary::NAO::scoreParameter
    {48, 772, 708},	// Soprano::Vocabulary::NAO::serializationLanguage
    {48, 835, 688},	// Soprano::Vocabulary::NAO::status
    {48, 896, 679},	// Soprano::Vocabulary::NAO::userVisible
    {48, 905, 675},	// Soprano::Vocabulary::NAO::version
    {49, 8, 752},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {49, 46, 725},	// Soprano::Vocabulary::NRL::Configuration
    {49, 52, 749},	// Soprano::Vocabulary::NRL::Data
    {49, 57, 719},	// Soprano::Vocabulary::NRL::DefaultGraph
    {49, 61, 740},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {49, 63, 718},	// Soprano::Vocabulary::NRL::DocumentGraph
    {49, 75, 738},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {49, 83, 723},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {49, 84, 742},	// Soprano::Vocabulary::NRL::Graph
    {49, 85, 743},	// Soprano::Vocabulary::NRL::GraphMetadata
    {49, 86, 727},	// Soprano::Vocabulary::NRL::GraphView
    {49, 95, 746},	// Soprano::Vocabulary::NRL::InstanceBase
    {49, 96, 755},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {49, 97, 732},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {49, 142, 730},	// Soprano::Vocabulary::NRL::Ontology
    {49, 181, 731},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {49, 190, 721},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {49, 191, 724},	// Soprano::Vocabulary::NRL::Schema
    {49, 192, 728},	// Soprano::Vocabulary::NRL::Semantics
    {49, 230, 745},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {49, 236, 726},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {49, 239, 757},	// Soprano::Vocabulary::NRL::ViewSpecification
    {49, 313, 751},	// Soprano::Vocabulary::NRL::cardinality
    {49, 372, 722},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {49, 439, 744},	// Soprano::Vocabulary::NRL::equivalentGraph
    {49, 455, 739},	// Soprano::Vocabulary::NRL::externalRealizer
    {49, 483, 734},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {49, 487, 733},	// Soprano::Vocabulary::NRL::hasSemantics
    {49, 488, 741},	// Soprano::Vocabulary::NRL::hasSpecification
    {49, 507, 735},	// Soprano::Vocabulary::NRL::imports
    {49, 516, 729},	// Soprano::Vocabulary::NRL::inverseProperty
    {49, 619, 747},	// Soprano::Vocabulary::NRL::maxCardinality
    {49, 633, 720},	// Soprano::Vocabulary::NRL::minCardinality
    {49, 648, 750},	// Soprano::Vocabulary::NRL::nrlNamespace
    {49, 722, 717},	// Soprano::Vocabulary::NRL::realizes
    {49, 760, 753},	// Soprano::Vocabulary::NRL::rule
    {49, 761, 748},	// Soprano::Vocabulary::NRL::ruleLanguage
    {49, 771, 716},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {49, 841, 754},	// Soprano::Vocabulary::NRL::subGraphOf
    {49, 847, 756},	// Soprano::Vocabulary::NRL::superGraphOf
    {49, 887, 737},	// Soprano::Vocabulary::NRL::updatable
    {49, 915, 736},	// Soprano::Vocabulary::NRL::viewOn
    {50, 2, 795},	// Soprano::Vocabulary::OWL::AllDifferent
    {50, 5, 760},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {50, 44, 796},	// Soprano::Vocabulary::OWL::Class
    {50, 54, 763},	// Soprano::Vocabulary::OWL::DataRange
    {50, 56, 793},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {50, 59, 761},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {50, 60, 768},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {50, 83, 773},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {50, 96, 774},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {50, 139, 767},	// Soprano::Vocabulary::OWL::Nothing
    {50, 140, 791},	// Soprano::Vocabulary::OWL::ObjectProperty
    {50, 142, 782},	// Soprano::Vocabulary::OWL::Ontology
    {50, 143, 765},	// Soprano::Vocabulary::OWL::OntologyProperty
    {50, 187, 771},	// Soprano::Vocabulary::OWL::Restriction
    {50, 230, 770},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {50, 235, 787},	// Soprano::Vocabulary::OWL::Thing
    {50, 236, 789},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {50, 275, 798},	// Soprano::Vocabulary::OWL::allValuesFrom
    {50, 296, 775},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {50, 313, 794},	// Soprano::Vocabulary::OWL::cardinality
    {50, 336, 781},	// Soprano::Vocabulary::OWL::complementOf
    {50, 404, 785},	// Soprano::Vocabulary::OWL::differentFrom
    {50, 431, 762},	// Soprano::Vocabulary::OWL::disjointWith
    {50, 432, 778},	// Soprano::Vocabulary::OWL::distinctMembers
    {50, 438, 777},	// Soprano::Vocabulary::OWL::equivalentClass
    {50, 440, 792},	// Soprano::Vocabulary::OWL::equivalentProperty
    {50, 494, 797},	// Soprano::Vocabulary::OWL::hasValue
    {50, 507, 764},	// Soprano::Vocabulary::OWL::imports
    {50, 509, 759},	// Soprano::Vocabulary::OWL::incompatibleWith
    {50, 514, 769},	// Soprano::Vocabulary::OWL::intersectionOf
    {50, 515, 766},	// Soprano::Vocabulary::OWL::inverseOf
    {50, 619, 780},	// Soprano::Vocabulary::OWL::maxCardinality
    {50, 633, 784},	// Soprano::Vocabulary::OWL::minCardinality
    {50, 652, 790},	// Soprano::Vocabulary::OWL::onProperty
    {50, 653, 779},	// Soprano::Vocabulary::OWL::oneOf
    {50, 671, 758},	// Soprano::Vocabulary::OWL::owlNamespace
    {50, 707, 783},	// Soprano::Vocabulary::OWL::priorVersion
    {50, 762, 772},	// Soprano::Vocabulary::OWL::sameAs
    {50, 821, 788},	// Soprano::Vocabulary::OWL::someValuesFrom
    {50, 883, 786},	// Soprano::Vocabulary::OWL::unionOf
    {50, 906, 776},	// Soprano::Vocabulary::OWL::versionInfo
    {51, 3, 800},	// Soprano::Vocabulary::RDF::Alt
    {51, 40, 810},	// Soprano::Vocabulary::RDF::Bag
    {51, 117, 804},	// Soprano::Vocabulary::RDF::List
    {51, 162, 801},	// Soprano::Vocabulary::RDF::Property
    {51, 193, 806},	// Soprano::Vocabulary::RDF::Seq
    {51, 218, 799},	// Soprano::Vocabulary::RDF::Statement
    {51, 242, 811},	// Soprano::Vocabulary::RDF::XMLLiteral
    {51, 463, 803},	// Soprano::Vocabulary::RDF::first
    {51, 644, 813},	// Soprano::Vocabulary::RDF::nil
    {51, 650, 807},	// Soprano::Vocabulary::RDF::object
    {51, 702, 809},	// Soprano::Vocabulary::RDF::predicate
    {51, 720, 814},	// Soprano::Vocabulary::RDF::rdfNamespace
    {51, 755, 808},	// Soprano::Vocabulary::RDF::rest
    {51, 845, 802},	// Soprano::Vocabulary::RDF::subject
    {51, 881, 812},	// Soprano::Vocabulary::RDF::type
    {51, 898, 805},	// Soprano::Vocabulary::RDF::value
    {52, 44, 829},	// Soprano::Vocabulary::RDFS::Class
    {52, 49, 830},	// Soprano::Vocabulary::RDFS::Container
    {52, 50, 825},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {52, 55, 820},	// Soprano::Vocabulary::RDFS::Datatype
    {52, 118, 819},	// Soprano::Vocabulary::RDFS::Literal
    {52, 185, 827},	// Soprano::Vocabulary::RDFS::Resource
    {52, 332, 822},	// Soprano::Vocabulary::RDFS::comment
    {52, 434, 824},	// Soprano::Vocabulary::RDFS::domain
    {52, 526, 818},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {52, 575, 816},	// Soprano::Vocabulary::RDFS::label
    {52, 625, 817},	// Soprano::Vocabulary::RDFS::member
    {52, 717, 815},	// Soprano::Vocabulary::RDFS::range
    {52, 721, 826},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {52, 769, 828},	// Soprano::Vocabulary::RDFS::seeAlso
    {52, 838, 823},	// Soprano::Vocabulary::RDFS::subClassOf
    {52, 842, 821},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {53, 91, 835},	// Soprano::Vocabulary::SIL::InferenceGraph
    {53, 92, 832},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {53, 369, 834},	// Soprano::Vocabulary::SIL::context
    {53, 819, 833},	// Soprano::Vocabulary::SIL::silNamespace
    {53, 824, 831},	// Soprano::Vocabulary::SIL::sourceStatement
    {54, 297, 836},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {54, 309, 839},	// Soprano::Vocabulary::XMLSchema::boolean
    {54, 391, 854},	// Soprano::Vocabulary::XMLSchema::date
    {54, 392, 841},	// Soprano::Vocabulary::XMLSchema::dateTime
    {54, 393, 842},	// Soprano::Vocabulary::XMLSchema::decimal
    {54, 511, 851},	// Soprano::Vocabulary::XMLSchema::integer
    {54, 639, 845},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {54, 647, 853},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {54, 837, 848},	// Soprano::Vocabulary::XMLSchema::string
    {54, 860, 847},	// Soprano::Vocabulary::XMLSchema::time
    {54, 884, 838},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {54, 885, 846},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {54, 886, 840},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {54, 926, 837},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {54, 927, 849},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {54, 928, 843},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {54, 929, 852},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {54, 930, 844},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {54, 931, 850},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {55, 4, 874},	// Soprano::Vocabulary::Xesam::Annotation
    {55, 6, 1103},	// Soprano::Vocabulary::Xesam::Archive
    {55, 7, 1114},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {55, 11, 955},	// Soprano::Vocabulary::Xesam::Audio
    {55, 12, 958},	// Soprano::Vocabulary::Xesam::AudioList
    {55, 42, 871},	// Soprano::Vocabulary::Xesam::BlockDevice
    {55, 43, 943},	// Soprano::Vocabulary::Xesam::Bookmark
    {55, 45, 1105},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {55, 47, 1072},	// Soprano::Vocabulary::Xesam::Contact
    {55, 48, 988},	// Soprano::Vocabulary::Xesam::ContactGroup
    {55, 51, 997},	// Soprano::Vocabulary::Xesam::Content
    {55, 53, 1074},	// Soprano::Vocabulary::Xesam::DataObject
    {55, 58, 936},	// Soprano::Vocabulary::Xesam::DeletedFile
    {55, 62, 1110},	// Soprano::Vocabulary::Xesam::Document
    {55, 64, 1099},	// Soprano::Vocabulary::Xesam::Documentation
    {55, 65, 1027},	// Soprano::Vocabulary::Xesam::Email
    {55, 66, 1115},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {55, 67, 859},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {55, 76, 1086},	// Soprano::Vocabulary::Xesam::File
    {55, 77, 883},	// Soprano::Vocabulary::Xesam::FileSystem
    {55, 78, 879},	// Soprano::Vocabulary::Xesam::Filelike
    {55, 81, 865},	// Soprano::Vocabulary::Xesam::Folder
    {55, 87, 976},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {55, 88, 990},	// Soprano::Vocabulary::Xesam::IMMessage
    {55, 90, 956},	// Soprano::Vocabulary::Xesam::Image
    {55, 120, 1082},	// Soprano::Vocabulary::Xesam::MailingList
    {55, 121, 1067},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {55, 122, 933},	// Soprano::Vocabulary::Xesam::Media
    {55, 123, 907},	// Soprano::Vocabulary::Xesam::MediaList
    {55, 124, 912},	// Soprano::Vocabulary::Xesam::Message
    {55, 125, 944},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {55, 128, 1062},	// Soprano::Vocabulary::Xesam::Music
    {55, 129, 1064},	// Soprano::Vocabulary::Xesam::NewsGroup
    {55, 130, 1026},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {55, 141, 1017},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {55, 144, 914},	// Soprano::Vocabulary::Xesam::Organization
    {55, 145, 918},	// Soprano::Vocabulary::Xesam::POP3Message
    {55, 154, 1126},	// Soprano::Vocabulary::Xesam::Person
    {55, 155, 941},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {55, 156, 857},	// Soprano::Vocabulary::Xesam::Photo
    {55, 160, 868},	// Soprano::Vocabulary::Xesam::Presentation
    {55, 161, 1119},	// Soprano::Vocabulary::Xesam::Project
    {55, 175, 1109},	// Soprano::Vocabulary::Xesam::RSSFeed
    {55, 176, 1012},	// Soprano::Vocabulary::Xesam::RSSMessage
    {55, 182, 880},	// Soprano::Vocabulary::Xesam::RemoteFile
    {55, 183, 1077},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {55, 184, 981},	// Soprano::Vocabulary::Xesam::RemoteResource
    {55, 188, 1101},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {55, 189, 1020},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {55, 214, 1025},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {55, 215, 890},	// Soprano::Vocabulary::Xesam::Source
    {55, 216, 1084},	// Soprano::Vocabulary::Xesam::SourceCode
    {55, 217, 1091},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {55, 231, 1044},	// Soprano::Vocabulary::Xesam::SystemResource
    {55, 232, 1122},	// Soprano::Vocabulary::Xesam::Tag
    {55, 233, 1068},	// Soprano::Vocabulary::Xesam::Text
    {55, 234, 1008},	// Soprano::Vocabulary::Xesam::TextDocument
    {55, 237, 961},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {55, 238, 893},	// Soprano::Vocabulary::Xesam::Video
    {55, 240, 1029},	// Soprano::Vocabulary::Xesam::Visual
    {55, 241, 1100},	// Soprano::Vocabulary::Xesam::XML
    {55, 247, 982},	// Soprano::Vocabulary::Xesam::acl
    {55, 264, 1069},	// Soprano::Vocabulary::Xesam::album
    {55, 265, 965},	// Soprano::Vocabulary::Xesam::albumArtist
    {55, 266, 870},	// Soprano::Vocabulary::Xesam::albumGain
    {55, 267, 1070},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {55, 268, 1035},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {55, 279, 1093},	// Soprano::Vocabulary::Xesam::aperture
    {55, 280, 1090},	// Soprano::Vocabulary::Xesam::artist
    {55, 281, 1104},	// Soprano::Vocabulary::Xesam::asText
    {55, 282, 1047},	// Soprano::Vocabulary::Xesam::aspectRatio
    {55, 283, 921},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {55, 284, 1095},	// Soprano::Vocabulary::Xesam::audioBPM
    {55, 285, 901},	// Soprano::Vocabulary::Xesam::audioBitrate
    {55, 286, 998},	// Soprano::Vocabulary::Xesam::audioChannels
    {55, 287, 1028},	// Soprano::Vocabulary::Xesam::audioCodec
    {55, 288, 913},	// Soprano::Vocabulary::Xesam::audioCodecType
    {55, 289, 966},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {55, 290, 1050},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {55, 291, 928},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {55, 292, 1081},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {55, 293, 1023},	// Soprano::Vocabulary::Xesam::author
    {55, 294, 866},	// Soprano::Vocabulary::Xesam::autoRating
    {55, 298, 1102},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {55, 299, 1063},	// Soprano::Vocabulary::Xesam::bcc
    {55, 304, 873},	// Soprano::Vocabulary::Xesam::birthDate
    {55, 307, 1046},	// Soprano::Vocabulary::Xesam::blogContactURL
    {55, 311, 1013},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {55, 312, 1000},	// Soprano::Vocabulary::Xesam::cameraModel
    {55, 314, 917},	// Soprano::Vocabulary::Xesam::cc
    {55, 315, 1096},	// Soprano::Vocabulary::Xesam::ccdWidth
    {55, 316, 952},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {55, 317, 932},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {55, 318, 872},	// Soprano::Vocabulary::Xesam::changeCommitter
    {55, 319, 963},	// Soprano::Vocabulary::Xesam::characterCount
    {55, 320, 1036},	// Soprano::Vocabulary::Xesam::charset
    {55, 321, 939},	// Soprano::Vocabulary::Xesam::chatRoom
    {55, 329, 962},	// Soprano::Vocabulary::Xesam::colorCount
    {55, 330, 1048},	// Soprano::Vocabulary::Xesam::colorSpace
    {55, 331, 856},	// Soprano::Vocabulary::Xesam::columnCount
    {55, 332, 891},	// Soprano::Vocabulary::Xesam::comment
    {55, 333, 1052},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {55, 334, 908},	// Soprano::Vocabulary::Xesam::commitDiff
    {55, 335, 895},	// Soprano::Vocabulary::Xesam::communicationChannel
    {55, 337, 900},	// Soprano::Vocabulary::Xesam::composer
    {55, 338, 1075},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {55, 339, 930},	// Soprano::Vocabulary::Xesam::compressionLevel
    {55, 340, 867},	// Soprano::Vocabulary::Xesam::conflicts
    {55, 342, 899},	// Soprano::Vocabulary::Xesam::contactMedium
    {55, 343, 985},	// Soprano::Vocabulary::Xesam::contactNick
    {55, 344, 1092},	// Soprano::Vocabulary::Xesam::contactURL
    {55, 345, 906},	// Soprano::Vocabulary::Xesam::contains
    {55, 364, 1116},	// Soprano::Vocabulary::Xesam::contentComment
    {55, 365, 886},	// Soprano::Vocabulary::Xesam::contentCreated
    {55, 366, 964},	// Soprano::Vocabulary::Xesam::contentKeyword
    {55, 367, 1108},	// Soprano::Vocabulary::Xesam::contentModified
    {55, 368, 1053},	// Soprano::Vocabulary::Xesam::contentType
    {55, 370, 1089},	// Soprano::Vocabulary::Xesam::contributor
    {55, 371, 892},	// Soprano::Vocabulary::Xesam::copyright
    {55, 386, 885},	// Soprano::Vocabulary::Xesam::creator
    {55, 394, 919},	// Soprano::Vocabulary::Xesam::definesClass
    {55, 395, 1078},	// Soprano::Vocabulary::Xesam::definesFunction
    {55, 396, 995},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {55, 399, 1002},	// Soprano::Vocabulary::Xesam::deletionTime
    {55, 400, 1049},	// Soprano::Vocabulary::Xesam::depends
    {55, 402, 1042},	// Soprano::Vocabulary::Xesam::derivedFrom
    {55, 403, 910},	// Soprano::Vocabulary::Xesam::description
    {55, 413, 911},	// Soprano::Vocabulary::Xesam::discNumber
    {55, 414, 1059},	// Soprano::Vocabulary::Xesam::disclaimer
    {55, 433, 1040},	// Soprano::Vocabulary::Xesam::documentCategory
    {55, 436, 929},	// Soprano::Vocabulary::Xesam::emailAddress
    {55, 452, 999},	// Soprano::Vocabulary::Xesam::exposureBias
    {55, 453, 934},	// Soprano::Vocabulary::Xesam::exposureProgram
    {55, 454, 1001},	// Soprano::Vocabulary::Xesam::exposureTime
    {55, 456, 897},	// Soprano::Vocabulary::Xesam::familyName
    {55, 457, 942},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {55, 458, 940},	// Soprano::Vocabulary::Xesam::fileExtension
    {55, 459, 938},	// Soprano::Vocabulary::Xesam::fileSystemType
    {55, 460, 924},	// Soprano::Vocabulary::Xesam::fingerprint
    {55, 464, 971},	// Soprano::Vocabulary::Xesam::firstUsed
    {55, 465, 1071},	// Soprano::Vocabulary::Xesam::flashUsed
    {55, 466, 1066},	// Soprano::Vocabulary::Xesam::focalLength
    {55, 467, 1056},	// Soprano::Vocabulary::Xesam::focusDistance
    {55, 468, 1118},	// Soprano::Vocabulary::Xesam::formatSubtype
    {55, 469, 881},	// Soprano::Vocabulary::Xesam::frameCount
    {55, 470, 978},	// Soprano::Vocabulary::Xesam::frameRate
    {55, 471, 992},	// Soprano::Vocabulary::Xesam::freeSpace
    {55, 478, 1006},	// Soprano::Vocabulary::Xesam::gender
    {55, 479, 1079},	// Soprano::Vocabulary::Xesam::generator
    {55, 480, 1039},	// Soprano::Vocabulary::Xesam::generatorOptions
    {55, 481, 909},	// Soprano::Vocabulary::Xesam::genre
    {55, 482, 1087},	// Soprano::Vocabulary::Xesam::givenName
    {55, 484, 896},	// Soprano::Vocabulary::Xesam::group
    {55, 495, 862},	// Soprano::Vocabulary::Xesam::height
    {55, 496, 1106},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {55, 497, 1021},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {55, 498, 1033},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {55, 499, 904},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {55, 500, 1094},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {55, 501, 925},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {55, 502, 986},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {55, 504, 1073},	// Soprano::Vocabulary::Xesam::id
    {55, 506, 922},	// Soprano::Vocabulary::Xesam::imContactMedium
    {55, 508, 945},	// Soprano::Vocabulary::Xesam::inReplyTo
    {55, 512, 1022},	// Soprano::Vocabulary::Xesam::interest
    {55, 513, 882},	// Soprano::Vocabulary::Xesam::interlaceMode
    {55, 517, 863},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {55, 524, 953},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {55, 535, 935},	// Soprano::Vocabulary::Xesam::isEncrypted
    {55, 537, 1032},	// Soprano::Vocabulary::Xesam::isImportant
    {55, 538, 983},	// Soprano::Vocabulary::Xesam::isInProgress
    {55, 546, 946},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {55, 547, 864},	// Soprano::Vocabulary::Xesam::isRead
    {55, 550, 1097},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {55, 560, 926},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {55, 572, 1098},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {55, 573, 1003},	// Soprano::Vocabulary::Xesam::keyword
    {55, 574, 979},	// Soprano::Vocabulary::Xesam::knows
    {55, 576, 1057},	// Soprano::Vocabulary::Xesam::language
    {55, 579, 968},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {55, 580, 1034},	// Soprano::Vocabulary::Xesam::lastUsed
    {55, 581, 989},	// Soprano::Vocabulary::Xesam::legal
    {55, 582, 878},	// Soprano::Vocabulary::Xesam::license
    {55, 583, 869},	// Soprano::Vocabulary::Xesam::licenseType
    {55, 584, 1112},	// Soprano::Vocabulary::Xesam::lineCount
    {55, 585, 1024},	// Soprano::Vocabulary::Xesam::links
    {55, 609, 898},	// Soprano::Vocabulary::Xesam::localRevision
    {55, 611, 1043},	// Soprano::Vocabulary::Xesam::lyricist
    {55, 612, 1111},	// Soprano::Vocabulary::Xesam::mailingList
    {55, 613, 980},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {55, 615, 1009},	// Soprano::Vocabulary::Xesam::maintainer
    {55, 616, 887},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {55, 620, 977},	// Soprano::Vocabulary::Xesam::md5Hash
    {55, 621, 959},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {55, 622, 947},	// Soprano::Vocabulary::Xesam::mediaCodec
    {55, 623, 876},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {55, 624, 903},	// Soprano::Vocabulary::Xesam::mediaDuration
    {55, 626, 923},	// Soprano::Vocabulary::Xesam::mergeConflict
    {55, 629, 974},	// Soprano::Vocabulary::Xesam::meteringMode
    {55, 630, 884},	// Soprano::Vocabulary::Xesam::mimeType
    {55, 636, 937},	// Soprano::Vocabulary::Xesam::mountPoint
    {55, 637, 957},	// Soprano::Vocabulary::Xesam::name
    {55, 640, 1031},	// Soprano::Vocabulary::Xesam::newsGroup
    {55, 651, 954},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {55, 667, 1045},	// Soprano::Vocabulary::Xesam::orientation
    {55, 668, 915},	// Soprano::Vocabulary::Xesam::originURL
    {55, 669, 920},	// Soprano::Vocabulary::Xesam::originalLocation
    {55, 670, 951},	// Soprano::Vocabulary::Xesam::otherName
    {55, 672, 1016},	// Soprano::Vocabulary::Xesam::owner
    {55, 673, 1054},	// Soprano::Vocabulary::Xesam::pageCount
    {55, 674, 875},	// Soprano::Vocabulary::Xesam::paragraphCount
    {55, 692, 1113},	// Soprano::Vocabulary::Xesam::performer
    {55, 693, 1060},	// Soprano::Vocabulary::Xesam::permissions
    {55, 694, 1088},	// Soprano::Vocabulary::Xesam::personPhoto
    {55, 696, 1065},	// Soprano::Vocabulary::Xesam::phoneNumber
    {55, 697, 960},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {55, 698, 1051},	// Soprano::Vocabulary::Xesam::pixelDataType
    {55, 701, 902},	// Soprano::Vocabulary::Xesam::postalAddress
    {55, 706, 855},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {55, 708, 994},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {55, 723, 888},	// Soprano::Vocabulary::Xesam::receptionTime
    {55, 724, 858},	// Soprano::Vocabulary::Xesam::recipient
    {55, 725, 1010},	// Soprano::Vocabulary::Xesam::related
    {55, 726, 1076},	// Soprano::Vocabulary::Xesam::remotePassword
    {55, 727, 949},	// Soprano::Vocabulary::Xesam::remotePort
    {55, 728, 1061},	// Soprano::Vocabulary::Xesam::remoteServer
    {55, 729, 970},	// Soprano::Vocabulary::Xesam::remoteUser
    {55, 752, 1015},	// Soprano::Vocabulary::Xesam::replyTo
    {55, 758, 993},	// Soprano::Vocabulary::Xesam::rowCount
    {55, 759, 1080},	// Soprano::Vocabulary::Xesam::rssFeed
    {55, 763, 950},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {55, 764, 1085},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {55, 765, 1125},	// Soprano::Vocabulary::Xesam::sampleDataType
    {55, 768, 1117},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {55, 770, 1120},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {55, 785, 889},	// Soprano::Vocabulary::Xesam::setCount
    {55, 803, 1019},	// Soprano::Vocabulary::Xesam::setRate
    {55, 818, 861},	// Soprano::Vocabulary::Xesam::sha1Hash
    {55, 820, 967},	// Soprano::Vocabulary::Xesam::size
    {55, 822, 1121},	// Soprano::Vocabulary::Xesam::sourceCreated
    {55, 823, 973},	// Soprano::Vocabulary::Xesam::sourceModified
    {55, 836, 1041},	// Soprano::Vocabulary::Xesam::storageSize
    {55, 845, 1030},	// Soprano::Vocabulary::Xesam::subject
    {55, 846, 1058},	// Soprano::Vocabulary::Xesam::summary
    {55, 848, 1037},	// Soprano::Vocabulary::Xesam::supercedes
    {55, 859, 1083},	// Soprano::Vocabulary::Xesam::targetQuality
    {55, 863, 931},	// Soprano::Vocabulary::Xesam::title
    {55, 864, 1018},	// Soprano::Vocabulary::Xesam::to
    {55, 868, 1011},	// Soprano::Vocabulary::Xesam::totalSpace
    {55, 869, 996},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {55, 878, 1007},	// Soprano::Vocabulary::Xesam::trackGain
    {55, 879, 916},	// Soprano::Vocabulary::Xesam::trackNumber
    {55, 880, 1005},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {55, 889, 905},	// Soprano::Vocabulary::Xesam::url
    {55, 890, 1004},	// Soprano::Vocabulary::Xesam::useCount
    {55, 892, 1038},	// Soprano::Vocabulary::Xesam::userComment
    {55, 893, 984},	// Soprano::Vocabulary::Xesam::userKeyword
    {55, 895, 972},	// Soprano::Vocabulary::Xesam::userRating
    {55, 897, 1055},	// Soprano::Vocabulary::Xesam::usesNamespace
    {55, 905, 1123},	// Soprano::Vocabulary::Xesam::version
    {55, 911, 991},	// Soprano::Vocabulary::Xesam::verticalResolution
    {55, 912, 987},	// Soprano::Vocabulary::Xesam::videoBitrate
    {55, 913, 1124},	// Soprano::Vocabulary::Xesam::videoCodec
    {55, 914, 969},	// Soprano::Vocabulary::Xesam::videoCodecType
    {55, 916, 975},	// Soprano::Vocabulary::Xesam::whiteBalance
    {55, 917, 1014},	// Soprano::Vocabulary::Xesam::width
    {55, 918, 894},	// Soprano::Vocabulary::Xesam::wordCount
    {55, 919, 1107},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {55, 920, 927},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {55, 921, 860},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {55, 924, 948},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {55, 925, 877},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 55,
        __smokesoprano::methods, 1127,
        __smokesoprano::methodMaps, 1097,
        __smokesoprano::methodNames, 957,
        __smokesoprano::types, 220,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
