#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 58: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 58: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 11:   //Phonon::Effect
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 11: return (void*)(Phonon::Effect*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::EffectParameter
      switch(to) {
        case 12: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectPrivate
      switch(to) {
        case 13: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectWidget
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 58: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::MediaController
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 15: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaNode
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 11: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNodePrivate
      switch(to) {
        case 17: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaObject
      switch(to) {
        case 58: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaSource
      switch(to) {
        case 19: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 20: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::Mrl
      switch(to) {
        case 70: return (void*)(QUrl*)(Phonon::Mrl*)xptr;
        case 21: return (void*)(Phonon::Mrl*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 64: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 22: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 23: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 24: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::Path
      switch(to) {
        case 25: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::SeekSlider
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 58: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::StreamInterface
      switch(to) {
        case 27: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoPlayer
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoWidget
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 30: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 11: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 32:   //Phonon::VolumeSlider
      switch(to) {
        case 73: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 58: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractListModel
      switch(to) {
        case 58: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 33: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 34:   //QActionEvent
      switch(to) {
        case 34: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QBool
      switch(to) {
        case 35: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 36:   //QByteArray
      switch(to) {
        case 36: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 37:   //QChildEvent
      switch(to) {
        case 37: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QCloseEvent
      switch(to) {
        case 38: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QContextMenuEvent
      switch(to) {
        case 39: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragEnterEvent
      switch(to) {
        case 40: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragLeaveEvent
      switch(to) {
        case 41: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragMoveEvent
      switch(to) {
        case 42: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDropEvent
      switch(to) {
        case 43: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QEvent
      switch(to) {
        case 44: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFocusEvent
      switch(to) {
        case 45: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFont
      switch(to) {
        case 46: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 48:   //QHideEvent
      switch(to) {
        case 48: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QIODevice
      switch(to) {
        case 58: return (void*)(QObject*)(QIODevice*)xptr;
        case 49: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 50:   //QImage
      switch(to) {
        case 50: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 51:   //QInputMethodEvent
      switch(to) {
        case 51: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QKeyEvent
      switch(to) {
        case 52: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QMimeData
      switch(to) {
        case 54: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 55:   //QModelIndex
      switch(to) {
        case 55: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QMouseEvent
      switch(to) {
        case 56: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMoveEvent
      switch(to) {
        case 57: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QObject
      switch(to) {
        case 58: return (void*)(QObject*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 11: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 31: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 15: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPalette
      switch(to) {
        case 61: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 62:   //QRegExp
      switch(to) {
        case 62: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 63:   //QResizeEvent
      switch(to) {
        case 63: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QSharedData
      switch(to) {
        case 64: return (void*)(QSharedData*)xptr;
        case 22: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 65:   //QShowEvent
      switch(to) {
        case 65: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSize
      switch(to) {
        case 66: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 67:   //QStyle
      switch(to) {
        case 67: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 68:   //QTabletEvent
      switch(to) {
        case 68: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QTimerEvent
      switch(to) {
        case 69: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QUrl
      switch(to) {
        case 70: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 71:   //QVariant
      switch(to) {
        case 71: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 72:   //QWheelEvent
      switch(to) {
        case 72: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QWidget
      switch(to) {
        case 58: return (void*)(QObject*)(QWidget*)xptr;
        case 73: return (void*)(QWidget*)xptr;
        case 26: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 28: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 32: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 29: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    58, 16, 0,	// 1: QObject, Phonon::MediaNode
    58, 0,	// 4: QObject
    16, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    73, 0,	// 10: QWidget
    64, 0,	// 12: QSharedData
    73, 6, 0,	// 14: QWidget, Phonon::AbstractVideoOutput
    11, 0,	// 17: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//11
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//12
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//13
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//14
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//15
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//16
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//17
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//18
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//19
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "Phonon::Mrl", true, 0, 0, 0, 0, 0 },	//21
    { "Phonon::ObjectDescriptionData", false, 12, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//22
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//23
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//25
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//26
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//27
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//28
    { "Phonon::VideoWidget", false, 14, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//29
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//30
    { "Phonon::VolumeFaderEffect", false, 17, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//31
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//32
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//33
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QBool", true, 0, 0, 0, 0, 0 },	//35
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//36
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFont", true, 0, 0, 0, 0, 0 },	//46
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//47
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//49
    { "QImage", true, 0, 0, 0, 0, 0 },	//50
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//54
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QObject", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPalette", true, 0, 0, 0, 0, 0 },	//61
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//62
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//64
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSize", true, 0, 0, 0, 0, 0 },	//66
    { "QStyle", true, 0, 0, 0, 0, 0 },	//67
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QUrl", true, 0, 0, 0, 0, 0 },	//70
    { "QVariant", true, 0, 0, 0, 0, 0 },	//71
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QWidget", true, 0, 0, 0, 0, 0 },	//73
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::Capture::DeviceType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::CaptureCategory", 1, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Phonon::Effect*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref },	//16
    { "Phonon::EffectParameter*", 12, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Phonon::EffectParameter::Hint", 12, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Phonon::EffectPrivate&", 13, Smoke::t_class|Smoke::tf_ref },	//19
    { "Phonon::EffectWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Phonon::MediaController*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Phonon::MediaController::Feature", 15, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Phonon::MediaController::NavigationMenu", 15, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Phonon::MediaNode*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Phonon::MediaNodePrivate&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::MediaObject*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Phonon::MediaSource", 19, Smoke::t_class|Smoke::tf_stack },	//28
    { "Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref },	//29
    { "Phonon::MediaSource*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaSource::Type", 19, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Phonon::MediaSourcePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//32
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Phonon::Mrl", 21, Smoke::t_class|Smoke::tf_stack },	//34
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "Phonon::ObjectDescriptionData*", 22, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Phonon::ObjectDescriptionModelData*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Phonon::ObjectDescriptionPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Phonon::Path", 25, Smoke::t_class|Smoke::tf_stack },	//45
    { "Phonon::Path&", 25, Smoke::t_class|Smoke::tf_ref },	//46
    { "Phonon::Path*", 25, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Phonon::SeekSlider*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Phonon::StreamInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Phonon::VideoPlayer*", 28, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Phonon::VideoWidget*", 29, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::VideoWidget::AspectRatio", 29, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Phonon::VideoWidget::ScaleMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Phonon::VideoWidgetPrivate&", 30, Smoke::t_class|Smoke::tf_ref },	//55
    { "Phonon::VolumeFaderEffect*", 31, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Phonon::VolumeFaderEffect::FadeCurve", 31, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Phonon::VolumeSlider*", 32, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QAbstractListModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QActionEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QBool", 35, Smoke::t_class|Smoke::tf_stack },	//61
    { "QChildEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QCloseEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QContextMenuEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDragEnterEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDragLeaveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDragMoveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QDropEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFocusEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QHideEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QIODevice*", 49, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QImage", 50, Smoke::t_class|Smoke::tf_stack },	//78
    { "QInputMethodEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QKeyEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<Phonon::MediaController::NavigationMenu>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QMimeData*", 54, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QMouseEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QMoveEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QObject*", 58, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QRegExp&", 62, Smoke::t_class|Smoke::tf_ref },	//105
    { "QResizeEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QShowEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSize", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "QStyle&", 67, Smoke::t_class|Smoke::tf_ref },	//112
    { "QTabletEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QTimerEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QUrl", 70, Smoke::t_class|Smoke::tf_stack },	//115
    { "QVariant", 71, Smoke::t_class|Smoke::tf_stack },	//116
    { "QVariant::Type", 71, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QWheelEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWidget*", 73, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtMsgType", 47, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForActiveQtModule", 47, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForCoreModule", 47, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForDBusModule", 47, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForDeclarativeModule", 47, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForGuiModule", 47, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForHelpModule", 47, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QtValidLicenseForMultimediaModule", 47, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QtValidLicenseForNetworkModule", 47, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QtValidLicenseForOpenGLModule", 47, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QtValidLicenseForOpenVGModule", 47, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QtValidLicenseForQt3SupportLightModule", 47, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtValidLicenseForQt3SupportModule", 47, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtValidLicenseForScriptModule", 47, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtValidLicenseForScriptToolsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForSqlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForSvgModule", 47, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForTestModule", 47, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForXmlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForXmlPatternsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//210
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//211
    { "__codecvt_result", 47, Smoke::t_enum|Smoke::tf_stack },	//212
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//213
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "const Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Phonon::MediaNode&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Phonon::ObjectDescriptionData&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Phonon::ObjectDescriptionModelData&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const Phonon::Path&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const Phonon::StreamInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QByteArray&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QFont&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//239
    { "const QMimeData*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//240
    { "const QModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QPalette&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QRegExp&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QSize&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//247
    { "const QUrl&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QVariant&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//252
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//253
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//254
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//255
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//257
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//259
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//260
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//261
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//262
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//263
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  Phonon::CaptureCategory
    13, 0,	//3  Phonon::Category
    216, 0,	//5  const Phonon::EffectParameter&
    13, 218, 0,	//7  Phonon::Category, const Phonon::MediaSource&
    25, 25, 0,	//10  Phonon::MediaNode*, Phonon::MediaNode*
    250, 0,	//13  const char*
    250, 250, 0,	//15  const char*, const char*
    250, 250, 254, 0,	//18  const char*, const char*, int
    96, 254, 262, 0,	//22  QMetaObject::Call, int, void**
    2, 101, 0,	//26  Phonon::AbstractAudioOutputPrivate&, QObject*
    101, 0,	//29  QObject*
    256, 0,	//31  long long
    213, 0,	//33  bool
    228, 0,	//35  const QByteArray&
    21, 246, 0,	//37  Phonon::ErrorType, const QString&
    4, 101, 0,	//40  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//43  Phonon::AbstractVideoOutputPrivate&
    214, 0,	//45  const Phonon::AbstractVideoOutput&
    254, 0,	//47  int
    237, 0,	//49  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    13, 101, 0,	//51  Phonon::Category, QObject*
    246, 0,	//54  const QString&
    259, 0,	//56  qreal
    215, 0,	//58  const Phonon::AudioOutputDevice&
    221, 101, 0,	//60  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    216, 249, 0,	//63  const Phonon::EffectParameter&, const QVariant&
    19, 101, 0,	//66  Phonon::EffectPrivate&, QObject*
    221, 0,	//69  const Phonon::ObjectDescription<Phonon::EffectType>&
    254, 246, 71, 249, 249, 249, 236, 246, 0,	//71  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    254, 246, 71, 249, 0,	//80  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    254, 246, 71, 249, 249, 0,	//85  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    254, 246, 71, 249, 249, 249, 0,	//91  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    254, 246, 71, 249, 249, 249, 236, 0,	//98  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    15, 119, 0,	//106  Phonon::Effect*, QWidget*
    15, 0,	//109  Phonon::Effect*
    27, 0,	//111  Phonon::MediaObject*
    24, 0,	//113  Phonon::MediaController::NavigationMenu
    220, 0,	//115  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    222, 0,	//117  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    86, 0,	//119  QList<Phonon::MediaController::NavigationMenu>
    26, 0,	//121  Phonon::MediaNodePrivate&
    217, 0,	//123  const Phonon::MediaNode&
    33, 0,	//125  Phonon::MetaData
    218, 0,	//127  const Phonon::MediaSource&
    231, 0,	//129  const QList<Phonon::MediaSource>&
    235, 0,	//131  const QList<QUrl>&
    257, 0,	//133  qint32
    258, 0,	//135  qint64
    49, 49, 0,	//137  Phonon::State, Phonon::State
    248, 0,	//140  const QUrl&
    14, 246, 0,	//142  Phonon::DiscType, const QString&
    219, 0,	//145  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    223, 0,	//147  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    11, 12, 0,	//149  Phonon::Capture::DeviceType, Phonon::CaptureCategory
    3, 0,	//152  Phonon::AbstractMediaStream*
    77, 0,	//154  QIODevice*
    32, 0,	//156  Phonon::MediaSourcePrivate&
    242, 0,	//158  const QPair<QByteArray,QString>&
    14, 0,	//160  Phonon::DiscType
    11, 0,	//162  Phonon::Capture::DeviceType
    224, 0,	//164  const Phonon::ObjectDescriptionData&
    44, 254, 0,	//166  Phonon::ObjectDescriptionType, int
    43, 0,	//169  Phonon::ObjectDescriptionPrivate*
    254, 230, 0,	//171  int, const QHash<QByteArray,QVariant>&
    241, 0,	//174  const QModelIndex&
    241, 254, 0,	//176  const QModelIndex&, int
    44, 233, 0,	//179  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    232, 0,	//182  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    44, 240, 141, 254, 254, 241, 0,	//184  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    254, 254, 241, 0,	//191  int, int, const QModelIndex&
    44, 0,	//195  Phonon::ObjectDescriptionType
    59, 0,	//197  QAbstractListModel*
    225, 0,	//199  const Phonon::ObjectDescriptionModelData&
    254, 254, 0,	//201  int, int
    226, 0,	//204  const Phonon::Path&
    221, 15, 0,	//206  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    15, 15, 0,	//209  Phonon::Effect*, Phonon::Effect*
    119, 0,	//212  QWidget*
    27, 119, 0,	//214  Phonon::MediaObject*, QWidget*
    165, 0,	//217  Qt::Orientation
    245, 0,	//219  const QSize&
    227, 0,	//221  const Phonon::StreamInterface&
    13, 119, 0,	//223  Phonon::Category, QWidget*
    253, 0,	//226  float
    69, 0,	//228  QEvent*
    53, 0,	//230  Phonon::VideoWidget::AspectRatio
    54, 0,	//232  Phonon::VideoWidget::ScaleMode
    55, 119, 0,	//234  Phonon::VideoWidgetPrivate&, QWidget*
    98, 0,	//237  QMouseEvent*
    252, 0,	//239  double
    57, 0,	//241  Phonon::VolumeFaderEffect::FadeCurve
    253, 254, 0,	//243  float, int
    9, 119, 0,	//246  Phonon::AudioOutput*, QWidget*
    9, 0,	//249  Phonon::AudioOutput*
    101, 69, 0,	//251  QObject*, QEvent*
    114, 0,	//254  QTimerEvent*
    62, 0,	//256  QChildEvent*
    118, 0,	//258  QWheelEvent*
    80, 0,	//260  QKeyEvent*
    75, 0,	//262  QFocusEvent*
    104, 0,	//264  QPaintEvent*
    99, 0,	//266  QMoveEvent*
    106, 0,	//268  QResizeEvent*
    63, 0,	//270  QCloseEvent*
    64, 0,	//272  QContextMenuEvent*
    113, 0,	//274  QTabletEvent*
    60, 0,	//276  QActionEvent*
    65, 0,	//278  QDragEnterEvent*
    67, 0,	//280  QDragMoveEvent*
    66, 0,	//282  QDragLeaveEvent*
    68, 0,	//284  QDropEvent*
    107, 0,	//286  QShowEvent*
    76, 0,	//288  QHideEvent*
    211, 0,	//290  _XEvent*
    102, 0,	//292  QPaintDevice::PaintDeviceMetric
    79, 0,	//294  QInputMethodEvent*
    153, 0,	//296  Qt::InputMethodQuery
    112, 0,	//298  QStyle&
    243, 0,	//300  const QPalette&
    229, 0,	//302  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "AngleMenu",	//10
    "Angles",	//11
    "ArtistMetaData",	//12
    "AspectRatio16_9",	//13
    "AspectRatio4_3",	//14
    "AspectRatioAuto",	//15
    "AspectRatioWidget",	//16
    "AudioCaptureDeviceType",	//17
    "AudioChannelType",	//18
    "AudioDataOutput",	//19
    "AudioDataOutput#",	//20
    "AudioMenu",	//21
    "AudioOutput",	//22
    "AudioOutput#",	//23
    "AudioOutput$",	//24
    "AudioOutput$#",	//25
    "AudioOutputDeviceType",	//26
    "BufferingState",	//27
    "CaptureDevice",	//28
    "Cd",	//29
    "CenterChannel",	//30
    "ChapterMenu",	//31
    "Chapters",	//32
    "CommunicationCaptureCategory",	//33
    "CommunicationCategory",	//34
    "ControlCaptureCategory",	//35
    "DateMetaData",	//36
    "DescriptionMetaData",	//37
    "Disc",	//38
    "DrawChildren",	//39
    "DrawWindowBackground",	//40
    "Dvd",	//41
    "Effect",	//42
    "Effect##",	//43
    "Effect?",	//44
    "Effect?#",	//45
    "EffectParameter",	//46
    "EffectParameter#",	//47
    "EffectParameter$$$#",	//48
    "EffectParameter$$$##",	//49
    "EffectParameter$$$###",	//50
    "EffectParameter$$$###?",	//51
    "EffectParameter$$$###?$",	//52
    "EffectType",	//53
    "EffectWidget",	//54
    "EffectWidget#",	//55
    "EffectWidget##",	//56
    "Empty",	//57
    "ErrorState",	//58
    "Fade12Decibel",	//59
    "Fade3Decibel",	//60
    "Fade6Decibel",	//61
    "Fade9Decibel",	//62
    "FatalError",	//63
    "FitInView",	//64
    "GameCategory",	//65
    "GenreMetaData",	//66
    "IgnoreMask",	//67
    "IntegerHint",	//68
    "Invalid",	//69
    "LastCategory",	//70
    "LeftChannel",	//71
    "LeftSurroundChannel",	//72
    "LicensedActiveQt",	//73
    "LicensedCore",	//74
    "LicensedDBus",	//75
    "LicensedDeclarative",	//76
    "LicensedGui",	//77
    "LicensedHelp",	//78
    "LicensedMultimedia",	//79
    "LicensedNetwork",	//80
    "LicensedOpenGL",	//81
    "LicensedOpenVG",	//82
    "LicensedQt3Support",	//83
    "LicensedQt3SupportLight",	//84
    "LicensedScript",	//85
    "LicensedScriptTools",	//86
    "LicensedSql",	//87
    "LicensedSvg",	//88
    "LicensedTest",	//89
    "LicensedXml",	//90
    "LicensedXmlPatterns",	//91
    "LoadingState",	//92
    "LocalFile",	//93
    "LogarithmicHint",	//94
    "MediaController",	//95
    "MediaController#",	//96
    "MediaNode",	//97
    "MediaNode#",	//98
    "MediaObject",	//99
    "MediaObject#",	//100
    "MediaSource",	//101
    "MediaSource#",	//102
    "MediaSource$",	//103
    "MediaSource$$",	//104
    "MediaSource?",	//105
    "MusicBrainzDiscIdMetaData",	//106
    "MusicCategory",	//107
    "Navigations",	//108
    "NoCaptureCategory",	//109
    "NoCategory",	//110
    "NoDisc",	//111
    "NoError",	//112
    "NormalError",	//113
    "NotificationCategory",	//114
    "ObjectDescriptionData",	//115
    "ObjectDescriptionData#",	//116
    "ObjectDescriptionData$?",	//117
    "ObjectDescriptionModelData",	//118
    "ObjectDescriptionModelData#",	//119
    "Path",	//120
    "Path#",	//121
    "PausedState",	//122
    "PlayingState",	//123
    "Q_COMPLEX_TYPE",	//124
    "Q_DUMMY_TYPE",	//125
    "Q_MOVABLE_TYPE",	//126
    "Q_PRIMITIVE_TYPE",	//127
    "Q_STATIC_TYPE",	//128
    "QtCriticalMsg",	//129
    "QtDebugMsg",	//130
    "QtFatalMsg",	//131
    "QtSystemMsg",	//132
    "QtWarningMsg",	//133
    "RecordingCaptureCategory",	//134
    "RightChannel",	//135
    "RightSurroundChannel",	//136
    "RootMenu",	//137
    "ScaleAndCrop",	//138
    "SeekSlider",	//139
    "SeekSlider#",	//140
    "SeekSlider##",	//141
    "StoppedState",	//142
    "Stream",	//143
    "StreamInterface",	//144
    "StreamInterface#",	//145
    "SubtitleMenu",	//146
    "SubtitleType",	//147
    "SubwooferChannel",	//148
    "TitleMenu",	//149
    "TitleMetaData",	//150
    "Titles",	//151
    "ToggledHint",	//152
    "TracknumberMetaData",	//153
    "Url",	//154
    "Vcd",	//155
    "VideoCaptureDeviceType",	//156
    "VideoCategory",	//157
    "VideoPlayer",	//158
    "VideoPlayer#",	//159
    "VideoPlayer$",	//160
    "VideoPlayer$#",	//161
    "VideoWidget",	//162
    "VideoWidget#",	//163
    "VideoWidget##",	//164
    "VolumeFaderEffect",	//165
    "VolumeFaderEffect#",	//166
    "VolumeSlider",	//167
    "VolumeSlider#",	//168
    "VolumeSlider##",	//169
    "__codecvt_error",	//170
    "__codecvt_noconv",	//171
    "__codecvt_ok",	//172
    "__codecvt_partial",	//173
    "aboutToFinish",	//174
    "actionEvent",	//175
    "angleChanged",	//176
    "angleChanged$",	//177
    "aspectRatio",	//178
    "audioCaptureDevice",	//179
    "audioOutput",	//180
    "autoDelete",	//181
    "autoplayTitles",	//182
    "availableAngles",	//183
    "availableAnglesChanged",	//184
    "availableAnglesChanged$",	//185
    "availableAudioChannels",	//186
    "availableAudioChannelsChanged",	//187
    "availableChapters",	//188
    "availableChaptersChanged",	//189
    "availableChaptersChanged$",	//190
    "availableMenus",	//191
    "availableMenusChanged",	//192
    "availableMenusChanged?",	//193
    "availableSubtitles",	//194
    "availableSubtitlesChanged",	//195
    "availableTitles",	//196
    "availableTitlesChanged",	//197
    "availableTitlesChanged$",	//198
    "brightness",	//199
    "bufferStatus",	//200
    "bufferStatus$",	//201
    "category",	//202
    "categoryToString",	//203
    "categoryToString$",	//204
    "changeEvent",	//205
    "chapterChanged",	//206
    "chapterChanged$",	//207
    "childEvent",	//208
    "clear",	//209
    "clearQueue",	//210
    "closeEvent",	//211
    "connectNotify",	//212
    "connectToSource",	//213
    "connectToSource#",	//214
    "contextMenuEvent",	//215
    "contrast",	//216
    "createPath",	//217
    "createPath##",	//218
    "createPlayer",	//219
    "createPlayer$",	//220
    "createPlayer$#",	//221
    "currentAngle",	//222
    "currentAudioChannel",	//223
    "currentChapter",	//224
    "currentSource",	//225
    "currentSourceChanged",	//226
    "currentSourceChanged#",	//227
    "currentSubtitle",	//228
    "currentTime",	//229
    "currentTitle",	//230
    "customEvent",	//231
    "data",	//232
    "data#",	//233
    "data#$",	//234
    "dataReady",	//235
    "dataReady?",	//236
    "dataSize",	//237
    "defaultValue",	//238
    "description",	//239
    "devType",	//240
    "deviceAccessList",	//241
    "deviceName",	//242
    "discType",	//243
    "disconnect",	//244
    "disconnectNotify",	//245
    "dragEnterEvent",	//246
    "dragLeaveEvent",	//247
    "dragMoveEvent",	//248
    "dropEvent",	//249
    "dropMimeData",	//250
    "dropMimeData$#$$$#",	//251
    "effects",	//252
    "enabledChange",	//253
    "endOfData",	//254
    "endOfMedia",	//255
    "endOfMedia$",	//256
    "enoughData",	//257
    "enqueue",	//258
    "enqueue#",	//259
    "enqueue?",	//260
    "enterEvent",	//261
    "enterFullScreen",	//262
    "error",	//263
    "error$$",	//264
    "errorString",	//265
    "errorType",	//266
    "event",	//267
    "event#",	//268
    "eventFilter",	//269
    "exitFullScreen",	//270
    "fadeCurve",	//271
    "fadeIn",	//272
    "fadeIn$",	//273
    "fadeOut",	//274
    "fadeOut$",	//275
    "fadeTo",	//276
    "fadeTo$$",	//277
    "fileName",	//278
    "finished",	//279
    "flags",	//280
    "flags#",	//281
    "focusInEvent",	//282
    "focusNextPrevChild",	//283
    "focusOutEvent",	//284
    "fontChange",	//285
    "fromIndex",	//286
    "fromIndex$$",	//287
    "hasTracking",	//288
    "hasVideo",	//289
    "hasVideoChanged",	//290
    "hasVideoChanged$",	//291
    "heightForWidth",	//292
    "hideEvent",	//293
    "hue",	//294
    "iconSize",	//295
    "id",	//296
    "index",	//297
    "inputMethodEvent",	//298
    "inputMethodQuery",	//299
    "inputPaths",	//300
    "insertEffect",	//301
    "insertEffect#",	//302
    "insertEffect##",	//303
    "insertEffect?",	//304
    "insertEffect?#",	//305
    "isIconVisible",	//306
    "isLogarithmicControl",	//307
    "isMuteVisible",	//308
    "isMuted",	//309
    "isPaused",	//310
    "isPlaying",	//311
    "isSeekable",	//312
    "isValid",	//313
    "keyPressEvent",	//314
    "keyReleaseEvent",	//315
    "languageChange",	//316
    "leaveEvent",	//317
    "load",	//318
    "load#",	//319
    "maximumValue",	//320
    "maximumVolume",	//321
    "mediaObject",	//322
    "metaData",	//323
    "metaData$",	//324
    "metaDataChanged",	//325
    "metaObject",	//326
    "metric",	//327
    "mimeData",	//328
    "mimeData$?",	//329
    "mimeTypes",	//330
    "mimeTypes$",	//331
    "minimumSizeHint",	//332
    "minimumValue",	//333
    "modelData",	//334
    "modelData#",	//335
    "mouseDoubleClickEvent",	//336
    "mouseMoveEvent",	//337
    "mouseMoveEvent#",	//338
    "mousePressEvent",	//339
    "mouseReleaseEvent",	//340
    "moveDown",	//341
    "moveDown#",	//342
    "moveEvent",	//343
    "moveUp",	//344
    "moveUp#",	//345
    "mrl",	//346
    "mutedChanged",	//347
    "mutedChanged$",	//348
    "name",	//349
    "navigationMenuToString",	//350
    "navigationMenuToString$",	//351
    "needData",	//352
    "nextTitle",	//353
    "operator!=",	//354
    "operator!=#",	//355
    "operator<",	//356
    "operator<#",	//357
    "operator=",	//358
    "operator=#",	//359
    "operator==",	//360
    "operator==#",	//361
    "operator>",	//362
    "operator>#",	//363
    "orientation",	//364
    "outputDevice",	//365
    "outputDeviceChanged",	//366
    "outputDeviceChanged?",	//367
    "outputPaths",	//368
    "pageStep",	//369
    "paintEngine",	//370
    "paintEvent",	//371
    "paletteChange",	//372
    "parameterValue",	//373
    "parameterValue#",	//374
    "parameters",	//375
    "pause",	//376
    "phononVersion",	//377
    "play",	//378
    "play#",	//379
    "possibleValues",	//380
    "prefinishMark",	//381
    "prefinishMarkReached",	//382
    "prefinishMarkReached$",	//383
    "previousTitle",	//384
    "property",	//385
    "property$",	//386
    "propertyNames",	//387
    "qHash",	//388
    "qHash#",	//389
    "qt_metacall",	//390
    "qt_metacall$$?",	//391
    "qt_metacast",	//392
    "qt_metacast$",	//393
    "queue",	//394
    "reconnect",	//395
    "reconnect##",	//396
    "registerMetaTypes",	//397
    "remainingTime",	//398
    "removeEffect",	//399
    "removeEffect#",	//400
    "removeRows",	//401
    "removeRows$$",	//402
    "removeRows$$#",	//403
    "reset",	//404
    "resizeEvent",	//405
    "rowCount",	//406
    "rowCount#",	//407
    "sampleRate",	//408
    "saturation",	//409
    "scaleMode",	//410
    "seek",	//411
    "seek$",	//412
    "seekStream",	//413
    "seekStream$",	//414
    "seekableChanged",	//415
    "seekableChanged$",	//416
    "setAspectRatio",	//417
    "setAspectRatio$",	//418
    "setAudioOutput",	//419
    "setAudioOutput#",	//420
    "setAutoDelete",	//421
    "setAutoDelete$",	//422
    "setAutoplayTitles",	//423
    "setAutoplayTitles$",	//424
    "setBrightness",	//425
    "setBrightness$",	//426
    "setContrast",	//427
    "setContrast$",	//428
    "setCurrentAngle",	//429
    "setCurrentAngle$",	//430
    "setCurrentAudioChannel",	//431
    "setCurrentAudioChannel?",	//432
    "setCurrentChapter",	//433
    "setCurrentChapter$",	//434
    "setCurrentMenu",	//435
    "setCurrentMenu$",	//436
    "setCurrentSource",	//437
    "setCurrentSource#",	//438
    "setCurrentSubtitle",	//439
    "setCurrentSubtitle?",	//440
    "setCurrentTitle",	//441
    "setCurrentTitle$",	//442
    "setDataSize",	//443
    "setDataSize$",	//444
    "setFadeCurve",	//445
    "setFadeCurve$",	//446
    "setFullScreen",	//447
    "setFullScreen$",	//448
    "setHue",	//449
    "setHue$",	//450
    "setIconSize",	//451
    "setIconSize#",	//452
    "setIconVisible",	//453
    "setIconVisible$",	//454
    "setMaximumVolume",	//455
    "setMaximumVolume$",	//456
    "setMediaObject",	//457
    "setMediaObject#",	//458
    "setModelData",	//459
    "setModelData?",	//460
    "setMuteVisible",	//461
    "setMuteVisible$",	//462
    "setMuted",	//463
    "setMuted$",	//464
    "setName",	//465
    "setName$",	//466
    "setOrientation",	//467
    "setOrientation$",	//468
    "setOutputDevice",	//469
    "setOutputDevice?",	//470
    "setPageStep",	//471
    "setPageStep$",	//472
    "setParameterValue",	//473
    "setParameterValue##",	//474
    "setPrefinishMark",	//475
    "setPrefinishMark$",	//476
    "setQueue",	//477
    "setQueue?",	//478
    "setSaturation",	//479
    "setSaturation$",	//480
    "setScaleMode",	//481
    "setScaleMode$",	//482
    "setSingleStep",	//483
    "setSingleStep$",	//484
    "setStreamSeekable",	//485
    "setStreamSeekable$",	//486
    "setStreamSize",	//487
    "setStreamSize$",	//488
    "setTickInterval",	//489
    "setTickInterval$",	//490
    "setTracking",	//491
    "setTracking$",	//492
    "setTransitionTime",	//493
    "setTransitionTime$",	//494
    "setVisible",	//495
    "setVolume",	//496
    "setVolume$",	//497
    "setVolumeDecibel",	//498
    "setVolumeDecibel$",	//499
    "showEvent",	//500
    "singleStep",	//501
    "sink",	//502
    "sizeHint",	//503
    "snapshot",	//504
    "source",	//505
    "state",	//506
    "stateChanged",	//507
    "stateChanged$$",	//508
    "staticMetaObject",	//509
    "stop",	//510
    "stream",	//511
    "streamSeekable",	//512
    "streamSize",	//513
    "styleChange",	//514
    "supportedDropActions",	//515
    "supportedFeatures",	//516
    "tabletEvent",	//517
    "tick",	//518
    "tick$",	//519
    "tickInterval",	//520
    "timerEvent",	//521
    "titleChanged",	//522
    "titleChanged$",	//523
    "totalTime",	//524
    "totalTimeChanged",	//525
    "totalTimeChanged$",	//526
    "tr",	//527
    "tr$",	//528
    "tr$$",	//529
    "tr$$$",	//530
    "trUtf8",	//531
    "trUtf8$",	//532
    "trUtf8$$",	//533
    "trUtf8$$$",	//534
    "transitionTime",	//535
    "tupleIndexAtPositionIndex",	//536
    "tupleIndexAtPositionIndex$",	//537
    "tupleIndexOrder",	//538
    "type",	//539
    "url",	//540
    "videoCaptureDevice",	//541
    "videoWidget",	//542
    "volume",	//543
    "volumeChanged",	//544
    "volumeChanged$",	//545
    "volumeDecibel",	//546
    "wheelEvent",	//547
    "windowActivationChange",	//548
    "writeData",	//549
    "writeData#",	//550
    "x11Event",	//551
    "~AbstractAudioOutput",	//552
    "~AbstractMediaStream",	//553
    "~AbstractVideoOutput",	//554
    "~AudioDataOutput",	//555
    "~AudioOutput",	//556
    "~Effect",	//557
    "~EffectParameter",	//558
    "~EffectWidget",	//559
    "~MediaController",	//560
    "~MediaNode",	//561
    "~MediaObject",	//562
    "~MediaSource",	//563
    "~ObjectDescriptionData",	//564
    "~ObjectDescriptionModelData",	//565
    "~Path",	//566
    "~SeekSlider",	//567
    "~StreamInterface",	//568
    "~VideoPlayer",	//569
    "~VideoWidget",	//570
    "~VolumeFaderEffect",	//571
    "~VolumeSlider",	//572
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 203, 1, 1, Smoke::mf_static, 109, 1},	//1 Phonon::categoryToString(Phonon::CaptureCategory)
    {1, 203, 3, 1, Smoke::mf_static, 109, 2},	//2 Phonon::categoryToString(Phonon::Category)
    {1, 397, 0, 0, Smoke::mf_static, 0, 3},	//3 Phonon::registerMetaTypes()
    {1, 388, 5, 1, Smoke::mf_static, 260, 4},	//4 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 219, 7, 2, Smoke::mf_static, 27, 5},	//5 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 219, 3, 1, Smoke::mf_static, 27, 6},	//6 Phonon::createPlayer(Phonon::Category)
    {1, 377, 0, 0, Smoke::mf_static, 250, 7},	//7 Phonon::phononVersion()
    {1, 217, 10, 2, Smoke::mf_static, 45, 8},	//8 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 9},	//9 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 10},	//10 Phonon::AlbumMetaData (enum)
    {1, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 11},	//11 Phonon::TitleMetaData (enum)
    {1, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 12},	//12 Phonon::DateMetaData (enum)
    {1, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 13},	//13 Phonon::GenreMetaData (enum)
    {1, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 14},	//14 Phonon::TracknumberMetaData (enum)
    {1, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 15},	//15 Phonon::DescriptionMetaData (enum)
    {1, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 16},	//16 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 17},	//17 Phonon::AudioOutputDeviceType (enum)
    {1, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 18},	//18 Phonon::EffectType (enum)
    {1, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 19},	//19 Phonon::AudioChannelType (enum)
    {1, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 20},	//20 Phonon::SubtitleType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 21},	//21 Phonon::AudioCaptureDeviceType (enum)
    {1, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 22},	//22 Phonon::VideoCaptureDeviceType (enum)
    {1, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//23 Phonon::NoDisc (enum)
    {1, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//24 Phonon::Cd (enum)
    {1, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//25 Phonon::Dvd (enum)
    {1, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 26},	//26 Phonon::Vcd (enum)
    {1, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 27},	//27 Phonon::NoCaptureCategory (enum)
    {1, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 28},	//28 Phonon::CommunicationCaptureCategory (enum)
    {1, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 29},	//29 Phonon::RecordingCaptureCategory (enum)
    {1, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 30},	//30 Phonon::ControlCaptureCategory (enum)
    {1, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 31},	//31 Phonon::NoError (enum)
    {1, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 32},	//32 Phonon::NormalError (enum)
    {1, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 33},	//33 Phonon::FatalError (enum)
    {1, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//34 Phonon::NoCategory (enum)
    {1, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//35 Phonon::NotificationCategory (enum)
    {1, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//36 Phonon::MusicCategory (enum)
    {1, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//37 Phonon::VideoCategory (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 38},	//38 Phonon::CommunicationCategory (enum)
    {1, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 39},	//39 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 40},	//40 Phonon::AccessibilityCategory (enum)
    {1, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 41},	//41 Phonon::LastCategory (enum)
    {1, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 42},	//42 Phonon::LoadingState (enum)
    {1, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 43},	//43 Phonon::StoppedState (enum)
    {1, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 44},	//44 Phonon::PlayingState (enum)
    {1, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 45},	//45 Phonon::BufferingState (enum)
    {1, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 46},	//46 Phonon::PausedState (enum)
    {1, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 47},	//47 Phonon::ErrorState (enum)
    {2, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//48 Phonon::AbstractAudioOutput::metaObject() const
    {2, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//49 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 527, 15, 2, Smoke::mf_static, 109, 3},	//50 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 531, 15, 2, Smoke::mf_static, 109, 4},	//51 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 527, 18, 3, Smoke::mf_static, 109, 5},	//52 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 531, 18, 3, Smoke::mf_static, 109, 6},	//53 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//54 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 26, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//55 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 527, 13, 1, Smoke::mf_static, 109, 9},	//56 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 531, 13, 1, Smoke::mf_static, 109, 10},	//57 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 11},	//58 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 552, 0, 0, Smoke::mf_dtor, 0, 12 },	//59 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//60 Phonon::AbstractMediaStream::metaObject() const
    {4, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//61 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 527, 15, 2, Smoke::mf_static, 109, 3},	//62 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 531, 15, 2, Smoke::mf_static, 109, 4},	//63 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 527, 18, 3, Smoke::mf_static, 109, 5},	//64 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 531, 18, 3, Smoke::mf_static, 109, 6},	//65 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//66 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 29, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//67 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 513, 0, 0, Smoke::mf_const|Smoke::mf_protected, 256, 9},	//68 Phonon::AbstractMediaStream::streamSize() const
    {4, 487, 31, 1, Smoke::mf_protected, 0, 10},	//69 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 512, 0, 0, Smoke::mf_const|Smoke::mf_protected, 213, 11},	//70 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 485, 33, 1, Smoke::mf_protected, 0, 12},	//71 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 549, 35, 1, Smoke::mf_protected, 0, 13},	//72 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 254, 0, 0, Smoke::mf_protected, 0, 14},	//73 Phonon::AbstractMediaStream::endOfData()
    {4, 263, 37, 2, Smoke::mf_protected, 0, 15},	//74 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 404, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//75 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 352, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//76 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//77 Phonon::AbstractMediaStream::enoughData()
    {4, 413, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//78 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//79 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 527, 13, 1, Smoke::mf_static, 109, 21},	//80 Phonon::AbstractMediaStream::tr(const char*)
    {4, 531, 13, 1, Smoke::mf_static, 109, 22},	//81 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//82 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 24},	//83 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 553, 0, 0, Smoke::mf_dtor, 0, 25 },	//84 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//85 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//86 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 554, 0, 0, Smoke::mf_dtor, 0, 3 },	//87 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//88 Phonon::AudioDataOutput::metaObject() const
    {8, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//89 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 527, 15, 2, Smoke::mf_static, 109, 3},	//90 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 531, 15, 2, Smoke::mf_static, 109, 4},	//91 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 527, 18, 3, Smoke::mf_static, 109, 5},	//92 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 531, 18, 3, Smoke::mf_static, 109, 6},	//93 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//94 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 19, 29, 1, Smoke::mf_ctor, 7, 8},	//95 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 237, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 9},	//96 Phonon::AudioDataOutput::dataSize() const
    {8, 408, 0, 0, Smoke::mf_const, 254, 10},	//97 Phonon::AudioDataOutput::sampleRate() const
    {8, 443, 47, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//98 Phonon::AudioDataOutput::setDataSize(int)
    {8, 235, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//99 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 255, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//100 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 527, 13, 1, Smoke::mf_static, 109, 14},	//101 Phonon::AudioDataOutput::tr(const char*)
    {8, 531, 13, 1, Smoke::mf_static, 109, 15},	//102 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 19, 0, 0, Smoke::mf_ctor, 7, 16},	//103 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 17},	//104 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//105 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//106 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//107 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//108 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//109 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//110 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 555, 0, 0, Smoke::mf_dtor, 0, 24 },	//111 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//112 Phonon::AudioOutput::metaObject() const
    {9, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//113 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 527, 15, 2, Smoke::mf_static, 109, 3},	//114 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 531, 15, 2, Smoke::mf_static, 109, 4},	//115 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 527, 18, 3, Smoke::mf_static, 109, 5},	//116 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 531, 18, 3, Smoke::mf_static, 109, 6},	//117 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//118 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 22, 51, 2, Smoke::mf_ctor, 9, 8},	//119 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 22, 29, 1, Smoke::mf_ctor, 9, 9},	//120 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 349, 0, 0, Smoke::mf_const|Smoke::mf_property, 109, 10},	//121 Phonon::AudioOutput::name() const
    {9, 543, 0, 0, Smoke::mf_const, 252, 11},	//122 Phonon::AudioOutput::volume() const
    {9, 546, 0, 0, Smoke::mf_const, 252, 12},	//123 Phonon::AudioOutput::volumeDecibel() const
    {9, 202, 0, 0, Smoke::mf_const, 13, 13},	//124 Phonon::AudioOutput::category() const
    {9, 365, 0, 0, Smoke::mf_const, 37, 14},	//125 Phonon::AudioOutput::outputDevice() const
    {9, 309, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 15},	//126 Phonon::AudioOutput::isMuted() const
    {9, 465, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//127 Phonon::AudioOutput::setName(const QString&)
    {9, 496, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//128 Phonon::AudioOutput::setVolume(qreal)
    {9, 498, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//129 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 469, 58, 1, Smoke::mf_property|Smoke::mf_slot, 213, 19},	//130 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 463, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//131 Phonon::AudioOutput::setMuted(bool)
    {9, 544, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//132 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 347, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//133 Phonon::AudioOutput::mutedChanged(bool)
    {9, 366, 58, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//134 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 527, 13, 1, Smoke::mf_static, 109, 24},	//135 Phonon::AudioOutput::tr(const char*)
    {9, 531, 13, 1, Smoke::mf_static, 109, 25},	//136 Phonon::AudioOutput::trUtf8(const char*)
    {9, 22, 3, 1, Smoke::mf_ctor, 9, 26},	//137 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 22, 0, 0, Smoke::mf_ctor, 9, 27},	//138 Phonon::AudioOutput::AudioOutput()
    {9, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 28},	//139 Phonon::AudioOutput::staticMetaObject() const
    {9, 556, 0, 0, Smoke::mf_dtor, 0, 29 },	//140 Phonon::AudioOutput::~AudioOutput()
    {11, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//141 Phonon::Effect::metaObject() const
    {11, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//142 Phonon::Effect::qt_metacast(const char*)
    {11, 527, 15, 2, Smoke::mf_static, 109, 3},	//143 Phonon::Effect::tr(const char*, const char*)
    {11, 531, 15, 2, Smoke::mf_static, 109, 4},	//144 Phonon::Effect::trUtf8(const char*, const char*)
    {11, 527, 18, 3, Smoke::mf_static, 109, 5},	//145 Phonon::Effect::tr(const char*, const char*, int)
    {11, 531, 18, 3, Smoke::mf_static, 109, 6},	//146 Phonon::Effect::trUtf8(const char*, const char*, int)
    {11, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//147 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {11, 42, 60, 2, Smoke::mf_ctor, 15, 8},	//148 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {11, 239, 0, 0, Smoke::mf_const, 38, 9},	//149 Phonon::Effect::description() const
    {11, 375, 0, 0, Smoke::mf_const, 85, 10},	//150 Phonon::Effect::parameters() const
    {11, 373, 5, 1, Smoke::mf_const, 116, 11},	//151 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {11, 473, 63, 2, 0, 0, 12},	//152 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {11, 42, 66, 2, Smoke::mf_ctor|Smoke::mf_protected, 15, 13},	//153 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {11, 527, 13, 1, Smoke::mf_static, 109, 14},	//154 Phonon::Effect::tr(const char*)
    {11, 531, 13, 1, Smoke::mf_static, 109, 15},	//155 Phonon::Effect::trUtf8(const char*)
    {11, 42, 69, 1, Smoke::mf_ctor, 15, 16},	//156 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {11, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 17},	//157 Phonon::Effect::staticMetaObject() const
    {11, 557, 0, 0, Smoke::mf_dtor, 0, 18 },	//158 Phonon::Effect::~Effect()
    {12, 46, 0, 0, Smoke::mf_ctor, 17, 1},	//159 Phonon::EffectParameter::EffectParameter()
    {12, 349, 0, 0, Smoke::mf_const, 246, 2},	//160 Phonon::EffectParameter::name() const
    {12, 239, 0, 0, Smoke::mf_const, 246, 3},	//161 Phonon::EffectParameter::description() const
    {12, 539, 0, 0, Smoke::mf_const, 117, 4},	//162 Phonon::EffectParameter::type() const
    {12, 307, 0, 0, Smoke::mf_const, 213, 5},	//163 Phonon::EffectParameter::isLogarithmicControl() const
    {12, 333, 0, 0, Smoke::mf_const, 116, 6},	//164 Phonon::EffectParameter::minimumValue() const
    {12, 320, 0, 0, Smoke::mf_const, 116, 7},	//165 Phonon::EffectParameter::maximumValue() const
    {12, 238, 0, 0, Smoke::mf_const, 116, 8},	//166 Phonon::EffectParameter::defaultValue() const
    {12, 380, 0, 0, Smoke::mf_const, 94, 9},	//167 Phonon::EffectParameter::possibleValues() const
    {12, 356, 5, 1, Smoke::mf_const, 213, 10},	//168 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {12, 362, 5, 1, Smoke::mf_const, 213, 11},	//169 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {12, 360, 5, 1, Smoke::mf_const, 213, 12},	//170 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {12, 46, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 13},	//171 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {12, 358, 5, 1, 0, 16, 14},	//172 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {12, 46, 71, 8, Smoke::mf_ctor, 17, 15},	//173 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {12, 296, 0, 0, Smoke::mf_const, 254, 16},	//174 Phonon::EffectParameter::id() const
    {12, 46, 80, 4, Smoke::mf_ctor, 17, 17},	//175 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {12, 46, 85, 5, Smoke::mf_ctor, 17, 18},	//176 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {12, 46, 91, 6, Smoke::mf_ctor, 17, 19},	//177 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {12, 46, 98, 7, Smoke::mf_ctor, 17, 20},	//178 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {12, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 21},	//179 Phonon::EffectParameter::ToggledHint (enum)
    {12, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 22},	//180 Phonon::EffectParameter::LogarithmicHint (enum)
    {12, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 23},	//181 Phonon::EffectParameter::IntegerHint (enum)
    {12, 558, 0, 0, Smoke::mf_dtor, 0, 24 },	//182 Phonon::EffectParameter::~EffectParameter()
    {14, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//183 Phonon::EffectWidget::metaObject() const
    {14, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//184 Phonon::EffectWidget::qt_metacast(const char*)
    {14, 527, 15, 2, Smoke::mf_static, 109, 3},	//185 Phonon::EffectWidget::tr(const char*, const char*)
    {14, 531, 15, 2, Smoke::mf_static, 109, 4},	//186 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {14, 527, 18, 3, Smoke::mf_static, 109, 5},	//187 Phonon::EffectWidget::tr(const char*, const char*, int)
    {14, 531, 18, 3, Smoke::mf_static, 109, 6},	//188 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {14, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//189 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 54, 106, 2, Smoke::mf_ctor, 20, 8},	//190 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {14, 527, 13, 1, Smoke::mf_static, 109, 9},	//191 Phonon::EffectWidget::tr(const char*)
    {14, 531, 13, 1, Smoke::mf_static, 109, 10},	//192 Phonon::EffectWidget::trUtf8(const char*)
    {14, 54, 109, 1, Smoke::mf_ctor, 20, 11},	//193 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {14, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 12},	//194 Phonon::EffectWidget::staticMetaObject() const
    {14, 559, 0, 0, Smoke::mf_dtor, 0, 13 },	//195 Phonon::EffectWidget::~EffectWidget()
    {15, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//196 Phonon::MediaController::metaObject() const
    {15, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//197 Phonon::MediaController::qt_metacast(const char*)
    {15, 527, 15, 2, Smoke::mf_static, 109, 3},	//198 Phonon::MediaController::tr(const char*, const char*)
    {15, 531, 15, 2, Smoke::mf_static, 109, 4},	//199 Phonon::MediaController::trUtf8(const char*, const char*)
    {15, 527, 18, 3, Smoke::mf_static, 109, 5},	//200 Phonon::MediaController::tr(const char*, const char*, int)
    {15, 531, 18, 3, Smoke::mf_static, 109, 6},	//201 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {15, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//202 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {15, 95, 111, 1, Smoke::mf_ctor, 22, 8},	//203 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {15, 516, 0, 0, Smoke::mf_const, 72, 9},	//204 Phonon::MediaController::supportedFeatures() const
    {15, 183, 0, 0, Smoke::mf_const, 254, 10},	//205 Phonon::MediaController::availableAngles() const
    {15, 222, 0, 0, Smoke::mf_const, 254, 11},	//206 Phonon::MediaController::currentAngle() const
    {15, 188, 0, 0, Smoke::mf_const, 254, 12},	//207 Phonon::MediaController::availableChapters() const
    {15, 224, 0, 0, Smoke::mf_const, 254, 13},	//208 Phonon::MediaController::currentChapter() const
    {15, 350, 113, 1, Smoke::mf_static, 109, 14},	//209 Phonon::MediaController::navigationMenuToString(Phonon::MediaController::NavigationMenu)
    {15, 191, 0, 0, Smoke::mf_const, 86, 15},	//210 Phonon::MediaController::availableMenus() const
    {15, 196, 0, 0, Smoke::mf_const, 254, 16},	//211 Phonon::MediaController::availableTitles() const
    {15, 230, 0, 0, Smoke::mf_const, 254, 17},	//212 Phonon::MediaController::currentTitle() const
    {15, 182, 0, 0, Smoke::mf_const, 213, 18},	//213 Phonon::MediaController::autoplayTitles() const
    {15, 223, 0, 0, Smoke::mf_const, 36, 19},	//214 Phonon::MediaController::currentAudioChannel() const
    {15, 228, 0, 0, Smoke::mf_const, 39, 20},	//215 Phonon::MediaController::currentSubtitle() const
    {15, 186, 0, 0, Smoke::mf_const, 88, 21},	//216 Phonon::MediaController::availableAudioChannels() const
    {15, 194, 0, 0, Smoke::mf_const, 89, 22},	//217 Phonon::MediaController::availableSubtitles() const
    {15, 431, 115, 1, 0, 0, 23},	//218 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {15, 435, 113, 1, 0, 0, 24},	//219 Phonon::MediaController::setCurrentMenu(Phonon::MediaController::NavigationMenu)
    {15, 439, 117, 1, 0, 0, 25},	//220 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {15, 429, 47, 1, Smoke::mf_slot, 0, 26},	//221 Phonon::MediaController::setCurrentAngle(int)
    {15, 433, 47, 1, Smoke::mf_slot, 0, 27},	//222 Phonon::MediaController::setCurrentChapter(int)
    {15, 441, 47, 1, Smoke::mf_slot, 0, 28},	//223 Phonon::MediaController::setCurrentTitle(int)
    {15, 423, 33, 1, Smoke::mf_slot, 0, 29},	//224 Phonon::MediaController::setAutoplayTitles(bool)
    {15, 353, 0, 0, Smoke::mf_slot, 0, 30},	//225 Phonon::MediaController::nextTitle()
    {15, 384, 0, 0, Smoke::mf_slot, 0, 31},	//226 Phonon::MediaController::previousTitle()
    {15, 184, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//227 Phonon::MediaController::availableAnglesChanged(int)
    {15, 187, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//228 Phonon::MediaController::availableAudioChannelsChanged()
    {15, 189, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//229 Phonon::MediaController::availableChaptersChanged(int)
    {15, 192, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//230 Phonon::MediaController::availableMenusChanged(QList<Phonon::MediaController::NavigationMenu>)
    {15, 195, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//231 Phonon::MediaController::availableSubtitlesChanged()
    {15, 197, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//232 Phonon::MediaController::availableTitlesChanged(int)
    {15, 176, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//233 Phonon::MediaController::angleChanged(int)
    {15, 206, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//234 Phonon::MediaController::chapterChanged(int)
    {15, 522, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//235 Phonon::MediaController::titleChanged(int)
    {15, 527, 13, 1, Smoke::mf_static, 109, 41},	//236 Phonon::MediaController::tr(const char*)
    {15, 531, 13, 1, Smoke::mf_static, 109, 42},	//237 Phonon::MediaController::trUtf8(const char*)
    {15, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 43},	//238 Phonon::MediaController::staticMetaObject() const
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 44},	//239 Phonon::MediaController::Angles (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 45},	//240 Phonon::MediaController::Chapters (enum)
    {15, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 46},	//241 Phonon::MediaController::Navigations (enum)
    {15, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 47},	//242 Phonon::MediaController::Titles (enum)
    {15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 48},	//243 Phonon::MediaController::RootMenu (enum)
    {15, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 49},	//244 Phonon::MediaController::TitleMenu (enum)
    {15, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 50},	//245 Phonon::MediaController::AudioMenu (enum)
    {15, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 51},	//246 Phonon::MediaController::SubtitleMenu (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 52},	//247 Phonon::MediaController::ChapterMenu (enum)
    {15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 53},	//248 Phonon::MediaController::AngleMenu (enum)
    {15, 560, 0, 0, Smoke::mf_dtor, 0, 54 },	//249 Phonon::MediaController::~MediaController()
    {16, 313, 0, 0, Smoke::mf_const, 213, 1},	//250 Phonon::MediaNode::isValid() const
    {16, 300, 0, 0, Smoke::mf_const, 90, 2},	//251 Phonon::MediaNode::inputPaths() const
    {16, 368, 0, 0, Smoke::mf_const, 90, 3},	//252 Phonon::MediaNode::outputPaths() const
    {16, 97, 121, 1, Smoke::mf_ctor|Smoke::mf_protected, 25, 4},	//253 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {16, 97, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 5},	//254 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {16, 561, 0, 0, Smoke::mf_dtor, 0, 6 },	//255 Phonon::MediaNode::~MediaNode()
    {18, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//256 Phonon::MediaObject::metaObject() const
    {18, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//257 Phonon::MediaObject::qt_metacast(const char*)
    {18, 527, 15, 2, Smoke::mf_static, 109, 3},	//258 Phonon::MediaObject::tr(const char*, const char*)
    {18, 531, 15, 2, Smoke::mf_static, 109, 4},	//259 Phonon::MediaObject::trUtf8(const char*, const char*)
    {18, 527, 18, 3, Smoke::mf_static, 109, 5},	//260 Phonon::MediaObject::tr(const char*, const char*, int)
    {18, 531, 18, 3, Smoke::mf_static, 109, 6},	//261 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {18, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//262 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {18, 99, 29, 1, Smoke::mf_ctor, 27, 8},	//263 Phonon::MediaObject::MediaObject(QObject*)
    {18, 506, 0, 0, Smoke::mf_const, 49, 9},	//264 Phonon::MediaObject::state() const
    {18, 289, 0, 0, Smoke::mf_const, 213, 10},	//265 Phonon::MediaObject::hasVideo() const
    {18, 312, 0, 0, Smoke::mf_const, 213, 11},	//266 Phonon::MediaObject::isSeekable() const
    {18, 520, 0, 0, Smoke::mf_const, 254, 12},	//267 Phonon::MediaObject::tickInterval() const
    {18, 323, 54, 1, Smoke::mf_const, 110, 13},	//268 Phonon::MediaObject::metaData(const QString&) const
    {18, 323, 125, 1, Smoke::mf_const, 110, 14},	//269 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {18, 323, 0, 0, Smoke::mf_const, 100, 15},	//270 Phonon::MediaObject::metaData() const
    {18, 265, 0, 0, Smoke::mf_const, 109, 16},	//271 Phonon::MediaObject::errorString() const
    {18, 266, 0, 0, Smoke::mf_const, 21, 17},	//272 Phonon::MediaObject::errorType() const
    {18, 225, 0, 0, Smoke::mf_const, 28, 18},	//273 Phonon::MediaObject::currentSource() const
    {18, 437, 127, 1, 0, 0, 19},	//274 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {18, 394, 0, 0, Smoke::mf_const, 87, 20},	//275 Phonon::MediaObject::queue() const
    {18, 477, 129, 1, 0, 0, 21},	//276 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {18, 477, 131, 1, 0, 0, 22},	//277 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {18, 258, 127, 1, 0, 0, 23},	//278 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {18, 258, 129, 1, 0, 0, 24},	//279 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {18, 258, 131, 1, 0, 0, 25},	//280 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {18, 210, 0, 0, 0, 0, 26},	//281 Phonon::MediaObject::clearQueue()
    {18, 229, 0, 0, Smoke::mf_const, 256, 27},	//282 Phonon::MediaObject::currentTime() const
    {18, 524, 0, 0, Smoke::mf_const, 256, 28},	//283 Phonon::MediaObject::totalTime() const
    {18, 398, 0, 0, Smoke::mf_const, 256, 29},	//284 Phonon::MediaObject::remainingTime() const
    {18, 381, 0, 0, Smoke::mf_const, 254, 30},	//285 Phonon::MediaObject::prefinishMark() const
    {18, 475, 47, 1, 0, 0, 31},	//286 Phonon::MediaObject::setPrefinishMark(int)
    {18, 535, 0, 0, Smoke::mf_const, 254, 32},	//287 Phonon::MediaObject::transitionTime() const
    {18, 493, 47, 1, 0, 0, 33},	//288 Phonon::MediaObject::setTransitionTime(int)
    {18, 489, 133, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//289 Phonon::MediaObject::setTickInterval(qint32)
    {18, 378, 0, 0, Smoke::mf_slot, 0, 35},	//290 Phonon::MediaObject::play()
    {18, 376, 0, 0, Smoke::mf_slot, 0, 36},	//291 Phonon::MediaObject::pause()
    {18, 510, 0, 0, Smoke::mf_slot, 0, 37},	//292 Phonon::MediaObject::stop()
    {18, 411, 135, 1, Smoke::mf_slot, 0, 38},	//293 Phonon::MediaObject::seek(qint64)
    {18, 209, 0, 0, Smoke::mf_slot, 0, 39},	//294 Phonon::MediaObject::clear()
    {18, 507, 137, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//295 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {18, 518, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//296 Phonon::MediaObject::tick(qint64)
    {18, 325, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//297 Phonon::MediaObject::metaDataChanged()
    {18, 415, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//298 Phonon::MediaObject::seekableChanged(bool)
    {18, 290, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//299 Phonon::MediaObject::hasVideoChanged(bool)
    {18, 200, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//300 Phonon::MediaObject::bufferStatus(int)
    {18, 279, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//301 Phonon::MediaObject::finished()
    {18, 226, 127, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//302 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {18, 174, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//303 Phonon::MediaObject::aboutToFinish()
    {18, 382, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//304 Phonon::MediaObject::prefinishMarkReached(qint32)
    {18, 525, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//305 Phonon::MediaObject::totalTimeChanged(qint64)
    {18, 527, 13, 1, Smoke::mf_static, 109, 51},	//306 Phonon::MediaObject::tr(const char*)
    {18, 531, 13, 1, Smoke::mf_static, 109, 52},	//307 Phonon::MediaObject::trUtf8(const char*)
    {18, 99, 0, 0, Smoke::mf_ctor, 27, 53},	//308 Phonon::MediaObject::MediaObject()
    {18, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 54},	//309 Phonon::MediaObject::staticMetaObject() const
    {18, 562, 0, 0, Smoke::mf_dtor, 0, 55 },	//310 Phonon::MediaObject::~MediaObject()
    {19, 101, 0, 0, Smoke::mf_ctor, 30, 1},	//311 Phonon::MediaSource::MediaSource()
    {19, 101, 54, 1, Smoke::mf_ctor, 30, 2},	//312 Phonon::MediaSource::MediaSource(const QString&)
    {19, 101, 140, 1, Smoke::mf_ctor, 30, 3},	//313 Phonon::MediaSource::MediaSource(const QUrl&)
    {19, 101, 142, 2, Smoke::mf_ctor, 30, 4},	//314 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {19, 101, 145, 1, Smoke::mf_ctor, 30, 5},	//315 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {19, 101, 147, 1, Smoke::mf_ctor, 30, 6},	//316 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {19, 101, 149, 2, Smoke::mf_ctor, 30, 7},	//317 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    {19, 101, 152, 1, Smoke::mf_ctor, 30, 8},	//318 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {19, 101, 154, 1, Smoke::mf_ctor, 30, 9},	//319 Phonon::MediaSource::MediaSource(QIODevice*)
    {19, 101, 127, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 10},	//320 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {19, 358, 127, 1, 0, 29, 11},	//321 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {19, 360, 127, 1, Smoke::mf_const, 213, 12},	//322 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {19, 421, 33, 1, 0, 0, 13},	//323 Phonon::MediaSource::setAutoDelete(bool)
    {19, 181, 0, 0, Smoke::mf_const, 213, 14},	//324 Phonon::MediaSource::autoDelete() const
    {19, 539, 0, 0, Smoke::mf_const, 31, 15},	//325 Phonon::MediaSource::type() const
    {19, 278, 0, 0, Smoke::mf_const, 109, 16},	//326 Phonon::MediaSource::fileName() const
    {19, 346, 0, 0, Smoke::mf_const, 34, 17},	//327 Phonon::MediaSource::mrl() const
    {19, 540, 0, 0, Smoke::mf_const, 115, 18},	//328 Phonon::MediaSource::url() const
    {19, 243, 0, 0, Smoke::mf_const, 14, 19},	//329 Phonon::MediaSource::discType() const
    {19, 241, 0, 0, Smoke::mf_const, 234, 20},	//330 Phonon::MediaSource::deviceAccessList() const
    {19, 242, 0, 0, Smoke::mf_const, 109, 21},	//331 Phonon::MediaSource::deviceName() const
    {19, 511, 0, 0, Smoke::mf_const, 3, 22},	//332 Phonon::MediaSource::stream() const
    {19, 179, 0, 0, Smoke::mf_const, 35, 23},	//333 Phonon::MediaSource::audioCaptureDevice() const
    {19, 541, 0, 0, Smoke::mf_const, 40, 24},	//334 Phonon::MediaSource::videoCaptureDevice() const
    {19, 101, 156, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 25},	//335 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {19, 101, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 26},	//336 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {19, 101, 160, 1, Smoke::mf_ctor, 30, 27},	//337 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {19, 101, 162, 1, Smoke::mf_ctor, 30, 28},	//338 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    {19, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 29},	//339 Phonon::MediaSource::Invalid (enum)
    {19, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 30},	//340 Phonon::MediaSource::LocalFile (enum)
    {19, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 31},	//341 Phonon::MediaSource::Url (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 32},	//342 Phonon::MediaSource::Disc (enum)
    {19, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 33},	//343 Phonon::MediaSource::Stream (enum)
    {19, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 34},	//344 Phonon::MediaSource::CaptureDevice (enum)
    {19, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 35},	//345 Phonon::MediaSource::Empty (enum)
    {19, 563, 0, 0, Smoke::mf_dtor, 0, 36 },	//346 Phonon::MediaSource::~MediaSource()
    {22, 360, 164, 1, Smoke::mf_const, 213, 1},	//347 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {22, 349, 0, 0, Smoke::mf_const, 109, 2},	//348 Phonon::ObjectDescriptionData::name() const
    {22, 239, 0, 0, Smoke::mf_const, 109, 3},	//349 Phonon::ObjectDescriptionData::description() const
    {22, 385, 13, 1, Smoke::mf_const, 116, 4},	//350 Phonon::ObjectDescriptionData::property(const char*) const
    {22, 387, 0, 0, Smoke::mf_const, 92, 5},	//351 Phonon::ObjectDescriptionData::propertyNames() const
    {22, 313, 0, 0, Smoke::mf_const, 213, 6},	//352 Phonon::ObjectDescriptionData::isValid() const
    {22, 297, 0, 0, Smoke::mf_const, 254, 7},	//353 Phonon::ObjectDescriptionData::index() const
    {22, 286, 166, 2, Smoke::mf_static, 41, 8},	//354 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {22, 115, 169, 1, Smoke::mf_ctor, 41, 9},	//355 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {22, 115, 171, 2, Smoke::mf_ctor, 41, 10},	//356 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {22, 115, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 11},	//357 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {22, 115, 0, 0, Smoke::mf_ctor, 41, 12},	//358 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {22, 564, 0, 0, Smoke::mf_dtor, 0, 13 },	//359 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {23, 406, 174, 1, Smoke::mf_const, 254, 1},	//360 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {23, 232, 176, 2, Smoke::mf_const, 116, 2},	//361 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {23, 280, 174, 1, Smoke::mf_const, 74, 3},	//362 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {23, 538, 0, 0, Smoke::mf_const, 95, 4},	//363 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {23, 536, 47, 1, Smoke::mf_const, 254, 5},	//364 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {23, 328, 179, 2, Smoke::mf_const, 97, 6},	//365 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {23, 344, 174, 1, 0, 0, 7},	//366 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {23, 341, 174, 1, 0, 0, 8},	//367 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {23, 459, 182, 1, 0, 0, 9},	//368 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {23, 334, 0, 0, Smoke::mf_const, 93, 10},	//369 Phonon::ObjectDescriptionModelData::modelData() const
    {23, 334, 174, 1, Smoke::mf_const, 70, 11},	//370 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {23, 515, 0, 0, Smoke::mf_const, 73, 12},	//371 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {23, 250, 184, 6, 0, 213, 13},	//372 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {23, 401, 191, 3, 0, 213, 14},	//373 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {23, 330, 195, 1, Smoke::mf_const, 110, 15},	//374 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {23, 118, 197, 1, Smoke::mf_ctor, 42, 16},	//375 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {23, 118, 199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 17},	//376 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {23, 406, 0, 0, Smoke::mf_const, 254, 18},	//377 Phonon::ObjectDescriptionModelData::rowCount() const
    {23, 232, 174, 1, Smoke::mf_const, 116, 19},	//378 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {23, 401, 201, 2, 0, 213, 20},	//379 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {23, 565, 0, 0, Smoke::mf_dtor, 0, 21 },	//380 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {25, 120, 0, 0, Smoke::mf_ctor, 47, 1},	//381 Phonon::Path::Path()
    {25, 120, 204, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 2},	//382 Phonon::Path::Path(const Phonon::Path&)
    {25, 313, 0, 0, Smoke::mf_const, 213, 3},	//383 Phonon::Path::isValid() const
    {25, 301, 206, 2, 0, 15, 4},	//384 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {25, 301, 209, 2, 0, 213, 5},	//385 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {25, 399, 109, 1, 0, 213, 6},	//386 Phonon::Path::removeEffect(Phonon::Effect*)
    {25, 252, 0, 0, Smoke::mf_const, 83, 7},	//387 Phonon::Path::effects() const
    {25, 395, 10, 2, 0, 213, 8},	//388 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {25, 244, 0, 0, 0, 213, 9},	//389 Phonon::Path::disconnect()
    {25, 358, 204, 1, 0, 46, 10},	//390 Phonon::Path::operator=(const Phonon::Path&)
    {25, 360, 204, 1, Smoke::mf_const, 213, 11},	//391 Phonon::Path::operator==(const Phonon::Path&) const
    {25, 354, 204, 1, Smoke::mf_const, 213, 12},	//392 Phonon::Path::operator!=(const Phonon::Path&) const
    {25, 505, 0, 0, Smoke::mf_const, 25, 13},	//393 Phonon::Path::source() const
    {25, 502, 0, 0, Smoke::mf_const, 25, 14},	//394 Phonon::Path::sink() const
    {25, 301, 69, 1, 0, 15, 15},	//395 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {25, 301, 109, 1, 0, 213, 16},	//396 Phonon::Path::insertEffect(Phonon::Effect*)
    {25, 566, 0, 0, Smoke::mf_dtor, 0, 17 },	//397 Phonon::Path::~Path()
    {26, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//398 Phonon::SeekSlider::metaObject() const
    {26, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//399 Phonon::SeekSlider::qt_metacast(const char*)
    {26, 527, 15, 2, Smoke::mf_static, 109, 3},	//400 Phonon::SeekSlider::tr(const char*, const char*)
    {26, 531, 15, 2, Smoke::mf_static, 109, 4},	//401 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {26, 527, 18, 3, Smoke::mf_static, 109, 5},	//402 Phonon::SeekSlider::tr(const char*, const char*, int)
    {26, 531, 18, 3, Smoke::mf_static, 109, 6},	//403 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {26, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//404 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {26, 139, 212, 1, Smoke::mf_ctor, 48, 8},	//405 Phonon::SeekSlider::SeekSlider(QWidget*)
    {26, 139, 214, 2, Smoke::mf_ctor, 48, 9},	//406 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {26, 288, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 10},	//407 Phonon::SeekSlider::hasTracking() const
    {26, 491, 33, 1, Smoke::mf_property, 0, 11},	//408 Phonon::SeekSlider::setTracking(bool)
    {26, 369, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 12},	//409 Phonon::SeekSlider::pageStep() const
    {26, 471, 47, 1, Smoke::mf_property, 0, 13},	//410 Phonon::SeekSlider::setPageStep(int)
    {26, 501, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 14},	//411 Phonon::SeekSlider::singleStep() const
    {26, 483, 47, 1, Smoke::mf_property, 0, 15},	//412 Phonon::SeekSlider::setSingleStep(int)
    {26, 364, 0, 0, Smoke::mf_const|Smoke::mf_property, 165, 16},	//413 Phonon::SeekSlider::orientation() const
    {26, 306, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 17},	//414 Phonon::SeekSlider::isIconVisible() const
    {26, 295, 0, 0, Smoke::mf_const|Smoke::mf_property, 108, 18},	//415 Phonon::SeekSlider::iconSize() const
    {26, 322, 0, 0, Smoke::mf_const, 27, 19},	//416 Phonon::SeekSlider::mediaObject() const
    {26, 467, 217, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//417 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {26, 453, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//418 Phonon::SeekSlider::setIconVisible(bool)
    {26, 451, 219, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//419 Phonon::SeekSlider::setIconSize(const QSize&)
    {26, 457, 111, 1, Smoke::mf_slot, 0, 23},	//420 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {26, 527, 13, 1, Smoke::mf_static, 109, 24},	//421 Phonon::SeekSlider::tr(const char*)
    {26, 531, 13, 1, Smoke::mf_static, 109, 25},	//422 Phonon::SeekSlider::trUtf8(const char*)
    {26, 139, 0, 0, Smoke::mf_ctor, 48, 26},	//423 Phonon::SeekSlider::SeekSlider()
    {26, 139, 111, 1, Smoke::mf_ctor, 48, 27},	//424 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {26, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 28},	//425 Phonon::SeekSlider::staticMetaObject() const
    {26, 567, 0, 0, Smoke::mf_dtor, 0, 29 },	//426 Phonon::SeekSlider::~SeekSlider()
    {27, 549, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//427 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {27, 254, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//428 Phonon::StreamInterface::endOfData() [pure virtual]
    {27, 487, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//429 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {27, 485, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//430 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {27, 213, 127, 1, 0, 0, 5},	//431 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {27, 352, 0, 0, 0, 0, 6},	//432 Phonon::StreamInterface::needData()
    {27, 257, 0, 0, 0, 0, 7},	//433 Phonon::StreamInterface::enoughData()
    {27, 413, 31, 1, 0, 0, 8},	//434 Phonon::StreamInterface::seekStream(long long)
    {27, 404, 0, 0, 0, 0, 9},	//435 Phonon::StreamInterface::reset()
    {27, 144, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 50, 10},	//436 Phonon::StreamInterface::StreamInterface()
    {27, 144, 221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 11},	//437 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {27, 568, 0, 0, Smoke::mf_dtor, 0, 12 },	//438 Phonon::StreamInterface::~StreamInterface()
    {28, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//439 Phonon::VideoPlayer::metaObject() const
    {28, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//440 Phonon::VideoPlayer::qt_metacast(const char*)
    {28, 527, 15, 2, Smoke::mf_static, 109, 3},	//441 Phonon::VideoPlayer::tr(const char*, const char*)
    {28, 531, 15, 2, Smoke::mf_static, 109, 4},	//442 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {28, 527, 18, 3, Smoke::mf_static, 109, 5},	//443 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {28, 531, 18, 3, Smoke::mf_static, 109, 6},	//444 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {28, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//445 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 158, 223, 2, Smoke::mf_ctor, 51, 8},	//446 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {28, 158, 212, 1, Smoke::mf_ctor, 51, 9},	//447 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {28, 524, 0, 0, Smoke::mf_const, 256, 10},	//448 Phonon::VideoPlayer::totalTime() const
    {28, 229, 0, 0, Smoke::mf_const, 256, 11},	//449 Phonon::VideoPlayer::currentTime() const
    {28, 543, 0, 0, Smoke::mf_const, 253, 12},	//450 Phonon::VideoPlayer::volume() const
    {28, 311, 0, 0, Smoke::mf_const, 213, 13},	//451 Phonon::VideoPlayer::isPlaying() const
    {28, 310, 0, 0, Smoke::mf_const, 213, 14},	//452 Phonon::VideoPlayer::isPaused() const
    {28, 322, 0, 0, Smoke::mf_const, 27, 15},	//453 Phonon::VideoPlayer::mediaObject() const
    {28, 180, 0, 0, Smoke::mf_const, 9, 16},	//454 Phonon::VideoPlayer::audioOutput() const
    {28, 542, 0, 0, Smoke::mf_const, 52, 17},	//455 Phonon::VideoPlayer::videoWidget() const
    {28, 318, 127, 1, Smoke::mf_slot, 0, 18},	//456 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {28, 378, 127, 1, Smoke::mf_slot, 0, 19},	//457 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {28, 378, 0, 0, Smoke::mf_slot, 0, 20},	//458 Phonon::VideoPlayer::play()
    {28, 376, 0, 0, Smoke::mf_slot, 0, 21},	//459 Phonon::VideoPlayer::pause()
    {28, 510, 0, 0, Smoke::mf_slot, 0, 22},	//460 Phonon::VideoPlayer::stop()
    {28, 411, 135, 1, Smoke::mf_slot, 0, 23},	//461 Phonon::VideoPlayer::seek(qint64)
    {28, 496, 226, 1, Smoke::mf_slot, 0, 24},	//462 Phonon::VideoPlayer::setVolume(float)
    {28, 279, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//463 Phonon::VideoPlayer::finished()
    {28, 267, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 26},	//464 Phonon::VideoPlayer::event(QEvent*)
    {28, 527, 13, 1, Smoke::mf_static, 109, 27},	//465 Phonon::VideoPlayer::tr(const char*)
    {28, 531, 13, 1, Smoke::mf_static, 109, 28},	//466 Phonon::VideoPlayer::trUtf8(const char*)
    {28, 158, 3, 1, Smoke::mf_ctor, 51, 29},	//467 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {28, 158, 0, 0, Smoke::mf_ctor, 51, 30},	//468 Phonon::VideoPlayer::VideoPlayer()
    {28, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 31},	//469 Phonon::VideoPlayer::staticMetaObject() const
    {28, 569, 0, 0, Smoke::mf_dtor, 0, 32 },	//470 Phonon::VideoPlayer::~VideoPlayer()
    {29, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//471 Phonon::VideoWidget::metaObject() const
    {29, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//472 Phonon::VideoWidget::qt_metacast(const char*)
    {29, 527, 15, 2, Smoke::mf_static, 109, 3},	//473 Phonon::VideoWidget::tr(const char*, const char*)
    {29, 531, 15, 2, Smoke::mf_static, 109, 4},	//474 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {29, 527, 18, 3, Smoke::mf_static, 109, 5},	//475 Phonon::VideoWidget::tr(const char*, const char*, int)
    {29, 531, 18, 3, Smoke::mf_static, 109, 6},	//476 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {29, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//477 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {29, 162, 212, 1, Smoke::mf_ctor, 52, 8},	//478 Phonon::VideoWidget::VideoWidget(QWidget*)
    {29, 178, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 9},	//479 Phonon::VideoWidget::aspectRatio() const
    {29, 410, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 10},	//480 Phonon::VideoWidget::scaleMode() const
    {29, 199, 0, 0, Smoke::mf_const, 252, 11},	//481 Phonon::VideoWidget::brightness() const
    {29, 216, 0, 0, Smoke::mf_const, 252, 12},	//482 Phonon::VideoWidget::contrast() const
    {29, 294, 0, 0, Smoke::mf_const, 252, 13},	//483 Phonon::VideoWidget::hue() const
    {29, 409, 0, 0, Smoke::mf_const, 252, 14},	//484 Phonon::VideoWidget::saturation() const
    {29, 504, 0, 0, Smoke::mf_const, 78, 15},	//485 Phonon::VideoWidget::snapshot() const
    {29, 447, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//486 Phonon::VideoWidget::setFullScreen(bool)
    {29, 270, 0, 0, Smoke::mf_slot, 0, 17},	//487 Phonon::VideoWidget::exitFullScreen()
    {29, 262, 0, 0, Smoke::mf_slot, 0, 18},	//488 Phonon::VideoWidget::enterFullScreen()
    {29, 417, 230, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//489 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {29, 481, 232, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//490 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {29, 425, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//491 Phonon::VideoWidget::setBrightness(qreal)
    {29, 427, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//492 Phonon::VideoWidget::setContrast(qreal)
    {29, 449, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//493 Phonon::VideoWidget::setHue(qreal)
    {29, 479, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//494 Phonon::VideoWidget::setSaturation(qreal)
    {29, 162, 234, 2, Smoke::mf_ctor|Smoke::mf_protected, 52, 25},	//495 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {29, 337, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//496 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {29, 267, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 27},	//497 Phonon::VideoWidget::event(QEvent*)
    {29, 527, 13, 1, Smoke::mf_static, 109, 28},	//498 Phonon::VideoWidget::tr(const char*)
    {29, 531, 13, 1, Smoke::mf_static, 109, 29},	//499 Phonon::VideoWidget::trUtf8(const char*)
    {29, 162, 0, 0, Smoke::mf_ctor, 52, 30},	//500 Phonon::VideoWidget::VideoWidget()
    {29, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 31},	//501 Phonon::VideoWidget::staticMetaObject() const
    {29, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//502 Phonon::VideoWidget::AspectRatioAuto (enum)
    {29, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//503 Phonon::VideoWidget::AspectRatioWidget (enum)
    {29, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//504 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {29, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//505 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 36},	//506 Phonon::VideoWidget::FitInView (enum)
    {29, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 37},	//507 Phonon::VideoWidget::ScaleAndCrop (enum)
    {29, 570, 0, 0, Smoke::mf_dtor, 0, 38 },	//508 Phonon::VideoWidget::~VideoWidget()
    {31, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//509 Phonon::VolumeFaderEffect::metaObject() const
    {31, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//510 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {31, 527, 15, 2, Smoke::mf_static, 109, 3},	//511 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {31, 531, 15, 2, Smoke::mf_static, 109, 4},	//512 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {31, 527, 18, 3, Smoke::mf_static, 109, 5},	//513 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {31, 531, 18, 3, Smoke::mf_static, 109, 6},	//514 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {31, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//515 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {31, 165, 29, 1, Smoke::mf_ctor, 56, 8},	//516 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {31, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 253, 9},	//517 Phonon::VolumeFaderEffect::volume() const
    {31, 546, 0, 0, Smoke::mf_const|Smoke::mf_property, 252, 10},	//518 Phonon::VolumeFaderEffect::volumeDecibel() const
    {31, 271, 0, 0, Smoke::mf_const|Smoke::mf_property, 57, 11},	//519 Phonon::VolumeFaderEffect::fadeCurve() const
    {31, 272, 47, 1, Smoke::mf_slot, 0, 12},	//520 Phonon::VolumeFaderEffect::fadeIn(int)
    {31, 274, 47, 1, Smoke::mf_slot, 0, 13},	//521 Phonon::VolumeFaderEffect::fadeOut(int)
    {31, 496, 226, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//522 Phonon::VolumeFaderEffect::setVolume(float)
    {31, 498, 239, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//523 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {31, 445, 241, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//524 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {31, 276, 243, 2, Smoke::mf_slot, 0, 17},	//525 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {31, 527, 13, 1, Smoke::mf_static, 109, 18},	//526 Phonon::VolumeFaderEffect::tr(const char*)
    {31, 531, 13, 1, Smoke::mf_static, 109, 19},	//527 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {31, 165, 0, 0, Smoke::mf_ctor, 56, 20},	//528 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {31, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 21},	//529 Phonon::VolumeFaderEffect::staticMetaObject() const
    {31, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 22},	//530 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {31, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 23},	//531 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {31, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 24},	//532 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {31, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 25},	//533 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {31, 571, 0, 0, Smoke::mf_dtor, 0, 26 },	//534 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {32, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 239, 1},	//535 Phonon::VolumeSlider::metaObject() const
    {32, 392, 13, 1, Smoke::mf_virtual, 261, 2},	//536 Phonon::VolumeSlider::qt_metacast(const char*)
    {32, 527, 15, 2, Smoke::mf_static, 109, 3},	//537 Phonon::VolumeSlider::tr(const char*, const char*)
    {32, 531, 15, 2, Smoke::mf_static, 109, 4},	//538 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {32, 527, 18, 3, Smoke::mf_static, 109, 5},	//539 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {32, 531, 18, 3, Smoke::mf_static, 109, 6},	//540 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {32, 390, 22, 3, Smoke::mf_virtual, 254, 7},	//541 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {32, 167, 212, 1, Smoke::mf_ctor, 58, 8},	//542 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {32, 167, 246, 2, Smoke::mf_ctor, 58, 9},	//543 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {32, 288, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 10},	//544 Phonon::VolumeSlider::hasTracking() const
    {32, 491, 33, 1, Smoke::mf_property, 0, 11},	//545 Phonon::VolumeSlider::setTracking(bool)
    {32, 369, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 12},	//546 Phonon::VolumeSlider::pageStep() const
    {32, 471, 47, 1, Smoke::mf_property, 0, 13},	//547 Phonon::VolumeSlider::setPageStep(int)
    {32, 501, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 14},	//548 Phonon::VolumeSlider::singleStep() const
    {32, 483, 47, 1, Smoke::mf_property, 0, 15},	//549 Phonon::VolumeSlider::setSingleStep(int)
    {32, 308, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 16},	//550 Phonon::VolumeSlider::isMuteVisible() const
    {32, 295, 0, 0, Smoke::mf_const|Smoke::mf_property, 108, 17},	//551 Phonon::VolumeSlider::iconSize() const
    {32, 321, 0, 0, Smoke::mf_const, 252, 18},	//552 Phonon::VolumeSlider::maximumVolume() const
    {32, 364, 0, 0, Smoke::mf_const|Smoke::mf_property, 165, 19},	//553 Phonon::VolumeSlider::orientation() const
    {32, 180, 0, 0, Smoke::mf_const, 9, 20},	//554 Phonon::VolumeSlider::audioOutput() const
    {32, 455, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//555 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {32, 467, 217, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//556 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {32, 461, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//557 Phonon::VolumeSlider::setMuteVisible(bool)
    {32, 451, 219, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//558 Phonon::VolumeSlider::setIconSize(const QSize&)
    {32, 419, 249, 1, Smoke::mf_slot, 0, 25},	//559 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {32, 527, 13, 1, Smoke::mf_static, 109, 26},	//560 Phonon::VolumeSlider::tr(const char*)
    {32, 531, 13, 1, Smoke::mf_static, 109, 27},	//561 Phonon::VolumeSlider::trUtf8(const char*)
    {32, 167, 0, 0, Smoke::mf_ctor, 58, 28},	//562 Phonon::VolumeSlider::VolumeSlider()
    {32, 167, 249, 1, Smoke::mf_ctor, 58, 29},	//563 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {32, 509, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 238, 30},	//564 Phonon::VolumeSlider::staticMetaObject() const
    {32, 572, 0, 0, Smoke::mf_dtor, 0, 31 },	//565 Phonon::VolumeSlider::~VolumeSlider()
    {47, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 1},	//566 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 2},	//567 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {47, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 3},	//568 QGlobalSpace::Q_STATIC_TYPE (enum)
    {47, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 4},	//569 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {47, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 5},	//570 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {47, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 6},	//571 QGlobalSpace::LicensedGui (enum)
    {47, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 7},	//572 QGlobalSpace::LicensedXml (enum)
    {47, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 8},	//573 QGlobalSpace::LicensedQt3SupportLight (enum)
    {47, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 9},	//574 QGlobalSpace::LicensedScript (enum)
    {47, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 10},	//575 QGlobalSpace::LicensedOpenVG (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 11},	//576 QGlobalSpace::LicensedDBus (enum)
    {47, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 12},	//577 QGlobalSpace::LicensedTest (enum)
    {47, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 13},	//578 QGlobalSpace::LicensedActiveQt (enum)
    {47, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 14},	//579 QGlobalSpace::LicensedScriptTools (enum)
    {47, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 15},	//580 QGlobalSpace::LicensedSvg (enum)
    {47, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 16},	//581 QGlobalSpace::LicensedDeclarative (enum)
    {47, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 17},	//582 QGlobalSpace::LicensedSql (enum)
    {47, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 18},	//583 QGlobalSpace::LicensedOpenGL (enum)
    {47, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 19},	//584 QGlobalSpace::LicensedCore (enum)
    {47, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 20},	//585 QGlobalSpace::QtDebugMsg (enum)
    {47, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 21},	//586 QGlobalSpace::QtWarningMsg (enum)
    {47, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 22},	//587 QGlobalSpace::QtCriticalMsg (enum)
    {47, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 23},	//588 QGlobalSpace::QtFatalMsg (enum)
    {47, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 24},	//589 QGlobalSpace::QtSystemMsg (enum)
    {47, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 25},	//590 QGlobalSpace::LicensedHelp (enum)
    {47, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 26},	//591 QGlobalSpace::LicensedMultimedia (enum)
    {47, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 27},	//592 QGlobalSpace::LicensedQt3Support (enum)
    {47, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//593 QGlobalSpace::LicensedXmlPatterns (enum)
    {47, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 29},	//594 QGlobalSpace::LicensedNetwork (enum)
    {47, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 30},	//595 QGlobalSpace::__codecvt_ok (enum)
    {47, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 31},	//596 QGlobalSpace::__codecvt_partial (enum)
    {47, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 32},	//597 QGlobalSpace::__codecvt_error (enum)
    {47, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 33},	//598 QGlobalSpace::__codecvt_noconv (enum)
    {58, 267, 228, 1, Smoke::mf_virtual, 213, 0},	//599 QObject::event(QEvent*)
    {58, 269, 251, 2, Smoke::mf_virtual, 213, 0},	//600 QObject::eventFilter(QObject*, QEvent*)
    {58, 521, 254, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QObject::timerEvent(QTimerEvent*)
    {58, 208, 256, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QObject::childEvent(QChildEvent*)
    {58, 231, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QObject::customEvent(QEvent*)
    {58, 212, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//604 QObject::connectNotify(const char*)
    {58, 245, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QObject::disconnectNotify(const char*)
    {73, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//606 QWidget::devType() const
    {73, 495, 33, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//607 QWidget::setVisible(bool)
    {73, 503, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 108, 0},	//608 QWidget::sizeHint() const
    {73, 332, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 108, 0},	//609 QWidget::minimumSizeHint() const
    {73, 292, 47, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//610 QWidget::heightForWidth(int) const
    {73, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 103, 0},	//611 QWidget::paintEngine() const
    {73, 267, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 0},	//612 QWidget::event(QEvent*)
    {73, 339, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//613 QWidget::mousePressEvent(QMouseEvent*)
    {73, 340, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//614 QWidget::mouseReleaseEvent(QMouseEvent*)
    {73, 336, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//615 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {73, 337, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//616 QWidget::mouseMoveEvent(QMouseEvent*)
    {73, 547, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//617 QWidget::wheelEvent(QWheelEvent*)
    {73, 314, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//618 QWidget::keyPressEvent(QKeyEvent*)
    {73, 315, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//619 QWidget::keyReleaseEvent(QKeyEvent*)
    {73, 282, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//620 QWidget::focusInEvent(QFocusEvent*)
    {73, 284, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//621 QWidget::focusOutEvent(QFocusEvent*)
    {73, 261, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//622 QWidget::enterEvent(QEvent*)
    {73, 317, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//623 QWidget::leaveEvent(QEvent*)
    {73, 371, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QWidget::paintEvent(QPaintEvent*)
    {73, 343, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QWidget::moveEvent(QMoveEvent*)
    {73, 405, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QWidget::resizeEvent(QResizeEvent*)
    {73, 211, 270, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//627 QWidget::closeEvent(QCloseEvent*)
    {73, 215, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//628 QWidget::contextMenuEvent(QContextMenuEvent*)
    {73, 517, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//629 QWidget::tabletEvent(QTabletEvent*)
    {73, 175, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//630 QWidget::actionEvent(QActionEvent*)
    {73, 246, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QWidget::dragEnterEvent(QDragEnterEvent*)
    {73, 248, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//632 QWidget::dragMoveEvent(QDragMoveEvent*)
    {73, 247, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//633 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {73, 249, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QWidget::dropEvent(QDropEvent*)
    {73, 500, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QWidget::showEvent(QShowEvent*)
    {73, 293, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QWidget::hideEvent(QHideEvent*)
    {73, 551, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 0},	//637 QWidget::x11Event(_XEvent*)
    {73, 205, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QWidget::changeEvent(QEvent*)
    {73, 327, 292, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//639 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {73, 298, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QWidget::inputMethodEvent(QInputMethodEvent*)
    {73, 299, 296, 1, Smoke::mf_const|Smoke::mf_virtual, 116, 0},	//641 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {73, 283, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 0},	//642 QWidget::focusNextPrevChild(bool)
    {73, 514, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QWidget::styleChange(QStyle&)
    {73, 253, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QWidget::enabledChange(bool)
    {73, 372, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QWidget::paletteChange(const QPalette&)
    {73, 285, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//646 QWidget::fontChange(const QFont&)
    {73, 548, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//647 QWidget::windowActivationChange(bool)
    {73, 316, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    355,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    357,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    313,  // Phonon::MediaSource::MediaSource(const QUrl&)
    318,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    319,  // Phonon::MediaSource::MediaSource(QIODevice*)
    320,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    335,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    312,  // Phonon::MediaSource::MediaSource(const QString&)
    337,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    338,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    0,
    314,  // Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    317,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    0,
    315,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    316,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    336,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
    279,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    280,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    268,  // Phonon::MediaObject::metaData(const QString&) const
    269,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    276,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    277,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    253,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    254,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    405,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    424,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    542,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    563,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
    85,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    86,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    375,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    376,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    1,  // Phonon::categoryToString(Phonon::CaptureCategory)
    2,  // Phonon::categoryToString(Phonon::Category)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 40},	// Phonon::AccessibilityCategory
    {1, 9, 10},	// Phonon::AlbumMetaData
    {1, 12, 9},	// Phonon::ArtistMetaData
    {1, 17, 21},	// Phonon::AudioCaptureDeviceType
    {1, 18, 19},	// Phonon::AudioChannelType
    {1, 26, 17},	// Phonon::AudioOutputDeviceType
    {1, 27, 45},	// Phonon::BufferingState
    {1, 29, 24},	// Phonon::Cd
    {1, 33, 28},	// Phonon::CommunicationCaptureCategory
    {1, 34, 38},	// Phonon::CommunicationCategory
    {1, 35, 30},	// Phonon::ControlCaptureCategory
    {1, 36, 12},	// Phonon::DateMetaData
    {1, 37, 15},	// Phonon::DescriptionMetaData
    {1, 41, 25},	// Phonon::Dvd
    {1, 53, 18},	// Phonon::EffectType
    {1, 58, 47},	// Phonon::ErrorState
    {1, 63, 33},	// Phonon::FatalError
    {1, 65, 39},	// Phonon::GameCategory
    {1, 66, 13},	// Phonon::GenreMetaData
    {1, 70, 41},	// Phonon::LastCategory
    {1, 92, 42},	// Phonon::LoadingState
    {1, 106, 16},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 107, 36},	// Phonon::MusicCategory
    {1, 109, 27},	// Phonon::NoCaptureCategory
    {1, 110, 34},	// Phonon::NoCategory
    {1, 111, 23},	// Phonon::NoDisc
    {1, 112, 31},	// Phonon::NoError
    {1, 113, 32},	// Phonon::NormalError
    {1, 114, 35},	// Phonon::NotificationCategory
    {1, 122, 46},	// Phonon::PausedState
    {1, 123, 44},	// Phonon::PlayingState
    {1, 134, 29},	// Phonon::RecordingCaptureCategory
    {1, 142, 43},	// Phonon::StoppedState
    {1, 147, 20},	// Phonon::SubtitleType
    {1, 150, 11},	// Phonon::TitleMetaData
    {1, 153, 14},	// Phonon::TracknumberMetaData
    {1, 155, 26},	// Phonon::Vcd
    {1, 156, 22},	// Phonon::VideoCaptureDeviceType
    {1, 157, 37},	// Phonon::VideoCategory
    {1, 204, -45},	// Phonon::categoryToString$
    {1, 218, 8},	// Phonon::createPath##
    {1, 220, 6},	// Phonon::createPlayer$
    {1, 221, 5},	// Phonon::createPlayer$#
    {1, 377, 7},	// Phonon::phononVersion
    {1, 389, 4},	// Phonon::qHash#
    {1, 397, 3},	// Phonon::registerMetaTypes
    {2, 2, 55},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 326, 48},	// Phonon::AbstractAudioOutput::metaObject
    {2, 391, 54},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 393, 49},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 509, 58},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 528, 56},	// Phonon::AbstractAudioOutput::tr$
    {2, 529, 50},	// Phonon::AbstractAudioOutput::tr$$
    {2, 530, 52},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 532, 57},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 533, 51},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 534, 53},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 552, 59},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 82},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 67},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 79},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 254, 73},	// Phonon::AbstractMediaStream::endOfData
    {4, 257, 77},	// Phonon::AbstractMediaStream::enoughData
    {4, 264, 74},	// Phonon::AbstractMediaStream::error$$
    {4, 326, 60},	// Phonon::AbstractMediaStream::metaObject
    {4, 352, 76},	// Phonon::AbstractMediaStream::needData
    {4, 391, 66},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 393, 61},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 404, 75},	// Phonon::AbstractMediaStream::reset
    {4, 414, 78},	// Phonon::AbstractMediaStream::seekStream$
    {4, 486, 71},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 488, 69},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 509, 83},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 512, 70},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 513, 68},	// Phonon::AbstractMediaStream::streamSize
    {4, 528, 80},	// Phonon::AbstractMediaStream::tr$
    {4, 529, 62},	// Phonon::AbstractMediaStream::tr$$
    {4, 530, 64},	// Phonon::AbstractMediaStream::tr$$$
    {4, 532, 81},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 533, 63},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 534, 65},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 550, 72},	// Phonon::AbstractMediaStream::writeData#
    {4, 553, 84},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -39},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 554, 87},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 19, 103},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 20, 95},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 30, 107},	// Phonon::AudioDataOutput::CenterChannel
    {8, 71, 105},	// Phonon::AudioDataOutput::LeftChannel
    {8, 72, 108},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 135, 106},	// Phonon::AudioDataOutput::RightChannel
    {8, 136, 109},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 148, 110},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 236, 99},	// Phonon::AudioDataOutput::dataReady?
    {8, 237, 96},	// Phonon::AudioDataOutput::dataSize
    {8, 256, 100},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 326, 88},	// Phonon::AudioDataOutput::metaObject
    {8, 391, 94},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 393, 89},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 408, 97},	// Phonon::AudioDataOutput::sampleRate
    {8, 444, 98},	// Phonon::AudioDataOutput::setDataSize$
    {8, 509, 104},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 528, 101},	// Phonon::AudioDataOutput::tr$
    {8, 529, 90},	// Phonon::AudioDataOutput::tr$$
    {8, 530, 92},	// Phonon::AudioDataOutput::tr$$$
    {8, 532, 102},	// Phonon::AudioDataOutput::trUtf8$
    {8, 533, 91},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 534, 93},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 555, 111},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 22, 138},	// Phonon::AudioOutput::AudioOutput
    {9, 23, 120},	// Phonon::AudioOutput::AudioOutput#
    {9, 24, 137},	// Phonon::AudioOutput::AudioOutput$
    {9, 25, 119},	// Phonon::AudioOutput::AudioOutput$#
    {9, 202, 124},	// Phonon::AudioOutput::category
    {9, 309, 126},	// Phonon::AudioOutput::isMuted
    {9, 326, 112},	// Phonon::AudioOutput::metaObject
    {9, 348, 133},	// Phonon::AudioOutput::mutedChanged$
    {9, 349, 121},	// Phonon::AudioOutput::name
    {9, 365, 125},	// Phonon::AudioOutput::outputDevice
    {9, 367, 134},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 391, 118},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 393, 113},	// Phonon::AudioOutput::qt_metacast$
    {9, 464, 131},	// Phonon::AudioOutput::setMuted$
    {9, 466, 127},	// Phonon::AudioOutput::setName$
    {9, 470, 130},	// Phonon::AudioOutput::setOutputDevice?
    {9, 497, 128},	// Phonon::AudioOutput::setVolume$
    {9, 499, 129},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 509, 139},	// Phonon::AudioOutput::staticMetaObject
    {9, 528, 135},	// Phonon::AudioOutput::tr$
    {9, 529, 114},	// Phonon::AudioOutput::tr$$
    {9, 530, 116},	// Phonon::AudioOutput::tr$$$
    {9, 532, 136},	// Phonon::AudioOutput::trUtf8$
    {9, 533, 115},	// Phonon::AudioOutput::trUtf8$$
    {9, 534, 117},	// Phonon::AudioOutput::trUtf8$$$
    {9, 543, 122},	// Phonon::AudioOutput::volume
    {9, 545, 132},	// Phonon::AudioOutput::volumeChanged$
    {9, 546, 123},	// Phonon::AudioOutput::volumeDecibel
    {9, 556, 140},	// Phonon::AudioOutput::~AudioOutput
    {11, 43, 153},	// Phonon::Effect::Effect##
    {11, 44, 156},	// Phonon::Effect::Effect?
    {11, 45, 148},	// Phonon::Effect::Effect?#
    {11, 239, 149},	// Phonon::Effect::description
    {11, 326, 141},	// Phonon::Effect::metaObject
    {11, 374, 151},	// Phonon::Effect::parameterValue#
    {11, 375, 150},	// Phonon::Effect::parameters
    {11, 391, 147},	// Phonon::Effect::qt_metacall$$?
    {11, 393, 142},	// Phonon::Effect::qt_metacast$
    {11, 474, 152},	// Phonon::Effect::setParameterValue##
    {11, 509, 157},	// Phonon::Effect::staticMetaObject
    {11, 528, 154},	// Phonon::Effect::tr$
    {11, 529, 143},	// Phonon::Effect::tr$$
    {11, 530, 145},	// Phonon::Effect::tr$$$
    {11, 532, 155},	// Phonon::Effect::trUtf8$
    {11, 533, 144},	// Phonon::Effect::trUtf8$$
    {11, 534, 146},	// Phonon::Effect::trUtf8$$$
    {11, 557, 158},	// Phonon::Effect::~Effect
    {12, 46, 159},	// Phonon::EffectParameter::EffectParameter
    {12, 47, 171},	// Phonon::EffectParameter::EffectParameter#
    {12, 48, 175},	// Phonon::EffectParameter::EffectParameter$$$#
    {12, 49, 176},	// Phonon::EffectParameter::EffectParameter$$$##
    {12, 50, 177},	// Phonon::EffectParameter::EffectParameter$$$###
    {12, 51, 178},	// Phonon::EffectParameter::EffectParameter$$$###?
    {12, 52, 173},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {12, 68, 181},	// Phonon::EffectParameter::IntegerHint
    {12, 94, 180},	// Phonon::EffectParameter::LogarithmicHint
    {12, 152, 179},	// Phonon::EffectParameter::ToggledHint
    {12, 238, 166},	// Phonon::EffectParameter::defaultValue
    {12, 239, 161},	// Phonon::EffectParameter::description
    {12, 296, 174},	// Phonon::EffectParameter::id
    {12, 307, 163},	// Phonon::EffectParameter::isLogarithmicControl
    {12, 320, 165},	// Phonon::EffectParameter::maximumValue
    {12, 333, 164},	// Phonon::EffectParameter::minimumValue
    {12, 349, 160},	// Phonon::EffectParameter::name
    {12, 357, 168},	// Phonon::EffectParameter::operator<#
    {12, 359, 172},	// Phonon::EffectParameter::operator=#
    {12, 361, 170},	// Phonon::EffectParameter::operator==#
    {12, 363, 169},	// Phonon::EffectParameter::operator>#
    {12, 380, 167},	// Phonon::EffectParameter::possibleValues
    {12, 539, 162},	// Phonon::EffectParameter::type
    {12, 558, 182},	// Phonon::EffectParameter::~EffectParameter
    {14, 55, 193},	// Phonon::EffectWidget::EffectWidget#
    {14, 56, 190},	// Phonon::EffectWidget::EffectWidget##
    {14, 326, 183},	// Phonon::EffectWidget::metaObject
    {14, 391, 189},	// Phonon::EffectWidget::qt_metacall$$?
    {14, 393, 184},	// Phonon::EffectWidget::qt_metacast$
    {14, 509, 194},	// Phonon::EffectWidget::staticMetaObject
    {14, 528, 191},	// Phonon::EffectWidget::tr$
    {14, 529, 185},	// Phonon::EffectWidget::tr$$
    {14, 530, 187},	// Phonon::EffectWidget::tr$$$
    {14, 532, 192},	// Phonon::EffectWidget::trUtf8$
    {14, 533, 186},	// Phonon::EffectWidget::trUtf8$$
    {14, 534, 188},	// Phonon::EffectWidget::trUtf8$$$
    {14, 559, 195},	// Phonon::EffectWidget::~EffectWidget
    {15, 10, 248},	// Phonon::MediaController::AngleMenu
    {15, 11, 239},	// Phonon::MediaController::Angles
    {15, 21, 245},	// Phonon::MediaController::AudioMenu
    {15, 31, 247},	// Phonon::MediaController::ChapterMenu
    {15, 32, 240},	// Phonon::MediaController::Chapters
    {15, 96, 203},	// Phonon::MediaController::MediaController#
    {15, 108, 241},	// Phonon::MediaController::Navigations
    {15, 137, 243},	// Phonon::MediaController::RootMenu
    {15, 146, 246},	// Phonon::MediaController::SubtitleMenu
    {15, 149, 244},	// Phonon::MediaController::TitleMenu
    {15, 151, 242},	// Phonon::MediaController::Titles
    {15, 177, 233},	// Phonon::MediaController::angleChanged$
    {15, 182, 213},	// Phonon::MediaController::autoplayTitles
    {15, 183, 205},	// Phonon::MediaController::availableAngles
    {15, 185, 227},	// Phonon::MediaController::availableAnglesChanged$
    {15, 186, 216},	// Phonon::MediaController::availableAudioChannels
    {15, 187, 228},	// Phonon::MediaController::availableAudioChannelsChanged
    {15, 188, 207},	// Phonon::MediaController::availableChapters
    {15, 190, 229},	// Phonon::MediaController::availableChaptersChanged$
    {15, 191, 210},	// Phonon::MediaController::availableMenus
    {15, 193, 230},	// Phonon::MediaController::availableMenusChanged?
    {15, 194, 217},	// Phonon::MediaController::availableSubtitles
    {15, 195, 231},	// Phonon::MediaController::availableSubtitlesChanged
    {15, 196, 211},	// Phonon::MediaController::availableTitles
    {15, 198, 232},	// Phonon::MediaController::availableTitlesChanged$
    {15, 207, 234},	// Phonon::MediaController::chapterChanged$
    {15, 222, 206},	// Phonon::MediaController::currentAngle
    {15, 223, 214},	// Phonon::MediaController::currentAudioChannel
    {15, 224, 208},	// Phonon::MediaController::currentChapter
    {15, 228, 215},	// Phonon::MediaController::currentSubtitle
    {15, 230, 212},	// Phonon::MediaController::currentTitle
    {15, 326, 196},	// Phonon::MediaController::metaObject
    {15, 351, 209},	// Phonon::MediaController::navigationMenuToString$
    {15, 353, 225},	// Phonon::MediaController::nextTitle
    {15, 384, 226},	// Phonon::MediaController::previousTitle
    {15, 391, 202},	// Phonon::MediaController::qt_metacall$$?
    {15, 393, 197},	// Phonon::MediaController::qt_metacast$
    {15, 424, 224},	// Phonon::MediaController::setAutoplayTitles$
    {15, 430, 221},	// Phonon::MediaController::setCurrentAngle$
    {15, 432, 218},	// Phonon::MediaController::setCurrentAudioChannel?
    {15, 434, 222},	// Phonon::MediaController::setCurrentChapter$
    {15, 436, 219},	// Phonon::MediaController::setCurrentMenu$
    {15, 440, 220},	// Phonon::MediaController::setCurrentSubtitle?
    {15, 442, 223},	// Phonon::MediaController::setCurrentTitle$
    {15, 509, 238},	// Phonon::MediaController::staticMetaObject
    {15, 516, 204},	// Phonon::MediaController::supportedFeatures
    {15, 523, 235},	// Phonon::MediaController::titleChanged$
    {15, 528, 236},	// Phonon::MediaController::tr$
    {15, 529, 198},	// Phonon::MediaController::tr$$
    {15, 530, 200},	// Phonon::MediaController::tr$$$
    {15, 532, 237},	// Phonon::MediaController::trUtf8$
    {15, 533, 199},	// Phonon::MediaController::trUtf8$$
    {15, 534, 201},	// Phonon::MediaController::trUtf8$$$
    {15, 560, 249},	// Phonon::MediaController::~MediaController
    {16, 98, -30},	// Phonon::MediaNode::MediaNode#
    {16, 300, 251},	// Phonon::MediaNode::inputPaths
    {16, 313, 250},	// Phonon::MediaNode::isValid
    {16, 368, 252},	// Phonon::MediaNode::outputPaths
    {16, 561, 255},	// Phonon::MediaNode::~MediaNode
    {18, 99, 308},	// Phonon::MediaObject::MediaObject
    {18, 100, 263},	// Phonon::MediaObject::MediaObject#
    {18, 174, 303},	// Phonon::MediaObject::aboutToFinish
    {18, 201, 300},	// Phonon::MediaObject::bufferStatus$
    {18, 209, 294},	// Phonon::MediaObject::clear
    {18, 210, 281},	// Phonon::MediaObject::clearQueue
    {18, 225, 273},	// Phonon::MediaObject::currentSource
    {18, 227, 302},	// Phonon::MediaObject::currentSourceChanged#
    {18, 229, 282},	// Phonon::MediaObject::currentTime
    {18, 259, 278},	// Phonon::MediaObject::enqueue#
    {18, 260, -21},	// Phonon::MediaObject::enqueue?
    {18, 265, 271},	// Phonon::MediaObject::errorString
    {18, 266, 272},	// Phonon::MediaObject::errorType
    {18, 279, 301},	// Phonon::MediaObject::finished
    {18, 289, 265},	// Phonon::MediaObject::hasVideo
    {18, 291, 299},	// Phonon::MediaObject::hasVideoChanged$
    {18, 312, 266},	// Phonon::MediaObject::isSeekable
    {18, 323, 270},	// Phonon::MediaObject::metaData
    {18, 324, -24},	// Phonon::MediaObject::metaData$
    {18, 325, 297},	// Phonon::MediaObject::metaDataChanged
    {18, 326, 256},	// Phonon::MediaObject::metaObject
    {18, 376, 291},	// Phonon::MediaObject::pause
    {18, 378, 290},	// Phonon::MediaObject::play
    {18, 381, 285},	// Phonon::MediaObject::prefinishMark
    {18, 383, 304},	// Phonon::MediaObject::prefinishMarkReached$
    {18, 391, 262},	// Phonon::MediaObject::qt_metacall$$?
    {18, 393, 257},	// Phonon::MediaObject::qt_metacast$
    {18, 394, 275},	// Phonon::MediaObject::queue
    {18, 398, 284},	// Phonon::MediaObject::remainingTime
    {18, 412, 293},	// Phonon::MediaObject::seek$
    {18, 416, 298},	// Phonon::MediaObject::seekableChanged$
    {18, 438, 274},	// Phonon::MediaObject::setCurrentSource#
    {18, 476, 286},	// Phonon::MediaObject::setPrefinishMark$
    {18, 478, -27},	// Phonon::MediaObject::setQueue?
    {18, 490, 289},	// Phonon::MediaObject::setTickInterval$
    {18, 494, 288},	// Phonon::MediaObject::setTransitionTime$
    {18, 506, 264},	// Phonon::MediaObject::state
    {18, 508, 295},	// Phonon::MediaObject::stateChanged$$
    {18, 509, 309},	// Phonon::MediaObject::staticMetaObject
    {18, 510, 292},	// Phonon::MediaObject::stop
    {18, 519, 296},	// Phonon::MediaObject::tick$
    {18, 520, 267},	// Phonon::MediaObject::tickInterval
    {18, 524, 283},	// Phonon::MediaObject::totalTime
    {18, 526, 305},	// Phonon::MediaObject::totalTimeChanged$
    {18, 528, 306},	// Phonon::MediaObject::tr$
    {18, 529, 258},	// Phonon::MediaObject::tr$$
    {18, 530, 260},	// Phonon::MediaObject::tr$$$
    {18, 532, 307},	// Phonon::MediaObject::trUtf8$
    {18, 533, 259},	// Phonon::MediaObject::trUtf8$$
    {18, 534, 261},	// Phonon::MediaObject::trUtf8$$$
    {18, 535, 287},	// Phonon::MediaObject::transitionTime
    {18, 562, 310},	// Phonon::MediaObject::~MediaObject
    {19, 28, 344},	// Phonon::MediaSource::CaptureDevice
    {19, 38, 342},	// Phonon::MediaSource::Disc
    {19, 57, 345},	// Phonon::MediaSource::Empty
    {19, 69, 339},	// Phonon::MediaSource::Invalid
    {19, 93, 340},	// Phonon::MediaSource::LocalFile
    {19, 101, 311},	// Phonon::MediaSource::MediaSource
    {19, 102, -4},	// Phonon::MediaSource::MediaSource#
    {19, 103, -10},	// Phonon::MediaSource::MediaSource$
    {19, 104, -14},	// Phonon::MediaSource::MediaSource$$
    {19, 105, -17},	// Phonon::MediaSource::MediaSource?
    {19, 143, 343},	// Phonon::MediaSource::Stream
    {19, 154, 341},	// Phonon::MediaSource::Url
    {19, 179, 333},	// Phonon::MediaSource::audioCaptureDevice
    {19, 181, 324},	// Phonon::MediaSource::autoDelete
    {19, 241, 330},	// Phonon::MediaSource::deviceAccessList
    {19, 242, 331},	// Phonon::MediaSource::deviceName
    {19, 243, 329},	// Phonon::MediaSource::discType
    {19, 278, 326},	// Phonon::MediaSource::fileName
    {19, 346, 327},	// Phonon::MediaSource::mrl
    {19, 359, 321},	// Phonon::MediaSource::operator=#
    {19, 361, 322},	// Phonon::MediaSource::operator==#
    {19, 422, 323},	// Phonon::MediaSource::setAutoDelete$
    {19, 511, 332},	// Phonon::MediaSource::stream
    {19, 539, 325},	// Phonon::MediaSource::type
    {19, 540, 328},	// Phonon::MediaSource::url
    {19, 541, 334},	// Phonon::MediaSource::videoCaptureDevice
    {19, 563, 346},	// Phonon::MediaSource::~MediaSource
    {22, 115, 358},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {22, 116, -1},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {22, 117, 356},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {22, 239, 349},	// Phonon::ObjectDescriptionData::description
    {22, 287, 354},	// Phonon::ObjectDescriptionData::fromIndex$$
    {22, 297, 353},	// Phonon::ObjectDescriptionData::index
    {22, 313, 352},	// Phonon::ObjectDescriptionData::isValid
    {22, 349, 348},	// Phonon::ObjectDescriptionData::name
    {22, 361, 347},	// Phonon::ObjectDescriptionData::operator==#
    {22, 386, 350},	// Phonon::ObjectDescriptionData::property$
    {22, 387, 351},	// Phonon::ObjectDescriptionData::propertyNames
    {22, 564, 359},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {23, 119, -42},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {23, 233, 378},	// Phonon::ObjectDescriptionModelData::data#
    {23, 234, 361},	// Phonon::ObjectDescriptionModelData::data#$
    {23, 251, 372},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {23, 281, 362},	// Phonon::ObjectDescriptionModelData::flags#
    {23, 329, 365},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {23, 331, 374},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {23, 334, 369},	// Phonon::ObjectDescriptionModelData::modelData
    {23, 335, 370},	// Phonon::ObjectDescriptionModelData::modelData#
    {23, 342, 367},	// Phonon::ObjectDescriptionModelData::moveDown#
    {23, 345, 366},	// Phonon::ObjectDescriptionModelData::moveUp#
    {23, 402, 379},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {23, 403, 373},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {23, 406, 377},	// Phonon::ObjectDescriptionModelData::rowCount
    {23, 407, 360},	// Phonon::ObjectDescriptionModelData::rowCount#
    {23, 460, 368},	// Phonon::ObjectDescriptionModelData::setModelData?
    {23, 515, 371},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {23, 537, 364},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {23, 538, 363},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {23, 565, 380},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {25, 120, 381},	// Phonon::Path::Path
    {25, 121, 382},	// Phonon::Path::Path#
    {25, 244, 389},	// Phonon::Path::disconnect
    {25, 252, 387},	// Phonon::Path::effects
    {25, 302, 396},	// Phonon::Path::insertEffect#
    {25, 303, 385},	// Phonon::Path::insertEffect##
    {25, 304, 395},	// Phonon::Path::insertEffect?
    {25, 305, 384},	// Phonon::Path::insertEffect?#
    {25, 313, 383},	// Phonon::Path::isValid
    {25, 355, 392},	// Phonon::Path::operator!=#
    {25, 359, 390},	// Phonon::Path::operator=#
    {25, 361, 391},	// Phonon::Path::operator==#
    {25, 396, 388},	// Phonon::Path::reconnect##
    {25, 400, 386},	// Phonon::Path::removeEffect#
    {25, 502, 394},	// Phonon::Path::sink
    {25, 505, 393},	// Phonon::Path::source
    {25, 566, 397},	// Phonon::Path::~Path
    {26, 139, 423},	// Phonon::SeekSlider::SeekSlider
    {26, 140, -33},	// Phonon::SeekSlider::SeekSlider#
    {26, 141, 406},	// Phonon::SeekSlider::SeekSlider##
    {26, 288, 407},	// Phonon::SeekSlider::hasTracking
    {26, 295, 415},	// Phonon::SeekSlider::iconSize
    {26, 306, 414},	// Phonon::SeekSlider::isIconVisible
    {26, 322, 416},	// Phonon::SeekSlider::mediaObject
    {26, 326, 398},	// Phonon::SeekSlider::metaObject
    {26, 364, 413},	// Phonon::SeekSlider::orientation
    {26, 369, 409},	// Phonon::SeekSlider::pageStep
    {26, 391, 404},	// Phonon::SeekSlider::qt_metacall$$?
    {26, 393, 399},	// Phonon::SeekSlider::qt_metacast$
    {26, 452, 419},	// Phonon::SeekSlider::setIconSize#
    {26, 454, 418},	// Phonon::SeekSlider::setIconVisible$
    {26, 458, 420},	// Phonon::SeekSlider::setMediaObject#
    {26, 468, 417},	// Phonon::SeekSlider::setOrientation$
    {26, 472, 410},	// Phonon::SeekSlider::setPageStep$
    {26, 484, 412},	// Phonon::SeekSlider::setSingleStep$
    {26, 492, 408},	// Phonon::SeekSlider::setTracking$
    {26, 501, 411},	// Phonon::SeekSlider::singleStep
    {26, 509, 425},	// Phonon::SeekSlider::staticMetaObject
    {26, 528, 421},	// Phonon::SeekSlider::tr$
    {26, 529, 400},	// Phonon::SeekSlider::tr$$
    {26, 530, 402},	// Phonon::SeekSlider::tr$$$
    {26, 532, 422},	// Phonon::SeekSlider::trUtf8$
    {26, 533, 401},	// Phonon::SeekSlider::trUtf8$$
    {26, 534, 403},	// Phonon::SeekSlider::trUtf8$$$
    {26, 567, 426},	// Phonon::SeekSlider::~SeekSlider
    {27, 144, 436},	// Phonon::StreamInterface::StreamInterface
    {27, 145, 437},	// Phonon::StreamInterface::StreamInterface#
    {27, 214, 431},	// Phonon::StreamInterface::connectToSource#
    {27, 254, 428},	// Phonon::StreamInterface::endOfData
    {27, 257, 433},	// Phonon::StreamInterface::enoughData
    {27, 352, 432},	// Phonon::StreamInterface::needData
    {27, 404, 435},	// Phonon::StreamInterface::reset
    {27, 414, 434},	// Phonon::StreamInterface::seekStream$
    {27, 486, 430},	// Phonon::StreamInterface::setStreamSeekable$
    {27, 488, 429},	// Phonon::StreamInterface::setStreamSize$
    {27, 550, 427},	// Phonon::StreamInterface::writeData#
    {27, 568, 438},	// Phonon::StreamInterface::~StreamInterface
    {28, 158, 468},	// Phonon::VideoPlayer::VideoPlayer
    {28, 159, 447},	// Phonon::VideoPlayer::VideoPlayer#
    {28, 160, 467},	// Phonon::VideoPlayer::VideoPlayer$
    {28, 161, 446},	// Phonon::VideoPlayer::VideoPlayer$#
    {28, 180, 454},	// Phonon::VideoPlayer::audioOutput
    {28, 229, 449},	// Phonon::VideoPlayer::currentTime
    {28, 268, 464},	// Phonon::VideoPlayer::event#
    {28, 279, 463},	// Phonon::VideoPlayer::finished
    {28, 310, 452},	// Phonon::VideoPlayer::isPaused
    {28, 311, 451},	// Phonon::VideoPlayer::isPlaying
    {28, 319, 456},	// Phonon::VideoPlayer::load#
    {28, 322, 453},	// Phonon::VideoPlayer::mediaObject
    {28, 326, 439},	// Phonon::VideoPlayer::metaObject
    {28, 376, 459},	// Phonon::VideoPlayer::pause
    {28, 378, 458},	// Phonon::VideoPlayer::play
    {28, 379, 457},	// Phonon::VideoPlayer::play#
    {28, 391, 445},	// Phonon::VideoPlayer::qt_metacall$$?
    {28, 393, 440},	// Phonon::VideoPlayer::qt_metacast$
    {28, 412, 461},	// Phonon::VideoPlayer::seek$
    {28, 497, 462},	// Phonon::VideoPlayer::setVolume$
    {28, 509, 469},	// Phonon::VideoPlayer::staticMetaObject
    {28, 510, 460},	// Phonon::VideoPlayer::stop
    {28, 524, 448},	// Phonon::VideoPlayer::totalTime
    {28, 528, 465},	// Phonon::VideoPlayer::tr$
    {28, 529, 441},	// Phonon::VideoPlayer::tr$$
    {28, 530, 443},	// Phonon::VideoPlayer::tr$$$
    {28, 532, 466},	// Phonon::VideoPlayer::trUtf8$
    {28, 533, 442},	// Phonon::VideoPlayer::trUtf8$$
    {28, 534, 444},	// Phonon::VideoPlayer::trUtf8$$$
    {28, 542, 455},	// Phonon::VideoPlayer::videoWidget
    {28, 543, 450},	// Phonon::VideoPlayer::volume
    {28, 569, 470},	// Phonon::VideoPlayer::~VideoPlayer
    {29, 13, 505},	// Phonon::VideoWidget::AspectRatio16_9
    {29, 14, 504},	// Phonon::VideoWidget::AspectRatio4_3
    {29, 15, 502},	// Phonon::VideoWidget::AspectRatioAuto
    {29, 16, 503},	// Phonon::VideoWidget::AspectRatioWidget
    {29, 64, 506},	// Phonon::VideoWidget::FitInView
    {29, 138, 507},	// Phonon::VideoWidget::ScaleAndCrop
    {29, 162, 500},	// Phonon::VideoWidget::VideoWidget
    {29, 163, 478},	// Phonon::VideoWidget::VideoWidget#
    {29, 164, 495},	// Phonon::VideoWidget::VideoWidget##
    {29, 178, 479},	// Phonon::VideoWidget::aspectRatio
    {29, 199, 481},	// Phonon::VideoWidget::brightness
    {29, 216, 482},	// Phonon::VideoWidget::contrast
    {29, 262, 488},	// Phonon::VideoWidget::enterFullScreen
    {29, 268, 497},	// Phonon::VideoWidget::event#
    {29, 270, 487},	// Phonon::VideoWidget::exitFullScreen
    {29, 294, 483},	// Phonon::VideoWidget::hue
    {29, 326, 471},	// Phonon::VideoWidget::metaObject
    {29, 338, 496},	// Phonon::VideoWidget::mouseMoveEvent#
    {29, 391, 477},	// Phonon::VideoWidget::qt_metacall$$?
    {29, 393, 472},	// Phonon::VideoWidget::qt_metacast$
    {29, 409, 484},	// Phonon::VideoWidget::saturation
    {29, 410, 480},	// Phonon::VideoWidget::scaleMode
    {29, 418, 489},	// Phonon::VideoWidget::setAspectRatio$
    {29, 426, 491},	// Phonon::VideoWidget::setBrightness$
    {29, 428, 492},	// Phonon::VideoWidget::setContrast$
    {29, 448, 486},	// Phonon::VideoWidget::setFullScreen$
    {29, 450, 493},	// Phonon::VideoWidget::setHue$
    {29, 480, 494},	// Phonon::VideoWidget::setSaturation$
    {29, 482, 490},	// Phonon::VideoWidget::setScaleMode$
    {29, 504, 485},	// Phonon::VideoWidget::snapshot
    {29, 509, 501},	// Phonon::VideoWidget::staticMetaObject
    {29, 528, 498},	// Phonon::VideoWidget::tr$
    {29, 529, 473},	// Phonon::VideoWidget::tr$$
    {29, 530, 475},	// Phonon::VideoWidget::tr$$$
    {29, 532, 499},	// Phonon::VideoWidget::trUtf8$
    {29, 533, 474},	// Phonon::VideoWidget::trUtf8$$
    {29, 534, 476},	// Phonon::VideoWidget::trUtf8$$$
    {29, 570, 508},	// Phonon::VideoWidget::~VideoWidget
    {31, 59, 533},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {31, 60, 530},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {31, 61, 531},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {31, 62, 532},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {31, 165, 528},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {31, 166, 516},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {31, 271, 519},	// Phonon::VolumeFaderEffect::fadeCurve
    {31, 273, 520},	// Phonon::VolumeFaderEffect::fadeIn$
    {31, 275, 521},	// Phonon::VolumeFaderEffect::fadeOut$
    {31, 277, 525},	// Phonon::VolumeFaderEffect::fadeTo$$
    {31, 326, 509},	// Phonon::VolumeFaderEffect::metaObject
    {31, 391, 515},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {31, 393, 510},	// Phonon::VolumeFaderEffect::qt_metacast$
    {31, 446, 524},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {31, 497, 522},	// Phonon::VolumeFaderEffect::setVolume$
    {31, 499, 523},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {31, 509, 529},	// Phonon::VolumeFaderEffect::staticMetaObject
    {31, 528, 526},	// Phonon::VolumeFaderEffect::tr$
    {31, 529, 511},	// Phonon::VolumeFaderEffect::tr$$
    {31, 530, 513},	// Phonon::VolumeFaderEffect::tr$$$
    {31, 532, 527},	// Phonon::VolumeFaderEffect::trUtf8$
    {31, 533, 512},	// Phonon::VolumeFaderEffect::trUtf8$$
    {31, 534, 514},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {31, 543, 517},	// Phonon::VolumeFaderEffect::volume
    {31, 546, 518},	// Phonon::VolumeFaderEffect::volumeDecibel
    {31, 571, 534},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {32, 167, 562},	// Phonon::VolumeSlider::VolumeSlider
    {32, 168, -36},	// Phonon::VolumeSlider::VolumeSlider#
    {32, 169, 543},	// Phonon::VolumeSlider::VolumeSlider##
    {32, 180, 554},	// Phonon::VolumeSlider::audioOutput
    {32, 288, 544},	// Phonon::VolumeSlider::hasTracking
    {32, 295, 551},	// Phonon::VolumeSlider::iconSize
    {32, 308, 550},	// Phonon::VolumeSlider::isMuteVisible
    {32, 321, 552},	// Phonon::VolumeSlider::maximumVolume
    {32, 326, 535},	// Phonon::VolumeSlider::metaObject
    {32, 364, 553},	// Phonon::VolumeSlider::orientation
    {32, 369, 546},	// Phonon::VolumeSlider::pageStep
    {32, 391, 541},	// Phonon::VolumeSlider::qt_metacall$$?
    {32, 393, 536},	// Phonon::VolumeSlider::qt_metacast$
    {32, 420, 559},	// Phonon::VolumeSlider::setAudioOutput#
    {32, 452, 558},	// Phonon::VolumeSlider::setIconSize#
    {32, 456, 555},	// Phonon::VolumeSlider::setMaximumVolume$
    {32, 462, 557},	// Phonon::VolumeSlider::setMuteVisible$
    {32, 468, 556},	// Phonon::VolumeSlider::setOrientation$
    {32, 472, 547},	// Phonon::VolumeSlider::setPageStep$
    {32, 484, 549},	// Phonon::VolumeSlider::setSingleStep$
    {32, 492, 545},	// Phonon::VolumeSlider::setTracking$
    {32, 501, 548},	// Phonon::VolumeSlider::singleStep
    {32, 509, 564},	// Phonon::VolumeSlider::staticMetaObject
    {32, 528, 560},	// Phonon::VolumeSlider::tr$
    {32, 529, 537},	// Phonon::VolumeSlider::tr$$
    {32, 530, 539},	// Phonon::VolumeSlider::tr$$$
    {32, 532, 561},	// Phonon::VolumeSlider::trUtf8$
    {32, 533, 538},	// Phonon::VolumeSlider::trUtf8$$
    {32, 534, 540},	// Phonon::VolumeSlider::trUtf8$$$
    {32, 572, 565},	// Phonon::VolumeSlider::~VolumeSlider
    {47, 73, 578},	// QGlobalSpace::LicensedActiveQt
    {47, 74, 584},	// QGlobalSpace::LicensedCore
    {47, 75, 576},	// QGlobalSpace::LicensedDBus
    {47, 76, 581},	// QGlobalSpace::LicensedDeclarative
    {47, 77, 571},	// QGlobalSpace::LicensedGui
    {47, 78, 590},	// QGlobalSpace::LicensedHelp
    {47, 79, 591},	// QGlobalSpace::LicensedMultimedia
    {47, 80, 594},	// QGlobalSpace::LicensedNetwork
    {47, 81, 583},	// QGlobalSpace::LicensedOpenGL
    {47, 82, 575},	// QGlobalSpace::LicensedOpenVG
    {47, 83, 592},	// QGlobalSpace::LicensedQt3Support
    {47, 84, 573},	// QGlobalSpace::LicensedQt3SupportLight
    {47, 85, 574},	// QGlobalSpace::LicensedScript
    {47, 86, 579},	// QGlobalSpace::LicensedScriptTools
    {47, 87, 582},	// QGlobalSpace::LicensedSql
    {47, 88, 580},	// QGlobalSpace::LicensedSvg
    {47, 89, 577},	// QGlobalSpace::LicensedTest
    {47, 90, 572},	// QGlobalSpace::LicensedXml
    {47, 91, 593},	// QGlobalSpace::LicensedXmlPatterns
    {47, 124, 566},	// QGlobalSpace::Q_COMPLEX_TYPE
    {47, 125, 570},	// QGlobalSpace::Q_DUMMY_TYPE
    {47, 126, 569},	// QGlobalSpace::Q_MOVABLE_TYPE
    {47, 127, 567},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {47, 128, 568},	// QGlobalSpace::Q_STATIC_TYPE
    {47, 129, 587},	// QGlobalSpace::QtCriticalMsg
    {47, 130, 585},	// QGlobalSpace::QtDebugMsg
    {47, 131, 588},	// QGlobalSpace::QtFatalMsg
    {47, 132, 589},	// QGlobalSpace::QtSystemMsg
    {47, 133, 586},	// QGlobalSpace::QtWarningMsg
    {47, 170, 597},	// QGlobalSpace::__codecvt_error
    {47, 171, 598},	// QGlobalSpace::__codecvt_noconv
    {47, 172, 595},	// QGlobalSpace::__codecvt_ok
    {47, 173, 596},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 73,
        __smokephonon::methods, 649,
        __smokephonon::methodMaps, 580,
        __smokephonon::methodNames, 572,
        __smokephonon::types, 263,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
