#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 45: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 26: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 45: return (void*)(QWidget*)(QFrame*)xptr;
        case 26: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 26: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMimeData
      switch(to) {
        case 23: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QObject
      switch(to) {
        case 26: return (void*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 47: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 46: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 51: return (void*)(QsciLexer*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 84: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 82: return (void*)(QsciMacro*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEngine
      switch(to) {
        case 27: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 28:   //QPaintEvent
      switch(to) {
        case 28: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QPainter
      switch(to) {
        case 29: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 30:   //QPalette
      switch(to) {
        case 30: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 31:   //QPixmap
      switch(to) {
        case 31: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 32:   //QPoint
      switch(to) {
        case 32: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 33:   //QPrinter
      switch(to) {
        case 33: return (void*)(QPrinter*)xptr;
        case 83: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 34:   //QRect
      switch(to) {
        case 34: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 35:   //QRegExp
      switch(to) {
        case 35: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 36:   //QResizeEvent
      switch(to) {
        case 36: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QSettings
      switch(to) {
        case 37: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 38:   //QShowEvent
      switch(to) {
        case 38: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSize
      switch(to) {
        case 39: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 40:   //QStyle
      switch(to) {
        case 40: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 41:   //QTabletEvent
      switch(to) {
        case 41: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QTimerEvent
      switch(to) {
        case 42: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QVariant
      switch(to) {
        case 43: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 44:   //QWheelEvent
      switch(to) {
        case 44: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QWidget
      switch(to) {
        case 26: return (void*)(QObject*)(QWidget*)xptr;
        case 45: return (void*)(QWidget*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAPIs
      switch(to) {
        case 47: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 26: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 46: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciAbstractAPIs
      switch(to) {
        case 26: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 47: return (void*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommand
      switch(to) {
        case 48: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 49:   //QsciCommandSet
      switch(to) {
        case 49: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 50:   //QsciDocument
      switch(to) {
        case 50: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexer
      switch(to) {
        case 26: return (void*)(QObject*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBash
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 52: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerBatch
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 53: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCMake
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 54: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCPP
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 55: return (void*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSS
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 56: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCSharp
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCustom
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 58: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerD
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 59: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerDiff
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 60: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran
      switch(to) {
        case 62: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 61: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerFortran77
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerHTML
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 63: return (void*)(QsciLexerHTML*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerIDL
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 64: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJava
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 65: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerJavaScript
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerLua
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 67: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerMakefile
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPOV
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 69: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPascal
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 70: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPerl
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 71: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPostScript
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerProperties
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 73: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPython
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 74: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerRuby
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 75: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerSQL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 76: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTCL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 77: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerTeX
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 78: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerVHDL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerXML
      switch(to) {
        case 63: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 80: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerYAML
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 81: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 82:   //QsciMacro
      switch(to) {
        case 26: return (void*)(QObject*)(QsciMacro*)xptr;
        case 82: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 83:   //QsciPrinter
      switch(to) {
        case 33: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 83: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintilla
      switch(to) {
        case 85: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 45: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 26: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 84: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 85:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 45: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 26: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 85: return (void*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyle
      switch(to) {
        case 86: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QsciStyledText
      switch(to) {
        case 87: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    47, 0,	// 1: QsciAbstractAPIs
    26, 0,	// 3: QObject
    51, 0,	// 5: QsciLexer
    55, 0,	// 7: QsciLexerCPP
    62, 0,	// 9: QsciLexerFortran77
    63, 0,	// 11: QsciLexerHTML
    33, 0,	// 13: QPrinter
    85, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QObject", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//27
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QPainter", true, 0, 0, 0, 0, 0 },	//29
    { "QPalette", true, 0, 0, 0, 0, 0 },	//30
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//31
    { "QPoint", true, 0, 0, 0, 0, 0 },	//32
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//33
    { "QRect", true, 0, 0, 0, 0, 0 },	//34
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//35
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QSettings", true, 0, 0, 0, 0, 0 },	//37
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSize", true, 0, 0, 0, 0, 0 },	//39
    { "QStyle", true, 0, 0, 0, 0, 0 },	//40
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QVariant", true, 0, 0, 0, 0, 0 },	//43
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QWidget", true, 0, 0, 0, 0, 0 },	//45
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//46
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//47
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//48
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//49
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//50
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//51
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//52
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//53
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//54
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//55
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//56
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//57
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//58
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//59
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//60
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//61
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//62
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//63
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//64
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//65
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//66
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//67
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//68
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//69
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//70
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//71
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//72
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//73
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//74
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//75
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//76
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//77
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//78
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//79
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//80
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//81
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//82
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//83
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//84
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//85
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//86
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//87
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QMimeData*", 23, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QObject*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QPaintEngine*", 27, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QPaintEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPainter&", 29, Smoke::t_class|Smoke::tf_ref },	//30
    { "QPainter*", 29, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QPrinter::PrinterMode", 33, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QRect&", 34, Smoke::t_class|Smoke::tf_ref },	//33
    { "QRegExp&", 35, Smoke::t_class|Smoke::tf_ref },	//34
    { "QResizeEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSettings&", 37, Smoke::t_class|Smoke::tf_ref },	//36
    { "QShowEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QSize", 39, Smoke::t_class|Smoke::tf_stack },	//38
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//41
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//42
    { "QStyle&", 40, Smoke::t_class|Smoke::tf_ref },	//43
    { "QTabletEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QTimerEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QVariant", 43, Smoke::t_class|Smoke::tf_stack },	//46
    { "QWheelEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QWidget*", 45, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAbstractAPIs*", 47, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciCommandSet*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciDocument", 50, Smoke::t_class|Smoke::tf_stack },	//52
    { "QsciDocument&", 50, Smoke::t_class|Smoke::tf_ref },	//53
    { "QsciDocument*", 50, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexer*", 51, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerBash*", 52, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerBatch*", 53, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCMake*", 54, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCPP*", 55, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCSS*", 56, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCSharp*", 57, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCustom*", 58, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerD*", 59, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerDiff*", 60, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerFortran*", 61, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerFortran77*", 62, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerHTML*", 63, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerIDL*", 64, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerJava*", 65, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerJavaScript*", 66, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerLua*", 67, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerMakefile*", 68, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPOV*", 69, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPascal*", 70, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerPerl*", 71, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPostScript*", 72, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerProperties*", 73, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPython*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPython::IndentationWarning", 74, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QsciLexerRuby*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerSQL*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerTCL*", 77, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerTeX*", 78, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerVHDL*", 79, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerXML*", 80, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerYAML*", 81, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciMacro*", 82, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciPrinter*", 83, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciScintilla*", 84, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciScintilla::AnnotationDisplay", 84, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::AutoCompletionSource", 84, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::AutoCompletionUseSingle", 84, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::BraceMatch", 84, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::CallTipsStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::EdgeMode", 84, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::EolMode", 84, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::FoldStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::IndentState", 84, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::IndicatorStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::MarginType", 84, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::MarkerSymbol", 84, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::WhitespaceVisibility", 84, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::WrapIndentMode", 84, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::WrapMode", 84, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::WrapVisualFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintillaBase*", 85, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QsciStyle*", 86, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QsciStyle::TextCase", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciStyledText*", 87, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//149
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//201
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//202
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//203
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//204
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//205
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//206
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const QMimeData*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const QPalette&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QPixmap&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QPoint&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QRect&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QRegExp&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//222
    { "const QsciDocument&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QsciStyle&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QsciStyledText&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//227
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//228
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//229
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//230
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//231
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//232
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//233
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//234
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//235
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//236
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    47, 0,	//3  QWheelEvent*
    26, 12, 0,	//5  QObject*, QEvent*
    45, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    226, 0,	//12  const char*
    27, 0,	//14  QPaintDevice::PaintDeviceMetric
    203, 0,	//16  bool
    228, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    25, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    44, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    37, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    202, 0,	//34  _XEvent*
    143, 0,	//36  Qt::InputMethodQuery
    43, 0,	//38  QStyle&
    215, 0,	//40  const QPalette&
    209, 0,	//42  const QFont&
    226, 226, 0,	//44  const char*, const char*
    226, 226, 228, 0,	//47  const char*, const char*, int
    22, 228, 235, 0,	//51  QMetaObject::Call, int, void**
    55, 0,	//55  QsciLexer*
    220, 0,	//57  const QString&
    221, 41, 0,	//59  const QStringList&, QStringList&
    221, 228, 94, 21, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    36, 226, 0,	//67  QSettings&, const char*
    36, 0,	//70  QSettings&
    223, 0,	//72  const QsciDocument&
    26, 0,	//74  QObject*
    230, 0,	//76  int*
    50, 0,	//78  QsciAbstractAPIs*
    208, 0,	//80  const QColor&
    89, 0,	//82  QsciScintilla*
    208, 228, 0,	//84  const QColor&, int
    203, 228, 0,	//87  bool, int
    209, 228, 0,	//90  const QFont&, int
    36, 220, 0,	//93  QSettings&, const QString&
    26, 203, 0,	//96  QObject*, bool
    228, 228, 0,	//99  int, int
    228, 224, 0,	//102  int, const QsciStyle&
    79, 0,	//105  QsciLexerPython::IndentationWarning
    220, 89, 0,	//107  const QString&, QsciScintilla*
    32, 0,	//110  QPrinter::PrinterMode
    30, 203, 33, 228, 0,	//112  QPainter&, bool, QRect&, int
    106, 228, 228, 0,	//117  QsciScintillaBase*, int, int
    104, 0,	//121  QsciScintilla::WrapMode
    106, 0,	//123  QsciScintillaBase*
    106, 228, 0,	//125  QsciScintillaBase*, int
    48, 0,	//128  QWidget*
    228, 229, 229, 0,	//130  int, int&, int&
    228, 220, 228, 0,	//134  int, const QString&, int
    228, 220, 224, 0,	//138  int, const QString&, const QsciStyle&
    228, 225, 0,	//142  int, const QsciStyledText&
    228, 210, 0,	//145  int, const QList<QsciStyledText>&
    228, 228, 228, 228, 228, 0,	//148  int, int, int, int, int
    96, 0,	//154  QsciScintilla::EolMode
    220, 203, 203, 203, 203, 203, 228, 228, 203, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool
    230, 230, 0,	//166  int*, int*
    230, 230, 230, 230, 0,	//169  int*, int*, int*, int*
    99, 228, 0,	//174  QsciScintilla::IndicatorStyle, int
    205, 0,	//177  char
    217, 0,	//179  const QPoint&
    228, 230, 230, 0,	//181  int, int*, int*
    101, 228, 0,	//185  QsciScintilla::MarkerSymbol, int
    205, 228, 0,	//188  char, int
    216, 228, 0,	//191  const QPixmap&, int
    228, 232, 0,	//194  int, unsigned int
    16, 0,	//197  QIODevice*
    228, 216, 0,	//199  int, const QPixmap&
    208, 208, 0,	//202  const QColor&, const QColor&
    90, 0,	//205  QsciScintilla::AnnotationDisplay
    221, 0,	//207  const QStringList&
    94, 0,	//209  QsciScintilla::CallTipsStyle
    211, 0,	//211  const QList<int>&
    95, 0,	//213  QsciScintilla::EdgeMode
    228, 100, 0,	//215  int, QsciScintilla::MarginType
    105, 105, 228, 0,	//218  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    103, 0,	//222  QsciScintilla::WrapIndentMode
    228, 221, 0,	//224  int, const QStringList&
    220, 228, 228, 0,	//227  const QString&, int, int
    91, 0,	//231  QsciScintilla::AutoCompletionSource
    92, 0,	//233  QsciScintilla::AutoCompletionUseSingle
    93, 0,	//235  QsciScintilla::BraceMatch
    97, 228, 0,	//237  QsciScintilla::FoldStyle, int
    228, 203, 0,	//240  int, bool
    228, 220, 0,	//243  int, const QString&
    228, 228, 228, 228, 0,	//246  int, int, int, int
    102, 0,	//251  QsciScintilla::WhitespaceVisibility
    228, 228, 149, 0,	//253  int, int, Qt::KeyboardModifiers
    220, 203, 203, 203, 203, 0,	//257  const QString&, bool, bool, bool, bool
    220, 203, 203, 203, 203, 203, 0,	//263  const QString&, bool, bool, bool, bool, bool
    220, 203, 203, 203, 203, 203, 228, 0,	//270  const QString&, bool, bool, bool, bool, bool, int
    220, 203, 203, 203, 203, 203, 228, 228, 0,	//278  const QString&, bool, bool, bool, bool, bool, int, int
    99, 0,	//287  QsciScintilla::IndicatorStyle
    101, 0,	//289  QsciScintilla::MarkerSymbol
    216, 0,	//291  const QPixmap&
    105, 0,	//293  QsciScintilla::WrapVisualFlag
    105, 105, 0,	//295  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    97, 0,	//298  QsciScintilla::FoldStyle
    232, 233, 231, 0,	//300  unsigned int, unsigned long, long
    232, 233, 234, 0,	//304  unsigned int, unsigned long, void*
    232, 233, 226, 0,	//308  unsigned int, unsigned long, const char*
    232, 226, 0,	//312  unsigned int, const char*
    232, 226, 226, 0,	//315  unsigned int, const char*, const char*
    232, 231, 0,	//319  unsigned int, long
    232, 228, 0,	//322  unsigned int, int
    232, 231, 231, 206, 0,	//325  unsigned int, long, long, char*
    232, 233, 208, 0,	//330  unsigned int, unsigned long, const QColor&
    232, 208, 0,	//334  unsigned int, const QColor&
    232, 233, 31, 218, 231, 231, 0,	//337  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    232, 233, 216, 0,	//344  unsigned int, unsigned long, const QPixmap&
    232, 0,	//348  unsigned int
    226, 228, 0,	//350  const char*, int
    228, 228, 228, 0,	//353  int, int, int
    228, 228, 226, 228, 228, 228, 228, 228, 228, 228, 0,	//357  int, int, const char*, int, int, int, int, int, int, int
    214, 0,	//368  const QMimeData*
    214, 204, 0,	//370  const QMimeData*, bool&
    207, 203, 0,	//373  const QByteArray&, bool
    7, 0,	//376  QContextMenuEvent*
    8, 0,	//378  QDragEnterEvent*
    9, 0,	//380  QDragLeaveEvent*
    10, 0,	//382  QDragMoveEvent*
    11, 0,	//384  QDropEvent*
    13, 0,	//386  QFocusEvent*
    17, 0,	//388  QInputMethodEvent*
    24, 0,	//390  QMouseEvent*
    29, 0,	//392  QPaintEvent*
    35, 0,	//394  QResizeEvent*
    232, 233, 0,	//396  unsigned int, unsigned long
    228, 220, 208, 208, 209, 203, 0,	//399  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    108, 0,	//406  QsciStyle::TextCase
    224, 0,	//408  const QsciStyle&
    228, 220, 208, 208, 209, 0,	//410  int, const QString&, const QColor&, const QColor&, const QFont&
    220, 228, 0,	//416  const QString&, int
    220, 224, 0,	//419  const QString&, const QsciStyle&
    225, 0,	//422  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AiClosing",	//57
    "AiMaintain",	//58
    "AiOpening",	//59
    "AllPages",	//60
    "AnnotationBoxed",	//61
    "AnnotationHidden",	//62
    "AnnotationStandard",	//63
    "Array",	//64
    "ArrayParenthesis",	//65
    "Asm",	//66
    "Assignment",	//67
    "AtRule",	//68
    "Attribute",	//69
    "Auto",	//70
    "B0",	//71
    "B1",	//72
    "B10",	//73
    "B2",	//74
    "B3",	//75
    "B4",	//76
    "B5",	//77
    "B6",	//78
    "B7",	//79
    "B8",	//80
    "B9",	//81
    "Background",	//82
    "BackquoteString",	//83
    "BacktickHereDocument",	//84
    "Backticks",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsContext",	//108
    "CallTipsNoAutoCompletionContext",	//109
    "CallTipsNoContext",	//110
    "CallTipsNone",	//111
    "Cassette",	//112
    "Character",	//113
    "Cicero",	//114
    "Circle",	//115
    "CircledFoldStyle",	//116
    "CircledMinus",	//117
    "CircledMinusConnected",	//118
    "CircledPlus",	//119
    "CircledPlusConnected",	//120
    "CircledTreeFoldStyle",	//121
    "ClassName",	//122
    "ClassSelector",	//123
    "ClassVariable",	//124
    "Color",	//125
    "Comm10E",	//126
    "Command",	//127
    "Comment",	//128
    "CommentBlock",	//129
    "CommentBox",	//130
    "CommentDoc",	//131
    "CommentDocKeyword",	//132
    "CommentDocKeywordError",	//133
    "CommentLine",	//134
    "CommentLineDoc",	//135
    "CommentLineHash",	//136
    "CommentNested",	//137
    "CommentParenthesis",	//138
    "Continuation",	//139
    "CoroutinesIOSystemFacilities",	//140
    "CurrentPage",	//141
    "Custom",	//142
    "DLE",	//143
    "DSCComment",	//144
    "DSCCommentValue",	//145
    "DataSection",	//146
    "Decorator",	//147
    "Default",	//148
    "DefaultValue",	//149
    "DemotedKeyword",	//150
    "DevicePixel",	//151
    "DiagonalIndicator",	//152
    "DictionaryParenthesis",	//153
    "Didot",	//154
    "Directive",	//155
    "DocumentDelimiter",	//156
    "DottedOperator",	//157
    "DoubleQuotedHereDocument",	//158
    "DoubleQuotedString",	//159
    "DownTriangle",	//160
    "DrawChildren",	//161
    "DrawWindowBackground",	//162
    "DuplexAuto",	//163
    "DuplexLongSide",	//164
    "DuplexNone",	//165
    "DuplexShortSide",	//166
    "EdgeBackground",	//167
    "EdgeLine",	//168
    "EdgeNone",	//169
    "Entity",	//170
    "Envelope",	//171
    "EnvelopeManual",	//172
    "EolMac",	//173
    "EolUnix",	//174
    "EolWindows",	//175
    "Error",	//176
    "Executive",	//177
    "ExpandKeyword",	//178
    "ExtendedCSSProperty",	//179
    "ExtendedFunction",	//180
    "ExtendedPseudoClass",	//181
    "ExtendedPseudoElement",	//182
    "ExternalCommand",	//183
    "FirstPageFirst",	//184
    "Folio",	//185
    "FormSource",	//186
    "FormatBody",	//187
    "FormatIdentifier",	//188
    "FullRectangle",	//189
    "Function",	//190
    "FunctionMethodName",	//191
    "Global",	//192
    "GlobalClass",	//193
    "GrayScale",	//194
    "Group",	//195
    "HLine",	//196
    "HTMLComment",	//197
    "HTMLDoubleQuotedString",	//198
    "HTMLNumber",	//199
    "HTMLSingleQuotedString",	//200
    "HTMLValue",	//201
    "Hash",	//202
    "Header",	//203
    "HereDocument",	//204
    "HereDocumentDelimiter",	//205
    "HexNumber",	//206
    "HexString",	//207
    "HiddenIndicator",	//208
    "HideCommandChar",	//209
    "HighResolution",	//210
    "HighlightedIdentifier",	//211
    "IDSelector",	//212
    "ITCLKeyword",	//213
    "Identifier",	//214
    "Idle",	//215
    "IgnoreMask",	//216
    "ImmediateEvalLiteral",	//217
    "Important",	//218
    "InactiveComment",	//219
    "InactiveCommentDoc",	//220
    "InactiveCommentDocKeyword",	//221
    "InactiveCommentDocKeywordError",	//222
    "InactiveCommentLine",	//223
    "InactiveCommentLineDoc",	//224
    "InactiveDefault",	//225
    "InactiveDoubleQuotedString",	//226
    "InactiveGlobalClass",	//227
    "InactiveIdentifier",	//228
    "InactiveKeyword",	//229
    "InactiveKeywordSet2",	//230
    "InactiveNumber",	//231
    "InactiveOperator",	//232
    "InactivePreProcessor",	//233
    "InactiveRawString",	//234
    "InactiveRegex",	//235
    "InactiveSingleQuotedString",	//236
    "InactiveUUID",	//237
    "InactiveUnclosedString",	//238
    "InactiveVerbatimString",	//239
    "Inch",	//240
    "Inconsistent",	//241
    "InstanceVariable",	//242
    "IntrinsicFunction",	//243
    "Invisible",	//244
    "JavaScriptComment",	//245
    "JavaScriptCommentDoc",	//246
    "JavaScriptCommentLine",	//247
    "JavaScriptDefault",	//248
    "JavaScriptDoubleQuotedString",	//249
    "JavaScriptKeyword",	//250
    "JavaScriptNumber",	//251
    "JavaScriptRegex",	//252
    "JavaScriptSingleQuotedString",	//253
    "JavaScriptStart",	//254
    "JavaScriptSymbol",	//255
    "JavaScriptUnclosedString",	//256
    "JavaScriptWord",	//257
    "Key",	//258
    "Keyword",	//259
    "KeywordDoc",	//260
    "KeywordSecondary",	//261
    "KeywordSet2",	//262
    "KeywordSet3",	//263
    "KeywordSet5",	//264
    "KeywordSet6",	//265
    "KeywordSet7",	//266
    "KeywordSet8",	//267
    "KeywordSet9",	//268
    "Label",	//269
    "Landscape",	//270
    "LargeCapacity",	//271
    "LargeFormat",	//272
    "LastPageFirst",	//273
    "Ledger",	//274
    "LeftRectangle",	//275
    "LeftSideRoundedSplitter",	//276
    "LeftSideSplitter",	//277
    "Legal",	//278
    "Letter",	//279
    "LicensedActiveQt",	//280
    "LicensedCore",	//281
    "LicensedDBus",	//282
    "LicensedDeclarative",	//283
    "LicensedGui",	//284
    "LicensedHelp",	//285
    "LicensedMultimedia",	//286
    "LicensedNetwork",	//287
    "LicensedOpenGL",	//288
    "LicensedOpenVG",	//289
    "LicensedQt3Support",	//290
    "LicensedQt3SupportLight",	//291
    "LicensedScript",	//292
    "LicensedScriptTools",	//293
    "LicensedSql",	//294
    "LicensedSvg",	//295
    "LicensedTest",	//296
    "LicensedXml",	//297
    "LicensedXmlPatterns",	//298
    "LineAdded",	//299
    "LineChanged",	//300
    "LineComment",	//301
    "LineRemoved",	//302
    "Literal",	//303
    "LiteralString",	//304
    "Lower",	//305
    "LowerCase",	//306
    "Manual",	//307
    "MaxPageSource",	//308
    "MediaRule",	//309
    "Middle",	//310
    "Millimeter",	//311
    "Minus",	//312
    "Modifier",	//313
    "ModuleName",	//314
    "NPageSize",	//315
    "NPaperSize",	//316
    "Name",	//317
    "NativeFormat",	//318
    "NoBraceMatch",	//319
    "NoFoldStyle",	//320
    "NoFrame",	//321
    "NoWarning",	//322
    "Number",	//323
    "NumberMargin",	//324
    "ObjectsCSGAppearance",	//325
    "OnlyOne",	//326
    "Operator",	//327
    "OriginalCase",	//328
    "OtherInTag",	//329
    "PHPComment",	//330
    "PHPCommentLine",	//331
    "PHPDefault",	//332
    "PHPDoubleQuotedString",	//333
    "PHPDoubleQuotedVariable",	//334
    "PHPKeyword",	//335
    "PHPNumber",	//336
    "PHPOperator",	//337
    "PHPSingleQuotedString",	//338
    "PHPStart",	//339
    "PHPVariable",	//340
    "POD",	//341
    "PODVerbatim",	//342
    "PageRange",	//343
    "Panel",	//344
    "ParameterExpansion",	//345
    "PdfFormat",	//346
    "PercentStringQ",	//347
    "PercentStringq",	//348
    "PercentStringr",	//349
    "PercentStringw",	//350
    "PercentStringx",	//351
    "Pica",	//352
    "Plain",	//353
    "PlainFoldStyle",	//354
    "PlainIndicator",	//355
    "Plus",	//356
    "PlusComment",	//357
    "PlusKeyword",	//358
    "PlusPrompt",	//359
    "Point",	//360
    "Portrait",	//361
    "Position",	//362
    "PostScriptFormat",	//363
    "PreProcessor",	//364
    "PreProcessorParenthesis",	//365
    "PredefinedFunctions",	//366
    "PredefinedIdentifiers",	//367
    "Preprocessor",	//368
    "PrinterResolution",	//369
    "ProcedureParenthesis",	//370
    "PseudoClass",	//371
    "PseudoElement",	//372
    "PythonClassName",	//373
    "PythonComment",	//374
    "PythonDefault",	//375
    "PythonDoubleQuotedString",	//376
    "PythonFunctionMethodName",	//377
    "PythonIdentifier",	//378
    "PythonKeyword",	//379
    "PythonNumber",	//380
    "PythonOperator",	//381
    "PythonSingleQuotedString",	//382
    "PythonStart",	//383
    "PythonTripleDoubleQuotedString",	//384
    "PythonTripleSingleQuotedString",	//385
    "QSCN_SELCHANGED",	//386
    "QSCN_SELCHANGED$",	//387
    "Q_COMPLEX_TYPE",	//388
    "Q_DUMMY_TYPE",	//389
    "Q_MOVABLE_TYPE",	//390
    "Q_PRIMITIVE_TYPE",	//391
    "Q_STATIC_TYPE",	//392
    "QsciAPIs",	//393
    "QsciAPIs#",	//394
    "QsciAbstractAPIs",	//395
    "QsciAbstractAPIs#",	//396
    "QsciDocument",	//397
    "QsciDocument#",	//398
    "QsciLexer",	//399
    "QsciLexer#",	//400
    "QsciLexerBash",	//401
    "QsciLexerBash#",	//402
    "QsciLexerBatch",	//403
    "QsciLexerBatch#",	//404
    "QsciLexerCMake",	//405
    "QsciLexerCMake#",	//406
    "QsciLexerCPP",	//407
    "QsciLexerCPP#",	//408
    "QsciLexerCPP#$",	//409
    "QsciLexerCSS",	//410
    "QsciLexerCSS#",	//411
    "QsciLexerCSharp",	//412
    "QsciLexerCSharp#",	//413
    "QsciLexerCustom",	//414
    "QsciLexerCustom#",	//415
    "QsciLexerD",	//416
    "QsciLexerD#",	//417
    "QsciLexerDiff",	//418
    "QsciLexerDiff#",	//419
    "QsciLexerFortran",	//420
    "QsciLexerFortran#",	//421
    "QsciLexerFortran77",	//422
    "QsciLexerFortran77#",	//423
    "QsciLexerHTML",	//424
    "QsciLexerHTML#",	//425
    "QsciLexerIDL",	//426
    "QsciLexerIDL#",	//427
    "QsciLexerJava",	//428
    "QsciLexerJava#",	//429
    "QsciLexerJavaScript",	//430
    "QsciLexerJavaScript#",	//431
    "QsciLexerLua",	//432
    "QsciLexerLua#",	//433
    "QsciLexerMakefile",	//434
    "QsciLexerMakefile#",	//435
    "QsciLexerPOV",	//436
    "QsciLexerPOV#",	//437
    "QsciLexerPascal",	//438
    "QsciLexerPascal#",	//439
    "QsciLexerPerl",	//440
    "QsciLexerPerl#",	//441
    "QsciLexerPostScript",	//442
    "QsciLexerPostScript#",	//443
    "QsciLexerProperties",	//444
    "QsciLexerProperties#",	//445
    "QsciLexerPython",	//446
    "QsciLexerPython#",	//447
    "QsciLexerRuby",	//448
    "QsciLexerRuby#",	//449
    "QsciLexerSQL",	//450
    "QsciLexerSQL#",	//451
    "QsciLexerTCL",	//452
    "QsciLexerTCL#",	//453
    "QsciLexerTeX",	//454
    "QsciLexerTeX#",	//455
    "QsciLexerVHDL",	//456
    "QsciLexerVHDL#",	//457
    "QsciLexerXML",	//458
    "QsciLexerXML#",	//459
    "QsciLexerYAML",	//460
    "QsciLexerYAML#",	//461
    "QsciMacro",	//462
    "QsciMacro#",	//463
    "QsciMacro$#",	//464
    "QsciPrinter",	//465
    "QsciPrinter$",	//466
    "QsciScintilla",	//467
    "QsciScintilla#",	//468
    "QsciScintillaBase",	//469
    "QsciScintillaBase#",	//470
    "QsciStyle",	//471
    "QsciStyle#",	//472
    "QsciStyle$",	//473
    "QsciStyle$$###",	//474
    "QsciStyle$$###$",	//475
    "QsciStyledText",	//476
    "QsciStyledText#",	//477
    "QsciStyledText$#",	//478
    "QsciStyledText$$",	//479
    "QtCriticalMsg",	//480
    "QtDebugMsg",	//481
    "QtFatalMsg",	//482
    "QtSystemMsg",	//483
    "QtWarningMsg",	//484
    "QuotedIdentifier",	//485
    "QuotedKeyword",	//486
    "QuotedString",	//487
    "QuotedStringQ",	//488
    "QuotedStringQQ",	//489
    "QuotedStringQR",	//490
    "QuotedStringQW",	//491
    "QuotedStringQX",	//492
    "Raised",	//493
    "RawString",	//494
    "Rectangle",	//495
    "Reference",	//496
    "Regex",	//497
    "RightArrow",	//498
    "RightTriangle",	//499
    "RoundBoxIndicator",	//500
    "RoundedBottomLeftCorner",	//501
    "SCEN_CHANGE",	//502
    "SCLEX_A68K",	//503
    "SCLEX_ABAQUS",	//504
    "SCLEX_ADA",	//505
    "SCLEX_APDL",	//506
    "SCLEX_ASM",	//507
    "SCLEX_ASN1",	//508
    "SCLEX_ASP",	//509
    "SCLEX_ASYMPTOTE",	//510
    "SCLEX_AU3",	//511
    "SCLEX_AVE",	//512
    "SCLEX_BAAN",	//513
    "SCLEX_BASH",	//514
    "SCLEX_BATCH",	//515
    "SCLEX_BLITZBASIC",	//516
    "SCLEX_BULLANT",	//517
    "SCLEX_CAML",	//518
    "SCLEX_CLW",	//519
    "SCLEX_CLWNOCASE",	//520
    "SCLEX_CMAKE",	//521
    "SCLEX_COBOL",	//522
    "SCLEX_CONF",	//523
    "SCLEX_CONTAINER",	//524
    "SCLEX_CPP",	//525
    "SCLEX_CPPNOCASE",	//526
    "SCLEX_CSOUND",	//527
    "SCLEX_CSS",	//528
    "SCLEX_D",	//529
    "SCLEX_DIFF",	//530
    "SCLEX_EIFFEL",	//531
    "SCLEX_EIFFELKW",	//532
    "SCLEX_ERLANG",	//533
    "SCLEX_ERRORLIST",	//534
    "SCLEX_ESCRIPT",	//535
    "SCLEX_F77",	//536
    "SCLEX_FLAGSHIP",	//537
    "SCLEX_FORTH",	//538
    "SCLEX_FORTRAN",	//539
    "SCLEX_FREEBASIC",	//540
    "SCLEX_GAP",	//541
    "SCLEX_GUI4CLI",	//542
    "SCLEX_HASKELL",	//543
    "SCLEX_HTML",	//544
    "SCLEX_INNOSETUP",	//545
    "SCLEX_KIX",	//546
    "SCLEX_LATEX",	//547
    "SCLEX_LISP",	//548
    "SCLEX_LOT",	//549
    "SCLEX_LOUT",	//550
    "SCLEX_LUA",	//551
    "SCLEX_MAGIK",	//552
    "SCLEX_MAKEFILE",	//553
    "SCLEX_MARKDOWN",	//554
    "SCLEX_MATLAB",	//555
    "SCLEX_METAPOST",	//556
    "SCLEX_MMIXAL",	//557
    "SCLEX_MODULA",	//558
    "SCLEX_MSSQL",	//559
    "SCLEX_MYSQL",	//560
    "SCLEX_NIMROD",	//561
    "SCLEX_NNCRONTAB",	//562
    "SCLEX_NSIS",	//563
    "SCLEX_NULL",	//564
    "SCLEX_OCTAVE",	//565
    "SCLEX_OPAL",	//566
    "SCLEX_PASCAL",	//567
    "SCLEX_PERL",	//568
    "SCLEX_PHP",	//569
    "SCLEX_PHPSCRIPT",	//570
    "SCLEX_PLM",	//571
    "SCLEX_PO",	//572
    "SCLEX_POV",	//573
    "SCLEX_POWERBASIC",	//574
    "SCLEX_POWERPRO",	//575
    "SCLEX_POWERSHELL",	//576
    "SCLEX_PROGRESS",	//577
    "SCLEX_PROPERTIES",	//578
    "SCLEX_PS",	//579
    "SCLEX_PUREBASIC",	//580
    "SCLEX_PYTHON",	//581
    "SCLEX_R",	//582
    "SCLEX_REBOL",	//583
    "SCLEX_RUBY",	//584
    "SCLEX_SCRIPTOL",	//585
    "SCLEX_SMALLTALK",	//586
    "SCLEX_SML",	//587
    "SCLEX_SORCUS",	//588
    "SCLEX_SPECMAN",	//589
    "SCLEX_SPICE",	//590
    "SCLEX_SQL",	//591
    "SCLEX_TACL",	//592
    "SCLEX_TADS3",	//593
    "SCLEX_TAL",	//594
    "SCLEX_TCL",	//595
    "SCLEX_TEX",	//596
    "SCLEX_TXT2TAGS",	//597
    "SCLEX_VB",	//598
    "SCLEX_VBSCRIPT",	//599
    "SCLEX_VERILOG",	//600
    "SCLEX_VHDL",	//601
    "SCLEX_XML",	//602
    "SCLEX_YAML",	//603
    "SCN_AUTOCCANCELLED",	//604
    "SCN_AUTOCCHARDELETED",	//605
    "SCN_AUTOCSELECTION",	//606
    "SCN_AUTOCSELECTION$$",	//607
    "SCN_CALLTIPCLICK",	//608
    "SCN_CALLTIPCLICK$",	//609
    "SCN_CHARADDED",	//610
    "SCN_CHARADDED$",	//611
    "SCN_DOUBLECLICK",	//612
    "SCN_DOUBLECLICK$$$",	//613
    "SCN_DWELLEND",	//614
    "SCN_DWELLEND$$$",	//615
    "SCN_DWELLSTART",	//616
    "SCN_DWELLSTART$$$",	//617
    "SCN_HOTSPOTCLICK",	//618
    "SCN_HOTSPOTCLICK$$",	//619
    "SCN_HOTSPOTDOUBLECLICK",	//620
    "SCN_HOTSPOTDOUBLECLICK$$",	//621
    "SCN_HOTSPOTRELEASECLICK",	//622
    "SCN_HOTSPOTRELEASECLICK$$",	//623
    "SCN_INDICATORCLICK",	//624
    "SCN_INDICATORCLICK$$",	//625
    "SCN_INDICATORRELEASE",	//626
    "SCN_INDICATORRELEASE$$",	//627
    "SCN_MACRORECORD",	//628
    "SCN_MACRORECORD$$$",	//629
    "SCN_MARGINCLICK",	//630
    "SCN_MARGINCLICK$$$",	//631
    "SCN_MODIFIED",	//632
    "SCN_MODIFIED$$$$$$$$$$",	//633
    "SCN_MODIFYATTEMPTRO",	//634
    "SCN_NEEDSHOWN",	//635
    "SCN_NEEDSHOWN$$",	//636
    "SCN_PAINTED",	//637
    "SCN_SAVEPOINTLEFT",	//638
    "SCN_SAVEPOINTREACHED",	//639
    "SCN_STYLENEEDED",	//640
    "SCN_STYLENEEDED$",	//641
    "SCN_UPDATEUI",	//642
    "SCN_UPDATEUI$",	//643
    "SCN_USERLISTSELECTION",	//644
    "SCN_USERLISTSELECTION$$",	//645
    "SCN_ZOOM",	//646
    "SGMLBlockDefault",	//647
    "SGMLCommand",	//648
    "SGMLComment",	//649
    "SGMLDefault",	//650
    "SGMLDoubleQuotedString",	//651
    "SGMLEntity",	//652
    "SGMLError",	//653
    "SGMLParameter",	//654
    "SGMLParameterComment",	//655
    "SGMLSingleQuotedString",	//656
    "SGMLSpecial",	//657
    "Scalar",	//658
    "ScreenResolution",	//659
    "Script",	//660
    "Section",	//661
    "Selection",	//662
    "SendScintilla",	//663
    "SendScintilla$",	//664
    "SendScintilla$#",	//665
    "SendScintilla$$",	//666
    "SendScintilla$$#",	//667
    "SendScintilla$$##$$",	//668
    "SendScintilla$$$",	//669
    "SendScintilla$$$$",	//670
    "SendScintillaPtrResult",	//671
    "SendScintillaPtrResult$",	//672
    "Shadow_Mask",	//673
    "Shape_Mask",	//674
    "SingleQuotedHereDocument",	//675
    "SingleQuotedString",	//676
    "SloppyBraceMatch",	//677
    "SmallFormat",	//678
    "SmallRectangle",	//679
    "Spaces",	//680
    "Special",	//681
    "SquiggleIndicator",	//682
    "StandardFunction",	//683
    "StandardOperator",	//684
    "StandardPackage",	//685
    "StandardType",	//686
    "Stderr",	//687
    "Stdin",	//688
    "Stdout",	//689
    "StrictBraceMatch",	//690
    "StrikeIndicator",	//691
    "String",	//692
    "StringLeftQuote",	//693
    "StringRightQuote",	//694
    "StringTableMathsFunctions",	//695
    "StringVariable",	//696
    "StyledPanel",	//697
    "SubroutinePrototype",	//698
    "Substitution",	//699
    "SubstitutionBrace",	//700
    "Sunken",	//701
    "Symbol",	//702
    "SymbolMargin",	//703
    "SymbolMarginDefaultBackgroundColor",	//704
    "SymbolMarginDefaultForegroundColor",	//705
    "SymbolTable",	//706
    "SyntaxErrorMarker",	//707
    "TCLKeyword",	//708
    "TTIndicator",	//709
    "Tabloid",	//710
    "Tabs",	//711
    "TabsAfterSpaces",	//712
    "Tag",	//713
    "Target",	//714
    "Text",	//715
    "TextBlockMarker",	//716
    "TextMargin",	//717
    "TextMarginRightJustified",	//718
    "ThreeDots",	//719
    "ThreeRightArrows",	//720
    "TkCommand",	//721
    "TkKeyword",	//722
    "Tractor",	//723
    "TripleDoubleQuotedString",	//724
    "TripleSingleQuotedString",	//725
    "Typedefs",	//726
    "TypesModifiersItems",	//727
    "UUID",	//728
    "UnclosedString",	//729
    "Underline",	//730
    "UnknownAttribute",	//731
    "UnknownProperty",	//732
    "UnknownPseudoClass",	//733
    "UnknownTag",	//734
    "UpperCase",	//735
    "VBScriptComment",	//736
    "VBScriptDefault",	//737
    "VBScriptIdentifier",	//738
    "VBScriptKeyword",	//739
    "VBScriptNumber",	//740
    "VBScriptStart",	//741
    "VBScriptString",	//742
    "VBScriptUnclosedString",	//743
    "VLine",	//744
    "Value",	//745
    "Variable",	//746
    "VerbatimString",	//747
    "VerticalLine",	//748
    "WinPanel",	//749
    "WrapCharacter",	//750
    "WrapFlagByBorder",	//751
    "WrapFlagByText",	//752
    "WrapFlagNone",	//753
    "WrapIndentFixed",	//754
    "WrapIndentIndented",	//755
    "WrapIndentSame",	//756
    "WrapNone",	//757
    "WrapWord",	//758
    "WsInvisible",	//759
    "WsVisible",	//760
    "WsVisibleAfterIndent",	//761
    "XMLEnd",	//762
    "XMLStart",	//763
    "XMLTagEnd",	//764
    "actionEvent",	//765
    "add",	//766
    "add$",	//767
    "alternateKey",	//768
    "annotate",	//769
    "annotate$#",	//770
    "annotate$$#",	//771
    "annotate$$$",	//772
    "annotate$?",	//773
    "annotation",	//774
    "annotation$",	//775
    "annotationDisplay",	//776
    "apiContext",	//777
    "apiContext$$$",	//778
    "apiPreparationCancelled",	//779
    "apiPreparationFinished",	//780
    "apiPreparationStarted",	//781
    "apis",	//782
    "append",	//783
    "append$",	//784
    "autoCompleteFromAPIs",	//785
    "autoCompleteFromAll",	//786
    "autoCompleteFromDocument",	//787
    "autoCompletionCaseSensitivity",	//788
    "autoCompletionFillups",	//789
    "autoCompletionFillupsEnabled",	//790
    "autoCompletionReplaceWord",	//791
    "autoCompletionSelected",	//792
    "autoCompletionSelected$",	//793
    "autoCompletionShowSingle",	//794
    "autoCompletionSource",	//795
    "autoCompletionThreshold",	//796
    "autoCompletionUseSingle",	//797
    "autoCompletionWordSeparators",	//798
    "autoIndent",	//799
    "autoIndentStyle",	//800
    "backslashEscapes",	//801
    "backspaceUnindents",	//802
    "beginUndoAction",	//803
    "blockEnd",	//804
    "blockEnd$",	//805
    "blockLookback",	//806
    "blockStart",	//807
    "blockStart$",	//808
    "blockStartKeyword",	//809
    "blockStartKeyword$",	//810
    "braceMatching",	//811
    "braceStyle",	//812
    "callTip",	//813
    "callTips",	//814
    "callTips?$$?",	//815
    "callTipsStyle",	//816
    "callTipsVisible",	//817
    "canInsertFromMimeData",	//818
    "canInsertFromMimeData#",	//819
    "cancelList",	//820
    "cancelPreparation",	//821
    "caseSensitive",	//822
    "caseSensitiveTags",	//823
    "changeEvent",	//824
    "changeable",	//825
    "childEvent",	//826
    "clear",	//827
    "clearAlternateKeys",	//828
    "clearAnnotations",	//829
    "clearAnnotations$",	//830
    "clearFolds",	//831
    "clearIndicatorRange",	//832
    "clearIndicatorRange$$$$$",	//833
    "clearKeys",	//834
    "clearMarginText",	//835
    "clearMarginText$",	//836
    "clearRegisteredImages",	//837
    "closeEvent",	//838
    "color",	//839
    "color$",	//840
    "colorChanged",	//841
    "colorChanged#$",	//842
    "commands",	//843
    "connectNotify",	//844
    "contextMenuEvent",	//845
    "contextMenuEvent#",	//846
    "contractedFolds",	//847
    "convertEols",	//848
    "convertEols$",	//849
    "copy",	//850
    "copyAvailable",	//851
    "copyAvailable$",	//852
    "cursorPositionChanged",	//853
    "cursorPositionChanged$$",	//854
    "customEvent",	//855
    "cut",	//856
    "defaultColor",	//857
    "defaultColor$",	//858
    "defaultEolFill",	//859
    "defaultEolFill$",	//860
    "defaultFont",	//861
    "defaultFont$",	//862
    "defaultPaper",	//863
    "defaultPaper$",	//864
    "defaultPreparedName",	//865
    "defaultStyle",	//866
    "description",	//867
    "description$",	//868
    "devType",	//869
    "disconnectNotify",	//870
    "djangoTemplates",	//871
    "document",	//872
    "dollarsAllowed",	//873
    "dottedWords",	//874
    "dragEnterEvent",	//875
    "dragEnterEvent#",	//876
    "dragLeaveEvent",	//877
    "dragLeaveEvent#",	//878
    "dragMoveEvent",	//879
    "dragMoveEvent#",	//880
    "dropEvent",	//881
    "dropEvent#",	//882
    "edgeColor",	//883
    "edgeColumn",	//884
    "edgeMode",	//885
    "editor",	//886
    "enabledChange",	//887
    "endRecording",	//888
    "endUndoAction",	//889
    "ensureCursorVisible",	//890
    "ensureLineVisible",	//891
    "ensureLineVisible$",	//892
    "enterEvent",	//893
    "eolFill",	//894
    "eolFill$",	//895
    "eolFillChanged",	//896
    "eolFillChanged$$",	//897
    "eolMode",	//898
    "eolVisibility",	//899
    "event",	//900
    "event#",	//901
    "eventFilter",	//902
    "extraAscent",	//903
    "extraDescent",	//904
    "fillIndicatorRange",	//905
    "fillIndicatorRange$$$$$",	//906
    "findFirst",	//907
    "findFirst$$$$$",	//908
    "findFirst$$$$$$",	//909
    "findFirst$$$$$$$",	//910
    "findFirst$$$$$$$$",	//911
    "findFirst$$$$$$$$$",	//912
    "findNext",	//913
    "firstVisibleLine",	//914
    "focusInEvent",	//915
    "focusInEvent#",	//916
    "focusNextPrevChild",	//917
    "focusNextPrevChild$",	//918
    "focusOutEvent",	//919
    "focusOutEvent#",	//920
    "foldAll",	//921
    "foldAll$",	//922
    "foldAtBegin",	//923
    "foldAtElse",	//924
    "foldAtParenthesis",	//925
    "foldComments",	//926
    "foldCompact",	//927
    "foldDirectives",	//928
    "foldLine",	//929
    "foldLine$",	//930
    "foldOnlyBegin",	//931
    "foldPODBlocks",	//932
    "foldPackages",	//933
    "foldPreprocessor",	//934
    "foldQuotes",	//935
    "foldScriptComments",	//936
    "foldScriptHeredocs",	//937
    "folding",	//938
    "font",	//939
    "font$",	//940
    "fontChange",	//941
    "fontChanged",	//942
    "fontChanged#$",	//943
    "formatPage",	//944
    "formatPage#$#$",	//945
    "fromMimeData",	//946
    "fromMimeData#$",	//947
    "getCursorPosition",	//948
    "getCursorPosition$$",	//949
    "getSelection",	//950
    "getSelection$$$$",	//951
    "hasSelectedText",	//952
    "hashComments",	//953
    "heightForWidth",	//954
    "hideEvent",	//955
    "hotspot",	//956
    "indent",	//957
    "indent$",	//958
    "indentation",	//959
    "indentation$",	//960
    "indentationGuideView",	//961
    "indentationGuides",	//962
    "indentationWarning",	//963
    "indentationWidth",	//964
    "indentationsUseTabs",	//965
    "indicatorClicked",	//966
    "indicatorClicked$$$",	//967
    "indicatorDefine",	//968
    "indicatorDefine$",	//969
    "indicatorDefine$$",	//970
    "indicatorDrawUnder",	//971
    "indicatorDrawUnder$",	//972
    "indicatorReleased",	//973
    "indicatorReleased$$$",	//974
    "initialSpaces",	//975
    "inputMethodEvent",	//976
    "inputMethodEvent#",	//977
    "inputMethodQuery",	//978
    "insert",	//979
    "insert$",	//980
    "insertAt",	//981
    "insertAt$$$",	//982
    "installedAPIFiles",	//983
    "isCallTipActive",	//984
    "isListActive",	//985
    "isModified",	//986
    "isPrepared",	//987
    "isPrepared$",	//988
    "isReadOnly",	//989
    "isRedoAvailable",	//990
    "isUndoAvailable",	//991
    "isUtf8",	//992
    "isWordCharacter",	//993
    "isWordCharacter$",	//994
    "key",	//995
    "keyPressEvent",	//996
    "keyPressEvent#",	//997
    "keyReleaseEvent",	//998
    "keywords",	//999
    "keywords$",	//1000
    "language",	//1001
    "languageChange",	//1002
    "leaveEvent",	//1003
    "length",	//1004
    "level",	//1005
    "lexer",	//1006
    "lexerId",	//1007
    "lineAt",	//1008
    "lineAt#",	//1009
    "lineIndexFromPosition",	//1010
    "lineIndexFromPosition$$$",	//1011
    "lineLength",	//1012
    "lineLength$",	//1013
    "lines",	//1014
    "linesChanged",	//1015
    "load",	//1016
    "load$",	//1017
    "loadPrepared",	//1018
    "loadPrepared$",	//1019
    "magnification",	//1020
    "makoTemplates",	//1021
    "marginClicked",	//1022
    "marginClicked$$$",	//1023
    "marginLineNumbers",	//1024
    "marginLineNumbers$",	//1025
    "marginMarkerMask",	//1026
    "marginMarkerMask$",	//1027
    "marginSensitivity",	//1028
    "marginSensitivity$",	//1029
    "marginType",	//1030
    "marginType$",	//1031
    "marginWidth",	//1032
    "marginWidth$",	//1033
    "markerAdd",	//1034
    "markerAdd$$",	//1035
    "markerDefine",	//1036
    "markerDefine#",	//1037
    "markerDefine#$",	//1038
    "markerDefine$",	//1039
    "markerDefine$$",	//1040
    "markerDelete",	//1041
    "markerDelete$",	//1042
    "markerDelete$$",	//1043
    "markerDeleteAll",	//1044
    "markerDeleteAll$",	//1045
    "markerDeleteHandle",	//1046
    "markerDeleteHandle$",	//1047
    "markerFindNext",	//1048
    "markerFindNext$$",	//1049
    "markerFindPrevious",	//1050
    "markerFindPrevious$$",	//1051
    "markerLine",	//1052
    "markerLine$",	//1053
    "markersAtLine",	//1054
    "markersAtLine$",	//1055
    "metaObject",	//1056
    "metric",	//1057
    "minimumSizeHint",	//1058
    "modificationAttempted",	//1059
    "modificationChanged",	//1060
    "modificationChanged$",	//1061
    "mouseDoubleClickEvent",	//1062
    "mouseDoubleClickEvent#",	//1063
    "mouseMoveEvent",	//1064
    "mouseMoveEvent#",	//1065
    "mousePressEvent",	//1066
    "mousePressEvent#",	//1067
    "mouseReleaseEvent",	//1068
    "mouseReleaseEvent#",	//1069
    "moveEvent",	//1070
    "moveToMatchingBrace",	//1071
    "operator=",	//1072
    "operator=#",	//1073
    "paintEngine",	//1074
    "paintEvent",	//1075
    "paintEvent#",	//1076
    "paletteChange",	//1077
    "paper",	//1078
    "paper$",	//1079
    "paperChanged",	//1080
    "paperChanged#$",	//1081
    "paste",	//1082
    "play",	//1083
    "pool",	//1084
    "positionFromLineIndex",	//1085
    "positionFromLineIndex$$",	//1086
    "prepare",	//1087
    "printRange",	//1088
    "printRange#",	//1089
    "printRange#$",	//1090
    "printRange#$$",	//1091
    "processComments",	//1092
    "processIf",	//1093
    "propertyChanged",	//1094
    "propertyChanged$$",	//1095
    "qt_metacall",	//1096
    "qt_metacall$$?",	//1097
    "qt_metacast",	//1098
    "qt_metacast$",	//1099
    "quotedIdentifiers",	//1100
    "read",	//1101
    "read#",	//1102
    "readProperties",	//1103
    "readProperties#$",	//1104
    "readSettings",	//1105
    "readSettings#",	//1106
    "readSettings#$",	//1107
    "recolor",	//1108
    "recolor$",	//1109
    "recolor$$",	//1110
    "redo",	//1111
    "refresh",	//1112
    "refreshProperties",	//1113
    "registerImage",	//1114
    "registerImage$#",	//1115
    "remove",	//1116
    "remove$",	//1117
    "removeSelectedText",	//1118
    "replace",	//1119
    "replace$",	//1120
    "replaceSelectedText",	//1121
    "replaceSelectedText$",	//1122
    "resetFoldMarginColors",	//1123
    "resetSelectionBackgroundColor",	//1124
    "resetSelectionForegroundColor",	//1125
    "resizeEvent",	//1126
    "resizeEvent#",	//1127
    "save",	//1128
    "savePrepared",	//1129
    "savePrepared$",	//1130
    "scriptsStyled",	//1131
    "scrollContentsBy",	//1132
    "scrollContentsBy$$",	//1133
    "selectAll",	//1134
    "selectAll$",	//1135
    "selectToMatchingBrace",	//1136
    "selectedText",	//1137
    "selectionChanged",	//1138
    "selectionToEol",	//1139
    "setAPIs",	//1140
    "setAPIs#",	//1141
    "setAlternateKey",	//1142
    "setAlternateKey$",	//1143
    "setAnnotationDisplay",	//1144
    "setAnnotationDisplay$",	//1145
    "setAutoCompletionCaseSensitivity",	//1146
    "setAutoCompletionCaseSensitivity$",	//1147
    "setAutoCompletionFillups",	//1148
    "setAutoCompletionFillups$",	//1149
    "setAutoCompletionFillupsEnabled",	//1150
    "setAutoCompletionFillupsEnabled$",	//1151
    "setAutoCompletionReplaceWord",	//1152
    "setAutoCompletionReplaceWord$",	//1153
    "setAutoCompletionShowSingle",	//1154
    "setAutoCompletionShowSingle$",	//1155
    "setAutoCompletionSource",	//1156
    "setAutoCompletionSource$",	//1157
    "setAutoCompletionThreshold",	//1158
    "setAutoCompletionThreshold$",	//1159
    "setAutoCompletionUseSingle",	//1160
    "setAutoCompletionUseSingle$",	//1161
    "setAutoCompletionWordSeparators",	//1162
    "setAutoCompletionWordSeparators?",	//1163
    "setAutoIndent",	//1164
    "setAutoIndent$",	//1165
    "setAutoIndentStyle",	//1166
    "setAutoIndentStyle$",	//1167
    "setBackslashEscapes",	//1168
    "setBackslashEscapes$",	//1169
    "setBackspaceUnindents",	//1170
    "setBackspaceUnindents$",	//1171
    "setBraceMatching",	//1172
    "setBraceMatching$",	//1173
    "setCallTipsBackgroundColor",	//1174
    "setCallTipsBackgroundColor#",	//1175
    "setCallTipsForegroundColor",	//1176
    "setCallTipsForegroundColor#",	//1177
    "setCallTipsHighlightColor",	//1178
    "setCallTipsHighlightColor#",	//1179
    "setCallTipsStyle",	//1180
    "setCallTipsStyle$",	//1181
    "setCallTipsVisible",	//1182
    "setCallTipsVisible$",	//1183
    "setCaretForegroundColor",	//1184
    "setCaretForegroundColor#",	//1185
    "setCaretLineBackgroundColor",	//1186
    "setCaretLineBackgroundColor#",	//1187
    "setCaretLineVisible",	//1188
    "setCaretLineVisible$",	//1189
    "setCaretWidth",	//1190
    "setCaretWidth$",	//1191
    "setCaseSensitiveTags",	//1192
    "setCaseSensitiveTags$",	//1193
    "setChangeable",	//1194
    "setChangeable$",	//1195
    "setColor",	//1196
    "setColor#",	//1197
    "setColor#$",	//1198
    "setContractedFolds",	//1199
    "setContractedFolds?",	//1200
    "setCursorPosition",	//1201
    "setCursorPosition$$",	//1202
    "setDefaultColor",	//1203
    "setDefaultColor#",	//1204
    "setDefaultFont",	//1205
    "setDefaultFont#",	//1206
    "setDefaultPaper",	//1207
    "setDefaultPaper#",	//1208
    "setDescription",	//1209
    "setDescription$",	//1210
    "setDjangoTemplates",	//1211
    "setDjangoTemplates$",	//1212
    "setDocument",	//1213
    "setDocument#",	//1214
    "setDollarsAllowed",	//1215
    "setDollarsAllowed$",	//1216
    "setDottedWords",	//1217
    "setDottedWords$",	//1218
    "setEdgeColor",	//1219
    "setEdgeColor#",	//1220
    "setEdgeColumn",	//1221
    "setEdgeColumn$",	//1222
    "setEdgeMode",	//1223
    "setEdgeMode$",	//1224
    "setEditor",	//1225
    "setEditor#",	//1226
    "setEolFill",	//1227
    "setEolFill$",	//1228
    "setEolFill$$",	//1229
    "setEolMode",	//1230
    "setEolMode$",	//1231
    "setEolVisibility",	//1232
    "setEolVisibility$",	//1233
    "setExtraAscent",	//1234
    "setExtraAscent$",	//1235
    "setExtraDescent",	//1236
    "setExtraDescent$",	//1237
    "setFirstVisibleLine",	//1238
    "setFirstVisibleLine$",	//1239
    "setFoldAtBegin",	//1240
    "setFoldAtBegin$",	//1241
    "setFoldAtElse",	//1242
    "setFoldAtElse$",	//1243
    "setFoldAtParenthesis",	//1244
    "setFoldAtParenthesis$",	//1245
    "setFoldComments",	//1246
    "setFoldComments$",	//1247
    "setFoldCompact",	//1248
    "setFoldCompact$",	//1249
    "setFoldDirectives",	//1250
    "setFoldDirectives$",	//1251
    "setFoldMarginColors",	//1252
    "setFoldMarginColors##",	//1253
    "setFoldOnlyBegin",	//1254
    "setFoldOnlyBegin$",	//1255
    "setFoldPODBlocks",	//1256
    "setFoldPODBlocks$",	//1257
    "setFoldPackages",	//1258
    "setFoldPackages$",	//1259
    "setFoldPreprocessor",	//1260
    "setFoldPreprocessor$",	//1261
    "setFoldQuotes",	//1262
    "setFoldQuotes$",	//1263
    "setFoldScriptComments",	//1264
    "setFoldScriptComments$",	//1265
    "setFoldScriptHeredocs",	//1266
    "setFoldScriptHeredocs$",	//1267
    "setFolding",	//1268
    "setFolding$",	//1269
    "setFolding$$",	//1270
    "setFont",	//1271
    "setFont#",	//1272
    "setFont#$",	//1273
    "setHashComments",	//1274
    "setHashComments$",	//1275
    "setHotspot",	//1276
    "setHotspot$",	//1277
    "setIndentation",	//1278
    "setIndentation$$",	//1279
    "setIndentationGuides",	//1280
    "setIndentationGuides$",	//1281
    "setIndentationGuidesBackgroundColor",	//1282
    "setIndentationGuidesBackgroundColor#",	//1283
    "setIndentationGuidesForegroundColor",	//1284
    "setIndentationGuidesForegroundColor#",	//1285
    "setIndentationWarning",	//1286
    "setIndentationWarning$",	//1287
    "setIndentationWidth",	//1288
    "setIndentationWidth$",	//1289
    "setIndentationsUseTabs",	//1290
    "setIndentationsUseTabs$",	//1291
    "setIndicatorDrawUnder",	//1292
    "setIndicatorDrawUnder$",	//1293
    "setIndicatorDrawUnder$$",	//1294
    "setIndicatorForegroundColor",	//1295
    "setIndicatorForegroundColor#",	//1296
    "setIndicatorForegroundColor#$",	//1297
    "setInitialSpaces",	//1298
    "setInitialSpaces$",	//1299
    "setKey",	//1300
    "setKey$",	//1301
    "setLevel",	//1302
    "setLevel$",	//1303
    "setLexer",	//1304
    "setLexer#",	//1305
    "setMagnification",	//1306
    "setMagnification$",	//1307
    "setMakoTemplates",	//1308
    "setMakoTemplates$",	//1309
    "setMarginLineNumbers",	//1310
    "setMarginLineNumbers$$",	//1311
    "setMarginMarkerMask",	//1312
    "setMarginMarkerMask$$",	//1313
    "setMarginSensitivity",	//1314
    "setMarginSensitivity$$",	//1315
    "setMarginText",	//1316
    "setMarginText$#",	//1317
    "setMarginText$$#",	//1318
    "setMarginText$$$",	//1319
    "setMarginText$?",	//1320
    "setMarginType",	//1321
    "setMarginType$$",	//1322
    "setMarginWidth",	//1323
    "setMarginWidth$$",	//1324
    "setMarginsBackgroundColor",	//1325
    "setMarginsBackgroundColor#",	//1326
    "setMarginsFont",	//1327
    "setMarginsFont#",	//1328
    "setMarginsForegroundColor",	//1329
    "setMarginsForegroundColor#",	//1330
    "setMarkerBackgroundColor",	//1331
    "setMarkerBackgroundColor#",	//1332
    "setMarkerBackgroundColor#$",	//1333
    "setMarkerForegroundColor",	//1334
    "setMarkerForegroundColor#",	//1335
    "setMarkerForegroundColor#$",	//1336
    "setMatchedBraceBackgroundColor",	//1337
    "setMatchedBraceBackgroundColor#",	//1338
    "setMatchedBraceForegroundColor",	//1339
    "setMatchedBraceForegroundColor#",	//1340
    "setModified",	//1341
    "setModified$",	//1342
    "setPaper",	//1343
    "setPaper#",	//1344
    "setPaper#$",	//1345
    "setProcessComments",	//1346
    "setProcessComments$",	//1347
    "setProcessIf",	//1348
    "setProcessIf$",	//1349
    "setQuotedIdentifiers",	//1350
    "setQuotedIdentifiers$",	//1351
    "setReadOnly",	//1352
    "setReadOnly$",	//1353
    "setScriptsStyled",	//1354
    "setScriptsStyled$",	//1355
    "setSelection",	//1356
    "setSelection$$$$",	//1357
    "setSelectionBackgroundColor",	//1358
    "setSelectionBackgroundColor#",	//1359
    "setSelectionForegroundColor",	//1360
    "setSelectionForegroundColor#",	//1361
    "setSelectionToEol",	//1362
    "setSelectionToEol$",	//1363
    "setSmartHighlighting",	//1364
    "setSmartHighlighting$",	//1365
    "setStringsOverNewlineAllowed",	//1366
    "setStringsOverNewlineAllowed$",	//1367
    "setStylePreprocessor",	//1368
    "setStylePreprocessor$",	//1369
    "setStyling",	//1370
    "setStyling$#",	//1371
    "setStyling$$",	//1372
    "setTabIndents",	//1373
    "setTabIndents$",	//1374
    "setTabWidth",	//1375
    "setTabWidth$",	//1376
    "setText",	//1377
    "setText$",	//1378
    "setTextCase",	//1379
    "setTextCase$",	//1380
    "setTokenize",	//1381
    "setTokenize$",	//1382
    "setUnmatchedBraceBackgroundColor",	//1383
    "setUnmatchedBraceBackgroundColor#",	//1384
    "setUnmatchedBraceForegroundColor",	//1385
    "setUnmatchedBraceForegroundColor#",	//1386
    "setUtf8",	//1387
    "setUtf8$",	//1388
    "setV2UnicodeAllowed",	//1389
    "setV2UnicodeAllowed$",	//1390
    "setV3BinaryOctalAllowed",	//1391
    "setV3BinaryOctalAllowed$",	//1392
    "setV3BytesAllowed",	//1393
    "setV3BytesAllowed$",	//1394
    "setVisible",	//1395
    "setVisible$",	//1396
    "setWhitespaceBackgroundColor",	//1397
    "setWhitespaceBackgroundColor#",	//1398
    "setWhitespaceForegroundColor",	//1399
    "setWhitespaceForegroundColor#",	//1400
    "setWhitespaceSize",	//1401
    "setWhitespaceSize$",	//1402
    "setWhitespaceVisibility",	//1403
    "setWhitespaceVisibility$",	//1404
    "setWrapIndentMode",	//1405
    "setWrapIndentMode$",	//1406
    "setWrapMode",	//1407
    "setWrapMode$",	//1408
    "setWrapVisualFlags",	//1409
    "setWrapVisualFlags$",	//1410
    "setWrapVisualFlags$$",	//1411
    "setWrapVisualFlags$$$",	//1412
    "showEvent",	//1413
    "showUserList",	//1414
    "showUserList$?",	//1415
    "sizeHint",	//1416
    "smartHighlighting",	//1417
    "standardCommands",	//1418
    "startRecording",	//1419
    "startStyling",	//1420
    "startStyling$",	//1421
    "startStyling$$",	//1422
    "staticMetaObject",	//1423
    "stringsOverNewlineAllowed",	//1424
    "style",	//1425
    "styleBitsNeeded",	//1426
    "styleChange",	//1427
    "stylePreprocessor",	//1428
    "styleText",	//1429
    "styleText$$",	//1430
    "tabIndents",	//1431
    "tabWidth",	//1432
    "tabletEvent",	//1433
    "text",	//1434
    "text$",	//1435
    "textCase",	//1436
    "textChanged",	//1437
    "textHeight",	//1438
    "textHeight$",	//1439
    "timerEvent",	//1440
    "toMimeData",	//1441
    "toMimeData#$",	//1442
    "tokenize",	//1443
    "tr",	//1444
    "tr$",	//1445
    "tr$$",	//1446
    "tr$$$",	//1447
    "trUtf8",	//1448
    "trUtf8$",	//1449
    "trUtf8$$",	//1450
    "trUtf8$$$",	//1451
    "undo",	//1452
    "unindent",	//1453
    "unindent$",	//1454
    "updateAutoCompletionList",	//1455
    "updateAutoCompletionList??",	//1456
    "userListActivated",	//1457
    "userListActivated$$",	//1458
    "v2UnicodeAllowed",	//1459
    "v3BinaryOctalAllowed",	//1460
    "v3BytesAllowed",	//1461
    "validKey",	//1462
    "validKey$",	//1463
    "viewportEvent",	//1464
    "visible",	//1465
    "wheelEvent",	//1466
    "whitespaceSize",	//1467
    "whitespaceVisibility",	//1468
    "windowActivationChange",	//1469
    "wordAtPoint",	//1470
    "wordAtPoint#",	//1471
    "wordCharacters",	//1472
    "wrapIndentMode",	//1473
    "wrapMode",	//1474
    "write",	//1475
    "write#",	//1476
    "writeProperties",	//1477
    "writeProperties#$",	//1478
    "writeSettings",	//1479
    "writeSettings#",	//1480
    "writeSettings#$",	//1481
    "x11Event",	//1482
    "zoomIn",	//1483
    "zoomIn$",	//1484
    "zoomOut",	//1485
    "zoomOut$",	//1486
    "zoomTo",	//1487
    "zoomTo$",	//1488
    "~QsciAPIs",	//1489
    "~QsciAbstractAPIs",	//1490
    "~QsciCommand",	//1491
    "~QsciDocument",	//1492
    "~QsciLexer",	//1493
    "~QsciLexerBash",	//1494
    "~QsciLexerBatch",	//1495
    "~QsciLexerCMake",	//1496
    "~QsciLexerCPP",	//1497
    "~QsciLexerCSS",	//1498
    "~QsciLexerCSharp",	//1499
    "~QsciLexerCustom",	//1500
    "~QsciLexerD",	//1501
    "~QsciLexerDiff",	//1502
    "~QsciLexerFortran",	//1503
    "~QsciLexerFortran77",	//1504
    "~QsciLexerHTML",	//1505
    "~QsciLexerIDL",	//1506
    "~QsciLexerJava",	//1507
    "~QsciLexerJavaScript",	//1508
    "~QsciLexerLua",	//1509
    "~QsciLexerMakefile",	//1510
    "~QsciLexerPOV",	//1511
    "~QsciLexerPascal",	//1512
    "~QsciLexerPerl",	//1513
    "~QsciLexerPostScript",	//1514
    "~QsciLexerProperties",	//1515
    "~QsciLexerPython",	//1516
    "~QsciLexerRuby",	//1517
    "~QsciLexerSQL",	//1518
    "~QsciLexerTCL",	//1519
    "~QsciLexerTeX",	//1520
    "~QsciLexerVHDL",	//1521
    "~QsciLexerXML",	//1522
    "~QsciLexerYAML",	//1523
    "~QsciMacro",	//1524
    "~QsciPrinter",	//1525
    "~QsciScintilla",	//1526
    "~QsciScintillaBase",	//1527
    "~QsciStyle",	//1528
    "~QsciStyledText",	//1529
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1416, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 900, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 203, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1464, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 203, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1466, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 824, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {17, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {17, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {17, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {17, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {17, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {17, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {17, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {17, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {17, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {17, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {17, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {17, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {17, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {17, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {17, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {17, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {17, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {17, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {17, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {17, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {17, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {26, 900, 1, 1, Smoke::mf_virtual, 203, 0},	//36 QObject::event(QEvent*)
    {26, 902, 5, 2, Smoke::mf_virtual, 203, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {26, 1440, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {26, 826, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {26, 855, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {26, 844, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {26, 870, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {33, 869, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//43 QPrinter::devType() const
    {33, 1074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 28, 0},	//44 QPrinter::paintEngine() const
    {33, 1057, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 4},	//46 QPrinter::ScreenResolution (enum)
    {33, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 5},	//47 QPrinter::PrinterResolution (enum)
    {33, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 6},	//48 QPrinter::HighResolution (enum)
    {45, 869, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//49 QWidget::devType() const
    {45, 1395, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {45, 954, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//51 QWidget::heightForWidth(int) const
    {45, 1074, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 28, 0},	//52 QWidget::paintEngine() const
    {45, 998, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {45, 893, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {45, 1003, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {45, 1070, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {45, 838, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {45, 1433, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {45, 765, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {45, 1413, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {45, 955, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {45, 1482, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 203, 0},	//62 QWidget::x11Event(_XEvent*)
    {45, 1057, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {45, 978, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 46, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {45, 1427, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {45, 887, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {45, 1077, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {45, 941, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {45, 1469, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {45, 1002, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {46, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//71 QsciAPIs::metaObject() const
    {46, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {46, 1444, 44, 2, Smoke::mf_static, 39, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {46, 1448, 44, 2, Smoke::mf_static, 39, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {46, 1444, 47, 3, Smoke::mf_static, 39, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {46, 1448, 47, 3, Smoke::mf_static, 39, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {46, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 393, 55, 1, Smoke::mf_ctor, 49, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {46, 766, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {46, 827, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {46, 1016, 57, 1, 0, 203, 11},	//81 QsciAPIs::load(const QString&)
    {46, 1116, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {46, 1087, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {46, 821, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {46, 865, 0, 0, Smoke::mf_const, 39, 15},	//85 QsciAPIs::defaultPreparedName() const
    {46, 987, 57, 1, Smoke::mf_const, 203, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {46, 1018, 57, 1, 0, 203, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {46, 1129, 57, 1, Smoke::mf_const, 203, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {46, 1455, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {46, 792, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {46, 814, 62, 4, Smoke::mf_virtual, 40, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {46, 900, 1, 1, Smoke::mf_virtual, 203, 22},	//92 QsciAPIs::event(QEvent*)
    {46, 983, 0, 0, Smoke::mf_const, 40, 23},	//93 QsciAPIs::installedAPIFiles() const
    {46, 779, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {46, 781, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {46, 780, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {46, 1444, 12, 1, Smoke::mf_static, 39, 27},	//97 QsciAPIs::tr(const char*)
    {46, 1448, 12, 1, Smoke::mf_static, 39, 28},	//98 QsciAPIs::trUtf8(const char*)
    {46, 987, 0, 0, Smoke::mf_const, 203, 29},	//99 QsciAPIs::isPrepared() const
    {46, 1018, 0, 0, 0, 203, 30},	//100 QsciAPIs::loadPrepared()
    {46, 1129, 0, 0, Smoke::mf_const, 203, 31},	//101 QsciAPIs::savePrepared() const
    {46, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 32},	//102 QsciAPIs::staticMetaObject() const
    {46, 1489, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {47, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//104 QsciAbstractAPIs::metaObject() const
    {47, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//105 QsciAbstractAPIs::qt_metacast(const char*)
    {47, 1444, 44, 2, Smoke::mf_static, 39, 3},	//106 QsciAbstractAPIs::tr(const char*, const char*)
    {47, 1448, 44, 2, Smoke::mf_static, 39, 4},	//107 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {47, 1444, 47, 3, Smoke::mf_static, 39, 5},	//108 QsciAbstractAPIs::tr(const char*, const char*, int)
    {47, 1448, 47, 3, Smoke::mf_static, 39, 6},	//109 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {47, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//110 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {47, 395, 55, 1, Smoke::mf_ctor, 50, 8},	//111 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {47, 1006, 0, 0, Smoke::mf_const, 55, 9},	//112 QsciAbstractAPIs::lexer() const
    {47, 1455, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {47, 792, 57, 1, Smoke::mf_virtual, 0, 11},	//114 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {47, 814, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 12},	//115 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {47, 1444, 12, 1, Smoke::mf_static, 39, 13},	//116 QsciAbstractAPIs::tr(const char*)
    {47, 1448, 12, 1, Smoke::mf_static, 39, 14},	//117 QsciAbstractAPIs::trUtf8(const char*)
    {47, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 15},	//118 QsciAbstractAPIs::staticMetaObject() const
    {47, 1490, 0, 0, Smoke::mf_dtor, 0, 16 },	//119 QsciAbstractAPIs::~QsciAbstractAPIs()
    {48, 1300, 18, 1, 0, 0, 1},	//120 QsciCommand::setKey(int)
    {48, 1142, 18, 1, 0, 0, 2},	//121 QsciCommand::setAlternateKey(int)
    {48, 995, 0, 0, Smoke::mf_const, 228, 3},	//122 QsciCommand::key() const
    {48, 768, 0, 0, Smoke::mf_const, 228, 4},	//123 QsciCommand::alternateKey() const
    {48, 1462, 18, 1, Smoke::mf_static, 203, 5},	//124 QsciCommand::validKey(int)
    {48, 867, 0, 0, Smoke::mf_const, 39, 6},	//125 QsciCommand::description() const
    {48, 1491, 0, 0, Smoke::mf_dtor, 0, 7 },	//126 QsciCommand::~QsciCommand()
    {49, 1105, 67, 2, 0, 203, 1},	//127 QsciCommandSet::readSettings(QSettings&, const char*)
    {49, 1479, 67, 2, 0, 203, 2},	//128 QsciCommandSet::writeSettings(QSettings&, const char*)
    {49, 843, 0, 0, 0, 19, 3},	//129 QsciCommandSet::commands()
    {49, 834, 0, 0, 0, 0, 4},	//130 QsciCommandSet::clearKeys()
    {49, 828, 0, 0, 0, 0, 5},	//131 QsciCommandSet::clearAlternateKeys()
    {49, 1105, 70, 1, 0, 203, 6},	//132 QsciCommandSet::readSettings(QSettings&)
    {49, 1479, 70, 1, 0, 203, 7},	//133 QsciCommandSet::writeSettings(QSettings&)
    {50, 397, 0, 0, Smoke::mf_ctor, 54, 1},	//134 QsciDocument::QsciDocument()
    {50, 397, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//135 QsciDocument::QsciDocument(const QsciDocument&)
    {50, 1072, 72, 1, 0, 53, 3},	//136 QsciDocument::operator=(const QsciDocument&)
    {50, 1492, 0, 0, Smoke::mf_dtor, 0, 4 },	//137 QsciDocument::~QsciDocument()
    {51, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//138 QsciLexer::metaObject() const
    {51, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//139 QsciLexer::qt_metacast(const char*)
    {51, 1444, 44, 2, Smoke::mf_static, 39, 3},	//140 QsciLexer::tr(const char*, const char*)
    {51, 1448, 44, 2, Smoke::mf_static, 39, 4},	//141 QsciLexer::trUtf8(const char*, const char*)
    {51, 1444, 47, 3, Smoke::mf_static, 39, 5},	//142 QsciLexer::tr(const char*, const char*, int)
    {51, 1448, 47, 3, Smoke::mf_static, 39, 6},	//143 QsciLexer::trUtf8(const char*, const char*, int)
    {51, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//144 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {51, 399, 74, 1, Smoke::mf_ctor, 55, 8},	//145 QsciLexer::QsciLexer(QObject*)
    {51, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 226, 9},	//146 QsciLexer::language() const [pure virtual]
    {51, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//147 QsciLexer::lexer() const
    {51, 1007, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//148 QsciLexer::lexerId() const
    {51, 782, 0, 0, Smoke::mf_const, 50, 12},	//149 QsciLexer::apis() const
    {51, 789, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//150 QsciLexer::autoCompletionFillups() const
    {51, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//151 QsciLexer::autoCompletionWordSeparators() const
    {51, 800, 0, 0, 0, 228, 15},	//152 QsciLexer::autoIndentStyle()
    {51, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//153 QsciLexer::blockEnd(int*) const
    {51, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 17},	//154 QsciLexer::blockLookback() const
    {51, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 18},	//155 QsciLexer::blockStart(int*) const
    {51, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 19},	//156 QsciLexer::blockStartKeyword(int*) const
    {51, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 20},	//157 QsciLexer::braceStyle() const
    {51, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 203, 21},	//158 QsciLexer::caseSensitive() const
    {51, 839, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//159 QsciLexer::color(int) const
    {51, 894, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 23},	//160 QsciLexer::eolFill(int) const
    {51, 939, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//161 QsciLexer::font(int) const
    {51, 961, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 25},	//162 QsciLexer::indentationGuideView() const
    {51, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 26},	//163 QsciLexer::keywords(int) const
    {51, 866, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 27},	//164 QsciLexer::defaultStyle() const
    {51, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 28},	//165 QsciLexer::description(int) const [pure virtual]
    {51, 1078, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//166 QsciLexer::paper(int) const
    {51, 857, 0, 0, Smoke::mf_const, 6, 30},	//167 QsciLexer::defaultColor() const
    {51, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//168 QsciLexer::defaultColor(int) const
    {51, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 32},	//169 QsciLexer::defaultEolFill(int) const
    {51, 861, 0, 0, Smoke::mf_const, 14, 33},	//170 QsciLexer::defaultFont() const
    {51, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//171 QsciLexer::defaultFont(int) const
    {51, 863, 0, 0, Smoke::mf_const, 6, 35},	//172 QsciLexer::defaultPaper() const
    {51, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//173 QsciLexer::defaultPaper(int) const
    {51, 886, 0, 0, Smoke::mf_const, 89, 37},	//174 QsciLexer::editor() const
    {51, 1140, 78, 1, 0, 0, 38},	//175 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {51, 1203, 80, 1, 0, 0, 39},	//176 QsciLexer::setDefaultColor(const QColor&)
    {51, 1205, 42, 1, 0, 0, 40},	//177 QsciLexer::setDefaultFont(const QFont&)
    {51, 1207, 80, 1, 0, 0, 41},	//178 QsciLexer::setDefaultPaper(const QColor&)
    {51, 1225, 82, 1, Smoke::mf_virtual, 0, 42},	//179 QsciLexer::setEditor(QsciScintilla*)
    {51, 1105, 67, 2, 0, 203, 43},	//180 QsciLexer::readSettings(QSettings&, const char*)
    {51, 1113, 0, 0, Smoke::mf_virtual, 0, 44},	//181 QsciLexer::refreshProperties()
    {51, 1426, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 45},	//182 QsciLexer::styleBitsNeeded() const
    {51, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 46},	//183 QsciLexer::wordCharacters() const
    {51, 1479, 67, 2, Smoke::mf_const, 203, 47},	//184 QsciLexer::writeSettings(QSettings&, const char*) const
    {51, 1166, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//185 QsciLexer::setAutoIndentStyle(int)
    {51, 1196, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//186 QsciLexer::setColor(const QColor&, int)
    {51, 1227, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//187 QsciLexer::setEolFill(bool, int)
    {51, 1271, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//188 QsciLexer::setFont(const QFont&, int)
    {51, 1343, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//189 QsciLexer::setPaper(const QColor&, int)
    {51, 841, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//190 QsciLexer::colorChanged(const QColor&, int)
    {51, 896, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//191 QsciLexer::eolFillChanged(bool, int)
    {51, 942, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//192 QsciLexer::fontChanged(const QFont&, int)
    {51, 1080, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//193 QsciLexer::paperChanged(const QColor&, int)
    {51, 1094, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//194 QsciLexer::propertyChanged(const char*, const char*)
    {51, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 58},	//195 QsciLexer::readProperties(QSettings&, const QString&)
    {51, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 59},	//196 QsciLexer::writeProperties(QSettings&, const QString&) const
    {51, 1444, 12, 1, Smoke::mf_static, 39, 60},	//197 QsciLexer::tr(const char*)
    {51, 1448, 12, 1, Smoke::mf_static, 39, 61},	//198 QsciLexer::trUtf8(const char*)
    {51, 399, 0, 0, Smoke::mf_ctor, 55, 62},	//199 QsciLexer::QsciLexer()
    {51, 804, 0, 0, Smoke::mf_const, 226, 63},	//200 QsciLexer::blockEnd() const
    {51, 807, 0, 0, Smoke::mf_const, 226, 64},	//201 QsciLexer::blockStart() const
    {51, 809, 0, 0, Smoke::mf_const, 226, 65},	//202 QsciLexer::blockStartKeyword() const
    {51, 1105, 70, 1, 0, 203, 66},	//203 QsciLexer::readSettings(QSettings&)
    {51, 1479, 70, 1, Smoke::mf_const, 203, 67},	//204 QsciLexer::writeSettings(QSettings&) const
    {51, 1196, 80, 1, Smoke::mf_slot, 0, 68},	//205 QsciLexer::setColor(const QColor&)
    {51, 1227, 16, 1, Smoke::mf_slot, 0, 69},	//206 QsciLexer::setEolFill(bool)
    {51, 1271, 42, 1, Smoke::mf_slot, 0, 70},	//207 QsciLexer::setFont(const QFont&)
    {51, 1343, 80, 1, Smoke::mf_slot, 0, 71},	//208 QsciLexer::setPaper(const QColor&)
    {51, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 72},	//209 QsciLexer::staticMetaObject() const
    {51, 1493, 0, 0, Smoke::mf_dtor, 0, 73 },	//210 QsciLexer::~QsciLexer()
    {52, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//211 QsciLexerBash::metaObject() const
    {52, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//212 QsciLexerBash::qt_metacast(const char*)
    {52, 1444, 44, 2, Smoke::mf_static, 39, 3},	//213 QsciLexerBash::tr(const char*, const char*)
    {52, 1448, 44, 2, Smoke::mf_static, 39, 4},	//214 QsciLexerBash::trUtf8(const char*, const char*)
    {52, 1444, 47, 3, Smoke::mf_static, 39, 5},	//215 QsciLexerBash::tr(const char*, const char*, int)
    {52, 1448, 47, 3, Smoke::mf_static, 39, 6},	//216 QsciLexerBash::trUtf8(const char*, const char*, int)
    {52, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//217 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {52, 401, 74, 1, Smoke::mf_ctor, 56, 8},	//218 QsciLexerBash::QsciLexerBash(QObject*)
    {52, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//219 QsciLexerBash::language() const
    {52, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//220 QsciLexerBash::lexer() const
    {52, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//221 QsciLexerBash::braceStyle() const
    {52, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//222 QsciLexerBash::wordCharacters() const
    {52, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//223 QsciLexerBash::defaultColor(int) const
    {52, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 14},	//224 QsciLexerBash::defaultEolFill(int) const
    {52, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//225 QsciLexerBash::defaultFont(int) const
    {52, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//226 QsciLexerBash::defaultPaper(int) const
    {52, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 17},	//227 QsciLexerBash::keywords(int) const
    {52, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//228 QsciLexerBash::description(int) const
    {52, 1113, 0, 0, Smoke::mf_virtual, 0, 19},	//229 QsciLexerBash::refreshProperties()
    {52, 926, 0, 0, Smoke::mf_const, 203, 20},	//230 QsciLexerBash::foldComments() const
    {52, 927, 0, 0, Smoke::mf_const, 203, 21},	//231 QsciLexerBash::foldCompact() const
    {52, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//232 QsciLexerBash::setFoldComments(bool)
    {52, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//233 QsciLexerBash::setFoldCompact(bool)
    {52, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 24},	//234 QsciLexerBash::readProperties(QSettings&, const QString&)
    {52, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 25},	//235 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {52, 1444, 12, 1, Smoke::mf_static, 39, 26},	//236 QsciLexerBash::tr(const char*)
    {52, 1448, 12, 1, Smoke::mf_static, 39, 27},	//237 QsciLexerBash::trUtf8(const char*)
    {52, 401, 0, 0, Smoke::mf_ctor, 56, 28},	//238 QsciLexerBash::QsciLexerBash()
    {52, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 29},	//239 QsciLexerBash::staticMetaObject() const
    {52, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//240 QsciLexerBash::Default (enum)
    {52, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//241 QsciLexerBash::Error (enum)
    {52, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//242 QsciLexerBash::Comment (enum)
    {52, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//243 QsciLexerBash::Number (enum)
    {52, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//244 QsciLexerBash::Keyword (enum)
    {52, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//245 QsciLexerBash::DoubleQuotedString (enum)
    {52, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//246 QsciLexerBash::SingleQuotedString (enum)
    {52, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//247 QsciLexerBash::Operator (enum)
    {52, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//248 QsciLexerBash::Identifier (enum)
    {52, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//249 QsciLexerBash::Scalar (enum)
    {52, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//250 QsciLexerBash::ParameterExpansion (enum)
    {52, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//251 QsciLexerBash::Backticks (enum)
    {52, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//252 QsciLexerBash::HereDocumentDelimiter (enum)
    {52, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//253 QsciLexerBash::SingleQuotedHereDocument (enum)
    {52, 1494, 0, 0, Smoke::mf_dtor, 0, 44 },	//254 QsciLexerBash::~QsciLexerBash()
    {53, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//255 QsciLexerBatch::metaObject() const
    {53, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//256 QsciLexerBatch::qt_metacast(const char*)
    {53, 1444, 44, 2, Smoke::mf_static, 39, 3},	//257 QsciLexerBatch::tr(const char*, const char*)
    {53, 1448, 44, 2, Smoke::mf_static, 39, 4},	//258 QsciLexerBatch::trUtf8(const char*, const char*)
    {53, 1444, 47, 3, Smoke::mf_static, 39, 5},	//259 QsciLexerBatch::tr(const char*, const char*, int)
    {53, 1448, 47, 3, Smoke::mf_static, 39, 6},	//260 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {53, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//261 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {53, 403, 74, 1, Smoke::mf_ctor, 57, 8},	//262 QsciLexerBatch::QsciLexerBatch(QObject*)
    {53, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//263 QsciLexerBatch::language() const
    {53, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//264 QsciLexerBatch::lexer() const
    {53, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//265 QsciLexerBatch::wordCharacters() const
    {53, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 203, 12},	//266 QsciLexerBatch::caseSensitive() const
    {53, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//267 QsciLexerBatch::defaultColor(int) const
    {53, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 14},	//268 QsciLexerBatch::defaultEolFill(int) const
    {53, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//269 QsciLexerBatch::defaultFont(int) const
    {53, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//270 QsciLexerBatch::defaultPaper(int) const
    {53, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 17},	//271 QsciLexerBatch::keywords(int) const
    {53, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//272 QsciLexerBatch::description(int) const
    {53, 1444, 12, 1, Smoke::mf_static, 39, 19},	//273 QsciLexerBatch::tr(const char*)
    {53, 1448, 12, 1, Smoke::mf_static, 39, 20},	//274 QsciLexerBatch::trUtf8(const char*)
    {53, 403, 0, 0, Smoke::mf_ctor, 57, 21},	//275 QsciLexerBatch::QsciLexerBatch()
    {53, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 22},	//276 QsciLexerBatch::staticMetaObject() const
    {53, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 23},	//277 QsciLexerBatch::Default (enum)
    {53, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 24},	//278 QsciLexerBatch::Comment (enum)
    {53, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 25},	//279 QsciLexerBatch::Keyword (enum)
    {53, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 26},	//280 QsciLexerBatch::Label (enum)
    {53, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//281 QsciLexerBatch::HideCommandChar (enum)
    {53, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//282 QsciLexerBatch::ExternalCommand (enum)
    {53, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//283 QsciLexerBatch::Variable (enum)
    {53, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//284 QsciLexerBatch::Operator (enum)
    {53, 1495, 0, 0, Smoke::mf_dtor, 0, 31 },	//285 QsciLexerBatch::~QsciLexerBatch()
    {54, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//286 QsciLexerCMake::metaObject() const
    {54, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//287 QsciLexerCMake::qt_metacast(const char*)
    {54, 1444, 44, 2, Smoke::mf_static, 39, 3},	//288 QsciLexerCMake::tr(const char*, const char*)
    {54, 1448, 44, 2, Smoke::mf_static, 39, 4},	//289 QsciLexerCMake::trUtf8(const char*, const char*)
    {54, 1444, 47, 3, Smoke::mf_static, 39, 5},	//290 QsciLexerCMake::tr(const char*, const char*, int)
    {54, 1448, 47, 3, Smoke::mf_static, 39, 6},	//291 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {54, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//292 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {54, 405, 74, 1, Smoke::mf_ctor, 58, 8},	//293 QsciLexerCMake::QsciLexerCMake(QObject*)
    {54, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//294 QsciLexerCMake::language() const
    {54, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//295 QsciLexerCMake::lexer() const
    {54, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//296 QsciLexerCMake::defaultColor(int) const
    {54, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//297 QsciLexerCMake::defaultFont(int) const
    {54, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//298 QsciLexerCMake::defaultPaper(int) const
    {54, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//299 QsciLexerCMake::keywords(int) const
    {54, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//300 QsciLexerCMake::description(int) const
    {54, 1113, 0, 0, Smoke::mf_virtual, 0, 16},	//301 QsciLexerCMake::refreshProperties()
    {54, 924, 0, 0, Smoke::mf_const, 203, 17},	//302 QsciLexerCMake::foldAtElse() const
    {54, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//303 QsciLexerCMake::setFoldAtElse(bool)
    {54, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 19},	//304 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {54, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 20},	//305 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {54, 1444, 12, 1, Smoke::mf_static, 39, 21},	//306 QsciLexerCMake::tr(const char*)
    {54, 1448, 12, 1, Smoke::mf_static, 39, 22},	//307 QsciLexerCMake::trUtf8(const char*)
    {54, 405, 0, 0, Smoke::mf_ctor, 58, 23},	//308 QsciLexerCMake::QsciLexerCMake()
    {54, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 24},	//309 QsciLexerCMake::staticMetaObject() const
    {54, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 25},	//310 QsciLexerCMake::Default (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 26},	//311 QsciLexerCMake::Comment (enum)
    {54, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//312 QsciLexerCMake::String (enum)
    {54, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//313 QsciLexerCMake::StringLeftQuote (enum)
    {54, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//314 QsciLexerCMake::StringRightQuote (enum)
    {54, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//315 QsciLexerCMake::Function (enum)
    {54, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//316 QsciLexerCMake::Variable (enum)
    {54, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//317 QsciLexerCMake::Label (enum)
    {54, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//318 QsciLexerCMake::KeywordSet3 (enum)
    {54, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//319 QsciLexerCMake::BlockWhile (enum)
    {54, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//320 QsciLexerCMake::BlockForeach (enum)
    {54, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//321 QsciLexerCMake::BlockIf (enum)
    {54, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//322 QsciLexerCMake::BlockMacro (enum)
    {54, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//323 QsciLexerCMake::StringVariable (enum)
    {54, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//324 QsciLexerCMake::Number (enum)
    {54, 1496, 0, 0, Smoke::mf_dtor, 0, 40 },	//325 QsciLexerCMake::~QsciLexerCMake()
    {55, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//326 QsciLexerCPP::metaObject() const
    {55, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//327 QsciLexerCPP::qt_metacast(const char*)
    {55, 1444, 44, 2, Smoke::mf_static, 39, 3},	//328 QsciLexerCPP::tr(const char*, const char*)
    {55, 1448, 44, 2, Smoke::mf_static, 39, 4},	//329 QsciLexerCPP::trUtf8(const char*, const char*)
    {55, 1444, 47, 3, Smoke::mf_static, 39, 5},	//330 QsciLexerCPP::tr(const char*, const char*, int)
    {55, 1448, 47, 3, Smoke::mf_static, 39, 6},	//331 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {55, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//332 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {55, 407, 96, 2, Smoke::mf_ctor, 59, 8},	//333 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {55, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//334 QsciLexerCPP::language() const
    {55, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//335 QsciLexerCPP::lexer() const
    {55, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//336 QsciLexerCPP::autoCompletionWordSeparators() const
    {55, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//337 QsciLexerCPP::blockEnd(int*) const
    {55, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//338 QsciLexerCPP::blockStart(int*) const
    {55, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//339 QsciLexerCPP::blockStartKeyword(int*) const
    {55, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 15},	//340 QsciLexerCPP::braceStyle() const
    {55, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//341 QsciLexerCPP::wordCharacters() const
    {55, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//342 QsciLexerCPP::defaultColor(int) const
    {55, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 18},	//343 QsciLexerCPP::defaultEolFill(int) const
    {55, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//344 QsciLexerCPP::defaultFont(int) const
    {55, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//345 QsciLexerCPP::defaultPaper(int) const
    {55, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 21},	//346 QsciLexerCPP::keywords(int) const
    {55, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 22},	//347 QsciLexerCPP::description(int) const
    {55, 1113, 0, 0, Smoke::mf_virtual, 0, 23},	//348 QsciLexerCPP::refreshProperties()
    {55, 924, 0, 0, Smoke::mf_const, 203, 24},	//349 QsciLexerCPP::foldAtElse() const
    {55, 926, 0, 0, Smoke::mf_const, 203, 25},	//350 QsciLexerCPP::foldComments() const
    {55, 927, 0, 0, Smoke::mf_const, 203, 26},	//351 QsciLexerCPP::foldCompact() const
    {55, 934, 0, 0, Smoke::mf_const, 203, 27},	//352 QsciLexerCPP::foldPreprocessor() const
    {55, 1428, 0, 0, Smoke::mf_const, 203, 28},	//353 QsciLexerCPP::stylePreprocessor() const
    {55, 1215, 16, 1, 0, 0, 29},	//354 QsciLexerCPP::setDollarsAllowed(bool)
    {55, 873, 0, 0, Smoke::mf_const, 203, 30},	//355 QsciLexerCPP::dollarsAllowed() const
    {55, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//356 QsciLexerCPP::setFoldAtElse(bool)
    {55, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//357 QsciLexerCPP::setFoldComments(bool)
    {55, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//358 QsciLexerCPP::setFoldCompact(bool)
    {55, 1260, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//359 QsciLexerCPP::setFoldPreprocessor(bool)
    {55, 1368, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//360 QsciLexerCPP::setStylePreprocessor(bool)
    {55, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 36},	//361 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {55, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 37},	//362 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {55, 1444, 12, 1, Smoke::mf_static, 39, 38},	//363 QsciLexerCPP::tr(const char*)
    {55, 1448, 12, 1, Smoke::mf_static, 39, 39},	//364 QsciLexerCPP::trUtf8(const char*)
    {55, 407, 0, 0, Smoke::mf_ctor, 59, 40},	//365 QsciLexerCPP::QsciLexerCPP()
    {55, 407, 74, 1, Smoke::mf_ctor, 59, 41},	//366 QsciLexerCPP::QsciLexerCPP(QObject*)
    {55, 804, 0, 0, Smoke::mf_const, 226, 42},	//367 QsciLexerCPP::blockEnd() const
    {55, 807, 0, 0, Smoke::mf_const, 226, 43},	//368 QsciLexerCPP::blockStart() const
    {55, 809, 0, 0, Smoke::mf_const, 226, 44},	//369 QsciLexerCPP::blockStartKeyword() const
    {55, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 45},	//370 QsciLexerCPP::staticMetaObject() const
    {55, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//371 QsciLexerCPP::Default (enum)
    {55, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//372 QsciLexerCPP::InactiveDefault (enum)
    {55, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//373 QsciLexerCPP::Comment (enum)
    {55, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//374 QsciLexerCPP::InactiveComment (enum)
    {55, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//375 QsciLexerCPP::CommentLine (enum)
    {55, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//376 QsciLexerCPP::InactiveCommentLine (enum)
    {55, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//377 QsciLexerCPP::CommentDoc (enum)
    {55, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//378 QsciLexerCPP::InactiveCommentDoc (enum)
    {55, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//379 QsciLexerCPP::Number (enum)
    {55, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//380 QsciLexerCPP::InactiveNumber (enum)
    {55, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//381 QsciLexerCPP::Keyword (enum)
    {55, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//382 QsciLexerCPP::InactiveKeyword (enum)
    {55, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//383 QsciLexerCPP::DoubleQuotedString (enum)
    {55, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//384 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {55, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//385 QsciLexerCPP::SingleQuotedString (enum)
    {55, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//386 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {55, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 62},	//387 QsciLexerCPP::UUID (enum)
    {55, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 63},	//388 QsciLexerCPP::InactiveUUID (enum)
    {55, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 64},	//389 QsciLexerCPP::PreProcessor (enum)
    {55, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 65},	//390 QsciLexerCPP::InactivePreProcessor (enum)
    {55, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 66},	//391 QsciLexerCPP::Operator (enum)
    {55, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 67},	//392 QsciLexerCPP::InactiveOperator (enum)
    {55, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 68},	//393 QsciLexerCPP::Identifier (enum)
    {55, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 69},	//394 QsciLexerCPP::InactiveIdentifier (enum)
    {55, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 70},	//395 QsciLexerCPP::UnclosedString (enum)
    {55, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 71},	//396 QsciLexerCPP::InactiveUnclosedString (enum)
    {55, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 72},	//397 QsciLexerCPP::VerbatimString (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 73},	//398 QsciLexerCPP::InactiveVerbatimString (enum)
    {55, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 74},	//399 QsciLexerCPP::Regex (enum)
    {55, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 75},	//400 QsciLexerCPP::InactiveRegex (enum)
    {55, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 76},	//401 QsciLexerCPP::CommentLineDoc (enum)
    {55, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 77},	//402 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {55, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 78},	//403 QsciLexerCPP::KeywordSet2 (enum)
    {55, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 79},	//404 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {55, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 80},	//405 QsciLexerCPP::CommentDocKeyword (enum)
    {55, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 81},	//406 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {55, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 82},	//407 QsciLexerCPP::CommentDocKeywordError (enum)
    {55, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 83},	//408 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {55, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 84},	//409 QsciLexerCPP::GlobalClass (enum)
    {55, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 85},	//410 QsciLexerCPP::InactiveGlobalClass (enum)
    {55, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 86},	//411 QsciLexerCPP::RawString (enum)
    {55, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 87},	//412 QsciLexerCPP::InactiveRawString (enum)
    {55, 1497, 0, 0, Smoke::mf_dtor, 0, 88 },	//413 QsciLexerCPP::~QsciLexerCPP()
    {56, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//414 QsciLexerCSS::metaObject() const
    {56, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//415 QsciLexerCSS::qt_metacast(const char*)
    {56, 1444, 44, 2, Smoke::mf_static, 39, 3},	//416 QsciLexerCSS::tr(const char*, const char*)
    {56, 1448, 44, 2, Smoke::mf_static, 39, 4},	//417 QsciLexerCSS::trUtf8(const char*, const char*)
    {56, 1444, 47, 3, Smoke::mf_static, 39, 5},	//418 QsciLexerCSS::tr(const char*, const char*, int)
    {56, 1448, 47, 3, Smoke::mf_static, 39, 6},	//419 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {56, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//420 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {56, 410, 74, 1, Smoke::mf_ctor, 60, 8},	//421 QsciLexerCSS::QsciLexerCSS(QObject*)
    {56, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//422 QsciLexerCSS::language() const
    {56, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//423 QsciLexerCSS::lexer() const
    {56, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//424 QsciLexerCSS::blockEnd(int*) const
    {56, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//425 QsciLexerCSS::blockStart(int*) const
    {56, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//426 QsciLexerCSS::wordCharacters() const
    {56, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//427 QsciLexerCSS::defaultColor(int) const
    {56, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//428 QsciLexerCSS::defaultFont(int) const
    {56, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//429 QsciLexerCSS::keywords(int) const
    {56, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//430 QsciLexerCSS::description(int) const
    {56, 1113, 0, 0, Smoke::mf_virtual, 0, 18},	//431 QsciLexerCSS::refreshProperties()
    {56, 926, 0, 0, Smoke::mf_const, 203, 19},	//432 QsciLexerCSS::foldComments() const
    {56, 927, 0, 0, Smoke::mf_const, 203, 20},	//433 QsciLexerCSS::foldCompact() const
    {56, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//434 QsciLexerCSS::setFoldComments(bool)
    {56, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//435 QsciLexerCSS::setFoldCompact(bool)
    {56, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 23},	//436 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {56, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 24},	//437 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {56, 1444, 12, 1, Smoke::mf_static, 39, 25},	//438 QsciLexerCSS::tr(const char*)
    {56, 1448, 12, 1, Smoke::mf_static, 39, 26},	//439 QsciLexerCSS::trUtf8(const char*)
    {56, 410, 0, 0, Smoke::mf_ctor, 60, 27},	//440 QsciLexerCSS::QsciLexerCSS()
    {56, 804, 0, 0, Smoke::mf_const, 226, 28},	//441 QsciLexerCSS::blockEnd() const
    {56, 807, 0, 0, Smoke::mf_const, 226, 29},	//442 QsciLexerCSS::blockStart() const
    {56, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 30},	//443 QsciLexerCSS::staticMetaObject() const
    {56, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//444 QsciLexerCSS::Default (enum)
    {56, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//445 QsciLexerCSS::Tag (enum)
    {56, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//446 QsciLexerCSS::ClassSelector (enum)
    {56, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//447 QsciLexerCSS::PseudoClass (enum)
    {56, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//448 QsciLexerCSS::UnknownPseudoClass (enum)
    {56, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//449 QsciLexerCSS::Operator (enum)
    {56, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//450 QsciLexerCSS::CSS1Property (enum)
    {56, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//451 QsciLexerCSS::UnknownProperty (enum)
    {56, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//452 QsciLexerCSS::Value (enum)
    {56, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//453 QsciLexerCSS::Comment (enum)
    {56, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//454 QsciLexerCSS::IDSelector (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//455 QsciLexerCSS::Important (enum)
    {56, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//456 QsciLexerCSS::AtRule (enum)
    {56, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//457 QsciLexerCSS::DoubleQuotedString (enum)
    {56, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//458 QsciLexerCSS::SingleQuotedString (enum)
    {56, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//459 QsciLexerCSS::CSS2Property (enum)
    {56, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//460 QsciLexerCSS::Attribute (enum)
    {56, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//461 QsciLexerCSS::CSS3Property (enum)
    {56, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//462 QsciLexerCSS::PseudoElement (enum)
    {56, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//463 QsciLexerCSS::ExtendedCSSProperty (enum)
    {56, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//464 QsciLexerCSS::ExtendedPseudoClass (enum)
    {56, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//465 QsciLexerCSS::ExtendedPseudoElement (enum)
    {56, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//466 QsciLexerCSS::MediaRule (enum)
    {56, 1498, 0, 0, Smoke::mf_dtor, 0, 54 },	//467 QsciLexerCSS::~QsciLexerCSS()
    {57, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//468 QsciLexerCSharp::metaObject() const
    {57, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//469 QsciLexerCSharp::qt_metacast(const char*)
    {57, 1444, 44, 2, Smoke::mf_static, 39, 3},	//470 QsciLexerCSharp::tr(const char*, const char*)
    {57, 1448, 44, 2, Smoke::mf_static, 39, 4},	//471 QsciLexerCSharp::trUtf8(const char*, const char*)
    {57, 1444, 47, 3, Smoke::mf_static, 39, 5},	//472 QsciLexerCSharp::tr(const char*, const char*, int)
    {57, 1448, 47, 3, Smoke::mf_static, 39, 6},	//473 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {57, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//474 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {57, 412, 74, 1, Smoke::mf_ctor, 61, 8},	//475 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {57, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//476 QsciLexerCSharp::language() const
    {57, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//477 QsciLexerCSharp::defaultColor(int) const
    {57, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 11},	//478 QsciLexerCSharp::defaultEolFill(int) const
    {57, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//479 QsciLexerCSharp::defaultFont(int) const
    {57, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//480 QsciLexerCSharp::defaultPaper(int) const
    {57, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//481 QsciLexerCSharp::keywords(int) const
    {57, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//482 QsciLexerCSharp::description(int) const
    {57, 1444, 12, 1, Smoke::mf_static, 39, 16},	//483 QsciLexerCSharp::tr(const char*)
    {57, 1448, 12, 1, Smoke::mf_static, 39, 17},	//484 QsciLexerCSharp::trUtf8(const char*)
    {57, 412, 0, 0, Smoke::mf_ctor, 61, 18},	//485 QsciLexerCSharp::QsciLexerCSharp()
    {57, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 19},	//486 QsciLexerCSharp::staticMetaObject() const
    {57, 1499, 0, 0, Smoke::mf_dtor, 0, 20 },	//487 QsciLexerCSharp::~QsciLexerCSharp()
    {58, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//488 QsciLexerCustom::metaObject() const
    {58, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//489 QsciLexerCustom::qt_metacast(const char*)
    {58, 1444, 44, 2, Smoke::mf_static, 39, 3},	//490 QsciLexerCustom::tr(const char*, const char*)
    {58, 1448, 44, 2, Smoke::mf_static, 39, 4},	//491 QsciLexerCustom::trUtf8(const char*, const char*)
    {58, 1444, 47, 3, Smoke::mf_static, 39, 5},	//492 QsciLexerCustom::tr(const char*, const char*, int)
    {58, 1448, 47, 3, Smoke::mf_static, 39, 6},	//493 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {58, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//494 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {58, 414, 74, 1, Smoke::mf_ctor, 62, 8},	//495 QsciLexerCustom::QsciLexerCustom(QObject*)
    {58, 1370, 99, 2, 0, 0, 9},	//496 QsciLexerCustom::setStyling(int, int)
    {58, 1370, 102, 2, 0, 0, 10},	//497 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {58, 1420, 99, 2, 0, 0, 11},	//498 QsciLexerCustom::startStyling(int, int)
    {58, 1429, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//499 QsciLexerCustom::styleText(int, int) [pure virtual]
    {58, 1225, 82, 1, Smoke::mf_virtual, 0, 13},	//500 QsciLexerCustom::setEditor(QsciScintilla*)
    {58, 1426, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 14},	//501 QsciLexerCustom::styleBitsNeeded() const
    {58, 1444, 12, 1, Smoke::mf_static, 39, 15},	//502 QsciLexerCustom::tr(const char*)
    {58, 1448, 12, 1, Smoke::mf_static, 39, 16},	//503 QsciLexerCustom::trUtf8(const char*)
    {58, 414, 0, 0, Smoke::mf_ctor, 62, 17},	//504 QsciLexerCustom::QsciLexerCustom()
    {58, 1420, 18, 1, 0, 0, 18},	//505 QsciLexerCustom::startStyling(int)
    {58, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 19},	//506 QsciLexerCustom::staticMetaObject() const
    {58, 1500, 0, 0, Smoke::mf_dtor, 0, 20 },	//507 QsciLexerCustom::~QsciLexerCustom()
    {59, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//508 QsciLexerD::metaObject() const
    {59, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//509 QsciLexerD::qt_metacast(const char*)
    {59, 1444, 44, 2, Smoke::mf_static, 39, 3},	//510 QsciLexerD::tr(const char*, const char*)
    {59, 1448, 44, 2, Smoke::mf_static, 39, 4},	//511 QsciLexerD::trUtf8(const char*, const char*)
    {59, 1444, 47, 3, Smoke::mf_static, 39, 5},	//512 QsciLexerD::tr(const char*, const char*, int)
    {59, 1448, 47, 3, Smoke::mf_static, 39, 6},	//513 QsciLexerD::trUtf8(const char*, const char*, int)
    {59, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//514 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {59, 416, 74, 1, Smoke::mf_ctor, 63, 8},	//515 QsciLexerD::QsciLexerD(QObject*)
    {59, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//516 QsciLexerD::language() const
    {59, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//517 QsciLexerD::lexer() const
    {59, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//518 QsciLexerD::autoCompletionWordSeparators() const
    {59, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//519 QsciLexerD::blockEnd(int*) const
    {59, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//520 QsciLexerD::blockStart(int*) const
    {59, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//521 QsciLexerD::blockStartKeyword(int*) const
    {59, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 15},	//522 QsciLexerD::braceStyle() const
    {59, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//523 QsciLexerD::wordCharacters() const
    {59, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//524 QsciLexerD::defaultColor(int) const
    {59, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 18},	//525 QsciLexerD::defaultEolFill(int) const
    {59, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//526 QsciLexerD::defaultFont(int) const
    {59, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//527 QsciLexerD::defaultPaper(int) const
    {59, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 21},	//528 QsciLexerD::keywords(int) const
    {59, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 22},	//529 QsciLexerD::description(int) const
    {59, 1113, 0, 0, Smoke::mf_virtual, 0, 23},	//530 QsciLexerD::refreshProperties()
    {59, 924, 0, 0, Smoke::mf_const, 203, 24},	//531 QsciLexerD::foldAtElse() const
    {59, 926, 0, 0, Smoke::mf_const, 203, 25},	//532 QsciLexerD::foldComments() const
    {59, 927, 0, 0, Smoke::mf_const, 203, 26},	//533 QsciLexerD::foldCompact() const
    {59, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//534 QsciLexerD::setFoldAtElse(bool)
    {59, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//535 QsciLexerD::setFoldComments(bool)
    {59, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//536 QsciLexerD::setFoldCompact(bool)
    {59, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 30},	//537 QsciLexerD::readProperties(QSettings&, const QString&)
    {59, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 31},	//538 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {59, 1444, 12, 1, Smoke::mf_static, 39, 32},	//539 QsciLexerD::tr(const char*)
    {59, 1448, 12, 1, Smoke::mf_static, 39, 33},	//540 QsciLexerD::trUtf8(const char*)
    {59, 416, 0, 0, Smoke::mf_ctor, 63, 34},	//541 QsciLexerD::QsciLexerD()
    {59, 804, 0, 0, Smoke::mf_const, 226, 35},	//542 QsciLexerD::blockEnd() const
    {59, 807, 0, 0, Smoke::mf_const, 226, 36},	//543 QsciLexerD::blockStart() const
    {59, 809, 0, 0, Smoke::mf_const, 226, 37},	//544 QsciLexerD::blockStartKeyword() const
    {59, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 38},	//545 QsciLexerD::staticMetaObject() const
    {59, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//546 QsciLexerD::Default (enum)
    {59, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//547 QsciLexerD::Comment (enum)
    {59, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//548 QsciLexerD::CommentLine (enum)
    {59, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//549 QsciLexerD::CommentDoc (enum)
    {59, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//550 QsciLexerD::CommentNested (enum)
    {59, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//551 QsciLexerD::Number (enum)
    {59, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//552 QsciLexerD::Keyword (enum)
    {59, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//553 QsciLexerD::KeywordSecondary (enum)
    {59, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//554 QsciLexerD::KeywordDoc (enum)
    {59, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//555 QsciLexerD::Typedefs (enum)
    {59, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//556 QsciLexerD::String (enum)
    {59, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//557 QsciLexerD::UnclosedString (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//558 QsciLexerD::Character (enum)
    {59, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//559 QsciLexerD::Operator (enum)
    {59, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//560 QsciLexerD::Identifier (enum)
    {59, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//561 QsciLexerD::CommentLineDoc (enum)
    {59, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//562 QsciLexerD::CommentDocKeyword (enum)
    {59, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//563 QsciLexerD::CommentDocKeywordError (enum)
    {59, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//564 QsciLexerD::BackquoteString (enum)
    {59, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//565 QsciLexerD::RawString (enum)
    {59, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//566 QsciLexerD::KeywordSet5 (enum)
    {59, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//567 QsciLexerD::KeywordSet6 (enum)
    {59, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//568 QsciLexerD::KeywordSet7 (enum)
    {59, 1501, 0, 0, Smoke::mf_dtor, 0, 62 },	//569 QsciLexerD::~QsciLexerD()
    {60, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//570 QsciLexerDiff::metaObject() const
    {60, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//571 QsciLexerDiff::qt_metacast(const char*)
    {60, 1444, 44, 2, Smoke::mf_static, 39, 3},	//572 QsciLexerDiff::tr(const char*, const char*)
    {60, 1448, 44, 2, Smoke::mf_static, 39, 4},	//573 QsciLexerDiff::trUtf8(const char*, const char*)
    {60, 1444, 47, 3, Smoke::mf_static, 39, 5},	//574 QsciLexerDiff::tr(const char*, const char*, int)
    {60, 1448, 47, 3, Smoke::mf_static, 39, 6},	//575 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {60, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//576 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {60, 418, 74, 1, Smoke::mf_ctor, 64, 8},	//577 QsciLexerDiff::QsciLexerDiff(QObject*)
    {60, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//578 QsciLexerDiff::language() const
    {60, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//579 QsciLexerDiff::lexer() const
    {60, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//580 QsciLexerDiff::wordCharacters() const
    {60, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//581 QsciLexerDiff::defaultColor(int) const
    {60, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 13},	//582 QsciLexerDiff::description(int) const
    {60, 1444, 12, 1, Smoke::mf_static, 39, 14},	//583 QsciLexerDiff::tr(const char*)
    {60, 1448, 12, 1, Smoke::mf_static, 39, 15},	//584 QsciLexerDiff::trUtf8(const char*)
    {60, 418, 0, 0, Smoke::mf_ctor, 64, 16},	//585 QsciLexerDiff::QsciLexerDiff()
    {60, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 17},	//586 QsciLexerDiff::staticMetaObject() const
    {60, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 18},	//587 QsciLexerDiff::Default (enum)
    {60, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 19},	//588 QsciLexerDiff::Comment (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 20},	//589 QsciLexerDiff::Command (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 21},	//590 QsciLexerDiff::Header (enum)
    {60, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 22},	//591 QsciLexerDiff::Position (enum)
    {60, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 23},	//592 QsciLexerDiff::LineRemoved (enum)
    {60, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 24},	//593 QsciLexerDiff::LineAdded (enum)
    {60, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 25},	//594 QsciLexerDiff::LineChanged (enum)
    {60, 1502, 0, 0, Smoke::mf_dtor, 0, 26 },	//595 QsciLexerDiff::~QsciLexerDiff()
    {61, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//596 QsciLexerFortran::metaObject() const
    {61, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//597 QsciLexerFortran::qt_metacast(const char*)
    {61, 1444, 44, 2, Smoke::mf_static, 39, 3},	//598 QsciLexerFortran::tr(const char*, const char*)
    {61, 1448, 44, 2, Smoke::mf_static, 39, 4},	//599 QsciLexerFortran::trUtf8(const char*, const char*)
    {61, 1444, 47, 3, Smoke::mf_static, 39, 5},	//600 QsciLexerFortran::tr(const char*, const char*, int)
    {61, 1448, 47, 3, Smoke::mf_static, 39, 6},	//601 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {61, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//602 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {61, 420, 74, 1, Smoke::mf_ctor, 65, 8},	//603 QsciLexerFortran::QsciLexerFortran(QObject*)
    {61, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//604 QsciLexerFortran::language() const
    {61, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//605 QsciLexerFortran::lexer() const
    {61, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//606 QsciLexerFortran::keywords(int) const
    {61, 1444, 12, 1, Smoke::mf_static, 39, 12},	//607 QsciLexerFortran::tr(const char*)
    {61, 1448, 12, 1, Smoke::mf_static, 39, 13},	//608 QsciLexerFortran::trUtf8(const char*)
    {61, 420, 0, 0, Smoke::mf_ctor, 65, 14},	//609 QsciLexerFortran::QsciLexerFortran()
    {61, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 15},	//610 QsciLexerFortran::staticMetaObject() const
    {61, 1503, 0, 0, Smoke::mf_dtor, 0, 16 },	//611 QsciLexerFortran::~QsciLexerFortran()
    {62, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//612 QsciLexerFortran77::metaObject() const
    {62, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//613 QsciLexerFortran77::qt_metacast(const char*)
    {62, 1444, 44, 2, Smoke::mf_static, 39, 3},	//614 QsciLexerFortran77::tr(const char*, const char*)
    {62, 1448, 44, 2, Smoke::mf_static, 39, 4},	//615 QsciLexerFortran77::trUtf8(const char*, const char*)
    {62, 1444, 47, 3, Smoke::mf_static, 39, 5},	//616 QsciLexerFortran77::tr(const char*, const char*, int)
    {62, 1448, 47, 3, Smoke::mf_static, 39, 6},	//617 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {62, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//618 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {62, 422, 74, 1, Smoke::mf_ctor, 66, 8},	//619 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {62, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//620 QsciLexerFortran77::language() const
    {62, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//621 QsciLexerFortran77::lexer() const
    {62, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//622 QsciLexerFortran77::braceStyle() const
    {62, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//623 QsciLexerFortran77::defaultColor(int) const
    {62, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//624 QsciLexerFortran77::defaultEolFill(int) const
    {62, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//625 QsciLexerFortran77::defaultFont(int) const
    {62, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//626 QsciLexerFortran77::defaultPaper(int) const
    {62, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//627 QsciLexerFortran77::keywords(int) const
    {62, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//628 QsciLexerFortran77::description(int) const
    {62, 1113, 0, 0, Smoke::mf_virtual, 0, 18},	//629 QsciLexerFortran77::refreshProperties()
    {62, 927, 0, 0, Smoke::mf_const, 203, 19},	//630 QsciLexerFortran77::foldCompact() const
    {62, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//631 QsciLexerFortran77::setFoldCompact(bool)
    {62, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 21},	//632 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {62, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 22},	//633 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {62, 1444, 12, 1, Smoke::mf_static, 39, 23},	//634 QsciLexerFortran77::tr(const char*)
    {62, 1448, 12, 1, Smoke::mf_static, 39, 24},	//635 QsciLexerFortran77::trUtf8(const char*)
    {62, 422, 0, 0, Smoke::mf_ctor, 66, 25},	//636 QsciLexerFortran77::QsciLexerFortran77()
    {62, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 26},	//637 QsciLexerFortran77::staticMetaObject() const
    {62, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//638 QsciLexerFortran77::Default (enum)
    {62, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//639 QsciLexerFortran77::Comment (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//640 QsciLexerFortran77::Number (enum)
    {62, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//641 QsciLexerFortran77::SingleQuotedString (enum)
    {62, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//642 QsciLexerFortran77::DoubleQuotedString (enum)
    {62, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//643 QsciLexerFortran77::UnclosedString (enum)
    {62, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//644 QsciLexerFortran77::Operator (enum)
    {62, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//645 QsciLexerFortran77::Identifier (enum)
    {62, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//646 QsciLexerFortran77::Keyword (enum)
    {62, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//647 QsciLexerFortran77::IntrinsicFunction (enum)
    {62, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//648 QsciLexerFortran77::ExtendedFunction (enum)
    {62, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//649 QsciLexerFortran77::PreProcessor (enum)
    {62, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//650 QsciLexerFortran77::DottedOperator (enum)
    {62, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//651 QsciLexerFortran77::Label (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//652 QsciLexerFortran77::Continuation (enum)
    {62, 1504, 0, 0, Smoke::mf_dtor, 0, 42 },	//653 QsciLexerFortran77::~QsciLexerFortran77()
    {63, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//654 QsciLexerHTML::metaObject() const
    {63, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//655 QsciLexerHTML::qt_metacast(const char*)
    {63, 1444, 44, 2, Smoke::mf_static, 39, 3},	//656 QsciLexerHTML::tr(const char*, const char*)
    {63, 1448, 44, 2, Smoke::mf_static, 39, 4},	//657 QsciLexerHTML::trUtf8(const char*, const char*)
    {63, 1444, 47, 3, Smoke::mf_static, 39, 5},	//658 QsciLexerHTML::tr(const char*, const char*, int)
    {63, 1448, 47, 3, Smoke::mf_static, 39, 6},	//659 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {63, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//660 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {63, 424, 74, 1, Smoke::mf_ctor, 67, 8},	//661 QsciLexerHTML::QsciLexerHTML(QObject*)
    {63, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//662 QsciLexerHTML::language() const
    {63, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//663 QsciLexerHTML::lexer() const
    {63, 789, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//664 QsciLexerHTML::autoCompletionFillups() const
    {63, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//665 QsciLexerHTML::wordCharacters() const
    {63, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//666 QsciLexerHTML::defaultColor(int) const
    {63, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 14},	//667 QsciLexerHTML::defaultEolFill(int) const
    {63, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//668 QsciLexerHTML::defaultFont(int) const
    {63, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//669 QsciLexerHTML::defaultPaper(int) const
    {63, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 17},	//670 QsciLexerHTML::keywords(int) const
    {63, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//671 QsciLexerHTML::description(int) const
    {63, 1113, 0, 0, Smoke::mf_virtual, 0, 19},	//672 QsciLexerHTML::refreshProperties()
    {63, 823, 0, 0, Smoke::mf_const, 203, 20},	//673 QsciLexerHTML::caseSensitiveTags() const
    {63, 1211, 16, 1, 0, 0, 21},	//674 QsciLexerHTML::setDjangoTemplates(bool)
    {63, 871, 0, 0, Smoke::mf_const, 203, 22},	//675 QsciLexerHTML::djangoTemplates() const
    {63, 927, 0, 0, Smoke::mf_const, 203, 23},	//676 QsciLexerHTML::foldCompact() const
    {63, 934, 0, 0, Smoke::mf_const, 203, 24},	//677 QsciLexerHTML::foldPreprocessor() const
    {63, 1264, 16, 1, 0, 0, 25},	//678 QsciLexerHTML::setFoldScriptComments(bool)
    {63, 936, 0, 0, Smoke::mf_const, 203, 26},	//679 QsciLexerHTML::foldScriptComments() const
    {63, 1266, 16, 1, 0, 0, 27},	//680 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {63, 937, 0, 0, Smoke::mf_const, 203, 28},	//681 QsciLexerHTML::foldScriptHeredocs() const
    {63, 1308, 16, 1, 0, 0, 29},	//682 QsciLexerHTML::setMakoTemplates(bool)
    {63, 1021, 0, 0, Smoke::mf_const, 203, 30},	//683 QsciLexerHTML::makoTemplates() const
    {63, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//684 QsciLexerHTML::setFoldCompact(bool)
    {63, 1260, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//685 QsciLexerHTML::setFoldPreprocessor(bool)
    {63, 1192, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//686 QsciLexerHTML::setCaseSensitiveTags(bool)
    {63, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 34},	//687 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {63, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 35},	//688 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {63, 1444, 12, 1, Smoke::mf_static, 39, 36},	//689 QsciLexerHTML::tr(const char*)
    {63, 1448, 12, 1, Smoke::mf_static, 39, 37},	//690 QsciLexerHTML::trUtf8(const char*)
    {63, 424, 0, 0, Smoke::mf_ctor, 67, 38},	//691 QsciLexerHTML::QsciLexerHTML()
    {63, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 39},	//692 QsciLexerHTML::staticMetaObject() const
    {63, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//693 QsciLexerHTML::Default (enum)
    {63, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//694 QsciLexerHTML::Tag (enum)
    {63, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//695 QsciLexerHTML::UnknownTag (enum)
    {63, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//696 QsciLexerHTML::Attribute (enum)
    {63, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//697 QsciLexerHTML::UnknownAttribute (enum)
    {63, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//698 QsciLexerHTML::HTMLNumber (enum)
    {63, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//699 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {63, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//700 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {63, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//701 QsciLexerHTML::OtherInTag (enum)
    {63, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//702 QsciLexerHTML::HTMLComment (enum)
    {63, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//703 QsciLexerHTML::Entity (enum)
    {63, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//704 QsciLexerHTML::XMLTagEnd (enum)
    {63, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//705 QsciLexerHTML::XMLStart (enum)
    {63, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//706 QsciLexerHTML::XMLEnd (enum)
    {63, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//707 QsciLexerHTML::Script (enum)
    {63, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//708 QsciLexerHTML::ASPAtStart (enum)
    {63, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//709 QsciLexerHTML::ASPStart (enum)
    {63, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//710 QsciLexerHTML::CDATA (enum)
    {63, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//711 QsciLexerHTML::PHPStart (enum)
    {63, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//712 QsciLexerHTML::HTMLValue (enum)
    {63, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//713 QsciLexerHTML::ASPXCComment (enum)
    {63, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//714 QsciLexerHTML::SGMLDefault (enum)
    {63, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 62},	//715 QsciLexerHTML::SGMLCommand (enum)
    {63, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 63},	//716 QsciLexerHTML::SGMLParameter (enum)
    {63, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 64},	//717 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {63, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 65},	//718 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {63, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 66},	//719 QsciLexerHTML::SGMLError (enum)
    {63, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 67},	//720 QsciLexerHTML::SGMLSpecial (enum)
    {63, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 68},	//721 QsciLexerHTML::SGMLEntity (enum)
    {63, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 69},	//722 QsciLexerHTML::SGMLComment (enum)
    {63, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 70},	//723 QsciLexerHTML::SGMLParameterComment (enum)
    {63, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 71},	//724 QsciLexerHTML::SGMLBlockDefault (enum)
    {63, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 72},	//725 QsciLexerHTML::JavaScriptStart (enum)
    {63, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 73},	//726 QsciLexerHTML::JavaScriptDefault (enum)
    {63, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 74},	//727 QsciLexerHTML::JavaScriptComment (enum)
    {63, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 75},	//728 QsciLexerHTML::JavaScriptCommentLine (enum)
    {63, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 76},	//729 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {63, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 77},	//730 QsciLexerHTML::JavaScriptNumber (enum)
    {63, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 78},	//731 QsciLexerHTML::JavaScriptWord (enum)
    {63, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 79},	//732 QsciLexerHTML::JavaScriptKeyword (enum)
    {63, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 80},	//733 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {63, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 81},	//734 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {63, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 82},	//735 QsciLexerHTML::JavaScriptSymbol (enum)
    {63, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 83},	//736 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {63, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 84},	//737 QsciLexerHTML::JavaScriptRegex (enum)
    {63, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 85},	//738 QsciLexerHTML::ASPJavaScriptStart (enum)
    {63, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 86},	//739 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {63, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 87},	//740 QsciLexerHTML::ASPJavaScriptComment (enum)
    {63, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 88},	//741 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {63, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 89},	//742 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {63, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 90},	//743 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {63, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 91},	//744 QsciLexerHTML::ASPJavaScriptWord (enum)
    {63, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 92},	//745 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {63, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 93},	//746 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {63, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 94},	//747 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {63, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 95},	//748 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {63, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 96},	//749 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {63, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 97},	//750 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {63, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 98},	//751 QsciLexerHTML::VBScriptStart (enum)
    {63, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 99},	//752 QsciLexerHTML::VBScriptDefault (enum)
    {63, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 100},	//753 QsciLexerHTML::VBScriptComment (enum)
    {63, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 101},	//754 QsciLexerHTML::VBScriptNumber (enum)
    {63, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 102},	//755 QsciLexerHTML::VBScriptKeyword (enum)
    {63, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 103},	//756 QsciLexerHTML::VBScriptString (enum)
    {63, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 104},	//757 QsciLexerHTML::VBScriptIdentifier (enum)
    {63, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 105},	//758 QsciLexerHTML::VBScriptUnclosedString (enum)
    {63, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 106},	//759 QsciLexerHTML::ASPVBScriptStart (enum)
    {63, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 107},	//760 QsciLexerHTML::ASPVBScriptDefault (enum)
    {63, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 108},	//761 QsciLexerHTML::ASPVBScriptComment (enum)
    {63, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 109},	//762 QsciLexerHTML::ASPVBScriptNumber (enum)
    {63, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 110},	//763 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {63, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 111},	//764 QsciLexerHTML::ASPVBScriptString (enum)
    {63, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 112},	//765 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {63, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 113},	//766 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {63, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 114},	//767 QsciLexerHTML::PythonStart (enum)
    {63, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 115},	//768 QsciLexerHTML::PythonDefault (enum)
    {63, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 116},	//769 QsciLexerHTML::PythonComment (enum)
    {63, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 117},	//770 QsciLexerHTML::PythonNumber (enum)
    {63, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 118},	//771 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {63, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 119},	//772 QsciLexerHTML::PythonSingleQuotedString (enum)
    {63, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 120},	//773 QsciLexerHTML::PythonKeyword (enum)
    {63, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 121},	//774 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {63, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 122},	//775 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {63, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 123},	//776 QsciLexerHTML::PythonClassName (enum)
    {63, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 124},	//777 QsciLexerHTML::PythonFunctionMethodName (enum)
    {63, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 125},	//778 QsciLexerHTML::PythonOperator (enum)
    {63, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 126},	//779 QsciLexerHTML::PythonIdentifier (enum)
    {63, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 127},	//780 QsciLexerHTML::ASPPythonStart (enum)
    {63, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 128},	//781 QsciLexerHTML::ASPPythonDefault (enum)
    {63, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 129},	//782 QsciLexerHTML::ASPPythonComment (enum)
    {63, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 130},	//783 QsciLexerHTML::ASPPythonNumber (enum)
    {63, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 131},	//784 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {63, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 132},	//785 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {63, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 133},	//786 QsciLexerHTML::ASPPythonKeyword (enum)
    {63, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 134},	//787 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {63, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 135},	//788 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {63, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 136},	//789 QsciLexerHTML::ASPPythonClassName (enum)
    {63, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 137},	//790 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {63, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 138},	//791 QsciLexerHTML::ASPPythonOperator (enum)
    {63, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 139},	//792 QsciLexerHTML::ASPPythonIdentifier (enum)
    {63, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 140},	//793 QsciLexerHTML::PHPDefault (enum)
    {63, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 141},	//794 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {63, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 142},	//795 QsciLexerHTML::PHPSingleQuotedString (enum)
    {63, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 143},	//796 QsciLexerHTML::PHPKeyword (enum)
    {63, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 144},	//797 QsciLexerHTML::PHPNumber (enum)
    {63, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 145},	//798 QsciLexerHTML::PHPVariable (enum)
    {63, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 146},	//799 QsciLexerHTML::PHPComment (enum)
    {63, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 147},	//800 QsciLexerHTML::PHPCommentLine (enum)
    {63, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 148},	//801 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {63, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 149},	//802 QsciLexerHTML::PHPOperator (enum)
    {63, 1505, 0, 0, Smoke::mf_dtor, 0, 150 },	//803 QsciLexerHTML::~QsciLexerHTML()
    {64, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//804 QsciLexerIDL::metaObject() const
    {64, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//805 QsciLexerIDL::qt_metacast(const char*)
    {64, 1444, 44, 2, Smoke::mf_static, 39, 3},	//806 QsciLexerIDL::tr(const char*, const char*)
    {64, 1448, 44, 2, Smoke::mf_static, 39, 4},	//807 QsciLexerIDL::trUtf8(const char*, const char*)
    {64, 1444, 47, 3, Smoke::mf_static, 39, 5},	//808 QsciLexerIDL::tr(const char*, const char*, int)
    {64, 1448, 47, 3, Smoke::mf_static, 39, 6},	//809 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {64, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//810 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {64, 426, 74, 1, Smoke::mf_ctor, 68, 8},	//811 QsciLexerIDL::QsciLexerIDL(QObject*)
    {64, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//812 QsciLexerIDL::language() const
    {64, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//813 QsciLexerIDL::defaultColor(int) const
    {64, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//814 QsciLexerIDL::keywords(int) const
    {64, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 12},	//815 QsciLexerIDL::description(int) const
    {64, 1444, 12, 1, Smoke::mf_static, 39, 13},	//816 QsciLexerIDL::tr(const char*)
    {64, 1448, 12, 1, Smoke::mf_static, 39, 14},	//817 QsciLexerIDL::trUtf8(const char*)
    {64, 426, 0, 0, Smoke::mf_ctor, 68, 15},	//818 QsciLexerIDL::QsciLexerIDL()
    {64, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 16},	//819 QsciLexerIDL::staticMetaObject() const
    {64, 1506, 0, 0, Smoke::mf_dtor, 0, 17 },	//820 QsciLexerIDL::~QsciLexerIDL()
    {65, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//821 QsciLexerJava::metaObject() const
    {65, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//822 QsciLexerJava::qt_metacast(const char*)
    {65, 1444, 44, 2, Smoke::mf_static, 39, 3},	//823 QsciLexerJava::tr(const char*, const char*)
    {65, 1448, 44, 2, Smoke::mf_static, 39, 4},	//824 QsciLexerJava::trUtf8(const char*, const char*)
    {65, 1444, 47, 3, Smoke::mf_static, 39, 5},	//825 QsciLexerJava::tr(const char*, const char*, int)
    {65, 1448, 47, 3, Smoke::mf_static, 39, 6},	//826 QsciLexerJava::trUtf8(const char*, const char*, int)
    {65, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//827 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {65, 428, 74, 1, Smoke::mf_ctor, 69, 8},	//828 QsciLexerJava::QsciLexerJava(QObject*)
    {65, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//829 QsciLexerJava::language() const
    {65, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//830 QsciLexerJava::keywords(int) const
    {65, 1444, 12, 1, Smoke::mf_static, 39, 11},	//831 QsciLexerJava::tr(const char*)
    {65, 1448, 12, 1, Smoke::mf_static, 39, 12},	//832 QsciLexerJava::trUtf8(const char*)
    {65, 428, 0, 0, Smoke::mf_ctor, 69, 13},	//833 QsciLexerJava::QsciLexerJava()
    {65, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 14},	//834 QsciLexerJava::staticMetaObject() const
    {65, 1507, 0, 0, Smoke::mf_dtor, 0, 15 },	//835 QsciLexerJava::~QsciLexerJava()
    {66, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//836 QsciLexerJavaScript::metaObject() const
    {66, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//837 QsciLexerJavaScript::qt_metacast(const char*)
    {66, 1444, 44, 2, Smoke::mf_static, 39, 3},	//838 QsciLexerJavaScript::tr(const char*, const char*)
    {66, 1448, 44, 2, Smoke::mf_static, 39, 4},	//839 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {66, 1444, 47, 3, Smoke::mf_static, 39, 5},	//840 QsciLexerJavaScript::tr(const char*, const char*, int)
    {66, 1448, 47, 3, Smoke::mf_static, 39, 6},	//841 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {66, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//842 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {66, 430, 74, 1, Smoke::mf_ctor, 70, 8},	//843 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {66, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//844 QsciLexerJavaScript::language() const
    {66, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//845 QsciLexerJavaScript::defaultColor(int) const
    {66, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 11},	//846 QsciLexerJavaScript::defaultEolFill(int) const
    {66, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//847 QsciLexerJavaScript::defaultFont(int) const
    {66, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//848 QsciLexerJavaScript::defaultPaper(int) const
    {66, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//849 QsciLexerJavaScript::keywords(int) const
    {66, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//850 QsciLexerJavaScript::description(int) const
    {66, 1444, 12, 1, Smoke::mf_static, 39, 16},	//851 QsciLexerJavaScript::tr(const char*)
    {66, 1448, 12, 1, Smoke::mf_static, 39, 17},	//852 QsciLexerJavaScript::trUtf8(const char*)
    {66, 430, 0, 0, Smoke::mf_ctor, 70, 18},	//853 QsciLexerJavaScript::QsciLexerJavaScript()
    {66, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 19},	//854 QsciLexerJavaScript::staticMetaObject() const
    {66, 1508, 0, 0, Smoke::mf_dtor, 0, 20 },	//855 QsciLexerJavaScript::~QsciLexerJavaScript()
    {67, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//856 QsciLexerLua::metaObject() const
    {67, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//857 QsciLexerLua::qt_metacast(const char*)
    {67, 1444, 44, 2, Smoke::mf_static, 39, 3},	//858 QsciLexerLua::tr(const char*, const char*)
    {67, 1448, 44, 2, Smoke::mf_static, 39, 4},	//859 QsciLexerLua::trUtf8(const char*, const char*)
    {67, 1444, 47, 3, Smoke::mf_static, 39, 5},	//860 QsciLexerLua::tr(const char*, const char*, int)
    {67, 1448, 47, 3, Smoke::mf_static, 39, 6},	//861 QsciLexerLua::trUtf8(const char*, const char*, int)
    {67, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//862 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {67, 432, 74, 1, Smoke::mf_ctor, 71, 8},	//863 QsciLexerLua::QsciLexerLua(QObject*)
    {67, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//864 QsciLexerLua::language() const
    {67, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//865 QsciLexerLua::lexer() const
    {67, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//866 QsciLexerLua::autoCompletionWordSeparators() const
    {67, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//867 QsciLexerLua::blockStart(int*) const
    {67, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//868 QsciLexerLua::braceStyle() const
    {67, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//869 QsciLexerLua::defaultColor(int) const
    {67, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 15},	//870 QsciLexerLua::defaultEolFill(int) const
    {67, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//871 QsciLexerLua::defaultFont(int) const
    {67, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//872 QsciLexerLua::defaultPaper(int) const
    {67, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 18},	//873 QsciLexerLua::keywords(int) const
    {67, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 19},	//874 QsciLexerLua::description(int) const
    {67, 1113, 0, 0, Smoke::mf_virtual, 0, 20},	//875 QsciLexerLua::refreshProperties()
    {67, 927, 0, 0, Smoke::mf_const, 203, 21},	//876 QsciLexerLua::foldCompact() const
    {67, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//877 QsciLexerLua::setFoldCompact(bool)
    {67, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 23},	//878 QsciLexerLua::readProperties(QSettings&, const QString&)
    {67, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 24},	//879 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {67, 1444, 12, 1, Smoke::mf_static, 39, 25},	//880 QsciLexerLua::tr(const char*)
    {67, 1448, 12, 1, Smoke::mf_static, 39, 26},	//881 QsciLexerLua::trUtf8(const char*)
    {67, 432, 0, 0, Smoke::mf_ctor, 71, 27},	//882 QsciLexerLua::QsciLexerLua()
    {67, 807, 0, 0, Smoke::mf_const, 226, 28},	//883 QsciLexerLua::blockStart() const
    {67, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 29},	//884 QsciLexerLua::staticMetaObject() const
    {67, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//885 QsciLexerLua::Default (enum)
    {67, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//886 QsciLexerLua::Comment (enum)
    {67, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//887 QsciLexerLua::LineComment (enum)
    {67, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//888 QsciLexerLua::Number (enum)
    {67, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//889 QsciLexerLua::Keyword (enum)
    {67, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//890 QsciLexerLua::String (enum)
    {67, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//891 QsciLexerLua::Character (enum)
    {67, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//892 QsciLexerLua::LiteralString (enum)
    {67, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//893 QsciLexerLua::Preprocessor (enum)
    {67, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//894 QsciLexerLua::Operator (enum)
    {67, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//895 QsciLexerLua::Identifier (enum)
    {67, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//896 QsciLexerLua::UnclosedString (enum)
    {67, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//897 QsciLexerLua::BasicFunctions (enum)
    {67, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//898 QsciLexerLua::StringTableMathsFunctions (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//899 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {67, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//900 QsciLexerLua::KeywordSet5 (enum)
    {67, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//901 QsciLexerLua::KeywordSet6 (enum)
    {67, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//902 QsciLexerLua::KeywordSet7 (enum)
    {67, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//903 QsciLexerLua::KeywordSet8 (enum)
    {67, 1509, 0, 0, Smoke::mf_dtor, 0, 49 },	//904 QsciLexerLua::~QsciLexerLua()
    {68, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//905 QsciLexerMakefile::metaObject() const
    {68, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//906 QsciLexerMakefile::qt_metacast(const char*)
    {68, 1444, 44, 2, Smoke::mf_static, 39, 3},	//907 QsciLexerMakefile::tr(const char*, const char*)
    {68, 1448, 44, 2, Smoke::mf_static, 39, 4},	//908 QsciLexerMakefile::trUtf8(const char*, const char*)
    {68, 1444, 47, 3, Smoke::mf_static, 39, 5},	//909 QsciLexerMakefile::tr(const char*, const char*, int)
    {68, 1448, 47, 3, Smoke::mf_static, 39, 6},	//910 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {68, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//911 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {68, 434, 74, 1, Smoke::mf_ctor, 72, 8},	//912 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {68, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//913 QsciLexerMakefile::language() const
    {68, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//914 QsciLexerMakefile::lexer() const
    {68, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//915 QsciLexerMakefile::wordCharacters() const
    {68, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//916 QsciLexerMakefile::defaultColor(int) const
    {68, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//917 QsciLexerMakefile::defaultEolFill(int) const
    {68, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//918 QsciLexerMakefile::defaultFont(int) const
    {68, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//919 QsciLexerMakefile::defaultPaper(int) const
    {68, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//920 QsciLexerMakefile::description(int) const
    {68, 1444, 12, 1, Smoke::mf_static, 39, 17},	//921 QsciLexerMakefile::tr(const char*)
    {68, 1448, 12, 1, Smoke::mf_static, 39, 18},	//922 QsciLexerMakefile::trUtf8(const char*)
    {68, 434, 0, 0, Smoke::mf_ctor, 72, 19},	//923 QsciLexerMakefile::QsciLexerMakefile()
    {68, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 20},	//924 QsciLexerMakefile::staticMetaObject() const
    {68, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 21},	//925 QsciLexerMakefile::Default (enum)
    {68, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 22},	//926 QsciLexerMakefile::Comment (enum)
    {68, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 23},	//927 QsciLexerMakefile::Preprocessor (enum)
    {68, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 24},	//928 QsciLexerMakefile::Variable (enum)
    {68, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 25},	//929 QsciLexerMakefile::Operator (enum)
    {68, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 26},	//930 QsciLexerMakefile::Target (enum)
    {68, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//931 QsciLexerMakefile::Error (enum)
    {68, 1510, 0, 0, Smoke::mf_dtor, 0, 28 },	//932 QsciLexerMakefile::~QsciLexerMakefile()
    {69, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//933 QsciLexerPOV::metaObject() const
    {69, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//934 QsciLexerPOV::qt_metacast(const char*)
    {69, 1444, 44, 2, Smoke::mf_static, 39, 3},	//935 QsciLexerPOV::tr(const char*, const char*)
    {69, 1448, 44, 2, Smoke::mf_static, 39, 4},	//936 QsciLexerPOV::trUtf8(const char*, const char*)
    {69, 1444, 47, 3, Smoke::mf_static, 39, 5},	//937 QsciLexerPOV::tr(const char*, const char*, int)
    {69, 1448, 47, 3, Smoke::mf_static, 39, 6},	//938 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {69, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//939 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {69, 436, 74, 1, Smoke::mf_ctor, 73, 8},	//940 QsciLexerPOV::QsciLexerPOV(QObject*)
    {69, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//941 QsciLexerPOV::language() const
    {69, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//942 QsciLexerPOV::lexer() const
    {69, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//943 QsciLexerPOV::braceStyle() const
    {69, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//944 QsciLexerPOV::wordCharacters() const
    {69, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//945 QsciLexerPOV::defaultColor(int) const
    {69, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 14},	//946 QsciLexerPOV::defaultEolFill(int) const
    {69, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//947 QsciLexerPOV::defaultFont(int) const
    {69, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//948 QsciLexerPOV::defaultPaper(int) const
    {69, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 17},	//949 QsciLexerPOV::keywords(int) const
    {69, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//950 QsciLexerPOV::description(int) const
    {69, 1113, 0, 0, Smoke::mf_virtual, 0, 19},	//951 QsciLexerPOV::refreshProperties()
    {69, 926, 0, 0, Smoke::mf_const, 203, 20},	//952 QsciLexerPOV::foldComments() const
    {69, 927, 0, 0, Smoke::mf_const, 203, 21},	//953 QsciLexerPOV::foldCompact() const
    {69, 928, 0, 0, Smoke::mf_const, 203, 22},	//954 QsciLexerPOV::foldDirectives() const
    {69, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//955 QsciLexerPOV::setFoldComments(bool)
    {69, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//956 QsciLexerPOV::setFoldCompact(bool)
    {69, 1250, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//957 QsciLexerPOV::setFoldDirectives(bool)
    {69, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 26},	//958 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {69, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 27},	//959 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {69, 1444, 12, 1, Smoke::mf_static, 39, 28},	//960 QsciLexerPOV::tr(const char*)
    {69, 1448, 12, 1, Smoke::mf_static, 39, 29},	//961 QsciLexerPOV::trUtf8(const char*)
    {69, 436, 0, 0, Smoke::mf_ctor, 73, 30},	//962 QsciLexerPOV::QsciLexerPOV()
    {69, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 31},	//963 QsciLexerPOV::staticMetaObject() const
    {69, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//964 QsciLexerPOV::Default (enum)
    {69, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//965 QsciLexerPOV::Comment (enum)
    {69, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//966 QsciLexerPOV::CommentLine (enum)
    {69, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//967 QsciLexerPOV::Number (enum)
    {69, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//968 QsciLexerPOV::Operator (enum)
    {69, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//969 QsciLexerPOV::Identifier (enum)
    {69, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//970 QsciLexerPOV::String (enum)
    {69, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//971 QsciLexerPOV::UnclosedString (enum)
    {69, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//972 QsciLexerPOV::Directive (enum)
    {69, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//973 QsciLexerPOV::BadDirective (enum)
    {69, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//974 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {69, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//975 QsciLexerPOV::TypesModifiersItems (enum)
    {69, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//976 QsciLexerPOV::PredefinedIdentifiers (enum)
    {69, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//977 QsciLexerPOV::PredefinedFunctions (enum)
    {69, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//978 QsciLexerPOV::KeywordSet6 (enum)
    {69, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//979 QsciLexerPOV::KeywordSet7 (enum)
    {69, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//980 QsciLexerPOV::KeywordSet8 (enum)
    {69, 1511, 0, 0, Smoke::mf_dtor, 0, 49 },	//981 QsciLexerPOV::~QsciLexerPOV()
    {70, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//982 QsciLexerPascal::metaObject() const
    {70, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//983 QsciLexerPascal::qt_metacast(const char*)
    {70, 1444, 44, 2, Smoke::mf_static, 39, 3},	//984 QsciLexerPascal::tr(const char*, const char*)
    {70, 1448, 44, 2, Smoke::mf_static, 39, 4},	//985 QsciLexerPascal::trUtf8(const char*, const char*)
    {70, 1444, 47, 3, Smoke::mf_static, 39, 5},	//986 QsciLexerPascal::tr(const char*, const char*, int)
    {70, 1448, 47, 3, Smoke::mf_static, 39, 6},	//987 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {70, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//988 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {70, 438, 74, 1, Smoke::mf_ctor, 74, 8},	//989 QsciLexerPascal::QsciLexerPascal(QObject*)
    {70, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//990 QsciLexerPascal::language() const
    {70, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//991 QsciLexerPascal::lexer() const
    {70, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//992 QsciLexerPascal::autoCompletionWordSeparators() const
    {70, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//993 QsciLexerPascal::blockEnd(int*) const
    {70, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//994 QsciLexerPascal::blockStart(int*) const
    {70, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 14},	//995 QsciLexerPascal::blockStartKeyword(int*) const
    {70, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 15},	//996 QsciLexerPascal::braceStyle() const
    {70, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//997 QsciLexerPascal::defaultColor(int) const
    {70, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 17},	//998 QsciLexerPascal::defaultEolFill(int) const
    {70, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//999 QsciLexerPascal::defaultFont(int) const
    {70, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1000 QsciLexerPascal::defaultPaper(int) const
    {70, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 20},	//1001 QsciLexerPascal::keywords(int) const
    {70, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 21},	//1002 QsciLexerPascal::description(int) const
    {70, 1113, 0, 0, Smoke::mf_virtual, 0, 22},	//1003 QsciLexerPascal::refreshProperties()
    {70, 926, 0, 0, Smoke::mf_const, 203, 23},	//1004 QsciLexerPascal::foldComments() const
    {70, 927, 0, 0, Smoke::mf_const, 203, 24},	//1005 QsciLexerPascal::foldCompact() const
    {70, 934, 0, 0, Smoke::mf_const, 203, 25},	//1006 QsciLexerPascal::foldPreprocessor() const
    {70, 1364, 16, 1, 0, 0, 26},	//1007 QsciLexerPascal::setSmartHighlighting(bool)
    {70, 1417, 0, 0, Smoke::mf_const, 203, 27},	//1008 QsciLexerPascal::smartHighlighting() const
    {70, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1009 QsciLexerPascal::setFoldComments(bool)
    {70, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1010 QsciLexerPascal::setFoldCompact(bool)
    {70, 1260, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1011 QsciLexerPascal::setFoldPreprocessor(bool)
    {70, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 31},	//1012 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {70, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 32},	//1013 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {70, 1444, 12, 1, Smoke::mf_static, 39, 33},	//1014 QsciLexerPascal::tr(const char*)
    {70, 1448, 12, 1, Smoke::mf_static, 39, 34},	//1015 QsciLexerPascal::trUtf8(const char*)
    {70, 438, 0, 0, Smoke::mf_ctor, 74, 35},	//1016 QsciLexerPascal::QsciLexerPascal()
    {70, 804, 0, 0, Smoke::mf_const, 226, 36},	//1017 QsciLexerPascal::blockEnd() const
    {70, 807, 0, 0, Smoke::mf_const, 226, 37},	//1018 QsciLexerPascal::blockStart() const
    {70, 809, 0, 0, Smoke::mf_const, 226, 38},	//1019 QsciLexerPascal::blockStartKeyword() const
    {70, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 39},	//1020 QsciLexerPascal::staticMetaObject() const
    {70, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1021 QsciLexerPascal::Default (enum)
    {70, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1022 QsciLexerPascal::Identifier (enum)
    {70, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1023 QsciLexerPascal::Comment (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1024 QsciLexerPascal::CommentParenthesis (enum)
    {70, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1025 QsciLexerPascal::CommentLine (enum)
    {70, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1026 QsciLexerPascal::PreProcessor (enum)
    {70, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1027 QsciLexerPascal::PreProcessorParenthesis (enum)
    {70, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1028 QsciLexerPascal::Number (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1029 QsciLexerPascal::HexNumber (enum)
    {70, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1030 QsciLexerPascal::Keyword (enum)
    {70, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//1031 QsciLexerPascal::SingleQuotedString (enum)
    {70, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//1032 QsciLexerPascal::UnclosedString (enum)
    {70, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//1033 QsciLexerPascal::Character (enum)
    {70, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//1034 QsciLexerPascal::Operator (enum)
    {70, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//1035 QsciLexerPascal::Asm (enum)
    {70, 1512, 0, 0, Smoke::mf_dtor, 0, 55 },	//1036 QsciLexerPascal::~QsciLexerPascal()
    {71, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1037 QsciLexerPerl::metaObject() const
    {71, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1038 QsciLexerPerl::qt_metacast(const char*)
    {71, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1039 QsciLexerPerl::tr(const char*, const char*)
    {71, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1040 QsciLexerPerl::trUtf8(const char*, const char*)
    {71, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1041 QsciLexerPerl::tr(const char*, const char*, int)
    {71, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1042 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {71, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1043 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {71, 440, 74, 1, Smoke::mf_ctor, 75, 8},	//1044 QsciLexerPerl::QsciLexerPerl(QObject*)
    {71, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1045 QsciLexerPerl::language() const
    {71, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1046 QsciLexerPerl::lexer() const
    {71, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//1047 QsciLexerPerl::autoCompletionWordSeparators() const
    {71, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 12},	//1048 QsciLexerPerl::braceStyle() const
    {71, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//1049 QsciLexerPerl::wordCharacters() const
    {71, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1050 QsciLexerPerl::defaultColor(int) const
    {71, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 15},	//1051 QsciLexerPerl::defaultEolFill(int) const
    {71, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//1052 QsciLexerPerl::defaultFont(int) const
    {71, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//1053 QsciLexerPerl::defaultPaper(int) const
    {71, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 18},	//1054 QsciLexerPerl::keywords(int) const
    {71, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 19},	//1055 QsciLexerPerl::description(int) const
    {71, 1113, 0, 0, Smoke::mf_virtual, 0, 20},	//1056 QsciLexerPerl::refreshProperties()
    {71, 926, 0, 0, Smoke::mf_const, 203, 21},	//1057 QsciLexerPerl::foldComments() const
    {71, 927, 0, 0, Smoke::mf_const, 203, 22},	//1058 QsciLexerPerl::foldCompact() const
    {71, 1258, 16, 1, 0, 0, 23},	//1059 QsciLexerPerl::setFoldPackages(bool)
    {71, 933, 0, 0, Smoke::mf_const, 203, 24},	//1060 QsciLexerPerl::foldPackages() const
    {71, 1256, 16, 1, 0, 0, 25},	//1061 QsciLexerPerl::setFoldPODBlocks(bool)
    {71, 932, 0, 0, Smoke::mf_const, 203, 26},	//1062 QsciLexerPerl::foldPODBlocks() const
    {71, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1063 QsciLexerPerl::setFoldComments(bool)
    {71, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1064 QsciLexerPerl::setFoldCompact(bool)
    {71, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 29},	//1065 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {71, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 30},	//1066 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {71, 1444, 12, 1, Smoke::mf_static, 39, 31},	//1067 QsciLexerPerl::tr(const char*)
    {71, 1448, 12, 1, Smoke::mf_static, 39, 32},	//1068 QsciLexerPerl::trUtf8(const char*)
    {71, 440, 0, 0, Smoke::mf_ctor, 75, 33},	//1069 QsciLexerPerl::QsciLexerPerl()
    {71, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 34},	//1070 QsciLexerPerl::staticMetaObject() const
    {71, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1071 QsciLexerPerl::Default (enum)
    {71, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//1072 QsciLexerPerl::Error (enum)
    {71, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1073 QsciLexerPerl::Comment (enum)
    {71, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1074 QsciLexerPerl::POD (enum)
    {71, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1075 QsciLexerPerl::Number (enum)
    {71, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1076 QsciLexerPerl::Keyword (enum)
    {71, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1077 QsciLexerPerl::DoubleQuotedString (enum)
    {71, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1078 QsciLexerPerl::SingleQuotedString (enum)
    {71, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1079 QsciLexerPerl::Operator (enum)
    {71, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1080 QsciLexerPerl::Identifier (enum)
    {71, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1081 QsciLexerPerl::Scalar (enum)
    {71, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1082 QsciLexerPerl::Array (enum)
    {71, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1083 QsciLexerPerl::Hash (enum)
    {71, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1084 QsciLexerPerl::SymbolTable (enum)
    {71, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1085 QsciLexerPerl::Regex (enum)
    {71, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//1086 QsciLexerPerl::Substitution (enum)
    {71, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//1087 QsciLexerPerl::Backticks (enum)
    {71, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//1088 QsciLexerPerl::DataSection (enum)
    {71, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//1089 QsciLexerPerl::HereDocumentDelimiter (enum)
    {71, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//1090 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//1091 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//1092 QsciLexerPerl::BacktickHereDocument (enum)
    {71, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//1093 QsciLexerPerl::QuotedStringQ (enum)
    {71, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//1094 QsciLexerPerl::QuotedStringQQ (enum)
    {71, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//1095 QsciLexerPerl::QuotedStringQX (enum)
    {71, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//1096 QsciLexerPerl::QuotedStringQR (enum)
    {71, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//1097 QsciLexerPerl::QuotedStringQW (enum)
    {71, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 62},	//1098 QsciLexerPerl::PODVerbatim (enum)
    {71, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 63},	//1099 QsciLexerPerl::SubroutinePrototype (enum)
    {71, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 64},	//1100 QsciLexerPerl::FormatIdentifier (enum)
    {71, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 65},	//1101 QsciLexerPerl::FormatBody (enum)
    {71, 1513, 0, 0, Smoke::mf_dtor, 0, 66 },	//1102 QsciLexerPerl::~QsciLexerPerl()
    {72, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1103 QsciLexerPostScript::metaObject() const
    {72, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1104 QsciLexerPostScript::qt_metacast(const char*)
    {72, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1105 QsciLexerPostScript::tr(const char*, const char*)
    {72, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1106 QsciLexerPostScript::trUtf8(const char*, const char*)
    {72, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1107 QsciLexerPostScript::tr(const char*, const char*, int)
    {72, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1108 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {72, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1109 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {72, 442, 74, 1, Smoke::mf_ctor, 76, 8},	//1110 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {72, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1111 QsciLexerPostScript::language() const
    {72, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1112 QsciLexerPostScript::lexer() const
    {72, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//1113 QsciLexerPostScript::braceStyle() const
    {72, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1114 QsciLexerPostScript::defaultColor(int) const
    {72, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1115 QsciLexerPostScript::defaultFont(int) const
    {72, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1116 QsciLexerPostScript::defaultPaper(int) const
    {72, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 15},	//1117 QsciLexerPostScript::keywords(int) const
    {72, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1118 QsciLexerPostScript::description(int) const
    {72, 1113, 0, 0, Smoke::mf_virtual, 0, 17},	//1119 QsciLexerPostScript::refreshProperties()
    {72, 1443, 0, 0, Smoke::mf_const, 203, 18},	//1120 QsciLexerPostScript::tokenize() const
    {72, 1005, 0, 0, Smoke::mf_const, 228, 19},	//1121 QsciLexerPostScript::level() const
    {72, 927, 0, 0, Smoke::mf_const, 203, 20},	//1122 QsciLexerPostScript::foldCompact() const
    {72, 924, 0, 0, Smoke::mf_const, 203, 21},	//1123 QsciLexerPostScript::foldAtElse() const
    {72, 1381, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1124 QsciLexerPostScript::setTokenize(bool)
    {72, 1302, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1125 QsciLexerPostScript::setLevel(int)
    {72, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1126 QsciLexerPostScript::setFoldCompact(bool)
    {72, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1127 QsciLexerPostScript::setFoldAtElse(bool)
    {72, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 26},	//1128 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {72, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 27},	//1129 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {72, 1444, 12, 1, Smoke::mf_static, 39, 28},	//1130 QsciLexerPostScript::tr(const char*)
    {72, 1448, 12, 1, Smoke::mf_static, 39, 29},	//1131 QsciLexerPostScript::trUtf8(const char*)
    {72, 442, 0, 0, Smoke::mf_ctor, 76, 30},	//1132 QsciLexerPostScript::QsciLexerPostScript()
    {72, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 31},	//1133 QsciLexerPostScript::staticMetaObject() const
    {72, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//1134 QsciLexerPostScript::Default (enum)
    {72, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//1135 QsciLexerPostScript::Comment (enum)
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//1136 QsciLexerPostScript::DSCComment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1137 QsciLexerPostScript::DSCCommentValue (enum)
    {72, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//1138 QsciLexerPostScript::Number (enum)
    {72, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1139 QsciLexerPostScript::Name (enum)
    {72, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1140 QsciLexerPostScript::Keyword (enum)
    {72, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1141 QsciLexerPostScript::Literal (enum)
    {72, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1142 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {72, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1143 QsciLexerPostScript::ArrayParenthesis (enum)
    {72, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1144 QsciLexerPostScript::DictionaryParenthesis (enum)
    {72, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1145 QsciLexerPostScript::ProcedureParenthesis (enum)
    {72, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1146 QsciLexerPostScript::Text (enum)
    {72, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1147 QsciLexerPostScript::HexString (enum)
    {72, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1148 QsciLexerPostScript::Base85String (enum)
    {72, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1149 QsciLexerPostScript::BadStringCharacter (enum)
    {72, 1514, 0, 0, Smoke::mf_dtor, 0, 48 },	//1150 QsciLexerPostScript::~QsciLexerPostScript()
    {73, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1151 QsciLexerProperties::metaObject() const
    {73, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1152 QsciLexerProperties::qt_metacast(const char*)
    {73, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1153 QsciLexerProperties::tr(const char*, const char*)
    {73, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1154 QsciLexerProperties::trUtf8(const char*, const char*)
    {73, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1155 QsciLexerProperties::tr(const char*, const char*, int)
    {73, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1156 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {73, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1157 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {73, 444, 74, 1, Smoke::mf_ctor, 77, 8},	//1158 QsciLexerProperties::QsciLexerProperties(QObject*)
    {73, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1159 QsciLexerProperties::language() const
    {73, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1160 QsciLexerProperties::lexer() const
    {73, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//1161 QsciLexerProperties::wordCharacters() const
    {73, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1162 QsciLexerProperties::defaultColor(int) const
    {73, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//1163 QsciLexerProperties::defaultEolFill(int) const
    {73, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1164 QsciLexerProperties::defaultFont(int) const
    {73, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1165 QsciLexerProperties::defaultPaper(int) const
    {73, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1166 QsciLexerProperties::description(int) const
    {73, 1113, 0, 0, Smoke::mf_virtual, 0, 17},	//1167 QsciLexerProperties::refreshProperties()
    {73, 927, 0, 0, Smoke::mf_const, 203, 18},	//1168 QsciLexerProperties::foldCompact() const
    {73, 1298, 16, 1, 0, 0, 19},	//1169 QsciLexerProperties::setInitialSpaces(bool)
    {73, 975, 0, 0, Smoke::mf_const, 203, 20},	//1170 QsciLexerProperties::initialSpaces() const
    {73, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1171 QsciLexerProperties::setFoldCompact(bool)
    {73, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 22},	//1172 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {73, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 23},	//1173 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {73, 1444, 12, 1, Smoke::mf_static, 39, 24},	//1174 QsciLexerProperties::tr(const char*)
    {73, 1448, 12, 1, Smoke::mf_static, 39, 25},	//1175 QsciLexerProperties::trUtf8(const char*)
    {73, 444, 0, 0, Smoke::mf_ctor, 77, 26},	//1176 QsciLexerProperties::QsciLexerProperties()
    {73, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 27},	//1177 QsciLexerProperties::staticMetaObject() const
    {73, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//1178 QsciLexerProperties::Default (enum)
    {73, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//1179 QsciLexerProperties::Comment (enum)
    {73, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//1180 QsciLexerProperties::Section (enum)
    {73, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//1181 QsciLexerProperties::Assignment (enum)
    {73, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//1182 QsciLexerProperties::DefaultValue (enum)
    {73, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//1183 QsciLexerProperties::Key (enum)
    {73, 1515, 0, 0, Smoke::mf_dtor, 0, 34 },	//1184 QsciLexerProperties::~QsciLexerProperties()
    {74, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1185 QsciLexerPython::metaObject() const
    {74, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1186 QsciLexerPython::qt_metacast(const char*)
    {74, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1187 QsciLexerPython::tr(const char*, const char*)
    {74, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1188 QsciLexerPython::trUtf8(const char*, const char*)
    {74, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1189 QsciLexerPython::tr(const char*, const char*, int)
    {74, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1190 QsciLexerPython::trUtf8(const char*, const char*, int)
    {74, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1191 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {74, 446, 74, 1, Smoke::mf_ctor, 78, 8},	//1192 QsciLexerPython::QsciLexerPython(QObject*)
    {74, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1193 QsciLexerPython::language() const
    {74, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1194 QsciLexerPython::lexer() const
    {74, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//1195 QsciLexerPython::autoCompletionWordSeparators() const
    {74, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 12},	//1196 QsciLexerPython::blockLookback() const
    {74, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//1197 QsciLexerPython::blockStart(int*) const
    {74, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 14},	//1198 QsciLexerPython::braceStyle() const
    {74, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1199 QsciLexerPython::defaultColor(int) const
    {74, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 16},	//1200 QsciLexerPython::defaultEolFill(int) const
    {74, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1201 QsciLexerPython::defaultFont(int) const
    {74, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1202 QsciLexerPython::defaultPaper(int) const
    {74, 961, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 19},	//1203 QsciLexerPython::indentationGuideView() const
    {74, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 20},	//1204 QsciLexerPython::keywords(int) const
    {74, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 21},	//1205 QsciLexerPython::description(int) const
    {74, 1113, 0, 0, Smoke::mf_virtual, 0, 22},	//1206 QsciLexerPython::refreshProperties()
    {74, 926, 0, 0, Smoke::mf_const, 203, 23},	//1207 QsciLexerPython::foldComments() const
    {74, 1248, 16, 1, 0, 0, 24},	//1208 QsciLexerPython::setFoldCompact(bool)
    {74, 927, 0, 0, Smoke::mf_const, 203, 25},	//1209 QsciLexerPython::foldCompact() const
    {74, 935, 0, 0, Smoke::mf_const, 203, 26},	//1210 QsciLexerPython::foldQuotes() const
    {74, 963, 0, 0, Smoke::mf_const, 79, 27},	//1211 QsciLexerPython::indentationWarning() const
    {74, 1366, 16, 1, 0, 0, 28},	//1212 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {74, 1424, 0, 0, Smoke::mf_const, 203, 29},	//1213 QsciLexerPython::stringsOverNewlineAllowed() const
    {74, 1389, 16, 1, 0, 0, 30},	//1214 QsciLexerPython::setV2UnicodeAllowed(bool)
    {74, 1459, 0, 0, Smoke::mf_const, 203, 31},	//1215 QsciLexerPython::v2UnicodeAllowed() const
    {74, 1391, 16, 1, 0, 0, 32},	//1216 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {74, 1460, 0, 0, Smoke::mf_const, 203, 33},	//1217 QsciLexerPython::v3BinaryOctalAllowed() const
    {74, 1393, 16, 1, 0, 0, 34},	//1218 QsciLexerPython::setV3BytesAllowed(bool)
    {74, 1461, 0, 0, Smoke::mf_const, 203, 35},	//1219 QsciLexerPython::v3BytesAllowed() const
    {74, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//1220 QsciLexerPython::setFoldComments(bool)
    {74, 1262, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//1221 QsciLexerPython::setFoldQuotes(bool)
    {74, 1286, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1222 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {74, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 39},	//1223 QsciLexerPython::readProperties(QSettings&, const QString&)
    {74, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 40},	//1224 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {74, 1444, 12, 1, Smoke::mf_static, 39, 41},	//1225 QsciLexerPython::tr(const char*)
    {74, 1448, 12, 1, Smoke::mf_static, 39, 42},	//1226 QsciLexerPython::trUtf8(const char*)
    {74, 446, 0, 0, Smoke::mf_ctor, 78, 43},	//1227 QsciLexerPython::QsciLexerPython()
    {74, 807, 0, 0, Smoke::mf_const, 226, 44},	//1228 QsciLexerPython::blockStart() const
    {74, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 45},	//1229 QsciLexerPython::staticMetaObject() const
    {74, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1230 QsciLexerPython::Default (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1231 QsciLexerPython::Comment (enum)
    {74, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1232 QsciLexerPython::Number (enum)
    {74, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1233 QsciLexerPython::DoubleQuotedString (enum)
    {74, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//1234 QsciLexerPython::SingleQuotedString (enum)
    {74, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//1235 QsciLexerPython::Keyword (enum)
    {74, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//1236 QsciLexerPython::TripleSingleQuotedString (enum)
    {74, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//1237 QsciLexerPython::TripleDoubleQuotedString (enum)
    {74, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//1238 QsciLexerPython::ClassName (enum)
    {74, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//1239 QsciLexerPython::FunctionMethodName (enum)
    {74, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//1240 QsciLexerPython::Operator (enum)
    {74, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//1241 QsciLexerPython::Identifier (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//1242 QsciLexerPython::CommentBlock (enum)
    {74, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//1243 QsciLexerPython::UnclosedString (enum)
    {74, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//1244 QsciLexerPython::HighlightedIdentifier (enum)
    {74, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//1245 QsciLexerPython::Decorator (enum)
    {74, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 62},	//1246 QsciLexerPython::NoWarning (enum)
    {74, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 63},	//1247 QsciLexerPython::Inconsistent (enum)
    {74, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 64},	//1248 QsciLexerPython::TabsAfterSpaces (enum)
    {74, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 65},	//1249 QsciLexerPython::Spaces (enum)
    {74, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 66},	//1250 QsciLexerPython::Tabs (enum)
    {74, 1516, 0, 0, Smoke::mf_dtor, 0, 67 },	//1251 QsciLexerPython::~QsciLexerPython()
    {75, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1252 QsciLexerRuby::metaObject() const
    {75, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1253 QsciLexerRuby::qt_metacast(const char*)
    {75, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1254 QsciLexerRuby::tr(const char*, const char*)
    {75, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1255 QsciLexerRuby::trUtf8(const char*, const char*)
    {75, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1256 QsciLexerRuby::tr(const char*, const char*, int)
    {75, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1257 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {75, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1258 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {75, 448, 74, 1, Smoke::mf_ctor, 80, 8},	//1259 QsciLexerRuby::QsciLexerRuby(QObject*)
    {75, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1260 QsciLexerRuby::language() const
    {75, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1261 QsciLexerRuby::lexer() const
    {75, 804, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//1262 QsciLexerRuby::blockEnd(int*) const
    {75, 807, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 12},	//1263 QsciLexerRuby::blockStart(int*) const
    {75, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//1264 QsciLexerRuby::blockStartKeyword(int*) const
    {75, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 14},	//1265 QsciLexerRuby::braceStyle() const
    {75, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1266 QsciLexerRuby::defaultColor(int) const
    {75, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 16},	//1267 QsciLexerRuby::defaultEolFill(int) const
    {75, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1268 QsciLexerRuby::defaultFont(int) const
    {75, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1269 QsciLexerRuby::defaultPaper(int) const
    {75, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 19},	//1270 QsciLexerRuby::keywords(int) const
    {75, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 20},	//1271 QsciLexerRuby::description(int) const
    {75, 1113, 0, 0, Smoke::mf_virtual, 0, 21},	//1272 QsciLexerRuby::refreshProperties()
    {75, 1246, 16, 1, 0, 0, 22},	//1273 QsciLexerRuby::setFoldComments(bool)
    {75, 926, 0, 0, Smoke::mf_const, 203, 23},	//1274 QsciLexerRuby::foldComments() const
    {75, 1248, 16, 1, 0, 0, 24},	//1275 QsciLexerRuby::setFoldCompact(bool)
    {75, 927, 0, 0, Smoke::mf_const, 203, 25},	//1276 QsciLexerRuby::foldCompact() const
    {75, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 26},	//1277 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {75, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 27},	//1278 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {75, 1444, 12, 1, Smoke::mf_static, 39, 28},	//1279 QsciLexerRuby::tr(const char*)
    {75, 1448, 12, 1, Smoke::mf_static, 39, 29},	//1280 QsciLexerRuby::trUtf8(const char*)
    {75, 448, 0, 0, Smoke::mf_ctor, 80, 30},	//1281 QsciLexerRuby::QsciLexerRuby()
    {75, 804, 0, 0, Smoke::mf_const, 226, 31},	//1282 QsciLexerRuby::blockEnd() const
    {75, 807, 0, 0, Smoke::mf_const, 226, 32},	//1283 QsciLexerRuby::blockStart() const
    {75, 809, 0, 0, Smoke::mf_const, 226, 33},	//1284 QsciLexerRuby::blockStartKeyword() const
    {75, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 34},	//1285 QsciLexerRuby::staticMetaObject() const
    {75, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1286 QsciLexerRuby::Default (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//1287 QsciLexerRuby::Error (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1288 QsciLexerRuby::Comment (enum)
    {75, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1289 QsciLexerRuby::POD (enum)
    {75, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1290 QsciLexerRuby::Number (enum)
    {75, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1291 QsciLexerRuby::Keyword (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1292 QsciLexerRuby::DoubleQuotedString (enum)
    {75, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1293 QsciLexerRuby::SingleQuotedString (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1294 QsciLexerRuby::ClassName (enum)
    {75, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1295 QsciLexerRuby::FunctionMethodName (enum)
    {75, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1296 QsciLexerRuby::Operator (enum)
    {75, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1297 QsciLexerRuby::Identifier (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1298 QsciLexerRuby::Regex (enum)
    {75, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1299 QsciLexerRuby::Global (enum)
    {75, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1300 QsciLexerRuby::Symbol (enum)
    {75, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//1301 QsciLexerRuby::ModuleName (enum)
    {75, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//1302 QsciLexerRuby::InstanceVariable (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//1303 QsciLexerRuby::ClassVariable (enum)
    {75, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//1304 QsciLexerRuby::Backticks (enum)
    {75, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//1305 QsciLexerRuby::DataSection (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//1306 QsciLexerRuby::HereDocumentDelimiter (enum)
    {75, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//1307 QsciLexerRuby::HereDocument (enum)
    {75, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//1308 QsciLexerRuby::PercentStringq (enum)
    {75, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//1309 QsciLexerRuby::PercentStringQ (enum)
    {75, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//1310 QsciLexerRuby::PercentStringx (enum)
    {75, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//1311 QsciLexerRuby::PercentStringr (enum)
    {75, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//1312 QsciLexerRuby::PercentStringw (enum)
    {75, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 62},	//1313 QsciLexerRuby::DemotedKeyword (enum)
    {75, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 63},	//1314 QsciLexerRuby::Stdin (enum)
    {75, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 64},	//1315 QsciLexerRuby::Stdout (enum)
    {75, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 65},	//1316 QsciLexerRuby::Stderr (enum)
    {75, 1517, 0, 0, Smoke::mf_dtor, 0, 66 },	//1317 QsciLexerRuby::~QsciLexerRuby()
    {76, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1318 QsciLexerSQL::metaObject() const
    {76, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1319 QsciLexerSQL::qt_metacast(const char*)
    {76, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1320 QsciLexerSQL::tr(const char*, const char*)
    {76, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1321 QsciLexerSQL::trUtf8(const char*, const char*)
    {76, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1322 QsciLexerSQL::tr(const char*, const char*, int)
    {76, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1323 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {76, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1324 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 450, 74, 1, Smoke::mf_ctor, 81, 8},	//1325 QsciLexerSQL::QsciLexerSQL(QObject*)
    {76, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1326 QsciLexerSQL::language() const
    {76, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1327 QsciLexerSQL::lexer() const
    {76, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//1328 QsciLexerSQL::braceStyle() const
    {76, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1329 QsciLexerSQL::defaultColor(int) const
    {76, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//1330 QsciLexerSQL::defaultEolFill(int) const
    {76, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1331 QsciLexerSQL::defaultFont(int) const
    {76, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1332 QsciLexerSQL::defaultPaper(int) const
    {76, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//1333 QsciLexerSQL::keywords(int) const
    {76, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1334 QsciLexerSQL::description(int) const
    {76, 1113, 0, 0, Smoke::mf_virtual, 0, 18},	//1335 QsciLexerSQL::refreshProperties()
    {76, 801, 0, 0, Smoke::mf_const, 203, 19},	//1336 QsciLexerSQL::backslashEscapes() const
    {76, 1217, 16, 1, 0, 0, 20},	//1337 QsciLexerSQL::setDottedWords(bool)
    {76, 874, 0, 0, Smoke::mf_const, 203, 21},	//1338 QsciLexerSQL::dottedWords() const
    {76, 1242, 16, 1, 0, 0, 22},	//1339 QsciLexerSQL::setFoldAtElse(bool)
    {76, 924, 0, 0, Smoke::mf_const, 203, 23},	//1340 QsciLexerSQL::foldAtElse() const
    {76, 926, 0, 0, Smoke::mf_const, 203, 24},	//1341 QsciLexerSQL::foldComments() const
    {76, 927, 0, 0, Smoke::mf_const, 203, 25},	//1342 QsciLexerSQL::foldCompact() const
    {76, 1254, 16, 1, 0, 0, 26},	//1343 QsciLexerSQL::setFoldOnlyBegin(bool)
    {76, 931, 0, 0, Smoke::mf_const, 203, 27},	//1344 QsciLexerSQL::foldOnlyBegin() const
    {76, 1274, 16, 1, 0, 0, 28},	//1345 QsciLexerSQL::setHashComments(bool)
    {76, 953, 0, 0, Smoke::mf_const, 203, 29},	//1346 QsciLexerSQL::hashComments() const
    {76, 1350, 16, 1, 0, 0, 30},	//1347 QsciLexerSQL::setQuotedIdentifiers(bool)
    {76, 1100, 0, 0, Smoke::mf_const, 203, 31},	//1348 QsciLexerSQL::quotedIdentifiers() const
    {76, 1168, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1349 QsciLexerSQL::setBackslashEscapes(bool)
    {76, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1350 QsciLexerSQL::setFoldComments(bool)
    {76, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1351 QsciLexerSQL::setFoldCompact(bool)
    {76, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 35},	//1352 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {76, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 36},	//1353 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {76, 1444, 12, 1, Smoke::mf_static, 39, 37},	//1354 QsciLexerSQL::tr(const char*)
    {76, 1448, 12, 1, Smoke::mf_static, 39, 38},	//1355 QsciLexerSQL::trUtf8(const char*)
    {76, 450, 0, 0, Smoke::mf_ctor, 81, 39},	//1356 QsciLexerSQL::QsciLexerSQL()
    {76, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 40},	//1357 QsciLexerSQL::staticMetaObject() const
    {76, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1358 QsciLexerSQL::Default (enum)
    {76, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1359 QsciLexerSQL::Comment (enum)
    {76, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1360 QsciLexerSQL::CommentLine (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1361 QsciLexerSQL::CommentDoc (enum)
    {76, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1362 QsciLexerSQL::Number (enum)
    {76, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1363 QsciLexerSQL::Keyword (enum)
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1364 QsciLexerSQL::DoubleQuotedString (enum)
    {76, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1365 QsciLexerSQL::SingleQuotedString (enum)
    {76, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1366 QsciLexerSQL::PlusKeyword (enum)
    {76, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 50},	//1367 QsciLexerSQL::PlusPrompt (enum)
    {76, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 51},	//1368 QsciLexerSQL::Operator (enum)
    {76, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 52},	//1369 QsciLexerSQL::Identifier (enum)
    {76, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 53},	//1370 QsciLexerSQL::PlusComment (enum)
    {76, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 54},	//1371 QsciLexerSQL::CommentLineHash (enum)
    {76, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 55},	//1372 QsciLexerSQL::CommentDocKeyword (enum)
    {76, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 56},	//1373 QsciLexerSQL::CommentDocKeywordError (enum)
    {76, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 57},	//1374 QsciLexerSQL::KeywordSet5 (enum)
    {76, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 58},	//1375 QsciLexerSQL::KeywordSet6 (enum)
    {76, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 59},	//1376 QsciLexerSQL::KeywordSet7 (enum)
    {76, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 60},	//1377 QsciLexerSQL::KeywordSet8 (enum)
    {76, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 61},	//1378 QsciLexerSQL::QuotedIdentifier (enum)
    {76, 1518, 0, 0, Smoke::mf_dtor, 0, 62 },	//1379 QsciLexerSQL::~QsciLexerSQL()
    {77, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1380 QsciLexerTCL::metaObject() const
    {77, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1381 QsciLexerTCL::qt_metacast(const char*)
    {77, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1382 QsciLexerTCL::tr(const char*, const char*)
    {77, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1383 QsciLexerTCL::trUtf8(const char*, const char*)
    {77, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1384 QsciLexerTCL::tr(const char*, const char*, int)
    {77, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1385 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {77, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1386 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {77, 452, 74, 1, Smoke::mf_ctor, 82, 8},	//1387 QsciLexerTCL::QsciLexerTCL(QObject*)
    {77, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1388 QsciLexerTCL::language() const
    {77, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1389 QsciLexerTCL::lexer() const
    {77, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//1390 QsciLexerTCL::braceStyle() const
    {77, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1391 QsciLexerTCL::defaultColor(int) const
    {77, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//1392 QsciLexerTCL::defaultEolFill(int) const
    {77, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1393 QsciLexerTCL::defaultFont(int) const
    {77, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1394 QsciLexerTCL::defaultPaper(int) const
    {77, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//1395 QsciLexerTCL::keywords(int) const
    {77, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1396 QsciLexerTCL::description(int) const
    {77, 1113, 0, 0, Smoke::mf_virtual, 0, 18},	//1397 QsciLexerTCL::refreshProperties()
    {77, 1246, 16, 1, 0, 0, 19},	//1398 QsciLexerTCL::setFoldComments(bool)
    {77, 926, 0, 0, Smoke::mf_const, 203, 20},	//1399 QsciLexerTCL::foldComments() const
    {77, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 21},	//1400 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {77, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 22},	//1401 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {77, 1444, 12, 1, Smoke::mf_static, 39, 23},	//1402 QsciLexerTCL::tr(const char*)
    {77, 1448, 12, 1, Smoke::mf_static, 39, 24},	//1403 QsciLexerTCL::trUtf8(const char*)
    {77, 452, 0, 0, Smoke::mf_ctor, 82, 25},	//1404 QsciLexerTCL::QsciLexerTCL()
    {77, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 26},	//1405 QsciLexerTCL::staticMetaObject() const
    {77, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//1406 QsciLexerTCL::Default (enum)
    {77, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//1407 QsciLexerTCL::Comment (enum)
    {77, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//1408 QsciLexerTCL::CommentLine (enum)
    {77, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//1409 QsciLexerTCL::Number (enum)
    {77, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//1410 QsciLexerTCL::QuotedKeyword (enum)
    {77, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//1411 QsciLexerTCL::QuotedString (enum)
    {77, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//1412 QsciLexerTCL::Operator (enum)
    {77, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//1413 QsciLexerTCL::Identifier (enum)
    {77, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1414 QsciLexerTCL::Substitution (enum)
    {77, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//1415 QsciLexerTCL::SubstitutionBrace (enum)
    {77, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1416 QsciLexerTCL::Modifier (enum)
    {77, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1417 QsciLexerTCL::ExpandKeyword (enum)
    {77, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1418 QsciLexerTCL::TCLKeyword (enum)
    {77, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1419 QsciLexerTCL::TkKeyword (enum)
    {77, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1420 QsciLexerTCL::ITCLKeyword (enum)
    {77, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1421 QsciLexerTCL::TkCommand (enum)
    {77, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1422 QsciLexerTCL::KeywordSet6 (enum)
    {77, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1423 QsciLexerTCL::KeywordSet7 (enum)
    {77, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1424 QsciLexerTCL::KeywordSet8 (enum)
    {77, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1425 QsciLexerTCL::KeywordSet9 (enum)
    {77, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1426 QsciLexerTCL::CommentBox (enum)
    {77, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1427 QsciLexerTCL::CommentBlock (enum)
    {77, 1519, 0, 0, Smoke::mf_dtor, 0, 49 },	//1428 QsciLexerTCL::~QsciLexerTCL()
    {78, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1429 QsciLexerTeX::metaObject() const
    {78, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1430 QsciLexerTeX::qt_metacast(const char*)
    {78, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1431 QsciLexerTeX::tr(const char*, const char*)
    {78, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1432 QsciLexerTeX::trUtf8(const char*, const char*)
    {78, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1433 QsciLexerTeX::tr(const char*, const char*, int)
    {78, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1434 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {78, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1435 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {78, 454, 74, 1, Smoke::mf_ctor, 83, 8},	//1436 QsciLexerTeX::QsciLexerTeX(QObject*)
    {78, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1437 QsciLexerTeX::language() const
    {78, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1438 QsciLexerTeX::lexer() const
    {78, 1472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 11},	//1439 QsciLexerTeX::wordCharacters() const
    {78, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1440 QsciLexerTeX::defaultColor(int) const
    {78, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 13},	//1441 QsciLexerTeX::keywords(int) const
    {78, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 14},	//1442 QsciLexerTeX::description(int) const
    {78, 1113, 0, 0, Smoke::mf_virtual, 0, 15},	//1443 QsciLexerTeX::refreshProperties()
    {78, 1246, 16, 1, 0, 0, 16},	//1444 QsciLexerTeX::setFoldComments(bool)
    {78, 926, 0, 0, Smoke::mf_const, 203, 17},	//1445 QsciLexerTeX::foldComments() const
    {78, 1248, 16, 1, 0, 0, 18},	//1446 QsciLexerTeX::setFoldCompact(bool)
    {78, 927, 0, 0, Smoke::mf_const, 203, 19},	//1447 QsciLexerTeX::foldCompact() const
    {78, 1346, 16, 1, 0, 0, 20},	//1448 QsciLexerTeX::setProcessComments(bool)
    {78, 1092, 0, 0, Smoke::mf_const, 203, 21},	//1449 QsciLexerTeX::processComments() const
    {78, 1348, 16, 1, 0, 0, 22},	//1450 QsciLexerTeX::setProcessIf(bool)
    {78, 1093, 0, 0, Smoke::mf_const, 203, 23},	//1451 QsciLexerTeX::processIf() const
    {78, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 24},	//1452 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {78, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 25},	//1453 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {78, 1444, 12, 1, Smoke::mf_static, 39, 26},	//1454 QsciLexerTeX::tr(const char*)
    {78, 1448, 12, 1, Smoke::mf_static, 39, 27},	//1455 QsciLexerTeX::trUtf8(const char*)
    {78, 454, 0, 0, Smoke::mf_ctor, 83, 28},	//1456 QsciLexerTeX::QsciLexerTeX()
    {78, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 29},	//1457 QsciLexerTeX::staticMetaObject() const
    {78, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//1458 QsciLexerTeX::Default (enum)
    {78, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//1459 QsciLexerTeX::Special (enum)
    {78, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//1460 QsciLexerTeX::Group (enum)
    {78, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//1461 QsciLexerTeX::Symbol (enum)
    {78, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//1462 QsciLexerTeX::Command (enum)
    {78, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1463 QsciLexerTeX::Text (enum)
    {78, 1520, 0, 0, Smoke::mf_dtor, 0, 36 },	//1464 QsciLexerTeX::~QsciLexerTeX()
    {79, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1465 QsciLexerVHDL::metaObject() const
    {79, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1466 QsciLexerVHDL::qt_metacast(const char*)
    {79, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1467 QsciLexerVHDL::tr(const char*, const char*)
    {79, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1468 QsciLexerVHDL::trUtf8(const char*, const char*)
    {79, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1469 QsciLexerVHDL::tr(const char*, const char*, int)
    {79, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1470 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {79, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1471 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 456, 74, 1, Smoke::mf_ctor, 84, 8},	//1472 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {79, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1473 QsciLexerVHDL::language() const
    {79, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1474 QsciLexerVHDL::lexer() const
    {79, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 11},	//1475 QsciLexerVHDL::braceStyle() const
    {79, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1476 QsciLexerVHDL::defaultColor(int) const
    {79, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 13},	//1477 QsciLexerVHDL::defaultEolFill(int) const
    {79, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1478 QsciLexerVHDL::defaultFont(int) const
    {79, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1479 QsciLexerVHDL::defaultPaper(int) const
    {79, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 16},	//1480 QsciLexerVHDL::keywords(int) const
    {79, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1481 QsciLexerVHDL::description(int) const
    {79, 1113, 0, 0, Smoke::mf_virtual, 0, 18},	//1482 QsciLexerVHDL::refreshProperties()
    {79, 926, 0, 0, Smoke::mf_const, 203, 19},	//1483 QsciLexerVHDL::foldComments() const
    {79, 927, 0, 0, Smoke::mf_const, 203, 20},	//1484 QsciLexerVHDL::foldCompact() const
    {79, 924, 0, 0, Smoke::mf_const, 203, 21},	//1485 QsciLexerVHDL::foldAtElse() const
    {79, 923, 0, 0, Smoke::mf_const, 203, 22},	//1486 QsciLexerVHDL::foldAtBegin() const
    {79, 925, 0, 0, Smoke::mf_const, 203, 23},	//1487 QsciLexerVHDL::foldAtParenthesis() const
    {79, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1488 QsciLexerVHDL::setFoldComments(bool)
    {79, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1489 QsciLexerVHDL::setFoldCompact(bool)
    {79, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1490 QsciLexerVHDL::setFoldAtElse(bool)
    {79, 1240, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1491 QsciLexerVHDL::setFoldAtBegin(bool)
    {79, 1244, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1492 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {79, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 29},	//1493 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {79, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 30},	//1494 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {79, 1444, 12, 1, Smoke::mf_static, 39, 31},	//1495 QsciLexerVHDL::tr(const char*)
    {79, 1448, 12, 1, Smoke::mf_static, 39, 32},	//1496 QsciLexerVHDL::trUtf8(const char*)
    {79, 456, 0, 0, Smoke::mf_ctor, 84, 33},	//1497 QsciLexerVHDL::QsciLexerVHDL()
    {79, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 34},	//1498 QsciLexerVHDL::staticMetaObject() const
    {79, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1499 QsciLexerVHDL::Default (enum)
    {79, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//1500 QsciLexerVHDL::Comment (enum)
    {79, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1501 QsciLexerVHDL::CommentLine (enum)
    {79, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1502 QsciLexerVHDL::Number (enum)
    {79, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1503 QsciLexerVHDL::String (enum)
    {79, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1504 QsciLexerVHDL::Operator (enum)
    {79, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1505 QsciLexerVHDL::Identifier (enum)
    {79, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1506 QsciLexerVHDL::UnclosedString (enum)
    {79, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1507 QsciLexerVHDL::Keyword (enum)
    {79, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1508 QsciLexerVHDL::StandardOperator (enum)
    {79, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1509 QsciLexerVHDL::Attribute (enum)
    {79, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 46},	//1510 QsciLexerVHDL::StandardFunction (enum)
    {79, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 47},	//1511 QsciLexerVHDL::StandardPackage (enum)
    {79, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 48},	//1512 QsciLexerVHDL::StandardType (enum)
    {79, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 49},	//1513 QsciLexerVHDL::KeywordSet7 (enum)
    {79, 1521, 0, 0, Smoke::mf_dtor, 0, 50 },	//1514 QsciLexerVHDL::~QsciLexerVHDL()
    {80, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1515 QsciLexerXML::metaObject() const
    {80, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1516 QsciLexerXML::qt_metacast(const char*)
    {80, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1517 QsciLexerXML::tr(const char*, const char*)
    {80, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1518 QsciLexerXML::trUtf8(const char*, const char*)
    {80, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1519 QsciLexerXML::tr(const char*, const char*, int)
    {80, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1520 QsciLexerXML::trUtf8(const char*, const char*, int)
    {80, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1521 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 458, 74, 1, Smoke::mf_ctor, 85, 8},	//1522 QsciLexerXML::QsciLexerXML(QObject*)
    {80, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1523 QsciLexerXML::language() const
    {80, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1524 QsciLexerXML::lexer() const
    {80, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1525 QsciLexerXML::defaultColor(int) const
    {80, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 12},	//1526 QsciLexerXML::defaultEolFill(int) const
    {80, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1527 QsciLexerXML::defaultFont(int) const
    {80, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1528 QsciLexerXML::defaultPaper(int) const
    {80, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 15},	//1529 QsciLexerXML::keywords(int) const
    {80, 1113, 0, 0, Smoke::mf_virtual, 0, 16},	//1530 QsciLexerXML::refreshProperties()
    {80, 1354, 16, 1, 0, 0, 17},	//1531 QsciLexerXML::setScriptsStyled(bool)
    {80, 1131, 0, 0, Smoke::mf_const, 203, 18},	//1532 QsciLexerXML::scriptsStyled() const
    {80, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 19},	//1533 QsciLexerXML::readProperties(QSettings&, const QString&)
    {80, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 20},	//1534 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {80, 1444, 12, 1, Smoke::mf_static, 39, 21},	//1535 QsciLexerXML::tr(const char*)
    {80, 1448, 12, 1, Smoke::mf_static, 39, 22},	//1536 QsciLexerXML::trUtf8(const char*)
    {80, 458, 0, 0, Smoke::mf_ctor, 85, 23},	//1537 QsciLexerXML::QsciLexerXML()
    {80, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 24},	//1538 QsciLexerXML::staticMetaObject() const
    {80, 1522, 0, 0, Smoke::mf_dtor, 0, 25 },	//1539 QsciLexerXML::~QsciLexerXML()
    {81, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1540 QsciLexerYAML::metaObject() const
    {81, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1541 QsciLexerYAML::qt_metacast(const char*)
    {81, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1542 QsciLexerYAML::tr(const char*, const char*)
    {81, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1543 QsciLexerYAML::trUtf8(const char*, const char*)
    {81, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1544 QsciLexerYAML::tr(const char*, const char*, int)
    {81, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1545 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {81, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1546 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {81, 460, 74, 1, Smoke::mf_ctor, 86, 8},	//1547 QsciLexerYAML::QsciLexerYAML(QObject*)
    {81, 1001, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 9},	//1548 QsciLexerYAML::language() const
    {81, 1006, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 226, 10},	//1549 QsciLexerYAML::lexer() const
    {81, 857, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1550 QsciLexerYAML::defaultColor(int) const
    {81, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 203, 12},	//1551 QsciLexerYAML::defaultEolFill(int) const
    {81, 861, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1552 QsciLexerYAML::defaultFont(int) const
    {81, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1553 QsciLexerYAML::defaultPaper(int) const
    {81, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 226, 15},	//1554 QsciLexerYAML::keywords(int) const
    {81, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1555 QsciLexerYAML::description(int) const
    {81, 1113, 0, 0, Smoke::mf_virtual, 0, 17},	//1556 QsciLexerYAML::refreshProperties()
    {81, 926, 0, 0, Smoke::mf_const, 203, 18},	//1557 QsciLexerYAML::foldComments() const
    {81, 1246, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1558 QsciLexerYAML::setFoldComments(bool)
    {81, 1103, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 203, 20},	//1559 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {81, 1477, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 21},	//1560 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {81, 1444, 12, 1, Smoke::mf_static, 39, 22},	//1561 QsciLexerYAML::tr(const char*)
    {81, 1448, 12, 1, Smoke::mf_static, 39, 23},	//1562 QsciLexerYAML::trUtf8(const char*)
    {81, 460, 0, 0, Smoke::mf_ctor, 86, 24},	//1563 QsciLexerYAML::QsciLexerYAML()
    {81, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 25},	//1564 QsciLexerYAML::staticMetaObject() const
    {81, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 26},	//1565 QsciLexerYAML::Default (enum)
    {81, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 27},	//1566 QsciLexerYAML::Comment (enum)
    {81, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 28},	//1567 QsciLexerYAML::Identifier (enum)
    {81, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 29},	//1568 QsciLexerYAML::Keyword (enum)
    {81, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 30},	//1569 QsciLexerYAML::Number (enum)
    {81, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 31},	//1570 QsciLexerYAML::Reference (enum)
    {81, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 32},	//1571 QsciLexerYAML::DocumentDelimiter (enum)
    {81, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 33},	//1572 QsciLexerYAML::TextBlockMarker (enum)
    {81, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 34},	//1573 QsciLexerYAML::SyntaxErrorMarker (enum)
    {81, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 35},	//1574 QsciLexerYAML::Operator (enum)
    {81, 1523, 0, 0, Smoke::mf_dtor, 0, 36 },	//1575 QsciLexerYAML::~QsciLexerYAML()
    {82, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1576 QsciMacro::metaObject() const
    {82, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1577 QsciMacro::qt_metacast(const char*)
    {82, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1578 QsciMacro::tr(const char*, const char*)
    {82, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1579 QsciMacro::trUtf8(const char*, const char*)
    {82, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1580 QsciMacro::tr(const char*, const char*, int)
    {82, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1581 QsciMacro::trUtf8(const char*, const char*, int)
    {82, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1582 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {82, 462, 82, 1, Smoke::mf_ctor, 87, 8},	//1583 QsciMacro::QsciMacro(QsciScintilla*)
    {82, 462, 107, 2, Smoke::mf_ctor, 87, 9},	//1584 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {82, 827, 0, 0, 0, 0, 10},	//1585 QsciMacro::clear()
    {82, 1016, 57, 1, 0, 203, 11},	//1586 QsciMacro::load(const QString&)
    {82, 1128, 0, 0, Smoke::mf_const, 39, 12},	//1587 QsciMacro::save() const
    {82, 1083, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1588 QsciMacro::play()
    {82, 1419, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1589 QsciMacro::startRecording()
    {82, 888, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1590 QsciMacro::endRecording()
    {82, 1444, 12, 1, Smoke::mf_static, 39, 16},	//1591 QsciMacro::tr(const char*)
    {82, 1448, 12, 1, Smoke::mf_static, 39, 17},	//1592 QsciMacro::trUtf8(const char*)
    {82, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 18},	//1593 QsciMacro::staticMetaObject() const
    {82, 1524, 0, 0, Smoke::mf_dtor, 0, 19 },	//1594 QsciMacro::~QsciMacro()
    {83, 465, 110, 1, Smoke::mf_ctor, 88, 1},	//1595 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {83, 944, 112, 4, Smoke::mf_virtual, 0, 2},	//1596 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {83, 1020, 0, 0, Smoke::mf_const, 228, 3},	//1597 QsciPrinter::magnification() const
    {83, 1306, 18, 1, Smoke::mf_virtual, 0, 4},	//1598 QsciPrinter::setMagnification(int)
    {83, 1088, 117, 3, Smoke::mf_virtual, 228, 5},	//1599 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {83, 1474, 0, 0, Smoke::mf_const, 104, 6},	//1600 QsciPrinter::wrapMode() const
    {83, 1407, 121, 1, Smoke::mf_virtual, 0, 7},	//1601 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {83, 465, 0, 0, Smoke::mf_ctor, 88, 8},	//1602 QsciPrinter::QsciPrinter()
    {83, 1088, 123, 1, 0, 228, 9},	//1603 QsciPrinter::printRange(QsciScintillaBase*)
    {83, 1088, 125, 2, 0, 228, 10},	//1604 QsciPrinter::printRange(QsciScintillaBase*, int)
    {83, 1525, 0, 0, Smoke::mf_dtor, 0, 11 },	//1605 QsciPrinter::~QsciPrinter()
    {84, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1606 QsciScintilla::metaObject() const
    {84, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1607 QsciScintilla::qt_metacast(const char*)
    {84, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1608 QsciScintilla::tr(const char*, const char*)
    {84, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1609 QsciScintilla::trUtf8(const char*, const char*)
    {84, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1610 QsciScintilla::tr(const char*, const char*, int)
    {84, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1611 QsciScintilla::trUtf8(const char*, const char*, int)
    {84, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1612 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {84, 467, 128, 1, Smoke::mf_ctor, 89, 8},	//1613 QsciScintilla::QsciScintilla(QWidget*)
    {84, 777, 130, 3, Smoke::mf_virtual, 40, 9},	//1614 QsciScintilla::apiContext(int, int&, int&)
    {84, 769, 134, 3, 0, 0, 10},	//1615 QsciScintilla::annotate(int, const QString&, int)
    {84, 769, 138, 3, 0, 0, 11},	//1616 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {84, 769, 142, 2, 0, 0, 12},	//1617 QsciScintilla::annotate(int, const QsciStyledText&)
    {84, 769, 145, 2, 0, 0, 13},	//1618 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {84, 774, 18, 1, Smoke::mf_const, 39, 14},	//1619 QsciScintilla::annotation(int) const
    {84, 776, 0, 0, Smoke::mf_const, 90, 15},	//1620 QsciScintilla::annotationDisplay() const
    {84, 829, 18, 1, 0, 0, 16},	//1621 QsciScintilla::clearAnnotations(int)
    {84, 788, 0, 0, Smoke::mf_const, 203, 17},	//1622 QsciScintilla::autoCompletionCaseSensitivity() const
    {84, 790, 0, 0, Smoke::mf_const, 203, 18},	//1623 QsciScintilla::autoCompletionFillupsEnabled() const
    {84, 791, 0, 0, Smoke::mf_const, 203, 19},	//1624 QsciScintilla::autoCompletionReplaceWord() const
    {84, 794, 0, 0, Smoke::mf_const, 203, 20},	//1625 QsciScintilla::autoCompletionShowSingle() const
    {84, 795, 0, 0, Smoke::mf_const, 91, 21},	//1626 QsciScintilla::autoCompletionSource() const
    {84, 796, 0, 0, Smoke::mf_const, 228, 22},	//1627 QsciScintilla::autoCompletionThreshold() const
    {84, 797, 0, 0, Smoke::mf_const, 92, 23},	//1628 QsciScintilla::autoCompletionUseSingle() const
    {84, 799, 0, 0, Smoke::mf_const, 203, 24},	//1629 QsciScintilla::autoIndent() const
    {84, 802, 0, 0, Smoke::mf_const, 203, 25},	//1630 QsciScintilla::backspaceUnindents() const
    {84, 803, 0, 0, 0, 0, 26},	//1631 QsciScintilla::beginUndoAction()
    {84, 811, 0, 0, Smoke::mf_const, 93, 27},	//1632 QsciScintilla::braceMatching() const
    {84, 816, 0, 0, Smoke::mf_const, 94, 28},	//1633 QsciScintilla::callTipsStyle() const
    {84, 817, 0, 0, Smoke::mf_const, 228, 29},	//1634 QsciScintilla::callTipsVisible() const
    {84, 820, 0, 0, 0, 0, 30},	//1635 QsciScintilla::cancelList()
    {84, 822, 0, 0, Smoke::mf_const, 203, 31},	//1636 QsciScintilla::caseSensitive() const
    {84, 831, 0, 0, 0, 0, 32},	//1637 QsciScintilla::clearFolds()
    {84, 832, 148, 5, 0, 0, 33},	//1638 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {84, 837, 0, 0, 0, 0, 34},	//1639 QsciScintilla::clearRegisteredImages()
    {84, 839, 0, 0, Smoke::mf_const, 6, 35},	//1640 QsciScintilla::color() const
    {84, 847, 0, 0, Smoke::mf_const, 20, 36},	//1641 QsciScintilla::contractedFolds() const
    {84, 848, 154, 1, 0, 0, 37},	//1642 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {84, 872, 0, 0, Smoke::mf_const, 52, 38},	//1643 QsciScintilla::document() const
    {84, 889, 0, 0, 0, 0, 39},	//1644 QsciScintilla::endUndoAction()
    {84, 883, 0, 0, Smoke::mf_const, 6, 40},	//1645 QsciScintilla::edgeColor() const
    {84, 884, 0, 0, Smoke::mf_const, 228, 41},	//1646 QsciScintilla::edgeColumn() const
    {84, 885, 0, 0, Smoke::mf_const, 95, 42},	//1647 QsciScintilla::edgeMode() const
    {84, 1271, 42, 1, 0, 0, 43},	//1648 QsciScintilla::setFont(const QFont&)
    {84, 898, 0, 0, Smoke::mf_const, 96, 44},	//1649 QsciScintilla::eolMode() const
    {84, 899, 0, 0, Smoke::mf_const, 203, 45},	//1650 QsciScintilla::eolVisibility() const
    {84, 903, 0, 0, Smoke::mf_const, 228, 46},	//1651 QsciScintilla::extraAscent() const
    {84, 904, 0, 0, Smoke::mf_const, 228, 47},	//1652 QsciScintilla::extraDescent() const
    {84, 905, 148, 5, 0, 0, 48},	//1653 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {84, 907, 156, 9, Smoke::mf_virtual, 203, 49},	//1654 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {84, 913, 0, 0, Smoke::mf_virtual, 203, 50},	//1655 QsciScintilla::findNext()
    {84, 914, 0, 0, Smoke::mf_const, 228, 51},	//1656 QsciScintilla::firstVisibleLine() const
    {84, 938, 0, 0, Smoke::mf_const, 97, 52},	//1657 QsciScintilla::folding() const
    {84, 948, 166, 2, Smoke::mf_const, 0, 53},	//1658 QsciScintilla::getCursorPosition(int*, int*) const
    {84, 950, 169, 4, Smoke::mf_const, 0, 54},	//1659 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {84, 952, 0, 0, Smoke::mf_const, 203, 55},	//1660 QsciScintilla::hasSelectedText() const
    {84, 959, 18, 1, Smoke::mf_const, 228, 56},	//1661 QsciScintilla::indentation(int) const
    {84, 962, 0, 0, Smoke::mf_const, 203, 57},	//1662 QsciScintilla::indentationGuides() const
    {84, 965, 0, 0, Smoke::mf_const, 203, 58},	//1663 QsciScintilla::indentationsUseTabs() const
    {84, 964, 0, 0, Smoke::mf_const, 228, 59},	//1664 QsciScintilla::indentationWidth() const
    {84, 968, 174, 2, 0, 228, 60},	//1665 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {84, 971, 18, 1, Smoke::mf_const, 203, 61},	//1666 QsciScintilla::indicatorDrawUnder(int) const
    {84, 984, 0, 0, Smoke::mf_const, 203, 62},	//1667 QsciScintilla::isCallTipActive() const
    {84, 985, 0, 0, Smoke::mf_const, 203, 63},	//1668 QsciScintilla::isListActive() const
    {84, 986, 0, 0, Smoke::mf_const, 203, 64},	//1669 QsciScintilla::isModified() const
    {84, 989, 0, 0, Smoke::mf_const, 203, 65},	//1670 QsciScintilla::isReadOnly() const
    {84, 990, 0, 0, Smoke::mf_const, 203, 66},	//1671 QsciScintilla::isRedoAvailable() const
    {84, 991, 0, 0, Smoke::mf_const, 203, 67},	//1672 QsciScintilla::isUndoAvailable() const
    {84, 992, 0, 0, Smoke::mf_const, 203, 68},	//1673 QsciScintilla::isUtf8() const
    {84, 993, 177, 1, Smoke::mf_const, 203, 69},	//1674 QsciScintilla::isWordCharacter(char) const
    {84, 1008, 179, 1, Smoke::mf_const, 228, 70},	//1675 QsciScintilla::lineAt(const QPoint&) const
    {84, 1010, 181, 3, Smoke::mf_const, 0, 71},	//1676 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {84, 1012, 18, 1, Smoke::mf_const, 228, 72},	//1677 QsciScintilla::lineLength(int) const
    {84, 1014, 0, 0, Smoke::mf_const, 228, 73},	//1678 QsciScintilla::lines() const
    {84, 1004, 0, 0, Smoke::mf_const, 228, 74},	//1679 QsciScintilla::length() const
    {84, 1006, 0, 0, Smoke::mf_const, 55, 75},	//1680 QsciScintilla::lexer() const
    {84, 1024, 18, 1, Smoke::mf_const, 203, 76},	//1681 QsciScintilla::marginLineNumbers(int) const
    {84, 1026, 18, 1, Smoke::mf_const, 228, 77},	//1682 QsciScintilla::marginMarkerMask(int) const
    {84, 1028, 18, 1, Smoke::mf_const, 203, 78},	//1683 QsciScintilla::marginSensitivity(int) const
    {84, 1030, 18, 1, Smoke::mf_const, 100, 79},	//1684 QsciScintilla::marginType(int) const
    {84, 1032, 18, 1, Smoke::mf_const, 228, 80},	//1685 QsciScintilla::marginWidth(int) const
    {84, 1036, 185, 2, 0, 228, 81},	//1686 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {84, 1036, 188, 2, 0, 228, 82},	//1687 QsciScintilla::markerDefine(char, int)
    {84, 1036, 191, 2, 0, 228, 83},	//1688 QsciScintilla::markerDefine(const QPixmap&, int)
    {84, 1034, 99, 2, 0, 228, 84},	//1689 QsciScintilla::markerAdd(int, int)
    {84, 1054, 18, 1, Smoke::mf_const, 232, 85},	//1690 QsciScintilla::markersAtLine(int) const
    {84, 1041, 99, 2, 0, 0, 86},	//1691 QsciScintilla::markerDelete(int, int)
    {84, 1044, 18, 1, 0, 0, 87},	//1692 QsciScintilla::markerDeleteAll(int)
    {84, 1046, 18, 1, 0, 0, 88},	//1693 QsciScintilla::markerDeleteHandle(int)
    {84, 1052, 18, 1, Smoke::mf_const, 228, 89},	//1694 QsciScintilla::markerLine(int) const
    {84, 1048, 194, 2, Smoke::mf_const, 228, 90},	//1695 QsciScintilla::markerFindNext(int, unsigned int) const
    {84, 1050, 194, 2, Smoke::mf_const, 228, 91},	//1696 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {84, 1078, 0, 0, Smoke::mf_const, 6, 92},	//1697 QsciScintilla::paper() const
    {84, 1085, 99, 2, Smoke::mf_const, 228, 93},	//1698 QsciScintilla::positionFromLineIndex(int, int) const
    {84, 1101, 197, 1, 0, 203, 94},	//1699 QsciScintilla::read(QIODevice*)
    {84, 1108, 99, 2, Smoke::mf_virtual, 0, 95},	//1700 QsciScintilla::recolor(int, int)
    {84, 1114, 199, 2, 0, 0, 96},	//1701 QsciScintilla::registerImage(int, const QPixmap&)
    {84, 1119, 57, 1, Smoke::mf_virtual, 0, 97},	//1702 QsciScintilla::replace(const QString&)
    {84, 1123, 0, 0, 0, 0, 98},	//1703 QsciScintilla::resetFoldMarginColors()
    {84, 1252, 202, 2, 0, 0, 99},	//1704 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {84, 1144, 205, 1, 0, 0, 100},	//1705 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {84, 1150, 16, 1, 0, 0, 101},	//1706 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {84, 1148, 12, 1, 0, 0, 102},	//1707 QsciScintilla::setAutoCompletionFillups(const char*)
    {84, 1162, 207, 1, 0, 0, 103},	//1708 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {84, 1174, 80, 1, 0, 0, 104},	//1709 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {84, 1176, 80, 1, 0, 0, 105},	//1710 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {84, 1178, 80, 1, 0, 0, 106},	//1711 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {84, 1180, 209, 1, 0, 0, 107},	//1712 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {84, 1182, 18, 1, 0, 0, 108},	//1713 QsciScintilla::setCallTipsVisible(int)
    {84, 1199, 211, 1, 0, 0, 109},	//1714 QsciScintilla::setContractedFolds(const QList<int>&)
    {84, 1213, 72, 1, 0, 0, 110},	//1715 QsciScintilla::setDocument(const QsciDocument&)
    {84, 1219, 80, 1, 0, 0, 111},	//1716 QsciScintilla::setEdgeColor(const QColor&)
    {84, 1221, 18, 1, 0, 0, 112},	//1717 QsciScintilla::setEdgeColumn(int)
    {84, 1223, 213, 1, 0, 0, 113},	//1718 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {84, 1238, 18, 1, 0, 0, 114},	//1719 QsciScintilla::setFirstVisibleLine(int)
    {84, 1292, 87, 2, 0, 0, 115},	//1720 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {84, 1295, 84, 2, 0, 0, 116},	//1721 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {84, 1316, 134, 3, 0, 0, 117},	//1722 QsciScintilla::setMarginText(int, const QString&, int)
    {84, 1316, 138, 3, 0, 0, 118},	//1723 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {84, 1316, 142, 2, 0, 0, 119},	//1724 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {84, 1316, 145, 2, 0, 0, 120},	//1725 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {84, 1321, 215, 2, 0, 0, 121},	//1726 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {84, 835, 18, 1, 0, 0, 122},	//1727 QsciScintilla::clearMarginText(int)
    {84, 1331, 84, 2, 0, 0, 123},	//1728 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {84, 1334, 84, 2, 0, 0, 124},	//1729 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {84, 1337, 80, 1, 0, 0, 125},	//1730 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {84, 1339, 80, 1, 0, 0, 126},	//1731 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {84, 1383, 80, 1, 0, 0, 127},	//1732 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {84, 1385, 80, 1, 0, 0, 128},	//1733 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {84, 1409, 218, 3, 0, 0, 129},	//1734 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {84, 1137, 0, 0, Smoke::mf_const, 39, 130},	//1735 QsciScintilla::selectedText() const
    {84, 1139, 0, 0, Smoke::mf_const, 203, 131},	//1736 QsciScintilla::selectionToEol() const
    {84, 1362, 16, 1, 0, 0, 132},	//1737 QsciScintilla::setSelectionToEol(bool)
    {84, 1234, 18, 1, 0, 0, 133},	//1738 QsciScintilla::setExtraAscent(int)
    {84, 1236, 18, 1, 0, 0, 134},	//1739 QsciScintilla::setExtraDescent(int)
    {84, 1397, 80, 1, 0, 0, 135},	//1740 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {84, 1399, 80, 1, 0, 0, 136},	//1741 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {84, 1401, 18, 1, 0, 0, 137},	//1742 QsciScintilla::setWhitespaceSize(int)
    {84, 1405, 222, 1, 0, 0, 138},	//1743 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {84, 1414, 224, 2, 0, 0, 139},	//1744 QsciScintilla::showUserList(int, const QStringList&)
    {84, 1418, 0, 0, Smoke::mf_const, 51, 140},	//1745 QsciScintilla::standardCommands() const
    {84, 1431, 0, 0, Smoke::mf_const, 203, 141},	//1746 QsciScintilla::tabIndents() const
    {84, 1432, 0, 0, Smoke::mf_const, 228, 142},	//1747 QsciScintilla::tabWidth() const
    {84, 1434, 0, 0, Smoke::mf_const, 39, 143},	//1748 QsciScintilla::text() const
    {84, 1434, 18, 1, Smoke::mf_const, 39, 144},	//1749 QsciScintilla::text(int) const
    {84, 1438, 18, 1, Smoke::mf_const, 228, 145},	//1750 QsciScintilla::textHeight(int) const
    {84, 1467, 0, 0, Smoke::mf_const, 228, 146},	//1751 QsciScintilla::whitespaceSize() const
    {84, 1468, 0, 0, Smoke::mf_const, 102, 147},	//1752 QsciScintilla::whitespaceVisibility() const
    {84, 1470, 179, 1, Smoke::mf_const, 39, 148},	//1753 QsciScintilla::wordAtPoint(const QPoint&) const
    {84, 1472, 0, 0, Smoke::mf_const, 226, 149},	//1754 QsciScintilla::wordCharacters() const
    {84, 1474, 0, 0, Smoke::mf_const, 104, 150},	//1755 QsciScintilla::wrapMode() const
    {84, 1473, 0, 0, Smoke::mf_const, 103, 151},	//1756 QsciScintilla::wrapIndentMode() const
    {84, 1475, 197, 1, Smoke::mf_const, 203, 152},	//1757 QsciScintilla::write(QIODevice*) const
    {84, 783, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1758 QsciScintilla::append(const QString&)
    {84, 786, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1759 QsciScintilla::autoCompleteFromAll()
    {84, 785, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1760 QsciScintilla::autoCompleteFromAPIs()
    {84, 787, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1761 QsciScintilla::autoCompleteFromDocument()
    {84, 813, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1762 QsciScintilla::callTip()
    {84, 827, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1763 QsciScintilla::clear()
    {84, 850, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1764 QsciScintilla::copy()
    {84, 856, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1765 QsciScintilla::cut()
    {84, 890, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1766 QsciScintilla::ensureCursorVisible()
    {84, 891, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1767 QsciScintilla::ensureLineVisible(int)
    {84, 921, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1768 QsciScintilla::foldAll(bool)
    {84, 929, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1769 QsciScintilla::foldLine(int)
    {84, 957, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1770 QsciScintilla::indent(int)
    {84, 979, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1771 QsciScintilla::insert(const QString&)
    {84, 981, 227, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1772 QsciScintilla::insertAt(const QString&, int, int)
    {84, 1071, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1773 QsciScintilla::moveToMatchingBrace()
    {84, 1082, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1774 QsciScintilla::paste()
    {84, 1111, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1775 QsciScintilla::redo()
    {84, 1118, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1776 QsciScintilla::removeSelectedText()
    {84, 1121, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1777 QsciScintilla::replaceSelectedText(const QString&)
    {84, 1124, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1778 QsciScintilla::resetSelectionBackgroundColor()
    {84, 1125, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1779 QsciScintilla::resetSelectionForegroundColor()
    {84, 1134, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1780 QsciScintilla::selectAll(bool)
    {84, 1136, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1781 QsciScintilla::selectToMatchingBrace()
    {84, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1782 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {84, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1783 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {84, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1784 QsciScintilla::setAutoCompletionShowSingle(bool)
    {84, 1156, 231, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1785 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {84, 1158, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1786 QsciScintilla::setAutoCompletionThreshold(int)
    {84, 1160, 233, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1787 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {84, 1164, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1788 QsciScintilla::setAutoIndent(bool)
    {84, 1172, 235, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1789 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {84, 1170, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1790 QsciScintilla::setBackspaceUnindents(bool)
    {84, 1184, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1791 QsciScintilla::setCaretForegroundColor(const QColor&)
    {84, 1186, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1792 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {84, 1188, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1793 QsciScintilla::setCaretLineVisible(bool)
    {84, 1190, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1794 QsciScintilla::setCaretWidth(int)
    {84, 1196, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1795 QsciScintilla::setColor(const QColor&)
    {84, 1201, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1796 QsciScintilla::setCursorPosition(int, int)
    {84, 1230, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1797 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {84, 1232, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1798 QsciScintilla::setEolVisibility(bool)
    {84, 1268, 237, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1799 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {84, 1278, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1800 QsciScintilla::setIndentation(int, int)
    {84, 1280, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1801 QsciScintilla::setIndentationGuides(bool)
    {84, 1282, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1802 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {84, 1284, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1803 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {84, 1290, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1804 QsciScintilla::setIndentationsUseTabs(bool)
    {84, 1288, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1805 QsciScintilla::setIndentationWidth(int)
    {84, 1304, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1806 QsciScintilla::setLexer(QsciLexer*)
    {84, 1325, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1807 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {84, 1327, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1808 QsciScintilla::setMarginsFont(const QFont&)
    {84, 1329, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1809 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {84, 1310, 240, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1810 QsciScintilla::setMarginLineNumbers(int, bool)
    {84, 1312, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1811 QsciScintilla::setMarginMarkerMask(int, int)
    {84, 1314, 240, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1812 QsciScintilla::setMarginSensitivity(int, bool)
    {84, 1323, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1813 QsciScintilla::setMarginWidth(int, int)
    {84, 1323, 243, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1814 QsciScintilla::setMarginWidth(int, const QString&)
    {84, 1341, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1815 QsciScintilla::setModified(bool)
    {84, 1343, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1816 QsciScintilla::setPaper(const QColor&)
    {84, 1352, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1817 QsciScintilla::setReadOnly(bool)
    {84, 1356, 246, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1818 QsciScintilla::setSelection(int, int, int, int)
    {84, 1358, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1819 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {84, 1360, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1820 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {84, 1373, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1821 QsciScintilla::setTabIndents(bool)
    {84, 1375, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1822 QsciScintilla::setTabWidth(int)
    {84, 1377, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1823 QsciScintilla::setText(const QString&)
    {84, 1387, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1824 QsciScintilla::setUtf8(bool)
    {84, 1403, 251, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1825 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {84, 1407, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1826 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {84, 1452, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1827 QsciScintilla::undo()
    {84, 1453, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1828 QsciScintilla::unindent(int)
    {84, 1483, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1829 QsciScintilla::zoomIn(int)
    {84, 1483, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1830 QsciScintilla::zoomIn()
    {84, 1485, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1831 QsciScintilla::zoomOut(int)
    {84, 1485, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1832 QsciScintilla::zoomOut()
    {84, 1487, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1833 QsciScintilla::zoomTo(int)
    {84, 853, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 229},	//1834 QsciScintilla::cursorPositionChanged(int, int)
    {84, 851, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 230},	//1835 QsciScintilla::copyAvailable(bool)
    {84, 966, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 231},	//1836 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {84, 973, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 232},	//1837 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {84, 1015, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 233},	//1838 QsciScintilla::linesChanged()
    {84, 1022, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 234},	//1839 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {84, 1059, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 235},	//1840 QsciScintilla::modificationAttempted()
    {84, 1060, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 236},	//1841 QsciScintilla::modificationChanged(bool)
    {84, 1138, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 237},	//1842 QsciScintilla::selectionChanged()
    {84, 1437, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 238},	//1843 QsciScintilla::textChanged()
    {84, 1457, 243, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 239},	//1844 QsciScintilla::userListActivated(int, const QString&)
    {84, 1444, 12, 1, Smoke::mf_static, 39, 240},	//1845 QsciScintilla::tr(const char*)
    {84, 1448, 12, 1, Smoke::mf_static, 39, 241},	//1846 QsciScintilla::trUtf8(const char*)
    {84, 467, 0, 0, Smoke::mf_ctor, 89, 242},	//1847 QsciScintilla::QsciScintilla()
    {84, 829, 0, 0, 0, 0, 243},	//1848 QsciScintilla::clearAnnotations()
    {84, 907, 257, 5, 0, 203, 244},	//1849 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {84, 907, 263, 6, 0, 203, 245},	//1850 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {84, 907, 270, 7, 0, 203, 246},	//1851 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {84, 907, 278, 8, 0, 203, 247},	//1852 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {84, 968, 287, 1, 0, 228, 248},	//1853 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {84, 1036, 289, 1, 0, 228, 249},	//1854 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {84, 1036, 177, 1, 0, 228, 250},	//1855 QsciScintilla::markerDefine(char)
    {84, 1036, 291, 1, 0, 228, 251},	//1856 QsciScintilla::markerDefine(const QPixmap&)
    {84, 1041, 18, 1, 0, 0, 252},	//1857 QsciScintilla::markerDelete(int)
    {84, 1044, 0, 0, 0, 0, 253},	//1858 QsciScintilla::markerDeleteAll()
    {84, 1108, 0, 0, 0, 0, 254},	//1859 QsciScintilla::recolor()
    {84, 1108, 18, 1, 0, 0, 255},	//1860 QsciScintilla::recolor(int)
    {84, 1292, 16, 1, 0, 0, 256},	//1861 QsciScintilla::setIndicatorDrawUnder(bool)
    {84, 1295, 80, 1, 0, 0, 257},	//1862 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {84, 835, 0, 0, 0, 0, 258},	//1863 QsciScintilla::clearMarginText()
    {84, 1331, 80, 1, 0, 0, 259},	//1864 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {84, 1334, 80, 1, 0, 0, 260},	//1865 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {84, 1409, 293, 1, 0, 0, 261},	//1866 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {84, 1409, 295, 2, 0, 0, 262},	//1867 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {84, 921, 0, 0, Smoke::mf_slot, 0, 263},	//1868 QsciScintilla::foldAll()
    {84, 1134, 0, 0, Smoke::mf_slot, 0, 264},	//1869 QsciScintilla::selectAll()
    {84, 1268, 298, 1, Smoke::mf_slot, 0, 265},	//1870 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {84, 1304, 0, 0, Smoke::mf_slot, 0, 266},	//1871 QsciScintilla::setLexer()
    {84, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 267},	//1872 QsciScintilla::staticMetaObject() const
    {84, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 268},	//1873 QsciScintilla::AiMaintain (enum)
    {84, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 269},	//1874 QsciScintilla::AiOpening (enum)
    {84, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 270},	//1875 QsciScintilla::AiClosing (enum)
    {84, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 271},	//1876 QsciScintilla::AnnotationHidden (enum)
    {84, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 272},	//1877 QsciScintilla::AnnotationStandard (enum)
    {84, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 273},	//1878 QsciScintilla::AnnotationBoxed (enum)
    {84, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 274},	//1879 QsciScintilla::AcusNever (enum)
    {84, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 275},	//1880 QsciScintilla::AcusExplicit (enum)
    {84, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 276},	//1881 QsciScintilla::AcusAlways (enum)
    {84, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 277},	//1882 QsciScintilla::AcsNone (enum)
    {84, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 278},	//1883 QsciScintilla::AcsAll (enum)
    {84, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 279},	//1884 QsciScintilla::AcsDocument (enum)
    {84, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 280},	//1885 QsciScintilla::AcsAPIs (enum)
    {84, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 281},	//1886 QsciScintilla::NoBraceMatch (enum)
    {84, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 282},	//1887 QsciScintilla::StrictBraceMatch (enum)
    {84, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 283},	//1888 QsciScintilla::SloppyBraceMatch (enum)
    {84, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 284},	//1889 QsciScintilla::CallTipsNone (enum)
    {84, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 285},	//1890 QsciScintilla::CallTipsNoContext (enum)
    {84, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 286},	//1891 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {84, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 287},	//1892 QsciScintilla::CallTipsContext (enum)
    {84, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 288},	//1893 QsciScintilla::EdgeNone (enum)
    {84, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 289},	//1894 QsciScintilla::EdgeLine (enum)
    {84, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 290},	//1895 QsciScintilla::EdgeBackground (enum)
    {84, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 291},	//1896 QsciScintilla::EolWindows (enum)
    {84, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 292},	//1897 QsciScintilla::EolUnix (enum)
    {84, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 293},	//1898 QsciScintilla::EolMac (enum)
    {84, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1899 QsciScintilla::NoFoldStyle (enum)
    {84, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 295},	//1900 QsciScintilla::PlainFoldStyle (enum)
    {84, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 296},	//1901 QsciScintilla::CircledFoldStyle (enum)
    {84, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 297},	//1902 QsciScintilla::BoxedFoldStyle (enum)
    {84, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 298},	//1903 QsciScintilla::CircledTreeFoldStyle (enum)
    {84, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 299},	//1904 QsciScintilla::BoxedTreeFoldStyle (enum)
    {84, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 300},	//1905 QsciScintilla::PlainIndicator (enum)
    {84, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 301},	//1906 QsciScintilla::SquiggleIndicator (enum)
    {84, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 302},	//1907 QsciScintilla::TTIndicator (enum)
    {84, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 303},	//1908 QsciScintilla::DiagonalIndicator (enum)
    {84, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 304},	//1909 QsciScintilla::StrikeIndicator (enum)
    {84, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 305},	//1910 QsciScintilla::HiddenIndicator (enum)
    {84, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//1911 QsciScintilla::BoxIndicator (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 307},	//1912 QsciScintilla::RoundBoxIndicator (enum)
    {84, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 308},	//1913 QsciScintilla::SymbolMargin (enum)
    {84, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 309},	//1914 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {84, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 310},	//1915 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {84, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 311},	//1916 QsciScintilla::NumberMargin (enum)
    {84, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 312},	//1917 QsciScintilla::TextMargin (enum)
    {84, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 313},	//1918 QsciScintilla::TextMarginRightJustified (enum)
    {84, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 314},	//1919 QsciScintilla::Circle (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 315},	//1920 QsciScintilla::Rectangle (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 316},	//1921 QsciScintilla::RightTriangle (enum)
    {84, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 317},	//1922 QsciScintilla::SmallRectangle (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 318},	//1923 QsciScintilla::RightArrow (enum)
    {84, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//1924 QsciScintilla::Invisible (enum)
    {84, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//1925 QsciScintilla::DownTriangle (enum)
    {84, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//1926 QsciScintilla::Minus (enum)
    {84, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//1927 QsciScintilla::Plus (enum)
    {84, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//1928 QsciScintilla::VerticalLine (enum)
    {84, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//1929 QsciScintilla::BottomLeftCorner (enum)
    {84, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 325},	//1930 QsciScintilla::LeftSideSplitter (enum)
    {84, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 326},	//1931 QsciScintilla::BoxedPlus (enum)
    {84, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 327},	//1932 QsciScintilla::BoxedPlusConnected (enum)
    {84, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 328},	//1933 QsciScintilla::BoxedMinus (enum)
    {84, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 329},	//1934 QsciScintilla::BoxedMinusConnected (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 330},	//1935 QsciScintilla::RoundedBottomLeftCorner (enum)
    {84, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 331},	//1936 QsciScintilla::LeftSideRoundedSplitter (enum)
    {84, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 332},	//1937 QsciScintilla::CircledPlus (enum)
    {84, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 333},	//1938 QsciScintilla::CircledPlusConnected (enum)
    {84, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 334},	//1939 QsciScintilla::CircledMinus (enum)
    {84, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 335},	//1940 QsciScintilla::CircledMinusConnected (enum)
    {84, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 336},	//1941 QsciScintilla::Background (enum)
    {84, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 337},	//1942 QsciScintilla::ThreeDots (enum)
    {84, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 338},	//1943 QsciScintilla::ThreeRightArrows (enum)
    {84, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 339},	//1944 QsciScintilla::FullRectangle (enum)
    {84, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 340},	//1945 QsciScintilla::LeftRectangle (enum)
    {84, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 341},	//1946 QsciScintilla::Underline (enum)
    {84, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 342},	//1947 QsciScintilla::WsInvisible (enum)
    {84, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 343},	//1948 QsciScintilla::WsVisible (enum)
    {84, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 344},	//1949 QsciScintilla::WsVisibleAfterIndent (enum)
    {84, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//1950 QsciScintilla::WrapNone (enum)
    {84, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//1951 QsciScintilla::WrapWord (enum)
    {84, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 347},	//1952 QsciScintilla::WrapCharacter (enum)
    {84, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//1953 QsciScintilla::WrapFlagNone (enum)
    {84, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//1954 QsciScintilla::WrapFlagByText (enum)
    {84, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//1955 QsciScintilla::WrapFlagByBorder (enum)
    {84, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 351},	//1956 QsciScintilla::WrapIndentFixed (enum)
    {84, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 352},	//1957 QsciScintilla::WrapIndentSame (enum)
    {84, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 353},	//1958 QsciScintilla::WrapIndentIndented (enum)
    {84, 1526, 0, 0, Smoke::mf_dtor, 0, 354 },	//1959 QsciScintilla::~QsciScintilla()
    {85, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//1960 QsciScintillaBase::metaObject() const
    {85, 1098, 12, 1, Smoke::mf_virtual, 234, 2},	//1961 QsciScintillaBase::qt_metacast(const char*)
    {85, 1444, 44, 2, Smoke::mf_static, 39, 3},	//1962 QsciScintillaBase::tr(const char*, const char*)
    {85, 1448, 44, 2, Smoke::mf_static, 39, 4},	//1963 QsciScintillaBase::trUtf8(const char*, const char*)
    {85, 1444, 47, 3, Smoke::mf_static, 39, 5},	//1964 QsciScintillaBase::tr(const char*, const char*, int)
    {85, 1448, 47, 3, Smoke::mf_static, 39, 6},	//1965 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {85, 1096, 51, 3, Smoke::mf_virtual, 228, 7},	//1966 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {85, 469, 128, 1, Smoke::mf_ctor, 106, 8},	//1967 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {85, 1084, 0, 0, Smoke::mf_static, 106, 9},	//1968 QsciScintillaBase::pool()
    {85, 663, 300, 3, Smoke::mf_const, 231, 10},	//1969 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {85, 663, 304, 3, Smoke::mf_const, 231, 11},	//1970 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {85, 663, 308, 3, Smoke::mf_const, 231, 12},	//1971 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {85, 663, 312, 2, Smoke::mf_const, 231, 13},	//1972 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {85, 663, 315, 3, Smoke::mf_const, 231, 14},	//1973 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {85, 663, 319, 2, Smoke::mf_const, 231, 15},	//1974 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {85, 663, 322, 2, Smoke::mf_const, 231, 16},	//1975 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {85, 663, 325, 4, Smoke::mf_const, 231, 17},	//1976 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {85, 663, 330, 3, Smoke::mf_const, 231, 18},	//1977 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {85, 663, 334, 2, Smoke::mf_const, 231, 19},	//1978 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {85, 663, 337, 6, Smoke::mf_const, 231, 20},	//1979 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {85, 663, 344, 3, Smoke::mf_const, 231, 21},	//1980 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {85, 671, 348, 1, Smoke::mf_const, 234, 22},	//1981 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {85, 386, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1982 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {85, 604, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1983 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {85, 605, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1984 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {85, 606, 350, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1985 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {85, 502, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1986 QsciScintillaBase::SCEN_CHANGE()
    {85, 608, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1987 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {85, 610, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1988 QsciScintillaBase::SCN_CHARADDED(int)
    {85, 612, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1989 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {85, 614, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1990 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {85, 616, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1991 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {85, 618, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1992 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {85, 620, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1993 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {85, 622, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1994 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {85, 624, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1995 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {85, 626, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1996 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {85, 628, 304, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1997 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {85, 630, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1998 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {85, 632, 357, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1999 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {85, 634, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2000 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {85, 635, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2001 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {85, 637, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2002 QsciScintillaBase::SCN_PAINTED()
    {85, 638, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2003 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {85, 639, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2004 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {85, 640, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2005 QsciScintillaBase::SCN_STYLENEEDED(int)
    {85, 642, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2006 QsciScintillaBase::SCN_UPDATEUI(int)
    {85, 644, 350, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2007 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {85, 646, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2008 QsciScintillaBase::SCN_ZOOM()
    {85, 818, 368, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 50},	//2009 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {85, 946, 370, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 51},	//2010 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {85, 1441, 373, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 23, 52},	//2011 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {85, 845, 376, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//2012 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {85, 875, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2013 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {85, 877, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2014 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {85, 879, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2015 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {85, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2016 QsciScintillaBase::dropEvent(QDropEvent*)
    {85, 915, 386, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2017 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {85, 919, 386, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2018 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {85, 917, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 203, 60},	//2019 QsciScintillaBase::focusNextPrevChild(bool)
    {85, 996, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2020 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {85, 976, 388, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2021 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {85, 1062, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2022 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {85, 1064, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2023 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {85, 1066, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2024 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {85, 1068, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2025 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {85, 1075, 392, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2026 QsciScintillaBase::paintEvent(QPaintEvent*)
    {85, 1126, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2027 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {85, 1132, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2028 QsciScintillaBase::scrollContentsBy(int, int)
    {85, 1444, 12, 1, Smoke::mf_static, 39, 70},	//2029 QsciScintillaBase::tr(const char*)
    {85, 1448, 12, 1, Smoke::mf_static, 39, 71},	//2030 QsciScintillaBase::trUtf8(const char*)
    {85, 469, 0, 0, Smoke::mf_ctor, 106, 72},	//2031 QsciScintillaBase::QsciScintillaBase()
    {85, 663, 348, 1, Smoke::mf_const, 231, 73},	//2032 QsciScintillaBase::SendScintilla(unsigned int) const
    {85, 663, 396, 2, Smoke::mf_const, 231, 74},	//2033 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {85, 1423, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 75},	//2034 QsciScintillaBase::staticMetaObject() const
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 76},	//2035 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 77},	//2036 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 78},	//2037 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 79},	//2038 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 80},	//2039 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 81},	//2040 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 82},	//2041 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 83},	//2042 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 84},	//2043 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 85},	//2044 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 86},	//2045 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 87},	//2046 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 88},	//2047 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 89},	//2048 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 90},	//2049 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 91},	//2050 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 92},	//2051 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 93},	//2052 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 94},	//2053 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 95},	//2054 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 96},	//2055 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 97},	//2056 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 98},	//2057 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 99},	//2058 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 100},	//2059 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 101},	//2060 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 102},	//2061 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 103},	//2062 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 104},	//2063 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 105},	//2064 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 106},	//2065 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 107},	//2066 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 108},	//2067 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 109},	//2068 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 110},	//2069 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 111},	//2070 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 112},	//2071 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 113},	//2072 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 114},	//2073 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 115},	//2074 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 116},	//2075 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 117},	//2076 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 118},	//2077 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 119},	//2078 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 120},	//2079 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 121},	//2080 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 122},	//2081 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 123},	//2082 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 124},	//2083 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 125},	//2084 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 126},	//2085 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 127},	//2086 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 128},	//2087 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 129},	//2088 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 130},	//2089 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 131},	//2090 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 132},	//2091 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 133},	//2092 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 134},	//2093 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 135},	//2094 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 136},	//2095 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 137},	//2096 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 138},	//2097 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 139},	//2098 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 140},	//2099 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 141},	//2100 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 142},	//2101 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 143},	//2102 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 144},	//2103 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 145},	//2104 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 146},	//2105 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 147},	//2106 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 148},	//2107 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 149},	//2108 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 150},	//2109 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 151},	//2110 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 152},	//2111 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 153},	//2112 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 154},	//2113 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 155},	//2114 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 156},	//2115 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 157},	//2116 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 158},	//2117 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 159},	//2118 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 160},	//2119 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 161},	//2120 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 162},	//2121 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 163},	//2122 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 164},	//2123 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 165},	//2124 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 166},	//2125 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 167},	//2126 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 168},	//2127 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 169},	//2128 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 170},	//2129 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 171},	//2130 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 172},	//2131 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 173},	//2132 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 174},	//2133 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 175},	//2134 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 176},	//2135 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 177},	//2136 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 178},	//2137 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 179},	//2138 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 180},	//2139 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 181},	//2140 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 182},	//2141 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 183},	//2142 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 184},	//2143 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 185},	//2144 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 186},	//2145 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 187},	//2146 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 188},	//2147 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 189},	//2148 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 190},	//2149 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 191},	//2150 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 192},	//2151 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 193},	//2152 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 194},	//2153 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 195},	//2154 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 196},	//2155 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 197},	//2156 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 198},	//2157 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 199},	//2158 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 200},	//2159 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 201},	//2160 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 202},	//2161 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 203},	//2162 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 204},	//2163 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 205},	//2164 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 206},	//2165 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 207},	//2166 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 208},	//2167 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 209},	//2168 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 210},	//2169 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 211},	//2170 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 212},	//2171 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 213},	//2172 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 214},	//2173 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 215},	//2174 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 216},	//2175 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 217},	//2176 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 218},	//2177 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 219},	//2178 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 220},	//2179 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 221},	//2180 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 222},	//2181 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 223},	//2182 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 224},	//2183 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 225},	//2184 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 226},	//2185 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 227},	//2186 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 228},	//2187 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 229},	//2188 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 230},	//2189 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 231},	//2190 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 232},	//2191 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 233},	//2192 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 234},	//2193 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 235},	//2194 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 236},	//2195 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 237},	//2196 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 238},	//2197 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 239},	//2198 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 240},	//2199 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 241},	//2200 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 242},	//2201 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 243},	//2202 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 244},	//2203 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 245},	//2204 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 246},	//2205 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 247},	//2206 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 248},	//2207 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 249},	//2208 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 250},	//2209 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 251},	//2210 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 252},	//2211 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 253},	//2212 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 254},	//2213 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 255},	//2214 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 256},	//2215 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 257},	//2216 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 258},	//2217 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 259},	//2218 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 260},	//2219 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 261},	//2220 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 262},	//2221 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 263},	//2222 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 264},	//2223 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 265},	//2224 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 266},	//2225 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 267},	//2226 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 268},	//2227 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 269},	//2228 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 270},	//2229 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 271},	//2230 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 272},	//2231 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 273},	//2232 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 274},	//2233 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 275},	//2234 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 276},	//2235 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 277},	//2236 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 278},	//2237 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 279},	//2238 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 280},	//2239 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 281},	//2240 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 282},	//2241 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 283},	//2242 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 284},	//2243 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 285},	//2244 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 286},	//2245 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 287},	//2246 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 288},	//2247 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 289},	//2248 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 290},	//2249 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 291},	//2250 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 292},	//2251 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 293},	//2252 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 294},	//2253 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 295},	//2254 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 296},	//2255 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 297},	//2256 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 298},	//2257 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 299},	//2258 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 300},	//2259 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 301},	//2260 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 302},	//2261 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 303},	//2262 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 304},	//2263 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 305},	//2264 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 306},	//2265 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 307},	//2266 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 308},	//2267 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 309},	//2268 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 310},	//2269 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 311},	//2270 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 312},	//2271 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 313},	//2272 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 314},	//2273 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 315},	//2274 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 316},	//2275 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 317},	//2276 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 318},	//2277 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 319},	//2278 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 320},	//2279 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 321},	//2280 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 322},	//2281 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 323},	//2282 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 324},	//2283 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 325},	//2284 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 326},	//2285 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 327},	//2286 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 328},	//2287 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 329},	//2288 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 330},	//2289 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 331},	//2290 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 332},	//2291 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 333},	//2292 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 334},	//2293 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 335},	//2294 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 336},	//2295 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 337},	//2296 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 338},	//2297 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 339},	//2298 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 340},	//2299 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 341},	//2300 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 342},	//2301 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 343},	//2302 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 344},	//2303 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 345},	//2304 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 346},	//2305 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 347},	//2306 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 348},	//2307 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 349},	//2308 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 350},	//2309 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 351},	//2310 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 352},	//2311 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 353},	//2312 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 354},	//2313 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 355},	//2314 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 356},	//2315 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 357},	//2316 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 358},	//2317 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 359},	//2318 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 360},	//2319 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 361},	//2320 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 362},	//2321 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 363},	//2322 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 364},	//2323 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 365},	//2324 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 366},	//2325 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 367},	//2326 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 368},	//2327 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 369},	//2328 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 370},	//2329 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 371},	//2330 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 372},	//2331 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 373},	//2332 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 374},	//2333 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 375},	//2334 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 376},	//2335 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 377},	//2336 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 378},	//2337 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 379},	//2338 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 380},	//2339 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 381},	//2340 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 382},	//2341 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 383},	//2342 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 384},	//2343 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 385},	//2344 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 386},	//2345 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 387},	//2346 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 388},	//2347 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 389},	//2348 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 390},	//2349 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 391},	//2350 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 392},	//2351 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 393},	//2352 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 394},	//2353 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 395},	//2354 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 396},	//2355 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 397},	//2356 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 398},	//2357 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 399},	//2358 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 400},	//2359 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 401},	//2360 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 402},	//2361 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 403},	//2362 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 404},	//2363 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 405},	//2364 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 406},	//2365 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 407},	//2366 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 408},	//2367 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 409},	//2368 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 410},	//2369 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 411},	//2370 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 412},	//2371 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 413},	//2372 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 414},	//2373 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 415},	//2374 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 416},	//2375 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 417},	//2376 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 418},	//2377 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 419},	//2378 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 420},	//2379 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 421},	//2380 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 422},	//2381 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 423},	//2382 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 424},	//2383 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 425},	//2384 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 426},	//2385 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 427},	//2386 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 428},	//2387 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 429},	//2388 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 430},	//2389 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 431},	//2390 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 432},	//2391 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 433},	//2392 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 434},	//2393 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 435},	//2394 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 436},	//2395 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 437},	//2396 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 438},	//2397 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 439},	//2398 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 440},	//2399 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 441},	//2400 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 442},	//2401 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 443},	//2402 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 444},	//2403 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 445},	//2404 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 446},	//2405 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 447},	//2406 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 448},	//2407 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 449},	//2408 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 450},	//2409 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 451},	//2410 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 452},	//2411 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 453},	//2412 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 454},	//2413 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 455},	//2414 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 456},	//2415 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 457},	//2416 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 458},	//2417 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 459},	//2418 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 460},	//2419 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 461},	//2420 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 462},	//2421 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 463},	//2422 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 464},	//2423 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 465},	//2424 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 466},	//2425 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 467},	//2426 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 468},	//2427 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 469},	//2428 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 470},	//2429 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 471},	//2430 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 472},	//2431 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 473},	//2432 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 474},	//2433 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 475},	//2434 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 476},	//2435 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 477},	//2436 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 478},	//2437 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 479},	//2438 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 480},	//2439 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 481},	//2440 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 482},	//2441 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 483},	//2442 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 484},	//2443 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 485},	//2444 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 486},	//2445 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 487},	//2446 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 488},	//2447 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 489},	//2448 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 490},	//2449 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 491},	//2450 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 492},	//2451 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 493},	//2452 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 494},	//2453 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 495},	//2454 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 496},	//2455 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 497},	//2456 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 498},	//2457 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 499},	//2458 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 500},	//2459 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 501},	//2460 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 502},	//2461 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 503},	//2462 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 504},	//2463 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 505},	//2464 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 506},	//2465 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 507},	//2466 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 508},	//2467 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 509},	//2468 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 510},	//2469 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 511},	//2470 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 512},	//2471 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 513},	//2472 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 514},	//2473 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 515},	//2474 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 516},	//2475 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 517},	//2476 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 518},	//2477 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 519},	//2478 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 520},	//2479 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 521},	//2480 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 522},	//2481 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 523},	//2482 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 524},	//2483 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 525},	//2484 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 526},	//2485 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 527},	//2486 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 528},	//2487 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 529},	//2488 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 530},	//2489 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 531},	//2490 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 532},	//2491 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 533},	//2492 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 534},	//2493 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 535},	//2494 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 536},	//2495 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 537},	//2496 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 538},	//2497 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 539},	//2498 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 540},	//2499 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 541},	//2500 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 542},	//2501 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 543},	//2502 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 544},	//2503 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 545},	//2504 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 546},	//2505 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 547},	//2506 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 548},	//2507 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 549},	//2508 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 550},	//2509 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 551},	//2510 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 552},	//2511 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 553},	//2512 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 554},	//2513 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 555},	//2514 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 556},	//2515 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 557},	//2516 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 558},	//2517 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 559},	//2518 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 560},	//2519 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 561},	//2520 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 562},	//2521 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 563},	//2522 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 564},	//2523 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 565},	//2524 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 566},	//2525 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 567},	//2526 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 568},	//2527 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 569},	//2528 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 570},	//2529 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 571},	//2530 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 572},	//2531 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 573},	//2532 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 574},	//2533 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 575},	//2534 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 576},	//2535 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 577},	//2536 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 578},	//2537 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 579},	//2538 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 580},	//2539 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 581},	//2540 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 582},	//2541 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 583},	//2542 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 584},	//2543 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 585},	//2544 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 586},	//2545 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 587},	//2546 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 588},	//2547 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 589},	//2548 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 590},	//2549 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 591},	//2550 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 592},	//2551 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 593},	//2552 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 594},	//2553 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 595},	//2554 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 596},	//2555 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 597},	//2556 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 598},	//2557 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 599},	//2558 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 600},	//2559 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 601},	//2560 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 602},	//2561 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 603},	//2562 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 604},	//2563 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 605},	//2564 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 606},	//2565 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 607},	//2566 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 608},	//2567 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 609},	//2568 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 610},	//2569 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 611},	//2570 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 612},	//2571 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 613},	//2572 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 614},	//2573 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 615},	//2574 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 616},	//2575 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 617},	//2576 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 618},	//2577 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 619},	//2578 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 620},	//2579 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 621},	//2580 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 622},	//2581 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 623},	//2582 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 624},	//2583 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 625},	//2584 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 626},	//2585 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 627},	//2586 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 628},	//2587 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 629},	//2588 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 630},	//2589 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 631},	//2590 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 632},	//2591 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 633},	//2592 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 634},	//2593 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 635},	//2594 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 636},	//2595 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 637},	//2596 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 638},	//2597 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 639},	//2598 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 640},	//2599 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 641},	//2600 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 642},	//2601 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 643},	//2602 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 644},	//2603 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 645},	//2604 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 646},	//2605 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 647},	//2606 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 648},	//2607 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 649},	//2608 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 650},	//2609 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 651},	//2610 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 652},	//2611 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 653},	//2612 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 654},	//2613 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 655},	//2614 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 656},	//2615 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 657},	//2616 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 658},	//2617 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 659},	//2618 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 660},	//2619 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 661},	//2620 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 662},	//2621 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 663},	//2622 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 664},	//2623 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 665},	//2624 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 666},	//2625 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 667},	//2626 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 668},	//2627 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 669},	//2628 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 670},	//2629 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 671},	//2630 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 672},	//2631 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 673},	//2632 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 674},	//2633 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 675},	//2634 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 676},	//2635 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 677},	//2636 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 678},	//2637 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 679},	//2638 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 680},	//2639 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 681},	//2640 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 682},	//2641 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 683},	//2642 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 684},	//2643 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 685},	//2644 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 686},	//2645 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 687},	//2646 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 688},	//2647 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 689},	//2648 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 690},	//2649 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 691},	//2650 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 692},	//2651 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 693},	//2652 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 694},	//2653 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 695},	//2654 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 696},	//2655 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 697},	//2656 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 698},	//2657 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 699},	//2658 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 700},	//2659 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 701},	//2660 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 702},	//2661 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 703},	//2662 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 704},	//2663 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 705},	//2664 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 706},	//2665 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 707},	//2666 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 708},	//2667 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 709},	//2668 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 710},	//2669 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 711},	//2670 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 712},	//2671 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 713},	//2672 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 714},	//2673 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 715},	//2674 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 716},	//2675 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 717},	//2676 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 718},	//2677 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 719},	//2678 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 720},	//2679 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 721},	//2680 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 722},	//2681 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 723},	//2682 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 724},	//2683 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 725},	//2684 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 726},	//2685 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 727},	//2686 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 728},	//2687 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 729},	//2688 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 730},	//2689 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 731},	//2690 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 732},	//2691 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 733},	//2692 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 734},	//2693 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 735},	//2694 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 736},	//2695 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 737},	//2696 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 738},	//2697 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 739},	//2698 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 740},	//2699 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 741},	//2700 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 742},	//2701 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 743},	//2702 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 744},	//2703 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 745},	//2704 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 746},	//2705 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 747},	//2706 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 748},	//2707 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 749},	//2708 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 750},	//2709 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 751},	//2710 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 752},	//2711 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 753},	//2712 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 754},	//2713 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 755},	//2714 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 756},	//2715 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 757},	//2716 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 758},	//2717 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 759},	//2718 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 760},	//2719 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 761},	//2720 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 762},	//2721 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 763},	//2722 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 764},	//2723 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 765},	//2724 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 766},	//2725 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 767},	//2726 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 768},	//2727 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 769},	//2728 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 770},	//2729 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 771},	//2730 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 772},	//2731 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 773},	//2732 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 774},	//2733 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 775},	//2734 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 776},	//2735 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 777},	//2736 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 778},	//2737 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 779},	//2738 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 780},	//2739 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 781},	//2740 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 782},	//2741 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 783},	//2742 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 784},	//2743 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 785},	//2744 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 786},	//2745 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 787},	//2746 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 788},	//2747 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 789},	//2748 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 790},	//2749 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 791},	//2750 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 792},	//2751 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 793},	//2752 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 794},	//2753 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 795},	//2754 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 796},	//2755 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 797},	//2756 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 798},	//2757 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 799},	//2758 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 800},	//2759 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 801},	//2760 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 802},	//2761 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 803},	//2762 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 804},	//2763 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 805},	//2764 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 806},	//2765 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 807},	//2766 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 808},	//2767 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 809},	//2768 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 810},	//2769 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 811},	//2770 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 812},	//2771 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 813},	//2772 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 814},	//2773 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 815},	//2774 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 816},	//2775 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 817},	//2776 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 818},	//2777 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 819},	//2778 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 820},	//2779 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 821},	//2780 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 822},	//2781 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 823},	//2782 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 824},	//2783 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 825},	//2784 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 826},	//2785 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 827},	//2786 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 828},	//2787 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 829},	//2788 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 830},	//2789 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 831},	//2790 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 832},	//2791 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 833},	//2792 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 834},	//2793 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 835},	//2794 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 836},	//2795 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 837},	//2796 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 838},	//2797 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 839},	//2798 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 840},	//2799 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 841},	//2800 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 842},	//2801 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 843},	//2802 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 844},	//2803 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 845},	//2804 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 846},	//2805 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 847},	//2806 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 848},	//2807 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 849},	//2808 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 850},	//2809 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 851},	//2810 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 852},	//2811 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 853},	//2812 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 854},	//2813 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 855},	//2814 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 856},	//2815 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 857},	//2816 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 858},	//2817 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 859},	//2818 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 860},	//2819 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 861},	//2820 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 862},	//2821 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 863},	//2822 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 864},	//2823 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 865},	//2824 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 866},	//2825 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 867},	//2826 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 868},	//2827 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 869},	//2828 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 870},	//2829 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 871},	//2830 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 872},	//2831 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 873},	//2832 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 874},	//2833 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 875},	//2834 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 876},	//2835 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 877},	//2836 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 878},	//2837 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 879},	//2838 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 880},	//2839 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 881},	//2840 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 882},	//2841 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 883},	//2842 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 884},	//2843 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 885},	//2844 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 886},	//2845 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 887},	//2846 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 888},	//2847 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 889},	//2848 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 890},	//2849 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 891},	//2850 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 892},	//2851 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 893},	//2852 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 894},	//2853 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 895},	//2854 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 896},	//2855 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 897},	//2856 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 898},	//2857 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 899},	//2858 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 900},	//2859 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 901},	//2860 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 902},	//2861 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 903},	//2862 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 904},	//2863 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 905},	//2864 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 906},	//2865 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 907},	//2866 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 908},	//2867 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 909},	//2868 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 910},	//2869 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 911},	//2870 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 912},	//2871 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 913},	//2872 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 914},	//2873 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 915},	//2874 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 916},	//2875 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 917},	//2876 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 918},	//2877 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 919},	//2878 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 920},	//2879 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 921},	//2880 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 922},	//2881 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 923},	//2882 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 924},	//2883 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 925},	//2884 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 926},	//2885 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 927},	//2886 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 928},	//2887 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 929},	//2888 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 930},	//2889 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 931},	//2890 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 932},	//2891 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 933},	//2892 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 934},	//2893 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 935},	//2894 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 936},	//2895 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 937},	//2896 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 938},	//2897 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 939},	//2898 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 940},	//2899 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 941},	//2900 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 942},	//2901 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 943},	//2902 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 944},	//2903 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 945},	//2904 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 946},	//2905 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 947},	//2906 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 948},	//2907 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 949},	//2908 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 950},	//2909 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 951},	//2910 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 952},	//2911 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 953},	//2912 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 954},	//2913 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 955},	//2914 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 956},	//2915 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 957},	//2916 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 958},	//2917 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 959},	//2918 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 960},	//2919 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 961},	//2920 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 962},	//2921 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 963},	//2922 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 964},	//2923 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 965},	//2924 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 966},	//2925 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 967},	//2926 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 968},	//2927 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 969},	//2928 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 970},	//2929 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 971},	//2930 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 972},	//2931 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 973},	//2932 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 974},	//2933 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 975},	//2934 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 976},	//2935 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 977},	//2936 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 978},	//2937 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 979},	//2938 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 980},	//2939 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 981},	//2940 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 982},	//2941 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 983},	//2942 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 984},	//2943 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 985},	//2944 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 986},	//2945 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 987},	//2946 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 988},	//2947 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 989},	//2948 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 990},	//2949 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 991},	//2950 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 992},	//2951 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 993},	//2952 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 994},	//2953 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 995},	//2954 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 996},	//2955 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 997},	//2956 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 998},	//2957 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 999},	//2958 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1000},	//2959 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1001},	//2960 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1002},	//2961 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1003},	//2962 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1004},	//2963 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1005},	//2964 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1006},	//2965 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1007},	//2966 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1008},	//2967 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1009},	//2968 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1010},	//2969 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1011},	//2970 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1012},	//2971 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1013},	//2972 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1014},	//2973 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1015},	//2974 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1016},	//2975 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1017},	//2976 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1018},	//2977 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1019},	//2978 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1020},	//2979 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1021},	//2980 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1022},	//2981 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1023},	//2982 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1024},	//2983 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1025},	//2984 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1026},	//2985 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1027},	//2986 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1028},	//2987 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1029},	//2988 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1030},	//2989 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1031},	//2990 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1032},	//2991 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1033},	//2992 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1034},	//2993 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1035},	//2994 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1036},	//2995 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1037},	//2996 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1038},	//2997 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1039},	//2998 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1040},	//2999 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1041},	//3000 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1042},	//3001 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1043},	//3002 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1044},	//3003 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1045},	//3004 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1046},	//3005 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1047},	//3006 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1048},	//3007 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1049},	//3008 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1050},	//3009 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1051},	//3010 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1052},	//3011 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1053},	//3012 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1054},	//3013 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1055},	//3014 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1056},	//3015 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1057},	//3016 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1058},	//3017 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1059},	//3018 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1060},	//3019 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1061},	//3020 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1062},	//3021 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1063},	//3022 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1064},	//3023 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1065},	//3024 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1066},	//3025 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1067},	//3026 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1068},	//3027 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1069},	//3028 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1070},	//3029 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1071},	//3030 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1072},	//3031 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1073},	//3032 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1074},	//3033 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1075},	//3034 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1076},	//3035 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1077},	//3036 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1078},	//3037 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1079},	//3038 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1080},	//3039 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1081},	//3040 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1082},	//3041 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1083},	//3042 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1084},	//3043 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1085},	//3044 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1086},	//3045 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1087},	//3046 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1088},	//3047 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1089},	//3048 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1090},	//3049 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1091},	//3050 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1092},	//3051 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1093},	//3052 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1094},	//3053 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1095},	//3054 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1096},	//3055 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1097},	//3056 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1098},	//3057 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1099},	//3058 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1100},	//3059 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1101},	//3060 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1102},	//3061 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1103},	//3062 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1104},	//3063 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1105},	//3064 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1106},	//3065 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1107},	//3066 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1108},	//3067 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1109},	//3068 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1110},	//3069 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1111},	//3070 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1112},	//3071 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1113},	//3072 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1114},	//3073 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1115},	//3074 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1116},	//3075 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1117},	//3076 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1118},	//3077 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1119},	//3078 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1120},	//3079 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1121},	//3080 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1122},	//3081 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1123},	//3082 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1124},	//3083 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1125},	//3084 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1126},	//3085 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1127},	//3086 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1128},	//3087 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1129},	//3088 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1130},	//3089 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1131},	//3090 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1132},	//3091 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1133},	//3092 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1134},	//3093 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1135},	//3094 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1136},	//3095 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1137},	//3096 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1138},	//3097 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1139},	//3098 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1140},	//3099 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1141},	//3100 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1142},	//3101 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1143},	//3102 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1144},	//3103 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1145},	//3104 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1146},	//3105 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1147},	//3106 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1148},	//3107 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1149},	//3108 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1150},	//3109 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1151},	//3110 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1152},	//3111 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1153},	//3112 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1154},	//3113 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1155},	//3114 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1156},	//3115 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1157},	//3116 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1158},	//3117 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1159},	//3118 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1160},	//3119 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1161},	//3120 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1162},	//3121 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1163},	//3122 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1164},	//3123 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1165},	//3124 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1166},	//3125 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1167},	//3126 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1168},	//3127 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1169},	//3128 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1170},	//3129 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1171},	//3130 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1172},	//3131 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1173},	//3132 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1174},	//3133 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1175},	//3134 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1176},	//3135 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1177},	//3136 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1178},	//3137 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1179},	//3138 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1180},	//3139 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1181},	//3140 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1182},	//3141 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1183},	//3142 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1184},	//3143 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1185},	//3144 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1186},	//3145 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1187},	//3146 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1188},	//3147 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1189},	//3148 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1190},	//3149 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1191},	//3150 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1192},	//3151 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1193},	//3152 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1194},	//3153 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1195},	//3154 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1196},	//3155 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1197},	//3156 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1198},	//3157 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1199},	//3158 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1200},	//3159 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1201},	//3160 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1202},	//3161 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1203},	//3162 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1204},	//3163 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1205},	//3164 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1206},	//3165 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1207},	//3166 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1208},	//3167 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1209},	//3168 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1210},	//3169 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1211},	//3170 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1212},	//3171 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1213},	//3172 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1214},	//3173 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1215},	//3174 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1216},	//3175 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1217},	//3176 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1218},	//3177 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1219},	//3178 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1220},	//3179 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1221},	//3180 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1222},	//3181 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1223},	//3182 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1224},	//3183 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1225},	//3184 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1226},	//3185 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1227},	//3186 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1228},	//3187 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1229},	//3188 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1230},	//3189 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1231},	//3190 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1232},	//3191 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1233},	//3192 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1234},	//3193 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1235},	//3194 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1236},	//3195 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1237},	//3196 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1238},	//3197 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1239},	//3198 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1240},	//3199 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1241},	//3200 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1242},	//3201 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1243},	//3202 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1244},	//3203 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1245},	//3204 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1246},	//3205 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1247},	//3206 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1248},	//3207 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1249},	//3208 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1250},	//3209 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1251},	//3210 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1252},	//3211 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1253},	//3212 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1254},	//3213 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1255},	//3214 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1256},	//3215 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1257},	//3216 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1258},	//3217 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1259},	//3218 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1260},	//3219 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1261},	//3220 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1262},	//3221 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1263},	//3222 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1264},	//3223 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1265},	//3224 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1266},	//3225 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1267},	//3226 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1268},	//3227 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1269},	//3228 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1270},	//3229 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1271},	//3230 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1272},	//3231 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1273},	//3232 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1274},	//3233 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1275},	//3234 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1276},	//3235 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1277},	//3236 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1278},	//3237 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1279},	//3238 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1280},	//3239 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1281},	//3240 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1282},	//3241 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1283},	//3242 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1284},	//3243 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1285},	//3244 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1286},	//3245 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1287},	//3246 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1288},	//3247 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1289},	//3248 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1290},	//3249 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1291},	//3250 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1292},	//3251 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1293},	//3252 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1294},	//3253 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1295},	//3254 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1296},	//3255 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1297},	//3256 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1298},	//3257 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1299},	//3258 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1300},	//3259 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1301},	//3260 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1302},	//3261 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1303},	//3262 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1304},	//3263 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1305},	//3264 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1306},	//3265 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1307},	//3266 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1308},	//3267 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1309},	//3268 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1310},	//3269 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1311},	//3270 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1312},	//3271 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1313},	//3272 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1314},	//3273 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1315},	//3274 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1316},	//3275 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1317},	//3276 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1318},	//3277 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1319},	//3278 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1320},	//3279 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1321},	//3280 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1322},	//3281 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1323},	//3282 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1324},	//3283 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1325},	//3284 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1326},	//3285 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1327},	//3286 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1328},	//3287 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1329},	//3288 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1330},	//3289 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1331},	//3290 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1332},	//3291 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1333},	//3292 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1334},	//3293 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1335},	//3294 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1336},	//3295 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1337},	//3296 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1338},	//3297 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1339},	//3298 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1340},	//3299 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1341},	//3300 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1342},	//3301 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1343},	//3302 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1344},	//3303 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1345},	//3304 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1346},	//3305 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1347},	//3306 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1348},	//3307 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1349},	//3308 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1350},	//3309 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1351},	//3310 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1352},	//3311 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1353},	//3312 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1354},	//3313 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1355},	//3314 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1356},	//3315 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1357},	//3316 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1358},	//3317 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1359},	//3318 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1360},	//3319 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1361},	//3320 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1362},	//3321 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1363},	//3322 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1364},	//3323 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1365},	//3324 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1366},	//3325 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1367},	//3326 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1368},	//3327 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1369},	//3328 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1370},	//3329 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1371},	//3330 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1372},	//3331 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1373},	//3332 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1374},	//3333 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1375},	//3334 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1376},	//3335 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1377},	//3336 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1378},	//3337 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1379},	//3338 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1380},	//3339 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1381},	//3340 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1382},	//3341 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1383},	//3342 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1384},	//3343 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1385},	//3344 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1386},	//3345 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1387},	//3346 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1388},	//3347 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1389},	//3348 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1390},	//3349 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1391},	//3350 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1392},	//3351 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1393},	//3352 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1394},	//3353 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1395},	//3354 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1396},	//3355 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1397},	//3356 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1398},	//3357 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1399},	//3358 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1400},	//3359 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1401},	//3360 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1402},	//3361 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1403},	//3362 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1404},	//3363 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1405},	//3364 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1406},	//3365 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1407},	//3366 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1408},	//3367 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1409},	//3368 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1410},	//3369 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1411},	//3370 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1412},	//3371 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1413},	//3372 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1414},	//3373 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1415},	//3374 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1416},	//3375 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1417},	//3376 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1418},	//3377 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1419},	//3378 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1420},	//3379 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1421},	//3380 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1422},	//3381 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1423},	//3382 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1424},	//3383 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1425},	//3384 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1426},	//3385 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1427},	//3386 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1428},	//3387 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1429},	//3388 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1430},	//3389 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1431},	//3390 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1432},	//3391 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1433},	//3392 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1434},	//3393 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1435},	//3394 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1436},	//3395 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1437},	//3396 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1438},	//3397 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1439},	//3398 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1440},	//3399 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1441},	//3400 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1442},	//3401 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1443},	//3402 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1444},	//3403 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1445},	//3404 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1446},	//3405 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1447},	//3406 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1448},	//3407 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1449},	//3408 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1450},	//3409 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1451},	//3410 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1452},	//3411 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1453},	//3412 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1454},	//3413 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1455},	//3414 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1456},	//3415 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1457},	//3416 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1458},	//3417 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1459},	//3418 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1460},	//3419 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1461},	//3420 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1462},	//3421 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1463},	//3422 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1464},	//3423 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1465},	//3424 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1466},	//3425 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1467},	//3426 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1468},	//3427 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1469},	//3428 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1470},	//3429 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1471},	//3430 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1472},	//3431 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1473},	//3432 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1474},	//3433 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1475},	//3434 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1476},	//3435 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1477},	//3436 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1478},	//3437 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1479},	//3438 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1480},	//3439 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1481},	//3440 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1482},	//3441 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1483},	//3442 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1484},	//3443 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1485},	//3444 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1486},	//3445 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1487},	//3446 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1488},	//3447 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1489},	//3448 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1490},	//3449 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1491},	//3450 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1492},	//3451 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1493},	//3452 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1494},	//3453 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1495},	//3454 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1496},	//3455 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1497},	//3456 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1498},	//3457 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1499},	//3458 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1500},	//3459 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1501},	//3460 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1502},	//3461 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1503},	//3462 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1504},	//3463 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1505},	//3464 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1506},	//3465 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1507},	//3466 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1508},	//3467 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1509},	//3468 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1510},	//3469 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1511},	//3470 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1512},	//3471 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1513},	//3472 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1514},	//3473 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1515},	//3474 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1516},	//3475 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1517},	//3476 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1518},	//3477 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1519},	//3478 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1520},	//3479 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1521},	//3480 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1522},	//3481 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1523},	//3482 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1524},	//3483 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1525},	//3484 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1526},	//3485 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1527},	//3486 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1528},	//3487 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1529},	//3488 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1530},	//3489 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1531},	//3490 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1532},	//3491 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1533},	//3492 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1534},	//3493 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1535},	//3494 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1536},	//3495 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1537},	//3496 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1538},	//3497 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1539},	//3498 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1540},	//3499 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1541},	//3500 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1542},	//3501 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1543},	//3502 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1544},	//3503 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1545},	//3504 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1546},	//3505 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1547},	//3506 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1548},	//3507 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1549},	//3508 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1550},	//3509 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1551},	//3510 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1552},	//3511 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1553},	//3512 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1554},	//3513 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1555},	//3514 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1556},	//3515 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1557},	//3516 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1558},	//3517 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1559},	//3518 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1560},	//3519 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1561},	//3520 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1562},	//3521 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1563},	//3522 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1564},	//3523 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1565},	//3524 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1566},	//3525 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1567},	//3526 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1568},	//3527 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1569},	//3528 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1570},	//3529 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1571},	//3530 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1572},	//3531 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1573},	//3532 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1574},	//3533 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1575},	//3534 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1576},	//3535 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1577},	//3536 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1578},	//3537 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1579},	//3538 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1580},	//3539 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1581},	//3540 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1582},	//3541 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1583},	//3542 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1584},	//3543 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1585},	//3544 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1586},	//3545 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1587},	//3546 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1588},	//3547 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1589},	//3548 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1590},	//3549 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1591},	//3550 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1592},	//3551 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1593},	//3552 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1594},	//3553 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1595},	//3554 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1596},	//3555 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1597},	//3556 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1598},	//3557 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1599},	//3558 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1600},	//3559 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1601},	//3560 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1602},	//3561 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1603},	//3562 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1604},	//3563 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1605},	//3564 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1606},	//3565 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1607},	//3566 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1608},	//3567 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1609},	//3568 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1610},	//3569 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1611},	//3570 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1612},	//3571 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1613},	//3572 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1614},	//3573 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1615},	//3574 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1616},	//3575 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1617},	//3576 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1618},	//3577 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1619},	//3578 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1620},	//3579 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1621},	//3580 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1622},	//3581 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1623},	//3582 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1624},	//3583 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1625},	//3584 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1626},	//3585 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1627},	//3586 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1628},	//3587 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1629},	//3588 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1630},	//3589 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1631},	//3590 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1632},	//3591 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1633},	//3592 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1634},	//3593 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1635},	//3594 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1636},	//3595 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1637},	//3596 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1638},	//3597 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1639},	//3598 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1640},	//3599 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1641},	//3600 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1642},	//3601 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1643},	//3602 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1644},	//3603 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1645},	//3604 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1646},	//3605 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1647},	//3606 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1648},	//3607 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1649},	//3608 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1650},	//3609 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1651},	//3610 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1652},	//3611 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1653},	//3612 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1654},	//3613 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1655},	//3614 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1656},	//3615 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1657},	//3616 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1658},	//3617 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1659},	//3618 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1660},	//3619 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1661},	//3620 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1662},	//3621 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1663},	//3622 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1664},	//3623 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1665},	//3624 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1666},	//3625 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1667},	//3626 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1668},	//3627 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1669},	//3628 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1670},	//3629 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1671},	//3630 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1672},	//3631 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1673},	//3632 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1674},	//3633 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1675},	//3634 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1676},	//3635 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1677},	//3636 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1678},	//3637 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1679},	//3638 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1680},	//3639 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1681},	//3640 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1682},	//3641 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1683},	//3642 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1684},	//3643 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1685},	//3644 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1686},	//3645 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1687},	//3646 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1688},	//3647 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1689},	//3648 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1690},	//3649 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1691},	//3650 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1692},	//3651 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1693},	//3652 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1694},	//3653 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1695},	//3654 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1696},	//3655 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1697},	//3656 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1698},	//3657 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1699},	//3658 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1700},	//3659 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1701},	//3660 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1702},	//3661 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1703},	//3662 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1704},	//3663 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1705},	//3664 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1706},	//3665 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1707},	//3666 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1708},	//3667 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1709},	//3668 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1710},	//3669 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1711},	//3670 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1712},	//3671 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1713},	//3672 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1714},	//3673 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1715},	//3674 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1716},	//3675 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1717},	//3676 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1718},	//3677 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1719},	//3678 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1720},	//3679 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1721},	//3680 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1722},	//3681 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1723},	//3682 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1724},	//3683 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1725},	//3684 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1726},	//3685 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1727},	//3686 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1728},	//3687 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1729},	//3688 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1730},	//3689 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1731},	//3690 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1732},	//3691 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1733},	//3692 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1734},	//3693 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1735},	//3694 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1736},	//3695 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1737},	//3696 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1738},	//3697 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1739},	//3698 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1740},	//3699 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1741},	//3700 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1742},	//3701 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1743},	//3702 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1744},	//3703 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1745},	//3704 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1746},	//3705 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1747},	//3706 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1748},	//3707 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1749},	//3708 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1750},	//3709 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1751},	//3710 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1752},	//3711 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1753},	//3712 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1754},	//3713 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1755},	//3714 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1756},	//3715 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1757},	//3716 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1758},	//3717 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1759},	//3718 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1760},	//3719 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1761},	//3720 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1762},	//3721 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1763},	//3722 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1764},	//3723 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1765},	//3724 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1766},	//3725 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1767},	//3726 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1768},	//3727 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1769},	//3728 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1770},	//3729 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1771},	//3730 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1772},	//3731 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1773},	//3732 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1774},	//3733 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1775},	//3734 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1776},	//3735 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1777},	//3736 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1778},	//3737 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1779},	//3738 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1780},	//3739 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1781},	//3740 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1782},	//3741 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1783},	//3742 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1784},	//3743 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1785},	//3744 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1786},	//3745 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1787},	//3746 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1788},	//3747 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1789},	//3748 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1790},	//3749 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1791},	//3750 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1792},	//3751 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1793},	//3752 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1794},	//3753 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1795},	//3754 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1796},	//3755 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1797},	//3756 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1798},	//3757 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1799},	//3758 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1800},	//3759 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1801},	//3760 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1802},	//3761 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1803},	//3762 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1804},	//3763 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1805},	//3764 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1806},	//3765 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1807},	//3766 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1808},	//3767 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1809},	//3768 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1810},	//3769 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1811},	//3770 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1812},	//3771 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1813},	//3772 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1814},	//3773 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1815},	//3774 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1816},	//3775 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1817},	//3776 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1818},	//3777 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1819},	//3778 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1820},	//3779 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1821},	//3780 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1822},	//3781 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1823},	//3782 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1824},	//3783 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1825},	//3784 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1826},	//3785 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1827},	//3786 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1828},	//3787 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1829},	//3788 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1830},	//3789 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1831},	//3790 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1832},	//3791 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1833},	//3792 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1834},	//3793 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1835},	//3794 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1836},	//3795 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1837},	//3796 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1838},	//3797 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1839},	//3798 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1840},	//3799 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1841},	//3800 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1842},	//3801 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1843},	//3802 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1844},	//3803 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1845},	//3804 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1846},	//3805 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1847},	//3806 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1848},	//3807 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1849},	//3808 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1850},	//3809 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1851},	//3810 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1852},	//3811 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1853},	//3812 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1854},	//3813 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1855},	//3814 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1856},	//3815 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1857},	//3816 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1858},	//3817 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1859},	//3818 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1860},	//3819 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1861},	//3820 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1862},	//3821 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1863},	//3822 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1864},	//3823 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1865},	//3824 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1866},	//3825 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1867},	//3826 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1868},	//3827 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1869},	//3828 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1870},	//3829 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1871},	//3830 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1872},	//3831 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1873},	//3832 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1874},	//3833 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1875},	//3834 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1876},	//3835 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1877},	//3836 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1878},	//3837 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1879},	//3838 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1880},	//3839 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1881},	//3840 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1882},	//3841 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1883},	//3842 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1884},	//3843 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1885},	//3844 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1886},	//3845 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1887},	//3846 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1888},	//3847 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1889},	//3848 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1890},	//3849 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1891},	//3850 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1892},	//3851 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1893},	//3852 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1894},	//3853 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1895},	//3854 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1896},	//3855 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1897},	//3856 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1898},	//3857 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1899},	//3858 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1900},	//3859 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1901},	//3860 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1902},	//3861 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1903},	//3862 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1904},	//3863 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1905},	//3864 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1906},	//3865 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1907},	//3866 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1908},	//3867 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1909},	//3868 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1910},	//3869 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1911},	//3870 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1912},	//3871 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1913},	//3872 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1914},	//3873 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1915},	//3874 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1916},	//3875 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1917},	//3876 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1918},	//3877 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1919},	//3878 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1920},	//3879 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1921},	//3880 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1922},	//3881 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1923},	//3882 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1924},	//3883 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1925},	//3884 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1926},	//3885 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1927},	//3886 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1928},	//3887 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1929},	//3888 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1930},	//3889 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1931},	//3890 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1932},	//3891 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1933},	//3892 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1934},	//3893 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1935},	//3894 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1936},	//3895 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1937},	//3896 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1938},	//3897 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1939},	//3898 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1940},	//3899 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1941},	//3900 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1942},	//3901 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1943},	//3902 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1944},	//3903 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1945},	//3904 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1946},	//3905 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1947},	//3906 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1948},	//3907 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1949},	//3908 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1950},	//3909 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1951},	//3910 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1952},	//3911 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1953},	//3912 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1954},	//3913 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1955},	//3914 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1956},	//3915 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1957},	//3916 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1958},	//3917 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1959},	//3918 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1960},	//3919 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1961},	//3920 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1962},	//3921 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1963},	//3922 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1964},	//3923 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1965},	//3924 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1966},	//3925 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1967},	//3926 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1968},	//3927 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1969},	//3928 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1970},	//3929 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1971},	//3930 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1972},	//3931 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1973},	//3932 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1974},	//3933 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1975},	//3934 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1976},	//3935 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1977},	//3936 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1978},	//3937 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1979},	//3938 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1980},	//3939 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1981},	//3940 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1982},	//3941 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1983},	//3942 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1984},	//3943 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1985},	//3944 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1986},	//3945 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1987},	//3946 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1988},	//3947 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1989},	//3948 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1990},	//3949 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1991},	//3950 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1992},	//3951 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1993},	//3952 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1994},	//3953 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1995},	//3954 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1996},	//3955 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1997},	//3956 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1998},	//3957 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1999},	//3958 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2000},	//3959 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2001},	//3960 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2002},	//3961 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2003},	//3962 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2004},	//3963 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2005},	//3964 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2006},	//3965 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2007},	//3966 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2008},	//3967 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2009},	//3968 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2010},	//3969 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2011},	//3970 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2012},	//3971 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2013},	//3972 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2014},	//3973 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2015},	//3974 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2016},	//3975 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2017},	//3976 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2018},	//3977 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2019},	//3978 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2020},	//3979 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2021},	//3980 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2022},	//3981 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2023},	//3982 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2024},	//3983 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2025},	//3984 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2026},	//3985 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2027},	//3986 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2028},	//3987 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2029},	//3988 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2030},	//3989 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2031},	//3990 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2032},	//3991 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2033},	//3992 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2034},	//3993 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2035},	//3994 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2036},	//3995 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2037},	//3996 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2038},	//3997 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2039},	//3998 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2040},	//3999 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2041},	//4000 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2042},	//4001 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2043},	//4002 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2044},	//4003 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2045},	//4004 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2046},	//4005 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2047},	//4006 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2048},	//4007 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2049},	//4008 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2050},	//4009 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2051},	//4010 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2052},	//4011 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2053},	//4012 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2054},	//4013 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2055},	//4014 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2056},	//4015 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2057},	//4016 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2058},	//4017 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2059},	//4018 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2060},	//4019 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2061},	//4020 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2062},	//4021 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2063},	//4022 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2064},	//4023 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2065},	//4024 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2066},	//4025 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2067},	//4026 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2068},	//4027 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2069},	//4028 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2070},	//4029 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2071},	//4030 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2072},	//4031 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2073},	//4032 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2074},	//4033 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2075},	//4034 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2076},	//4035 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2077},	//4036 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2078},	//4037 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2079},	//4038 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2080},	//4039 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2081},	//4040 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2082},	//4041 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2083},	//4042 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2084},	//4043 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2085},	//4044 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2086},	//4045 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2087},	//4046 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2088},	//4047 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2089},	//4048 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2090},	//4049 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2091},	//4050 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2092},	//4051 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2093},	//4052 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2094},	//4053 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2095},	//4054 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2096},	//4055 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2097},	//4056 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2098},	//4057 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2099},	//4058 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2100},	//4059 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2101},	//4060 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2102},	//4061 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2103},	//4062 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2104},	//4063 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2105},	//4064 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2106},	//4065 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2107},	//4066 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2108},	//4067 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2109},	//4068 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2110},	//4069 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2111},	//4070 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2112},	//4071 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2113},	//4072 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2114},	//4073 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2115},	//4074 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2116},	//4075 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2117},	//4076 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2118},	//4077 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2119},	//4078 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2120},	//4079 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2121},	//4080 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2122},	//4081 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2123},	//4082 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2124},	//4083 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2125},	//4084 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2126},	//4085 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2127},	//4086 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2128},	//4087 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2129},	//4088 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2130},	//4089 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2131},	//4090 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2132},	//4091 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2133},	//4092 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2134},	//4093 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2135},	//4094 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2136},	//4095 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2137},	//4096 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2138},	//4097 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2139},	//4098 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2140},	//4099 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2141},	//4100 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2142},	//4101 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2143},	//4102 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2144},	//4103 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2145},	//4104 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2146},	//4105 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2147},	//4106 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2148},	//4107 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2149},	//4108 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2150},	//4109 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2151},	//4110 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2152},	//4111 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2153},	//4112 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2154},	//4113 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2155},	//4114 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2156},	//4115 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2157},	//4116 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2158},	//4117 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2159},	//4118 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2160},	//4119 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2161},	//4120 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2162},	//4121 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2163},	//4122 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2164},	//4123 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2165},	//4124 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2166},	//4125 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2167},	//4126 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2168},	//4127 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2169},	//4128 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2170},	//4129 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2171},	//4130 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2172},	//4131 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2173},	//4132 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2174},	//4133 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2175},	//4134 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2176},	//4135 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2177},	//4136 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2178},	//4137 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2179},	//4138 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2180},	//4139 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2181},	//4140 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2182},	//4141 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2183},	//4142 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2184},	//4143 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2185},	//4144 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2186},	//4145 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2187},	//4146 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2188},	//4147 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2189},	//4148 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2190},	//4149 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2191},	//4150 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2192},	//4151 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2193},	//4152 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2194},	//4153 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2195},	//4154 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2196},	//4155 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2197},	//4156 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2198},	//4157 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2199},	//4158 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2200},	//4159 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2201},	//4160 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2202},	//4161 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2203},	//4162 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2204},	//4163 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2205},	//4164 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2206},	//4165 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2207},	//4166 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2208},	//4167 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2209},	//4168 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2210},	//4169 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2211},	//4170 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2212},	//4171 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2213},	//4172 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2214},	//4173 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2215},	//4174 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2216},	//4175 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2217},	//4176 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2218},	//4177 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2219},	//4178 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2220},	//4179 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2221},	//4180 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2222},	//4181 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2223},	//4182 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2224},	//4183 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2225},	//4184 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2226},	//4185 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2227},	//4186 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2228},	//4187 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2229},	//4188 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2230},	//4189 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2231},	//4190 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2232},	//4191 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2233},	//4192 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2234},	//4193 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2235},	//4194 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2236},	//4195 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2237},	//4196 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2238},	//4197 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2239},	//4198 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2240},	//4199 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2241},	//4200 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2242},	//4201 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2243},	//4202 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2244},	//4203 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2245},	//4204 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2246},	//4205 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2247},	//4206 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2248},	//4207 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2249},	//4208 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2250},	//4209 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2251},	//4210 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2252},	//4211 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2253},	//4212 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2254},	//4213 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2255},	//4214 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2256},	//4215 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2257},	//4216 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2258},	//4217 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2259},	//4218 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2260},	//4219 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2261},	//4220 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2262},	//4221 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2263},	//4222 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2264},	//4223 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2265},	//4224 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2266},	//4225 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2267},	//4226 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2268},	//4227 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2269},	//4228 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2270},	//4229 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2271},	//4230 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2272},	//4231 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2273},	//4232 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2274},	//4233 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2275},	//4234 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2276},	//4235 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2277},	//4236 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2278},	//4237 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2279},	//4238 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2280},	//4239 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2281},	//4240 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2282},	//4241 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2283},	//4242 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2284},	//4243 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2285},	//4244 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2286},	//4245 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2287},	//4246 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2288},	//4247 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2289},	//4248 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2290},	//4249 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2291},	//4250 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2292},	//4251 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2293},	//4252 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2294},	//4253 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2295},	//4254 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2296},	//4255 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2297},	//4256 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2298},	//4257 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2299},	//4258 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2300},	//4259 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2301},	//4260 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2302},	//4261 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2303},	//4262 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2304},	//4263 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2305},	//4264 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2306},	//4265 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2307},	//4266 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2308},	//4267 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2309},	//4268 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2310},	//4269 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2311},	//4270 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2312},	//4271 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2313},	//4272 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2314},	//4273 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2315},	//4274 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2316},	//4275 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2317},	//4276 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2318},	//4277 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2319},	//4278 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2320},	//4279 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2321},	//4280 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2322},	//4281 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2323},	//4282 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2324},	//4283 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2325},	//4284 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2326},	//4285 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2327},	//4286 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2328},	//4287 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2329},	//4288 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2330},	//4289 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2331},	//4290 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2332},	//4291 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2333},	//4292 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2334},	//4293 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2335},	//4294 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2336},	//4295 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2337},	//4296 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2338},	//4297 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2339},	//4298 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2340},	//4299 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2341},	//4300 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2342},	//4301 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2343},	//4302 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2344},	//4303 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2345},	//4304 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2346},	//4305 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2347},	//4306 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2348},	//4307 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2349},	//4308 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2350},	//4309 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2351},	//4310 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2352},	//4311 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2353},	//4312 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2354},	//4313 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2355},	//4314 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2356},	//4315 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2357},	//4316 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2358},	//4317 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2359},	//4318 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2360},	//4319 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2361},	//4320 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2362},	//4321 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2363},	//4322 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2364},	//4323 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2365},	//4324 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2366},	//4325 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2367},	//4326 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2368},	//4327 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2369},	//4328 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2370},	//4329 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2371},	//4330 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2372},	//4331 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2373},	//4332 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2374},	//4333 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2375},	//4334 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2376},	//4335 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2377},	//4336 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2378},	//4337 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2379},	//4338 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2380},	//4339 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2381},	//4340 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2382},	//4341 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2383},	//4342 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2384},	//4343 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2385},	//4344 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2386},	//4345 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2387},	//4346 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2388},	//4347 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2389},	//4348 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2390},	//4349 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2391},	//4350 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2392},	//4351 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2393},	//4352 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2394},	//4353 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2395},	//4354 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2396},	//4355 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2397},	//4356 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2398},	//4357 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2399},	//4358 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2400},	//4359 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2401},	//4360 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2402},	//4361 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2403},	//4362 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2404},	//4363 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2405},	//4364 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2406},	//4365 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2407},	//4366 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2408},	//4367 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2409},	//4368 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2410},	//4369 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2411},	//4370 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2412},	//4371 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2413},	//4372 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2414},	//4373 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2415},	//4374 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2416},	//4375 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2417},	//4376 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2418},	//4377 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2419},	//4378 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2420},	//4379 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2421},	//4380 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2422},	//4381 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2423},	//4382 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2424},	//4383 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2425},	//4384 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2426},	//4385 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2427},	//4386 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2428},	//4387 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2429},	//4388 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2430},	//4389 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2431},	//4390 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2432},	//4391 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2433},	//4392 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2434},	//4393 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2435},	//4394 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2436},	//4395 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2437},	//4396 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2438},	//4397 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2439},	//4398 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2440},	//4399 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2441},	//4400 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2442},	//4401 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2443},	//4402 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2444},	//4403 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2445},	//4404 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2446},	//4405 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2447},	//4406 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2448},	//4407 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2449},	//4408 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2450},	//4409 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2451},	//4410 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2452},	//4411 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2453},	//4412 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2454},	//4413 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2455},	//4414 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2456},	//4415 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2457},	//4416 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2458},	//4417 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2459},	//4418 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2460},	//4419 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2461},	//4420 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2462},	//4421 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2463},	//4422 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2464},	//4423 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2465},	//4424 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2466},	//4425 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2467},	//4426 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2468},	//4427 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2469},	//4428 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2470},	//4429 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2471},	//4430 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2472},	//4431 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2473},	//4432 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2474},	//4433 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2475},	//4434 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2476},	//4435 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2477},	//4436 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2478},	//4437 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2479},	//4438 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2480},	//4439 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2481},	//4440 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2482},	//4441 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2483},	//4442 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2484},	//4443 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2485},	//4444 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2486},	//4445 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2487},	//4446 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2488},	//4447 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2489},	//4448 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2490},	//4449 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2491},	//4450 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2492},	//4451 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2493},	//4452 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2494},	//4453 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2495},	//4454 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2496},	//4455 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2497},	//4456 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2498},	//4457 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2499},	//4458 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2500},	//4459 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2501},	//4460 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2502},	//4461 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2503},	//4462 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2504},	//4463 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2505},	//4464 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2506},	//4465 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2507},	//4466 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2508},	//4467 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2509},	//4468 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2510},	//4469 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2511},	//4470 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2512},	//4471 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2513},	//4472 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2514},	//4473 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2515},	//4474 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2516},	//4475 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2517},	//4476 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2518},	//4477 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2519},	//4478 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2520},	//4479 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2521},	//4480 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2522},	//4481 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2523},	//4482 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2524},	//4483 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2525},	//4484 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2526},	//4485 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2527},	//4486 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2528},	//4487 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2529},	//4488 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2530},	//4489 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2531},	//4490 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2532},	//4491 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2533},	//4492 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2534},	//4493 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2535},	//4494 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2536},	//4495 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2537},	//4496 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2538},	//4497 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2539},	//4498 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2540},	//4499 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2541},	//4500 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2542},	//4501 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2543},	//4502 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2544},	//4503 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2545},	//4504 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2546},	//4505 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2547},	//4506 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2548},	//4507 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2549},	//4508 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2550},	//4509 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2551},	//4510 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2552},	//4511 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2553},	//4512 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2554},	//4513 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2555},	//4514 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2556},	//4515 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2557},	//4516 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2558},	//4517 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2559},	//4518 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2560},	//4519 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2561},	//4520 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2562},	//4521 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2563},	//4522 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2564},	//4523 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2565},	//4524 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2566},	//4525 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2567},	//4526 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2568},	//4527 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2569},	//4528 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2570},	//4529 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2571},	//4530 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2572},	//4531 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2573},	//4532 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2574},	//4533 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2575},	//4534 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2576},	//4535 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2577},	//4536 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2578},	//4537 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2579},	//4538 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2580},	//4539 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2581},	//4540 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2582},	//4541 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2583},	//4542 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2584},	//4543 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2585},	//4544 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2586},	//4545 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2587},	//4546 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2588},	//4547 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2589},	//4548 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2590},	//4549 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2591},	//4550 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2592},	//4551 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2593},	//4552 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2594},	//4553 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2595},	//4554 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2596},	//4555 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2597},	//4556 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2598},	//4557 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2599},	//4558 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2600},	//4559 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2601},	//4560 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2602},	//4561 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2603},	//4562 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2604},	//4563 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2605},	//4564 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2606},	//4565 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2607},	//4566 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2608},	//4567 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2609},	//4568 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2610},	//4569 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2611},	//4570 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2612},	//4571 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2613},	//4572 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2614},	//4573 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2615},	//4574 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2616},	//4575 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2617},	//4576 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2618},	//4577 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2619},	//4578 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2620},	//4579 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2621},	//4580 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2622},	//4581 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2623},	//4582 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2624},	//4583 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2625},	//4584 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2626},	//4585 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2627},	//4586 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2628},	//4587 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2629},	//4588 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2630},	//4589 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2631},	//4590 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2632},	//4591 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2633},	//4592 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2634},	//4593 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2635},	//4594 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2636},	//4595 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2637},	//4596 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2638},	//4597 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2639},	//4598 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2640},	//4599 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2641},	//4600 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2642},	//4601 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2643},	//4602 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2644},	//4603 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2645},	//4604 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2646},	//4605 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2647},	//4606 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2648},	//4607 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2649},	//4608 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2650},	//4609 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2651},	//4610 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2652},	//4611 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2653},	//4612 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2654},	//4613 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2655},	//4614 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2656},	//4615 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2657},	//4616 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2658},	//4617 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2659},	//4618 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2660},	//4619 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2661},	//4620 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2662},	//4621 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2663},	//4622 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2664},	//4623 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2665},	//4624 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2666},	//4625 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2667},	//4626 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2668},	//4627 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2669},	//4628 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2670},	//4629 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2671},	//4630 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2672},	//4631 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2673},	//4632 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2674},	//4633 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2675},	//4634 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2676},	//4635 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2677},	//4636 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2678},	//4637 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2679},	//4638 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2680},	//4639 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2681},	//4640 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2682},	//4641 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2683},	//4642 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2684},	//4643 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2685},	//4644 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2686},	//4645 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2687},	//4646 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2688},	//4647 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2689},	//4648 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2690},	//4649 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2691},	//4650 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2692},	//4651 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2693},	//4652 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2694},	//4653 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2695},	//4654 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2696},	//4655 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2697},	//4656 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2698},	//4657 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2699},	//4658 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2700},	//4659 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2701},	//4660 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2702},	//4661 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2703},	//4662 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2704},	//4663 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2705},	//4664 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2706},	//4665 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2707},	//4666 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2708},	//4667 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2709},	//4668 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2710},	//4669 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2711},	//4670 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2712},	//4671 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2713},	//4672 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2714},	//4673 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2715},	//4674 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2716},	//4675 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2717},	//4676 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2718},	//4677 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2719},	//4678 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2720},	//4679 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2721},	//4680 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2722},	//4681 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2723},	//4682 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2724},	//4683 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2725},	//4684 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2726},	//4685 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2727},	//4686 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2728},	//4687 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2729},	//4688 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2730},	//4689 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2731},	//4690 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2732},	//4691 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2733},	//4692 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2734},	//4693 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2735},	//4694 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2736},	//4695 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2737},	//4696 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2738},	//4697 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2739},	//4698 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2740},	//4699 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2741},	//4700 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2742},	//4701 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2743},	//4702 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2744},	//4703 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2745},	//4704 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2746},	//4705 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2747},	//4706 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2748},	//4707 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2749},	//4708 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2750},	//4709 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2751},	//4710 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2752},	//4711 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2753},	//4712 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2754},	//4713 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2755},	//4714 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2756},	//4715 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2757},	//4716 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2758},	//4717 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2759},	//4718 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2760},	//4719 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2761},	//4720 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2762},	//4721 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2763},	//4722 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2764},	//4723 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2765},	//4724 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2766},	//4725 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2767},	//4726 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2768},	//4727 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2769},	//4728 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2770},	//4729 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2771},	//4730 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2772},	//4731 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2773},	//4732 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2774},	//4733 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2775},	//4734 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2776},	//4735 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2777},	//4736 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2778},	//4737 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2779},	//4738 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2780},	//4739 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2781},	//4740 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2782},	//4741 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2783},	//4742 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2784},	//4743 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2785},	//4744 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2786},	//4745 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2787},	//4746 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2788},	//4747 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2789},	//4748 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2790},	//4749 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2791},	//4750 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2792},	//4751 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2793},	//4752 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2794},	//4753 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2795},	//4754 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2796},	//4755 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2797},	//4756 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2798},	//4757 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2799},	//4758 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2800},	//4759 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2801},	//4760 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2802},	//4761 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2803},	//4762 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2804},	//4763 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2805},	//4764 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2806},	//4765 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2807},	//4766 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2808},	//4767 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2809},	//4768 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2810},	//4769 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2811},	//4770 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2812},	//4771 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2813},	//4772 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2814},	//4773 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2815},	//4774 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2816},	//4775 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2817},	//4776 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2818},	//4777 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2819},	//4778 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2820},	//4779 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2821},	//4780 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2822},	//4781 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2823},	//4782 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2824},	//4783 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2825},	//4784 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2826},	//4785 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2827},	//4786 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2828},	//4787 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2829},	//4788 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2830},	//4789 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2831},	//4790 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2832},	//4791 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2833},	//4792 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2834},	//4793 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2835},	//4794 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2836},	//4795 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2837},	//4796 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2838},	//4797 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2839},	//4798 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2840},	//4799 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2841},	//4800 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2842},	//4801 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2843},	//4802 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2844},	//4803 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2845},	//4804 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2846},	//4805 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2847},	//4806 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2848},	//4807 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2849},	//4808 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2850},	//4809 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2851},	//4810 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2852},	//4811 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2853},	//4812 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2854},	//4813 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2855},	//4814 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2856},	//4815 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2857},	//4816 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2858},	//4817 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2859},	//4818 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2860},	//4819 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2861},	//4820 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2862},	//4821 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2863},	//4822 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2864},	//4823 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2865},	//4824 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2866},	//4825 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2867},	//4826 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2868},	//4827 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2869},	//4828 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2870},	//4829 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2871},	//4830 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2872},	//4831 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2873},	//4832 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2874},	//4833 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2875},	//4834 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2876},	//4835 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2877},	//4836 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2878},	//4837 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2879},	//4838 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2880},	//4839 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2881},	//4840 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2882},	//4841 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2883},	//4842 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2884},	//4843 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2885},	//4844 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2886},	//4845 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2887},	//4846 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2888},	//4847 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2889},	//4848 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2890},	//4849 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2891},	//4850 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2892},	//4851 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2893},	//4852 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2894},	//4853 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2895},	//4854 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2896},	//4855 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2897},	//4856 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2898},	//4857 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2899},	//4858 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2900},	//4859 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2901},	//4860 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2902},	//4861 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2903},	//4862 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2904},	//4863 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2905},	//4864 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2906},	//4865 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2907},	//4866 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2908},	//4867 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2909},	//4868 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2910},	//4869 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2911},	//4870 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2912},	//4871 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2913},	//4872 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2914},	//4873 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2915},	//4874 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2916},	//4875 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2917},	//4876 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2918},	//4877 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2919},	//4878 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2920},	//4879 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2921},	//4880 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2922},	//4881 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2923},	//4882 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2924},	//4883 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2925},	//4884 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2926},	//4885 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2927},	//4886 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2928},	//4887 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2929},	//4888 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2930},	//4889 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2931},	//4890 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2932},	//4891 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2933},	//4892 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2934},	//4893 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2935},	//4894 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2936},	//4895 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2937},	//4896 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2938},	//4897 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2939},	//4898 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2940},	//4899 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2941},	//4900 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2942},	//4901 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2943},	//4902 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2944},	//4903 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2945},	//4904 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2946},	//4905 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2947},	//4906 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2948},	//4907 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2949},	//4908 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2950},	//4909 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2951},	//4910 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2952},	//4911 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2953},	//4912 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2954},	//4913 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2955},	//4914 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2956},	//4915 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2957},	//4916 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2958},	//4917 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2959},	//4918 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2960},	//4919 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2961},	//4920 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2962},	//4921 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2963},	//4922 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2964},	//4923 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2965},	//4924 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2966},	//4925 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2967},	//4926 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2968},	//4927 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2969},	//4928 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2970},	//4929 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2971},	//4930 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2972},	//4931 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2973},	//4932 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2974},	//4933 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2975},	//4934 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2976},	//4935 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2977},	//4936 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2978},	//4937 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2979},	//4938 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2980},	//4939 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2981},	//4940 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2982},	//4941 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2983},	//4942 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2984},	//4943 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2985},	//4944 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2986},	//4945 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2987},	//4946 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2988},	//4947 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2989},	//4948 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2990},	//4949 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2991},	//4950 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2992},	//4951 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2993},	//4952 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2994},	//4953 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2995},	//4954 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2996},	//4955 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2997},	//4956 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2998},	//4957 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2999},	//4958 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3000},	//4959 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3001},	//4960 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3002},	//4961 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3003},	//4962 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3004},	//4963 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3005},	//4964 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3006},	//4965 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3007},	//4966 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3008},	//4967 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3009},	//4968 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3010},	//4969 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3011},	//4970 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3012},	//4971 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3013},	//4972 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3014},	//4973 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3015},	//4974 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3016},	//4975 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3017},	//4976 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3018},	//4977 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3019},	//4978 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3020},	//4979 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3021},	//4980 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3022},	//4981 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3023},	//4982 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3024},	//4983 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3025},	//4984 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3026},	//4985 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3027},	//4986 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3028},	//4987 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3029},	//4988 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3030},	//4989 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3031},	//4990 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3032},	//4991 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3033},	//4992 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3034},	//4993 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3035},	//4994 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3036},	//4995 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3037},	//4996 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3038},	//4997 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3039},	//4998 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3040},	//4999 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3041},	//5000 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3042},	//5001 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3043},	//5002 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3044},	//5003 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3045},	//5004 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3046},	//5005 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3047},	//5006 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3048},	//5007 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3049},	//5008 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3050},	//5009 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3051},	//5010 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3052},	//5011 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3053},	//5012 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3054},	//5013 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3055},	//5014 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3056},	//5015 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3057},	//5016 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3058},	//5017 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3059},	//5018 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3060},	//5019 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3061},	//5020 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3062},	//5021 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3063},	//5022 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3064},	//5023 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3065},	//5024 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3066},	//5025 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3067},	//5026 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3068},	//5027 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3069},	//5028 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3070},	//5029 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3071},	//5030 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3072},	//5031 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3073},	//5032 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3074},	//5033 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3075},	//5034 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3076},	//5035 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3077},	//5036 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3078},	//5037 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3079},	//5038 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3080},	//5039 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3081},	//5040 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3082},	//5041 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3083},	//5042 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3084},	//5043 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3085},	//5044 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3086},	//5045 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3087},	//5046 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3088},	//5047 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3089},	//5048 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3090},	//5049 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3091},	//5050 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3092},	//5051 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3093},	//5052 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3094},	//5053 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3095},	//5054 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3096},	//5055 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3097},	//5056 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3098},	//5057 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3099},	//5058 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3100},	//5059 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3101},	//5060 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3102},	//5061 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3103},	//5062 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3104},	//5063 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3105},	//5064 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3106},	//5065 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3107},	//5066 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3108},	//5067 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3109},	//5068 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3110},	//5069 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3111},	//5070 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3112},	//5071 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3113},	//5072 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3114},	//5073 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3115},	//5074 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3116},	//5075 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3117},	//5076 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3118},	//5077 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3119},	//5078 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3120},	//5079 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3121},	//5080 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3122},	//5081 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3123},	//5082 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3124},	//5083 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3125},	//5084 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3126},	//5085 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3127},	//5086 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3128},	//5087 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3129},	//5088 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3130},	//5089 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3131},	//5090 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3132},	//5091 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3133},	//5092 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3134},	//5093 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3135},	//5094 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3136},	//5095 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3137},	//5096 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3138},	//5097 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3139},	//5098 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3140},	//5099 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3141},	//5100 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3142},	//5101 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3143},	//5102 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3144},	//5103 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3145},	//5104 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3146},	//5105 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3147},	//5106 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3148},	//5107 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3149},	//5108 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3150},	//5109 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3151},	//5110 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3152},	//5111 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3153},	//5112 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3154},	//5113 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3155},	//5114 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3156},	//5115 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3157},	//5116 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3158},	//5117 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3159},	//5118 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3160},	//5119 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3161},	//5120 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3162},	//5121 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3163},	//5122 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3164},	//5123 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3165},	//5124 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3166},	//5125 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3167},	//5126 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3168},	//5127 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3169},	//5128 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3170},	//5129 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3171},	//5130 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3172},	//5131 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3173},	//5132 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3174},	//5133 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3175},	//5134 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3176},	//5135 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3177},	//5136 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3178},	//5137 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3179},	//5138 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3180},	//5139 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3181},	//5140 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3182},	//5141 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3183},	//5142 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3184},	//5143 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3185},	//5144 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3186},	//5145 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3187},	//5146 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3188},	//5147 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3189},	//5148 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3190},	//5149 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3191},	//5150 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3192},	//5151 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3193},	//5152 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3194},	//5153 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3195},	//5154 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3196},	//5155 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3197},	//5156 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3198},	//5157 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3199},	//5158 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3200},	//5159 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3201},	//5160 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3202},	//5161 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3203},	//5162 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3204},	//5163 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3205},	//5164 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3206},	//5165 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3207},	//5166 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3208},	//5167 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3209},	//5168 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3210},	//5169 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3211},	//5170 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3212},	//5171 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3213},	//5172 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3214},	//5173 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3215},	//5174 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3216},	//5175 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3217},	//5176 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3218},	//5177 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3219},	//5178 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3220},	//5179 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3221},	//5180 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3222},	//5181 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3223},	//5182 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3224},	//5183 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3225},	//5184 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3226},	//5185 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3227},	//5186 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3228},	//5187 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3229},	//5188 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3230},	//5189 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3231},	//5190 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3232},	//5191 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3233},	//5192 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3234},	//5193 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3235},	//5194 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3236},	//5195 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3237},	//5196 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3238},	//5197 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3239},	//5198 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3240},	//5199 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3241},	//5200 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3242},	//5201 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3243},	//5202 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3244},	//5203 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3245},	//5204 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3246},	//5205 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3247},	//5206 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3248},	//5207 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3249},	//5208 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3250},	//5209 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3251},	//5210 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3252},	//5211 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3253},	//5212 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3254},	//5213 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3255},	//5214 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3256},	//5215 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3257},	//5216 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3258},	//5217 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3259},	//5218 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3260},	//5219 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3261},	//5220 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3262},	//5221 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3263},	//5222 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3264},	//5223 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3265},	//5224 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3266},	//5225 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3267},	//5226 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3268},	//5227 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3269},	//5228 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3270},	//5229 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3271},	//5230 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3272},	//5231 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3273},	//5232 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3274},	//5233 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3275},	//5234 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3276},	//5235 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3277},	//5236 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3278},	//5237 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3279},	//5238 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3280},	//5239 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3281},	//5240 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3282},	//5241 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3283},	//5242 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3284},	//5243 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3285},	//5244 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3286},	//5245 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3287},	//5246 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3288},	//5247 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3289},	//5248 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3290},	//5249 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3291},	//5250 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3292},	//5251 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3293},	//5252 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3294},	//5253 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3295},	//5254 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3296},	//5255 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3297},	//5256 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3298},	//5257 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3299},	//5258 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3300},	//5259 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3301},	//5260 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3302},	//5261 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3303},	//5262 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3304},	//5263 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3305},	//5264 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3306},	//5265 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3307},	//5266 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3308},	//5267 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3309},	//5268 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3310},	//5269 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3311},	//5270 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3312},	//5271 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3313},	//5272 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3314},	//5273 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3315},	//5274 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3316},	//5275 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3317},	//5276 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3318},	//5277 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3319},	//5278 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3320},	//5279 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3321},	//5280 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3322},	//5281 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3323},	//5282 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3324},	//5283 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3325},	//5284 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3326},	//5285 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3327},	//5286 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3328},	//5287 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3329},	//5288 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3330},	//5289 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3331},	//5290 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3332},	//5291 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3333},	//5292 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3334},	//5293 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3335},	//5294 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3336},	//5295 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3337},	//5296 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3338},	//5297 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3339},	//5298 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3340},	//5299 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3341},	//5300 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3342},	//5301 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3343},	//5302 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3344},	//5303 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3345},	//5304 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3346},	//5305 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3347},	//5306 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3348},	//5307 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3349},	//5308 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3350},	//5309 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3351},	//5310 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3352},	//5311 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3353},	//5312 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3354},	//5313 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3355},	//5314 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3356},	//5315 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3357},	//5316 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3358},	//5317 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3359},	//5318 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3360},	//5319 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3361},	//5320 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3362},	//5321 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3363},	//5322 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3364},	//5323 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3365},	//5324 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3366},	//5325 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3367},	//5326 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3368},	//5327 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3369},	//5328 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3370},	//5329 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3371},	//5330 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3372},	//5331 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3373},	//5332 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3374},	//5333 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3375},	//5334 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3376},	//5335 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3377},	//5336 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3378},	//5337 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3379},	//5338 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3380},	//5339 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3381},	//5340 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3382},	//5341 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3383},	//5342 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3384},	//5343 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3385},	//5344 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3386},	//5345 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3387},	//5346 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3388},	//5347 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3389},	//5348 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3390},	//5349 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3391},	//5350 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3392},	//5351 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3393},	//5352 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3394},	//5353 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3395},	//5354 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3396},	//5355 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3397},	//5356 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3398},	//5357 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3399},	//5358 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3400},	//5359 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3401},	//5360 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3402},	//5361 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3403},	//5362 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3404},	//5363 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3405},	//5364 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3406},	//5365 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3407},	//5366 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3408},	//5367 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3409},	//5368 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3410},	//5369 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3411},	//5370 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3412},	//5371 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3413},	//5372 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3414},	//5373 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3415},	//5374 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3416},	//5375 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3417},	//5376 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3418},	//5377 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3419},	//5378 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3420},	//5379 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3421},	//5380 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3422},	//5381 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3423},	//5382 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3424},	//5383 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3425},	//5384 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3426},	//5385 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3427},	//5386 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3428},	//5387 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3429},	//5388 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3430},	//5389 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3431},	//5390 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3432},	//5391 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3433},	//5392 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3434},	//5393 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3435},	//5394 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3436},	//5395 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3437},	//5396 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3438},	//5397 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3439},	//5398 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3440},	//5399 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3441},	//5400 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3442},	//5401 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3443},	//5402 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3444},	//5403 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3445},	//5404 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3446},	//5405 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3447},	//5406 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3448},	//5407 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3449},	//5408 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3450},	//5409 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3451},	//5410 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3452},	//5411 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3453},	//5412 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3454},	//5413 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3455},	//5414 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3456},	//5415 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3457},	//5416 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3458},	//5417 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3459},	//5418 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3460},	//5419 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3461},	//5420 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3462},	//5421 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3463},	//5422 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3464},	//5423 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3465},	//5424 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3466},	//5425 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3467},	//5426 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3468},	//5427 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3469},	//5428 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3470},	//5429 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3471},	//5430 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3472},	//5431 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3473},	//5432 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3474},	//5433 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3475},	//5434 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3476},	//5435 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3477},	//5436 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3478},	//5437 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3479},	//5438 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3480},	//5439 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3481},	//5440 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3482},	//5441 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3483},	//5442 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3484},	//5443 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3485},	//5444 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3486},	//5445 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3487},	//5446 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3488},	//5447 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3489},	//5448 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3490},	//5449 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3491},	//5450 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3492},	//5451 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3493},	//5452 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3494},	//5453 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3495},	//5454 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3496},	//5455 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3497},	//5456 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3498},	//5457 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3499},	//5458 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3500},	//5459 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3501},	//5460 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3502},	//5461 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3503},	//5462 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3504},	//5463 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3505},	//5464 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3506},	//5465 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3507},	//5466 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3508},	//5467 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3509},	//5468 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3510},	//5469 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3511},	//5470 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3512},	//5471 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3513},	//5472 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3514},	//5473 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3515},	//5474 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3516},	//5475 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3517},	//5476 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3518},	//5477 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3519},	//5478 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3520},	//5479 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3521},	//5480 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3522},	//5481 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3523},	//5482 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3524},	//5483 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3525},	//5484 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3526},	//5485 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3527},	//5486 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3528},	//5487 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3529},	//5488 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3530},	//5489 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3531},	//5490 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3532},	//5491 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3533},	//5492 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3534},	//5493 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3535},	//5494 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3536},	//5495 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3537},	//5496 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3538},	//5497 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3539},	//5498 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3540},	//5499 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3541},	//5500 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3542},	//5501 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3543},	//5502 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3544},	//5503 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3545},	//5504 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3546},	//5505 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3547},	//5506 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3548},	//5507 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3549},	//5508 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3550},	//5509 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3551},	//5510 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3552},	//5511 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3553},	//5512 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3554},	//5513 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3555},	//5514 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3556},	//5515 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3557},	//5516 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3558},	//5517 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3559},	//5518 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3560},	//5519 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3561},	//5520 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3562},	//5521 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3563},	//5522 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3564},	//5523 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3565},	//5524 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3566},	//5525 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3567},	//5526 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3568},	//5527 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3569},	//5528 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3570},	//5529 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3571},	//5530 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3572},	//5531 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3573},	//5532 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3574},	//5533 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3575},	//5534 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3576},	//5535 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3577},	//5536 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3578},	//5537 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3579},	//5538 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3580},	//5539 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3581},	//5540 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3582},	//5541 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3583},	//5542 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3584},	//5543 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3585},	//5544 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3586},	//5545 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3587},	//5546 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3588},	//5547 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3589},	//5548 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3590},	//5549 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3591},	//5550 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3592},	//5551 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3593},	//5552 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3594},	//5553 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3595},	//5554 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3596},	//5555 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3597},	//5556 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3598},	//5557 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3599},	//5558 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3600},	//5559 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3601},	//5560 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3602},	//5561 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3603},	//5562 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3604},	//5563 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3605},	//5564 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3606},	//5565 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3607},	//5566 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3608},	//5567 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3609},	//5568 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3610},	//5569 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3611},	//5570 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3612},	//5571 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3613},	//5572 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3614},	//5573 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3615},	//5574 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3616},	//5575 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3617},	//5576 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3618},	//5577 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3619},	//5578 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3620},	//5579 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3621},	//5580 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3622},	//5581 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3623},	//5582 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3624},	//5583 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3625},	//5584 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3626},	//5585 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3627},	//5586 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3628},	//5587 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3629},	//5588 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3630},	//5589 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3631},	//5590 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3632},	//5591 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3633},	//5592 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3634},	//5593 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3635},	//5594 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3636},	//5595 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3637},	//5596 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3638},	//5597 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3639},	//5598 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3640},	//5599 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3641},	//5600 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3642},	//5601 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3643},	//5602 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3644},	//5603 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3645},	//5604 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3646},	//5605 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3647},	//5606 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3648},	//5607 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3649},	//5608 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3650},	//5609 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3651},	//5610 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3652},	//5611 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3653},	//5612 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3654},	//5613 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3655},	//5614 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3656},	//5615 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3657},	//5616 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3658},	//5617 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3659},	//5618 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3660},	//5619 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3661},	//5620 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3662},	//5621 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3663},	//5622 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3664},	//5623 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3665},	//5624 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3666},	//5625 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3667},	//5626 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3668},	//5627 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3669},	//5628 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3670},	//5629 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3671},	//5630 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3672},	//5631 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3673},	//5632 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3674},	//5633 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3675},	//5634 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3676},	//5635 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3677},	//5636 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3678},	//5637 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3679},	//5638 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3680},	//5639 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3681},	//5640 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3682},	//5641 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3683},	//5642 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3684},	//5643 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3685},	//5644 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3686},	//5645 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3687},	//5646 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3688},	//5647 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3689},	//5648 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3690},	//5649 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3691},	//5650 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3692},	//5651 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3693},	//5652 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3694},	//5653 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3695},	//5654 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3696},	//5655 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3697},	//5656 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3698},	//5657 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3699},	//5658 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3700},	//5659 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3701},	//5660 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3702},	//5661 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3703},	//5662 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3704},	//5663 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3705},	//5664 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3706},	//5665 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3707},	//5666 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3708},	//5667 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3709},	//5668 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3710},	//5669 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3711},	//5670 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3712},	//5671 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3713},	//5672 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3714},	//5673 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3715},	//5674 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3716},	//5675 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3717},	//5676 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3718},	//5677 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3719},	//5678 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3720},	//5679 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3721},	//5680 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3722},	//5681 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3723},	//5682 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3724},	//5683 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3725},	//5684 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3726},	//5685 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3727},	//5686 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3728},	//5687 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3729},	//5688 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3730},	//5689 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3731},	//5690 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3732},	//5691 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3733},	//5692 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3734},	//5693 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3735},	//5694 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3736},	//5695 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3737},	//5696 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3738},	//5697 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3739},	//5698 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3740},	//5699 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3741},	//5700 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3742},	//5701 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3743},	//5702 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3744},	//5703 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3745},	//5704 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3746},	//5705 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3747},	//5706 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3748},	//5707 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3749},	//5708 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3750},	//5709 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3751},	//5710 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3752},	//5711 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3753},	//5712 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3754},	//5713 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3755},	//5714 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3756},	//5715 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3757},	//5716 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3758},	//5717 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3759},	//5718 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3760},	//5719 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3761},	//5720 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3762},	//5721 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3763},	//5722 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3764},	//5723 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3765},	//5724 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3766},	//5725 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3767},	//5726 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3768},	//5727 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3769},	//5728 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3770},	//5729 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3771},	//5730 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3772},	//5731 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3773},	//5732 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3774},	//5733 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3775},	//5734 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3776},	//5735 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3777},	//5736 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3778},	//5737 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3779},	//5738 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3780},	//5739 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3781},	//5740 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3782},	//5741 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3783},	//5742 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3784},	//5743 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3785},	//5744 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3786},	//5745 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3787},	//5746 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3788},	//5747 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3789},	//5748 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3790},	//5749 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3791},	//5750 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3792},	//5751 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3793},	//5752 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3794},	//5753 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3795},	//5754 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3796},	//5755 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3797},	//5756 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3798},	//5757 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3799},	//5758 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3800},	//5759 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3801},	//5760 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3802},	//5761 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3803},	//5762 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3804},	//5763 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3805},	//5764 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3806},	//5765 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3807},	//5766 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3808},	//5767 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3809},	//5768 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3810},	//5769 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3811},	//5770 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3812},	//5771 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3813},	//5772 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3814},	//5773 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3815},	//5774 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3816},	//5775 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3817},	//5776 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3818},	//5777 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3819},	//5778 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3820},	//5779 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3821},	//5780 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3822},	//5781 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3823},	//5782 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3824},	//5783 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3825},	//5784 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3826},	//5785 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3827},	//5786 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3828},	//5787 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3829},	//5788 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3830},	//5789 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3831},	//5790 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3832},	//5791 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3833},	//5792 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3834},	//5793 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3835},	//5794 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3836},	//5795 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3837},	//5796 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3838},	//5797 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3839},	//5798 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3840},	//5799 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3841},	//5800 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3842},	//5801 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3843},	//5802 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3844},	//5803 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3845},	//5804 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3846},	//5805 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3847},	//5806 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3848},	//5807 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3849},	//5808 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3850},	//5809 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3851},	//5810 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3852},	//5811 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3853},	//5812 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3854},	//5813 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3855},	//5814 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3856},	//5815 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3857},	//5816 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3858},	//5817 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3859},	//5818 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3860},	//5819 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3861},	//5820 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3862},	//5821 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3863},	//5822 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3864},	//5823 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3865},	//5824 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3866},	//5825 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3867},	//5826 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3868},	//5827 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3869},	//5828 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3870},	//5829 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3871},	//5830 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3872},	//5831 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3873},	//5832 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3874},	//5833 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3875},	//5834 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3876},	//5835 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3877},	//5836 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3878},	//5837 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3879},	//5838 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3880},	//5839 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3881},	//5840 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3882},	//5841 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3883},	//5842 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3884},	//5843 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3885},	//5844 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3886},	//5845 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3887},	//5846 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3888},	//5847 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3889},	//5848 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3890},	//5849 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3891},	//5850 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3892},	//5851 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3893},	//5852 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3894},	//5853 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3895},	//5854 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3896},	//5855 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3897},	//5856 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3898},	//5857 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3899},	//5858 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3900},	//5859 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3901},	//5860 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3902},	//5861 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3903},	//5862 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3904},	//5863 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3905},	//5864 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3906},	//5865 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3907},	//5866 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3908},	//5867 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3909},	//5868 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3910},	//5869 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3911},	//5870 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3912},	//5871 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3913},	//5872 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3914},	//5873 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3915},	//5874 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3916},	//5875 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3917},	//5876 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3918},	//5877 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3919},	//5878 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3920},	//5879 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3921},	//5880 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3922},	//5881 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3923},	//5882 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3924},	//5883 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3925},	//5884 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3926},	//5885 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3927},	//5886 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3928},	//5887 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3929},	//5888 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3930},	//5889 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3931},	//5890 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3932},	//5891 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3933},	//5892 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3934},	//5893 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3935},	//5894 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3936},	//5895 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3937},	//5896 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3938},	//5897 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3939},	//5898 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3940},	//5899 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3941},	//5900 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3942},	//5901 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3943},	//5902 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3944},	//5903 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3945},	//5904 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3946},	//5905 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3947},	//5906 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3948},	//5907 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3949},	//5908 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3950},	//5909 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3951},	//5910 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3952},	//5911 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3953},	//5912 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3954},	//5913 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3955},	//5914 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3956},	//5915 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3957},	//5916 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3958},	//5917 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3959},	//5918 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3960},	//5919 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3961},	//5920 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3962},	//5921 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3963},	//5922 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3964},	//5923 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3965},	//5924 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3966},	//5925 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3967},	//5926 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3968},	//5927 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3969},	//5928 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3970},	//5929 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3971},	//5930 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3972},	//5931 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3973},	//5932 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3974},	//5933 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3975},	//5934 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3976},	//5935 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3977},	//5936 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3978},	//5937 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3979},	//5938 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3980},	//5939 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3981},	//5940 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3982},	//5941 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3983},	//5942 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3984},	//5943 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3985},	//5944 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3986},	//5945 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3987},	//5946 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3988},	//5947 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3989},	//5948 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3990},	//5949 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3991},	//5950 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3992},	//5951 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3993},	//5952 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3994},	//5953 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3995},	//5954 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3996},	//5955 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3997},	//5956 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3998},	//5957 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3999},	//5958 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4000},	//5959 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4001},	//5960 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4002},	//5961 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4003},	//5962 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4004},	//5963 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4005},	//5964 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4006},	//5965 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4007},	//5966 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4008},	//5967 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4009},	//5968 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4010},	//5969 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4011},	//5970 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4012},	//5971 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4013},	//5972 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4014},	//5973 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4015},	//5974 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4016},	//5975 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4017},	//5976 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4018},	//5977 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4019},	//5978 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4020},	//5979 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4021},	//5980 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4022},	//5981 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4023},	//5982 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4024},	//5983 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4025},	//5984 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4026},	//5985 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4027},	//5986 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4028},	//5987 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4029},	//5988 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4030},	//5989 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4031},	//5990 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4032},	//5991 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4033},	//5992 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4034},	//5993 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4035},	//5994 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4036},	//5995 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4037},	//5996 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4038},	//5997 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4039},	//5998 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4040},	//5999 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4041},	//6000 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4042},	//6001 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4043},	//6002 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4044},	//6003 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4045},	//6004 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4046},	//6005 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4047},	//6006 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4048},	//6007 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4049},	//6008 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4050},	//6009 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4051},	//6010 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4052},	//6011 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4053},	//6012 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4054},	//6013 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4055},	//6014 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4056},	//6015 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4057},	//6016 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4058},	//6017 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4059},	//6018 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4060},	//6019 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4061},	//6020 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4062},	//6021 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4063},	//6022 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4064},	//6023 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4065},	//6024 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4066},	//6025 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4067},	//6026 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4068},	//6027 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4069},	//6028 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4070},	//6029 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4071},	//6030 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4072},	//6031 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4073},	//6032 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4074},	//6033 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4075},	//6034 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4076},	//6035 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4077},	//6036 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4078},	//6037 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4079},	//6038 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4080},	//6039 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4081},	//6040 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4082},	//6041 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4083},	//6042 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4084},	//6043 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4085},	//6044 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4086},	//6045 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4087},	//6046 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4088},	//6047 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4089},	//6048 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4090},	//6049 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4091},	//6050 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4092},	//6051 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4093},	//6052 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4094},	//6053 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4095},	//6054 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4096},	//6055 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4097},	//6056 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4098},	//6057 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4099},	//6058 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4100},	//6059 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4101},	//6060 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4102},	//6061 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4103},	//6062 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4104},	//6063 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4105},	//6064 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4106},	//6065 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4107},	//6066 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4108},	//6067 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4109},	//6068 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4110},	//6069 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4111},	//6070 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4112},	//6071 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4113},	//6072 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4114},	//6073 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4115},	//6074 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4116},	//6075 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4117},	//6076 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4118},	//6077 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4119},	//6078 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4120},	//6079 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4121},	//6080 QsciScintillaBase::SCLEX_XML (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4122},	//6081 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4123},	//6082 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4124},	//6083 QsciScintillaBase::SCLEX_VB (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4125},	//6084 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4126},	//6085 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4127},	//6086 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4128},	//6087 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4129},	//6088 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4130},	//6089 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4131},	//6090 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4132},	//6091 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4133},	//6092 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4134},	//6093 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4135},	//6094 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4136},	//6095 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4137},	//6096 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4138},	//6097 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4139},	//6098 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4140},	//6099 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4141},	//6100 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4142},	//6101 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4143},	//6102 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4144},	//6103 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4145},	//6104 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4146},	//6105 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4147},	//6106 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4148},	//6107 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4149},	//6108 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4150},	//6109 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4151},	//6110 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4152},	//6111 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4153},	//6112 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4154},	//6113 QsciScintillaBase::SCLEX_POV (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4155},	//6114 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4156},	//6115 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4157},	//6116 QsciScintillaBase::SCLEX_PS (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4158},	//6117 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4159},	//6118 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4160},	//6119 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4161},	//6120 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4162},	//6121 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4163},	//6122 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4164},	//6123 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4165},	//6124 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4166},	//6125 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4167},	//6126 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4168},	//6127 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4169},	//6128 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4170},	//6129 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4171},	//6130 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4172},	//6131 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4173},	//6132 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4174},	//6133 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4175},	//6134 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4176},	//6135 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4177},	//6136 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4178},	//6137 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4179},	//6138 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4180},	//6139 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4181},	//6140 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4182},	//6141 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4183},	//6142 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4184},	//6143 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4185},	//6144 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4186},	//6145 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4187},	//6146 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4188},	//6147 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4189},	//6148 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4190},	//6149 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4191},	//6150 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4192},	//6151 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4193},	//6152 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4194},	//6153 QsciScintillaBase::SCLEX_D (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4195},	//6154 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4196},	//6155 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4197},	//6156 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4198},	//6157 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4199},	//6158 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4200},	//6159 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4201},	//6160 QsciScintillaBase::SCLEX_R (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4202},	//6161 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4203},	//6162 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4204},	//6163 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4205},	//6164 QsciScintillaBase::SCLEX_PO (enum)
    {85, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4206},	//6165 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4207},	//6166 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4208},	//6167 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4209},	//6168 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4210},	//6169 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4211},	//6170 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4212},	//6171 QsciScintillaBase::SCLEX_SML (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4213},	//6172 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4214},	//6173 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4215},	//6174 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4216},	//6175 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 1527, 0, 0, Smoke::mf_dtor, 0, 4217 },	//6176 QsciScintillaBase::~QsciScintillaBase()
    {86, 471, 18, 1, Smoke::mf_ctor, 107, 1},	//6177 QsciStyle::QsciStyle(int)
    {86, 471, 399, 6, Smoke::mf_ctor, 107, 2},	//6178 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {86, 1425, 0, 0, Smoke::mf_const, 228, 3},	//6179 QsciStyle::style() const
    {86, 1209, 57, 1, 0, 0, 4},	//6180 QsciStyle::setDescription(const QString&)
    {86, 867, 0, 0, Smoke::mf_const, 39, 5},	//6181 QsciStyle::description() const
    {86, 1196, 80, 1, 0, 0, 6},	//6182 QsciStyle::setColor(const QColor&)
    {86, 839, 0, 0, Smoke::mf_const, 6, 7},	//6183 QsciStyle::color() const
    {86, 1343, 80, 1, 0, 0, 8},	//6184 QsciStyle::setPaper(const QColor&)
    {86, 1078, 0, 0, Smoke::mf_const, 6, 9},	//6185 QsciStyle::paper() const
    {86, 1271, 42, 1, 0, 0, 10},	//6186 QsciStyle::setFont(const QFont&)
    {86, 939, 0, 0, Smoke::mf_const, 14, 11},	//6187 QsciStyle::font() const
    {86, 1227, 16, 1, 0, 0, 12},	//6188 QsciStyle::setEolFill(bool)
    {86, 894, 0, 0, Smoke::mf_const, 203, 13},	//6189 QsciStyle::eolFill() const
    {86, 1379, 406, 1, 0, 0, 14},	//6190 QsciStyle::setTextCase(QsciStyle::TextCase)
    {86, 1436, 0, 0, Smoke::mf_const, 108, 15},	//6191 QsciStyle::textCase() const
    {86, 1395, 16, 1, 0, 0, 16},	//6192 QsciStyle::setVisible(bool)
    {86, 1465, 0, 0, Smoke::mf_const, 203, 17},	//6193 QsciStyle::visible() const
    {86, 1194, 16, 1, 0, 0, 18},	//6194 QsciStyle::setChangeable(bool)
    {86, 825, 0, 0, Smoke::mf_const, 203, 19},	//6195 QsciStyle::changeable() const
    {86, 1276, 16, 1, 0, 0, 20},	//6196 QsciStyle::setHotspot(bool)
    {86, 956, 0, 0, Smoke::mf_const, 203, 21},	//6197 QsciStyle::hotspot() const
    {86, 1112, 0, 0, 0, 0, 22},	//6198 QsciStyle::refresh()
    {86, 471, 408, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 23},	//6199 QsciStyle::QsciStyle(const QsciStyle&)
    {86, 471, 0, 0, Smoke::mf_ctor, 107, 24},	//6200 QsciStyle::QsciStyle()
    {86, 471, 410, 5, Smoke::mf_ctor, 107, 25},	//6201 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {86, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 26},	//6202 QsciStyle::OriginalCase (enum)
    {86, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 27},	//6203 QsciStyle::UpperCase (enum)
    {86, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 28},	//6204 QsciStyle::LowerCase (enum)
    {86, 1528, 0, 0, Smoke::mf_dtor, 0, 29 },	//6205 QsciStyle::~QsciStyle()
    {87, 476, 416, 2, Smoke::mf_ctor, 109, 1},	//6206 QsciStyledText::QsciStyledText(const QString&, int)
    {87, 476, 419, 2, Smoke::mf_ctor, 109, 2},	//6207 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {87, 1434, 0, 0, Smoke::mf_const, 220, 3},	//6208 QsciStyledText::text() const
    {87, 1425, 0, 0, Smoke::mf_const, 228, 4},	//6209 QsciStyledText::style() const
    {87, 476, 422, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 5},	//6210 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {87, 1529, 0, 0, Smoke::mf_dtor, 0, 6 },	//6211 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    6174,  // QsciScintillaBase::SCLEX_A68K
    0,
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    6158,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    6094,  // QsciScintillaBase::SCLEX_ADA
    0,
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    6135,  // QsciScintillaBase::SCLEX_APDL
    0,
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    6108,  // QsciScintillaBase::SCLEX_ASM
    0,
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    6137,  // QsciScintillaBase::SCLEX_ASN1
    0,
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    6103,  // QsciScintillaBase::SCLEX_ASP
    0,
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6159,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    6134,  // QsciScintillaBase::SCLEX_AU3
    0,
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    6093,  // QsciScintillaBase::SCLEX_AVE
    0,
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    6105,  // QsciScintillaBase::SCLEX_BAAN
    0,
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    6136,  // QsciScintillaBase::SCLEX_BASH
    0,
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    6087,  // QsciScintillaBase::SCLEX_BATCH
    0,
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6140,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    6101,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    6139,  // QsciScintillaBase::SCLEX_CAML
    0,
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    6119,  // QsciScintillaBase::SCLEX_CLW
    0,
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6120,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    6154,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    6166,  // QsciScintillaBase::SCLEX_COBOL
    0,
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    6091,  // QsciScintillaBase::SCLEX_CONF
    0,
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    6075,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    6078,  // QsciScintillaBase::SCLEX_CPP
    0,
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6109,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    6148,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    6112,  // QsciScintillaBase::SCLEX_CSS
    0,
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    6153,  // QsciScintillaBase::SCLEX_D
    0,
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    6090,  // QsciScintillaBase::SCLEX_DIFF
    0,
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    6097,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    6098,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    6127,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    6085,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    6115,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    6111,  // QsciScintillaBase::SCLEX_F77
    0,
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6147,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    6126,  // QsciScintillaBase::SCLEX_FORTH
    0,
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    6110,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    6149,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    6155,  // QsciScintillaBase::SCLEX_GAP
    0,
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    6132,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    6142,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    6079,  // QsciScintillaBase::SCLEX_HTML
    0,
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    6150,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    6131,  // QsciScintillaBase::SCLEX_KIX
    0,
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    6088,  // QsciScintillaBase::SCLEX_LATEX
    0,
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    6095,  // QsciScintillaBase::SCLEX_LISP
    0,
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    6121,  // QsciScintillaBase::SCLEX_LOT
    0,
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    6114,  // QsciScintillaBase::SCLEX_LOUT
    0,
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    6089,  // QsciScintillaBase::SCLEX_LUA
    0,
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    6161,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    6086,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    6172,  // QsciScintillaBase::SCLEX_MARKDOWN
    0,
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    6106,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    6124,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    6118,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    6175,  // QsciScintillaBase::SCLEX_MODULA
    0,
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    6129,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    6163,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    6170,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6100,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    6117,  // QsciScintillaBase::SCLEX_NSIS
    0,
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    6076,  // QsciScintillaBase::SCLEX_NULL
    0,
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    6128,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    6151,  // QsciScintillaBase::SCLEX_OPAL
    0,
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    6092,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    6081,  // QsciScintillaBase::SCLEX_PERL
    0,
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    6104,  // QsciScintillaBase::SCLEX_PHP
    0,
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6143,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    6156,  // QsciScintillaBase::SCLEX_PLM
    0,
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    6164,  // QsciScintillaBase::SCLEX_PO
    0,
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    6113,  // QsciScintillaBase::SCLEX_POV
    0,
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    6125,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    6169,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    6162,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    6157,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    6084,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    6116,  // QsciScintillaBase::SCLEX_PS
    0,
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    6141,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    6077,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    6160,  // QsciScintillaBase::SCLEX_R
    0,
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    6145,  // QsciScintillaBase::SCLEX_REBOL
    0,
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    6096,  // QsciScintillaBase::SCLEX_RUBY
    0,
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6107,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    6146,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    6171,  // QsciScintillaBase::SCLEX_SML
    0,
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    6168,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    6133,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    6152,  // QsciScintillaBase::SCLEX_SPICE
    0,
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    6082,  // QsciScintillaBase::SCLEX_SQL
    0,
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    6167,  // QsciScintillaBase::SCLEX_TACL
    0,
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    6144,  // QsciScintillaBase::SCLEX_TADS3
    0,
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    6165,  // QsciScintillaBase::SCLEX_TAL
    0,
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    6099,  // QsciScintillaBase::SCLEX_TCL
    0,
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    6123,  // QsciScintillaBase::SCLEX_TEX
    0,
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6173,  // QsciScintillaBase::SCLEX_TXT2TAGS
    0,
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    6083,  // QsciScintillaBase::SCLEX_VB
    0,
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6102,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    6130,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    6138,  // QsciScintillaBase::SCLEX_VHDL
    0,
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    6080,  // QsciScintillaBase::SCLEX_XML
    0,
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    6122,  // QsciScintillaBase::SCLEX_YAML
    0,
    1972,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1974,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1975,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2033,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1977,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1980,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1969,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1970,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1971,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1973,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1854,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1855,  // QsciScintilla::markerDefine(char)
    0,
    1686,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1687,  // QsciScintilla::markerDefine(char, int)
    0,
    1813,  // QsciScintilla::setMarginWidth(int, int)
    1814,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 280, 19},	// QGlobalSpace::LicensedActiveQt
    {17, 281, 25},	// QGlobalSpace::LicensedCore
    {17, 282, 17},	// QGlobalSpace::LicensedDBus
    {17, 283, 22},	// QGlobalSpace::LicensedDeclarative
    {17, 284, 12},	// QGlobalSpace::LicensedGui
    {17, 285, 31},	// QGlobalSpace::LicensedHelp
    {17, 286, 32},	// QGlobalSpace::LicensedMultimedia
    {17, 287, 35},	// QGlobalSpace::LicensedNetwork
    {17, 288, 24},	// QGlobalSpace::LicensedOpenGL
    {17, 289, 16},	// QGlobalSpace::LicensedOpenVG
    {17, 290, 33},	// QGlobalSpace::LicensedQt3Support
    {17, 291, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 292, 15},	// QGlobalSpace::LicensedScript
    {17, 293, 20},	// QGlobalSpace::LicensedScriptTools
    {17, 294, 23},	// QGlobalSpace::LicensedSql
    {17, 295, 21},	// QGlobalSpace::LicensedSvg
    {17, 296, 18},	// QGlobalSpace::LicensedTest
    {17, 297, 13},	// QGlobalSpace::LicensedXml
    {17, 298, 34},	// QGlobalSpace::LicensedXmlPatterns
    {17, 388, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 389, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 390, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 391, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 392, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 480, 28},	// QGlobalSpace::QtCriticalMsg
    {17, 481, 26},	// QGlobalSpace::QtDebugMsg
    {17, 482, 29},	// QGlobalSpace::QtFatalMsg
    {17, 483, 30},	// QGlobalSpace::QtSystemMsg
    {17, 484, 27},	// QGlobalSpace::QtWarningMsg
    {46, 394, 78},	// QsciAPIs::QsciAPIs#
    {46, 767, 79},	// QsciAPIs::add$
    {46, 779, 94},	// QsciAPIs::apiPreparationCancelled
    {46, 780, 96},	// QsciAPIs::apiPreparationFinished
    {46, 781, 95},	// QsciAPIs::apiPreparationStarted
    {46, 793, 90},	// QsciAPIs::autoCompletionSelected$
    {46, 815, 91},	// QsciAPIs::callTips?$$?
    {46, 821, 84},	// QsciAPIs::cancelPreparation
    {46, 827, 80},	// QsciAPIs::clear
    {46, 865, 85},	// QsciAPIs::defaultPreparedName
    {46, 901, 92},	// QsciAPIs::event#
    {46, 983, 93},	// QsciAPIs::installedAPIFiles
    {46, 987, 99},	// QsciAPIs::isPrepared
    {46, 988, 86},	// QsciAPIs::isPrepared$
    {46, 1017, 81},	// QsciAPIs::load$
    {46, 1018, 100},	// QsciAPIs::loadPrepared
    {46, 1019, 87},	// QsciAPIs::loadPrepared$
    {46, 1056, 71},	// QsciAPIs::metaObject
    {46, 1087, 83},	// QsciAPIs::prepare
    {46, 1097, 77},	// QsciAPIs::qt_metacall$$?
    {46, 1099, 72},	// QsciAPIs::qt_metacast$
    {46, 1117, 82},	// QsciAPIs::remove$
    {46, 1129, 101},	// QsciAPIs::savePrepared
    {46, 1130, 88},	// QsciAPIs::savePrepared$
    {46, 1423, 102},	// QsciAPIs::staticMetaObject
    {46, 1445, 97},	// QsciAPIs::tr$
    {46, 1446, 73},	// QsciAPIs::tr$$
    {46, 1447, 75},	// QsciAPIs::tr$$$
    {46, 1449, 98},	// QsciAPIs::trUtf8$
    {46, 1450, 74},	// QsciAPIs::trUtf8$$
    {46, 1451, 76},	// QsciAPIs::trUtf8$$$
    {46, 1456, 89},	// QsciAPIs::updateAutoCompletionList??
    {46, 1489, 103},	// QsciAPIs::~QsciAPIs
    {47, 396, 111},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {47, 793, 114},	// QsciAbstractAPIs::autoCompletionSelected$
    {47, 815, 115},	// QsciAbstractAPIs::callTips?$$?
    {47, 1006, 112},	// QsciAbstractAPIs::lexer
    {47, 1056, 104},	// QsciAbstractAPIs::metaObject
    {47, 1097, 110},	// QsciAbstractAPIs::qt_metacall$$?
    {47, 1099, 105},	// QsciAbstractAPIs::qt_metacast$
    {47, 1423, 118},	// QsciAbstractAPIs::staticMetaObject
    {47, 1445, 116},	// QsciAbstractAPIs::tr$
    {47, 1446, 106},	// QsciAbstractAPIs::tr$$
    {47, 1447, 108},	// QsciAbstractAPIs::tr$$$
    {47, 1449, 117},	// QsciAbstractAPIs::trUtf8$
    {47, 1450, 107},	// QsciAbstractAPIs::trUtf8$$
    {47, 1451, 109},	// QsciAbstractAPIs::trUtf8$$$
    {47, 1456, 113},	// QsciAbstractAPIs::updateAutoCompletionList??
    {47, 1490, 119},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {48, 768, 123},	// QsciCommand::alternateKey
    {48, 867, 125},	// QsciCommand::description
    {48, 995, 122},	// QsciCommand::key
    {48, 1143, 121},	// QsciCommand::setAlternateKey$
    {48, 1301, 120},	// QsciCommand::setKey$
    {48, 1463, 124},	// QsciCommand::validKey$
    {48, 1491, 126},	// QsciCommand::~QsciCommand
    {49, 828, 131},	// QsciCommandSet::clearAlternateKeys
    {49, 834, 130},	// QsciCommandSet::clearKeys
    {49, 843, 129},	// QsciCommandSet::commands
    {49, 1106, 132},	// QsciCommandSet::readSettings#
    {49, 1107, 127},	// QsciCommandSet::readSettings#$
    {49, 1480, 133},	// QsciCommandSet::writeSettings#
    {49, 1481, 128},	// QsciCommandSet::writeSettings#$
    {50, 397, 134},	// QsciDocument::QsciDocument
    {50, 398, 135},	// QsciDocument::QsciDocument#
    {50, 1073, 136},	// QsciDocument::operator=#
    {50, 1492, 137},	// QsciDocument::~QsciDocument
    {51, 399, 199},	// QsciLexer::QsciLexer
    {51, 400, 145},	// QsciLexer::QsciLexer#
    {51, 782, 149},	// QsciLexer::apis
    {51, 789, 150},	// QsciLexer::autoCompletionFillups
    {51, 798, 151},	// QsciLexer::autoCompletionWordSeparators
    {51, 800, 152},	// QsciLexer::autoIndentStyle
    {51, 804, 200},	// QsciLexer::blockEnd
    {51, 805, 153},	// QsciLexer::blockEnd$
    {51, 806, 154},	// QsciLexer::blockLookback
    {51, 807, 201},	// QsciLexer::blockStart
    {51, 808, 155},	// QsciLexer::blockStart$
    {51, 809, 202},	// QsciLexer::blockStartKeyword
    {51, 810, 156},	// QsciLexer::blockStartKeyword$
    {51, 812, 157},	// QsciLexer::braceStyle
    {51, 822, 158},	// QsciLexer::caseSensitive
    {51, 840, 159},	// QsciLexer::color$
    {51, 842, 190},	// QsciLexer::colorChanged#$
    {51, 857, 167},	// QsciLexer::defaultColor
    {51, 858, 168},	// QsciLexer::defaultColor$
    {51, 860, 169},	// QsciLexer::defaultEolFill$
    {51, 861, 170},	// QsciLexer::defaultFont
    {51, 862, 171},	// QsciLexer::defaultFont$
    {51, 863, 172},	// QsciLexer::defaultPaper
    {51, 864, 173},	// QsciLexer::defaultPaper$
    {51, 866, 164},	// QsciLexer::defaultStyle
    {51, 868, 165},	// QsciLexer::description$
    {51, 886, 174},	// QsciLexer::editor
    {51, 895, 160},	// QsciLexer::eolFill$
    {51, 897, 191},	// QsciLexer::eolFillChanged$$
    {51, 940, 161},	// QsciLexer::font$
    {51, 943, 192},	// QsciLexer::fontChanged#$
    {51, 961, 162},	// QsciLexer::indentationGuideView
    {51, 1000, 163},	// QsciLexer::keywords$
    {51, 1001, 146},	// QsciLexer::language
    {51, 1006, 147},	// QsciLexer::lexer
    {51, 1007, 148},	// QsciLexer::lexerId
    {51, 1056, 138},	// QsciLexer::metaObject
    {51, 1079, 166},	// QsciLexer::paper$
    {51, 1081, 193},	// QsciLexer::paperChanged#$
    {51, 1095, 194},	// QsciLexer::propertyChanged$$
    {51, 1097, 144},	// QsciLexer::qt_metacall$$?
    {51, 1099, 139},	// QsciLexer::qt_metacast$
    {51, 1104, 195},	// QsciLexer::readProperties#$
    {51, 1106, 203},	// QsciLexer::readSettings#
    {51, 1107, 180},	// QsciLexer::readSettings#$
    {51, 1113, 181},	// QsciLexer::refreshProperties
    {51, 1141, 175},	// QsciLexer::setAPIs#
    {51, 1167, 185},	// QsciLexer::setAutoIndentStyle$
    {51, 1197, 205},	// QsciLexer::setColor#
    {51, 1198, 186},	// QsciLexer::setColor#$
    {51, 1204, 176},	// QsciLexer::setDefaultColor#
    {51, 1206, 177},	// QsciLexer::setDefaultFont#
    {51, 1208, 178},	// QsciLexer::setDefaultPaper#
    {51, 1226, 179},	// QsciLexer::setEditor#
    {51, 1228, 206},	// QsciLexer::setEolFill$
    {51, 1229, 187},	// QsciLexer::setEolFill$$
    {51, 1272, 207},	// QsciLexer::setFont#
    {51, 1273, 188},	// QsciLexer::setFont#$
    {51, 1344, 208},	// QsciLexer::setPaper#
    {51, 1345, 189},	// QsciLexer::setPaper#$
    {51, 1423, 209},	// QsciLexer::staticMetaObject
    {51, 1426, 182},	// QsciLexer::styleBitsNeeded
    {51, 1445, 197},	// QsciLexer::tr$
    {51, 1446, 140},	// QsciLexer::tr$$
    {51, 1447, 142},	// QsciLexer::tr$$$
    {51, 1449, 198},	// QsciLexer::trUtf8$
    {51, 1450, 141},	// QsciLexer::trUtf8$$
    {51, 1451, 143},	// QsciLexer::trUtf8$$$
    {51, 1472, 183},	// QsciLexer::wordCharacters
    {51, 1478, 196},	// QsciLexer::writeProperties#$
    {51, 1480, 204},	// QsciLexer::writeSettings#
    {51, 1481, 184},	// QsciLexer::writeSettings#$
    {51, 1493, 210},	// QsciLexer::~QsciLexer
    {52, 85, 251},	// QsciLexerBash::Backticks
    {52, 128, 242},	// QsciLexerBash::Comment
    {52, 148, 240},	// QsciLexerBash::Default
    {52, 159, 245},	// QsciLexerBash::DoubleQuotedString
    {52, 176, 241},	// QsciLexerBash::Error
    {52, 205, 252},	// QsciLexerBash::HereDocumentDelimiter
    {52, 214, 248},	// QsciLexerBash::Identifier
    {52, 259, 244},	// QsciLexerBash::Keyword
    {52, 323, 243},	// QsciLexerBash::Number
    {52, 327, 247},	// QsciLexerBash::Operator
    {52, 345, 250},	// QsciLexerBash::ParameterExpansion
    {52, 401, 238},	// QsciLexerBash::QsciLexerBash
    {52, 402, 218},	// QsciLexerBash::QsciLexerBash#
    {52, 658, 249},	// QsciLexerBash::Scalar
    {52, 675, 253},	// QsciLexerBash::SingleQuotedHereDocument
    {52, 676, 246},	// QsciLexerBash::SingleQuotedString
    {52, 812, 221},	// QsciLexerBash::braceStyle
    {52, 858, 223},	// QsciLexerBash::defaultColor$
    {52, 860, 224},	// QsciLexerBash::defaultEolFill$
    {52, 862, 225},	// QsciLexerBash::defaultFont$
    {52, 864, 226},	// QsciLexerBash::defaultPaper$
    {52, 868, 228},	// QsciLexerBash::description$
    {52, 926, 230},	// QsciLexerBash::foldComments
    {52, 927, 231},	// QsciLexerBash::foldCompact
    {52, 1000, 227},	// QsciLexerBash::keywords$
    {52, 1001, 219},	// QsciLexerBash::language
    {52, 1006, 220},	// QsciLexerBash::lexer
    {52, 1056, 211},	// QsciLexerBash::metaObject
    {52, 1097, 217},	// QsciLexerBash::qt_metacall$$?
    {52, 1099, 212},	// QsciLexerBash::qt_metacast$
    {52, 1104, 234},	// QsciLexerBash::readProperties#$
    {52, 1113, 229},	// QsciLexerBash::refreshProperties
    {52, 1247, 232},	// QsciLexerBash::setFoldComments$
    {52, 1249, 233},	// QsciLexerBash::setFoldCompact$
    {52, 1423, 239},	// QsciLexerBash::staticMetaObject
    {52, 1445, 236},	// QsciLexerBash::tr$
    {52, 1446, 213},	// QsciLexerBash::tr$$
    {52, 1447, 215},	// QsciLexerBash::tr$$$
    {52, 1449, 237},	// QsciLexerBash::trUtf8$
    {52, 1450, 214},	// QsciLexerBash::trUtf8$$
    {52, 1451, 216},	// QsciLexerBash::trUtf8$$$
    {52, 1472, 222},	// QsciLexerBash::wordCharacters
    {52, 1478, 235},	// QsciLexerBash::writeProperties#$
    {52, 1494, 254},	// QsciLexerBash::~QsciLexerBash
    {53, 128, 278},	// QsciLexerBatch::Comment
    {53, 148, 277},	// QsciLexerBatch::Default
    {53, 183, 282},	// QsciLexerBatch::ExternalCommand
    {53, 209, 281},	// QsciLexerBatch::HideCommandChar
    {53, 259, 279},	// QsciLexerBatch::Keyword
    {53, 269, 280},	// QsciLexerBatch::Label
    {53, 327, 284},	// QsciLexerBatch::Operator
    {53, 403, 275},	// QsciLexerBatch::QsciLexerBatch
    {53, 404, 262},	// QsciLexerBatch::QsciLexerBatch#
    {53, 746, 283},	// QsciLexerBatch::Variable
    {53, 822, 266},	// QsciLexerBatch::caseSensitive
    {53, 858, 267},	// QsciLexerBatch::defaultColor$
    {53, 860, 268},	// QsciLexerBatch::defaultEolFill$
    {53, 862, 269},	// QsciLexerBatch::defaultFont$
    {53, 864, 270},	// QsciLexerBatch::defaultPaper$
    {53, 868, 272},	// QsciLexerBatch::description$
    {53, 1000, 271},	// QsciLexerBatch::keywords$
    {53, 1001, 263},	// QsciLexerBatch::language
    {53, 1006, 264},	// QsciLexerBatch::lexer
    {53, 1056, 255},	// QsciLexerBatch::metaObject
    {53, 1097, 261},	// QsciLexerBatch::qt_metacall$$?
    {53, 1099, 256},	// QsciLexerBatch::qt_metacast$
    {53, 1423, 276},	// QsciLexerBatch::staticMetaObject
    {53, 1445, 273},	// QsciLexerBatch::tr$
    {53, 1446, 257},	// QsciLexerBatch::tr$$
    {53, 1447, 259},	// QsciLexerBatch::tr$$$
    {53, 1449, 274},	// QsciLexerBatch::trUtf8$
    {53, 1450, 258},	// QsciLexerBatch::trUtf8$$
    {53, 1451, 260},	// QsciLexerBatch::trUtf8$$$
    {53, 1472, 265},	// QsciLexerBatch::wordCharacters
    {53, 1495, 285},	// QsciLexerBatch::~QsciLexerBatch
    {54, 90, 320},	// QsciLexerCMake::BlockForeach
    {54, 91, 321},	// QsciLexerCMake::BlockIf
    {54, 92, 322},	// QsciLexerCMake::BlockMacro
    {54, 93, 319},	// QsciLexerCMake::BlockWhile
    {54, 128, 311},	// QsciLexerCMake::Comment
    {54, 148, 310},	// QsciLexerCMake::Default
    {54, 190, 315},	// QsciLexerCMake::Function
    {54, 263, 318},	// QsciLexerCMake::KeywordSet3
    {54, 269, 317},	// QsciLexerCMake::Label
    {54, 323, 324},	// QsciLexerCMake::Number
    {54, 405, 308},	// QsciLexerCMake::QsciLexerCMake
    {54, 406, 293},	// QsciLexerCMake::QsciLexerCMake#
    {54, 692, 312},	// QsciLexerCMake::String
    {54, 693, 313},	// QsciLexerCMake::StringLeftQuote
    {54, 694, 314},	// QsciLexerCMake::StringRightQuote
    {54, 696, 323},	// QsciLexerCMake::StringVariable
    {54, 746, 316},	// QsciLexerCMake::Variable
    {54, 858, 296},	// QsciLexerCMake::defaultColor$
    {54, 862, 297},	// QsciLexerCMake::defaultFont$
    {54, 864, 298},	// QsciLexerCMake::defaultPaper$
    {54, 868, 300},	// QsciLexerCMake::description$
    {54, 924, 302},	// QsciLexerCMake::foldAtElse
    {54, 1000, 299},	// QsciLexerCMake::keywords$
    {54, 1001, 294},	// QsciLexerCMake::language
    {54, 1006, 295},	// QsciLexerCMake::lexer
    {54, 1056, 286},	// QsciLexerCMake::metaObject
    {54, 1097, 292},	// QsciLexerCMake::qt_metacall$$?
    {54, 1099, 287},	// QsciLexerCMake::qt_metacast$
    {54, 1104, 304},	// QsciLexerCMake::readProperties#$
    {54, 1113, 301},	// QsciLexerCMake::refreshProperties
    {54, 1243, 303},	// QsciLexerCMake::setFoldAtElse$
    {54, 1423, 309},	// QsciLexerCMake::staticMetaObject
    {54, 1445, 306},	// QsciLexerCMake::tr$
    {54, 1446, 288},	// QsciLexerCMake::tr$$
    {54, 1447, 290},	// QsciLexerCMake::tr$$$
    {54, 1449, 307},	// QsciLexerCMake::trUtf8$
    {54, 1450, 289},	// QsciLexerCMake::trUtf8$$
    {54, 1451, 291},	// QsciLexerCMake::trUtf8$$$
    {54, 1478, 305},	// QsciLexerCMake::writeProperties#$
    {54, 1496, 325},	// QsciLexerCMake::~QsciLexerCMake
    {55, 128, 373},	// QsciLexerCPP::Comment
    {55, 131, 377},	// QsciLexerCPP::CommentDoc
    {55, 132, 405},	// QsciLexerCPP::CommentDocKeyword
    {55, 133, 407},	// QsciLexerCPP::CommentDocKeywordError
    {55, 134, 375},	// QsciLexerCPP::CommentLine
    {55, 135, 401},	// QsciLexerCPP::CommentLineDoc
    {55, 148, 371},	// QsciLexerCPP::Default
    {55, 159, 383},	// QsciLexerCPP::DoubleQuotedString
    {55, 193, 409},	// QsciLexerCPP::GlobalClass
    {55, 214, 393},	// QsciLexerCPP::Identifier
    {55, 219, 374},	// QsciLexerCPP::InactiveComment
    {55, 220, 378},	// QsciLexerCPP::InactiveCommentDoc
    {55, 221, 406},	// QsciLexerCPP::InactiveCommentDocKeyword
    {55, 222, 408},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {55, 223, 376},	// QsciLexerCPP::InactiveCommentLine
    {55, 224, 402},	// QsciLexerCPP::InactiveCommentLineDoc
    {55, 225, 372},	// QsciLexerCPP::InactiveDefault
    {55, 226, 384},	// QsciLexerCPP::InactiveDoubleQuotedString
    {55, 227, 410},	// QsciLexerCPP::InactiveGlobalClass
    {55, 228, 394},	// QsciLexerCPP::InactiveIdentifier
    {55, 229, 382},	// QsciLexerCPP::InactiveKeyword
    {55, 230, 404},	// QsciLexerCPP::InactiveKeywordSet2
    {55, 231, 380},	// QsciLexerCPP::InactiveNumber
    {55, 232, 392},	// QsciLexerCPP::InactiveOperator
    {55, 233, 390},	// QsciLexerCPP::InactivePreProcessor
    {55, 234, 412},	// QsciLexerCPP::InactiveRawString
    {55, 235, 400},	// QsciLexerCPP::InactiveRegex
    {55, 236, 386},	// QsciLexerCPP::InactiveSingleQuotedString
    {55, 237, 388},	// QsciLexerCPP::InactiveUUID
    {55, 238, 396},	// QsciLexerCPP::InactiveUnclosedString
    {55, 239, 398},	// QsciLexerCPP::InactiveVerbatimString
    {55, 259, 381},	// QsciLexerCPP::Keyword
    {55, 262, 403},	// QsciLexerCPP::KeywordSet2
    {55, 323, 379},	// QsciLexerCPP::Number
    {55, 327, 391},	// QsciLexerCPP::Operator
    {55, 364, 389},	// QsciLexerCPP::PreProcessor
    {55, 407, 365},	// QsciLexerCPP::QsciLexerCPP
    {55, 408, 366},	// QsciLexerCPP::QsciLexerCPP#
    {55, 409, 333},	// QsciLexerCPP::QsciLexerCPP#$
    {55, 494, 411},	// QsciLexerCPP::RawString
    {55, 497, 399},	// QsciLexerCPP::Regex
    {55, 676, 385},	// QsciLexerCPP::SingleQuotedString
    {55, 728, 387},	// QsciLexerCPP::UUID
    {55, 729, 395},	// QsciLexerCPP::UnclosedString
    {55, 747, 397},	// QsciLexerCPP::VerbatimString
    {55, 798, 336},	// QsciLexerCPP::autoCompletionWordSeparators
    {55, 804, 367},	// QsciLexerCPP::blockEnd
    {55, 805, 337},	// QsciLexerCPP::blockEnd$
    {55, 807, 368},	// QsciLexerCPP::blockStart
    {55, 808, 338},	// QsciLexerCPP::blockStart$
    {55, 809, 369},	// QsciLexerCPP::blockStartKeyword
    {55, 810, 339},	// QsciLexerCPP::blockStartKeyword$
    {55, 812, 340},	// QsciLexerCPP::braceStyle
    {55, 858, 342},	// QsciLexerCPP::defaultColor$
    {55, 860, 343},	// QsciLexerCPP::defaultEolFill$
    {55, 862, 344},	// QsciLexerCPP::defaultFont$
    {55, 864, 345},	// QsciLexerCPP::defaultPaper$
    {55, 868, 347},	// QsciLexerCPP::description$
    {55, 873, 355},	// QsciLexerCPP::dollarsAllowed
    {55, 924, 349},	// QsciLexerCPP::foldAtElse
    {55, 926, 350},	// QsciLexerCPP::foldComments
    {55, 927, 351},	// QsciLexerCPP::foldCompact
    {55, 934, 352},	// QsciLexerCPP::foldPreprocessor
    {55, 1000, 346},	// QsciLexerCPP::keywords$
    {55, 1001, 334},	// QsciLexerCPP::language
    {55, 1006, 335},	// QsciLexerCPP::lexer
    {55, 1056, 326},	// QsciLexerCPP::metaObject
    {55, 1097, 332},	// QsciLexerCPP::qt_metacall$$?
    {55, 1099, 327},	// QsciLexerCPP::qt_metacast$
    {55, 1104, 361},	// QsciLexerCPP::readProperties#$
    {55, 1113, 348},	// QsciLexerCPP::refreshProperties
    {55, 1216, 354},	// QsciLexerCPP::setDollarsAllowed$
    {55, 1243, 356},	// QsciLexerCPP::setFoldAtElse$
    {55, 1247, 357},	// QsciLexerCPP::setFoldComments$
    {55, 1249, 358},	// QsciLexerCPP::setFoldCompact$
    {55, 1261, 359},	// QsciLexerCPP::setFoldPreprocessor$
    {55, 1369, 360},	// QsciLexerCPP::setStylePreprocessor$
    {55, 1423, 370},	// QsciLexerCPP::staticMetaObject
    {55, 1428, 353},	// QsciLexerCPP::stylePreprocessor
    {55, 1445, 363},	// QsciLexerCPP::tr$
    {55, 1446, 328},	// QsciLexerCPP::tr$$
    {55, 1447, 330},	// QsciLexerCPP::tr$$$
    {55, 1449, 364},	// QsciLexerCPP::trUtf8$
    {55, 1450, 329},	// QsciLexerCPP::trUtf8$$
    {55, 1451, 331},	// QsciLexerCPP::trUtf8$$$
    {55, 1472, 341},	// QsciLexerCPP::wordCharacters
    {55, 1478, 362},	// QsciLexerCPP::writeProperties#$
    {55, 1497, 413},	// QsciLexerCPP::~QsciLexerCPP
    {56, 68, 456},	// QsciLexerCSS::AtRule
    {56, 69, 460},	// QsciLexerCSS::Attribute
    {56, 105, 450},	// QsciLexerCSS::CSS1Property
    {56, 106, 459},	// QsciLexerCSS::CSS2Property
    {56, 107, 461},	// QsciLexerCSS::CSS3Property
    {56, 123, 446},	// QsciLexerCSS::ClassSelector
    {56, 128, 453},	// QsciLexerCSS::Comment
    {56, 148, 444},	// QsciLexerCSS::Default
    {56, 159, 457},	// QsciLexerCSS::DoubleQuotedString
    {56, 179, 463},	// QsciLexerCSS::ExtendedCSSProperty
    {56, 181, 464},	// QsciLexerCSS::ExtendedPseudoClass
    {56, 182, 465},	// QsciLexerCSS::ExtendedPseudoElement
    {56, 212, 454},	// QsciLexerCSS::IDSelector
    {56, 218, 455},	// QsciLexerCSS::Important
    {56, 309, 466},	// QsciLexerCSS::MediaRule
    {56, 327, 449},	// QsciLexerCSS::Operator
    {56, 371, 447},	// QsciLexerCSS::PseudoClass
    {56, 372, 462},	// QsciLexerCSS::PseudoElement
    {56, 410, 440},	// QsciLexerCSS::QsciLexerCSS
    {56, 411, 421},	// QsciLexerCSS::QsciLexerCSS#
    {56, 676, 458},	// QsciLexerCSS::SingleQuotedString
    {56, 713, 445},	// QsciLexerCSS::Tag
    {56, 732, 451},	// QsciLexerCSS::UnknownProperty
    {56, 733, 448},	// QsciLexerCSS::UnknownPseudoClass
    {56, 745, 452},	// QsciLexerCSS::Value
    {56, 804, 441},	// QsciLexerCSS::blockEnd
    {56, 805, 424},	// QsciLexerCSS::blockEnd$
    {56, 807, 442},	// QsciLexerCSS::blockStart
    {56, 808, 425},	// QsciLexerCSS::blockStart$
    {56, 858, 427},	// QsciLexerCSS::defaultColor$
    {56, 862, 428},	// QsciLexerCSS::defaultFont$
    {56, 868, 430},	// QsciLexerCSS::description$
    {56, 926, 432},	// QsciLexerCSS::foldComments
    {56, 927, 433},	// QsciLexerCSS::foldCompact
    {56, 1000, 429},	// QsciLexerCSS::keywords$
    {56, 1001, 422},	// QsciLexerCSS::language
    {56, 1006, 423},	// QsciLexerCSS::lexer
    {56, 1056, 414},	// QsciLexerCSS::metaObject
    {56, 1097, 420},	// QsciLexerCSS::qt_metacall$$?
    {56, 1099, 415},	// QsciLexerCSS::qt_metacast$
    {56, 1104, 436},	// QsciLexerCSS::readProperties#$
    {56, 1113, 431},	// QsciLexerCSS::refreshProperties
    {56, 1247, 434},	// QsciLexerCSS::setFoldComments$
    {56, 1249, 435},	// QsciLexerCSS::setFoldCompact$
    {56, 1423, 443},	// QsciLexerCSS::staticMetaObject
    {56, 1445, 438},	// QsciLexerCSS::tr$
    {56, 1446, 416},	// QsciLexerCSS::tr$$
    {56, 1447, 418},	// QsciLexerCSS::tr$$$
    {56, 1449, 439},	// QsciLexerCSS::trUtf8$
    {56, 1450, 417},	// QsciLexerCSS::trUtf8$$
    {56, 1451, 419},	// QsciLexerCSS::trUtf8$$$
    {56, 1472, 426},	// QsciLexerCSS::wordCharacters
    {56, 1478, 437},	// QsciLexerCSS::writeProperties#$
    {56, 1498, 467},	// QsciLexerCSS::~QsciLexerCSS
    {57, 412, 485},	// QsciLexerCSharp::QsciLexerCSharp
    {57, 413, 475},	// QsciLexerCSharp::QsciLexerCSharp#
    {57, 858, 477},	// QsciLexerCSharp::defaultColor$
    {57, 860, 478},	// QsciLexerCSharp::defaultEolFill$
    {57, 862, 479},	// QsciLexerCSharp::defaultFont$
    {57, 864, 480},	// QsciLexerCSharp::defaultPaper$
    {57, 868, 482},	// QsciLexerCSharp::description$
    {57, 1000, 481},	// QsciLexerCSharp::keywords$
    {57, 1001, 476},	// QsciLexerCSharp::language
    {57, 1056, 468},	// QsciLexerCSharp::metaObject
    {57, 1097, 474},	// QsciLexerCSharp::qt_metacall$$?
    {57, 1099, 469},	// QsciLexerCSharp::qt_metacast$
    {57, 1423, 486},	// QsciLexerCSharp::staticMetaObject
    {57, 1445, 483},	// QsciLexerCSharp::tr$
    {57, 1446, 470},	// QsciLexerCSharp::tr$$
    {57, 1447, 472},	// QsciLexerCSharp::tr$$$
    {57, 1449, 484},	// QsciLexerCSharp::trUtf8$
    {57, 1450, 471},	// QsciLexerCSharp::trUtf8$$
    {57, 1451, 473},	// QsciLexerCSharp::trUtf8$$$
    {57, 1499, 487},	// QsciLexerCSharp::~QsciLexerCSharp
    {58, 414, 504},	// QsciLexerCustom::QsciLexerCustom
    {58, 415, 495},	// QsciLexerCustom::QsciLexerCustom#
    {58, 1056, 488},	// QsciLexerCustom::metaObject
    {58, 1097, 494},	// QsciLexerCustom::qt_metacall$$?
    {58, 1099, 489},	// QsciLexerCustom::qt_metacast$
    {58, 1226, 500},	// QsciLexerCustom::setEditor#
    {58, 1371, 497},	// QsciLexerCustom::setStyling$#
    {58, 1372, 496},	// QsciLexerCustom::setStyling$$
    {58, 1421, 505},	// QsciLexerCustom::startStyling$
    {58, 1422, 498},	// QsciLexerCustom::startStyling$$
    {58, 1423, 506},	// QsciLexerCustom::staticMetaObject
    {58, 1426, 501},	// QsciLexerCustom::styleBitsNeeded
    {58, 1430, 499},	// QsciLexerCustom::styleText$$
    {58, 1445, 502},	// QsciLexerCustom::tr$
    {58, 1446, 490},	// QsciLexerCustom::tr$$
    {58, 1447, 492},	// QsciLexerCustom::tr$$$
    {58, 1449, 503},	// QsciLexerCustom::trUtf8$
    {58, 1450, 491},	// QsciLexerCustom::trUtf8$$
    {58, 1451, 493},	// QsciLexerCustom::trUtf8$$$
    {58, 1500, 507},	// QsciLexerCustom::~QsciLexerCustom
    {59, 83, 564},	// QsciLexerD::BackquoteString
    {59, 113, 558},	// QsciLexerD::Character
    {59, 128, 547},	// QsciLexerD::Comment
    {59, 131, 549},	// QsciLexerD::CommentDoc
    {59, 132, 562},	// QsciLexerD::CommentDocKeyword
    {59, 133, 563},	// QsciLexerD::CommentDocKeywordError
    {59, 134, 548},	// QsciLexerD::CommentLine
    {59, 135, 561},	// QsciLexerD::CommentLineDoc
    {59, 137, 550},	// QsciLexerD::CommentNested
    {59, 148, 546},	// QsciLexerD::Default
    {59, 214, 560},	// QsciLexerD::Identifier
    {59, 259, 552},	// QsciLexerD::Keyword
    {59, 260, 554},	// QsciLexerD::KeywordDoc
    {59, 261, 553},	// QsciLexerD::KeywordSecondary
    {59, 264, 566},	// QsciLexerD::KeywordSet5
    {59, 265, 567},	// QsciLexerD::KeywordSet6
    {59, 266, 568},	// QsciLexerD::KeywordSet7
    {59, 323, 551},	// QsciLexerD::Number
    {59, 327, 559},	// QsciLexerD::Operator
    {59, 416, 541},	// QsciLexerD::QsciLexerD
    {59, 417, 515},	// QsciLexerD::QsciLexerD#
    {59, 494, 565},	// QsciLexerD::RawString
    {59, 692, 556},	// QsciLexerD::String
    {59, 726, 555},	// QsciLexerD::Typedefs
    {59, 729, 557},	// QsciLexerD::UnclosedString
    {59, 798, 518},	// QsciLexerD::autoCompletionWordSeparators
    {59, 804, 542},	// QsciLexerD::blockEnd
    {59, 805, 519},	// QsciLexerD::blockEnd$
    {59, 807, 543},	// QsciLexerD::blockStart
    {59, 808, 520},	// QsciLexerD::blockStart$
    {59, 809, 544},	// QsciLexerD::blockStartKeyword
    {59, 810, 521},	// QsciLexerD::blockStartKeyword$
    {59, 812, 522},	// QsciLexerD::braceStyle
    {59, 858, 524},	// QsciLexerD::defaultColor$
    {59, 860, 525},	// QsciLexerD::defaultEolFill$
    {59, 862, 526},	// QsciLexerD::defaultFont$
    {59, 864, 527},	// QsciLexerD::defaultPaper$
    {59, 868, 529},	// QsciLexerD::description$
    {59, 924, 531},	// QsciLexerD::foldAtElse
    {59, 926, 532},	// QsciLexerD::foldComments
    {59, 927, 533},	// QsciLexerD::foldCompact
    {59, 1000, 528},	// QsciLexerD::keywords$
    {59, 1001, 516},	// QsciLexerD::language
    {59, 1006, 517},	// QsciLexerD::lexer
    {59, 1056, 508},	// QsciLexerD::metaObject
    {59, 1097, 514},	// QsciLexerD::qt_metacall$$?
    {59, 1099, 509},	// QsciLexerD::qt_metacast$
    {59, 1104, 537},	// QsciLexerD::readProperties#$
    {59, 1113, 530},	// QsciLexerD::refreshProperties
    {59, 1243, 534},	// QsciLexerD::setFoldAtElse$
    {59, 1247, 535},	// QsciLexerD::setFoldComments$
    {59, 1249, 536},	// QsciLexerD::setFoldCompact$
    {59, 1423, 545},	// QsciLexerD::staticMetaObject
    {59, 1445, 539},	// QsciLexerD::tr$
    {59, 1446, 510},	// QsciLexerD::tr$$
    {59, 1447, 512},	// QsciLexerD::tr$$$
    {59, 1449, 540},	// QsciLexerD::trUtf8$
    {59, 1450, 511},	// QsciLexerD::trUtf8$$
    {59, 1451, 513},	// QsciLexerD::trUtf8$$$
    {59, 1472, 523},	// QsciLexerD::wordCharacters
    {59, 1478, 538},	// QsciLexerD::writeProperties#$
    {59, 1501, 569},	// QsciLexerD::~QsciLexerD
    {60, 127, 589},	// QsciLexerDiff::Command
    {60, 128, 588},	// QsciLexerDiff::Comment
    {60, 148, 587},	// QsciLexerDiff::Default
    {60, 203, 590},	// QsciLexerDiff::Header
    {60, 299, 593},	// QsciLexerDiff::LineAdded
    {60, 300, 594},	// QsciLexerDiff::LineChanged
    {60, 302, 592},	// QsciLexerDiff::LineRemoved
    {60, 362, 591},	// QsciLexerDiff::Position
    {60, 418, 585},	// QsciLexerDiff::QsciLexerDiff
    {60, 419, 577},	// QsciLexerDiff::QsciLexerDiff#
    {60, 858, 581},	// QsciLexerDiff::defaultColor$
    {60, 868, 582},	// QsciLexerDiff::description$
    {60, 1001, 578},	// QsciLexerDiff::language
    {60, 1006, 579},	// QsciLexerDiff::lexer
    {60, 1056, 570},	// QsciLexerDiff::metaObject
    {60, 1097, 576},	// QsciLexerDiff::qt_metacall$$?
    {60, 1099, 571},	// QsciLexerDiff::qt_metacast$
    {60, 1423, 586},	// QsciLexerDiff::staticMetaObject
    {60, 1445, 583},	// QsciLexerDiff::tr$
    {60, 1446, 572},	// QsciLexerDiff::tr$$
    {60, 1447, 574},	// QsciLexerDiff::tr$$$
    {60, 1449, 584},	// QsciLexerDiff::trUtf8$
    {60, 1450, 573},	// QsciLexerDiff::trUtf8$$
    {60, 1451, 575},	// QsciLexerDiff::trUtf8$$$
    {60, 1472, 580},	// QsciLexerDiff::wordCharacters
    {60, 1502, 595},	// QsciLexerDiff::~QsciLexerDiff
    {61, 420, 609},	// QsciLexerFortran::QsciLexerFortran
    {61, 421, 603},	// QsciLexerFortran::QsciLexerFortran#
    {61, 1000, 606},	// QsciLexerFortran::keywords$
    {61, 1001, 604},	// QsciLexerFortran::language
    {61, 1006, 605},	// QsciLexerFortran::lexer
    {61, 1056, 596},	// QsciLexerFortran::metaObject
    {61, 1097, 602},	// QsciLexerFortran::qt_metacall$$?
    {61, 1099, 597},	// QsciLexerFortran::qt_metacast$
    {61, 1423, 610},	// QsciLexerFortran::staticMetaObject
    {61, 1445, 607},	// QsciLexerFortran::tr$
    {61, 1446, 598},	// QsciLexerFortran::tr$$
    {61, 1447, 600},	// QsciLexerFortran::tr$$$
    {61, 1449, 608},	// QsciLexerFortran::trUtf8$
    {61, 1450, 599},	// QsciLexerFortran::trUtf8$$
    {61, 1451, 601},	// QsciLexerFortran::trUtf8$$$
    {61, 1503, 611},	// QsciLexerFortran::~QsciLexerFortran
    {62, 128, 639},	// QsciLexerFortran77::Comment
    {62, 139, 652},	// QsciLexerFortran77::Continuation
    {62, 148, 638},	// QsciLexerFortran77::Default
    {62, 157, 650},	// QsciLexerFortran77::DottedOperator
    {62, 159, 642},	// QsciLexerFortran77::DoubleQuotedString
    {62, 180, 648},	// QsciLexerFortran77::ExtendedFunction
    {62, 214, 645},	// QsciLexerFortran77::Identifier
    {62, 243, 647},	// QsciLexerFortran77::IntrinsicFunction
    {62, 259, 646},	// QsciLexerFortran77::Keyword
    {62, 269, 651},	// QsciLexerFortran77::Label
    {62, 323, 640},	// QsciLexerFortran77::Number
    {62, 327, 644},	// QsciLexerFortran77::Operator
    {62, 364, 649},	// QsciLexerFortran77::PreProcessor
    {62, 422, 636},	// QsciLexerFortran77::QsciLexerFortran77
    {62, 423, 619},	// QsciLexerFortran77::QsciLexerFortran77#
    {62, 676, 641},	// QsciLexerFortran77::SingleQuotedString
    {62, 729, 643},	// QsciLexerFortran77::UnclosedString
    {62, 812, 622},	// QsciLexerFortran77::braceStyle
    {62, 858, 623},	// QsciLexerFortran77::defaultColor$
    {62, 860, 624},	// QsciLexerFortran77::defaultEolFill$
    {62, 862, 625},	// QsciLexerFortran77::defaultFont$
    {62, 864, 626},	// QsciLexerFortran77::defaultPaper$
    {62, 868, 628},	// QsciLexerFortran77::description$
    {62, 927, 630},	// QsciLexerFortran77::foldCompact
    {62, 1000, 627},	// QsciLexerFortran77::keywords$
    {62, 1001, 620},	// QsciLexerFortran77::language
    {62, 1006, 621},	// QsciLexerFortran77::lexer
    {62, 1056, 612},	// QsciLexerFortran77::metaObject
    {62, 1097, 618},	// QsciLexerFortran77::qt_metacall$$?
    {62, 1099, 613},	// QsciLexerFortran77::qt_metacast$
    {62, 1104, 632},	// QsciLexerFortran77::readProperties#$
    {62, 1113, 629},	// QsciLexerFortran77::refreshProperties
    {62, 1249, 631},	// QsciLexerFortran77::setFoldCompact$
    {62, 1423, 637},	// QsciLexerFortran77::staticMetaObject
    {62, 1445, 634},	// QsciLexerFortran77::tr$
    {62, 1446, 614},	// QsciLexerFortran77::tr$$
    {62, 1447, 616},	// QsciLexerFortran77::tr$$$
    {62, 1449, 635},	// QsciLexerFortran77::trUtf8$
    {62, 1450, 615},	// QsciLexerFortran77::trUtf8$$
    {62, 1451, 617},	// QsciLexerFortran77::trUtf8$$$
    {62, 1478, 633},	// QsciLexerFortran77::writeProperties#$
    {62, 1504, 653},	// QsciLexerFortran77::~QsciLexerFortran77
    {63, 11, 708},	// QsciLexerHTML::ASPAtStart
    {63, 12, 740},	// QsciLexerHTML::ASPJavaScriptComment
    {63, 13, 742},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {63, 14, 741},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {63, 15, 739},	// QsciLexerHTML::ASPJavaScriptDefault
    {63, 16, 746},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {63, 17, 745},	// QsciLexerHTML::ASPJavaScriptKeyword
    {63, 18, 743},	// QsciLexerHTML::ASPJavaScriptNumber
    {63, 19, 750},	// QsciLexerHTML::ASPJavaScriptRegex
    {63, 20, 747},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {63, 21, 738},	// QsciLexerHTML::ASPJavaScriptStart
    {63, 22, 748},	// QsciLexerHTML::ASPJavaScriptSymbol
    {63, 23, 749},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {63, 24, 744},	// QsciLexerHTML::ASPJavaScriptWord
    {63, 25, 789},	// QsciLexerHTML::ASPPythonClassName
    {63, 26, 782},	// QsciLexerHTML::ASPPythonComment
    {63, 27, 781},	// QsciLexerHTML::ASPPythonDefault
    {63, 28, 784},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {63, 29, 790},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {63, 30, 792},	// QsciLexerHTML::ASPPythonIdentifier
    {63, 31, 786},	// QsciLexerHTML::ASPPythonKeyword
    {63, 32, 783},	// QsciLexerHTML::ASPPythonNumber
    {63, 33, 791},	// QsciLexerHTML::ASPPythonOperator
    {63, 34, 785},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {63, 35, 780},	// QsciLexerHTML::ASPPythonStart
    {63, 36, 788},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {63, 37, 787},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {63, 38, 709},	// QsciLexerHTML::ASPStart
    {63, 39, 761},	// QsciLexerHTML::ASPVBScriptComment
    {63, 40, 760},	// QsciLexerHTML::ASPVBScriptDefault
    {63, 41, 765},	// QsciLexerHTML::ASPVBScriptIdentifier
    {63, 42, 763},	// QsciLexerHTML::ASPVBScriptKeyword
    {63, 43, 762},	// QsciLexerHTML::ASPVBScriptNumber
    {63, 44, 759},	// QsciLexerHTML::ASPVBScriptStart
    {63, 45, 764},	// QsciLexerHTML::ASPVBScriptString
    {63, 46, 766},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {63, 47, 713},	// QsciLexerHTML::ASPXCComment
    {63, 69, 696},	// QsciLexerHTML::Attribute
    {63, 104, 710},	// QsciLexerHTML::CDATA
    {63, 148, 693},	// QsciLexerHTML::Default
    {63, 170, 703},	// QsciLexerHTML::Entity
    {63, 197, 702},	// QsciLexerHTML::HTMLComment
    {63, 198, 699},	// QsciLexerHTML::HTMLDoubleQuotedString
    {63, 199, 698},	// QsciLexerHTML::HTMLNumber
    {63, 200, 700},	// QsciLexerHTML::HTMLSingleQuotedString
    {63, 201, 712},	// QsciLexerHTML::HTMLValue
    {63, 245, 727},	// QsciLexerHTML::JavaScriptComment
    {63, 246, 729},	// QsciLexerHTML::JavaScriptCommentDoc
    {63, 247, 728},	// QsciLexerHTML::JavaScriptCommentLine
    {63, 248, 726},	// QsciLexerHTML::JavaScriptDefault
    {63, 249, 733},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {63, 250, 732},	// QsciLexerHTML::JavaScriptKeyword
    {63, 251, 730},	// QsciLexerHTML::JavaScriptNumber
    {63, 252, 737},	// QsciLexerHTML::JavaScriptRegex
    {63, 253, 734},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {63, 254, 725},	// QsciLexerHTML::JavaScriptStart
    {63, 255, 735},	// QsciLexerHTML::JavaScriptSymbol
    {63, 256, 736},	// QsciLexerHTML::JavaScriptUnclosedString
    {63, 257, 731},	// QsciLexerHTML::JavaScriptWord
    {63, 329, 701},	// QsciLexerHTML::OtherInTag
    {63, 330, 799},	// QsciLexerHTML::PHPComment
    {63, 331, 800},	// QsciLexerHTML::PHPCommentLine
    {63, 332, 793},	// QsciLexerHTML::PHPDefault
    {63, 333, 794},	// QsciLexerHTML::PHPDoubleQuotedString
    {63, 334, 801},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {63, 335, 796},	// QsciLexerHTML::PHPKeyword
    {63, 336, 797},	// QsciLexerHTML::PHPNumber
    {63, 337, 802},	// QsciLexerHTML::PHPOperator
    {63, 338, 795},	// QsciLexerHTML::PHPSingleQuotedString
    {63, 339, 711},	// QsciLexerHTML::PHPStart
    {63, 340, 798},	// QsciLexerHTML::PHPVariable
    {63, 373, 776},	// QsciLexerHTML::PythonClassName
    {63, 374, 769},	// QsciLexerHTML::PythonComment
    {63, 375, 768},	// QsciLexerHTML::PythonDefault
    {63, 376, 771},	// QsciLexerHTML::PythonDoubleQuotedString
    {63, 377, 777},	// QsciLexerHTML::PythonFunctionMethodName
    {63, 378, 779},	// QsciLexerHTML::PythonIdentifier
    {63, 379, 773},	// QsciLexerHTML::PythonKeyword
    {63, 380, 770},	// QsciLexerHTML::PythonNumber
    {63, 381, 778},	// QsciLexerHTML::PythonOperator
    {63, 382, 772},	// QsciLexerHTML::PythonSingleQuotedString
    {63, 383, 767},	// QsciLexerHTML::PythonStart
    {63, 384, 775},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {63, 385, 774},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {63, 424, 691},	// QsciLexerHTML::QsciLexerHTML
    {63, 425, 661},	// QsciLexerHTML::QsciLexerHTML#
    {63, 647, 724},	// QsciLexerHTML::SGMLBlockDefault
    {63, 648, 715},	// QsciLexerHTML::SGMLCommand
    {63, 649, 722},	// QsciLexerHTML::SGMLComment
    {63, 650, 714},	// QsciLexerHTML::SGMLDefault
    {63, 651, 717},	// QsciLexerHTML::SGMLDoubleQuotedString
    {63, 652, 721},	// QsciLexerHTML::SGMLEntity
    {63, 653, 719},	// QsciLexerHTML::SGMLError
    {63, 654, 716},	// QsciLexerHTML::SGMLParameter
    {63, 655, 723},	// QsciLexerHTML::SGMLParameterComment
    {63, 656, 718},	// QsciLexerHTML::SGMLSingleQuotedString
    {63, 657, 720},	// QsciLexerHTML::SGMLSpecial
    {63, 660, 707},	// QsciLexerHTML::Script
    {63, 713, 694},	// QsciLexerHTML::Tag
    {63, 731, 697},	// QsciLexerHTML::UnknownAttribute
    {63, 734, 695},	// QsciLexerHTML::UnknownTag
    {63, 736, 753},	// QsciLexerHTML::VBScriptComment
    {63, 737, 752},	// QsciLexerHTML::VBScriptDefault
    {63, 738, 757},	// QsciLexerHTML::VBScriptIdentifier
    {63, 739, 755},	// QsciLexerHTML::VBScriptKeyword
    {63, 740, 754},	// QsciLexerHTML::VBScriptNumber
    {63, 741, 751},	// QsciLexerHTML::VBScriptStart
    {63, 742, 756},	// QsciLexerHTML::VBScriptString
    {63, 743, 758},	// QsciLexerHTML::VBScriptUnclosedString
    {63, 762, 706},	// QsciLexerHTML::XMLEnd
    {63, 763, 705},	// QsciLexerHTML::XMLStart
    {63, 764, 704},	// QsciLexerHTML::XMLTagEnd
    {63, 789, 664},	// QsciLexerHTML::autoCompletionFillups
    {63, 823, 673},	// QsciLexerHTML::caseSensitiveTags
    {63, 858, 666},	// QsciLexerHTML::defaultColor$
    {63, 860, 667},	// QsciLexerHTML::defaultEolFill$
    {63, 862, 668},	// QsciLexerHTML::defaultFont$
    {63, 864, 669},	// QsciLexerHTML::defaultPaper$
    {63, 868, 671},	// QsciLexerHTML::description$
    {63, 871, 675},	// QsciLexerHTML::djangoTemplates
    {63, 927, 676},	// QsciLexerHTML::foldCompact
    {63, 934, 677},	// QsciLexerHTML::foldPreprocessor
    {63, 936, 679},	// QsciLexerHTML::foldScriptComments
    {63, 937, 681},	// QsciLexerHTML::foldScriptHeredocs
    {63, 1000, 670},	// QsciLexerHTML::keywords$
    {63, 1001, 662},	// QsciLexerHTML::language
    {63, 1006, 663},	// QsciLexerHTML::lexer
    {63, 1021, 683},	// QsciLexerHTML::makoTemplates
    {63, 1056, 654},	// QsciLexerHTML::metaObject
    {63, 1097, 660},	// QsciLexerHTML::qt_metacall$$?
    {63, 1099, 655},	// QsciLexerHTML::qt_metacast$
    {63, 1104, 687},	// QsciLexerHTML::readProperties#$
    {63, 1113, 672},	// QsciLexerHTML::refreshProperties
    {63, 1193, 686},	// QsciLexerHTML::setCaseSensitiveTags$
    {63, 1212, 674},	// QsciLexerHTML::setDjangoTemplates$
    {63, 1249, 684},	// QsciLexerHTML::setFoldCompact$
    {63, 1261, 685},	// QsciLexerHTML::setFoldPreprocessor$
    {63, 1265, 678},	// QsciLexerHTML::setFoldScriptComments$
    {63, 1267, 680},	// QsciLexerHTML::setFoldScriptHeredocs$
    {63, 1309, 682},	// QsciLexerHTML::setMakoTemplates$
    {63, 1423, 692},	// QsciLexerHTML::staticMetaObject
    {63, 1445, 689},	// QsciLexerHTML::tr$
    {63, 1446, 656},	// QsciLexerHTML::tr$$
    {63, 1447, 658},	// QsciLexerHTML::tr$$$
    {63, 1449, 690},	// QsciLexerHTML::trUtf8$
    {63, 1450, 657},	// QsciLexerHTML::trUtf8$$
    {63, 1451, 659},	// QsciLexerHTML::trUtf8$$$
    {63, 1472, 665},	// QsciLexerHTML::wordCharacters
    {63, 1478, 688},	// QsciLexerHTML::writeProperties#$
    {63, 1505, 803},	// QsciLexerHTML::~QsciLexerHTML
    {64, 426, 818},	// QsciLexerIDL::QsciLexerIDL
    {64, 427, 811},	// QsciLexerIDL::QsciLexerIDL#
    {64, 858, 813},	// QsciLexerIDL::defaultColor$
    {64, 868, 815},	// QsciLexerIDL::description$
    {64, 1000, 814},	// QsciLexerIDL::keywords$
    {64, 1001, 812},	// QsciLexerIDL::language
    {64, 1056, 804},	// QsciLexerIDL::metaObject
    {64, 1097, 810},	// QsciLexerIDL::qt_metacall$$?
    {64, 1099, 805},	// QsciLexerIDL::qt_metacast$
    {64, 1423, 819},	// QsciLexerIDL::staticMetaObject
    {64, 1445, 816},	// QsciLexerIDL::tr$
    {64, 1446, 806},	// QsciLexerIDL::tr$$
    {64, 1447, 808},	// QsciLexerIDL::tr$$$
    {64, 1449, 817},	// QsciLexerIDL::trUtf8$
    {64, 1450, 807},	// QsciLexerIDL::trUtf8$$
    {64, 1451, 809},	// QsciLexerIDL::trUtf8$$$
    {64, 1506, 820},	// QsciLexerIDL::~QsciLexerIDL
    {65, 428, 833},	// QsciLexerJava::QsciLexerJava
    {65, 429, 828},	// QsciLexerJava::QsciLexerJava#
    {65, 1000, 830},	// QsciLexerJava::keywords$
    {65, 1001, 829},	// QsciLexerJava::language
    {65, 1056, 821},	// QsciLexerJava::metaObject
    {65, 1097, 827},	// QsciLexerJava::qt_metacall$$?
    {65, 1099, 822},	// QsciLexerJava::qt_metacast$
    {65, 1423, 834},	// QsciLexerJava::staticMetaObject
    {65, 1445, 831},	// QsciLexerJava::tr$
    {65, 1446, 823},	// QsciLexerJava::tr$$
    {65, 1447, 825},	// QsciLexerJava::tr$$$
    {65, 1449, 832},	// QsciLexerJava::trUtf8$
    {65, 1450, 824},	// QsciLexerJava::trUtf8$$
    {65, 1451, 826},	// QsciLexerJava::trUtf8$$$
    {65, 1507, 835},	// QsciLexerJava::~QsciLexerJava
    {66, 430, 853},	// QsciLexerJavaScript::QsciLexerJavaScript
    {66, 431, 843},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {66, 858, 845},	// QsciLexerJavaScript::defaultColor$
    {66, 860, 846},	// QsciLexerJavaScript::defaultEolFill$
    {66, 862, 847},	// QsciLexerJavaScript::defaultFont$
    {66, 864, 848},	// QsciLexerJavaScript::defaultPaper$
    {66, 868, 850},	// QsciLexerJavaScript::description$
    {66, 1000, 849},	// QsciLexerJavaScript::keywords$
    {66, 1001, 844},	// QsciLexerJavaScript::language
    {66, 1056, 836},	// QsciLexerJavaScript::metaObject
    {66, 1097, 842},	// QsciLexerJavaScript::qt_metacall$$?
    {66, 1099, 837},	// QsciLexerJavaScript::qt_metacast$
    {66, 1423, 854},	// QsciLexerJavaScript::staticMetaObject
    {66, 1445, 851},	// QsciLexerJavaScript::tr$
    {66, 1446, 838},	// QsciLexerJavaScript::tr$$
    {66, 1447, 840},	// QsciLexerJavaScript::tr$$$
    {66, 1449, 852},	// QsciLexerJavaScript::trUtf8$
    {66, 1450, 839},	// QsciLexerJavaScript::trUtf8$$
    {66, 1451, 841},	// QsciLexerJavaScript::trUtf8$$$
    {66, 1508, 855},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {67, 89, 897},	// QsciLexerLua::BasicFunctions
    {67, 113, 891},	// QsciLexerLua::Character
    {67, 128, 886},	// QsciLexerLua::Comment
    {67, 140, 899},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {67, 148, 885},	// QsciLexerLua::Default
    {67, 214, 895},	// QsciLexerLua::Identifier
    {67, 259, 889},	// QsciLexerLua::Keyword
    {67, 264, 900},	// QsciLexerLua::KeywordSet5
    {67, 265, 901},	// QsciLexerLua::KeywordSet6
    {67, 266, 902},	// QsciLexerLua::KeywordSet7
    {67, 267, 903},	// QsciLexerLua::KeywordSet8
    {67, 301, 887},	// QsciLexerLua::LineComment
    {67, 304, 892},	// QsciLexerLua::LiteralString
    {67, 323, 888},	// QsciLexerLua::Number
    {67, 327, 894},	// QsciLexerLua::Operator
    {67, 368, 893},	// QsciLexerLua::Preprocessor
    {67, 432, 882},	// QsciLexerLua::QsciLexerLua
    {67, 433, 863},	// QsciLexerLua::QsciLexerLua#
    {67, 692, 890},	// QsciLexerLua::String
    {67, 695, 898},	// QsciLexerLua::StringTableMathsFunctions
    {67, 729, 896},	// QsciLexerLua::UnclosedString
    {67, 798, 866},	// QsciLexerLua::autoCompletionWordSeparators
    {67, 807, 883},	// QsciLexerLua::blockStart
    {67, 808, 867},	// QsciLexerLua::blockStart$
    {67, 812, 868},	// QsciLexerLua::braceStyle
    {67, 858, 869},	// QsciLexerLua::defaultColor$
    {67, 860, 870},	// QsciLexerLua::defaultEolFill$
    {67, 862, 871},	// QsciLexerLua::defaultFont$
    {67, 864, 872},	// QsciLexerLua::defaultPaper$
    {67, 868, 874},	// QsciLexerLua::description$
    {67, 927, 876},	// QsciLexerLua::foldCompact
    {67, 1000, 873},	// QsciLexerLua::keywords$
    {67, 1001, 864},	// QsciLexerLua::language
    {67, 1006, 865},	// QsciLexerLua::lexer
    {67, 1056, 856},	// QsciLexerLua::metaObject
    {67, 1097, 862},	// QsciLexerLua::qt_metacall$$?
    {67, 1099, 857},	// QsciLexerLua::qt_metacast$
    {67, 1104, 878},	// QsciLexerLua::readProperties#$
    {67, 1113, 875},	// QsciLexerLua::refreshProperties
    {67, 1249, 877},	// QsciLexerLua::setFoldCompact$
    {67, 1423, 884},	// QsciLexerLua::staticMetaObject
    {67, 1445, 880},	// QsciLexerLua::tr$
    {67, 1446, 858},	// QsciLexerLua::tr$$
    {67, 1447, 860},	// QsciLexerLua::tr$$$
    {67, 1449, 881},	// QsciLexerLua::trUtf8$
    {67, 1450, 859},	// QsciLexerLua::trUtf8$$
    {67, 1451, 861},	// QsciLexerLua::trUtf8$$$
    {67, 1478, 879},	// QsciLexerLua::writeProperties#$
    {67, 1509, 904},	// QsciLexerLua::~QsciLexerLua
    {68, 128, 926},	// QsciLexerMakefile::Comment
    {68, 148, 925},	// QsciLexerMakefile::Default
    {68, 176, 931},	// QsciLexerMakefile::Error
    {68, 327, 929},	// QsciLexerMakefile::Operator
    {68, 368, 927},	// QsciLexerMakefile::Preprocessor
    {68, 434, 923},	// QsciLexerMakefile::QsciLexerMakefile
    {68, 435, 912},	// QsciLexerMakefile::QsciLexerMakefile#
    {68, 714, 930},	// QsciLexerMakefile::Target
    {68, 746, 928},	// QsciLexerMakefile::Variable
    {68, 858, 916},	// QsciLexerMakefile::defaultColor$
    {68, 860, 917},	// QsciLexerMakefile::defaultEolFill$
    {68, 862, 918},	// QsciLexerMakefile::defaultFont$
    {68, 864, 919},	// QsciLexerMakefile::defaultPaper$
    {68, 868, 920},	// QsciLexerMakefile::description$
    {68, 1001, 913},	// QsciLexerMakefile::language
    {68, 1006, 914},	// QsciLexerMakefile::lexer
    {68, 1056, 905},	// QsciLexerMakefile::metaObject
    {68, 1097, 911},	// QsciLexerMakefile::qt_metacall$$?
    {68, 1099, 906},	// QsciLexerMakefile::qt_metacast$
    {68, 1423, 924},	// QsciLexerMakefile::staticMetaObject
    {68, 1445, 921},	// QsciLexerMakefile::tr$
    {68, 1446, 907},	// QsciLexerMakefile::tr$$
    {68, 1447, 909},	// QsciLexerMakefile::tr$$$
    {68, 1449, 922},	// QsciLexerMakefile::trUtf8$
    {68, 1450, 908},	// QsciLexerMakefile::trUtf8$$
    {68, 1451, 910},	// QsciLexerMakefile::trUtf8$$$
    {68, 1472, 915},	// QsciLexerMakefile::wordCharacters
    {68, 1510, 932},	// QsciLexerMakefile::~QsciLexerMakefile
    {69, 86, 973},	// QsciLexerPOV::BadDirective
    {69, 128, 965},	// QsciLexerPOV::Comment
    {69, 134, 966},	// QsciLexerPOV::CommentLine
    {69, 148, 964},	// QsciLexerPOV::Default
    {69, 155, 972},	// QsciLexerPOV::Directive
    {69, 214, 969},	// QsciLexerPOV::Identifier
    {69, 265, 978},	// QsciLexerPOV::KeywordSet6
    {69, 266, 979},	// QsciLexerPOV::KeywordSet7
    {69, 267, 980},	// QsciLexerPOV::KeywordSet8
    {69, 323, 967},	// QsciLexerPOV::Number
    {69, 325, 974},	// QsciLexerPOV::ObjectsCSGAppearance
    {69, 327, 968},	// QsciLexerPOV::Operator
    {69, 366, 977},	// QsciLexerPOV::PredefinedFunctions
    {69, 367, 976},	// QsciLexerPOV::PredefinedIdentifiers
    {69, 436, 962},	// QsciLexerPOV::QsciLexerPOV
    {69, 437, 940},	// QsciLexerPOV::QsciLexerPOV#
    {69, 692, 970},	// QsciLexerPOV::String
    {69, 727, 975},	// QsciLexerPOV::TypesModifiersItems
    {69, 729, 971},	// QsciLexerPOV::UnclosedString
    {69, 812, 943},	// QsciLexerPOV::braceStyle
    {69, 858, 945},	// QsciLexerPOV::defaultColor$
    {69, 860, 946},	// QsciLexerPOV::defaultEolFill$
    {69, 862, 947},	// QsciLexerPOV::defaultFont$
    {69, 864, 948},	// QsciLexerPOV::defaultPaper$
    {69, 868, 950},	// QsciLexerPOV::description$
    {69, 926, 952},	// QsciLexerPOV::foldComments
    {69, 927, 953},	// QsciLexerPOV::foldCompact
    {69, 928, 954},	// QsciLexerPOV::foldDirectives
    {69, 1000, 949},	// QsciLexerPOV::keywords$
    {69, 1001, 941},	// QsciLexerPOV::language
    {69, 1006, 942},	// QsciLexerPOV::lexer
    {69, 1056, 933},	// QsciLexerPOV::metaObject
    {69, 1097, 939},	// QsciLexerPOV::qt_metacall$$?
    {69, 1099, 934},	// QsciLexerPOV::qt_metacast$
    {69, 1104, 958},	// QsciLexerPOV::readProperties#$
    {69, 1113, 951},	// QsciLexerPOV::refreshProperties
    {69, 1247, 955},	// QsciLexerPOV::setFoldComments$
    {69, 1249, 956},	// QsciLexerPOV::setFoldCompact$
    {69, 1251, 957},	// QsciLexerPOV::setFoldDirectives$
    {69, 1423, 963},	// QsciLexerPOV::staticMetaObject
    {69, 1445, 960},	// QsciLexerPOV::tr$
    {69, 1446, 935},	// QsciLexerPOV::tr$$
    {69, 1447, 937},	// QsciLexerPOV::tr$$$
    {69, 1449, 961},	// QsciLexerPOV::trUtf8$
    {69, 1450, 936},	// QsciLexerPOV::trUtf8$$
    {69, 1451, 938},	// QsciLexerPOV::trUtf8$$$
    {69, 1472, 944},	// QsciLexerPOV::wordCharacters
    {69, 1478, 959},	// QsciLexerPOV::writeProperties#$
    {69, 1511, 981},	// QsciLexerPOV::~QsciLexerPOV
    {70, 66, 1035},	// QsciLexerPascal::Asm
    {70, 113, 1033},	// QsciLexerPascal::Character
    {70, 128, 1023},	// QsciLexerPascal::Comment
    {70, 134, 1025},	// QsciLexerPascal::CommentLine
    {70, 138, 1024},	// QsciLexerPascal::CommentParenthesis
    {70, 148, 1021},	// QsciLexerPascal::Default
    {70, 206, 1029},	// QsciLexerPascal::HexNumber
    {70, 214, 1022},	// QsciLexerPascal::Identifier
    {70, 259, 1030},	// QsciLexerPascal::Keyword
    {70, 323, 1028},	// QsciLexerPascal::Number
    {70, 327, 1034},	// QsciLexerPascal::Operator
    {70, 364, 1026},	// QsciLexerPascal::PreProcessor
    {70, 365, 1027},	// QsciLexerPascal::PreProcessorParenthesis
    {70, 438, 1016},	// QsciLexerPascal::QsciLexerPascal
    {70, 439, 989},	// QsciLexerPascal::QsciLexerPascal#
    {70, 676, 1031},	// QsciLexerPascal::SingleQuotedString
    {70, 729, 1032},	// QsciLexerPascal::UnclosedString
    {70, 798, 992},	// QsciLexerPascal::autoCompletionWordSeparators
    {70, 804, 1017},	// QsciLexerPascal::blockEnd
    {70, 805, 993},	// QsciLexerPascal::blockEnd$
    {70, 807, 1018},	// QsciLexerPascal::blockStart
    {70, 808, 994},	// QsciLexerPascal::blockStart$
    {70, 809, 1019},	// QsciLexerPascal::blockStartKeyword
    {70, 810, 995},	// QsciLexerPascal::blockStartKeyword$
    {70, 812, 996},	// QsciLexerPascal::braceStyle
    {70, 858, 997},	// QsciLexerPascal::defaultColor$
    {70, 860, 998},	// QsciLexerPascal::defaultEolFill$
    {70, 862, 999},	// QsciLexerPascal::defaultFont$
    {70, 864, 1000},	// QsciLexerPascal::defaultPaper$
    {70, 868, 1002},	// QsciLexerPascal::description$
    {70, 926, 1004},	// QsciLexerPascal::foldComments
    {70, 927, 1005},	// QsciLexerPascal::foldCompact
    {70, 934, 1006},	// QsciLexerPascal::foldPreprocessor
    {70, 1000, 1001},	// QsciLexerPascal::keywords$
    {70, 1001, 990},	// QsciLexerPascal::language
    {70, 1006, 991},	// QsciLexerPascal::lexer
    {70, 1056, 982},	// QsciLexerPascal::metaObject
    {70, 1097, 988},	// QsciLexerPascal::qt_metacall$$?
    {70, 1099, 983},	// QsciLexerPascal::qt_metacast$
    {70, 1104, 1012},	// QsciLexerPascal::readProperties#$
    {70, 1113, 1003},	// QsciLexerPascal::refreshProperties
    {70, 1247, 1009},	// QsciLexerPascal::setFoldComments$
    {70, 1249, 1010},	// QsciLexerPascal::setFoldCompact$
    {70, 1261, 1011},	// QsciLexerPascal::setFoldPreprocessor$
    {70, 1365, 1007},	// QsciLexerPascal::setSmartHighlighting$
    {70, 1417, 1008},	// QsciLexerPascal::smartHighlighting
    {70, 1423, 1020},	// QsciLexerPascal::staticMetaObject
    {70, 1445, 1014},	// QsciLexerPascal::tr$
    {70, 1446, 984},	// QsciLexerPascal::tr$$
    {70, 1447, 986},	// QsciLexerPascal::tr$$$
    {70, 1449, 1015},	// QsciLexerPascal::trUtf8$
    {70, 1450, 985},	// QsciLexerPascal::trUtf8$$
    {70, 1451, 987},	// QsciLexerPascal::trUtf8$$$
    {70, 1478, 1013},	// QsciLexerPascal::writeProperties#$
    {70, 1512, 1036},	// QsciLexerPascal::~QsciLexerPascal
    {71, 64, 1082},	// QsciLexerPerl::Array
    {71, 84, 1092},	// QsciLexerPerl::BacktickHereDocument
    {71, 85, 1087},	// QsciLexerPerl::Backticks
    {71, 128, 1073},	// QsciLexerPerl::Comment
    {71, 146, 1088},	// QsciLexerPerl::DataSection
    {71, 148, 1071},	// QsciLexerPerl::Default
    {71, 158, 1091},	// QsciLexerPerl::DoubleQuotedHereDocument
    {71, 159, 1077},	// QsciLexerPerl::DoubleQuotedString
    {71, 176, 1072},	// QsciLexerPerl::Error
    {71, 187, 1101},	// QsciLexerPerl::FormatBody
    {71, 188, 1100},	// QsciLexerPerl::FormatIdentifier
    {71, 202, 1083},	// QsciLexerPerl::Hash
    {71, 205, 1089},	// QsciLexerPerl::HereDocumentDelimiter
    {71, 214, 1080},	// QsciLexerPerl::Identifier
    {71, 259, 1076},	// QsciLexerPerl::Keyword
    {71, 323, 1075},	// QsciLexerPerl::Number
    {71, 327, 1079},	// QsciLexerPerl::Operator
    {71, 341, 1074},	// QsciLexerPerl::POD
    {71, 342, 1098},	// QsciLexerPerl::PODVerbatim
    {71, 440, 1069},	// QsciLexerPerl::QsciLexerPerl
    {71, 441, 1044},	// QsciLexerPerl::QsciLexerPerl#
    {71, 488, 1093},	// QsciLexerPerl::QuotedStringQ
    {71, 489, 1094},	// QsciLexerPerl::QuotedStringQQ
    {71, 490, 1096},	// QsciLexerPerl::QuotedStringQR
    {71, 491, 1097},	// QsciLexerPerl::QuotedStringQW
    {71, 492, 1095},	// QsciLexerPerl::QuotedStringQX
    {71, 497, 1085},	// QsciLexerPerl::Regex
    {71, 658, 1081},	// QsciLexerPerl::Scalar
    {71, 675, 1090},	// QsciLexerPerl::SingleQuotedHereDocument
    {71, 676, 1078},	// QsciLexerPerl::SingleQuotedString
    {71, 698, 1099},	// QsciLexerPerl::SubroutinePrototype
    {71, 699, 1086},	// QsciLexerPerl::Substitution
    {71, 706, 1084},	// QsciLexerPerl::SymbolTable
    {71, 798, 1047},	// QsciLexerPerl::autoCompletionWordSeparators
    {71, 812, 1048},	// QsciLexerPerl::braceStyle
    {71, 858, 1050},	// QsciLexerPerl::defaultColor$
    {71, 860, 1051},	// QsciLexerPerl::defaultEolFill$
    {71, 862, 1052},	// QsciLexerPerl::defaultFont$
    {71, 864, 1053},	// QsciLexerPerl::defaultPaper$
    {71, 868, 1055},	// QsciLexerPerl::description$
    {71, 926, 1057},	// QsciLexerPerl::foldComments
    {71, 927, 1058},	// QsciLexerPerl::foldCompact
    {71, 932, 1062},	// QsciLexerPerl::foldPODBlocks
    {71, 933, 1060},	// QsciLexerPerl::foldPackages
    {71, 1000, 1054},	// QsciLexerPerl::keywords$
    {71, 1001, 1045},	// QsciLexerPerl::language
    {71, 1006, 1046},	// QsciLexerPerl::lexer
    {71, 1056, 1037},	// QsciLexerPerl::metaObject
    {71, 1097, 1043},	// QsciLexerPerl::qt_metacall$$?
    {71, 1099, 1038},	// QsciLexerPerl::qt_metacast$
    {71, 1104, 1065},	// QsciLexerPerl::readProperties#$
    {71, 1113, 1056},	// QsciLexerPerl::refreshProperties
    {71, 1247, 1063},	// QsciLexerPerl::setFoldComments$
    {71, 1249, 1064},	// QsciLexerPerl::setFoldCompact$
    {71, 1257, 1061},	// QsciLexerPerl::setFoldPODBlocks$
    {71, 1259, 1059},	// QsciLexerPerl::setFoldPackages$
    {71, 1423, 1070},	// QsciLexerPerl::staticMetaObject
    {71, 1445, 1067},	// QsciLexerPerl::tr$
    {71, 1446, 1039},	// QsciLexerPerl::tr$$
    {71, 1447, 1041},	// QsciLexerPerl::tr$$$
    {71, 1449, 1068},	// QsciLexerPerl::trUtf8$
    {71, 1450, 1040},	// QsciLexerPerl::trUtf8$$
    {71, 1451, 1042},	// QsciLexerPerl::trUtf8$$$
    {71, 1472, 1049},	// QsciLexerPerl::wordCharacters
    {71, 1478, 1066},	// QsciLexerPerl::writeProperties#$
    {71, 1513, 1102},	// QsciLexerPerl::~QsciLexerPerl
    {72, 65, 1143},	// QsciLexerPostScript::ArrayParenthesis
    {72, 87, 1149},	// QsciLexerPostScript::BadStringCharacter
    {72, 88, 1148},	// QsciLexerPostScript::Base85String
    {72, 128, 1135},	// QsciLexerPostScript::Comment
    {72, 144, 1136},	// QsciLexerPostScript::DSCComment
    {72, 145, 1137},	// QsciLexerPostScript::DSCCommentValue
    {72, 148, 1134},	// QsciLexerPostScript::Default
    {72, 153, 1144},	// QsciLexerPostScript::DictionaryParenthesis
    {72, 207, 1147},	// QsciLexerPostScript::HexString
    {72, 217, 1142},	// QsciLexerPostScript::ImmediateEvalLiteral
    {72, 259, 1140},	// QsciLexerPostScript::Keyword
    {72, 303, 1141},	// QsciLexerPostScript::Literal
    {72, 317, 1139},	// QsciLexerPostScript::Name
    {72, 323, 1138},	// QsciLexerPostScript::Number
    {72, 370, 1145},	// QsciLexerPostScript::ProcedureParenthesis
    {72, 442, 1132},	// QsciLexerPostScript::QsciLexerPostScript
    {72, 443, 1110},	// QsciLexerPostScript::QsciLexerPostScript#
    {72, 715, 1146},	// QsciLexerPostScript::Text
    {72, 812, 1113},	// QsciLexerPostScript::braceStyle
    {72, 858, 1114},	// QsciLexerPostScript::defaultColor$
    {72, 862, 1115},	// QsciLexerPostScript::defaultFont$
    {72, 864, 1116},	// QsciLexerPostScript::defaultPaper$
    {72, 868, 1118},	// QsciLexerPostScript::description$
    {72, 924, 1123},	// QsciLexerPostScript::foldAtElse
    {72, 927, 1122},	// QsciLexerPostScript::foldCompact
    {72, 1000, 1117},	// QsciLexerPostScript::keywords$
    {72, 1001, 1111},	// QsciLexerPostScript::language
    {72, 1005, 1121},	// QsciLexerPostScript::level
    {72, 1006, 1112},	// QsciLexerPostScript::lexer
    {72, 1056, 1103},	// QsciLexerPostScript::metaObject
    {72, 1097, 1109},	// QsciLexerPostScript::qt_metacall$$?
    {72, 1099, 1104},	// QsciLexerPostScript::qt_metacast$
    {72, 1104, 1128},	// QsciLexerPostScript::readProperties#$
    {72, 1113, 1119},	// QsciLexerPostScript::refreshProperties
    {72, 1243, 1127},	// QsciLexerPostScript::setFoldAtElse$
    {72, 1249, 1126},	// QsciLexerPostScript::setFoldCompact$
    {72, 1303, 1125},	// QsciLexerPostScript::setLevel$
    {72, 1382, 1124},	// QsciLexerPostScript::setTokenize$
    {72, 1423, 1133},	// QsciLexerPostScript::staticMetaObject
    {72, 1443, 1120},	// QsciLexerPostScript::tokenize
    {72, 1445, 1130},	// QsciLexerPostScript::tr$
    {72, 1446, 1105},	// QsciLexerPostScript::tr$$
    {72, 1447, 1107},	// QsciLexerPostScript::tr$$$
    {72, 1449, 1131},	// QsciLexerPostScript::trUtf8$
    {72, 1450, 1106},	// QsciLexerPostScript::trUtf8$$
    {72, 1451, 1108},	// QsciLexerPostScript::trUtf8$$$
    {72, 1478, 1129},	// QsciLexerPostScript::writeProperties#$
    {72, 1514, 1150},	// QsciLexerPostScript::~QsciLexerPostScript
    {73, 67, 1181},	// QsciLexerProperties::Assignment
    {73, 128, 1179},	// QsciLexerProperties::Comment
    {73, 148, 1178},	// QsciLexerProperties::Default
    {73, 149, 1182},	// QsciLexerProperties::DefaultValue
    {73, 258, 1183},	// QsciLexerProperties::Key
    {73, 444, 1176},	// QsciLexerProperties::QsciLexerProperties
    {73, 445, 1158},	// QsciLexerProperties::QsciLexerProperties#
    {73, 661, 1180},	// QsciLexerProperties::Section
    {73, 858, 1162},	// QsciLexerProperties::defaultColor$
    {73, 860, 1163},	// QsciLexerProperties::defaultEolFill$
    {73, 862, 1164},	// QsciLexerProperties::defaultFont$
    {73, 864, 1165},	// QsciLexerProperties::defaultPaper$
    {73, 868, 1166},	// QsciLexerProperties::description$
    {73, 927, 1168},	// QsciLexerProperties::foldCompact
    {73, 975, 1170},	// QsciLexerProperties::initialSpaces
    {73, 1001, 1159},	// QsciLexerProperties::language
    {73, 1006, 1160},	// QsciLexerProperties::lexer
    {73, 1056, 1151},	// QsciLexerProperties::metaObject
    {73, 1097, 1157},	// QsciLexerProperties::qt_metacall$$?
    {73, 1099, 1152},	// QsciLexerProperties::qt_metacast$
    {73, 1104, 1172},	// QsciLexerProperties::readProperties#$
    {73, 1113, 1167},	// QsciLexerProperties::refreshProperties
    {73, 1249, 1171},	// QsciLexerProperties::setFoldCompact$
    {73, 1299, 1169},	// QsciLexerProperties::setInitialSpaces$
    {73, 1423, 1177},	// QsciLexerProperties::staticMetaObject
    {73, 1445, 1174},	// QsciLexerProperties::tr$
    {73, 1446, 1153},	// QsciLexerProperties::tr$$
    {73, 1447, 1155},	// QsciLexerProperties::tr$$$
    {73, 1449, 1175},	// QsciLexerProperties::trUtf8$
    {73, 1450, 1154},	// QsciLexerProperties::trUtf8$$
    {73, 1451, 1156},	// QsciLexerProperties::trUtf8$$$
    {73, 1472, 1161},	// QsciLexerProperties::wordCharacters
    {73, 1478, 1173},	// QsciLexerProperties::writeProperties#$
    {73, 1515, 1184},	// QsciLexerProperties::~QsciLexerProperties
    {74, 122, 1238},	// QsciLexerPython::ClassName
    {74, 128, 1231},	// QsciLexerPython::Comment
    {74, 129, 1242},	// QsciLexerPython::CommentBlock
    {74, 147, 1245},	// QsciLexerPython::Decorator
    {74, 148, 1230},	// QsciLexerPython::Default
    {74, 159, 1233},	// QsciLexerPython::DoubleQuotedString
    {74, 191, 1239},	// QsciLexerPython::FunctionMethodName
    {74, 211, 1244},	// QsciLexerPython::HighlightedIdentifier
    {74, 214, 1241},	// QsciLexerPython::Identifier
    {74, 241, 1247},	// QsciLexerPython::Inconsistent
    {74, 259, 1235},	// QsciLexerPython::Keyword
    {74, 322, 1246},	// QsciLexerPython::NoWarning
    {74, 323, 1232},	// QsciLexerPython::Number
    {74, 327, 1240},	// QsciLexerPython::Operator
    {74, 446, 1227},	// QsciLexerPython::QsciLexerPython
    {74, 447, 1192},	// QsciLexerPython::QsciLexerPython#
    {74, 676, 1234},	// QsciLexerPython::SingleQuotedString
    {74, 680, 1249},	// QsciLexerPython::Spaces
    {74, 711, 1250},	// QsciLexerPython::Tabs
    {74, 712, 1248},	// QsciLexerPython::TabsAfterSpaces
    {74, 724, 1237},	// QsciLexerPython::TripleDoubleQuotedString
    {74, 725, 1236},	// QsciLexerPython::TripleSingleQuotedString
    {74, 729, 1243},	// QsciLexerPython::UnclosedString
    {74, 798, 1195},	// QsciLexerPython::autoCompletionWordSeparators
    {74, 806, 1196},	// QsciLexerPython::blockLookback
    {74, 807, 1228},	// QsciLexerPython::blockStart
    {74, 808, 1197},	// QsciLexerPython::blockStart$
    {74, 812, 1198},	// QsciLexerPython::braceStyle
    {74, 858, 1199},	// QsciLexerPython::defaultColor$
    {74, 860, 1200},	// QsciLexerPython::defaultEolFill$
    {74, 862, 1201},	// QsciLexerPython::defaultFont$
    {74, 864, 1202},	// QsciLexerPython::defaultPaper$
    {74, 868, 1205},	// QsciLexerPython::description$
    {74, 926, 1207},	// QsciLexerPython::foldComments
    {74, 927, 1209},	// QsciLexerPython::foldCompact
    {74, 935, 1210},	// QsciLexerPython::foldQuotes
    {74, 961, 1203},	// QsciLexerPython::indentationGuideView
    {74, 963, 1211},	// QsciLexerPython::indentationWarning
    {74, 1000, 1204},	// QsciLexerPython::keywords$
    {74, 1001, 1193},	// QsciLexerPython::language
    {74, 1006, 1194},	// QsciLexerPython::lexer
    {74, 1056, 1185},	// QsciLexerPython::metaObject
    {74, 1097, 1191},	// QsciLexerPython::qt_metacall$$?
    {74, 1099, 1186},	// QsciLexerPython::qt_metacast$
    {74, 1104, 1223},	// QsciLexerPython::readProperties#$
    {74, 1113, 1206},	// QsciLexerPython::refreshProperties
    {74, 1247, 1220},	// QsciLexerPython::setFoldComments$
    {74, 1249, 1208},	// QsciLexerPython::setFoldCompact$
    {74, 1263, 1221},	// QsciLexerPython::setFoldQuotes$
    {74, 1287, 1222},	// QsciLexerPython::setIndentationWarning$
    {74, 1367, 1212},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {74, 1390, 1214},	// QsciLexerPython::setV2UnicodeAllowed$
    {74, 1392, 1216},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {74, 1394, 1218},	// QsciLexerPython::setV3BytesAllowed$
    {74, 1423, 1229},	// QsciLexerPython::staticMetaObject
    {74, 1424, 1213},	// QsciLexerPython::stringsOverNewlineAllowed
    {74, 1445, 1225},	// QsciLexerPython::tr$
    {74, 1446, 1187},	// QsciLexerPython::tr$$
    {74, 1447, 1189},	// QsciLexerPython::tr$$$
    {74, 1449, 1226},	// QsciLexerPython::trUtf8$
    {74, 1450, 1188},	// QsciLexerPython::trUtf8$$
    {74, 1451, 1190},	// QsciLexerPython::trUtf8$$$
    {74, 1459, 1215},	// QsciLexerPython::v2UnicodeAllowed
    {74, 1460, 1217},	// QsciLexerPython::v3BinaryOctalAllowed
    {74, 1461, 1219},	// QsciLexerPython::v3BytesAllowed
    {74, 1478, 1224},	// QsciLexerPython::writeProperties#$
    {74, 1516, 1251},	// QsciLexerPython::~QsciLexerPython
    {75, 85, 1304},	// QsciLexerRuby::Backticks
    {75, 122, 1294},	// QsciLexerRuby::ClassName
    {75, 124, 1303},	// QsciLexerRuby::ClassVariable
    {75, 128, 1288},	// QsciLexerRuby::Comment
    {75, 146, 1305},	// QsciLexerRuby::DataSection
    {75, 148, 1286},	// QsciLexerRuby::Default
    {75, 150, 1313},	// QsciLexerRuby::DemotedKeyword
    {75, 159, 1292},	// QsciLexerRuby::DoubleQuotedString
    {75, 176, 1287},	// QsciLexerRuby::Error
    {75, 191, 1295},	// QsciLexerRuby::FunctionMethodName
    {75, 192, 1299},	// QsciLexerRuby::Global
    {75, 204, 1307},	// QsciLexerRuby::HereDocument
    {75, 205, 1306},	// QsciLexerRuby::HereDocumentDelimiter
    {75, 214, 1297},	// QsciLexerRuby::Identifier
    {75, 242, 1302},	// QsciLexerRuby::InstanceVariable
    {75, 259, 1291},	// QsciLexerRuby::Keyword
    {75, 314, 1301},	// QsciLexerRuby::ModuleName
    {75, 323, 1290},	// QsciLexerRuby::Number
    {75, 327, 1296},	// QsciLexerRuby::Operator
    {75, 341, 1289},	// QsciLexerRuby::POD
    {75, 347, 1309},	// QsciLexerRuby::PercentStringQ
    {75, 348, 1308},	// QsciLexerRuby::PercentStringq
    {75, 349, 1311},	// QsciLexerRuby::PercentStringr
    {75, 350, 1312},	// QsciLexerRuby::PercentStringw
    {75, 351, 1310},	// QsciLexerRuby::PercentStringx
    {75, 448, 1281},	// QsciLexerRuby::QsciLexerRuby
    {75, 449, 1259},	// QsciLexerRuby::QsciLexerRuby#
    {75, 497, 1298},	// QsciLexerRuby::Regex
    {75, 676, 1293},	// QsciLexerRuby::SingleQuotedString
    {75, 687, 1316},	// QsciLexerRuby::Stderr
    {75, 688, 1314},	// QsciLexerRuby::Stdin
    {75, 689, 1315},	// QsciLexerRuby::Stdout
    {75, 702, 1300},	// QsciLexerRuby::Symbol
    {75, 804, 1282},	// QsciLexerRuby::blockEnd
    {75, 805, 1262},	// QsciLexerRuby::blockEnd$
    {75, 807, 1283},	// QsciLexerRuby::blockStart
    {75, 808, 1263},	// QsciLexerRuby::blockStart$
    {75, 809, 1284},	// QsciLexerRuby::blockStartKeyword
    {75, 810, 1264},	// QsciLexerRuby::blockStartKeyword$
    {75, 812, 1265},	// QsciLexerRuby::braceStyle
    {75, 858, 1266},	// QsciLexerRuby::defaultColor$
    {75, 860, 1267},	// QsciLexerRuby::defaultEolFill$
    {75, 862, 1268},	// QsciLexerRuby::defaultFont$
    {75, 864, 1269},	// QsciLexerRuby::defaultPaper$
    {75, 868, 1271},	// QsciLexerRuby::description$
    {75, 926, 1274},	// QsciLexerRuby::foldComments
    {75, 927, 1276},	// QsciLexerRuby::foldCompact
    {75, 1000, 1270},	// QsciLexerRuby::keywords$
    {75, 1001, 1260},	// QsciLexerRuby::language
    {75, 1006, 1261},	// QsciLexerRuby::lexer
    {75, 1056, 1252},	// QsciLexerRuby::metaObject
    {75, 1097, 1258},	// QsciLexerRuby::qt_metacall$$?
    {75, 1099, 1253},	// QsciLexerRuby::qt_metacast$
    {75, 1104, 1277},	// QsciLexerRuby::readProperties#$
    {75, 1113, 1272},	// QsciLexerRuby::refreshProperties
    {75, 1247, 1273},	// QsciLexerRuby::setFoldComments$
    {75, 1249, 1275},	// QsciLexerRuby::setFoldCompact$
    {75, 1423, 1285},	// QsciLexerRuby::staticMetaObject
    {75, 1445, 1279},	// QsciLexerRuby::tr$
    {75, 1446, 1254},	// QsciLexerRuby::tr$$
    {75, 1447, 1256},	// QsciLexerRuby::tr$$$
    {75, 1449, 1280},	// QsciLexerRuby::trUtf8$
    {75, 1450, 1255},	// QsciLexerRuby::trUtf8$$
    {75, 1451, 1257},	// QsciLexerRuby::trUtf8$$$
    {75, 1478, 1278},	// QsciLexerRuby::writeProperties#$
    {75, 1517, 1317},	// QsciLexerRuby::~QsciLexerRuby
    {76, 128, 1359},	// QsciLexerSQL::Comment
    {76, 131, 1361},	// QsciLexerSQL::CommentDoc
    {76, 132, 1372},	// QsciLexerSQL::CommentDocKeyword
    {76, 133, 1373},	// QsciLexerSQL::CommentDocKeywordError
    {76, 134, 1360},	// QsciLexerSQL::CommentLine
    {76, 136, 1371},	// QsciLexerSQL::CommentLineHash
    {76, 148, 1358},	// QsciLexerSQL::Default
    {76, 159, 1364},	// QsciLexerSQL::DoubleQuotedString
    {76, 214, 1369},	// QsciLexerSQL::Identifier
    {76, 259, 1363},	// QsciLexerSQL::Keyword
    {76, 264, 1374},	// QsciLexerSQL::KeywordSet5
    {76, 265, 1375},	// QsciLexerSQL::KeywordSet6
    {76, 266, 1376},	// QsciLexerSQL::KeywordSet7
    {76, 267, 1377},	// QsciLexerSQL::KeywordSet8
    {76, 323, 1362},	// QsciLexerSQL::Number
    {76, 327, 1368},	// QsciLexerSQL::Operator
    {76, 357, 1370},	// QsciLexerSQL::PlusComment
    {76, 358, 1366},	// QsciLexerSQL::PlusKeyword
    {76, 359, 1367},	// QsciLexerSQL::PlusPrompt
    {76, 450, 1356},	// QsciLexerSQL::QsciLexerSQL
    {76, 451, 1325},	// QsciLexerSQL::QsciLexerSQL#
    {76, 485, 1378},	// QsciLexerSQL::QuotedIdentifier
    {76, 676, 1365},	// QsciLexerSQL::SingleQuotedString
    {76, 801, 1336},	// QsciLexerSQL::backslashEscapes
    {76, 812, 1328},	// QsciLexerSQL::braceStyle
    {76, 858, 1329},	// QsciLexerSQL::defaultColor$
    {76, 860, 1330},	// QsciLexerSQL::defaultEolFill$
    {76, 862, 1331},	// QsciLexerSQL::defaultFont$
    {76, 864, 1332},	// QsciLexerSQL::defaultPaper$
    {76, 868, 1334},	// QsciLexerSQL::description$
    {76, 874, 1338},	// QsciLexerSQL::dottedWords
    {76, 924, 1340},	// QsciLexerSQL::foldAtElse
    {76, 926, 1341},	// QsciLexerSQL::foldComments
    {76, 927, 1342},	// QsciLexerSQL::foldCompact
    {76, 931, 1344},	// QsciLexerSQL::foldOnlyBegin
    {76, 953, 1346},	// QsciLexerSQL::hashComments
    {76, 1000, 1333},	// QsciLexerSQL::keywords$
    {76, 1001, 1326},	// QsciLexerSQL::language
    {76, 1006, 1327},	// QsciLexerSQL::lexer
    {76, 1056, 1318},	// QsciLexerSQL::metaObject
    {76, 1097, 1324},	// QsciLexerSQL::qt_metacall$$?
    {76, 1099, 1319},	// QsciLexerSQL::qt_metacast$
    {76, 1100, 1348},	// QsciLexerSQL::quotedIdentifiers
    {76, 1104, 1352},	// QsciLexerSQL::readProperties#$
    {76, 1113, 1335},	// QsciLexerSQL::refreshProperties
    {76, 1169, 1349},	// QsciLexerSQL::setBackslashEscapes$
    {76, 1218, 1337},	// QsciLexerSQL::setDottedWords$
    {76, 1243, 1339},	// QsciLexerSQL::setFoldAtElse$
    {76, 1247, 1350},	// QsciLexerSQL::setFoldComments$
    {76, 1249, 1351},	// QsciLexerSQL::setFoldCompact$
    {76, 1255, 1343},	// QsciLexerSQL::setFoldOnlyBegin$
    {76, 1275, 1345},	// QsciLexerSQL::setHashComments$
    {76, 1351, 1347},	// QsciLexerSQL::setQuotedIdentifiers$
    {76, 1423, 1357},	// QsciLexerSQL::staticMetaObject
    {76, 1445, 1354},	// QsciLexerSQL::tr$
    {76, 1446, 1320},	// QsciLexerSQL::tr$$
    {76, 1447, 1322},	// QsciLexerSQL::tr$$$
    {76, 1449, 1355},	// QsciLexerSQL::trUtf8$
    {76, 1450, 1321},	// QsciLexerSQL::trUtf8$$
    {76, 1451, 1323},	// QsciLexerSQL::trUtf8$$$
    {76, 1478, 1353},	// QsciLexerSQL::writeProperties#$
    {76, 1518, 1379},	// QsciLexerSQL::~QsciLexerSQL
    {77, 128, 1407},	// QsciLexerTCL::Comment
    {77, 129, 1427},	// QsciLexerTCL::CommentBlock
    {77, 130, 1426},	// QsciLexerTCL::CommentBox
    {77, 134, 1408},	// QsciLexerTCL::CommentLine
    {77, 148, 1406},	// QsciLexerTCL::Default
    {77, 178, 1417},	// QsciLexerTCL::ExpandKeyword
    {77, 213, 1420},	// QsciLexerTCL::ITCLKeyword
    {77, 214, 1413},	// QsciLexerTCL::Identifier
    {77, 265, 1422},	// QsciLexerTCL::KeywordSet6
    {77, 266, 1423},	// QsciLexerTCL::KeywordSet7
    {77, 267, 1424},	// QsciLexerTCL::KeywordSet8
    {77, 268, 1425},	// QsciLexerTCL::KeywordSet9
    {77, 313, 1416},	// QsciLexerTCL::Modifier
    {77, 323, 1409},	// QsciLexerTCL::Number
    {77, 327, 1412},	// QsciLexerTCL::Operator
    {77, 452, 1404},	// QsciLexerTCL::QsciLexerTCL
    {77, 453, 1387},	// QsciLexerTCL::QsciLexerTCL#
    {77, 486, 1410},	// QsciLexerTCL::QuotedKeyword
    {77, 487, 1411},	// QsciLexerTCL::QuotedString
    {77, 699, 1414},	// QsciLexerTCL::Substitution
    {77, 700, 1415},	// QsciLexerTCL::SubstitutionBrace
    {77, 708, 1418},	// QsciLexerTCL::TCLKeyword
    {77, 721, 1421},	// QsciLexerTCL::TkCommand
    {77, 722, 1419},	// QsciLexerTCL::TkKeyword
    {77, 812, 1390},	// QsciLexerTCL::braceStyle
    {77, 858, 1391},	// QsciLexerTCL::defaultColor$
    {77, 860, 1392},	// QsciLexerTCL::defaultEolFill$
    {77, 862, 1393},	// QsciLexerTCL::defaultFont$
    {77, 864, 1394},	// QsciLexerTCL::defaultPaper$
    {77, 868, 1396},	// QsciLexerTCL::description$
    {77, 926, 1399},	// QsciLexerTCL::foldComments
    {77, 1000, 1395},	// QsciLexerTCL::keywords$
    {77, 1001, 1388},	// QsciLexerTCL::language
    {77, 1006, 1389},	// QsciLexerTCL::lexer
    {77, 1056, 1380},	// QsciLexerTCL::metaObject
    {77, 1097, 1386},	// QsciLexerTCL::qt_metacall$$?
    {77, 1099, 1381},	// QsciLexerTCL::qt_metacast$
    {77, 1104, 1400},	// QsciLexerTCL::readProperties#$
    {77, 1113, 1397},	// QsciLexerTCL::refreshProperties
    {77, 1247, 1398},	// QsciLexerTCL::setFoldComments$
    {77, 1423, 1405},	// QsciLexerTCL::staticMetaObject
    {77, 1445, 1402},	// QsciLexerTCL::tr$
    {77, 1446, 1382},	// QsciLexerTCL::tr$$
    {77, 1447, 1384},	// QsciLexerTCL::tr$$$
    {77, 1449, 1403},	// QsciLexerTCL::trUtf8$
    {77, 1450, 1383},	// QsciLexerTCL::trUtf8$$
    {77, 1451, 1385},	// QsciLexerTCL::trUtf8$$$
    {77, 1478, 1401},	// QsciLexerTCL::writeProperties#$
    {77, 1519, 1428},	// QsciLexerTCL::~QsciLexerTCL
    {78, 127, 1462},	// QsciLexerTeX::Command
    {78, 148, 1458},	// QsciLexerTeX::Default
    {78, 195, 1460},	// QsciLexerTeX::Group
    {78, 454, 1456},	// QsciLexerTeX::QsciLexerTeX
    {78, 455, 1436},	// QsciLexerTeX::QsciLexerTeX#
    {78, 681, 1459},	// QsciLexerTeX::Special
    {78, 702, 1461},	// QsciLexerTeX::Symbol
    {78, 715, 1463},	// QsciLexerTeX::Text
    {78, 858, 1440},	// QsciLexerTeX::defaultColor$
    {78, 868, 1442},	// QsciLexerTeX::description$
    {78, 926, 1445},	// QsciLexerTeX::foldComments
    {78, 927, 1447},	// QsciLexerTeX::foldCompact
    {78, 1000, 1441},	// QsciLexerTeX::keywords$
    {78, 1001, 1437},	// QsciLexerTeX::language
    {78, 1006, 1438},	// QsciLexerTeX::lexer
    {78, 1056, 1429},	// QsciLexerTeX::metaObject
    {78, 1092, 1449},	// QsciLexerTeX::processComments
    {78, 1093, 1451},	// QsciLexerTeX::processIf
    {78, 1097, 1435},	// QsciLexerTeX::qt_metacall$$?
    {78, 1099, 1430},	// QsciLexerTeX::qt_metacast$
    {78, 1104, 1452},	// QsciLexerTeX::readProperties#$
    {78, 1113, 1443},	// QsciLexerTeX::refreshProperties
    {78, 1247, 1444},	// QsciLexerTeX::setFoldComments$
    {78, 1249, 1446},	// QsciLexerTeX::setFoldCompact$
    {78, 1347, 1448},	// QsciLexerTeX::setProcessComments$
    {78, 1349, 1450},	// QsciLexerTeX::setProcessIf$
    {78, 1423, 1457},	// QsciLexerTeX::staticMetaObject
    {78, 1445, 1454},	// QsciLexerTeX::tr$
    {78, 1446, 1431},	// QsciLexerTeX::tr$$
    {78, 1447, 1433},	// QsciLexerTeX::tr$$$
    {78, 1449, 1455},	// QsciLexerTeX::trUtf8$
    {78, 1450, 1432},	// QsciLexerTeX::trUtf8$$
    {78, 1451, 1434},	// QsciLexerTeX::trUtf8$$$
    {78, 1472, 1439},	// QsciLexerTeX::wordCharacters
    {78, 1478, 1453},	// QsciLexerTeX::writeProperties#$
    {78, 1520, 1464},	// QsciLexerTeX::~QsciLexerTeX
    {79, 69, 1509},	// QsciLexerVHDL::Attribute
    {79, 128, 1500},	// QsciLexerVHDL::Comment
    {79, 134, 1501},	// QsciLexerVHDL::CommentLine
    {79, 148, 1499},	// QsciLexerVHDL::Default
    {79, 214, 1505},	// QsciLexerVHDL::Identifier
    {79, 259, 1507},	// QsciLexerVHDL::Keyword
    {79, 266, 1513},	// QsciLexerVHDL::KeywordSet7
    {79, 323, 1502},	// QsciLexerVHDL::Number
    {79, 327, 1504},	// QsciLexerVHDL::Operator
    {79, 456, 1497},	// QsciLexerVHDL::QsciLexerVHDL
    {79, 457, 1472},	// QsciLexerVHDL::QsciLexerVHDL#
    {79, 683, 1510},	// QsciLexerVHDL::StandardFunction
    {79, 684, 1508},	// QsciLexerVHDL::StandardOperator
    {79, 685, 1511},	// QsciLexerVHDL::StandardPackage
    {79, 686, 1512},	// QsciLexerVHDL::StandardType
    {79, 692, 1503},	// QsciLexerVHDL::String
    {79, 729, 1506},	// QsciLexerVHDL::UnclosedString
    {79, 812, 1475},	// QsciLexerVHDL::braceStyle
    {79, 858, 1476},	// QsciLexerVHDL::defaultColor$
    {79, 860, 1477},	// QsciLexerVHDL::defaultEolFill$
    {79, 862, 1478},	// QsciLexerVHDL::defaultFont$
    {79, 864, 1479},	// QsciLexerVHDL::defaultPaper$
    {79, 868, 1481},	// QsciLexerVHDL::description$
    {79, 923, 1486},	// QsciLexerVHDL::foldAtBegin
    {79, 924, 1485},	// QsciLexerVHDL::foldAtElse
    {79, 925, 1487},	// QsciLexerVHDL::foldAtParenthesis
    {79, 926, 1483},	// QsciLexerVHDL::foldComments
    {79, 927, 1484},	// QsciLexerVHDL::foldCompact
    {79, 1000, 1480},	// QsciLexerVHDL::keywords$
    {79, 1001, 1473},	// QsciLexerVHDL::language
    {79, 1006, 1474},	// QsciLexerVHDL::lexer
    {79, 1056, 1465},	// QsciLexerVHDL::metaObject
    {79, 1097, 1471},	// QsciLexerVHDL::qt_metacall$$?
    {79, 1099, 1466},	// QsciLexerVHDL::qt_metacast$
    {79, 1104, 1493},	// QsciLexerVHDL::readProperties#$
    {79, 1113, 1482},	// QsciLexerVHDL::refreshProperties
    {79, 1241, 1491},	// QsciLexerVHDL::setFoldAtBegin$
    {79, 1243, 1490},	// QsciLexerVHDL::setFoldAtElse$
    {79, 1245, 1492},	// QsciLexerVHDL::setFoldAtParenthesis$
    {79, 1247, 1488},	// QsciLexerVHDL::setFoldComments$
    {79, 1249, 1489},	// QsciLexerVHDL::setFoldCompact$
    {79, 1423, 1498},	// QsciLexerVHDL::staticMetaObject
    {79, 1445, 1495},	// QsciLexerVHDL::tr$
    {79, 1446, 1467},	// QsciLexerVHDL::tr$$
    {79, 1447, 1469},	// QsciLexerVHDL::tr$$$
    {79, 1449, 1496},	// QsciLexerVHDL::trUtf8$
    {79, 1450, 1468},	// QsciLexerVHDL::trUtf8$$
    {79, 1451, 1470},	// QsciLexerVHDL::trUtf8$$$
    {79, 1478, 1494},	// QsciLexerVHDL::writeProperties#$
    {79, 1521, 1514},	// QsciLexerVHDL::~QsciLexerVHDL
    {80, 458, 1537},	// QsciLexerXML::QsciLexerXML
    {80, 459, 1522},	// QsciLexerXML::QsciLexerXML#
    {80, 858, 1525},	// QsciLexerXML::defaultColor$
    {80, 860, 1526},	// QsciLexerXML::defaultEolFill$
    {80, 862, 1527},	// QsciLexerXML::defaultFont$
    {80, 864, 1528},	// QsciLexerXML::defaultPaper$
    {80, 1000, 1529},	// QsciLexerXML::keywords$
    {80, 1001, 1523},	// QsciLexerXML::language
    {80, 1006, 1524},	// QsciLexerXML::lexer
    {80, 1056, 1515},	// QsciLexerXML::metaObject
    {80, 1097, 1521},	// QsciLexerXML::qt_metacall$$?
    {80, 1099, 1516},	// QsciLexerXML::qt_metacast$
    {80, 1104, 1533},	// QsciLexerXML::readProperties#$
    {80, 1113, 1530},	// QsciLexerXML::refreshProperties
    {80, 1131, 1532},	// QsciLexerXML::scriptsStyled
    {80, 1355, 1531},	// QsciLexerXML::setScriptsStyled$
    {80, 1423, 1538},	// QsciLexerXML::staticMetaObject
    {80, 1445, 1535},	// QsciLexerXML::tr$
    {80, 1446, 1517},	// QsciLexerXML::tr$$
    {80, 1447, 1519},	// QsciLexerXML::tr$$$
    {80, 1449, 1536},	// QsciLexerXML::trUtf8$
    {80, 1450, 1518},	// QsciLexerXML::trUtf8$$
    {80, 1451, 1520},	// QsciLexerXML::trUtf8$$$
    {80, 1478, 1534},	// QsciLexerXML::writeProperties#$
    {80, 1522, 1539},	// QsciLexerXML::~QsciLexerXML
    {81, 128, 1566},	// QsciLexerYAML::Comment
    {81, 148, 1565},	// QsciLexerYAML::Default
    {81, 156, 1571},	// QsciLexerYAML::DocumentDelimiter
    {81, 214, 1567},	// QsciLexerYAML::Identifier
    {81, 259, 1568},	// QsciLexerYAML::Keyword
    {81, 323, 1569},	// QsciLexerYAML::Number
    {81, 327, 1574},	// QsciLexerYAML::Operator
    {81, 460, 1563},	// QsciLexerYAML::QsciLexerYAML
    {81, 461, 1547},	// QsciLexerYAML::QsciLexerYAML#
    {81, 496, 1570},	// QsciLexerYAML::Reference
    {81, 707, 1573},	// QsciLexerYAML::SyntaxErrorMarker
    {81, 716, 1572},	// QsciLexerYAML::TextBlockMarker
    {81, 858, 1550},	// QsciLexerYAML::defaultColor$
    {81, 860, 1551},	// QsciLexerYAML::defaultEolFill$
    {81, 862, 1552},	// QsciLexerYAML::defaultFont$
    {81, 864, 1553},	// QsciLexerYAML::defaultPaper$
    {81, 868, 1555},	// QsciLexerYAML::description$
    {81, 926, 1557},	// QsciLexerYAML::foldComments
    {81, 1000, 1554},	// QsciLexerYAML::keywords$
    {81, 1001, 1548},	// QsciLexerYAML::language
    {81, 1006, 1549},	// QsciLexerYAML::lexer
    {81, 1056, 1540},	// QsciLexerYAML::metaObject
    {81, 1097, 1546},	// QsciLexerYAML::qt_metacall$$?
    {81, 1099, 1541},	// QsciLexerYAML::qt_metacast$
    {81, 1104, 1559},	// QsciLexerYAML::readProperties#$
    {81, 1113, 1556},	// QsciLexerYAML::refreshProperties
    {81, 1247, 1558},	// QsciLexerYAML::setFoldComments$
    {81, 1423, 1564},	// QsciLexerYAML::staticMetaObject
    {81, 1445, 1561},	// QsciLexerYAML::tr$
    {81, 1446, 1542},	// QsciLexerYAML::tr$$
    {81, 1447, 1544},	// QsciLexerYAML::tr$$$
    {81, 1449, 1562},	// QsciLexerYAML::trUtf8$
    {81, 1450, 1543},	// QsciLexerYAML::trUtf8$$
    {81, 1451, 1545},	// QsciLexerYAML::trUtf8$$$
    {81, 1478, 1560},	// QsciLexerYAML::writeProperties#$
    {81, 1523, 1575},	// QsciLexerYAML::~QsciLexerYAML
    {82, 463, 1583},	// QsciMacro::QsciMacro#
    {82, 464, 1584},	// QsciMacro::QsciMacro$#
    {82, 827, 1585},	// QsciMacro::clear
    {82, 888, 1590},	// QsciMacro::endRecording
    {82, 1017, 1586},	// QsciMacro::load$
    {82, 1056, 1576},	// QsciMacro::metaObject
    {82, 1083, 1588},	// QsciMacro::play
    {82, 1097, 1582},	// QsciMacro::qt_metacall$$?
    {82, 1099, 1577},	// QsciMacro::qt_metacast$
    {82, 1128, 1587},	// QsciMacro::save
    {82, 1419, 1589},	// QsciMacro::startRecording
    {82, 1423, 1593},	// QsciMacro::staticMetaObject
    {82, 1445, 1591},	// QsciMacro::tr$
    {82, 1446, 1578},	// QsciMacro::tr$$
    {82, 1447, 1580},	// QsciMacro::tr$$$
    {82, 1449, 1592},	// QsciMacro::trUtf8$
    {82, 1450, 1579},	// QsciMacro::trUtf8$$
    {82, 1451, 1581},	// QsciMacro::trUtf8$$$
    {82, 1524, 1594},	// QsciMacro::~QsciMacro
    {83, 465, 1602},	// QsciPrinter::QsciPrinter
    {83, 466, 1595},	// QsciPrinter::QsciPrinter$
    {83, 945, 1596},	// QsciPrinter::formatPage#$#$
    {83, 1020, 1597},	// QsciPrinter::magnification
    {83, 1089, 1603},	// QsciPrinter::printRange#
    {83, 1090, 1604},	// QsciPrinter::printRange#$
    {83, 1091, 1599},	// QsciPrinter::printRange#$$
    {83, 1307, 1598},	// QsciPrinter::setMagnification$
    {83, 1408, 1601},	// QsciPrinter::setWrapMode$
    {83, 1474, 1600},	// QsciPrinter::wrapMode
    {83, 1525, 1605},	// QsciPrinter::~QsciPrinter
    {84, 49, 1885},	// QsciScintilla::AcsAPIs
    {84, 50, 1883},	// QsciScintilla::AcsAll
    {84, 51, 1884},	// QsciScintilla::AcsDocument
    {84, 52, 1882},	// QsciScintilla::AcsNone
    {84, 54, 1881},	// QsciScintilla::AcusAlways
    {84, 55, 1880},	// QsciScintilla::AcusExplicit
    {84, 56, 1879},	// QsciScintilla::AcusNever
    {84, 57, 1875},	// QsciScintilla::AiClosing
    {84, 58, 1873},	// QsciScintilla::AiMaintain
    {84, 59, 1874},	// QsciScintilla::AiOpening
    {84, 61, 1878},	// QsciScintilla::AnnotationBoxed
    {84, 62, 1876},	// QsciScintilla::AnnotationHidden
    {84, 63, 1877},	// QsciScintilla::AnnotationStandard
    {84, 82, 1941},	// QsciScintilla::Background
    {84, 94, 1929},	// QsciScintilla::BottomLeftCorner
    {84, 96, 1911},	// QsciScintilla::BoxIndicator
    {84, 97, 1902},	// QsciScintilla::BoxedFoldStyle
    {84, 98, 1933},	// QsciScintilla::BoxedMinus
    {84, 99, 1934},	// QsciScintilla::BoxedMinusConnected
    {84, 100, 1931},	// QsciScintilla::BoxedPlus
    {84, 101, 1932},	// QsciScintilla::BoxedPlusConnected
    {84, 102, 1904},	// QsciScintilla::BoxedTreeFoldStyle
    {84, 108, 1892},	// QsciScintilla::CallTipsContext
    {84, 109, 1891},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {84, 110, 1890},	// QsciScintilla::CallTipsNoContext
    {84, 111, 1889},	// QsciScintilla::CallTipsNone
    {84, 115, 1919},	// QsciScintilla::Circle
    {84, 116, 1901},	// QsciScintilla::CircledFoldStyle
    {84, 117, 1939},	// QsciScintilla::CircledMinus
    {84, 118, 1940},	// QsciScintilla::CircledMinusConnected
    {84, 119, 1937},	// QsciScintilla::CircledPlus
    {84, 120, 1938},	// QsciScintilla::CircledPlusConnected
    {84, 121, 1903},	// QsciScintilla::CircledTreeFoldStyle
    {84, 152, 1908},	// QsciScintilla::DiagonalIndicator
    {84, 160, 1925},	// QsciScintilla::DownTriangle
    {84, 167, 1895},	// QsciScintilla::EdgeBackground
    {84, 168, 1894},	// QsciScintilla::EdgeLine
    {84, 169, 1893},	// QsciScintilla::EdgeNone
    {84, 173, 1898},	// QsciScintilla::EolMac
    {84, 174, 1897},	// QsciScintilla::EolUnix
    {84, 175, 1896},	// QsciScintilla::EolWindows
    {84, 189, 1944},	// QsciScintilla::FullRectangle
    {84, 208, 1910},	// QsciScintilla::HiddenIndicator
    {84, 244, 1924},	// QsciScintilla::Invisible
    {84, 275, 1945},	// QsciScintilla::LeftRectangle
    {84, 276, 1936},	// QsciScintilla::LeftSideRoundedSplitter
    {84, 277, 1930},	// QsciScintilla::LeftSideSplitter
    {84, 312, 1926},	// QsciScintilla::Minus
    {84, 319, 1886},	// QsciScintilla::NoBraceMatch
    {84, 320, 1899},	// QsciScintilla::NoFoldStyle
    {84, 324, 1916},	// QsciScintilla::NumberMargin
    {84, 354, 1900},	// QsciScintilla::PlainFoldStyle
    {84, 355, 1905},	// QsciScintilla::PlainIndicator
    {84, 356, 1927},	// QsciScintilla::Plus
    {84, 467, 1847},	// QsciScintilla::QsciScintilla
    {84, 468, 1613},	// QsciScintilla::QsciScintilla#
    {84, 495, 1920},	// QsciScintilla::Rectangle
    {84, 498, 1923},	// QsciScintilla::RightArrow
    {84, 499, 1921},	// QsciScintilla::RightTriangle
    {84, 500, 1912},	// QsciScintilla::RoundBoxIndicator
    {84, 501, 1935},	// QsciScintilla::RoundedBottomLeftCorner
    {84, 677, 1888},	// QsciScintilla::SloppyBraceMatch
    {84, 679, 1922},	// QsciScintilla::SmallRectangle
    {84, 682, 1906},	// QsciScintilla::SquiggleIndicator
    {84, 690, 1887},	// QsciScintilla::StrictBraceMatch
    {84, 691, 1909},	// QsciScintilla::StrikeIndicator
    {84, 703, 1913},	// QsciScintilla::SymbolMargin
    {84, 704, 1915},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {84, 705, 1914},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {84, 709, 1907},	// QsciScintilla::TTIndicator
    {84, 717, 1917},	// QsciScintilla::TextMargin
    {84, 718, 1918},	// QsciScintilla::TextMarginRightJustified
    {84, 719, 1942},	// QsciScintilla::ThreeDots
    {84, 720, 1943},	// QsciScintilla::ThreeRightArrows
    {84, 730, 1946},	// QsciScintilla::Underline
    {84, 748, 1928},	// QsciScintilla::VerticalLine
    {84, 750, 1952},	// QsciScintilla::WrapCharacter
    {84, 751, 1955},	// QsciScintilla::WrapFlagByBorder
    {84, 752, 1954},	// QsciScintilla::WrapFlagByText
    {84, 753, 1953},	// QsciScintilla::WrapFlagNone
    {84, 754, 1956},	// QsciScintilla::WrapIndentFixed
    {84, 755, 1958},	// QsciScintilla::WrapIndentIndented
    {84, 756, 1957},	// QsciScintilla::WrapIndentSame
    {84, 757, 1950},	// QsciScintilla::WrapNone
    {84, 758, 1951},	// QsciScintilla::WrapWord
    {84, 759, 1947},	// QsciScintilla::WsInvisible
    {84, 760, 1948},	// QsciScintilla::WsVisible
    {84, 761, 1949},	// QsciScintilla::WsVisibleAfterIndent
    {84, 770, 1617},	// QsciScintilla::annotate$#
    {84, 771, 1616},	// QsciScintilla::annotate$$#
    {84, 772, 1615},	// QsciScintilla::annotate$$$
    {84, 773, 1618},	// QsciScintilla::annotate$?
    {84, 775, 1619},	// QsciScintilla::annotation$
    {84, 776, 1620},	// QsciScintilla::annotationDisplay
    {84, 778, 1614},	// QsciScintilla::apiContext$$$
    {84, 784, 1758},	// QsciScintilla::append$
    {84, 785, 1760},	// QsciScintilla::autoCompleteFromAPIs
    {84, 786, 1759},	// QsciScintilla::autoCompleteFromAll
    {84, 787, 1761},	// QsciScintilla::autoCompleteFromDocument
    {84, 788, 1622},	// QsciScintilla::autoCompletionCaseSensitivity
    {84, 790, 1623},	// QsciScintilla::autoCompletionFillupsEnabled
    {84, 791, 1624},	// QsciScintilla::autoCompletionReplaceWord
    {84, 794, 1625},	// QsciScintilla::autoCompletionShowSingle
    {84, 795, 1626},	// QsciScintilla::autoCompletionSource
    {84, 796, 1627},	// QsciScintilla::autoCompletionThreshold
    {84, 797, 1628},	// QsciScintilla::autoCompletionUseSingle
    {84, 799, 1629},	// QsciScintilla::autoIndent
    {84, 802, 1630},	// QsciScintilla::backspaceUnindents
    {84, 803, 1631},	// QsciScintilla::beginUndoAction
    {84, 811, 1632},	// QsciScintilla::braceMatching
    {84, 813, 1762},	// QsciScintilla::callTip
    {84, 816, 1633},	// QsciScintilla::callTipsStyle
    {84, 817, 1634},	// QsciScintilla::callTipsVisible
    {84, 820, 1635},	// QsciScintilla::cancelList
    {84, 822, 1636},	// QsciScintilla::caseSensitive
    {84, 827, 1763},	// QsciScintilla::clear
    {84, 829, 1848},	// QsciScintilla::clearAnnotations
    {84, 830, 1621},	// QsciScintilla::clearAnnotations$
    {84, 831, 1637},	// QsciScintilla::clearFolds
    {84, 833, 1638},	// QsciScintilla::clearIndicatorRange$$$$$
    {84, 835, 1863},	// QsciScintilla::clearMarginText
    {84, 836, 1727},	// QsciScintilla::clearMarginText$
    {84, 837, 1639},	// QsciScintilla::clearRegisteredImages
    {84, 839, 1640},	// QsciScintilla::color
    {84, 847, 1641},	// QsciScintilla::contractedFolds
    {84, 849, 1642},	// QsciScintilla::convertEols$
    {84, 850, 1764},	// QsciScintilla::copy
    {84, 852, 1835},	// QsciScintilla::copyAvailable$
    {84, 854, 1834},	// QsciScintilla::cursorPositionChanged$$
    {84, 856, 1765},	// QsciScintilla::cut
    {84, 872, 1643},	// QsciScintilla::document
    {84, 883, 1645},	// QsciScintilla::edgeColor
    {84, 884, 1646},	// QsciScintilla::edgeColumn
    {84, 885, 1647},	// QsciScintilla::edgeMode
    {84, 889, 1644},	// QsciScintilla::endUndoAction
    {84, 890, 1766},	// QsciScintilla::ensureCursorVisible
    {84, 892, 1767},	// QsciScintilla::ensureLineVisible$
    {84, 898, 1649},	// QsciScintilla::eolMode
    {84, 899, 1650},	// QsciScintilla::eolVisibility
    {84, 903, 1651},	// QsciScintilla::extraAscent
    {84, 904, 1652},	// QsciScintilla::extraDescent
    {84, 906, 1653},	// QsciScintilla::fillIndicatorRange$$$$$
    {84, 908, 1849},	// QsciScintilla::findFirst$$$$$
    {84, 909, 1850},	// QsciScintilla::findFirst$$$$$$
    {84, 910, 1851},	// QsciScintilla::findFirst$$$$$$$
    {84, 911, 1852},	// QsciScintilla::findFirst$$$$$$$$
    {84, 912, 1654},	// QsciScintilla::findFirst$$$$$$$$$
    {84, 913, 1655},	// QsciScintilla::findNext
    {84, 914, 1656},	// QsciScintilla::firstVisibleLine
    {84, 921, 1868},	// QsciScintilla::foldAll
    {84, 922, 1768},	// QsciScintilla::foldAll$
    {84, 930, 1769},	// QsciScintilla::foldLine$
    {84, 938, 1657},	// QsciScintilla::folding
    {84, 949, 1658},	// QsciScintilla::getCursorPosition$$
    {84, 951, 1659},	// QsciScintilla::getSelection$$$$
    {84, 952, 1660},	// QsciScintilla::hasSelectedText
    {84, 958, 1770},	// QsciScintilla::indent$
    {84, 960, 1661},	// QsciScintilla::indentation$
    {84, 962, 1662},	// QsciScintilla::indentationGuides
    {84, 964, 1664},	// QsciScintilla::indentationWidth
    {84, 965, 1663},	// QsciScintilla::indentationsUseTabs
    {84, 967, 1836},	// QsciScintilla::indicatorClicked$$$
    {84, 969, 1853},	// QsciScintilla::indicatorDefine$
    {84, 970, 1665},	// QsciScintilla::indicatorDefine$$
    {84, 972, 1666},	// QsciScintilla::indicatorDrawUnder$
    {84, 974, 1837},	// QsciScintilla::indicatorReleased$$$
    {84, 980, 1771},	// QsciScintilla::insert$
    {84, 982, 1772},	// QsciScintilla::insertAt$$$
    {84, 984, 1667},	// QsciScintilla::isCallTipActive
    {84, 985, 1668},	// QsciScintilla::isListActive
    {84, 986, 1669},	// QsciScintilla::isModified
    {84, 989, 1670},	// QsciScintilla::isReadOnly
    {84, 990, 1671},	// QsciScintilla::isRedoAvailable
    {84, 991, 1672},	// QsciScintilla::isUndoAvailable
    {84, 992, 1673},	// QsciScintilla::isUtf8
    {84, 994, 1674},	// QsciScintilla::isWordCharacter$
    {84, 1004, 1679},	// QsciScintilla::length
    {84, 1006, 1680},	// QsciScintilla::lexer
    {84, 1009, 1675},	// QsciScintilla::lineAt#
    {84, 1011, 1676},	// QsciScintilla::lineIndexFromPosition$$$
    {84, 1013, 1677},	// QsciScintilla::lineLength$
    {84, 1014, 1678},	// QsciScintilla::lines
    {84, 1015, 1838},	// QsciScintilla::linesChanged
    {84, 1023, 1839},	// QsciScintilla::marginClicked$$$
    {84, 1025, 1681},	// QsciScintilla::marginLineNumbers$
    {84, 1027, 1682},	// QsciScintilla::marginMarkerMask$
    {84, 1029, 1683},	// QsciScintilla::marginSensitivity$
    {84, 1031, 1684},	// QsciScintilla::marginType$
    {84, 1033, 1685},	// QsciScintilla::marginWidth$
    {84, 1035, 1689},	// QsciScintilla::markerAdd$$
    {84, 1037, 1856},	// QsciScintilla::markerDefine#
    {84, 1038, 1688},	// QsciScintilla::markerDefine#$
    {84, 1039, -4256},	// QsciScintilla::markerDefine$
    {84, 1040, -4259},	// QsciScintilla::markerDefine$$
    {84, 1042, 1857},	// QsciScintilla::markerDelete$
    {84, 1043, 1691},	// QsciScintilla::markerDelete$$
    {84, 1044, 1858},	// QsciScintilla::markerDeleteAll
    {84, 1045, 1692},	// QsciScintilla::markerDeleteAll$
    {84, 1047, 1693},	// QsciScintilla::markerDeleteHandle$
    {84, 1049, 1695},	// QsciScintilla::markerFindNext$$
    {84, 1051, 1696},	// QsciScintilla::markerFindPrevious$$
    {84, 1053, 1694},	// QsciScintilla::markerLine$
    {84, 1055, 1690},	// QsciScintilla::markersAtLine$
    {84, 1056, 1606},	// QsciScintilla::metaObject
    {84, 1059, 1840},	// QsciScintilla::modificationAttempted
    {84, 1061, 1841},	// QsciScintilla::modificationChanged$
    {84, 1071, 1773},	// QsciScintilla::moveToMatchingBrace
    {84, 1078, 1697},	// QsciScintilla::paper
    {84, 1082, 1774},	// QsciScintilla::paste
    {84, 1086, 1698},	// QsciScintilla::positionFromLineIndex$$
    {84, 1097, 1612},	// QsciScintilla::qt_metacall$$?
    {84, 1099, 1607},	// QsciScintilla::qt_metacast$
    {84, 1102, 1699},	// QsciScintilla::read#
    {84, 1108, 1859},	// QsciScintilla::recolor
    {84, 1109, 1860},	// QsciScintilla::recolor$
    {84, 1110, 1700},	// QsciScintilla::recolor$$
    {84, 1111, 1775},	// QsciScintilla::redo
    {84, 1115, 1701},	// QsciScintilla::registerImage$#
    {84, 1118, 1776},	// QsciScintilla::removeSelectedText
    {84, 1120, 1702},	// QsciScintilla::replace$
    {84, 1122, 1777},	// QsciScintilla::replaceSelectedText$
    {84, 1123, 1703},	// QsciScintilla::resetFoldMarginColors
    {84, 1124, 1778},	// QsciScintilla::resetSelectionBackgroundColor
    {84, 1125, 1779},	// QsciScintilla::resetSelectionForegroundColor
    {84, 1134, 1869},	// QsciScintilla::selectAll
    {84, 1135, 1780},	// QsciScintilla::selectAll$
    {84, 1136, 1781},	// QsciScintilla::selectToMatchingBrace
    {84, 1137, 1735},	// QsciScintilla::selectedText
    {84, 1138, 1842},	// QsciScintilla::selectionChanged
    {84, 1139, 1736},	// QsciScintilla::selectionToEol
    {84, 1145, 1705},	// QsciScintilla::setAnnotationDisplay$
    {84, 1147, 1782},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {84, 1149, 1707},	// QsciScintilla::setAutoCompletionFillups$
    {84, 1151, 1706},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {84, 1153, 1783},	// QsciScintilla::setAutoCompletionReplaceWord$
    {84, 1155, 1784},	// QsciScintilla::setAutoCompletionShowSingle$
    {84, 1157, 1785},	// QsciScintilla::setAutoCompletionSource$
    {84, 1159, 1786},	// QsciScintilla::setAutoCompletionThreshold$
    {84, 1161, 1787},	// QsciScintilla::setAutoCompletionUseSingle$
    {84, 1163, 1708},	// QsciScintilla::setAutoCompletionWordSeparators?
    {84, 1165, 1788},	// QsciScintilla::setAutoIndent$
    {84, 1171, 1790},	// QsciScintilla::setBackspaceUnindents$
    {84, 1173, 1789},	// QsciScintilla::setBraceMatching$
    {84, 1175, 1709},	// QsciScintilla::setCallTipsBackgroundColor#
    {84, 1177, 1710},	// QsciScintilla::setCallTipsForegroundColor#
    {84, 1179, 1711},	// QsciScintilla::setCallTipsHighlightColor#
    {84, 1181, 1712},	// QsciScintilla::setCallTipsStyle$
    {84, 1183, 1713},	// QsciScintilla::setCallTipsVisible$
    {84, 1185, 1791},	// QsciScintilla::setCaretForegroundColor#
    {84, 1187, 1792},	// QsciScintilla::setCaretLineBackgroundColor#
    {84, 1189, 1793},	// QsciScintilla::setCaretLineVisible$
    {84, 1191, 1794},	// QsciScintilla::setCaretWidth$
    {84, 1197, 1795},	// QsciScintilla::setColor#
    {84, 1200, 1714},	// QsciScintilla::setContractedFolds?
    {84, 1202, 1796},	// QsciScintilla::setCursorPosition$$
    {84, 1214, 1715},	// QsciScintilla::setDocument#
    {84, 1220, 1716},	// QsciScintilla::setEdgeColor#
    {84, 1222, 1717},	// QsciScintilla::setEdgeColumn$
    {84, 1224, 1718},	// QsciScintilla::setEdgeMode$
    {84, 1231, 1797},	// QsciScintilla::setEolMode$
    {84, 1233, 1798},	// QsciScintilla::setEolVisibility$
    {84, 1235, 1738},	// QsciScintilla::setExtraAscent$
    {84, 1237, 1739},	// QsciScintilla::setExtraDescent$
    {84, 1239, 1719},	// QsciScintilla::setFirstVisibleLine$
    {84, 1253, 1704},	// QsciScintilla::setFoldMarginColors##
    {84, 1269, 1870},	// QsciScintilla::setFolding$
    {84, 1270, 1799},	// QsciScintilla::setFolding$$
    {84, 1272, 1648},	// QsciScintilla::setFont#
    {84, 1279, 1800},	// QsciScintilla::setIndentation$$
    {84, 1281, 1801},	// QsciScintilla::setIndentationGuides$
    {84, 1283, 1802},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {84, 1285, 1803},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {84, 1289, 1805},	// QsciScintilla::setIndentationWidth$
    {84, 1291, 1804},	// QsciScintilla::setIndentationsUseTabs$
    {84, 1293, 1861},	// QsciScintilla::setIndicatorDrawUnder$
    {84, 1294, 1720},	// QsciScintilla::setIndicatorDrawUnder$$
    {84, 1296, 1862},	// QsciScintilla::setIndicatorForegroundColor#
    {84, 1297, 1721},	// QsciScintilla::setIndicatorForegroundColor#$
    {84, 1304, 1871},	// QsciScintilla::setLexer
    {84, 1305, 1806},	// QsciScintilla::setLexer#
    {84, 1311, 1810},	// QsciScintilla::setMarginLineNumbers$$
    {84, 1313, 1811},	// QsciScintilla::setMarginMarkerMask$$
    {84, 1315, 1812},	// QsciScintilla::setMarginSensitivity$$
    {84, 1317, 1724},	// QsciScintilla::setMarginText$#
    {84, 1318, 1723},	// QsciScintilla::setMarginText$$#
    {84, 1319, 1722},	// QsciScintilla::setMarginText$$$
    {84, 1320, 1725},	// QsciScintilla::setMarginText$?
    {84, 1322, 1726},	// QsciScintilla::setMarginType$$
    {84, 1324, -4262},	// QsciScintilla::setMarginWidth$$
    {84, 1326, 1807},	// QsciScintilla::setMarginsBackgroundColor#
    {84, 1328, 1808},	// QsciScintilla::setMarginsFont#
    {84, 1330, 1809},	// QsciScintilla::setMarginsForegroundColor#
    {84, 1332, 1864},	// QsciScintilla::setMarkerBackgroundColor#
    {84, 1333, 1728},	// QsciScintilla::setMarkerBackgroundColor#$
    {84, 1335, 1865},	// QsciScintilla::setMarkerForegroundColor#
    {84, 1336, 1729},	// QsciScintilla::setMarkerForegroundColor#$
    {84, 1338, 1730},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {84, 1340, 1731},	// QsciScintilla::setMatchedBraceForegroundColor#
    {84, 1342, 1815},	// QsciScintilla::setModified$
    {84, 1344, 1816},	// QsciScintilla::setPaper#
    {84, 1353, 1817},	// QsciScintilla::setReadOnly$
    {84, 1357, 1818},	// QsciScintilla::setSelection$$$$
    {84, 1359, 1819},	// QsciScintilla::setSelectionBackgroundColor#
    {84, 1361, 1820},	// QsciScintilla::setSelectionForegroundColor#
    {84, 1363, 1737},	// QsciScintilla::setSelectionToEol$
    {84, 1374, 1821},	// QsciScintilla::setTabIndents$
    {84, 1376, 1822},	// QsciScintilla::setTabWidth$
    {84, 1378, 1823},	// QsciScintilla::setText$
    {84, 1384, 1732},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {84, 1386, 1733},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {84, 1388, 1824},	// QsciScintilla::setUtf8$
    {84, 1398, 1740},	// QsciScintilla::setWhitespaceBackgroundColor#
    {84, 1400, 1741},	// QsciScintilla::setWhitespaceForegroundColor#
    {84, 1402, 1742},	// QsciScintilla::setWhitespaceSize$
    {84, 1404, 1825},	// QsciScintilla::setWhitespaceVisibility$
    {84, 1406, 1743},	// QsciScintilla::setWrapIndentMode$
    {84, 1408, 1826},	// QsciScintilla::setWrapMode$
    {84, 1410, 1866},	// QsciScintilla::setWrapVisualFlags$
    {84, 1411, 1867},	// QsciScintilla::setWrapVisualFlags$$
    {84, 1412, 1734},	// QsciScintilla::setWrapVisualFlags$$$
    {84, 1415, 1744},	// QsciScintilla::showUserList$?
    {84, 1418, 1745},	// QsciScintilla::standardCommands
    {84, 1423, 1872},	// QsciScintilla::staticMetaObject
    {84, 1431, 1746},	// QsciScintilla::tabIndents
    {84, 1432, 1747},	// QsciScintilla::tabWidth
    {84, 1434, 1748},	// QsciScintilla::text
    {84, 1435, 1749},	// QsciScintilla::text$
    {84, 1437, 1843},	// QsciScintilla::textChanged
    {84, 1439, 1750},	// QsciScintilla::textHeight$
    {84, 1445, 1845},	// QsciScintilla::tr$
    {84, 1446, 1608},	// QsciScintilla::tr$$
    {84, 1447, 1610},	// QsciScintilla::tr$$$
    {84, 1449, 1846},	// QsciScintilla::trUtf8$
    {84, 1450, 1609},	// QsciScintilla::trUtf8$$
    {84, 1451, 1611},	// QsciScintilla::trUtf8$$$
    {84, 1452, 1827},	// QsciScintilla::undo
    {84, 1454, 1828},	// QsciScintilla::unindent$
    {84, 1458, 1844},	// QsciScintilla::userListActivated$$
    {84, 1467, 1751},	// QsciScintilla::whitespaceSize
    {84, 1468, 1752},	// QsciScintilla::whitespaceVisibility
    {84, 1471, 1753},	// QsciScintilla::wordAtPoint#
    {84, 1472, 1754},	// QsciScintilla::wordCharacters
    {84, 1473, 1756},	// QsciScintilla::wrapIndentMode
    {84, 1474, 1755},	// QsciScintilla::wrapMode
    {84, 1476, 1757},	// QsciScintilla::write#
    {84, 1483, 1830},	// QsciScintilla::zoomIn
    {84, 1484, 1829},	// QsciScintilla::zoomIn$
    {84, 1485, 1832},	// QsciScintilla::zoomOut
    {84, 1486, 1831},	// QsciScintilla::zoomOut$
    {84, 1488, 1833},	// QsciScintilla::zoomTo$
    {84, 1526, 1959},	// QsciScintilla::~QsciScintilla
    {85, 387, 1982},	// QsciScintillaBase::QSCN_SELCHANGED$
    {85, 469, 2031},	// QsciScintillaBase::QsciScintillaBase
    {85, 470, 1967},	// QsciScintillaBase::QsciScintillaBase#
    {85, 502, 1986},	// QsciScintillaBase::SCEN_CHANGE
    {85, 503, -1},	// QsciScintillaBase::SCLEX_A68K
    {85, 504, -43},	// QsciScintillaBase::SCLEX_ABAQUS
    {85, 505, -85},	// QsciScintillaBase::SCLEX_ADA
    {85, 506, -127},	// QsciScintillaBase::SCLEX_APDL
    {85, 507, -169},	// QsciScintillaBase::SCLEX_ASM
    {85, 508, -211},	// QsciScintillaBase::SCLEX_ASN1
    {85, 509, -253},	// QsciScintillaBase::SCLEX_ASP
    {85, 510, -295},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {85, 511, -337},	// QsciScintillaBase::SCLEX_AU3
    {85, 512, -379},	// QsciScintillaBase::SCLEX_AVE
    {85, 513, -421},	// QsciScintillaBase::SCLEX_BAAN
    {85, 514, -463},	// QsciScintillaBase::SCLEX_BASH
    {85, 515, -505},	// QsciScintillaBase::SCLEX_BATCH
    {85, 516, -547},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {85, 517, -589},	// QsciScintillaBase::SCLEX_BULLANT
    {85, 518, -631},	// QsciScintillaBase::SCLEX_CAML
    {85, 519, -673},	// QsciScintillaBase::SCLEX_CLW
    {85, 520, -715},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {85, 521, -757},	// QsciScintillaBase::SCLEX_CMAKE
    {85, 522, -799},	// QsciScintillaBase::SCLEX_COBOL
    {85, 523, -841},	// QsciScintillaBase::SCLEX_CONF
    {85, 524, -883},	// QsciScintillaBase::SCLEX_CONTAINER
    {85, 525, -925},	// QsciScintillaBase::SCLEX_CPP
    {85, 526, -967},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {85, 527, -1009},	// QsciScintillaBase::SCLEX_CSOUND
    {85, 528, -1051},	// QsciScintillaBase::SCLEX_CSS
    {85, 529, -1093},	// QsciScintillaBase::SCLEX_D
    {85, 530, -1135},	// QsciScintillaBase::SCLEX_DIFF
    {85, 531, -1177},	// QsciScintillaBase::SCLEX_EIFFEL
    {85, 532, -1219},	// QsciScintillaBase::SCLEX_EIFFELKW
    {85, 533, -1261},	// QsciScintillaBase::SCLEX_ERLANG
    {85, 534, -1303},	// QsciScintillaBase::SCLEX_ERRORLIST
    {85, 535, -1345},	// QsciScintillaBase::SCLEX_ESCRIPT
    {85, 536, -1387},	// QsciScintillaBase::SCLEX_F77
    {85, 537, -1429},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {85, 538, -1471},	// QsciScintillaBase::SCLEX_FORTH
    {85, 539, -1513},	// QsciScintillaBase::SCLEX_FORTRAN
    {85, 540, -1555},	// QsciScintillaBase::SCLEX_FREEBASIC
    {85, 541, -1597},	// QsciScintillaBase::SCLEX_GAP
    {85, 542, -1639},	// QsciScintillaBase::SCLEX_GUI4CLI
    {85, 543, -1681},	// QsciScintillaBase::SCLEX_HASKELL
    {85, 544, -1723},	// QsciScintillaBase::SCLEX_HTML
    {85, 545, -1765},	// QsciScintillaBase::SCLEX_INNOSETUP
    {85, 546, -1807},	// QsciScintillaBase::SCLEX_KIX
    {85, 547, -1849},	// QsciScintillaBase::SCLEX_LATEX
    {85, 548, -1891},	// QsciScintillaBase::SCLEX_LISP
    {85, 549, -1933},	// QsciScintillaBase::SCLEX_LOT
    {85, 550, -1975},	// QsciScintillaBase::SCLEX_LOUT
    {85, 551, -2017},	// QsciScintillaBase::SCLEX_LUA
    {85, 552, -2059},	// QsciScintillaBase::SCLEX_MAGIK
    {85, 553, -2101},	// QsciScintillaBase::SCLEX_MAKEFILE
    {85, 554, -2143},	// QsciScintillaBase::SCLEX_MARKDOWN
    {85, 555, -2185},	// QsciScintillaBase::SCLEX_MATLAB
    {85, 556, -2227},	// QsciScintillaBase::SCLEX_METAPOST
    {85, 557, -2269},	// QsciScintillaBase::SCLEX_MMIXAL
    {85, 558, -2311},	// QsciScintillaBase::SCLEX_MODULA
    {85, 559, -2353},	// QsciScintillaBase::SCLEX_MSSQL
    {85, 560, -2395},	// QsciScintillaBase::SCLEX_MYSQL
    {85, 561, -2437},	// QsciScintillaBase::SCLEX_NIMROD
    {85, 562, -2479},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {85, 563, -2521},	// QsciScintillaBase::SCLEX_NSIS
    {85, 564, -2563},	// QsciScintillaBase::SCLEX_NULL
    {85, 565, -2605},	// QsciScintillaBase::SCLEX_OCTAVE
    {85, 566, -2647},	// QsciScintillaBase::SCLEX_OPAL
    {85, 567, -2689},	// QsciScintillaBase::SCLEX_PASCAL
    {85, 568, -2731},	// QsciScintillaBase::SCLEX_PERL
    {85, 569, -2773},	// QsciScintillaBase::SCLEX_PHP
    {85, 570, -2815},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {85, 571, -2857},	// QsciScintillaBase::SCLEX_PLM
    {85, 572, -2899},	// QsciScintillaBase::SCLEX_PO
    {85, 573, -2941},	// QsciScintillaBase::SCLEX_POV
    {85, 574, -2983},	// QsciScintillaBase::SCLEX_POWERBASIC
    {85, 575, -3025},	// QsciScintillaBase::SCLEX_POWERPRO
    {85, 576, -3067},	// QsciScintillaBase::SCLEX_POWERSHELL
    {85, 577, -3109},	// QsciScintillaBase::SCLEX_PROGRESS
    {85, 578, -3151},	// QsciScintillaBase::SCLEX_PROPERTIES
    {85, 579, -3193},	// QsciScintillaBase::SCLEX_PS
    {85, 580, -3235},	// QsciScintillaBase::SCLEX_PUREBASIC
    {85, 581, -3277},	// QsciScintillaBase::SCLEX_PYTHON
    {85, 582, -3319},	// QsciScintillaBase::SCLEX_R
    {85, 583, -3361},	// QsciScintillaBase::SCLEX_REBOL
    {85, 584, -3403},	// QsciScintillaBase::SCLEX_RUBY
    {85, 585, -3445},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {85, 586, -3487},	// QsciScintillaBase::SCLEX_SMALLTALK
    {85, 587, -3529},	// QsciScintillaBase::SCLEX_SML
    {85, 588, -3571},	// QsciScintillaBase::SCLEX_SORCUS
    {85, 589, -3613},	// QsciScintillaBase::SCLEX_SPECMAN
    {85, 590, -3655},	// QsciScintillaBase::SCLEX_SPICE
    {85, 591, -3697},	// QsciScintillaBase::SCLEX_SQL
    {85, 592, -3739},	// QsciScintillaBase::SCLEX_TACL
    {85, 593, -3781},	// QsciScintillaBase::SCLEX_TADS3
    {85, 594, -3823},	// QsciScintillaBase::SCLEX_TAL
    {85, 595, -3865},	// QsciScintillaBase::SCLEX_TCL
    {85, 596, -3907},	// QsciScintillaBase::SCLEX_TEX
    {85, 597, -3949},	// QsciScintillaBase::SCLEX_TXT2TAGS
    {85, 598, -3991},	// QsciScintillaBase::SCLEX_VB
    {85, 599, -4033},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {85, 600, -4075},	// QsciScintillaBase::SCLEX_VERILOG
    {85, 601, -4117},	// QsciScintillaBase::SCLEX_VHDL
    {85, 602, -4159},	// QsciScintillaBase::SCLEX_XML
    {85, 603, -4201},	// QsciScintillaBase::SCLEX_YAML
    {85, 604, 1983},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {85, 605, 1984},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {85, 607, 1985},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {85, 609, 1987},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {85, 611, 1988},	// QsciScintillaBase::SCN_CHARADDED$
    {85, 613, 1989},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {85, 615, 1990},	// QsciScintillaBase::SCN_DWELLEND$$$
    {85, 617, 1991},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {85, 619, 1992},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {85, 621, 1993},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {85, 623, 1994},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {85, 625, 1995},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {85, 627, 1996},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {85, 629, 1997},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {85, 631, 1998},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {85, 633, 1999},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {85, 634, 2000},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {85, 636, 2001},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {85, 637, 2002},	// QsciScintillaBase::SCN_PAINTED
    {85, 638, 2003},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {85, 639, 2004},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {85, 641, 2005},	// QsciScintillaBase::SCN_STYLENEEDED$
    {85, 643, 2006},	// QsciScintillaBase::SCN_UPDATEUI$
    {85, 645, 2007},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {85, 646, 2008},	// QsciScintillaBase::SCN_ZOOM
    {85, 664, 2032},	// QsciScintillaBase::SendScintilla$
    {85, 665, 1978},	// QsciScintillaBase::SendScintilla$#
    {85, 666, -4243},	// QsciScintillaBase::SendScintilla$$
    {85, 667, -4248},	// QsciScintillaBase::SendScintilla$$#
    {85, 668, 1979},	// QsciScintillaBase::SendScintilla$$##$$
    {85, 669, -4251},	// QsciScintillaBase::SendScintilla$$$
    {85, 670, 1976},	// QsciScintillaBase::SendScintilla$$$$
    {85, 672, 1981},	// QsciScintillaBase::SendScintillaPtrResult$
    {85, 819, 2009},	// QsciScintillaBase::canInsertFromMimeData#
    {85, 846, 2012},	// QsciScintillaBase::contextMenuEvent#
    {85, 876, 2013},	// QsciScintillaBase::dragEnterEvent#
    {85, 878, 2014},	// QsciScintillaBase::dragLeaveEvent#
    {85, 880, 2015},	// QsciScintillaBase::dragMoveEvent#
    {85, 882, 2016},	// QsciScintillaBase::dropEvent#
    {85, 916, 2017},	// QsciScintillaBase::focusInEvent#
    {85, 918, 2019},	// QsciScintillaBase::focusNextPrevChild$
    {85, 920, 2018},	// QsciScintillaBase::focusOutEvent#
    {85, 947, 2010},	// QsciScintillaBase::fromMimeData#$
    {85, 977, 2021},	// QsciScintillaBase::inputMethodEvent#
    {85, 997, 2020},	// QsciScintillaBase::keyPressEvent#
    {85, 1056, 1960},	// QsciScintillaBase::metaObject
    {85, 1063, 2022},	// QsciScintillaBase::mouseDoubleClickEvent#
    {85, 1065, 2023},	// QsciScintillaBase::mouseMoveEvent#
    {85, 1067, 2024},	// QsciScintillaBase::mousePressEvent#
    {85, 1069, 2025},	// QsciScintillaBase::mouseReleaseEvent#
    {85, 1076, 2026},	// QsciScintillaBase::paintEvent#
    {85, 1084, 1968},	// QsciScintillaBase::pool
    {85, 1097, 1966},	// QsciScintillaBase::qt_metacall$$?
    {85, 1099, 1961},	// QsciScintillaBase::qt_metacast$
    {85, 1127, 2027},	// QsciScintillaBase::resizeEvent#
    {85, 1133, 2028},	// QsciScintillaBase::scrollContentsBy$$
    {85, 1423, 2034},	// QsciScintillaBase::staticMetaObject
    {85, 1442, 2011},	// QsciScintillaBase::toMimeData#$
    {85, 1445, 2029},	// QsciScintillaBase::tr$
    {85, 1446, 1962},	// QsciScintillaBase::tr$$
    {85, 1447, 1964},	// QsciScintillaBase::tr$$$
    {85, 1449, 2030},	// QsciScintillaBase::trUtf8$
    {85, 1450, 1963},	// QsciScintillaBase::trUtf8$$
    {85, 1451, 1965},	// QsciScintillaBase::trUtf8$$$
    {85, 1527, 6176},	// QsciScintillaBase::~QsciScintillaBase
    {86, 306, 6204},	// QsciStyle::LowerCase
    {86, 328, 6202},	// QsciStyle::OriginalCase
    {86, 471, 6200},	// QsciStyle::QsciStyle
    {86, 472, 6199},	// QsciStyle::QsciStyle#
    {86, 473, 6177},	// QsciStyle::QsciStyle$
    {86, 474, 6201},	// QsciStyle::QsciStyle$$###
    {86, 475, 6178},	// QsciStyle::QsciStyle$$###$
    {86, 735, 6203},	// QsciStyle::UpperCase
    {86, 825, 6195},	// QsciStyle::changeable
    {86, 839, 6183},	// QsciStyle::color
    {86, 867, 6181},	// QsciStyle::description
    {86, 894, 6189},	// QsciStyle::eolFill
    {86, 939, 6187},	// QsciStyle::font
    {86, 956, 6197},	// QsciStyle::hotspot
    {86, 1078, 6185},	// QsciStyle::paper
    {86, 1112, 6198},	// QsciStyle::refresh
    {86, 1195, 6194},	// QsciStyle::setChangeable$
    {86, 1197, 6182},	// QsciStyle::setColor#
    {86, 1210, 6180},	// QsciStyle::setDescription$
    {86, 1228, 6188},	// QsciStyle::setEolFill$
    {86, 1272, 6186},	// QsciStyle::setFont#
    {86, 1277, 6196},	// QsciStyle::setHotspot$
    {86, 1344, 6184},	// QsciStyle::setPaper#
    {86, 1380, 6190},	// QsciStyle::setTextCase$
    {86, 1396, 6192},	// QsciStyle::setVisible$
    {86, 1425, 6179},	// QsciStyle::style
    {86, 1436, 6191},	// QsciStyle::textCase
    {86, 1465, 6193},	// QsciStyle::visible
    {86, 1528, 6205},	// QsciStyle::~QsciStyle
    {87, 477, 6210},	// QsciStyledText::QsciStyledText#
    {87, 478, 6207},	// QsciStyledText::QsciStyledText$#
    {87, 479, 6206},	// QsciStyledText::QsciStyledText$$
    {87, 1425, 6209},	// QsciStyledText::style
    {87, 1434, 6208},	// QsciStyledText::text
    {87, 1529, 6211},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 87,
        __smokeqsci::methods, 6212,
        __smokeqsci::methodMaps, 2121,
        __smokeqsci::methodNames, 1529,
        __smokeqsci::types, 236,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
