#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//37
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//51
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//56
    { "QDir::Filter", 28, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDir::SortFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref },	//60
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//96
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//98
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//99
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//101
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//102
    { "QLocale::NumberOption", 37, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//110
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//112
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//113
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//115
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//116
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//123
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//125
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//126
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//128
    { "QUrl::FormattingOption", 56, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//130
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//131
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//132
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForActiveQtModule", 31, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForCoreModule", 31, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDBusModule", 31, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForDeclarativeModule", 31, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForGuiModule", 31, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForHelpModule", 31, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForMultimediaModule", 31, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForNetworkModule", 31, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenGLModule", 31, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForOpenVGModule", 31, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportLightModule", 31, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForQt3SupportModule", 31, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptModule", 31, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForScriptToolsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSqlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForSvgModule", 31, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForTestModule", 31, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForXmlPatternsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//227
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//228
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//229
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//230
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//231
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//234
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//272
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//290
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//291
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//292
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//293
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//294
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//295
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//297
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//298
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//299
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//300
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//302
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//303
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//307
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//309
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//310
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//311
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//313
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//316
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//318
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//319
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    287, 0,	//1  const char*
    287, 287, 0,	//3  const char*, const char*
    287, 287, 293, 0,	//6  const char*, const char*, int
    104, 293, 318, 0,	//10  QMetaObject::Call, int, void**
    105, 0,	//14  QObject*
    228, 0,	//16  bool
    277, 284, 284, 284, 284, 284, 284, 284, 284, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 284, 284, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 255, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    277, 255, 105, 287, 287, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    277, 255, 105, 287, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    277, 255, 0,	//54  const QString&, const QList<QVariant>&
    277, 277, 287, 238, 105, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    287, 284, 0,	//63  const char*, const QVariant&
    277, 0,	//66  const QString&
    277, 284, 0,	//68  const QString&, const QVariant&
    277, 284, 284, 0,	//71  const QString&, const QVariant&, const QVariant&
    277, 284, 284, 284, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 284, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 284, 284, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 0,	//110  QDBus::CallMode, const QString&
    10, 277, 284, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 277, 284, 284, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 284, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    237, 0,	//162  const QDBusArgument&
    302, 0,	//164  unsigned char
    298, 0,	//166  short
    310, 0,	//168  unsigned short
    293, 0,	//170  int
    305, 0,	//172  unsigned int
    296, 0,	//174  long long
    308, 0,	//176  unsigned long long
    290, 0,	//178  double
    246, 0,	//180  const QDBusVariant&
    243, 0,	//182  const QDBusObjectPath&
    245, 0,	//184  const QDBusSignature&
    278, 0,	//186  const QStringList&
    235, 0,	//188  const QByteArray&
    293, 293, 0,	//190  int, int
    284, 0,	//193  const QVariant&
    303, 0,	//195  unsigned char&
    229, 0,	//197  bool&
    299, 0,	//199  short&
    311, 0,	//201  unsigned short&
    294, 0,	//203  int&
    306, 0,	//205  unsigned int&
    297, 0,	//207  long long&
    309, 0,	//209  unsigned long long&
    291, 0,	//211  double&
    115, 0,	//213  QString&
    52, 0,	//215  QDBusVariant&
    37, 0,	//217  QDBusObjectPath&
    51, 0,	//219  QDBusSignature&
    119, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    238, 0,	//225  const QDBusConnection&
    241, 0,	//227  const QDBusMessage&
    241, 105, 287, 287, 293, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    241, 105, 287, 293, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    241, 10, 293, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    241, 293, 0,	//244  const QDBusMessage&, int
    277, 277, 277, 277, 105, 287, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    277, 277, 277, 277, 277, 105, 287, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    277, 277, 277, 277, 278, 277, 105, 287, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    277, 105, 65, 0,	//271  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    277, 21, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 277, 0,	//278  QDBusConnection::BusType, const QString&
    277, 277, 0,	//281  const QString&, const QString&
    241, 105, 287, 287, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    241, 105, 287, 0,	//289  const QDBusMessage&, QObject*, const char*
    241, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    277, 105, 0,	//296  const QString&, QObject*
    277, 24, 25, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    277, 277, 277, 0,	//303  const QString&, const QString&, const QString&
    240, 241, 0,	//307  const QDBusError&, const QDBusMessage&
    277, 24, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    30, 277, 0,	//313  QDBusError::ErrorType, const QString&
    239, 0,	//316  const QDBusContext&
    30, 0,	//318  QDBusError::ErrorType
    232, 0,	//320  const DBusError*
    240, 0,	//322  const QDBusError&
    277, 277, 277, 238, 105, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    277, 277, 277, 238, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    277, 277, 277, 277, 0,	//335  const QString&, const QString&, const QString&, const QString&
    255, 0,	//340  const QList<QVariant>&
    276, 277, 0,	//342  const QString, const QString&
    293, 314, 316, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 293, 289, 0,	//349  QDBusArgument&, int, const void*
    237, 293, 317, 0,	//353  const QDBusArgument&, int, void*
    242, 0,	//357  const QDBusMetaType&
    244, 0,	//359  const QDBusPendingCall&
    244, 105, 0,	//361  const QDBusPendingCall&, QObject*
    41, 0,	//364  QDBusPendingCallWatcher*
    277, 238, 66, 105, 0,	//366  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    66, 0,	//371  QFlags<QDBusServiceWatcher::WatchModeFlag>
    277, 238, 0,	//373  const QString&, const QDBusConnection&
    277, 238, 66, 0,	//376  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    63, 63, 0,	//380  QFile::Permission, QFile::Permission
    13, 267, 0,	//383  QDBusArgument&, const QPointF&
    13, 254, 0,	//386  QDBusArgument&, const QLineF&
    53, 8, 0,	//389  QDataStream&, QChar&
    59, 69, 0,	//392  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    13, 248, 0,	//395  QDBusArgument&, const QDateTime&
    287, 252, 0,	//398  const char*, const QLatin1String&
    53, 102, 0,	//401  QDataStream&, QLocale&
    13, 269, 0,	//404  QDBusArgument&, const QRectF&
    205, 293, 0,	//407  Qt::WindowType, int
    231, 287, 305, 0,	//410  char*, const char*, unsigned int
    230, 0,	//414  char
    275, 290, 0,	//416  const QSizeF&, double
    56, 253, 0,	//419  QDebug, const QLine&
    235, 287, 0,	//422  const QByteArray&, const char*
    287, 277, 0,	//425  const char*, const QString&
    53, 109, 0,	//428  QDataStream&, QRect&
    50, 50, 0,	//431  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    170, 170, 0,	//434  Qt::ItemFlag, Qt::ItemFlag
    284, 286, 0,	//437  const QVariant&, const QVariantComparisonHelper&
    13, 257, 0,	//440  QDBusArgument&, const QMap<QString,QVariant>&
    56, 72, 0,	//443  QDebug, QFlags<QIODevice::OpenModeFlag>
    273, 273, 0,	//446  const QSize&, const QSize&
    245, 245, 0,	//449  const QDBusSignature&, const QDBusSignature&
    7, 277, 0,	//452  QChar, const QString&
    287, 287, 305, 0,	//455  const char*, const char*, unsigned int
    252, 252, 0,	//459  const QLatin1String&, const QLatin1String&
    280, 280, 0,	//462  const QStringRef&, const QStringRef&
    231, 301, 287, 312, 0,	//465  char*, size_t, const char*, va_list
    267, 267, 0,	//470  const QPointF&, const QPointF&
    277, 280, 0,	//473  const QString&, const QStringRef&
    237, 126, 0,	//476  const QDBusArgument&, QTime&
    277, 7, 0,	//479  const QString&, QChar
    287, 305, 0,	//482  const char*, unsigned int
    53, 60, 0,	//485  QDataStream&, QEasingCurve&
    252, 280, 0,	//488  const QLatin1String&, const QStringRef&
    56, 247, 0,	//491  QDebug, const QDate&
    13, 273, 0,	//494  QDBusArgument&, const QSize&
    195, 195, 0,	//497  Qt::ToolBarArea, Qt::ToolBarArea
    56, 254, 0,	//500  QDebug, const QLineF&
    269, 269, 0,	//503  const QRectF&, const QRectF&
    262, 277, 271, 259, 101, 0,	//506  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    280, 252, 0,	//512  const QStringRef&, const QLatin1String&
    53, 54, 0,	//515  QDataStream&, QDate&
    292, 0,	//518  float
    192, 293, 0,	//520  Qt::TextInteractionFlag, int
    7, 7, 0,	//523  QChar, QChar
    7, 0,	//526  QChar
    53, 128, 0,	//528  QDataStream&, QUrl&
    56, 261, 0,	//531  QDebug, const QModelIndex&
    97, 73, 0,	//534  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    287, 293, 0,	//537  const char*, int
    290, 290, 0,	//540  double, double
    53, 285, 0,	//543  QDataStream&, const QVariant::Type
    53, 284, 0,	//546  QDataStream&, const QVariant&
    192, 90, 0,	//549  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    170, 85, 0,	//552  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    295, 0,	//555  long
    167, 84, 0,	//557  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    53, 275, 0,	//560  QDataStream&, const QSizeF&
    116, 116, 0,	//563  QString::Null, QString::Null
    287, 235, 0,	//566  const char*, const QByteArray&
    233, 0,	//569  const QBitArray&
    59, 59, 0,	//571  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    231, 287, 0,	//574  char*, const char*
    233, 233, 0,	//577  const QBitArray&, const QBitArray&
    265, 265, 0,	//580  const QPoint&, const QPoint&
    173, 86, 0,	//583  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    267, 290, 0,	//586  const QPointF&, double
    56, 275, 0,	//589  QDebug, const QSizeF&
    251, 251, 0,	//592  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//595  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    53, 130, 0,	//598  QDataStream&, QUuid&
    268, 268, 0,	//601  const QRect&, const QRect&
    235, 235, 0,	//604  const QByteArray&, const QByteArray&
    288, 293, 0,	//607  const unsigned char*, int
    235, 293, 0,	//610  const QByteArray&, int
    53, 277, 0,	//613  QDataStream&, const QString&
    122, 123, 0,	//616  QTextStream&, QTextStream&(*)(QTextStream&)
    156, 293, 0,	//619  Qt::DropAction, int
    317, 301, 301, 301, 0,	//622  void*, size_t, size_t, size_t
    176, 293, 0,	//627  Qt::MatchFlag, int
    53, 265, 0,	//630  QDataStream&, const QPoint&
    237, 55, 0,	//633  const QDBusArgument&, QDateTime&
    56, 268, 0,	//636  QDebug, const QRect&
    121, 76, 0,	//639  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    237, 98, 0,	//642  const QDBusArgument&, QLine&
    192, 192, 0,	//645  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    117, 75, 0,	//648  QString::SectionFlag, QFlags<QString::SectionFlag>
    56, 249, 0,	//651  QDebug, const QDir&
    178, 178, 0,	//654  Qt::MouseButton, Qt::MouseButton
    317, 301, 0,	//657  void*, size_t
    156, 156, 0,	//660  Qt::DropAction, Qt::DropAction
    20, 20, 0,	//663  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    1, 293, 0,	//666  QAbstractFileEngine::FileFlag, int
    277, 116, 0,	//669  const QString&, QString::Null
    161, 82, 0,	//672  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    243, 243, 0,	//675  const QDBusObjectPath&, const QDBusObjectPath&
    62, 293, 0,	//678  QEventLoop::ProcessEventsFlag, int
    95, 95, 0,	//681  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    103, 103, 0,	//684  QLocale::NumberOption, QLocale::NumberOption
    53, 99, 0,	//687  QDataStream&, QLineF&
    53, 254, 0,	//690  QDataStream&, const QLineF&
    275, 275, 0,	//693  const QSizeF&, const QSizeF&
    290, 273, 0,	//696  double, const QSize&
    154, 80, 0,	//699  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    237, 109, 0,	//702  const QDBusArgument&, QRect&
    176, 87, 0,	//705  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    267, 0,	//708  const QPointF&
    135, 293, 0,	//710  Qt::AlignmentFlag, int
    165, 293, 0,	//713  Qt::ImageConversionFlag, int
    237, 110, 0,	//716  const QDBusArgument&, QRectF&
    56, 273, 0,	//719  QDebug, const QSize&
    121, 293, 0,	//722  QTextCodec::ConversionFlag, int
    56, 265, 0,	//725  QDebug, const QPoint&
    265, 0,	//728  const QPoint&
    56, 282, 0,	//730  QDebug, const QUrl&
    241, 28, 132, 0,	//733  const QDBusMessage&, QDBusError&, QVariant&
    237, 113, 0,	//737  const QDBusArgument&, QSizeF&
    237, 99, 0,	//740  const QDBusArgument&, QLineF&
    20, 293, 0,	//743  QDBusConnection::RegisterOption, int
    53, 267, 0,	//746  QDataStream&, const QPointF&
    56, 241, 0,	//749  QDebug, const QDBusMessage&
    50, 66, 0,	//752  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    121, 121, 0,	//755  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    237, 132, 0,	//758  const QDBusArgument&, QVariant&
    237, 108, 0,	//761  const QDBusArgument&, QPointF&
    4, 4, 0,	//764  QBool, QBool
    20, 65, 0,	//767  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    277, 230, 0,	//770  const QString&, char
    287, 280, 0,	//773  const char*, const QStringRef&
    13, 265, 0,	//776  QDBusArgument&, const QPoint&
    124, 293, 0,	//779  QTextStream::NumberFlag, int
    56, 267, 0,	//782  QDebug, const QPointF&
    116, 277, 0,	//785  QString::Null, const QString&
    313, 0,	//788  void(*)()
    103, 74, 0,	//790  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    161, 161, 0,	//793  Qt::GestureFlag, Qt::GestureFlag
    53, 110, 0,	//796  QDataStream&, QRectF&
    292, 292, 0,	//799  float, float
    53, 236, 0,	//802  QDataStream&, const QChar&
    53, 108, 0,	//805  QDataStream&, QPointF&
    273, 290, 0,	//808  const QSize&, double
    315, 0,	//811  void(*)(QtMsgType,const char*)
    122, 125, 0,	//813  QTextStream&, QTextStreamManipulator
    135, 135, 0,	//816  Qt::AlignmentFlag, Qt::AlignmentFlag
    53, 98, 0,	//819  QDataStream&, QLine&
    57, 57, 0,	//822  QDir::Filter, QDir::Filter
    265, 290, 0,	//825  const QPoint&, double
    53, 235, 0,	//828  QDataStream&, const QByteArray&
    53, 250, 0,	//831  QDataStream&, const QEasingCurve&
    165, 165, 0,	//834  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    204, 293, 0,	//837  Qt::WindowState, int
    53, 115, 0,	//840  QDataStream&, QString&
    262, 277, 259, 0,	//843  const QObject*, const QString&, const QMetaObject&
    53, 269, 0,	//847  QDataStream&, const QRectF&
    53, 3, 0,	//850  QDataStream&, QBitArray&
    53, 112, 0,	//853  QDataStream&, QSize&
    173, 173, 0,	//856  Qt::KeyboardModifier, Qt::KeyboardModifier
    228, 4, 0,	//859  bool, QBool
    124, 124, 0,	//862  QTextStream::NumberFlag, QTextStream::NumberFlag
    53, 55, 0,	//865  QDataStream&, QDateTime&
    284, 133, 317, 0,	//868  const QVariant&, QVariant::Type, void*
    280, 277, 0,	//872  const QStringRef&, const QString&
    288, 304, 293, 0,	//875  const unsigned char*, unsigned char*, int
    173, 293, 0,	//879  Qt::KeyboardModifier, int
    53, 248, 0,	//882  QDataStream&, const QDateTime&
    237, 107, 0,	//885  const QDBusArgument&, QPoint&
    62, 70, 0,	//888  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    208, 287, 0,	//891  QtMsgType, const char*
    258, 258, 0,	//894  const QMargins&, const QMargins&
    235, 277, 0,	//897  const QByteArray&, const QString&
    129, 129, 0,	//900  QUrl::FormattingOption, QUrl::FormattingOption
    56, 285, 0,	//903  QDebug, const QVariant::Type
    154, 293, 0,	//906  Qt::DockWidgetArea, int
    53, 126, 0,	//909  QDataStream&, QTime&
    205, 205, 0,	//912  Qt::WindowType, Qt::WindowType
    317, 293, 301, 0,	//915  void*, int, size_t
    56, 248, 0,	//919  QDebug, const QDateTime&
    300, 0,	//922  signed char
    13, 281, 0,	//924  QDBusArgument&, const QTime&
    205, 94, 0,	//927  Qt::WindowType, QFlags<Qt::WindowType>
    204, 204, 0,	//930  Qt::WindowState, Qt::WindowState
    56, 284, 0,	//933  QDebug, const QVariant&
    53, 119, 0,	//936  QDataStream&, QStringList&
    63, 293, 0,	//939  QFile::Permission, int
    106, 0,	//942  QObject*(*)()
    290, 267, 0,	//944  double, const QPointF&
    53, 282, 0,	//947  QDataStream&, const QUrl&
    53, 281, 0,	//950  QDataStream&, const QTime&
    53, 107, 0,	//953  QDataStream&, QPoint&
    13, 268, 0,	//956  QDBusArgument&, const QRect&
    280, 0,	//959  const QStringRef&
    53, 111, 0,	//961  QDataStream&, QRegExp&
    167, 293, 0,	//964  Qt::InputMethodHint, int
    53, 256, 0,	//967  QDataStream&, const QLocale&
    237, 112, 0,	//970  const QDBusArgument&, QSize&
    301, 301, 0,	//973  size_t, size_t
    53, 233, 0,	//976  QDataStream&, const QBitArray&
    277, 235, 0,	//979  const QString&, const QByteArray&
    287, 287, 287, 293, 0,	//982  const char*, const char*, const char*, int
    237, 54, 0,	//987  const QDBusArgument&, QDate&
    129, 78, 0,	//990  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    13, 247, 0,	//993  QDBusArgument&, const QDate&
    62, 62, 0,	//996  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    235, 230, 0,	//999  const QByteArray&, char
    97, 97, 0,	//1002  QLibrary::LoadHint, QLibrary::LoadHint
    135, 79, 0,	//1005  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    13, 255, 0,	//1008  QDBusArgument&, const QList<QVariant>&
    53, 283, 0,	//1011  QDataStream&, const QUuid&
    95, 72, 0,	//1014  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    53, 253, 0,	//1017  QDataStream&, const QLine&
    56, 240, 0,	//1020  QDebug, const QDBusError&
    161, 293, 0,	//1023  Qt::GestureFlag, int
    280, 287, 0,	//1026  const QStringRef&, const char*
    58, 68, 0,	//1029  QDir::SortFlag, QFlags<QDir::SortFlag>
    53, 247, 0,	//1032  QDataStream&, const QDate&
    230, 235, 0,	//1035  char, const QByteArray&
    277, 287, 0,	//1038  const QString&, const char*
    97, 293, 0,	//1041  QLibrary::LoadHint, int
    288, 293, 293, 0,	//1044  const unsigned char*, int, int
    180, 180, 0,	//1048  Qt::Orientation, Qt::Orientation
    4, 228, 0,	//1051  QBool, bool
    246, 246, 0,	//1054  const QDBusVariant&, const QDBusVariant&
    13, 275, 0,	//1057  QDBusArgument&, const QSizeF&
    53, 278, 0,	//1060  QDataStream&, const QStringList&
    53, 270, 0,	//1063  QDataStream&, const QRegExp&
    58, 293, 0,	//1066  QDir::SortFlag, int
    317, 289, 301, 0,	//1069  void*, const void*, size_t
    317, 0,	//1073  void*
    195, 91, 0,	//1075  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    50, 293, 0,	//1078  QDBusServiceWatcher::WatchModeFlag, int
    56, 263, 0,	//1081  QDebug, const QPersistentModelIndex&
    53, 132, 0,	//1084  QDataStream&, QVariant&
    282, 0,	//1087  const QUrl&
    198, 92, 0,	//1089  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    290, 265, 0,	//1092  double, const QPoint&
    56, 262, 0,	//1095  QDebug, const QObject*
    63, 71, 0,	//1098  QFile::Permission, QFlags<QFile::Permission>
    56, 269, 0,	//1101  QDebug, const QRectF&
    124, 77, 0,	//1104  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    58, 58, 0,	//1107  QDir::SortFlag, QDir::SortFlag
    198, 293, 0,	//1110  Qt::TouchPointState, int
    57, 293, 0,	//1113  QDir::Filter, int
    307, 0,	//1116  unsigned long
    13, 253, 0,	//1118  QDBusArgument&, const QLine&
    1, 64, 0,	//1121  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    178, 88, 0,	//1124  Qt::MouseButton, QFlags<Qt::MouseButton>
    156, 81, 0,	//1127  Qt::DropAction, QFlags<Qt::DropAction>
    301, 0,	//1130  size_t
    180, 293, 0,	//1132  Qt::Orientation, int
    53, 134, 0,	//1135  QDataStream&, QVariant::Type&
    195, 293, 0,	//1138  Qt::ToolBarArea, int
    53, 6, 0,	//1141  QDataStream&, QByteArray&
    53, 268, 0,	//1144  QDataStream&, const QRect&
    56, 250, 0,	//1147  QDebug, const QEasingCurve&
    263, 0,	//1150  const QPersistentModelIndex&
    56, 281, 0,	//1152  QDebug, const QTime&
    103, 293, 0,	//1155  QLocale::NumberOption, int
    198, 198, 0,	//1158  Qt::TouchPointState, Qt::TouchPointState
    165, 83, 0,	//1161  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    204, 93, 0,	//1164  Qt::WindowState, QFlags<Qt::WindowState>
    154, 154, 0,	//1167  Qt::DockWidgetArea, Qt::DockWidgetArea
    59, 293, 0,	//1170  QDirIterator::IteratorFlag, int
    290, 275, 0,	//1173  double, const QSizeF&
    56, 258, 0,	//1176  QDebug, const QMargins&
    261, 0,	//1179  const QModelIndex&
    129, 293, 0,	//1181  QUrl::FormattingOption, int
    176, 176, 0,	//1184  Qt::MatchFlag, Qt::MatchFlag
    167, 167, 0,	//1187  Qt::InputMethodHint, Qt::InputMethodHint
    180, 89, 0,	//1190  Qt::Orientation, QFlags<Qt::Orientation>
    56, 67, 0,	//1193  QDebug, QFlags<QDir::Filter>
    170, 293, 0,	//1196  Qt::ItemFlag, int
    178, 293, 0,	//1199  Qt::MouseButton, int
    53, 113, 0,	//1202  QDataStream&, QSizeF&
    95, 293, 0,	//1205  QIODevice::OpenModeFlag, int
    117, 293, 0,	//1208  QString::SectionFlag, int
    230, 277, 0,	//1211  char, const QString&
    53, 273, 0,	//1214  QDataStream&, const QSize&
    57, 67, 0,	//1217  QDir::Filter, QFlags<QDir::Filter>
    117, 117, 0,	//1220  QString::SectionFlag, QString::SectionFlag
    61, 0,	//1223  QEvent*
    105, 61, 0,	//1225  QObject*, QEvent*
    127, 0,	//1228  QTimerEvent*
    9, 0,	//1230  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LicensedActiveQt",	//43
    "LicensedCore",	//44
    "LicensedDBus",	//45
    "LicensedDeclarative",	//46
    "LicensedGui",	//47
    "LicensedHelp",	//48
    "LicensedMultimedia",	//49
    "LicensedNetwork",	//50
    "LicensedOpenGL",	//51
    "LicensedOpenVG",	//52
    "LicensedQt3Support",	//53
    "LicensedQt3SupportLight",	//54
    "LicensedScript",	//55
    "LicensedScriptTools",	//56
    "LicensedSql",	//57
    "LicensedSvg",	//58
    "LicensedTest",	//59
    "LicensedXml",	//60
    "LicensedXmlPatterns",	//61
    "LimitsExceeded",	//62
    "MapEntryType",	//63
    "MapType",	//64
    "MethodCallMessage",	//65
    "NameAcquired",	//66
    "NameAcquired$",	//67
    "NameLost",	//68
    "NameLost$",	//69
    "NameOwnerChanged",	//70
    "NameOwnerChanged$$$",	//71
    "NoBlock",	//72
    "NoError",	//73
    "NoMemory",	//74
    "NoNetwork",	//75
    "NoReply",	//76
    "NoServer",	//77
    "NotSupported",	//78
    "Other",	//79
    "QDBusAbstractAdaptor",	//80
    "QDBusAbstractAdaptor#",	//81
    "QDBusAbstractInterface",	//82
    "QDBusAbstractInterface$$$##",	//83
    "QDBusArgument",	//84
    "QDBusArgument#",	//85
    "QDBusConnection",	//86
    "QDBusConnection#",	//87
    "QDBusConnection$",	//88
    "QDBusContext",	//89
    "QDBusContext#",	//90
    "QDBusError",	//91
    "QDBusError#",	//92
    "QDBusError$$",	//93
    "QDBusInterface",	//94
    "QDBusInterface$$",	//95
    "QDBusInterface$$$",	//96
    "QDBusInterface$$$#",	//97
    "QDBusInterface$$$##",	//98
    "QDBusMessage",	//99
    "QDBusMessage#",	//100
    "QDBusMetaType",	//101
    "QDBusMetaType#",	//102
    "QDBusPendingCall",	//103
    "QDBusPendingCall#",	//104
    "QDBusPendingCallWatcher",	//105
    "QDBusPendingCallWatcher#",	//106
    "QDBusPendingCallWatcher##",	//107
    "QDBusServer",	//108
    "QDBusServer$",	//109
    "QDBusServer$#",	//110
    "QDBusServiceWatcher",	//111
    "QDBusServiceWatcher#",	//112
    "QDBusServiceWatcher$#",	//113
    "QDBusServiceWatcher$#$",	//114
    "QDBusServiceWatcher$#$#",	//115
    "Q_COMPLEX_TYPE",	//116
    "Q_DUMMY_TYPE",	//117
    "Q_MOVABLE_TYPE",	//118
    "Q_PRIMITIVE_TYPE",	//119
    "Q_STATIC_TYPE",	//120
    "QtCriticalMsg",	//121
    "QtDebugMsg",	//122
    "QtFatalMsg",	//123
    "QtSystemMsg",	//124
    "QtWarningMsg",	//125
    "QueueService",	//126
    "ReplaceExistingService",	//127
    "ReplyMessage",	//128
    "ServiceNotRegistered",	//129
    "ServiceQueued",	//130
    "ServiceRegistered",	//131
    "ServiceUnknown",	//132
    "SessionBus",	//133
    "SignalMessage",	//134
    "StructureType",	//135
    "SystemBus",	//136
    "TimedOut",	//137
    "Timeout",	//138
    "UnknownInterface",	//139
    "UnknownMethod",	//140
    "UnknownObject",	//141
    "UnknownType",	//142
    "UnregisterNode",	//143
    "UnregisterTree",	//144
    "VariantType",	//145
    "WatchForOwnerChange",	//146
    "WatchForRegistration",	//147
    "WatchForUnregistration",	//148
    "addWatchedService",	//149
    "addWatchedService$",	//150
    "address",	//151
    "appendVariant",	//152
    "appendVariant#",	//153
    "arguments",	//154
    "asVariant",	//155
    "asyncCall",	//156
    "asyncCall#",	//157
    "asyncCall#$",	//158
    "asyncCall$",	//159
    "asyncCall$#",	//160
    "asyncCall$##",	//161
    "asyncCall$###",	//162
    "asyncCall$####",	//163
    "asyncCall$#####",	//164
    "asyncCall$######",	//165
    "asyncCall$#######",	//166
    "asyncCall$########",	//167
    "asyncCallWithArgumentList",	//168
    "asyncCallWithArgumentList$?",	//169
    "atEnd",	//170
    "autoRelaySignals",	//171
    "autoStartService",	//172
    "baseService",	//173
    "beginArray",	//174
    "beginArray$",	//175
    "beginMap",	//176
    "beginMap$$",	//177
    "beginMapEntry",	//178
    "beginStructure",	//179
    "call",	//180
    "call#",	//181
    "call#$",	//182
    "call#$$",	//183
    "call$",	//184
    "call$#",	//185
    "call$##",	//186
    "call$###",	//187
    "call$####",	//188
    "call$#####",	//189
    "call$######",	//190
    "call$#######",	//191
    "call$########",	//192
    "call$$",	//193
    "call$$#",	//194
    "call$$##",	//195
    "call$$###",	//196
    "call$$####",	//197
    "call$$#####",	//198
    "call$$######",	//199
    "call$$#######",	//200
    "call$$########",	//201
    "callWithArgumentList",	//202
    "callWithArgumentList$$?",	//203
    "callWithCallback",	//204
    "callWithCallback##$",	//205
    "callWithCallback##$$",	//206
    "callWithCallback##$$$",	//207
    "callWithCallback$?#$",	//208
    "callWithCallback$?#$$",	//209
    "callWithCallbackFailed",	//210
    "callWithCallbackFailed##",	//211
    "calledFromDBus",	//212
    "childEvent",	//213
    "connect",	//214
    "connect$$$$#$",	//215
    "connect$$$$$#$",	//216
    "connect$$$$?$#$",	//217
    "connectNotify",	//218
    "connectNotify$",	//219
    "connectToBus",	//220
    "connectToBus$$",	//221
    "connection",	//222
    "createError",	//223
    "createError#",	//224
    "createError$$",	//225
    "createErrorReply",	//226
    "createErrorReply#",	//227
    "createErrorReply$$",	//228
    "createMethodCall",	//229
    "createMethodCall$$$$",	//230
    "createReply",	//231
    "createReply#",	//232
    "createReply?",	//233
    "createSignal",	//234
    "createSignal$$$",	//235
    "currentSignature",	//236
    "currentType",	//237
    "customEvent",	//238
    "demarshall",	//239
    "demarshall#$$",	//240
    "disconnect",	//241
    "disconnect$$$$#$",	//242
    "disconnect$$$$$#$",	//243
    "disconnect$$$$?$#$",	//244
    "disconnectFromBus",	//245
    "disconnectFromBus$",	//246
    "disconnectNotify",	//247
    "disconnectNotify$",	//248
    "endArray",	//249
    "endMap",	//250
    "endMapEntry",	//251
    "endStructure",	//252
    "error",	//253
    "errorMessage",	//254
    "errorName",	//255
    "errorString",	//256
    "errorString$",	//257
    "event",	//258
    "eventFilter",	//259
    "finished",	//260
    "finished#",	//261
    "fromCompletedCall",	//262
    "fromCompletedCall#",	//263
    "fromError",	//264
    "fromError#",	//265
    "interface",	//266
    "internalConstCall",	//267
    "internalConstCall$$",	//268
    "internalConstCall$$?",	//269
    "internalPropGet",	//270
    "internalPropGet$",	//271
    "internalPropSet",	//272
    "internalPropSet$#",	//273
    "isConnected",	//274
    "isDelayedReply",	//275
    "isError",	//276
    "isFinished",	//277
    "isReplyRequired",	//278
    "isServiceRegistered",	//279
    "isServiceRegistered$",	//280
    "isValid",	//281
    "lastError",	//282
    "marshall",	//283
    "marshall#$$",	//284
    "member",	//285
    "message",	//286
    "metaObject",	//287
    "name",	//288
    "newConnection",	//289
    "newConnection#",	//290
    "objectRegisteredAt",	//291
    "objectRegisteredAt$",	//292
    "operator!=",	//293
    "operator!=##",	//294
    "operator!=#$",	//295
    "operator!=$#",	//296
    "operator!=$$",	//297
    "operator&",	//298
    "operator&##",	//299
    "operator*",	//300
    "operator*#$",	//301
    "operator*$#",	//302
    "operator+",	//303
    "operator+##",	//304
    "operator+#$",	//305
    "operator+$#",	//306
    "operator+$$",	//307
    "operator-",	//308
    "operator-#",	//309
    "operator-##",	//310
    "operator/",	//311
    "operator/#$",	//312
    "operator<",	//313
    "operator<##",	//314
    "operator<#$",	//315
    "operator<$#",	//316
    "operator<$$",	//317
    "operator<<",	//318
    "operator<<#",	//319
    "operator<<##",	//320
    "operator<<#$",	//321
    "operator<<#?",	//322
    "operator<<$",	//323
    "operator<<?",	//324
    "operator<=",	//325
    "operator<=##",	//326
    "operator<=#$",	//327
    "operator<=$#",	//328
    "operator<=$$",	//329
    "operator=",	//330
    "operator=#",	//331
    "operator==",	//332
    "operator==##",	//333
    "operator==#$",	//334
    "operator==$#",	//335
    "operator==$$",	//336
    "operator>",	//337
    "operator>##",	//338
    "operator>#$",	//339
    "operator>$#",	//340
    "operator>$$",	//341
    "operator>=",	//342
    "operator>=##",	//343
    "operator>=#$",	//344
    "operator>=$#",	//345
    "operator>=$$",	//346
    "operator>>",	//347
    "operator>>#",	//348
    "operator>>##",	//349
    "operator>>#$",	//350
    "operator>>#?",	//351
    "operator>>$",	//352
    "operator>>?",	//353
    "operator^",	//354
    "operator^##",	//355
    "operator|",	//356
    "operator|##",	//357
    "operator|$$",	//358
    "path",	//359
    "qAcos",	//360
    "qAcos$",	//361
    "qAddPostRoutine",	//362
    "qAddPostRoutine$",	//363
    "qAppName",	//364
    "qAsin",	//365
    "qAsin$",	//366
    "qAtan",	//367
    "qAtan$",	//368
    "qAtan2",	//369
    "qAtan2$$",	//370
    "qBadAlloc",	//371
    "qCeil",	//372
    "qCeil$",	//373
    "qChecksum",	//374
    "qChecksum$$",	//375
    "qCompress",	//376
    "qCompress#",	//377
    "qCompress#$",	//378
    "qCompress$$",	//379
    "qCompress$$$",	//380
    "qCos",	//381
    "qCos$",	//382
    "qCritical",	//383
    "qDBusReplyFill",	//384
    "qDBusReplyFill###",	//385
    "qDebug",	//386
    "qExp",	//387
    "qExp$",	//388
    "qFabs",	//389
    "qFabs$",	//390
    "qFastCos",	//391
    "qFastCos$",	//392
    "qFastSin",	//393
    "qFastSin$",	//394
    "qFlagLocation",	//395
    "qFlagLocation$",	//396
    "qFloor",	//397
    "qFloor$",	//398
    "qFree",	//399
    "qFree$",	//400
    "qFreeAligned",	//401
    "qFreeAligned$",	//402
    "qFuzzyCompare",	//403
    "qFuzzyCompare$$",	//404
    "qFuzzyIsNull",	//405
    "qFuzzyIsNull$",	//406
    "qHash",	//407
    "qHash#",	//408
    "qHash$",	//409
    "qInf",	//410
    "qInstallMsgHandler",	//411
    "qInstallMsgHandler$",	//412
    "qIntCast",	//413
    "qIntCast$",	//414
    "qIsFinite",	//415
    "qIsFinite$",	//416
    "qIsInf",	//417
    "qIsInf$",	//418
    "qIsNaN",	//419
    "qIsNaN$",	//420
    "qIsNull",	//421
    "qIsNull$",	//422
    "qLn",	//423
    "qLn$",	//424
    "qMalloc",	//425
    "qMalloc$",	//426
    "qMallocAligned",	//427
    "qMallocAligned$$",	//428
    "qMemCopy",	//429
    "qMemCopy$$$",	//430
    "qMemSet",	//431
    "qMemSet$$$",	//432
    "qPow",	//433
    "qPow$$",	//434
    "qQNaN",	//435
    "qRealloc",	//436
    "qRealloc$$",	//437
    "qReallocAligned",	//438
    "qReallocAligned$$$$",	//439
    "qRegisterStaticPluginInstanceFunction",	//440
    "qRegisterStaticPluginInstanceFunction#",	//441
    "qRemovePostRoutine",	//442
    "qRemovePostRoutine$",	//443
    "qRound",	//444
    "qRound$",	//445
    "qRound64",	//446
    "qRound64$",	//447
    "qSNaN",	//448
    "qSetFieldWidth",	//449
    "qSetFieldWidth$",	//450
    "qSetPadChar",	//451
    "qSetPadChar#",	//452
    "qSetRealNumberPrecision",	//453
    "qSetRealNumberPrecision$",	//454
    "qSharedBuild",	//455
    "qSin",	//456
    "qSin$",	//457
    "qSqrt",	//458
    "qSqrt$",	//459
    "qStringComparisonHelper",	//460
    "qStringComparisonHelper#$",	//461
    "qStringComparisonHelper$$",	//462
    "qTan",	//463
    "qTan$",	//464
    "qUncompress",	//465
    "qUncompress#",	//466
    "qUncompress$$",	//467
    "qVersion",	//468
    "qWarning",	//469
    "qbswap_helper",	//470
    "qbswap_helper$$$",	//471
    "qgetenv",	//472
    "qgetenv$",	//473
    "qputenv",	//474
    "qputenv$#",	//475
    "qrand",	//476
    "qsrand",	//477
    "qsrand$",	//478
    "qstrcmp",	//479
    "qstrcmp##",	//480
    "qstrcmp#$",	//481
    "qstrcmp$#",	//482
    "qstrcmp$$",	//483
    "qstrcpy",	//484
    "qstrcpy$$",	//485
    "qstrdup",	//486
    "qstrdup$",	//487
    "qstricmp",	//488
    "qstricmp$$",	//489
    "qstrlen",	//490
    "qstrlen$",	//491
    "qstrncmp",	//492
    "qstrncmp$$$",	//493
    "qstrncpy",	//494
    "qstrncpy$$$",	//495
    "qstrnicmp",	//496
    "qstrnicmp$$$",	//497
    "qstrnlen",	//498
    "qstrnlen$$",	//499
    "qtTrId",	//500
    "qtTrId$",	//501
    "qtTrId$$",	//502
    "qt_assert",	//503
    "qt_assert$$$",	//504
    "qt_assert_x",	//505
    "qt_assert_x$$$$",	//506
    "qt_check_pointer",	//507
    "qt_check_pointer$$",	//508
    "qt_error_string",	//509
    "qt_error_string$",	//510
    "qt_message_output",	//511
    "qt_message_output$$",	//512
    "qt_metacall",	//513
    "qt_metacall$$?",	//514
    "qt_metacast",	//515
    "qt_metacast$",	//516
    "qt_noop",	//517
    "qt_qFindChild_helper",	//518
    "qt_qFindChild_helper#$#",	//519
    "qt_qFindChildren_helper",	//520
    "qt_qFindChildren_helper#$##?",	//521
    "qvariant_cast_helper",	//522
    "qvariant_cast_helper#$$",	//523
    "qvsnprintf",	//524
    "qvsnprintf$$$?",	//525
    "registerMarshallOperators",	//526
    "registerMarshallOperators$$$",	//527
    "registerObject",	//528
    "registerObject$#",	//529
    "registerObject$#$",	//530
    "registerService",	//531
    "registerService$",	//532
    "registerService$$",	//533
    "registerService$$$",	//534
    "registeredServiceNames",	//535
    "removeWatchedService",	//536
    "removeWatchedService$",	//537
    "reply",	//538
    "send",	//539
    "send#",	//540
    "sendErrorReply",	//541
    "sendErrorReply$",	//542
    "sendErrorReply$$",	//543
    "sender",	//544
    "service",	//545
    "serviceOwner",	//546
    "serviceOwner$",	//547
    "serviceOwnerChanged",	//548
    "serviceOwnerChanged$$$",	//549
    "servicePid",	//550
    "servicePid$",	//551
    "serviceRegistered",	//552
    "serviceRegistered$",	//553
    "serviceUid",	//554
    "serviceUid$",	//555
    "serviceUnregistered",	//556
    "serviceUnregistered$",	//557
    "sessionBus",	//558
    "setArguments",	//559
    "setArguments?",	//560
    "setAutoRelaySignals",	//561
    "setAutoRelaySignals$",	//562
    "setAutoStartService",	//563
    "setAutoStartService$",	//564
    "setConnection",	//565
    "setConnection#",	//566
    "setDelayedReply",	//567
    "setDelayedReply$",	//568
    "setWatchMode",	//569
    "setWatchMode$",	//570
    "setWatchedServices",	//571
    "setWatchedServices?",	//572
    "signature",	//573
    "signatureToType",	//574
    "signatureToType$",	//575
    "startService",	//576
    "startService$",	//577
    "staticMetaObject",	//578
    "systemBus",	//579
    "timerEvent",	//580
    "tr",	//581
    "tr$",	//582
    "tr$$",	//583
    "tr$$$",	//584
    "trUtf8",	//585
    "trUtf8$",	//586
    "trUtf8$$",	//587
    "trUtf8$$$",	//588
    "type",	//589
    "typeToSignature",	//590
    "typeToSignature$",	//591
    "unregisterObject",	//592
    "unregisterObject$",	//593
    "unregisterObject$$",	//594
    "unregisterService",	//595
    "unregisterService$",	//596
    "waitForFinished",	//597
    "watchMode",	//598
    "watchedServices",	//599
    "~QDBusAbstractAdaptor",	//600
    "~QDBusAbstractInterface",	//601
    "~QDBusAbstractInterfaceBase",	//602
    "~QDBusArgument",	//603
    "~QDBusConnection",	//604
    "~QDBusContext",	//605
    "~QDBusError",	//606
    "~QDBusInterface",	//607
    "~QDBusMessage",	//608
    "~QDBusMetaType",	//609
    "~QDBusPendingCall",	//610
    "~QDBusPendingCallWatcher",	//611
    "~QDBusServer",	//612
    "~QDBusServiceWatcher",	//613
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 515, 1, 1, Smoke::mf_virtual, 317, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 581, 3, 2, Smoke::mf_static, 114, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 585, 3, 2, Smoke::mf_static, 114, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 581, 6, 3, Smoke::mf_static, 114, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 585, 6, 3, Smoke::mf_static, 114, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 513, 10, 3, Smoke::mf_virtual, 293, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 80, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 561, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 171, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 581, 1, 1, Smoke::mf_static, 114, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 585, 1, 1, Smoke::mf_static, 114, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 600, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 515, 1, 1, Smoke::mf_virtual, 317, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 581, 3, 2, Smoke::mf_static, 114, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 585, 3, 2, Smoke::mf_static, 114, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 581, 6, 3, Smoke::mf_static, 114, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 585, 6, 3, Smoke::mf_static, 114, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 513, 10, 3, Smoke::mf_virtual, 293, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 281, 0, 0, Smoke::mf_const, 228, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 222, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 545, 0, 0, Smoke::mf_const, 114, 10},	//28 QDBusAbstractInterface::service() const
    {9, 359, 0, 0, Smoke::mf_const, 114, 11},	//29 QDBusAbstractInterface::path() const
    {9, 266, 0, 0, Smoke::mf_const, 114, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 282, 0, 0, Smoke::mf_const, 27, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 180, 18, 9, 0, 32, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 28, 10, 0, 32, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 202, 39, 3, 0, 32, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 204, 43, 5, 0, 228, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 204, 49, 4, 0, 228, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 156, 18, 9, 0, 38, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 54, 2, 0, 38, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 82, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 218, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 247, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 270, 1, 1, Smoke::mf_const|Smoke::mf_protected, 131, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 272, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 267, 39, 3, Smoke::mf_const|Smoke::mf_protected, 32, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 581, 1, 1, Smoke::mf_static, 114, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 585, 1, 1, Smoke::mf_static, 114, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 180, 66, 1, 0, 32, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 180, 68, 2, 0, 32, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 180, 71, 3, 0, 32, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 180, 75, 4, 0, 32, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 80, 5, 0, 32, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 86, 6, 0, 32, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 93, 7, 0, 32, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 101, 8, 0, 32, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 110, 2, 0, 32, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 180, 113, 3, 0, 32, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 180, 117, 4, 0, 32, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 180, 122, 5, 0, 32, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 128, 6, 0, 32, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 135, 7, 0, 32, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 143, 8, 0, 32, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 152, 9, 0, 32, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 66, 1, 0, 38, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 156, 68, 2, 0, 38, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 156, 71, 3, 0, 38, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 156, 75, 4, 0, 38, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 80, 5, 0, 38, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 86, 6, 0, 38, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 93, 7, 0, 38, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 101, 8, 0, 38, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 267, 110, 2, Smoke::mf_const|Smoke::mf_protected, 32, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 601, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 513, 10, 3, Smoke::mf_virtual, 293, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 602, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 84, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 84, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 330, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 318, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 318, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 318, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 318, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 318, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 318, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 318, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 318, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 318, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 318, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 318, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 318, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 318, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 318, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 318, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 179, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 252, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 174, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 249, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 176, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 250, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 178, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 251, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 152, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 236, 0, 0, Smoke::mf_const, 114, 28},	//103 QDBusArgument::currentSignature() const
    {11, 237, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 347, 195, 1, Smoke::mf_const, 237, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 347, 197, 1, Smoke::mf_const, 237, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 347, 199, 1, Smoke::mf_const, 237, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 347, 201, 1, Smoke::mf_const, 237, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 347, 203, 1, Smoke::mf_const, 237, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 347, 205, 1, Smoke::mf_const, 237, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 347, 207, 1, Smoke::mf_const, 237, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 347, 209, 1, Smoke::mf_const, 237, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 347, 211, 1, Smoke::mf_const, 237, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 347, 213, 1, Smoke::mf_const, 237, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 347, 215, 1, Smoke::mf_const, 237, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 347, 217, 1, Smoke::mf_const, 237, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 347, 219, 1, Smoke::mf_const, 237, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 347, 221, 1, Smoke::mf_const, 237, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 347, 223, 1, Smoke::mf_const, 237, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 179, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 252, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 174, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 249, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 176, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 250, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 178, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 251, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 170, 0, 0, Smoke::mf_const, 228, 53},	//128 QDBusArgument::atEnd() const
    {11, 155, 0, 0, Smoke::mf_const, 131, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 603, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 86, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 86, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 330, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 274, 0, 0, Smoke::mf_const, 228, 4},	//141 QDBusConnection::isConnected() const
    {12, 173, 0, 0, Smoke::mf_const, 114, 5},	//142 QDBusConnection::baseService() const
    {12, 282, 0, 0, Smoke::mf_const, 27, 6},	//143 QDBusConnection::lastError() const
    {12, 288, 0, 0, Smoke::mf_const, 114, 7},	//144 QDBusConnection::name() const
    {12, 539, 227, 1, Smoke::mf_const, 228, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 204, 229, 5, Smoke::mf_const, 228, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 204, 235, 4, Smoke::mf_const, 228, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 180, 240, 3, Smoke::mf_const, 32, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 156, 244, 2, Smoke::mf_const, 38, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 214, 247, 6, 0, 228, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 214, 254, 7, 0, 228, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 214, 262, 8, 0, 228, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 241, 247, 6, 0, 228, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 241, 254, 7, 0, 228, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 241, 262, 8, 0, 228, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 528, 271, 3, 0, 228, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 592, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 291, 66, 1, Smoke::mf_const, 105, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 531, 66, 1, 0, 228, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 595, 66, 1, 0, 228, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 266, 0, 0, Smoke::mf_const, 22, 24},	//161 QDBusConnection::interface() const
    {12, 220, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 220, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 245, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 558, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 579, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 544, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 204, 284, 4, Smoke::mf_const, 228, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 204, 289, 3, Smoke::mf_const, 228, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 180, 227, 1, Smoke::mf_const, 32, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 180, 293, 2, Smoke::mf_const, 32, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 156, 227, 1, Smoke::mf_const, 38, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 528, 296, 2, 0, 228, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 592, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 57},	//194 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 58},	//195 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 59},	//196 QDBusConnection::ExportChildObjects (enum)
    {12, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//197 QDBusConnection::UnregisterNode (enum)
    {12, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//198 QDBusConnection::UnregisterTree (enum)
    {12, 604, 0, 0, Smoke::mf_dtor, 0, 62 },	//199 QDBusConnection::~QDBusConnection()
    {13, 287, 0, 0, Smoke::mf_const, 260, 1},	//200 QDBusConnectionInterface::metaObject() const
    {13, 515, 1, 1, 0, 317, 2},	//201 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 581, 3, 2, Smoke::mf_static, 114, 3},	//202 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 585, 3, 2, Smoke::mf_static, 114, 4},	//203 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 581, 6, 3, Smoke::mf_static, 114, 5},	//204 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 585, 6, 3, Smoke::mf_static, 114, 6},	//205 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 513, 10, 3, 0, 293, 7},	//206 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 535, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 44, 8},	//207 QDBusConnectionInterface::registeredServiceNames() const
    {13, 279, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 9},	//208 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 546, 66, 1, Smoke::mf_const|Smoke::mf_slot, 43, 10},	//209 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 595, 66, 1, Smoke::mf_slot, 45, 11},	//210 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 531, 299, 3, Smoke::mf_slot, 42, 12},	//211 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 550, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 13},	//212 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 554, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 14},	//213 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 576, 66, 1, Smoke::mf_slot, 47, 15},	//214 QDBusConnectionInterface::startService(const QString&)
    {13, 552, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//215 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 556, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//216 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 548, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//217 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 210, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//218 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 66, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//219 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 68, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//220 QDBusConnectionInterface::NameLost(const QString&)
    {13, 70, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//221 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 218, 1, 1, Smoke::mf_protected, 0, 23},	//222 QDBusConnectionInterface::connectNotify(const char*)
    {13, 247, 1, 1, Smoke::mf_protected, 0, 24},	//223 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 581, 1, 1, Smoke::mf_static, 114, 25},	//224 QDBusConnectionInterface::tr(const char*)
    {13, 585, 1, 1, Smoke::mf_static, 114, 26},	//225 QDBusConnectionInterface::trUtf8(const char*)
    {13, 531, 66, 1, Smoke::mf_slot, 42, 27},	//226 QDBusConnectionInterface::registerService(const QString&)
    {13, 531, 310, 2, Smoke::mf_slot, 42, 28},	//227 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 29},	//228 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//229 QDBusConnectionInterface::DontQueueService (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//230 QDBusConnectionInterface::QueueService (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 32},	//231 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//232 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//233 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//234 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//235 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//236 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 89, 0, 0, Smoke::mf_ctor, 26, 1},	//237 QDBusContext::QDBusContext()
    {14, 212, 0, 0, Smoke::mf_const, 228, 2},	//238 QDBusContext::calledFromDBus() const
    {14, 222, 0, 0, Smoke::mf_const, 16, 3},	//239 QDBusContext::connection() const
    {14, 286, 0, 0, Smoke::mf_const, 241, 4},	//240 QDBusContext::message() const
    {14, 275, 0, 0, Smoke::mf_const, 228, 5},	//241 QDBusContext::isDelayedReply() const
    {14, 567, 16, 1, Smoke::mf_const, 0, 6},	//242 QDBusContext::setDelayedReply(bool) const
    {14, 541, 281, 2, Smoke::mf_const, 0, 7},	//243 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 541, 313, 2, Smoke::mf_const, 0, 8},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 89, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 9},	//245 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 541, 66, 1, Smoke::mf_const, 0, 10},	//246 QDBusContext::sendErrorReply(const QString&) const
    {14, 541, 318, 1, Smoke::mf_const, 0, 11},	//247 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 605, 0, 0, Smoke::mf_dtor, 0, 12 },	//248 QDBusContext::~QDBusContext()
    {15, 91, 320, 1, Smoke::mf_ctor, 29, 1},	//249 QDBusError::QDBusError(const DBusError*)
    {15, 91, 227, 1, Smoke::mf_ctor, 29, 2},	//250 QDBusError::QDBusError(const QDBusMessage&)
    {15, 91, 313, 2, Smoke::mf_ctor, 29, 3},	//251 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 91, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//252 QDBusError::QDBusError(const QDBusError&)
    {15, 330, 322, 1, 0, 28, 5},	//253 QDBusError::operator=(const QDBusError&)
    {15, 589, 0, 0, Smoke::mf_const, 30, 6},	//254 QDBusError::type() const
    {15, 288, 0, 0, Smoke::mf_const, 114, 7},	//255 QDBusError::name() const
    {15, 286, 0, 0, Smoke::mf_const, 114, 8},	//256 QDBusError::message() const
    {15, 281, 0, 0, Smoke::mf_const, 228, 9},	//257 QDBusError::isValid() const
    {15, 256, 318, 1, Smoke::mf_static, 114, 10},	//258 QDBusError::errorString(QDBusError::ErrorType)
    {15, 91, 0, 0, Smoke::mf_ctor, 29, 11},	//259 QDBusError::QDBusError()
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//260 QDBusError::NoError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//261 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//262 QDBusError::Failed (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//263 QDBusError::NoMemory (enum)
    {15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//264 QDBusError::ServiceUnknown (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//265 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//266 QDBusError::BadAddress (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//267 QDBusError::NotSupported (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//268 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//269 QDBusError::AccessDenied (enum)
    {15, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//270 QDBusError::NoServer (enum)
    {15, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//271 QDBusError::Timeout (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//272 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//273 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 26},	//274 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 27},	//275 QDBusError::InvalidArgs (enum)
    {15, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 28},	//276 QDBusError::UnknownMethod (enum)
    {15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 29},	//277 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 30},	//278 QDBusError::InvalidSignature (enum)
    {15, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 31},	//279 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 32},	//280 QDBusError::InternalError (enum)
    {15, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//281 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//282 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//283 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//284 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//285 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 38},	//286 QDBusError::LastErrorType (enum)
    {15, 606, 0, 0, Smoke::mf_dtor, 0, 39 },	//287 QDBusError::~QDBusError()
    {16, 94, 324, 5, Smoke::mf_ctor, 31, 1},	//288 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 2},	//289 QDBusInterface::metaObject() const
    {16, 515, 1, 1, Smoke::mf_virtual, 317, 3},	//290 QDBusInterface::qt_metacast(const char*)
    {16, 513, 10, 3, Smoke::mf_virtual, 293, 4},	//291 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 94, 281, 2, Smoke::mf_ctor, 31, 5},	//292 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 94, 303, 3, Smoke::mf_ctor, 31, 6},	//293 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 94, 330, 4, Smoke::mf_ctor, 31, 7},	//294 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 607, 0, 0, Smoke::mf_dtor, 0, 8 },	//295 QDBusInterface::~QDBusInterface()
    {17, 99, 0, 0, Smoke::mf_ctor, 34, 1},	//296 QDBusMessage::QDBusMessage()
    {17, 99, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//297 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 330, 227, 1, 0, 33, 3},	//298 QDBusMessage::operator=(const QDBusMessage&)
    {17, 234, 303, 3, Smoke::mf_static, 32, 4},	//299 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 229, 335, 4, Smoke::mf_static, 32, 5},	//300 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 223, 281, 2, Smoke::mf_static, 32, 6},	//301 QDBusMessage::createError(const QString&, const QString&)
    {17, 223, 322, 1, Smoke::mf_static, 32, 7},	//302 QDBusMessage::createError(const QDBusError&)
    {17, 223, 313, 2, Smoke::mf_static, 32, 8},	//303 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 231, 340, 1, Smoke::mf_const, 32, 9},	//304 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 231, 193, 1, Smoke::mf_const, 32, 10},	//305 QDBusMessage::createReply(const QVariant&) const
    {17, 226, 342, 2, Smoke::mf_const, 32, 11},	//306 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 226, 322, 1, Smoke::mf_const, 32, 12},	//307 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 226, 313, 2, Smoke::mf_const, 32, 13},	//308 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 545, 0, 0, Smoke::mf_const, 114, 14},	//309 QDBusMessage::service() const
    {17, 359, 0, 0, Smoke::mf_const, 114, 15},	//310 QDBusMessage::path() const
    {17, 266, 0, 0, Smoke::mf_const, 114, 16},	//311 QDBusMessage::interface() const
    {17, 285, 0, 0, Smoke::mf_const, 114, 17},	//312 QDBusMessage::member() const
    {17, 255, 0, 0, Smoke::mf_const, 114, 18},	//313 QDBusMessage::errorName() const
    {17, 254, 0, 0, Smoke::mf_const, 114, 19},	//314 QDBusMessage::errorMessage() const
    {17, 589, 0, 0, Smoke::mf_const, 35, 20},	//315 QDBusMessage::type() const
    {17, 573, 0, 0, Smoke::mf_const, 114, 21},	//316 QDBusMessage::signature() const
    {17, 278, 0, 0, Smoke::mf_const, 228, 22},	//317 QDBusMessage::isReplyRequired() const
    {17, 567, 16, 1, Smoke::mf_const, 0, 23},	//318 QDBusMessage::setDelayedReply(bool) const
    {17, 275, 0, 0, Smoke::mf_const, 228, 24},	//319 QDBusMessage::isDelayedReply() const
    {17, 563, 16, 1, 0, 0, 25},	//320 QDBusMessage::setAutoStartService(bool)
    {17, 172, 0, 0, Smoke::mf_const, 228, 26},	//321 QDBusMessage::autoStartService() const
    {17, 559, 340, 1, 0, 0, 27},	//322 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 154, 0, 0, Smoke::mf_const, 100, 28},	//323 QDBusMessage::arguments() const
    {17, 318, 193, 1, 0, 33, 29},	//324 QDBusMessage::operator<<(const QVariant&)
    {17, 231, 0, 0, Smoke::mf_const, 32, 30},	//325 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//326 QDBusMessage::InvalidMessage (enum)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//327 QDBusMessage::MethodCallMessage (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//328 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//329 QDBusMessage::ErrorMessage (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 35},	//330 QDBusMessage::SignalMessage (enum)
    {17, 608, 0, 0, Smoke::mf_dtor, 0, 36 },	//331 QDBusMessage::~QDBusMessage()
    {18, 526, 345, 3, Smoke::mf_static, 0, 1},	//332 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 283, 349, 3, Smoke::mf_static, 228, 2},	//333 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 239, 353, 3, Smoke::mf_static, 228, 3},	//334 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 574, 1, 1, Smoke::mf_static, 293, 4},	//335 QDBusMetaType::signatureToType(const char*)
    {18, 590, 170, 1, Smoke::mf_static, 287, 5},	//336 QDBusMetaType::typeToSignature(int)
    {18, 101, 0, 0, Smoke::mf_ctor, 36, 6},	//337 QDBusMetaType::QDBusMetaType()
    {18, 101, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 7},	//338 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 609, 0, 0, Smoke::mf_dtor, 0, 8 },	//339 QDBusMetaType::~QDBusMetaType()
    {19, 103, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//340 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 330, 359, 1, 0, 39, 2},	//341 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 277, 0, 0, Smoke::mf_const, 228, 3},	//342 QDBusPendingCall::isFinished() const
    {19, 597, 0, 0, 0, 0, 4},	//343 QDBusPendingCall::waitForFinished()
    {19, 276, 0, 0, Smoke::mf_const, 228, 5},	//344 QDBusPendingCall::isError() const
    {19, 281, 0, 0, Smoke::mf_const, 228, 6},	//345 QDBusPendingCall::isValid() const
    {19, 253, 0, 0, Smoke::mf_const, 27, 7},	//346 QDBusPendingCall::error() const
    {19, 538, 0, 0, Smoke::mf_const, 32, 8},	//347 QDBusPendingCall::reply() const
    {19, 264, 322, 1, Smoke::mf_static, 38, 9},	//348 QDBusPendingCall::fromError(const QDBusError&)
    {19, 262, 227, 1, Smoke::mf_static, 38, 10},	//349 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 610, 0, 0, Smoke::mf_dtor, 0, 11 },	//350 QDBusPendingCall::~QDBusPendingCall()
    {20, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//351 QDBusPendingCallWatcher::metaObject() const
    {20, 515, 1, 1, Smoke::mf_virtual, 317, 2},	//352 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 581, 3, 2, Smoke::mf_static, 114, 3},	//353 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 585, 3, 2, Smoke::mf_static, 114, 4},	//354 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 581, 6, 3, Smoke::mf_static, 114, 5},	//355 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 585, 6, 3, Smoke::mf_static, 114, 6},	//356 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 513, 10, 3, Smoke::mf_virtual, 293, 7},	//357 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 105, 361, 2, Smoke::mf_ctor, 41, 8},	//358 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 597, 0, 0, 0, 0, 9},	//359 QDBusPendingCallWatcher::waitForFinished()
    {20, 260, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//360 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 581, 1, 1, Smoke::mf_static, 114, 11},	//361 QDBusPendingCallWatcher::tr(const char*)
    {20, 585, 1, 1, Smoke::mf_static, 114, 12},	//362 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 105, 359, 1, Smoke::mf_ctor, 41, 13},	//363 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 14},	//364 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 611, 0, 0, Smoke::mf_dtor, 0, 15 },	//365 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//366 QDBusServer::metaObject() const
    {21, 515, 1, 1, Smoke::mf_virtual, 317, 2},	//367 QDBusServer::qt_metacast(const char*)
    {21, 581, 3, 2, Smoke::mf_static, 114, 3},	//368 QDBusServer::tr(const char*, const char*)
    {21, 585, 3, 2, Smoke::mf_static, 114, 4},	//369 QDBusServer::trUtf8(const char*, const char*)
    {21, 581, 6, 3, Smoke::mf_static, 114, 5},	//370 QDBusServer::tr(const char*, const char*, int)
    {21, 585, 6, 3, Smoke::mf_static, 114, 6},	//371 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 513, 10, 3, Smoke::mf_virtual, 293, 7},	//372 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 108, 296, 2, Smoke::mf_ctor, 48, 8},	//373 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 274, 0, 0, Smoke::mf_const, 228, 9},	//374 QDBusServer::isConnected() const
    {21, 282, 0, 0, Smoke::mf_const, 27, 10},	//375 QDBusServer::lastError() const
    {21, 151, 0, 0, Smoke::mf_const, 114, 11},	//376 QDBusServer::address() const
    {21, 289, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//377 QDBusServer::newConnection(const QDBusConnection&)
    {21, 581, 1, 1, Smoke::mf_static, 114, 13},	//378 QDBusServer::tr(const char*)
    {21, 585, 1, 1, Smoke::mf_static, 114, 14},	//379 QDBusServer::trUtf8(const char*)
    {21, 108, 66, 1, Smoke::mf_ctor, 48, 15},	//380 QDBusServer::QDBusServer(const QString&)
    {21, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 16},	//381 QDBusServer::staticMetaObject() const
    {21, 612, 0, 0, Smoke::mf_dtor, 0, 17 },	//382 QDBusServer::~QDBusServer()
    {22, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//383 QDBusServiceWatcher::metaObject() const
    {22, 515, 1, 1, Smoke::mf_virtual, 317, 2},	//384 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 581, 3, 2, Smoke::mf_static, 114, 3},	//385 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 585, 3, 2, Smoke::mf_static, 114, 4},	//386 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 581, 6, 3, Smoke::mf_static, 114, 5},	//387 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 585, 6, 3, Smoke::mf_static, 114, 6},	//388 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 513, 10, 3, Smoke::mf_virtual, 293, 7},	//389 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 111, 14, 1, Smoke::mf_ctor, 49, 8},	//390 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 111, 366, 4, Smoke::mf_ctor, 49, 9},	//391 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 599, 0, 0, Smoke::mf_const|Smoke::mf_property, 118, 10},	//392 QDBusServiceWatcher::watchedServices() const
    {22, 571, 186, 1, Smoke::mf_property, 0, 11},	//393 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 149, 66, 1, 0, 0, 12},	//394 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 536, 66, 1, 0, 228, 13},	//395 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 598, 0, 0, Smoke::mf_const, 66, 14},	//396 QDBusServiceWatcher::watchMode() const
    {22, 569, 371, 1, 0, 0, 15},	//397 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 222, 0, 0, Smoke::mf_const, 16, 16},	//398 QDBusServiceWatcher::connection() const
    {22, 565, 225, 1, 0, 0, 17},	//399 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 552, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//400 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 556, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//401 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 548, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//402 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 581, 1, 1, Smoke::mf_static, 114, 21},	//403 QDBusServiceWatcher::tr(const char*)
    {22, 585, 1, 1, Smoke::mf_static, 114, 22},	//404 QDBusServiceWatcher::trUtf8(const char*)
    {22, 111, 0, 0, Smoke::mf_ctor, 49, 23},	//405 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 111, 373, 2, Smoke::mf_ctor, 49, 24},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 111, 376, 3, Smoke::mf_ctor, 49, 25},	//407 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 578, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 26},	//408 QDBusServiceWatcher::staticMetaObject() const
    {22, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 27},	//409 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 28},	//410 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//411 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 613, 0, 0, Smoke::mf_dtor, 0, 30 },	//412 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 444, 178, 1, Smoke::mf_static, 293, 1},	//413 QGlobalSpace::qRound(double)
    {31, 356, 380, 2, Smoke::mf_static, 71, 2},	//414 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {31, 318, 383, 2, Smoke::mf_static, 13, 3},	//415 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 360, 178, 1, Smoke::mf_static, 290, 4},	//416 QGlobalSpace::qAcos(double)
    {31, 318, 386, 2, Smoke::mf_static, 13, 5},	//417 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 347, 389, 2, Smoke::mf_static, 53, 6},	//418 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 356, 392, 2, Smoke::mf_static, 69, 7},	//419 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {31, 318, 395, 2, Smoke::mf_static, 13, 8},	//420 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 342, 398, 2, Smoke::mf_static, 228, 9},	//421 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 364, 0, 0, Smoke::mf_static, 114, 10},	//422 QGlobalSpace::qAppName()
    {31, 347, 401, 2, Smoke::mf_static, 53, 11},	//423 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 318, 404, 2, Smoke::mf_static, 13, 12},	//424 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 356, 407, 2, Smoke::mf_static, 96, 13},	//425 QGlobalSpace::operator|(Qt::WindowType, int)
    {31, 494, 410, 3, Smoke::mf_static, 231, 14},	//426 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 407, 172, 1, Smoke::mf_static, 305, 15},	//427 QGlobalSpace::qHash(unsigned int)
    {31, 407, 414, 1, Smoke::mf_static, 305, 16},	//428 QGlobalSpace::qHash(char)
    {31, 300, 416, 2, Smoke::mf_static, 274, 17},	//429 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 318, 419, 2, Smoke::mf_static, 56, 18},	//430 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 472, 1, 1, Smoke::mf_static, 5, 19},	//431 QGlobalSpace::qgetenv(const char*)
    {31, 313, 422, 2, Smoke::mf_static, 228, 20},	//432 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 337, 425, 2, Smoke::mf_static, 228, 21},	//433 QGlobalSpace::operator>(const char*, const QString&)
    {31, 347, 428, 2, Smoke::mf_static, 53, 22},	//434 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 356, 431, 2, Smoke::mf_static, 66, 23},	//435 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {31, 356, 434, 2, Smoke::mf_static, 85, 24},	//436 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {31, 332, 437, 2, Smoke::mf_static, 228, 25},	//437 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 318, 440, 2, Smoke::mf_static, 13, 26},	//438 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 318, 443, 2, Smoke::mf_static, 56, 27},	//439 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {31, 332, 446, 2, Smoke::mf_static, 228, 28},	//440 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 313, 449, 2, Smoke::mf_static, 228, 29},	//441 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 393, 178, 1, Smoke::mf_static, 290, 30},	//442 QGlobalSpace::qFastSin(double)
    {31, 303, 452, 2, Smoke::mf_static, 276, 31},	//443 QGlobalSpace::operator+(QChar, const QString&)
    {31, 492, 455, 3, Smoke::mf_static, 293, 32},	//444 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 325, 459, 2, Smoke::mf_static, 228, 33},	//445 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 325, 462, 2, Smoke::mf_static, 228, 34},	//446 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 524, 465, 4, Smoke::mf_static, 293, 35},	//447 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 293, 470, 2, Smoke::mf_static, 228, 36},	//448 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 293, 473, 2, Smoke::mf_static, 228, 37},	//449 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 347, 476, 2, Smoke::mf_static, 237, 38},	//450 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 303, 479, 2, Smoke::mf_static, 276, 39},	//451 QGlobalSpace::operator+(const QString&, QChar)
    {31, 303, 446, 2, Smoke::mf_static, 272, 40},	//452 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 498, 482, 2, Smoke::mf_static, 305, 41},	//453 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 332, 462, 2, Smoke::mf_static, 228, 42},	//454 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 347, 485, 2, Smoke::mf_static, 53, 43},	//455 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {31, 293, 488, 2, Smoke::mf_static, 228, 44},	//456 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 318, 491, 2, Smoke::mf_static, 56, 45},	//457 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 318, 494, 2, Smoke::mf_static, 13, 46},	//458 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 356, 497, 2, Smoke::mf_static, 91, 47},	//459 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {31, 318, 500, 2, Smoke::mf_static, 56, 48},	//460 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 293, 503, 2, Smoke::mf_static, 228, 49},	//461 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 407, 164, 1, Smoke::mf_static, 305, 50},	//462 QGlobalSpace::qHash(unsigned char)
    {31, 520, 506, 5, Smoke::mf_static, 0, 51},	//463 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 332, 512, 2, Smoke::mf_static, 228, 52},	//464 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 509, 170, 1, Smoke::mf_static, 114, 53},	//465 QGlobalSpace::qt_error_string(int)
    {31, 509, 0, 0, Smoke::mf_static, 114, 54},	//466 QGlobalSpace::qt_error_string()
    {31, 347, 515, 2, Smoke::mf_static, 53, 55},	//467 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 293, 449, 2, Smoke::mf_static, 228, 56},	//468 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 421, 518, 1, Smoke::mf_static, 228, 57},	//469 QGlobalSpace::qIsNull(float)
    {31, 356, 520, 2, Smoke::mf_static, 96, 58},	//470 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {31, 435, 0, 0, Smoke::mf_static, 290, 59},	//471 QGlobalSpace::qQNaN()
    {31, 293, 523, 2, Smoke::mf_static, 228, 60},	//472 QGlobalSpace::operator!=(QChar, QChar)
    {31, 451, 526, 1, Smoke::mf_static, 125, 61},	//473 QGlobalSpace::qSetPadChar(QChar)
    {31, 407, 184, 1, Smoke::mf_static, 305, 62},	//474 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 347, 528, 2, Smoke::mf_static, 53, 63},	//475 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 318, 531, 2, Smoke::mf_static, 56, 64},	//476 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 356, 534, 2, Smoke::mf_static, 73, 65},	//477 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {31, 308, 470, 2, Smoke::mf_static, 266, 66},	//478 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 500, 537, 2, Smoke::mf_static, 114, 67},	//479 QGlobalSpace::qtTrId(const char*, int)
    {31, 500, 1, 1, Smoke::mf_static, 114, 68},	//480 QGlobalSpace::qtTrId(const char*)
    {31, 369, 540, 2, Smoke::mf_static, 290, 69},	//481 QGlobalSpace::qAtan2(double, double)
    {31, 318, 543, 2, Smoke::mf_static, 53, 70},	//482 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 407, 166, 1, Smoke::mf_static, 305, 71},	//483 QGlobalSpace::qHash(short)
    {31, 318, 546, 2, Smoke::mf_static, 53, 72},	//484 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 332, 398, 2, Smoke::mf_static, 228, 73},	//485 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 356, 549, 2, Smoke::mf_static, 90, 74},	//486 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {31, 415, 178, 1, Smoke::mf_static, 228, 75},	//487 QGlobalSpace::qIsFinite(double)
    {31, 356, 552, 2, Smoke::mf_static, 85, 76},	//488 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {31, 479, 422, 2, Smoke::mf_static, 293, 77},	//489 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 486, 1, 1, Smoke::mf_static, 231, 78},	//490 QGlobalSpace::qstrdup(const char*)
    {31, 407, 555, 1, Smoke::mf_static, 305, 79},	//491 QGlobalSpace::qHash(long)
    {31, 356, 557, 2, Smoke::mf_static, 84, 80},	//492 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {31, 479, 3, 2, Smoke::mf_static, 293, 81},	//493 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 318, 560, 2, Smoke::mf_static, 53, 82},	//494 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 337, 459, 2, Smoke::mf_static, 228, 83},	//495 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 293, 563, 2, Smoke::mf_static, 228, 84},	//496 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 303, 566, 2, Smoke::mf_static, 234, 85},	//497 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 293, 398, 2, Smoke::mf_static, 228, 86},	//498 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 407, 569, 1, Smoke::mf_static, 305, 87},	//499 QGlobalSpace::qHash(const QBitArray&)
    {31, 356, 571, 2, Smoke::mf_static, 69, 88},	//500 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {31, 484, 574, 2, Smoke::mf_static, 231, 89},	//501 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 356, 577, 2, Smoke::mf_static, 2, 90},	//502 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 293, 580, 2, Smoke::mf_static, 228, 91},	//503 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 367, 178, 1, Smoke::mf_static, 290, 92},	//504 QGlobalSpace::qAtan(double)
    {31, 313, 566, 2, Smoke::mf_static, 228, 93},	//505 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 479, 566, 2, Smoke::mf_static, 293, 94},	//506 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 342, 523, 2, Smoke::mf_static, 228, 95},	//507 QGlobalSpace::operator>=(QChar, QChar)
    {31, 356, 583, 2, Smoke::mf_static, 86, 96},	//508 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {31, 325, 523, 2, Smoke::mf_static, 228, 97},	//509 QGlobalSpace::operator<=(QChar, QChar)
    {31, 300, 586, 2, Smoke::mf_static, 266, 98},	//510 QGlobalSpace::operator*(const QPointF&, double)
    {31, 318, 589, 2, Smoke::mf_static, 56, 99},	//511 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 332, 592, 2, Smoke::mf_static, 228, 100},	//512 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 356, 595, 2, Smoke::mf_static, 64, 101},	//513 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {31, 507, 537, 2, Smoke::mf_static, 0, 102},	//514 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 332, 563, 2, Smoke::mf_static, 228, 103},	//515 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 293, 459, 2, Smoke::mf_static, 228, 104},	//516 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 347, 598, 2, Smoke::mf_static, 53, 105},	//517 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 293, 601, 2, Smoke::mf_static, 228, 106},	//518 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 325, 604, 2, Smoke::mf_static, 228, 107},	//519 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 465, 607, 2, Smoke::mf_static, 5, 108},	//520 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 376, 610, 2, Smoke::mf_static, 5, 109},	//521 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 376, 188, 1, Smoke::mf_static, 5, 110},	//522 QGlobalSpace::qCompress(const QByteArray&)
    {31, 318, 613, 2, Smoke::mf_static, 53, 111},	//523 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 347, 616, 2, Smoke::mf_static, 122, 112},	//524 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 356, 619, 2, Smoke::mf_static, 96, 113},	//525 QGlobalSpace::operator|(Qt::DropAction, int)
    {31, 438, 622, 4, Smoke::mf_static, 317, 114},	//526 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 356, 627, 2, Smoke::mf_static, 96, 115},	//527 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {31, 337, 398, 2, Smoke::mf_static, 228, 116},	//528 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 458, 178, 1, Smoke::mf_static, 290, 117},	//529 QGlobalSpace::qSqrt(double)
    {31, 318, 630, 2, Smoke::mf_static, 53, 118},	//530 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 318, 616, 2, Smoke::mf_static, 122, 119},	//531 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 347, 633, 2, Smoke::mf_static, 237, 120},	//532 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 318, 636, 2, Smoke::mf_static, 56, 121},	//533 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 337, 462, 2, Smoke::mf_static, 228, 122},	//534 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 342, 604, 2, Smoke::mf_static, 228, 123},	//535 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 413, 518, 1, Smoke::mf_static, 293, 124},	//536 QGlobalSpace::qIntCast(float)
    {31, 356, 639, 2, Smoke::mf_static, 76, 125},	//537 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {31, 347, 642, 2, Smoke::mf_static, 237, 126},	//538 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 332, 470, 2, Smoke::mf_static, 228, 127},	//539 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 337, 566, 2, Smoke::mf_static, 228, 128},	//540 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 389, 178, 1, Smoke::mf_static, 290, 129},	//541 QGlobalSpace::qFabs(double)
    {31, 407, 168, 1, Smoke::mf_static, 305, 130},	//542 QGlobalSpace::qHash(unsigned short)
    {31, 332, 566, 2, Smoke::mf_static, 228, 131},	//543 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 356, 645, 2, Smoke::mf_static, 90, 132},	//544 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {31, 356, 648, 2, Smoke::mf_static, 75, 133},	//545 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {31, 318, 651, 2, Smoke::mf_static, 56, 134},	//546 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 356, 654, 2, Smoke::mf_static, 88, 135},	//547 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {31, 293, 462, 2, Smoke::mf_static, 228, 136},	//548 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 436, 657, 2, Smoke::mf_static, 317, 137},	//549 QGlobalSpace::qRealloc(void*, size_t)
    {31, 356, 660, 2, Smoke::mf_static, 81, 138},	//550 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {31, 356, 663, 2, Smoke::mf_static, 65, 139},	//551 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {31, 356, 666, 2, Smoke::mf_static, 96, 140},	//552 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {31, 332, 669, 2, Smoke::mf_static, 228, 141},	//553 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 356, 672, 2, Smoke::mf_static, 82, 142},	//554 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {31, 313, 675, 2, Smoke::mf_static, 228, 143},	//555 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 469, 0, 0, Smoke::mf_static, 56, 144},	//556 QGlobalSpace::qWarning()
    {31, 356, 678, 2, Smoke::mf_static, 96, 145},	//557 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {31, 403, 540, 2, Smoke::mf_static, 228, 146},	//558 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 325, 398, 2, Smoke::mf_static, 228, 147},	//559 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 356, 681, 2, Smoke::mf_static, 72, 148},	//560 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {31, 356, 684, 2, Smoke::mf_static, 74, 149},	//561 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {31, 347, 687, 2, Smoke::mf_static, 53, 150},	//562 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 318, 690, 2, Smoke::mf_static, 53, 151},	//563 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 293, 693, 2, Smoke::mf_static, 228, 152},	//564 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 300, 696, 2, Smoke::mf_static, 272, 153},	//565 QGlobalSpace::operator*(double, const QSize&)
    {31, 356, 699, 2, Smoke::mf_static, 80, 154},	//566 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {31, 386, 0, 0, Smoke::mf_static, 56, 155},	//567 QGlobalSpace::qDebug()
    {31, 347, 702, 2, Smoke::mf_static, 237, 156},	//568 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 407, 174, 1, Smoke::mf_static, 305, 157},	//569 QGlobalSpace::qHash(long long)
    {31, 356, 705, 2, Smoke::mf_static, 87, 158},	//570 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {31, 325, 425, 2, Smoke::mf_static, 228, 159},	//571 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 308, 708, 1, Smoke::mf_static, 266, 160},	//572 QGlobalSpace::operator-(const QPointF&)
    {31, 356, 710, 2, Smoke::mf_static, 96, 161},	//573 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {31, 417, 518, 1, Smoke::mf_static, 228, 162},	//574 QGlobalSpace::qIsInf(float)
    {31, 356, 713, 2, Smoke::mf_static, 96, 163},	//575 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {31, 303, 425, 2, Smoke::mf_static, 276, 164},	//576 QGlobalSpace::operator+(const char*, const QString&)
    {31, 347, 716, 2, Smoke::mf_static, 237, 165},	//577 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 325, 566, 2, Smoke::mf_static, 228, 166},	//578 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 318, 719, 2, Smoke::mf_static, 56, 167},	//579 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 293, 604, 2, Smoke::mf_static, 228, 168},	//580 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 337, 523, 2, Smoke::mf_static, 228, 169},	//581 QGlobalSpace::operator>(QChar, QChar)
    {31, 311, 416, 2, Smoke::mf_static, 274, 170},	//582 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 356, 722, 2, Smoke::mf_static, 96, 171},	//583 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {31, 318, 725, 2, Smoke::mf_static, 56, 172},	//584 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 479, 604, 2, Smoke::mf_static, 293, 173},	//585 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 298, 577, 2, Smoke::mf_static, 2, 174},	//586 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 308, 728, 1, Smoke::mf_static, 264, 175},	//587 QGlobalSpace::operator-(const QPoint&)
    {31, 318, 730, 2, Smoke::mf_static, 56, 176},	//588 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 342, 422, 2, Smoke::mf_static, 228, 177},	//589 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 384, 733, 3, Smoke::mf_static, 0, 178},	//590 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 347, 737, 2, Smoke::mf_static, 237, 179},	//591 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 347, 740, 2, Smoke::mf_static, 237, 180},	//592 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 356, 743, 2, Smoke::mf_static, 96, 181},	//593 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {31, 318, 746, 2, Smoke::mf_static, 53, 182},	//594 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 318, 749, 2, Smoke::mf_static, 56, 183},	//595 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 356, 752, 2, Smoke::mf_static, 66, 184},	//596 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {31, 356, 755, 2, Smoke::mf_static, 76, 185},	//597 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {31, 342, 459, 2, Smoke::mf_static, 228, 186},	//598 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 347, 758, 2, Smoke::mf_static, 237, 187},	//599 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 347, 761, 2, Smoke::mf_static, 237, 188},	//600 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 313, 462, 2, Smoke::mf_static, 228, 189},	//601 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 293, 764, 2, Smoke::mf_static, 228, 190},	//602 QGlobalSpace::operator!=(QBool, QBool)
    {31, 356, 767, 2, Smoke::mf_static, 65, 191},	//603 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {31, 303, 770, 2, Smoke::mf_static, 276, 192},	//604 QGlobalSpace::operator+(const QString&, char)
    {31, 293, 773, 2, Smoke::mf_static, 228, 193},	//605 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 407, 176, 1, Smoke::mf_static, 305, 194},	//606 QGlobalSpace::qHash(unsigned long long)
    {31, 318, 776, 2, Smoke::mf_static, 13, 195},	//607 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 332, 459, 2, Smoke::mf_static, 228, 196},	//608 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 395, 1, 1, Smoke::mf_static, 287, 197},	//609 QGlobalSpace::qFlagLocation(const char*)
    {31, 311, 586, 2, Smoke::mf_static, 266, 198},	//610 QGlobalSpace::operator/(const QPointF&, double)
    {31, 413, 178, 1, Smoke::mf_static, 293, 199},	//611 QGlobalSpace::qIntCast(double)
    {31, 356, 779, 2, Smoke::mf_static, 96, 200},	//612 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {31, 465, 188, 1, Smoke::mf_static, 5, 201},	//613 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 293, 437, 2, Smoke::mf_static, 228, 202},	//614 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 318, 782, 2, Smoke::mf_static, 56, 203},	//615 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 332, 785, 2, Smoke::mf_static, 228, 204},	//616 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 325, 422, 2, Smoke::mf_static, 228, 205},	//617 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 391, 178, 1, Smoke::mf_static, 290, 206},	//618 QGlobalSpace::qFastCos(double)
    {31, 442, 788, 1, Smoke::mf_static, 0, 207},	//619 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 356, 790, 2, Smoke::mf_static, 74, 208},	//620 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {31, 356, 793, 2, Smoke::mf_static, 82, 209},	//621 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {31, 347, 796, 2, Smoke::mf_static, 53, 210},	//622 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 403, 799, 2, Smoke::mf_static, 228, 211},	//623 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 318, 802, 2, Smoke::mf_static, 53, 212},	//624 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 374, 482, 2, Smoke::mf_static, 310, 213},	//625 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 332, 675, 2, Smoke::mf_static, 228, 214},	//626 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 347, 805, 2, Smoke::mf_static, 53, 215},	//627 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 300, 808, 2, Smoke::mf_static, 272, 216},	//628 QGlobalSpace::operator*(const QSize&, double)
    {31, 411, 811, 1, Smoke::mf_static, 315, 217},	//629 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 308, 580, 2, Smoke::mf_static, 264, 218},	//630 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 318, 813, 2, Smoke::mf_static, 122, 219},	//631 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 356, 816, 2, Smoke::mf_static, 79, 220},	//632 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {31, 347, 819, 2, Smoke::mf_static, 53, 221},	//633 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 356, 822, 2, Smoke::mf_static, 67, 222},	//634 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {31, 383, 0, 0, Smoke::mf_static, 56, 223},	//635 QGlobalSpace::qCritical()
    {31, 433, 540, 2, Smoke::mf_static, 290, 224},	//636 QGlobalSpace::qPow(double, double)
    {31, 311, 825, 2, Smoke::mf_static, 264, 225},	//637 QGlobalSpace::operator/(const QPoint&, double)
    {31, 318, 828, 2, Smoke::mf_static, 53, 226},	//638 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 318, 831, 2, Smoke::mf_static, 53, 227},	//639 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {31, 293, 785, 2, Smoke::mf_static, 228, 228},	//640 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 407, 170, 1, Smoke::mf_static, 305, 229},	//641 QGlobalSpace::qHash(int)
    {31, 356, 834, 2, Smoke::mf_static, 83, 230},	//642 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {31, 517, 0, 0, Smoke::mf_static, 0, 231},	//643 QGlobalSpace::qt_noop()
    {31, 332, 473, 2, Smoke::mf_static, 228, 232},	//644 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 356, 837, 2, Smoke::mf_static, 96, 233},	//645 QGlobalSpace::operator|(Qt::WindowState, int)
    {31, 293, 512, 2, Smoke::mf_static, 228, 234},	//646 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 347, 840, 2, Smoke::mf_static, 53, 235},	//647 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 518, 843, 3, Smoke::mf_static, 105, 236},	//648 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 318, 847, 2, Smoke::mf_static, 53, 237},	//649 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 332, 764, 2, Smoke::mf_static, 228, 238},	//650 QGlobalSpace::operator==(QBool, QBool)
    {31, 387, 178, 1, Smoke::mf_static, 290, 239},	//651 QGlobalSpace::qExp(double)
    {31, 347, 850, 2, Smoke::mf_static, 53, 240},	//652 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 347, 853, 2, Smoke::mf_static, 53, 241},	//653 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 356, 856, 2, Smoke::mf_static, 86, 242},	//654 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {31, 332, 859, 2, Smoke::mf_static, 228, 243},	//655 QGlobalSpace::operator==(bool, QBool)
    {31, 356, 862, 2, Smoke::mf_static, 77, 244},	//656 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {31, 405, 178, 1, Smoke::mf_static, 228, 245},	//657 QGlobalSpace::qFuzzyIsNull(double)
    {31, 347, 865, 2, Smoke::mf_static, 53, 246},	//658 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 522, 868, 3, Smoke::mf_static, 228, 247},	//659 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 313, 425, 2, Smoke::mf_static, 228, 248},	//660 QGlobalSpace::operator<(const char*, const QString&)
    {31, 332, 872, 2, Smoke::mf_static, 228, 249},	//661 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 470, 875, 3, Smoke::mf_static, 0, 250},	//662 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 407, 526, 1, Smoke::mf_static, 305, 251},	//663 QGlobalSpace::qHash(QChar)
    {31, 356, 879, 2, Smoke::mf_static, 96, 252},	//664 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {31, 318, 882, 2, Smoke::mf_static, 53, 253},	//665 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 293, 872, 2, Smoke::mf_static, 228, 254},	//666 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 313, 398, 2, Smoke::mf_static, 228, 255},	//667 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 347, 885, 2, Smoke::mf_static, 237, 256},	//668 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 356, 888, 2, Smoke::mf_static, 70, 257},	//669 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {31, 293, 859, 2, Smoke::mf_static, 228, 258},	//670 QGlobalSpace::operator!=(bool, QBool)
    {31, 511, 891, 2, Smoke::mf_static, 0, 259},	//671 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 477, 172, 1, Smoke::mf_static, 0, 260},	//672 QGlobalSpace::qsrand(unsigned int)
    {31, 332, 894, 2, Smoke::mf_static, 228, 261},	//673 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 303, 897, 2, Smoke::mf_static, 276, 262},	//674 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 356, 900, 2, Smoke::mf_static, 78, 263},	//675 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {31, 318, 903, 2, Smoke::mf_static, 56, 264},	//676 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 356, 906, 2, Smoke::mf_static, 96, 265},	//677 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {31, 347, 909, 2, Smoke::mf_static, 53, 266},	//678 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 293, 669, 2, Smoke::mf_static, 228, 267},	//679 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 488, 3, 2, Smoke::mf_static, 293, 268},	//680 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 356, 912, 2, Smoke::mf_static, 94, 269},	//681 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {31, 431, 915, 3, Smoke::mf_static, 317, 270},	//682 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 318, 919, 2, Smoke::mf_static, 56, 271},	//683 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 293, 446, 2, Smoke::mf_static, 228, 272},	//684 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 372, 178, 1, Smoke::mf_static, 293, 273},	//685 QGlobalSpace::qCeil(double)
    {31, 407, 922, 1, Smoke::mf_static, 305, 274},	//686 QGlobalSpace::qHash(signed char)
    {31, 318, 924, 2, Smoke::mf_static, 13, 275},	//687 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 356, 927, 2, Smoke::mf_static, 94, 276},	//688 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {31, 332, 503, 2, Smoke::mf_static, 228, 277},	//689 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 356, 930, 2, Smoke::mf_static, 93, 278},	//690 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {31, 332, 773, 2, Smoke::mf_static, 228, 279},	//691 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 318, 933, 2, Smoke::mf_static, 56, 280},	//692 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 347, 936, 2, Smoke::mf_static, 53, 281},	//693 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 356, 939, 2, Smoke::mf_static, 96, 282},	//694 QGlobalSpace::operator|(QFile::Permission, int)
    {31, 303, 580, 2, Smoke::mf_static, 264, 283},	//695 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 303, 422, 2, Smoke::mf_static, 234, 284},	//696 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 362, 788, 1, Smoke::mf_static, 0, 285},	//697 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 440, 942, 1, Smoke::mf_static, 0, 286},	//698 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 300, 944, 2, Smoke::mf_static, 266, 287},	//699 QGlobalSpace::operator*(double, const QPointF&)
    {31, 455, 0, 0, Smoke::mf_static, 228, 288},	//700 QGlobalSpace::qSharedBuild()
    {31, 318, 947, 2, Smoke::mf_static, 53, 289},	//701 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 318, 950, 2, Smoke::mf_static, 53, 290},	//702 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 347, 953, 2, Smoke::mf_static, 53, 291},	//703 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 318, 956, 2, Smoke::mf_static, 13, 292},	//704 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 410, 0, 0, Smoke::mf_static, 290, 293},	//705 QGlobalSpace::qInf()
    {31, 496, 455, 3, Smoke::mf_static, 293, 294},	//706 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 407, 959, 1, Smoke::mf_static, 305, 295},	//707 QGlobalSpace::qHash(const QStringRef&)
    {31, 347, 961, 2, Smoke::mf_static, 53, 296},	//708 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 356, 964, 2, Smoke::mf_static, 96, 297},	//709 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {31, 337, 604, 2, Smoke::mf_static, 228, 298},	//710 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 318, 967, 2, Smoke::mf_static, 53, 299},	//711 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 332, 523, 2, Smoke::mf_static, 228, 300},	//712 QGlobalSpace::operator==(QChar, QChar)
    {31, 381, 178, 1, Smoke::mf_static, 290, 301},	//713 QGlobalSpace::qCos(double)
    {31, 347, 970, 2, Smoke::mf_static, 237, 302},	//714 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 427, 973, 2, Smoke::mf_static, 317, 303},	//715 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 318, 976, 2, Smoke::mf_static, 53, 304},	//716 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 303, 979, 2, Smoke::mf_static, 276, 305},	//717 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 505, 982, 4, Smoke::mf_static, 0, 306},	//718 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 347, 987, 2, Smoke::mf_static, 237, 307},	//719 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 356, 990, 2, Smoke::mf_static, 78, 308},	//720 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {31, 318, 993, 2, Smoke::mf_static, 13, 309},	//721 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 356, 996, 2, Smoke::mf_static, 70, 310},	//722 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {31, 303, 999, 2, Smoke::mf_static, 234, 311},	//723 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 356, 1002, 2, Smoke::mf_static, 73, 312},	//724 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {31, 468, 0, 0, Smoke::mf_static, 287, 313},	//725 QGlobalSpace::qVersion()
    {31, 356, 1005, 2, Smoke::mf_static, 79, 314},	//726 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {31, 318, 1008, 2, Smoke::mf_static, 13, 315},	//727 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 318, 1011, 2, Smoke::mf_static, 53, 316},	//728 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 303, 470, 2, Smoke::mf_static, 266, 317},	//729 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 332, 425, 2, Smoke::mf_static, 228, 318},	//730 QGlobalSpace::operator==(const char*, const QString&)
    {31, 356, 1014, 2, Smoke::mf_static, 72, 319},	//731 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {31, 318, 1017, 2, Smoke::mf_static, 53, 320},	//732 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 318, 1020, 2, Smoke::mf_static, 56, 321},	//733 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 356, 1023, 2, Smoke::mf_static, 96, 322},	//734 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {31, 332, 693, 2, Smoke::mf_static, 228, 323},	//735 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 460, 1026, 2, Smoke::mf_static, 228, 324},	//736 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 356, 1029, 2, Smoke::mf_static, 68, 325},	//737 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {31, 318, 1032, 2, Smoke::mf_static, 53, 326},	//738 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 303, 1035, 2, Smoke::mf_static, 234, 327},	//739 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 303, 1038, 2, Smoke::mf_static, 276, 328},	//740 QGlobalSpace::operator+(const QString&, const char*)
    {31, 356, 1041, 2, Smoke::mf_static, 96, 329},	//741 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {31, 313, 604, 2, Smoke::mf_static, 228, 330},	//742 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 376, 1044, 3, Smoke::mf_static, 5, 331},	//743 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 376, 607, 2, Smoke::mf_static, 5, 332},	//744 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 397, 178, 1, Smoke::mf_static, 293, 333},	//745 QGlobalSpace::qFloor(double)
    {31, 356, 1048, 2, Smoke::mf_static, 89, 334},	//746 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {31, 407, 66, 1, Smoke::mf_static, 305, 335},	//747 QGlobalSpace::qHash(const QString&)
    {31, 303, 281, 2, Smoke::mf_static, 276, 336},	//748 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 293, 1051, 2, Smoke::mf_static, 228, 337},	//749 QGlobalSpace::operator!=(QBool, bool)
    {31, 332, 604, 2, Smoke::mf_static, 228, 338},	//750 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 332, 1054, 2, Smoke::mf_static, 228, 339},	//751 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 318, 1057, 2, Smoke::mf_static, 13, 340},	//752 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 318, 1060, 2, Smoke::mf_static, 53, 341},	//753 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 419, 518, 1, Smoke::mf_static, 228, 342},	//754 QGlobalSpace::qIsNaN(float)
    {31, 318, 1063, 2, Smoke::mf_static, 53, 343},	//755 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 356, 1066, 2, Smoke::mf_static, 96, 344},	//756 QGlobalSpace::operator|(QDir::SortFlag, int)
    {31, 293, 675, 2, Smoke::mf_static, 228, 345},	//757 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 429, 1069, 3, Smoke::mf_static, 317, 346},	//758 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 399, 1073, 1, Smoke::mf_static, 0, 347},	//759 QGlobalSpace::qFree(void*)
    {31, 332, 1026, 2, Smoke::mf_static, 228, 348},	//760 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 342, 425, 2, Smoke::mf_static, 228, 349},	//761 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 419, 178, 1, Smoke::mf_static, 228, 350},	//762 QGlobalSpace::qIsNaN(double)
    {31, 356, 1075, 2, Smoke::mf_static, 91, 351},	//763 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {31, 300, 825, 2, Smoke::mf_static, 264, 352},	//764 QGlobalSpace::operator*(const QPoint&, double)
    {31, 356, 1078, 2, Smoke::mf_static, 96, 353},	//765 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {31, 318, 1081, 2, Smoke::mf_static, 56, 354},	//766 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 453, 170, 1, Smoke::mf_static, 125, 355},	//767 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 476, 0, 0, Smoke::mf_static, 293, 356},	//768 QGlobalSpace::qrand()
    {31, 347, 1084, 2, Smoke::mf_static, 53, 357},	//769 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 407, 1087, 1, Smoke::mf_static, 305, 358},	//770 QGlobalSpace::qHash(const QUrl&)
    {31, 356, 1089, 2, Smoke::mf_static, 92, 359},	//771 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {31, 303, 604, 2, Smoke::mf_static, 234, 360},	//772 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 300, 1092, 2, Smoke::mf_static, 264, 361},	//773 QGlobalSpace::operator*(double, const QPoint&)
    {31, 293, 1026, 2, Smoke::mf_static, 228, 362},	//774 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 456, 178, 1, Smoke::mf_static, 290, 363},	//775 QGlobalSpace::qSin(double)
    {31, 318, 1095, 2, Smoke::mf_static, 56, 364},	//776 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 332, 580, 2, Smoke::mf_static, 228, 365},	//777 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 356, 1098, 2, Smoke::mf_static, 71, 366},	//778 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {31, 503, 6, 3, Smoke::mf_static, 0, 367},	//779 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 318, 1101, 2, Smoke::mf_static, 56, 368},	//780 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 490, 1, 1, Smoke::mf_static, 305, 369},	//781 QGlobalSpace::qstrlen(const char*)
    {31, 356, 1104, 2, Smoke::mf_static, 77, 370},	//782 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {31, 356, 1107, 2, Smoke::mf_static, 68, 371},	//783 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {31, 417, 178, 1, Smoke::mf_static, 228, 372},	//784 QGlobalSpace::qIsInf(double)
    {31, 308, 446, 2, Smoke::mf_static, 272, 373},	//785 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 311, 808, 2, Smoke::mf_static, 272, 374},	//786 QGlobalSpace::operator/(const QSize&, double)
    {31, 342, 566, 2, Smoke::mf_static, 228, 375},	//787 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 356, 1110, 2, Smoke::mf_static, 96, 376},	//788 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {31, 356, 1113, 2, Smoke::mf_static, 96, 377},	//789 QGlobalSpace::operator|(QDir::Filter, int)
    {31, 293, 566, 2, Smoke::mf_static, 228, 378},	//790 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 463, 178, 1, Smoke::mf_static, 290, 379},	//791 QGlobalSpace::qTan(double)
    {31, 446, 178, 1, Smoke::mf_static, 296, 380},	//792 QGlobalSpace::qRound64(double)
    {31, 407, 1116, 1, Smoke::mf_static, 305, 381},	//793 QGlobalSpace::qHash(unsigned long)
    {31, 318, 1118, 2, Smoke::mf_static, 13, 382},	//794 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 356, 1121, 2, Smoke::mf_static, 64, 383},	//795 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {31, 448, 0, 0, Smoke::mf_static, 290, 384},	//796 QGlobalSpace::qSNaN()
    {31, 313, 523, 2, Smoke::mf_static, 228, 385},	//797 QGlobalSpace::operator<(QChar, QChar)
    {31, 356, 1124, 2, Smoke::mf_static, 88, 386},	//798 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {31, 356, 1127, 2, Smoke::mf_static, 81, 387},	//799 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {31, 308, 693, 2, Smoke::mf_static, 274, 388},	//800 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 425, 1130, 1, Smoke::mf_static, 317, 389},	//801 QGlobalSpace::qMalloc(size_t)
    {31, 421, 178, 1, Smoke::mf_static, 228, 390},	//802 QGlobalSpace::qIsNull(double)
    {31, 474, 566, 2, Smoke::mf_static, 228, 391},	//803 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 356, 1132, 2, Smoke::mf_static, 96, 392},	//804 QGlobalSpace::operator|(Qt::Orientation, int)
    {31, 347, 1135, 2, Smoke::mf_static, 53, 393},	//805 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 356, 1138, 2, Smoke::mf_static, 96, 394},	//806 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {31, 347, 1141, 2, Smoke::mf_static, 53, 395},	//807 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 405, 518, 1, Smoke::mf_static, 228, 396},	//808 QGlobalSpace::qFuzzyIsNull(float)
    {31, 318, 1144, 2, Smoke::mf_static, 53, 397},	//809 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 407, 182, 1, Smoke::mf_static, 305, 398},	//810 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 318, 1147, 2, Smoke::mf_static, 56, 399},	//811 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 407, 1150, 1, Smoke::mf_static, 305, 400},	//812 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 318, 1152, 2, Smoke::mf_static, 56, 401},	//813 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 356, 1155, 2, Smoke::mf_static, 96, 402},	//814 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {31, 356, 1158, 2, Smoke::mf_static, 92, 403},	//815 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {31, 337, 422, 2, Smoke::mf_static, 228, 404},	//816 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 293, 894, 2, Smoke::mf_static, 228, 405},	//817 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 356, 1161, 2, Smoke::mf_static, 83, 406},	//818 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {31, 293, 425, 2, Smoke::mf_static, 228, 407},	//819 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 449, 170, 1, Smoke::mf_static, 125, 408},	//820 QGlobalSpace::qSetFieldWidth(int)
    {31, 460, 1038, 2, Smoke::mf_static, 228, 409},	//821 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 356, 1164, 2, Smoke::mf_static, 93, 410},	//822 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {31, 356, 1167, 2, Smoke::mf_static, 80, 411},	//823 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {31, 356, 1170, 2, Smoke::mf_static, 96, 412},	//824 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {31, 313, 459, 2, Smoke::mf_static, 228, 413},	//825 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 300, 1173, 2, Smoke::mf_static, 274, 414},	//826 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 342, 462, 2, Smoke::mf_static, 228, 415},	//827 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 318, 1176, 2, Smoke::mf_static, 56, 416},	//828 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 407, 188, 1, Smoke::mf_static, 305, 417},	//829 QGlobalSpace::qHash(const QByteArray&)
    {31, 332, 488, 2, Smoke::mf_static, 228, 418},	//830 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 407, 1179, 1, Smoke::mf_static, 305, 419},	//831 QGlobalSpace::qHash(const QModelIndex&)
    {31, 332, 601, 2, Smoke::mf_static, 228, 420},	//832 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 356, 1181, 2, Smoke::mf_static, 96, 421},	//833 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {31, 356, 1184, 2, Smoke::mf_static, 87, 422},	//834 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {31, 356, 1187, 2, Smoke::mf_static, 84, 423},	//835 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {31, 401, 1073, 1, Smoke::mf_static, 0, 424},	//836 QGlobalSpace::qFreeAligned(void*)
    {31, 356, 1190, 2, Smoke::mf_static, 89, 425},	//837 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {31, 318, 1193, 2, Smoke::mf_static, 56, 426},	//838 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {31, 332, 422, 2, Smoke::mf_static, 228, 427},	//839 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 356, 1196, 2, Smoke::mf_static, 96, 428},	//840 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {31, 332, 449, 2, Smoke::mf_static, 228, 429},	//841 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 356, 1199, 2, Smoke::mf_static, 96, 430},	//842 QGlobalSpace::operator|(Qt::MouseButton, int)
    {31, 423, 178, 1, Smoke::mf_static, 290, 431},	//843 QGlobalSpace::qLn(double)
    {31, 332, 1051, 2, Smoke::mf_static, 228, 432},	//844 QGlobalSpace::operator==(QBool, bool)
    {31, 293, 422, 2, Smoke::mf_static, 228, 433},	//845 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 354, 577, 2, Smoke::mf_static, 2, 434},	//846 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 365, 178, 1, Smoke::mf_static, 290, 435},	//847 QGlobalSpace::qAsin(double)
    {31, 347, 1202, 2, Smoke::mf_static, 53, 436},	//848 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 371, 0, 0, Smoke::mf_static, 0, 437},	//849 QGlobalSpace::qBadAlloc()
    {31, 356, 1205, 2, Smoke::mf_static, 96, 438},	//850 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {31, 356, 1208, 2, Smoke::mf_static, 96, 439},	//851 QGlobalSpace::operator|(QString::SectionFlag, int)
    {31, 303, 1211, 2, Smoke::mf_static, 276, 440},	//852 QGlobalSpace::operator+(char, const QString&)
    {31, 318, 1214, 2, Smoke::mf_static, 53, 441},	//853 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 415, 518, 1, Smoke::mf_static, 228, 442},	//854 QGlobalSpace::qIsFinite(float)
    {31, 303, 693, 2, Smoke::mf_static, 274, 443},	//855 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 356, 1217, 2, Smoke::mf_static, 67, 444},	//856 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {31, 356, 1220, 2, Smoke::mf_static, 75, 445},	//857 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {31, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 446},	//858 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {31, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 447},	//859 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {31, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 448},	//860 QGlobalSpace::Q_STATIC_TYPE (enum)
    {31, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 449},	//861 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {31, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 450},	//862 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {31, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 451},	//863 QGlobalSpace::LicensedGui (enum)
    {31, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 452},	//864 QGlobalSpace::LicensedXml (enum)
    {31, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 453},	//865 QGlobalSpace::LicensedQt3SupportLight (enum)
    {31, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 454},	//866 QGlobalSpace::LicensedScript (enum)
    {31, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 455},	//867 QGlobalSpace::LicensedOpenVG (enum)
    {31, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 456},	//868 QGlobalSpace::LicensedDBus (enum)
    {31, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 457},	//869 QGlobalSpace::LicensedTest (enum)
    {31, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 458},	//870 QGlobalSpace::LicensedActiveQt (enum)
    {31, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 459},	//871 QGlobalSpace::LicensedScriptTools (enum)
    {31, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 460},	//872 QGlobalSpace::LicensedSvg (enum)
    {31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 461},	//873 QGlobalSpace::LicensedDeclarative (enum)
    {31, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 462},	//874 QGlobalSpace::LicensedSql (enum)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 463},	//875 QGlobalSpace::LicensedOpenGL (enum)
    {31, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 464},	//876 QGlobalSpace::LicensedCore (enum)
    {31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 465},	//877 QGlobalSpace::QtDebugMsg (enum)
    {31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 466},	//878 QGlobalSpace::QtWarningMsg (enum)
    {31, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 467},	//879 QGlobalSpace::QtCriticalMsg (enum)
    {31, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 468},	//880 QGlobalSpace::QtFatalMsg (enum)
    {31, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 469},	//881 QGlobalSpace::QtSystemMsg (enum)
    {31, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 470},	//882 QGlobalSpace::LicensedHelp (enum)
    {31, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 471},	//883 QGlobalSpace::LicensedMultimedia (enum)
    {31, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 472},	//884 QGlobalSpace::LicensedQt3Support (enum)
    {31, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 473},	//885 QGlobalSpace::LicensedXmlPatterns (enum)
    {31, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 474},	//886 QGlobalSpace::LicensedNetwork (enum)
    {41, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//887 QObject::metaObject() const
    {41, 515, 1, 1, Smoke::mf_virtual, 317, 0},	//888 QObject::qt_metacast(const char*)
    {41, 258, 1223, 1, Smoke::mf_virtual, 228, 0},	//889 QObject::event(QEvent*)
    {41, 259, 1225, 2, Smoke::mf_virtual, 228, 0},	//890 QObject::eventFilter(QObject*, QEvent*)
    {41, 580, 1228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//891 QObject::timerEvent(QTimerEvent*)
    {41, 213, 1230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//892 QObject::childEvent(QChildEvent*)
    {41, 238, 1223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//893 QObject::customEvent(QEvent*)
    {41, 218, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//894 QObject::connectNotify(const char*)
    {41, 247, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//895 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    246,  // QDBusContext::sendErrorReply(const QString&) const
    247,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    243,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    448,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    456,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    461,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    472,  // QGlobalSpace::operator!=(QChar, QChar)
    496,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    503,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    516,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    518,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    548,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    564,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    580,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    602,  // QGlobalSpace::operator!=(QBool, QBool)
    614,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    646,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    684,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    817,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    640,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    666,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    749,  // QGlobalSpace::operator!=(QBool, bool)
    774,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    845,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    449,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    498,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    605,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    670,  // QGlobalSpace::operator!=(bool, QBool)
    679,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    790,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    468,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    757,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    819,  // QGlobalSpace::operator!=(const char*, const QString&)
    0,
    429,  // QGlobalSpace::operator*(const QSizeF&, double)
    510,  // QGlobalSpace::operator*(const QPointF&, double)
    628,  // QGlobalSpace::operator*(const QSize&, double)
    764,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    565,  // QGlobalSpace::operator*(double, const QSize&)
    699,  // QGlobalSpace::operator*(double, const QPointF&)
    773,  // QGlobalSpace::operator*(double, const QPoint&)
    826,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    452,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    695,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    729,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    772,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    855,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    443,  // QGlobalSpace::operator+(QChar, const QString&)
    674,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    696,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    723,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    451,  // QGlobalSpace::operator+(const QString&, QChar)
    497,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    717,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    739,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    576,  // QGlobalSpace::operator+(const char*, const QString&)
    604,  // QGlobalSpace::operator+(const QString&, char)
    740,  // QGlobalSpace::operator+(const QString&, const char*)
    748,  // QGlobalSpace::operator+(const QString&, const QString&)
    852,  // QGlobalSpace::operator+(char, const QString&)
    0,
    572,  // QGlobalSpace::operator-(const QPointF&)
    587,  // QGlobalSpace::operator-(const QPoint&)
    0,
    478,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    630,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    785,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    800,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    582,  // QGlobalSpace::operator/(const QSizeF&, double)
    610,  // QGlobalSpace::operator/(const QPointF&, double)
    637,  // QGlobalSpace::operator/(const QPoint&, double)
    786,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    601,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    742,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    797,  // QGlobalSpace::operator<(QChar, QChar)
    825,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    505,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    667,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    441,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    555,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    660,  // QGlobalSpace::operator<(const char*, const QString&)
    0,
    415,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    417,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    420,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    424,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    430,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    457,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    458,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    460,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    476,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    484,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    511,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    531,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    533,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    546,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    563,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    579,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    584,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    588,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    595,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    607,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    615,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    631,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    638,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    639,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    665,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    683,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    687,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    692,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    701,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    702,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    704,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    711,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    716,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    721,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    728,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    732,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    733,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    738,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    752,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    766,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    776,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    780,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    794,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    809,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    811,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    813,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    828,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    853,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    439,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    482,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    523,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    676,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    838,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    438,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    727,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    753,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    0,
    445,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    446,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    509,  // QGlobalSpace::operator<=(QChar, QChar)
    519,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    559,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    578,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    437,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    440,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    454,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    464,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    512,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    515,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    539,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    608,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    650,  // QGlobalSpace::operator==(QBool, QBool)
    673,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    689,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    712,  // QGlobalSpace::operator==(QChar, QChar)
    735,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    750,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    751,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    777,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    830,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    832,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    616,  // QGlobalSpace::operator==(QString::Null, const QString&)
    661,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    760,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    839,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    844,  // QGlobalSpace::operator==(QBool, bool)
    0,
    485,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    543,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    553,  // QGlobalSpace::operator==(const QString&, QString::Null)
    644,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    655,  // QGlobalSpace::operator==(bool, QBool)
    691,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    626,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    730,  // QGlobalSpace::operator==(const char*, const QString&)
    841,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    0,
    495,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    534,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    581,  // QGlobalSpace::operator>(QChar, QChar)
    710,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    528,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    540,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    507,  // QGlobalSpace::operator>=(QChar, QChar)
    535,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    598,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    827,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    421,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    787,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    418,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    423,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    450,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    467,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    475,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    517,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    524,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    532,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    538,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    562,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    568,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    577,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    591,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    592,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    599,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    600,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    622,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    627,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    653,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    658,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    668,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    703,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    714,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    719,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    769,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    807,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    848,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    647,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    805,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    414,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    419,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    425,  // QGlobalSpace::operator|(Qt::WindowType, int)
    435,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    436,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    459,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    470,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    477,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    486,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    488,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    492,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    500,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    508,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    513,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    525,  // QGlobalSpace::operator|(Qt::DropAction, int)
    527,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    537,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    544,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    545,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    547,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    550,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    551,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    552,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    554,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    557,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    560,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    561,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    566,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    570,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    573,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    575,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    583,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    593,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    596,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    597,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    603,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    612,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    620,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    621,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    632,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    634,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    642,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    645,  // QGlobalSpace::operator|(Qt::WindowState, int)
    654,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    656,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    664,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    669,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    675,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    677,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    681,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    688,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    690,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    694,  // QGlobalSpace::operator|(QFile::Permission, int)
    709,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    720,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    722,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    724,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    726,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    731,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    734,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    737,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    741,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    746,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    756,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    763,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    765,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    771,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    778,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    782,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    783,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    788,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    789,  // QGlobalSpace::operator|(QDir::Filter, int)
    795,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    798,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    799,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    804,  // QGlobalSpace::operator|(Qt::Orientation, int)
    806,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    814,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    815,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    818,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    822,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    823,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    824,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    833,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    834,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    835,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    837,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    840,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    842,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    850,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    851,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    856,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    857,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    558,  // QGlobalSpace::qFuzzyCompare(double, double)
    623,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    657,  // QGlobalSpace::qFuzzyIsNull(double)
    808,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    499,  // QGlobalSpace::qHash(const QBitArray&)
    663,  // QGlobalSpace::qHash(QChar)
    707,  // QGlobalSpace::qHash(const QStringRef&)
    770,  // QGlobalSpace::qHash(const QUrl&)
    812,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    829,  // QGlobalSpace::qHash(const QByteArray&)
    831,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    427,  // QGlobalSpace::qHash(unsigned int)
    428,  // QGlobalSpace::qHash(char)
    462,  // QGlobalSpace::qHash(unsigned char)
    474,  // QGlobalSpace::qHash(const QDBusSignature&)
    483,  // QGlobalSpace::qHash(short)
    491,  // QGlobalSpace::qHash(long)
    542,  // QGlobalSpace::qHash(unsigned short)
    569,  // QGlobalSpace::qHash(long long)
    606,  // QGlobalSpace::qHash(unsigned long long)
    641,  // QGlobalSpace::qHash(int)
    686,  // QGlobalSpace::qHash(signed char)
    747,  // QGlobalSpace::qHash(const QString&)
    793,  // QGlobalSpace::qHash(unsigned long)
    810,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    0,
    536,  // QGlobalSpace::qIntCast(float)
    611,  // QGlobalSpace::qIntCast(double)
    0,
    487,  // QGlobalSpace::qIsFinite(double)
    854,  // QGlobalSpace::qIsFinite(float)
    0,
    574,  // QGlobalSpace::qIsInf(float)
    784,  // QGlobalSpace::qIsInf(double)
    0,
    754,  // QGlobalSpace::qIsNaN(float)
    762,  // QGlobalSpace::qIsNaN(double)
    0,
    469,  // QGlobalSpace::qIsNull(float)
    802,  // QGlobalSpace::qIsNull(double)
    0,
    301,  // QDBusMessage::createError(const QString&, const QString&)
    303,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    306,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    308,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    249,  // QDBusError::QDBusError(const DBusError*)
    250,  // QDBusError::QDBusError(const QDBusMessage&)
    252,  // QDBusError::QDBusError(const QDBusError&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 72, 1},	// QDBus::NoBlock
    {8, 81, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 171, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 287, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 514, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 516, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 562, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 578, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 582, 15},	// QDBusAbstractAdaptor::tr$
    {8, 583, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 584, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 586, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 587, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 588, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 600, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 83, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 159, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 160, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 161, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 162, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 163, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 164, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 165, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 166, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 167, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 169, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 184, 47},	// QDBusAbstractInterface::call$
    {9, 185, 48},	// QDBusAbstractInterface::call$#
    {9, 186, 49},	// QDBusAbstractInterface::call$##
    {9, 187, 50},	// QDBusAbstractInterface::call$###
    {9, 188, 51},	// QDBusAbstractInterface::call$####
    {9, 189, 52},	// QDBusAbstractInterface::call$#####
    {9, 190, 53},	// QDBusAbstractInterface::call$######
    {9, 191, 54},	// QDBusAbstractInterface::call$#######
    {9, 192, 32},	// QDBusAbstractInterface::call$########
    {9, 193, 55},	// QDBusAbstractInterface::call$$
    {9, 194, 56},	// QDBusAbstractInterface::call$$#
    {9, 195, 57},	// QDBusAbstractInterface::call$$##
    {9, 196, 58},	// QDBusAbstractInterface::call$$###
    {9, 197, 59},	// QDBusAbstractInterface::call$$####
    {9, 198, 60},	// QDBusAbstractInterface::call$$#####
    {9, 199, 61},	// QDBusAbstractInterface::call$$######
    {9, 200, 62},	// QDBusAbstractInterface::call$$#######
    {9, 201, 33},	// QDBusAbstractInterface::call$$########
    {9, 203, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 208, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 209, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 219, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 222, 27},	// QDBusAbstractInterface::connection
    {9, 248, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 266, 30},	// QDBusAbstractInterface::interface
    {9, 268, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 269, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 271, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 273, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 281, 26},	// QDBusAbstractInterface::isValid
    {9, 282, 31},	// QDBusAbstractInterface::lastError
    {9, 287, 19},	// QDBusAbstractInterface::metaObject
    {9, 359, 29},	// QDBusAbstractInterface::path
    {9, 514, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 516, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 545, 28},	// QDBusAbstractInterface::service
    {9, 578, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 582, 45},	// QDBusAbstractInterface::tr$
    {9, 583, 21},	// QDBusAbstractInterface::tr$$
    {9, 584, 23},	// QDBusAbstractInterface::tr$$$
    {9, 586, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 587, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 588, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 601, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 514, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 602, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 63, 135},	// QDBusArgument::MapEntryType
    {11, 64, 134},	// QDBusArgument::MapType
    {11, 84, 76},	// QDBusArgument::QDBusArgument
    {11, 85, 77},	// QDBusArgument::QDBusArgument#
    {11, 135, 133},	// QDBusArgument::StructureType
    {11, 142, 136},	// QDBusArgument::UnknownType
    {11, 145, 131},	// QDBusArgument::VariantType
    {11, 153, 102},	// QDBusArgument::appendVariant#
    {11, 155, 129},	// QDBusArgument::asVariant
    {11, 170, 128},	// QDBusArgument::atEnd
    {11, 174, 122},	// QDBusArgument::beginArray
    {11, 175, 96},	// QDBusArgument::beginArray$
    {11, 176, 124},	// QDBusArgument::beginMap
    {11, 177, 98},	// QDBusArgument::beginMap$$
    {11, 178, -7},	// QDBusArgument::beginMapEntry
    {11, 179, -10},	// QDBusArgument::beginStructure
    {11, 236, 103},	// QDBusArgument::currentSignature
    {11, 237, 104},	// QDBusArgument::currentType
    {11, 249, -13},	// QDBusArgument::endArray
    {11, 250, -16},	// QDBusArgument::endMap
    {11, 251, -19},	// QDBusArgument::endMapEntry
    {11, 252, -22},	// QDBusArgument::endStructure
    {11, 319, -25},	// QDBusArgument::operator<<#
    {11, 323, -28},	// QDBusArgument::operator<<$
    {11, 324, 92},	// QDBusArgument::operator<<?
    {11, 331, 78},	// QDBusArgument::operator=#
    {11, 348, -41},	// QDBusArgument::operator>>#
    {11, 352, -44},	// QDBusArgument::operator>>$
    {11, 353, 118},	// QDBusArgument::operator>>?
    {11, 603, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 194},	// QDBusConnection::ExportAllContents
    {12, 17, 193},	// QDBusConnection::ExportAllInvokables
    {12, 18, 192},	// QDBusConnection::ExportAllProperties
    {12, 19, 195},	// QDBusConnection::ExportAllSignal
    {12, 20, 191},	// QDBusConnection::ExportAllSignals
    {12, 21, 190},	// QDBusConnection::ExportAllSlots
    {12, 22, 196},	// QDBusConnection::ExportChildObjects
    {12, 23, 189},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 188},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 187},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 186},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 185},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 184},	// QDBusConnection::ExportScriptableContents
    {12, 29, 183},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 87, 139},	// QDBusConnection::QDBusConnection#
    {12, 88, 138},	// QDBusConnection::QDBusConnection$
    {12, 133, 176},	// QDBusConnection::SessionBus
    {12, 136, 177},	// QDBusConnection::SystemBus
    {12, 143, 197},	// QDBusConnection::UnregisterNode
    {12, 144, 198},	// QDBusConnection::UnregisterTree
    {12, 157, 172},	// QDBusConnection::asyncCall#
    {12, 158, 149},	// QDBusConnection::asyncCall#$
    {12, 173, 142},	// QDBusConnection::baseService
    {12, 181, 170},	// QDBusConnection::call#
    {12, 182, 171},	// QDBusConnection::call#$
    {12, 183, 148},	// QDBusConnection::call#$$
    {12, 205, 169},	// QDBusConnection::callWithCallback##$
    {12, 206, -57},	// QDBusConnection::callWithCallback##$$
    {12, 207, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 215, 150},	// QDBusConnection::connect$$$$#$
    {12, 216, 151},	// QDBusConnection::connect$$$$$#$
    {12, 217, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 221, -60},	// QDBusConnection::connectToBus$$
    {12, 242, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 243, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 244, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 246, 164},	// QDBusConnection::disconnectFromBus$
    {12, 266, 161},	// QDBusConnection::interface
    {12, 274, 141},	// QDBusConnection::isConnected
    {12, 282, 143},	// QDBusConnection::lastError
    {12, 288, 144},	// QDBusConnection::name
    {12, 292, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 331, 140},	// QDBusConnection::operator=#
    {12, 529, 173},	// QDBusConnection::registerObject$#
    {12, 530, 156},	// QDBusConnection::registerObject$#$
    {12, 532, 159},	// QDBusConnection::registerService$
    {12, 540, 145},	// QDBusConnection::send#
    {12, 544, 167},	// QDBusConnection::sender
    {12, 558, 165},	// QDBusConnection::sessionBus
    {12, 578, 175},	// QDBusConnection::staticMetaObject
    {12, 579, 166},	// QDBusConnection::systemBus
    {12, 593, 174},	// QDBusConnection::unregisterObject$
    {12, 594, 157},	// QDBusConnection::unregisterObject$$
    {12, 596, 160},	// QDBusConnection::unregisterService$
    {12, 604, 199},	// QDBusConnection::~QDBusConnection
    {13, 4, 233},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 232},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 229},	// QDBusConnectionInterface::DontQueueService
    {13, 67, 219},	// QDBusConnectionInterface::NameAcquired$
    {13, 69, 220},	// QDBusConnectionInterface::NameLost$
    {13, 71, 221},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 126, 230},	// QDBusConnectionInterface::QueueService
    {13, 127, 231},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 129, 234},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 130, 236},	// QDBusConnectionInterface::ServiceQueued
    {13, 131, 235},	// QDBusConnectionInterface::ServiceRegistered
    {13, 211, 218},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 219, 222},	// QDBusConnectionInterface::connectNotify$
    {13, 248, 223},	// QDBusConnectionInterface::disconnectNotify$
    {13, 280, 208},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 287, 200},	// QDBusConnectionInterface::metaObject
    {13, 514, 206},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 516, 201},	// QDBusConnectionInterface::qt_metacast$
    {13, 532, 226},	// QDBusConnectionInterface::registerService$
    {13, 533, 227},	// QDBusConnectionInterface::registerService$$
    {13, 534, 211},	// QDBusConnectionInterface::registerService$$$
    {13, 535, 207},	// QDBusConnectionInterface::registeredServiceNames
    {13, 547, 209},	// QDBusConnectionInterface::serviceOwner$
    {13, 549, 217},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 551, 212},	// QDBusConnectionInterface::servicePid$
    {13, 553, 215},	// QDBusConnectionInterface::serviceRegistered$
    {13, 555, 213},	// QDBusConnectionInterface::serviceUid$
    {13, 557, 216},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 577, 214},	// QDBusConnectionInterface::startService$
    {13, 578, 228},	// QDBusConnectionInterface::staticMetaObject
    {13, 582, 224},	// QDBusConnectionInterface::tr$
    {13, 583, 202},	// QDBusConnectionInterface::tr$$
    {13, 584, 204},	// QDBusConnectionInterface::tr$$$
    {13, 586, 225},	// QDBusConnectionInterface::trUtf8$
    {13, 587, 203},	// QDBusConnectionInterface::trUtf8$$
    {13, 588, 205},	// QDBusConnectionInterface::trUtf8$$$
    {13, 596, 210},	// QDBusConnectionInterface::unregisterService$
    {14, 89, 237},	// QDBusContext::QDBusContext
    {14, 90, 245},	// QDBusContext::QDBusContext#
    {14, 212, 238},	// QDBusContext::calledFromDBus
    {14, 222, 239},	// QDBusContext::connection
    {14, 275, 241},	// QDBusContext::isDelayedReply
    {14, 286, 240},	// QDBusContext::message
    {14, 542, -1},	// QDBusContext::sendErrorReply$
    {14, 543, -4},	// QDBusContext::sendErrorReply$$
    {14, 568, 242},	// QDBusContext::setDelayedReply$
    {14, 605, 248},	// QDBusContext::~QDBusContext
    {15, 1, 269},	// QDBusError::AccessDenied
    {15, 3, 273},	// QDBusError::AddressInUse
    {15, 7, 266},	// QDBusError::BadAddress
    {15, 11, 274},	// QDBusError::Disconnected
    {15, 33, 262},	// QDBusError::Failed
    {15, 34, 280},	// QDBusError::InternalError
    {15, 35, 275},	// QDBusError::InvalidArgs
    {15, 36, 284},	// QDBusError::InvalidInterface
    {15, 37, 285},	// QDBusError::InvalidMember
    {15, 39, 283},	// QDBusError::InvalidObjectPath
    {15, 40, 282},	// QDBusError::InvalidService
    {15, 41, 278},	// QDBusError::InvalidSignature
    {15, 42, 286},	// QDBusError::LastErrorType
    {15, 62, 268},	// QDBusError::LimitsExceeded
    {15, 73, 260},	// QDBusError::NoError
    {15, 74, 263},	// QDBusError::NoMemory
    {15, 75, 272},	// QDBusError::NoNetwork
    {15, 76, 265},	// QDBusError::NoReply
    {15, 77, 270},	// QDBusError::NoServer
    {15, 78, 267},	// QDBusError::NotSupported
    {15, 79, 261},	// QDBusError::Other
    {15, 91, 259},	// QDBusError::QDBusError
    {15, 92, -460},	// QDBusError::QDBusError#
    {15, 93, 251},	// QDBusError::QDBusError$$
    {15, 132, 264},	// QDBusError::ServiceUnknown
    {15, 137, 277},	// QDBusError::TimedOut
    {15, 138, 271},	// QDBusError::Timeout
    {15, 139, 279},	// QDBusError::UnknownInterface
    {15, 140, 276},	// QDBusError::UnknownMethod
    {15, 141, 281},	// QDBusError::UnknownObject
    {15, 257, 258},	// QDBusError::errorString$
    {15, 281, 257},	// QDBusError::isValid
    {15, 286, 256},	// QDBusError::message
    {15, 288, 255},	// QDBusError::name
    {15, 331, 253},	// QDBusError::operator=#
    {15, 589, 254},	// QDBusError::type
    {15, 606, 287},	// QDBusError::~QDBusError
    {16, 95, 292},	// QDBusInterface::QDBusInterface$$
    {16, 96, 293},	// QDBusInterface::QDBusInterface$$$
    {16, 97, 294},	// QDBusInterface::QDBusInterface$$$#
    {16, 98, 288},	// QDBusInterface::QDBusInterface$$$##
    {16, 287, 289},	// QDBusInterface::metaObject
    {16, 514, 291},	// QDBusInterface::qt_metacall$$?
    {16, 516, 290},	// QDBusInterface::qt_metacast$
    {16, 607, 295},	// QDBusInterface::~QDBusInterface
    {17, 14, 329},	// QDBusMessage::ErrorMessage
    {17, 38, 326},	// QDBusMessage::InvalidMessage
    {17, 65, 327},	// QDBusMessage::MethodCallMessage
    {17, 99, 296},	// QDBusMessage::QDBusMessage
    {17, 100, 297},	// QDBusMessage::QDBusMessage#
    {17, 128, 328},	// QDBusMessage::ReplyMessage
    {17, 134, 330},	// QDBusMessage::SignalMessage
    {17, 154, 323},	// QDBusMessage::arguments
    {17, 172, 321},	// QDBusMessage::autoStartService
    {17, 224, 302},	// QDBusMessage::createError#
    {17, 225, -454},	// QDBusMessage::createError$$
    {17, 227, 307},	// QDBusMessage::createErrorReply#
    {17, 228, -457},	// QDBusMessage::createErrorReply$$
    {17, 230, 300},	// QDBusMessage::createMethodCall$$$$
    {17, 231, 325},	// QDBusMessage::createReply
    {17, 232, 305},	// QDBusMessage::createReply#
    {17, 233, 304},	// QDBusMessage::createReply?
    {17, 235, 299},	// QDBusMessage::createSignal$$$
    {17, 254, 314},	// QDBusMessage::errorMessage
    {17, 255, 313},	// QDBusMessage::errorName
    {17, 266, 311},	// QDBusMessage::interface
    {17, 275, 319},	// QDBusMessage::isDelayedReply
    {17, 278, 317},	// QDBusMessage::isReplyRequired
    {17, 285, 312},	// QDBusMessage::member
    {17, 319, 324},	// QDBusMessage::operator<<#
    {17, 331, 298},	// QDBusMessage::operator=#
    {17, 359, 310},	// QDBusMessage::path
    {17, 545, 309},	// QDBusMessage::service
    {17, 560, 322},	// QDBusMessage::setArguments?
    {17, 564, 320},	// QDBusMessage::setAutoStartService$
    {17, 568, 318},	// QDBusMessage::setDelayedReply$
    {17, 573, 316},	// QDBusMessage::signature
    {17, 589, 315},	// QDBusMessage::type
    {17, 608, 331},	// QDBusMessage::~QDBusMessage
    {18, 101, 337},	// QDBusMetaType::QDBusMetaType
    {18, 102, 338},	// QDBusMetaType::QDBusMetaType#
    {18, 240, 334},	// QDBusMetaType::demarshall#$$
    {18, 284, 333},	// QDBusMetaType::marshall#$$
    {18, 527, 332},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 575, 335},	// QDBusMetaType::signatureToType$
    {18, 591, 336},	// QDBusMetaType::typeToSignature$
    {18, 609, 339},	// QDBusMetaType::~QDBusMetaType
    {19, 104, 340},	// QDBusPendingCall::QDBusPendingCall#
    {19, 253, 346},	// QDBusPendingCall::error
    {19, 263, 349},	// QDBusPendingCall::fromCompletedCall#
    {19, 265, 348},	// QDBusPendingCall::fromError#
    {19, 276, 344},	// QDBusPendingCall::isError
    {19, 277, 342},	// QDBusPendingCall::isFinished
    {19, 281, 345},	// QDBusPendingCall::isValid
    {19, 331, 341},	// QDBusPendingCall::operator=#
    {19, 538, 347},	// QDBusPendingCall::reply
    {19, 597, 343},	// QDBusPendingCall::waitForFinished
    {19, 610, 350},	// QDBusPendingCall::~QDBusPendingCall
    {20, 106, 363},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 107, 358},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 261, 360},	// QDBusPendingCallWatcher::finished#
    {20, 287, 351},	// QDBusPendingCallWatcher::metaObject
    {20, 514, 357},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 516, 352},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 578, 364},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 582, 361},	// QDBusPendingCallWatcher::tr$
    {20, 583, 353},	// QDBusPendingCallWatcher::tr$$
    {20, 584, 355},	// QDBusPendingCallWatcher::tr$$$
    {20, 586, 362},	// QDBusPendingCallWatcher::trUtf8$
    {20, 587, 354},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 588, 356},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 597, 359},	// QDBusPendingCallWatcher::waitForFinished
    {20, 611, 365},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 109, 380},	// QDBusServer::QDBusServer$
    {21, 110, 373},	// QDBusServer::QDBusServer$#
    {21, 151, 376},	// QDBusServer::address
    {21, 274, 374},	// QDBusServer::isConnected
    {21, 282, 375},	// QDBusServer::lastError
    {21, 287, 366},	// QDBusServer::metaObject
    {21, 290, 377},	// QDBusServer::newConnection#
    {21, 514, 372},	// QDBusServer::qt_metacall$$?
    {21, 516, 367},	// QDBusServer::qt_metacast$
    {21, 578, 381},	// QDBusServer::staticMetaObject
    {21, 582, 378},	// QDBusServer::tr$
    {21, 583, 368},	// QDBusServer::tr$$
    {21, 584, 370},	// QDBusServer::tr$$$
    {21, 586, 379},	// QDBusServer::trUtf8$
    {21, 587, 369},	// QDBusServer::trUtf8$$
    {21, 588, 371},	// QDBusServer::trUtf8$$$
    {21, 612, 382},	// QDBusServer::~QDBusServer
    {22, 111, 405},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 112, 390},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 113, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 114, 407},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 115, 391},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 146, 411},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 147, 409},	// QDBusServiceWatcher::WatchForRegistration
    {22, 148, 410},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 150, 394},	// QDBusServiceWatcher::addWatchedService$
    {22, 222, 398},	// QDBusServiceWatcher::connection
    {22, 287, 383},	// QDBusServiceWatcher::metaObject
    {22, 514, 389},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 516, 384},	// QDBusServiceWatcher::qt_metacast$
    {22, 537, 395},	// QDBusServiceWatcher::removeWatchedService$
    {22, 549, 402},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 553, 400},	// QDBusServiceWatcher::serviceRegistered$
    {22, 557, 401},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 566, 399},	// QDBusServiceWatcher::setConnection#
    {22, 570, 397},	// QDBusServiceWatcher::setWatchMode$
    {22, 572, 393},	// QDBusServiceWatcher::setWatchedServices?
    {22, 578, 408},	// QDBusServiceWatcher::staticMetaObject
    {22, 582, 403},	// QDBusServiceWatcher::tr$
    {22, 583, 385},	// QDBusServiceWatcher::tr$$
    {22, 584, 387},	// QDBusServiceWatcher::tr$$$
    {22, 586, 404},	// QDBusServiceWatcher::trUtf8$
    {22, 587, 386},	// QDBusServiceWatcher::trUtf8$$
    {22, 588, 388},	// QDBusServiceWatcher::trUtf8$$$
    {22, 598, 396},	// QDBusServiceWatcher::watchMode
    {22, 599, 392},	// QDBusServiceWatcher::watchedServices
    {22, 613, 412},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 43, 870},	// QGlobalSpace::LicensedActiveQt
    {31, 44, 876},	// QGlobalSpace::LicensedCore
    {31, 45, 868},	// QGlobalSpace::LicensedDBus
    {31, 46, 873},	// QGlobalSpace::LicensedDeclarative
    {31, 47, 863},	// QGlobalSpace::LicensedGui
    {31, 48, 882},	// QGlobalSpace::LicensedHelp
    {31, 49, 883},	// QGlobalSpace::LicensedMultimedia
    {31, 50, 886},	// QGlobalSpace::LicensedNetwork
    {31, 51, 875},	// QGlobalSpace::LicensedOpenGL
    {31, 52, 867},	// QGlobalSpace::LicensedOpenVG
    {31, 53, 884},	// QGlobalSpace::LicensedQt3Support
    {31, 54, 865},	// QGlobalSpace::LicensedQt3SupportLight
    {31, 55, 866},	// QGlobalSpace::LicensedScript
    {31, 56, 871},	// QGlobalSpace::LicensedScriptTools
    {31, 57, 874},	// QGlobalSpace::LicensedSql
    {31, 58, 872},	// QGlobalSpace::LicensedSvg
    {31, 59, 869},	// QGlobalSpace::LicensedTest
    {31, 60, 864},	// QGlobalSpace::LicensedXml
    {31, 61, 885},	// QGlobalSpace::LicensedXmlPatterns
    {31, 116, 858},	// QGlobalSpace::Q_COMPLEX_TYPE
    {31, 117, 862},	// QGlobalSpace::Q_DUMMY_TYPE
    {31, 118, 861},	// QGlobalSpace::Q_MOVABLE_TYPE
    {31, 119, 859},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {31, 120, 860},	// QGlobalSpace::Q_STATIC_TYPE
    {31, 121, 879},	// QGlobalSpace::QtCriticalMsg
    {31, 122, 877},	// QGlobalSpace::QtDebugMsg
    {31, 123, 880},	// QGlobalSpace::QtFatalMsg
    {31, 124, 881},	// QGlobalSpace::QtSystemMsg
    {31, 125, 878},	// QGlobalSpace::QtWarningMsg
    {31, 294, -63},	// QGlobalSpace::operator!=##
    {31, 295, -80},	// QGlobalSpace::operator!=#$
    {31, 296, -86},	// QGlobalSpace::operator!=$#
    {31, 297, -93},	// QGlobalSpace::operator!=$$
    {31, 299, 586},	// QGlobalSpace::operator&##
    {31, 301, -97},	// QGlobalSpace::operator*#$
    {31, 302, -102},	// QGlobalSpace::operator*$#
    {31, 304, -107},	// QGlobalSpace::operator+##
    {31, 305, -113},	// QGlobalSpace::operator+#$
    {31, 306, -118},	// QGlobalSpace::operator+$#
    {31, 307, -123},	// QGlobalSpace::operator+$$
    {31, 309, -129},	// QGlobalSpace::operator-#
    {31, 310, -132},	// QGlobalSpace::operator-##
    {31, 312, -137},	// QGlobalSpace::operator/#$
    {31, 314, -142},	// QGlobalSpace::operator<##
    {31, 315, 432},	// QGlobalSpace::operator<#$
    {31, 316, -147},	// QGlobalSpace::operator<$#
    {31, 317, -150},	// QGlobalSpace::operator<$$
    {31, 320, -154},	// QGlobalSpace::operator<<##
    {31, 321, -209},	// QGlobalSpace::operator<<#$
    {31, 322, -215},	// QGlobalSpace::operator<<#?
    {31, 326, -219},	// QGlobalSpace::operator<=##
    {31, 327, 617},	// QGlobalSpace::operator<=#$
    {31, 328, -224},	// QGlobalSpace::operator<=$#
    {31, 329, 571},	// QGlobalSpace::operator<=$$
    {31, 333, -227},	// QGlobalSpace::operator==##
    {31, 334, -246},	// QGlobalSpace::operator==#$
    {31, 335, -252},	// QGlobalSpace::operator==$#
    {31, 336, -259},	// QGlobalSpace::operator==$$
    {31, 338, -263},	// QGlobalSpace::operator>##
    {31, 339, 816},	// QGlobalSpace::operator>#$
    {31, 340, -268},	// QGlobalSpace::operator>$#
    {31, 341, 433},	// QGlobalSpace::operator>$$
    {31, 343, -271},	// QGlobalSpace::operator>=##
    {31, 344, 589},	// QGlobalSpace::operator>=#$
    {31, 345, -276},	// QGlobalSpace::operator>=$#
    {31, 346, 761},	// QGlobalSpace::operator>=$$
    {31, 349, -279},	// QGlobalSpace::operator>>##
    {31, 350, -313},	// QGlobalSpace::operator>>#$
    {31, 351, 693},	// QGlobalSpace::operator>>#?
    {31, 355, 846},	// QGlobalSpace::operator^##
    {31, 357, 502},	// QGlobalSpace::operator|##
    {31, 358, -316},	// QGlobalSpace::operator|$$
    {31, 361, 416},	// QGlobalSpace::qAcos$
    {31, 363, 697},	// QGlobalSpace::qAddPostRoutine$
    {31, 364, 422},	// QGlobalSpace::qAppName
    {31, 366, 847},	// QGlobalSpace::qAsin$
    {31, 368, 504},	// QGlobalSpace::qAtan$
    {31, 370, 481},	// QGlobalSpace::qAtan2$$
    {31, 371, 849},	// QGlobalSpace::qBadAlloc
    {31, 373, 685},	// QGlobalSpace::qCeil$
    {31, 375, 625},	// QGlobalSpace::qChecksum$$
    {31, 377, 522},	// QGlobalSpace::qCompress#
    {31, 378, 521},	// QGlobalSpace::qCompress#$
    {31, 379, 744},	// QGlobalSpace::qCompress$$
    {31, 380, 743},	// QGlobalSpace::qCompress$$$
    {31, 382, 713},	// QGlobalSpace::qCos$
    {31, 383, 635},	// QGlobalSpace::qCritical
    {31, 385, 590},	// QGlobalSpace::qDBusReplyFill###
    {31, 386, 567},	// QGlobalSpace::qDebug
    {31, 388, 651},	// QGlobalSpace::qExp$
    {31, 390, 541},	// QGlobalSpace::qFabs$
    {31, 392, 618},	// QGlobalSpace::qFastCos$
    {31, 394, 442},	// QGlobalSpace::qFastSin$
    {31, 396, 609},	// QGlobalSpace::qFlagLocation$
    {31, 398, 745},	// QGlobalSpace::qFloor$
    {31, 400, 759},	// QGlobalSpace::qFree$
    {31, 402, 836},	// QGlobalSpace::qFreeAligned$
    {31, 404, -410},	// QGlobalSpace::qFuzzyCompare$$
    {31, 406, -413},	// QGlobalSpace::qFuzzyIsNull$
    {31, 408, -416},	// QGlobalSpace::qHash#
    {31, 409, -424},	// QGlobalSpace::qHash$
    {31, 410, 705},	// QGlobalSpace::qInf
    {31, 412, 629},	// QGlobalSpace::qInstallMsgHandler$
    {31, 414, -439},	// QGlobalSpace::qIntCast$
    {31, 416, -442},	// QGlobalSpace::qIsFinite$
    {31, 418, -445},	// QGlobalSpace::qIsInf$
    {31, 420, -448},	// QGlobalSpace::qIsNaN$
    {31, 422, -451},	// QGlobalSpace::qIsNull$
    {31, 424, 843},	// QGlobalSpace::qLn$
    {31, 426, 801},	// QGlobalSpace::qMalloc$
    {31, 428, 715},	// QGlobalSpace::qMallocAligned$$
    {31, 430, 758},	// QGlobalSpace::qMemCopy$$$
    {31, 432, 682},	// QGlobalSpace::qMemSet$$$
    {31, 434, 636},	// QGlobalSpace::qPow$$
    {31, 435, 471},	// QGlobalSpace::qQNaN
    {31, 437, 549},	// QGlobalSpace::qRealloc$$
    {31, 439, 526},	// QGlobalSpace::qReallocAligned$$$$
    {31, 441, 698},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 443, 619},	// QGlobalSpace::qRemovePostRoutine$
    {31, 445, 413},	// QGlobalSpace::qRound$
    {31, 447, 792},	// QGlobalSpace::qRound64$
    {31, 448, 796},	// QGlobalSpace::qSNaN
    {31, 450, 820},	// QGlobalSpace::qSetFieldWidth$
    {31, 452, 473},	// QGlobalSpace::qSetPadChar#
    {31, 454, 767},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 455, 700},	// QGlobalSpace::qSharedBuild
    {31, 457, 775},	// QGlobalSpace::qSin$
    {31, 459, 529},	// QGlobalSpace::qSqrt$
    {31, 461, 736},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 462, 821},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 464, 791},	// QGlobalSpace::qTan$
    {31, 466, 613},	// QGlobalSpace::qUncompress#
    {31, 467, 520},	// QGlobalSpace::qUncompress$$
    {31, 468, 725},	// QGlobalSpace::qVersion
    {31, 469, 556},	// QGlobalSpace::qWarning
    {31, 471, 662},	// QGlobalSpace::qbswap_helper$$$
    {31, 473, 431},	// QGlobalSpace::qgetenv$
    {31, 475, 803},	// QGlobalSpace::qputenv$#
    {31, 476, 768},	// QGlobalSpace::qrand
    {31, 478, 672},	// QGlobalSpace::qsrand$
    {31, 480, 585},	// QGlobalSpace::qstrcmp##
    {31, 481, 489},	// QGlobalSpace::qstrcmp#$
    {31, 482, 506},	// QGlobalSpace::qstrcmp$#
    {31, 483, 493},	// QGlobalSpace::qstrcmp$$
    {31, 485, 501},	// QGlobalSpace::qstrcpy$$
    {31, 487, 490},	// QGlobalSpace::qstrdup$
    {31, 489, 680},	// QGlobalSpace::qstricmp$$
    {31, 491, 781},	// QGlobalSpace::qstrlen$
    {31, 493, 444},	// QGlobalSpace::qstrncmp$$$
    {31, 495, 426},	// QGlobalSpace::qstrncpy$$$
    {31, 497, 706},	// QGlobalSpace::qstrnicmp$$$
    {31, 499, 453},	// QGlobalSpace::qstrnlen$$
    {31, 501, 480},	// QGlobalSpace::qtTrId$
    {31, 502, 479},	// QGlobalSpace::qtTrId$$
    {31, 504, 779},	// QGlobalSpace::qt_assert$$$
    {31, 506, 718},	// QGlobalSpace::qt_assert_x$$$$
    {31, 508, 514},	// QGlobalSpace::qt_check_pointer$$
    {31, 509, 466},	// QGlobalSpace::qt_error_string
    {31, 510, 465},	// QGlobalSpace::qt_error_string$
    {31, 512, 671},	// QGlobalSpace::qt_message_output$$
    {31, 517, 643},	// QGlobalSpace::qt_noop
    {31, 519, 648},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 521, 463},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 523, 659},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 525, 447},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 896,
        __smokeqtdbus::methodMaps, 540,
        __smokeqtdbus::methodNames, 613,
        __smokeqtdbus::types, 319,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
