#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 52: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 52: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 76: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 67: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 71: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 52: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 52: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 52: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 49: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 76: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 67: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 71: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 52: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 52: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkConfiguration
      switch(to) {
        case 40: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkConfigurationManager
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 41: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkCookie
      switch(to) {
        case 42: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkCookieJar
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 52: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkInterface
      switch(to) {
        case 45: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxy
      switch(to) {
        case 46: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxyFactory
      switch(to) {
        case 47: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxyQuery
      switch(to) {
        case 48: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 52: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 49: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkRequest
      switch(to) {
        case 50: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkSession
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 51: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 52:   //QObject
      switch(to) {
        case 52: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 49: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 76: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 51: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 67: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 71: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 70: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 41: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 53:   //QPersistentModelIndex
      switch(to) {
        case 53: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 54:   //QPoint
      switch(to) {
        case 54: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 55:   //QPointF
      switch(to) {
        case 55: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QSize
      switch(to) {
        case 59: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 60:   //QSizeF
      switch(to) {
        case 60: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSslCertificate
      switch(to) {
        case 62: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 63:   //QSslCipher
      switch(to) {
        case 63: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 64:   //QSslConfiguration
      switch(to) {
        case 64: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 65:   //QSslError
      switch(to) {
        case 65: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 66:   //QSslKey
      switch(to) {
        case 66: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 67:   //QSslSocket
      switch(to) {
        case 71: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 52: return (void*)(QObject*)(QSslSocket*)xptr;
        case 67: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 68:   //QString::Null
      switch(to) {
        case 68: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 69:   //QStringRef
      switch(to) {
        case 69: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 70:   //QTcpServer
      switch(to) {
        case 52: return (void*)(QObject*)(QTcpServer*)xptr;
        case 70: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 71:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 52: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 71: return (void*)(QTcpSocket*)xptr;
        case 67: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 72:   //QTextStream
      switch(to) {
        case 72: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 73:   //QTextStreamManipulator
      switch(to) {
        case 73: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 74:   //QTime
      switch(to) {
        case 74: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 75:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 75: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 52: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 76: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 77:   //QUrl
      switch(to) {
        case 77: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 78:   //QUrlInfo
      switch(to) {
        case 78: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 79:   //QUuid
      switch(to) {
        case 79: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 80:   //QVariant
      switch(to) {
        case 80: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 81:   //QVariantComparisonHelper
      switch(to) {
        case 81: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 82:   //sockaddr
      switch(to) {
        case 82: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    52, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    71, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//40
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//41
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//42
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//43
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//44
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//45
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//46
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//47
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//48
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//49
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//50
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//51
    { "QObject", true, 0, 0, 0, 0, 0 },	//52
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//53
    { "QPoint", true, 0, 0, 0, 0, 0 },	//54
    { "QPointF", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QSize", true, 0, 0, 0, 0, 0 },	//59
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//60
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//61
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//62
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//63
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//64
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//65
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//66
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//67
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//68
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//69
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//70
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//71
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//72
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//73
    { "QTime", true, 0, 0, 0, 0, 0 },	//74
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//76
    { "QUrl", true, 0, 0, 0, 0, 0 },	//77
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//78
    { "QUuid", true, 0, 0, 0, 0, 0 },	//79
    { "QVariant", true, 0, 0, 0, 0, 0 },	//80
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//81
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//82
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//78
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//88
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//89
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//91
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//92
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QIODevice::OpenModeFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//97
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//99
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//102
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//103
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//116
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//121
    { "QLocale::NumberOption", 33, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QNetworkAccessManager::NetworkAccessibility", 37, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//130
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//131
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QNetworkConfiguration", 40, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkConfiguration&", 40, Smoke::t_class|Smoke::tf_ref },	//134
    { "QNetworkConfiguration*", 40, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkConfiguration::BearerType", 40, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QNetworkConfiguration::Purpose", 40, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QNetworkConfiguration::StateFlag", 40, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QNetworkConfiguration::Type", 40, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkConfigurationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QNetworkConfigurationManager::Capability", 41, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref },	//142
    { "QNetworkCookie*", 42, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QNetworkCookie::RawForm", 42, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkCookieJar*", 43, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkDiskCache*", 44, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkInterface", 45, Smoke::t_class|Smoke::tf_stack },	//147
    { "QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref },	//148
    { "QNetworkInterface*", 45, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QNetworkInterface::InterfaceFlag", 45, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QNetworkProxy", 46, Smoke::t_class|Smoke::tf_stack },	//151
    { "QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref },	//152
    { "QNetworkProxy*", 46, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QNetworkProxy::Capability", 46, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QNetworkProxy::ProxyType", 46, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxyFactory*", 47, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref },	//157
    { "QNetworkProxyQuery*", 48, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QNetworkProxyQuery::QueryType", 48, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QNetworkReply*", 49, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QNetworkReply::NetworkError", 49, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QNetworkRequest", 50, Smoke::t_class|Smoke::tf_stack },	//162
    { "QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref },	//163
    { "QNetworkRequest*", 50, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QNetworkRequest::Attribute", 50, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QNetworkRequest::CacheLoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest::KnownHeaders", 50, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QNetworkRequest::LoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QNetworkRequest::Priority", 50, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QNetworkSession*", 51, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QNetworkSession::SessionError", 51, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QNetworkSession::State", 51, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QObject*", 52, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QObject*(*)()", 52, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QPoint&", 54, Smoke::t_class|Smoke::tf_ref },	//176
    { "QPointF&", 55, Smoke::t_class|Smoke::tf_ref },	//177
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//178
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//179
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//180
    { "QRegExp::PatternSyntax", 58, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QSize&", 59, Smoke::t_class|Smoke::tf_ref },	//182
    { "QSizeF&", 60, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSsl::AlternateNameEntryType", 61, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QSsl::EncodingFormat", 61, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QSsl::KeyAlgorithm", 61, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSsl::KeyType", 61, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QSsl::SslProtocol", 61, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QSslCertificate", 62, Smoke::t_class|Smoke::tf_stack },	//189
    { "QSslCertificate&", 62, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSslCertificate*", 62, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QSslCertificate::SubjectInfo", 62, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QSslCipher", 63, Smoke::t_class|Smoke::tf_stack },	//193
    { "QSslCipher&", 63, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSslCipher*", 63, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QSslConfiguration", 64, Smoke::t_class|Smoke::tf_stack },	//196
    { "QSslConfiguration&", 64, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSslConfiguration*", 64, Smoke::t_class|Smoke::tf_ptr },	//198
    { "QSslError&", 65, Smoke::t_class|Smoke::tf_ref },	//199
    { "QSslError*", 65, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QSslError::SslError", 65, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSslKey", 66, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSslKey&", 66, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSslKey*", 66, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSslSocket*", 67, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSslSocket::PeerVerifyMode", 67, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSslSocket::SslMode", 67, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//208
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//209
    { "QString::Null", 68, Smoke::t_class|Smoke::tf_stack },	//210
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//213
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "QTcpServer*", 70, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QTcpSocket*", 71, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QTextStream&", 72, Smoke::t_class|Smoke::tf_ref },	//218
    { "QTextStream&(*)(QTextStream&)", 72, Smoke::t_class|Smoke::tf_ref },	//219
    { "QTextStream::NumberFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QTextStreamManipulator", 73, Smoke::t_class|Smoke::tf_stack },	//221
    { "QTime&", 74, Smoke::t_class|Smoke::tf_ref },	//222
    { "QTimerEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QUdpSocket*", 76, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QUdpSocket::BindFlag", 76, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QUrl", 77, Smoke::t_class|Smoke::tf_stack },	//226
    { "QUrl&", 77, Smoke::t_class|Smoke::tf_ref },	//227
    { "QUrl::FormattingOption", 77, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QUrlInfo&", 78, Smoke::t_class|Smoke::tf_ref },	//229
    { "QUrlInfo*", 78, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QUrlInfo::PermissionSpec", 78, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QUuid&", 79, Smoke::t_class|Smoke::tf_ref },	//232
    { "QVariant", 80, Smoke::t_class|Smoke::tf_stack },	//233
    { "QVariant&", 80, Smoke::t_class|Smoke::tf_ref },	//234
    { "QVariant::Type", 80, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QVariant::Type&", 80, Smoke::t_enum|Smoke::tf_ref },	//236
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//312
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//315
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//316
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//317
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//318
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//319
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//320
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//321
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//322
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//323
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//324
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//325
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//326
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//327
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//328
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//329
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//330
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//331
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//332
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//333
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//336
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//364
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QNetworkConfiguration&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QNetworkProxyFactory&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//375
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QPersistentModelIndex&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QPoint", 54, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//378
    { "const QPoint&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QPointF", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//380
    { "const QPointF&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//385
    { "const QSize", 59, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//386
    { "const QSize&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QSizeF", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//388
    { "const QSizeF&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QSslCertificate&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QSslCipher&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QSslConfiguration&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QSslError&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QSslError::SslError&", 65, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QSslKey&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//396
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//399
    { "const QStringRef&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QTime&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QUrl&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QUrlInfo&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QUuid&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QVariant&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QVariant::Type", 80, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//406
    { "const QVariantComparisonHelper&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const sockaddr*", 82, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//412
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//413
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//414
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//415
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//416
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//417
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//418
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//419
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//420
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//421
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//422
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//423
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//424
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//425
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//426
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//427
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//428
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//429
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//430
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//431
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//432
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//433
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//434
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    408, 0,	//1  const char*
    408, 408, 0,	//3  const char*, const char*
    408, 408, 414, 0,	//6  const char*, const char*, int
    123, 414, 434, 0,	//10  QMetaObject::Call, int, void**
    402, 0,	//14  const QUrl&
    367, 0,	//16  const QNetworkCacheMetaData&
    94, 0,	//18  QIODevice*
    173, 0,	//20  QObject*
    8, 173, 0,	//22  QAbstractSocket::SocketType, QObject*
    397, 428, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    345, 428, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    416, 0,	//33  long long
    414, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 405, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    414, 0,	//44  int
    371, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    371, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    397, 418, 95, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    333, 416, 0,	//59  char*, long long
    408, 416, 0,	//62  const char*, long long
    428, 0,	//65  unsigned short
    345, 0,	//67  const QHostAddress&
    397, 0,	//69  const QString&
    397, 428, 0,	//71  const QString&, unsigned short
    345, 428, 0,	//74  const QHostAddress&, unsigned short
    414, 7, 0,	//77  int, QAbstractSocket::SocketState
    397, 418, 0,	//80  const QString&, quint16
    334, 0,	//83  const QAuthenticator&
    397, 405, 0,	//85  const QString&, const QVariant&
    397, 397, 0,	//88  const QString&, const QString&
    70, 0,	//91  QFtp::TransferMode
    397, 94, 71, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    337, 397, 71, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    94, 397, 71, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    403, 0,	//105  const QUrlInfo&
    417, 417, 0,	//107  qint64, qint64
    414, 397, 0,	//110  int, const QString&
    414, 330, 0,	//113  int, bool
    330, 0,	//116  bool
    397, 94, 0,	//118  const QString&, QIODevice*
    337, 397, 0,	//121  const QByteArray&, const QString&
    94, 397, 0,	//124  QIODevice*, const QString&
    412, 0,	//127  double
    31, 31, 0,	//129  QFile::Permission, QFile::Permission
    20, 17, 0,	//132  QDataStream&, QChar&
    27, 35, 0,	//135  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    408, 351, 0,	//138  const char*, const QLatin1String&
    20, 121, 0,	//141  QDataStream&, QLocale&
    307, 414, 0,	//144  Qt::WindowType, int
    333, 408, 425, 0,	//147  char*, const char*, unsigned int
    425, 0,	//151  unsigned int
    332, 0,	//153  char
    389, 412, 0,	//155  const QSizeF&, double
    24, 352, 0,	//158  QDebug, const QLine&
    337, 408, 0,	//161  const QByteArray&, const char*
    408, 397, 0,	//164  const char*, const QString&
    20, 178, 0,	//167  QDataStream&, QRect&
    272, 272, 0,	//170  Qt::ItemFlag, Qt::ItemFlag
    405, 407, 0,	//173  const QVariant&, const QVariantComparisonHelper&
    24, 38, 0,	//176  QDebug, QFlags<QIODevice::OpenModeFlag>
    387, 387, 0,	//179  const QSize&, const QSize&
    24, 345, 0,	//182  QDebug, const QHostAddress&
    16, 397, 0,	//185  QChar, const QString&
    408, 408, 425, 0,	//188  const char*, const char*, unsigned int
    351, 351, 0,	//192  const QLatin1String&, const QLatin1String&
    400, 400, 0,	//195  const QStringRef&, const QStringRef&
    24, 119, 0,	//198  QDebug, QLocalSocket::LocalSocketError
    333, 421, 408, 430, 0,	//201  char*, size_t, const char*, va_list
    381, 381, 0,	//206  const QPointF&, const QPointF&
    397, 400, 0,	//209  const QString&, const QStringRef&
    20, 345, 0,	//212  QDataStream&, const QHostAddress&
    397, 16, 0,	//215  const QString&, QChar
    408, 425, 0,	//218  const char*, unsigned int
    20, 28, 0,	//221  QDataStream&, QEasingCurve&
    351, 400, 0,	//224  const QLatin1String&, const QStringRef&
    24, 339, 0,	//227  QDebug, const QDate&
    297, 297, 0,	//230  Qt::ToolBarArea, Qt::ToolBarArea
    24, 353, 0,	//233  QDebug, const QLineF&
    383, 383, 0,	//236  const QRectF&, const QRectF&
    422, 0,	//239  unsigned char
    375, 397, 385, 363, 116, 0,	//241  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    400, 351, 0,	//247  const QStringRef&, const QLatin1String&
    20, 21, 0,	//250  QDataStream&, QDate&
    413, 0,	//253  float
    294, 414, 0,	//255  Qt::TextInteractionFlag, int
    16, 16, 0,	//258  QChar, QChar
    16, 0,	//261  QChar
    20, 227, 0,	//263  QDataStream&, QUrl&
    24, 365, 0,	//266  QDebug, const QModelIndex&
    101, 39, 0,	//269  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    24, 394, 0,	//272  QDebug, const QSslError::SslError&
    408, 414, 0,	//275  const char*, int
    412, 412, 0,	//278  double, double
    20, 406, 0,	//281  QDataStream&, const QVariant::Type
    419, 0,	//284  short
    20, 405, 0,	//286  QDataStream&, const QVariant&
    294, 61, 0,	//289  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 390, 0,	//292  QDebug, const QSslCertificate&
    272, 56, 0,	//295  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    415, 0,	//298  long
    269, 55, 0,	//300  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    20, 389, 0,	//303  QDataStream&, const QSizeF&
    210, 210, 0,	//306  QString::Null, QString::Null
    408, 337, 0,	//309  const char*, const QByteArray&
    150, 150, 0,	//312  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    150, 43, 0,	//315  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    77, 345, 0,	//318  QHostAddress::SpecialAddress, const QHostAddress&
    335, 0,	//321  const QBitArray&
    27, 27, 0,	//323  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    333, 408, 0,	//326  char*, const char*
    335, 335, 0,	//329  const QBitArray&, const QBitArray&
    379, 379, 0,	//332  const QPoint&, const QPoint&
    275, 57, 0,	//335  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    381, 412, 0,	//338  const QPointF&, double
    24, 389, 0,	//341  QDebug, const QSizeF&
    344, 344, 0,	//344  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//347  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    225, 414, 0,	//350  QUdpSocket::BindFlag, int
    20, 232, 0,	//353  QDataStream&, QUuid&
    382, 382, 0,	//356  const QRect&, const QRect&
    337, 337, 0,	//359  const QByteArray&, const QByteArray&
    410, 414, 0,	//362  const unsigned char*, int
    225, 48, 0,	//365  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    337, 414, 0,	//368  const QByteArray&, int
    337, 0,	//371  const QByteArray&
    20, 397, 0,	//373  QDataStream&, const QString&
    218, 219, 0,	//376  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 393, 0,	//379  QDebug, const QSslError&
    258, 414, 0,	//382  Qt::DropAction, int
    433, 421, 421, 421, 0,	//385  void*, size_t, size_t, size_t
    278, 414, 0,	//390  Qt::MatchFlag, int
    20, 379, 0,	//393  QDataStream&, const QPoint&
    24, 7, 0,	//396  QDebug, QAbstractSocket::SocketState
    24, 382, 0,	//399  QDebug, const QRect&
    24, 5, 0,	//402  QDebug, QAbstractSocket::SocketError
    217, 46, 0,	//405  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    294, 294, 0,	//408  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    211, 45, 0,	//411  QString::SectionFlag, QFlags<QString::SectionFlag>
    24, 341, 0,	//414  QDebug, const QDir&
    280, 280, 0,	//417  Qt::MouseButton, Qt::MouseButton
    433, 421, 0,	//420  void*, size_t
    258, 258, 0,	//423  Qt::DropAction, Qt::DropAction
    1, 414, 0,	//426  QAbstractFileEngine::FileFlag, int
    397, 210, 0,	//429  const QString&, QString::Null
    263, 53, 0,	//432  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    30, 414, 0,	//435  QEventLoop::ProcessEventsFlag, int
    24, 192, 0,	//438  QDebug, QSslCertificate::SubjectInfo
    96, 96, 0,	//441  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    122, 122, 0,	//444  QLocale::NumberOption, QLocale::NumberOption
    20, 103, 0,	//447  QDataStream&, QLineF&
    24, 395, 0,	//450  QDebug, const QSslKey&
    20, 353, 0,	//453  QDataStream&, const QLineF&
    389, 389, 0,	//456  const QSizeF&, const QSizeF&
    412, 387, 0,	//459  double, const QSize&
    256, 51, 0,	//462  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    278, 58, 0,	//465  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    381, 0,	//468  const QPointF&
    237, 414, 0,	//470  Qt::AlignmentFlag, int
    267, 414, 0,	//473  Qt::ImageConversionFlag, int
    24, 387, 0,	//476  QDebug, const QSize&
    217, 414, 0,	//479  QTextCodec::ConversionFlag, int
    24, 379, 0,	//482  QDebug, const QPoint&
    379, 0,	//485  const QPoint&
    24, 402, 0,	//487  QDebug, const QUrl&
    20, 381, 0,	//490  QDataStream&, const QPointF&
    217, 217, 0,	//493  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    20, 75, 0,	//496  QDataStream&, QHostAddress&
    13, 13, 0,	//499  QBool, QBool
    397, 332, 0,	//502  const QString&, char
    408, 400, 0,	//505  const char*, const QStringRef&
    427, 0,	//508  unsigned long long
    220, 414, 0,	//510  QTextStream::NumberFlag, int
    24, 381, 0,	//513  QDebug, const QPointF&
    210, 397, 0,	//516  QString::Null, const QString&
    431, 0,	//519  void(*)()
    122, 40, 0,	//521  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    263, 263, 0,	//524  Qt::GestureFlag, Qt::GestureFlag
    20, 179, 0,	//527  QDataStream&, QRectF&
    413, 413, 0,	//530  float, float
    20, 338, 0,	//533  QDataStream&, const QChar&
    20, 177, 0,	//536  QDataStream&, QPointF&
    387, 412, 0,	//539  const QSize&, double
    432, 0,	//542  void(*)(QtMsgType,const char*)
    218, 221, 0,	//544  QTextStream&, QTextStreamManipulator
    237, 237, 0,	//547  Qt::AlignmentFlag, Qt::AlignmentFlag
    20, 102, 0,	//550  QDataStream&, QLine&
    25, 25, 0,	//553  QDir::Filter, QDir::Filter
    379, 412, 0,	//556  const QPoint&, double
    20, 337, 0,	//559  QDataStream&, const QByteArray&
    20, 342, 0,	//562  QDataStream&, const QEasingCurve&
    20, 367, 0,	//565  QDataStream&, const QNetworkCacheMetaData&
    267, 267, 0,	//568  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    306, 414, 0,	//571  Qt::WindowState, int
    20, 209, 0,	//574  QDataStream&, QString&
    375, 397, 363, 0,	//577  const QObject*, const QString&, const QMetaObject&
    20, 383, 0,	//581  QDataStream&, const QRectF&
    20, 12, 0,	//584  QDataStream&, QBitArray&
    20, 182, 0,	//587  QDataStream&, QSize&
    275, 275, 0,	//590  Qt::KeyboardModifier, Qt::KeyboardModifier
    330, 13, 0,	//593  bool, QBool
    220, 220, 0,	//596  QTextStream::NumberFlag, QTextStream::NumberFlag
    20, 23, 0,	//599  QDataStream&, QDateTime&
    405, 235, 433, 0,	//602  const QVariant&, QVariant::Type, void*
    400, 397, 0,	//606  const QStringRef&, const QString&
    410, 424, 414, 0,	//609  const unsigned char*, unsigned char*, int
    275, 414, 0,	//613  Qt::KeyboardModifier, int
    20, 340, 0,	//616  QDataStream&, const QDateTime&
    30, 36, 0,	//619  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    310, 408, 0,	//622  QtMsgType, const char*
    362, 362, 0,	//625  const QMargins&, const QMargins&
    228, 228, 0,	//628  QUrl::FormattingOption, QUrl::FormattingOption
    154, 154, 0,	//631  QNetworkProxy::Capability, QNetworkProxy::Capability
    141, 42, 0,	//634  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    24, 406, 0,	//637  QDebug, const QVariant::Type
    256, 414, 0,	//640  Qt::DockWidgetArea, int
    20, 222, 0,	//643  QDataStream&, QTime&
    307, 307, 0,	//646  Qt::WindowType, Qt::WindowType
    433, 414, 421, 0,	//649  void*, int, size_t
    24, 340, 0,	//653  QDebug, const QDateTime&
    420, 0,	//656  signed char
    307, 65, 0,	//658  Qt::WindowType, QFlags<Qt::WindowType>
    306, 306, 0,	//661  Qt::WindowState, Qt::WindowState
    24, 405, 0,	//664  QDebug, const QVariant&
    20, 213, 0,	//667  QDataStream&, QStringList&
    31, 414, 0,	//670  QFile::Permission, int
    174, 0,	//673  QObject*(*)()
    412, 381, 0,	//675  double, const QPointF&
    20, 402, 0,	//678  QDataStream&, const QUrl&
    20, 401, 0,	//681  QDataStream&, const QTime&
    20, 176, 0,	//684  QDataStream&, QPoint&
    225, 225, 0,	//687  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    400, 0,	//690  const QStringRef&
    20, 180, 0,	//692  QDataStream&, QRegExp&
    269, 414, 0,	//695  Qt::InputMethodHint, int
    20, 361, 0,	//698  QDataStream&, const QLocale&
    421, 421, 0,	//701  size_t, size_t
    20, 335, 0,	//704  QDataStream&, const QBitArray&
    397, 337, 0,	//707  const QString&, const QByteArray&
    408, 408, 408, 414, 0,	//710  const char*, const char*, const char*, int
    228, 49, 0,	//715  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    30, 30, 0,	//718  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    337, 332, 0,	//721  const QByteArray&, char
    154, 414, 0,	//724  QNetworkProxy::Capability, int
    101, 101, 0,	//727  QLibrary::LoadHint, QLibrary::LoadHint
    237, 50, 0,	//730  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    20, 404, 0,	//733  QDataStream&, const QUuid&
    96, 38, 0,	//736  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 352, 0,	//739  QDataStream&, const QLine&
    263, 414, 0,	//742  Qt::GestureFlag, int
    400, 408, 0,	//745  const QStringRef&, const char*
    26, 34, 0,	//748  QDir::SortFlag, QFlags<QDir::SortFlag>
    24, 369, 0,	//751  QDebug, const QNetworkCookie&
    20, 339, 0,	//754  QDataStream&, const QDate&
    332, 337, 0,	//757  char, const QByteArray&
    397, 408, 0,	//760  const QString&, const char*
    101, 414, 0,	//763  QLibrary::LoadHint, int
    410, 414, 414, 0,	//766  const unsigned char*, int, int
    282, 282, 0,	//770  Qt::Orientation, Qt::Orientation
    13, 330, 0,	//773  QBool, bool
    20, 398, 0,	//776  QDataStream&, const QStringList&
    20, 384, 0,	//779  QDataStream&, const QRegExp&
    26, 414, 0,	//782  QDir::SortFlag, int
    433, 411, 421, 0,	//785  void*, const void*, size_t
    433, 0,	//789  void*
    297, 62, 0,	//791  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    24, 120, 0,	//794  QDebug, QLocalSocket::LocalSocketState
    24, 377, 0,	//797  QDebug, const QPersistentModelIndex&
    20, 234, 0,	//800  QDataStream&, QVariant&
    300, 63, 0,	//803  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    412, 379, 0,	//806  double, const QPoint&
    24, 370, 0,	//809  QDebug, const QNetworkInterface&
    24, 375, 0,	//812  QDebug, const QObject*
    24, 391, 0,	//815  QDebug, const QSslCipher&
    31, 37, 0,	//818  QFile::Permission, QFlags<QFile::Permission>
    20, 131, 0,	//821  QDataStream&, QNetworkCacheMetaData&
    24, 383, 0,	//824  QDebug, const QRectF&
    220, 47, 0,	//827  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 26, 0,	//830  QDir::SortFlag, QDir::SortFlag
    154, 44, 0,	//833  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    150, 414, 0,	//836  QNetworkInterface::InterfaceFlag, int
    300, 414, 0,	//839  Qt::TouchPointState, int
    25, 414, 0,	//842  QDir::Filter, int
    426, 0,	//845  unsigned long
    1, 32, 0,	//847  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    280, 59, 0,	//850  Qt::MouseButton, QFlags<Qt::MouseButton>
    258, 52, 0,	//853  Qt::DropAction, QFlags<Qt::DropAction>
    421, 0,	//856  size_t
    282, 414, 0,	//858  Qt::Orientation, int
    20, 236, 0,	//861  QDataStream&, QVariant::Type&
    297, 414, 0,	//864  Qt::ToolBarArea, int
    20, 15, 0,	//867  QDataStream&, QByteArray&
    20, 382, 0,	//870  QDataStream&, const QRect&
    24, 342, 0,	//873  QDebug, const QEasingCurve&
    377, 0,	//876  const QPersistentModelIndex&
    141, 141, 0,	//878  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 401, 0,	//881  QDebug, const QTime&
    122, 414, 0,	//884  QLocale::NumberOption, int
    300, 300, 0,	//887  Qt::TouchPointState, Qt::TouchPointState
    267, 54, 0,	//890  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    306, 64, 0,	//893  Qt::WindowState, QFlags<Qt::WindowState>
    256, 256, 0,	//896  Qt::DockWidgetArea, Qt::DockWidgetArea
    27, 414, 0,	//899  QDirIterator::IteratorFlag, int
    412, 389, 0,	//902  double, const QSizeF&
    24, 362, 0,	//905  QDebug, const QMargins&
    365, 0,	//908  const QModelIndex&
    228, 414, 0,	//910  QUrl::FormattingOption, int
    278, 278, 0,	//913  Qt::MatchFlag, Qt::MatchFlag
    269, 269, 0,	//916  Qt::InputMethodHint, Qt::InputMethodHint
    282, 60, 0,	//919  Qt::Orientation, QFlags<Qt::Orientation>
    24, 33, 0,	//922  QDebug, QFlags<QDir::Filter>
    272, 414, 0,	//925  Qt::ItemFlag, int
    280, 414, 0,	//928  Qt::MouseButton, int
    20, 183, 0,	//931  QDataStream&, QSizeF&
    96, 414, 0,	//934  QIODevice::OpenModeFlag, int
    211, 414, 0,	//937  QString::SectionFlag, int
    141, 414, 0,	//940  QNetworkConfigurationManager::Capability, int
    332, 397, 0,	//943  char, const QString&
    20, 387, 0,	//946  QDataStream&, const QSize&
    25, 33, 0,	//949  QDir::Filter, QFlags<QDir::Filter>
    211, 211, 0,	//952  QString::SectionFlag, QString::SectionFlag
    424, 0,	//955  unsigned char*
    350, 0,	//957  const QIPv6Address&
    409, 0,	//959  const sockaddr*
    77, 0,	//961  QHostAddress::SpecialAddress
    345, 414, 0,	//963  const QHostAddress&, int
    376, 0,	//966  const QPair<QHostAddress,int>&
    346, 0,	//968  const QHostInfo&
    354, 0,	//970  const QList<QHostAddress>&
    81, 0,	//972  QHostInfo::HostInfoError
    397, 173, 408, 0,	//974  const QString&, QObject*, const char*
    397, 428, 173, 0,	//978  const QString&, unsigned short, QObject*
    397, 83, 428, 173, 0,	//982  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    397, 83, 428, 0,	//987  const QString&, QHttp::ConnectionMode, unsigned short
    216, 0,	//991  QTcpSocket*
    397, 414, 397, 397, 0,	//993  const QString&, int, const QString&, const QString&
    397, 94, 94, 0,	//998  const QString&, QIODevice*, QIODevice*
    397, 337, 94, 0,	//1002  const QString&, const QByteArray&, QIODevice*
    348, 94, 94, 0,	//1006  const QHttpRequestHeader&, QIODevice*, QIODevice*
    348, 337, 94, 0,	//1010  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    349, 0,	//1014  const QHttpResponseHeader&
    414, 414, 0,	//1016  int, int
    397, 418, 10, 0,	//1019  const QString&, quint16, QAuthenticator*
    360, 0,	//1023  const QList<QSslError>&
    397, 83, 0,	//1025  const QString&, QHttp::ConnectionMode
    397, 414, 0,	//1028  const QString&, int
    397, 414, 397, 0,	//1031  const QString&, int, const QString&
    348, 0,	//1035  const QHttpRequestHeader&
    348, 94, 0,	//1037  const QHttpRequestHeader&, QIODevice*
    348, 337, 0,	//1040  const QHttpRequestHeader&, const QByteArray&
    347, 0,	//1043  const QHttpHeader&
    357, 0,	//1045  const QList<QPair<QString,QString> >&
    397, 397, 414, 414, 0,	//1047  const QString&, const QString&, int, int
    397, 397, 414, 0,	//1052  const QString&, const QString&, int
    414, 397, 414, 414, 0,	//1056  int, const QString&, int, int
    414, 397, 414, 0,	//1061  int, const QString&, int
    38, 0,	//1065  QFlags<QIODevice::OpenModeFlag>
    414, 331, 0,	//1067  int, bool*
    100, 0,	//1070  QIntegerForSizeof< void* >::Unsigned
    397, 38, 0,	//1072  const QString&, QFlags<QIODevice::OpenModeFlag>
    100, 120, 38, 0,	//1075  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    119, 0,	//1079  QLocalSocket::LocalSocketError
    120, 0,	//1081  QLocalSocket::LocalSocketState
    100, 120, 0,	//1083  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    156, 0,	//1086  QNetworkProxyFactory*
    2, 0,	//1088  QAbstractNetworkCache*
    145, 0,	//1090  QNetworkCookieJar*
    374, 0,	//1092  const QNetworkRequest&
    374, 94, 0,	//1094  const QNetworkRequest&, QIODevice*
    374, 337, 0,	//1097  const QNetworkRequest&, const QByteArray&
    374, 337, 94, 0,	//1100  const QNetworkRequest&, const QByteArray&, QIODevice*
    368, 0,	//1104  const QNetworkConfiguration&
    126, 0,	//1106  QNetworkAccessManager::NetworkAccessibility
    160, 10, 0,	//1108  QNetworkReply*, QAuthenticator*
    160, 0,	//1111  QNetworkReply*
    160, 360, 0,	//1113  QNetworkReply*, const QList<QSslError>&
    127, 374, 94, 0,	//1116  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    127, 374, 0,	//1120  QNetworkAccessManager::Operation, const QNetworkRequest&
    366, 0,	//1123  const QNetworkAddressEntry&
    356, 0,	//1125  const QList<QPair<QByteArray,QByteArray> >&
    340, 0,	//1127  const QDateTime&
    343, 0,	//1129  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1131  QFlags<QNetworkConfiguration::StateFlag>
    369, 0,	//1133  const QNetworkCookie&
    144, 0,	//1135  QNetworkCookie::RawForm
    355, 402, 0,	//1137  const QList<QNetworkCookie>&, const QUrl&
    355, 0,	//1140  const QList<QNetworkCookie>&
    370, 0,	//1142  const QNetworkInterface&
    155, 397, 428, 397, 397, 0,	//1144  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    155, 0,	//1150  QNetworkProxy::ProxyType
    44, 0,	//1152  QFlags<QNetworkProxy::Capability>
    155, 397, 0,	//1154  QNetworkProxy::ProxyType, const QString&
    155, 397, 428, 0,	//1157  QNetworkProxy::ProxyType, const QString&, unsigned short
    155, 397, 428, 397, 0,	//1161  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    373, 0,	//1166  const QNetworkProxyQuery&
    372, 0,	//1168  const QNetworkProxyFactory&
    402, 159, 0,	//1170  const QUrl&, QNetworkProxyQuery::QueryType
    397, 414, 397, 159, 0,	//1173  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    428, 397, 159, 0,	//1178  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    159, 0,	//1182  QNetworkProxyQuery::QueryType
    428, 397, 0,	//1184  unsigned short, const QString&
    167, 0,	//1187  QNetworkRequest::KnownHeaders
    165, 0,	//1189  QNetworkRequest::Attribute
    392, 0,	//1191  const QSslConfiguration&
    161, 0,	//1193  QNetworkReply::NetworkError
    127, 0,	//1195  QNetworkAccessManager::Operation
    161, 397, 0,	//1197  QNetworkReply::NetworkError, const QString&
    167, 405, 0,	//1200  QNetworkRequest::KnownHeaders, const QVariant&
    165, 405, 0,	//1203  QNetworkRequest::Attribute, const QVariant&
    169, 0,	//1206  QNetworkRequest::Priority
    368, 173, 0,	//1208  const QNetworkConfiguration&, QObject*
    172, 0,	//1211  QNetworkSession::State
    171, 0,	//1213  QNetworkSession::SessionError
    368, 330, 0,	//1215  const QNetworkConfiguration&, bool
    29, 0,	//1218  QEvent*
    173, 29, 0,	//1220  QObject*, QEvent*
    223, 0,	//1223  QTimerEvent*
    18, 0,	//1225  QChildEvent*
    94, 185, 0,	//1227  QIODevice*, QSsl::EncodingFormat
    337, 185, 0,	//1230  const QByteArray&, QSsl::EncodingFormat
    390, 0,	//1233  const QSslCertificate&
    19, 0,	//1235  QCryptographicHash::Algorithm
    192, 0,	//1237  QSslCertificate::SubjectInfo
    397, 185, 181, 0,	//1239  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    397, 185, 0,	//1243  const QString&, QSsl::EncodingFormat
    397, 188, 0,	//1246  const QString&, QSsl::SslProtocol
    391, 0,	//1249  const QSslCipher&
    188, 0,	//1251  QSsl::SslProtocol
    206, 0,	//1253  QSslSocket::PeerVerifyMode
    395, 0,	//1255  const QSslKey&
    359, 0,	//1257  const QList<QSslCipher>&
    358, 0,	//1259  const QList<QSslCertificate>&
    201, 0,	//1261  QSslError::SslError
    201, 390, 0,	//1263  QSslError::SslError, const QSslCertificate&
    393, 0,	//1266  const QSslError&
    337, 186, 185, 187, 337, 0,	//1268  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    94, 186, 185, 187, 337, 0,	//1274  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    337, 186, 0,	//1280  const QByteArray&, QSsl::KeyAlgorithm
    337, 186, 185, 0,	//1283  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    337, 186, 185, 187, 0,	//1287  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    94, 186, 0,	//1292  QIODevice*, QSsl::KeyAlgorithm
    94, 186, 185, 0,	//1295  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    94, 186, 185, 187, 0,	//1299  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    397, 428, 397, 38, 0,	//1304  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    397, 186, 185, 337, 0,	//1309  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    207, 0,	//1314  QSslSocket::SslMode
    417, 0,	//1316  qint64
    397, 428, 397, 0,	//1318  const QString&, unsigned short, const QString&
    397, 186, 0,	//1322  const QString&, QSsl::KeyAlgorithm
    397, 186, 185, 0,	//1325  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    345, 428, 48, 0,	//1329  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    428, 48, 0,	//1333  unsigned short, QFlags<QUdpSocket::BindFlag>
    333, 416, 76, 429, 0,	//1336  char*, long long, QHostAddress*, unsigned short*
    408, 416, 345, 428, 0,	//1341  const char*, long long, const QHostAddress&, unsigned short
    337, 345, 428, 0,	//1346  const QByteArray&, const QHostAddress&, unsigned short
    333, 416, 76, 0,	//1350  char*, long long, QHostAddress*
    397, 414, 397, 397, 416, 340, 340, 330, 330, 330, 330, 330, 330, 0,	//1354  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    402, 414, 397, 397, 416, 340, 340, 330, 330, 330, 330, 330, 330, 0,	//1368  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    403, 403, 414, 0,	//1382  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "ApplicationLevelRoaming",	//11
    "Ascii",	//12
    "AuthenticationRequiredError",	//13
    "AuthenticationReuseAttribute",	//14
    "AuthorityIssuerSerialNumberMismatch",	//15
    "AutoVerifyPeer",	//16
    "Automatic",	//17
    "Bearer2G",	//18
    "BearerBluetooth",	//19
    "BearerCDMA2000",	//20
    "BearerEthernet",	//21
    "BearerHSPA",	//22
    "BearerUnknown",	//23
    "BearerWCDMA",	//24
    "BearerWLAN",	//25
    "BearerWiMAX",	//26
    "Binary",	//27
    "BoundState",	//28
    "Broadcast",	//29
    "CacheLoadControlAttribute",	//30
    "CacheSaveControlAttribute",	//31
    "CachingCapability",	//32
    "CanBroadcast",	//33
    "CanMulticast",	//34
    "CanStartAndStopInterfaces",	//35
    "Cd",	//36
    "CertificateExpired",	//37
    "CertificateNotYetValid",	//38
    "CertificateRejected",	//39
    "CertificateRevoked",	//40
    "CertificateSignatureFailed",	//41
    "CertificateUntrusted",	//42
    "Close",	//43
    "Closing",	//44
    "ClosingState",	//45
    "CommonName",	//46
    "ConnectToHost",	//47
    "Connected",	//48
    "ConnectedState",	//49
    "Connecting",	//50
    "ConnectingState",	//51
    "ConnectionEncryptedAttribute",	//52
    "ConnectionError",	//53
    "ConnectionModeHttp",	//54
    "ConnectionModeHttps",	//55
    "ConnectionRefused",	//56
    "ConnectionRefusedError",	//57
    "ContentAccessDenied",	//58
    "ContentLengthHeader",	//59
    "ContentNotFoundError",	//60
    "ContentOperationNotPermittedError",	//61
    "ContentReSendError",	//62
    "ContentTypeHeader",	//63
    "CookieHeader",	//64
    "CookieLoadControlAttribute",	//65
    "CookieSaveControlAttribute",	//66
    "CountryName",	//67
    "CustomOperation",	//68
    "CustomVerbAttribute",	//69
    "DataStatistics",	//70
    "DatagramTooLargeError",	//71
    "DefaultForPlatform",	//72
    "DefaultProxy",	//73
    "Defined",	//74
    "DeleteOperation",	//75
    "Der",	//76
    "DirectConnectionRouting",	//77
    "Disconnected",	//78
    "Discovered",	//79
    "DnsEntry",	//80
    "DoNotBufferUploadDataAttribute",	//81
    "DontShareAddress",	//82
    "DownloadBufferAttribute",	//83
    "Dsa",	//84
    "EmailEntry",	//85
    "ExeGroup",	//86
    "ExeOther",	//87
    "ExeOwner",	//88
    "ForcedRoaming",	//89
    "FtpCachingProxy",	//90
    "Full",	//91
    "Get",	//92
    "GetOperation",	//93
    "HeadOperation",	//94
    "HighPriority",	//95
    "HostLookup",	//96
    "HostLookupState",	//97
    "HostNameLookupCapability",	//98
    "HostNameMismatch",	//99
    "HostNotFound",	//100
    "HostNotFoundError",	//101
    "HttpCachingProxy",	//102
    "HttpPipeliningAllowedAttribute",	//103
    "HttpPipeliningWasUsedAttribute",	//104
    "HttpProxy",	//105
    "HttpReasonPhraseAttribute",	//106
    "HttpStatusCodeAttribute",	//107
    "IPv4Protocol",	//108
    "IPv6Protocol",	//109
    "InternetAccessPoint",	//110
    "Invalid",	//111
    "InvalidCaCertificate",	//112
    "InvalidConfigurationError",	//113
    "InvalidNotAfterField",	//114
    "InvalidNotBeforeField",	//115
    "InvalidPurpose",	//116
    "InvalidResponseHeader",	//117
    "IsLoopBack",	//118
    "IsPointToPoint",	//119
    "IsRunning",	//120
    "IsUp",	//121
    "KeepAliveOption",	//122
    "LastModifiedHeader",	//123
    "LicensedActiveQt",	//124
    "LicensedCore",	//125
    "LicensedDBus",	//126
    "LicensedDeclarative",	//127
    "LicensedGui",	//128
    "LicensedHelp",	//129
    "LicensedMultimedia",	//130
    "LicensedNetwork",	//131
    "LicensedOpenGL",	//132
    "LicensedOpenVG",	//133
    "LicensedQt3Support",	//134
    "LicensedQt3SupportLight",	//135
    "LicensedScript",	//136
    "LicensedScriptTools",	//137
    "LicensedSql",	//138
    "LicensedSvg",	//139
    "LicensedTest",	//140
    "LicensedXml",	//141
    "LicensedXmlPatterns",	//142
    "List",	//143
    "ListeningCapability",	//144
    "ListeningState",	//145
    "LocalHost",	//146
    "LocalHostIPv6",	//147
    "LocalityName",	//148
    "LocationHeader",	//149
    "LoggedIn",	//150
    "Login",	//151
    "LowDelayOption",	//152
    "LowPriority",	//153
    "Manual",	//154
    "MaximumDownloadBufferSizeAttribute",	//155
    "Mkdir",	//156
    "NameAndValueOnly",	//157
    "NetworkError",	//158
    "NetworkSessionRequired",	//159
    "NoError",	//160
    "NoPeerCertificate",	//161
    "NoProxy",	//162
    "NoSslSupport",	//163
    "None",	//164
    "NormalPriority",	//165
    "NotAccessible",	//166
    "NotAvailable",	//167
    "NotConnected",	//168
    "NotOpen",	//169
    "Null",	//170
    "OperationCanceledError",	//171
    "OperationNotSupportedError",	//172
    "Organization",	//173
    "OrganizationalUnitName",	//174
    "Passive",	//175
    "PathLengthExceeded",	//176
    "PeerClosedError",	//177
    "Pem",	//178
    "PostOperation",	//179
    "PreferCache",	//180
    "PreferNetwork",	//181
    "PrivateKey",	//182
    "PrivatePurpose",	//183
    "ProtocolFailure",	//184
    "ProtocolInvalidOperationError",	//185
    "ProtocolUnknownError",	//186
    "ProxyAuthenticationRequiredError",	//187
    "ProxyConnectionClosedError",	//188
    "ProxyConnectionRefusedError",	//189
    "ProxyConnectionTimeoutError",	//190
    "ProxyNotFoundError",	//191
    "ProxyProtocolError",	//192
    "ProxyTimeoutError",	//193
    "PublicKey",	//194
    "PublicPurpose",	//195
    "Put",	//196
    "PutOperation",	//197
    "QAbstractNetworkCache",	//198
    "QAbstractNetworkCache#",	//199
    "QAbstractSocket",	//200
    "QAbstractSocket$#",	//201
    "QAuthenticator",	//202
    "QAuthenticator#",	//203
    "QFtp",	//204
    "QFtp#",	//205
    "QHostAddress",	//206
    "QHostAddress#",	//207
    "QHostAddress$",	//208
    "QHostInfo",	//209
    "QHostInfo#",	//210
    "QHostInfo$",	//211
    "QHttp",	//212
    "QHttp#",	//213
    "QHttp$",	//214
    "QHttp$$",	//215
    "QHttp$$#",	//216
    "QHttp$$$",	//217
    "QHttp$$$#",	//218
    "QHttpHeader",	//219
    "QHttpHeader#",	//220
    "QHttpHeader$",	//221
    "QHttpRequestHeader",	//222
    "QHttpRequestHeader#",	//223
    "QHttpRequestHeader$",	//224
    "QHttpRequestHeader$$",	//225
    "QHttpRequestHeader$$$",	//226
    "QHttpRequestHeader$$$$",	//227
    "QHttpResponseHeader",	//228
    "QHttpResponseHeader#",	//229
    "QHttpResponseHeader$",	//230
    "QHttpResponseHeader$$",	//231
    "QHttpResponseHeader$$$",	//232
    "QHttpResponseHeader$$$$",	//233
    "QIPv6Address",	//234
    "QIPv6Address#",	//235
    "QLocalServer",	//236
    "QLocalServer#",	//237
    "QLocalSocket",	//238
    "QLocalSocket#",	//239
    "QNetworkAccessManager",	//240
    "QNetworkAccessManager#",	//241
    "QNetworkAddressEntry",	//242
    "QNetworkAddressEntry#",	//243
    "QNetworkCacheMetaData",	//244
    "QNetworkCacheMetaData#",	//245
    "QNetworkConfiguration",	//246
    "QNetworkConfiguration#",	//247
    "QNetworkConfigurationManager",	//248
    "QNetworkConfigurationManager#",	//249
    "QNetworkCookie",	//250
    "QNetworkCookie#",	//251
    "QNetworkCookie##",	//252
    "QNetworkCookieJar",	//253
    "QNetworkCookieJar#",	//254
    "QNetworkDiskCache",	//255
    "QNetworkDiskCache#",	//256
    "QNetworkInterface",	//257
    "QNetworkInterface#",	//258
    "QNetworkProxy",	//259
    "QNetworkProxy#",	//260
    "QNetworkProxy$",	//261
    "QNetworkProxy$$",	//262
    "QNetworkProxy$$$",	//263
    "QNetworkProxy$$$$",	//264
    "QNetworkProxy$$$$$",	//265
    "QNetworkProxyFactory",	//266
    "QNetworkProxyFactory#",	//267
    "QNetworkProxyQuery",	//268
    "QNetworkProxyQuery#",	//269
    "QNetworkProxyQuery#$",	//270
    "QNetworkProxyQuery$",	//271
    "QNetworkProxyQuery$$",	//272
    "QNetworkProxyQuery$$$",	//273
    "QNetworkProxyQuery$$$$",	//274
    "QNetworkReply",	//275
    "QNetworkReply#",	//276
    "QNetworkRequest",	//277
    "QNetworkRequest#",	//278
    "QNetworkSession",	//279
    "QNetworkSession#",	//280
    "QNetworkSession##",	//281
    "QSslCertificate",	//282
    "QSslCertificate#",	//283
    "QSslCertificate#$",	//284
    "QSslCipher",	//285
    "QSslCipher#",	//286
    "QSslCipher$$",	//287
    "QSslConfiguration",	//288
    "QSslConfiguration#",	//289
    "QSslError",	//290
    "QSslError#",	//291
    "QSslError$",	//292
    "QSslError$#",	//293
    "QSslKey",	//294
    "QSslKey#",	//295
    "QSslKey#$",	//296
    "QSslKey#$$",	//297
    "QSslKey#$$$",	//298
    "QSslKey#$$$#",	//299
    "QSslSocket",	//300
    "QSslSocket#",	//301
    "QTcpServer",	//302
    "QTcpServer#",	//303
    "QTcpSocket",	//304
    "QTcpSocket#",	//305
    "QUdpSocket",	//306
    "QUdpSocket#",	//307
    "QUrlInfo",	//308
    "QUrlInfo#",	//309
    "QUrlInfo#$$$$##$$$$$$",	//310
    "QUrlInfo$$$$$##$$$$$$",	//311
    "Q_COMPLEX_TYPE",	//312
    "Q_DUMMY_TYPE",	//313
    "Q_MOVABLE_TYPE",	//314
    "Q_PRIMITIVE_TYPE",	//315
    "Q_STATIC_TYPE",	//316
    "QtCriticalMsg",	//317
    "QtDebugMsg",	//318
    "QtFatalMsg",	//319
    "QtSystemMsg",	//320
    "QtWarningMsg",	//321
    "QueryPeer",	//322
    "RawCommand",	//323
    "ReadGroup",	//324
    "ReadOnly",	//325
    "ReadOther",	//326
    "ReadOwner",	//327
    "ReadWrite",	//328
    "Reading",	//329
    "RedirectionTargetAttribute",	//330
    "RemoteHostClosedError",	//331
    "Remove",	//332
    "Rename",	//333
    "ReuseAddressHint",	//334
    "Rmdir",	//335
    "Roaming",	//336
    "RoamingError",	//337
    "Rsa",	//338
    "SelfSignedCertificate",	//339
    "SelfSignedCertificateInChain",	//340
    "Sending",	//341
    "ServerNotFoundError",	//342
    "ServiceNetwork",	//343
    "ServiceSpecificPurpose",	//344
    "SessionAbortedError",	//345
    "SetCookieHeader",	//346
    "SetProxy",	//347
    "SetTransferMode",	//348
    "ShareAddress",	//349
    "SocketAccessError",	//350
    "SocketAddressNotAvailableError",	//351
    "SocketResourceError",	//352
    "SocketTimeoutError",	//353
    "Socks5Proxy",	//354
    "SourceIsFromCacheAttribute",	//355
    "SslClientMode",	//356
    "SslHandshakeFailedError",	//357
    "SslServerMode",	//358
    "SslV2",	//359
    "SslV3",	//360
    "StateOrProvinceName",	//361
    "SubjectIssuerMismatch",	//362
    "SystemSessionSupport",	//363
    "TcpServer",	//364
    "TcpSocket",	//365
    "TemporaryNetworkFailureError",	//366
    "Text",	//367
    "TimeoutError",	//368
    "TlsV1",	//369
    "Truncate",	//370
    "TunnelingCapability",	//371
    "UdpSocket",	//372
    "UdpTunnelingCapability",	//373
    "UnableToDecodeIssuerPublicKey",	//374
    "UnableToDecryptCertificateSignature",	//375
    "UnableToGetIssuerCertificate",	//376
    "UnableToGetLocalIssuerCertificate",	//377
    "UnableToVerifyFirstCertificate",	//378
    "Unbuffered",	//379
    "Unconnected",	//380
    "UnconnectedState",	//381
    "Undefined",	//382
    "UnencryptedMode",	//383
    "UnexpectedClose",	//384
    "UnfinishedSocketOperationError",	//385
    "UnknownAccessibility",	//386
    "UnknownContentError",	//387
    "UnknownError",	//388
    "UnknownNetworkError",	//389
    "UnknownNetworkLayerProtocol",	//390
    "UnknownOperation",	//391
    "UnknownProtocol",	//392
    "UnknownProxyError",	//393
    "UnknownPurpose",	//394
    "UnknownSessionError",	//395
    "UnknownSocketError",	//396
    "UnknownSocketType",	//397
    "UnspecifiedError",	//398
    "UnsupportedSocketOperationError",	//399
    "UrlRequest",	//400
    "User",	//401
    "UserChoice",	//402
    "UserMax",	//403
    "VerifyNone",	//404
    "VerifyPeer",	//405
    "WriteGroup",	//406
    "WriteOnly",	//407
    "WriteOther",	//408
    "WriteOwner",	//409
    "WrongContentLength",	//410
    "abort",	//411
    "abortHostLookup",	//412
    "abortHostLookup$",	//413
    "accept",	//414
    "activeConfiguration",	//415
    "activeTime",	//416
    "addCaCertificate",	//417
    "addCaCertificate#",	//418
    "addCaCertificates",	//419
    "addCaCertificates$",	//420
    "addCaCertificates$$",	//421
    "addCaCertificates$$$",	//422
    "addCaCertificates?",	//423
    "addDefaultCaCertificate",	//424
    "addDefaultCaCertificate#",	//425
    "addDefaultCaCertificates",	//426
    "addDefaultCaCertificates$",	//427
    "addDefaultCaCertificates$$",	//428
    "addDefaultCaCertificates$$$",	//429
    "addDefaultCaCertificates?",	//430
    "addPendingConnection",	//431
    "addPendingConnection#",	//432
    "addValue",	//433
    "addValue$$",	//434
    "addressEntries",	//435
    "addresses",	//436
    "algorithm",	//437
    "allAddresses",	//438
    "allConfigurations",	//439
    "allConfigurations$",	//440
    "allCookies",	//441
    "allInterfaces",	//442
    "allValues",	//443
    "allValues$",	//444
    "alternateSubjectNames",	//445
    "applicationProxy",	//446
    "atEnd",	//447
    "attribute",	//448
    "attribute$",	//449
    "attribute$#",	//450
    "attributes",	//451
    "authenticationMethod",	//452
    "authenticationRequired",	//453
    "authenticationRequired##",	//454
    "authenticationRequired$$#",	//455
    "bearerName",	//456
    "bearerType",	//457
    "bearerTypeName",	//458
    "bind",	//459
    "bind#$",	//460
    "bind#$$",	//461
    "bind$",	//462
    "bind$$",	//463
    "broadcast",	//464
    "bytesAvailable",	//465
    "bytesReceived",	//466
    "bytesToWrite",	//467
    "bytesWritten",	//468
    "caCertificates",	//469
    "cache",	//470
    "cacheDirectory",	//471
    "cacheSize",	//472
    "canReadLine",	//473
    "capabilities",	//474
    "cd",	//475
    "cd$",	//476
    "certificate",	//477
    "childEvent",	//478
    "children",	//479
    "ciphers",	//480
    "clear",	//481
    "clearPendingCommands",	//482
    "clearPendingRequests",	//483
    "close",	//484
    "closeConnection",	//485
    "closed",	//486
    "commandFinished",	//487
    "commandFinished$$",	//488
    "commandStarted",	//489
    "commandStarted$",	//490
    "configuration",	//491
    "configurationAdded",	//492
    "configurationAdded#",	//493
    "configurationChanged",	//494
    "configurationChanged#",	//495
    "configurationFromIdentifier",	//496
    "configurationFromIdentifier$",	//497
    "configurationRemoved",	//498
    "configurationRemoved#",	//499
    "connectNotify",	//500
    "connectNotify$",	//501
    "connectToHost",	//502
    "connectToHost#$",	//503
    "connectToHost#$$",	//504
    "connectToHost$",	//505
    "connectToHost$$",	//506
    "connectToHost$$$",	//507
    "connectToHostEncrypted",	//508
    "connectToHostEncrypted$$",	//509
    "connectToHostEncrypted$$$",	//510
    "connectToHostEncrypted$$$$",	//511
    "connectToHostImplementation",	//512
    "connectToHostImplementation$$",	//513
    "connectToHostImplementation$$$",	//514
    "connectToServer",	//515
    "connectToServer$",	//516
    "connectToServer$$",	//517
    "connected",	//518
    "contentLength",	//519
    "contentType",	//520
    "cookieJar",	//521
    "cookiesForUrl",	//522
    "cookiesForUrl#",	//523
    "createRequest",	//524
    "createRequest$#",	//525
    "createRequest$##",	//526
    "currentCommand",	//527
    "currentDestinationDevice",	//528
    "currentDevice",	//529
    "currentId",	//530
    "currentRequest",	//531
    "currentSourceDevice",	//532
    "customEvent",	//533
    "data",	//534
    "data#",	//535
    "dataReadProgress",	//536
    "dataReadProgress$$",	//537
    "dataSendProgress",	//538
    "dataSendProgress$$",	//539
    "dataTransferProgress",	//540
    "dataTransferProgress$$",	//541
    "defaultCaCertificates",	//542
    "defaultCiphers",	//543
    "defaultConfiguration",	//544
    "deleteResource",	//545
    "deleteResource#",	//546
    "detach",	//547
    "digest",	//548
    "digest$",	//549
    "disconnectFromHost",	//550
    "disconnectFromHostImplementation",	//551
    "disconnectFromServer",	//552
    "disconnectNotify",	//553
    "disconnectNotify$",	//554
    "disconnected",	//555
    "domain",	//556
    "done",	//557
    "done$",	//558
    "downloadProgress",	//559
    "downloadProgress$$",	//560
    "effectiveDate",	//561
    "encrypted",	//562
    "encryptedBytesAvailable",	//563
    "encryptedBytesToWrite",	//564
    "encryptedBytesWritten",	//565
    "encryptedBytesWritten$",	//566
    "encryptionMethod",	//567
    "equal",	//568
    "equal##$",	//569
    "error",	//570
    "error$",	//571
    "errorString",	//572
    "event",	//573
    "eventFilter",	//574
    "expirationDate",	//575
    "expire",	//576
    "expiryDate",	//577
    "fileMetaData",	//578
    "fileMetaData$",	//579
    "finished",	//580
    "finished#",	//581
    "flags",	//582
    "flush",	//583
    "fromData",	//584
    "fromData#",	//585
    "fromData#$",	//586
    "fromDevice",	//587
    "fromDevice#",	//588
    "fromDevice#$",	//589
    "fromName",	//590
    "fromName$",	//591
    "fromPath",	//592
    "fromPath$",	//593
    "fromPath$$",	//594
    "fromPath$$$",	//595
    "fullServerName",	//596
    "get",	//597
    "get#",	//598
    "get$",	//599
    "get$#",	//600
    "get$#$",	//601
    "greaterThan",	//602
    "greaterThan##$",	//603
    "group",	//604
    "handle",	//605
    "hardwareAddress",	//606
    "hasContentLength",	//607
    "hasContentType",	//608
    "hasKey",	//609
    "hasKey$",	//610
    "hasPendingCommands",	//611
    "hasPendingConnections",	//612
    "hasPendingDatagrams",	//613
    "hasPendingRequests",	//614
    "hasRawHeader",	//615
    "hasRawHeader#",	//616
    "head",	//617
    "head#",	//618
    "head$",	//619
    "header",	//620
    "header$",	//621
    "hostFound",	//622
    "hostName",	//623
    "humanReadableName",	//624
    "identifier",	//625
    "ignore",	//626
    "ignoreSslErrors",	//627
    "ignoreSslErrors?",	//628
    "incomingConnection",	//629
    "incomingConnection$",	//630
    "incomingConnection?",	//631
    "index",	//632
    "insert",	//633
    "insert#",	//634
    "interface",	//635
    "interfaceFromIndex",	//636
    "interfaceFromIndex$",	//637
    "interfaceFromName",	//638
    "interfaceFromName$",	//639
    "ip",	//640
    "isCachingProxy",	//641
    "isDir",	//642
    "isEncrypted",	//643
    "isExecutable",	//644
    "isFile",	//645
    "isFinished",	//646
    "isHttpOnly",	//647
    "isInSubnet",	//648
    "isInSubnet#$",	//649
    "isInSubnet?",	//650
    "isListening",	//651
    "isNull",	//652
    "isOnline",	//653
    "isOpen",	//654
    "isReadable",	//655
    "isRoamingAvailable",	//656
    "isRunning",	//657
    "isSecure",	//658
    "isSequential",	//659
    "isSessionCookie",	//660
    "isSymLink",	//661
    "isTransparentProxy",	//662
    "isValid",	//663
    "isWritable",	//664
    "issuerInfo",	//665
    "issuerInfo#",	//666
    "issuerInfo$",	//667
    "keyExchangeMethod",	//668
    "keys",	//669
    "lastModified",	//670
    "lastRead",	//671
    "lastResponse",	//672
    "length",	//673
    "lessThan",	//674
    "lessThan##$",	//675
    "list",	//676
    "list$",	//677
    "listInfo",	//678
    "listInfo#",	//679
    "listen",	//680
    "listen#",	//681
    "listen#$",	//682
    "listen$",	//683
    "localAddress",	//684
    "localCertificate",	//685
    "localDomainName",	//686
    "localHostName",	//687
    "localPort",	//688
    "login",	//689
    "login$",	//690
    "login$$",	//691
    "lookupHost",	//692
    "lookupHost$#$",	//693
    "lookupId",	//694
    "majorVersion",	//695
    "manager",	//696
    "maxPendingConnections",	//697
    "maximumCacheSize",	//698
    "metaData",	//699
    "metaData#",	//700
    "metaDataChanged",	//701
    "metaObject",	//702
    "method",	//703
    "migrate",	//704
    "minorVersion",	//705
    "mkdir",	//706
    "mkdir$",	//707
    "mode",	//708
    "modeChanged",	//709
    "modeChanged$",	//710
    "name",	//711
    "netmask",	//712
    "networkAccessible",	//713
    "networkAccessibleChanged",	//714
    "networkAccessibleChanged$",	//715
    "networkSessionConnected",	//716
    "newConfigurationActivated",	//717
    "newConnection",	//718
    "nextPendingConnection",	//719
    "onlineStateChanged",	//720
    "onlineStateChanged$",	//721
    "open",	//722
    "opened",	//723
    "operation",	//724
    "operator!=",	//725
    "operator!=#",	//726
    "operator!=##",	//727
    "operator!=#$",	//728
    "operator!=$",	//729
    "operator!=$#",	//730
    "operator!=$$",	//731
    "operator&",	//732
    "operator&##",	//733
    "operator*",	//734
    "operator*#$",	//735
    "operator*$#",	//736
    "operator+",	//737
    "operator+##",	//738
    "operator+#$",	//739
    "operator+$#",	//740
    "operator+$$",	//741
    "operator-",	//742
    "operator-#",	//743
    "operator-##",	//744
    "operator/",	//745
    "operator/#$",	//746
    "operator<",	//747
    "operator<##",	//748
    "operator<#$",	//749
    "operator<$#",	//750
    "operator<$$",	//751
    "operator<<",	//752
    "operator<<##",	//753
    "operator<<#$",	//754
    "operator<<#?",	//755
    "operator<=",	//756
    "operator<=##",	//757
    "operator<=#$",	//758
    "operator<=$#",	//759
    "operator<=$$",	//760
    "operator=",	//761
    "operator=#",	//762
    "operator=$",	//763
    "operator==",	//764
    "operator==#",	//765
    "operator==##",	//766
    "operator==#$",	//767
    "operator==$",	//768
    "operator==$#",	//769
    "operator==$$",	//770
    "operator>",	//771
    "operator>##",	//772
    "operator>#$",	//773
    "operator>$#",	//774
    "operator>$$",	//775
    "operator>=",	//776
    "operator>=##",	//777
    "operator>=#$",	//778
    "operator>=$#",	//779
    "operator>=$$",	//780
    "operator>>",	//781
    "operator>>##",	//782
    "operator>>#$",	//783
    "operator>>#?",	//784
    "operator[]",	//785
    "operator[]$",	//786
    "operator^",	//787
    "operator^##",	//788
    "operator|",	//789
    "operator|##",	//790
    "operator|$$",	//791
    "option",	//792
    "option$",	//793
    "options",	//794
    "originatingObject",	//795
    "owner",	//796
    "parse",	//797
    "parse$",	//798
    "parseCookies",	//799
    "parseCookies#",	//800
    "parseLine",	//801
    "parseLine$$",	//802
    "parseSubnet",	//803
    "parseSubnet$",	//804
    "password",	//805
    "path",	//806
    "peerAddress",	//807
    "peerCertificate",	//808
    "peerCertificateChain",	//809
    "peerHostName",	//810
    "peerName",	//811
    "peerPort",	//812
    "peerVerifyDepth",	//813
    "peerVerifyError",	//814
    "peerVerifyError#",	//815
    "peerVerifyMode",	//816
    "pendingDatagramSize",	//817
    "permissions",	//818
    "port",	//819
    "pos",	//820
    "post",	//821
    "post##",	//822
    "post$#",	//823
    "post$##",	//824
    "preferredConfigurationChanged",	//825
    "preferredConfigurationChanged#$",	//826
    "prefixLength",	//827
    "prepare",	//828
    "prepare#",	//829
    "priority",	//830
    "privateKey",	//831
    "protocol",	//832
    "protocolString",	//833
    "protocolTag",	//834
    "proxy",	//835
    "proxyAuthenticationRequired",	//836
    "proxyAuthenticationRequired##",	//837
    "proxyFactory",	//838
    "proxyForQuery",	//839
    "proxyForQuery#",	//840
    "publicKey",	//841
    "purpose",	//842
    "put",	//843
    "put##",	//844
    "put#$",	//845
    "put#$$",	//846
    "qAcos",	//847
    "qAcos$",	//848
    "qAddPostRoutine",	//849
    "qAddPostRoutine$",	//850
    "qAppName",	//851
    "qAsin",	//852
    "qAsin$",	//853
    "qAtan",	//854
    "qAtan$",	//855
    "qAtan2",	//856
    "qAtan2$$",	//857
    "qBadAlloc",	//858
    "qCeil",	//859
    "qCeil$",	//860
    "qChecksum",	//861
    "qChecksum$$",	//862
    "qCompress",	//863
    "qCompress#",	//864
    "qCompress#$",	//865
    "qCompress$$",	//866
    "qCompress$$$",	//867
    "qCos",	//868
    "qCos$",	//869
    "qCritical",	//870
    "qDebug",	//871
    "qExp",	//872
    "qExp$",	//873
    "qFabs",	//874
    "qFabs$",	//875
    "qFastCos",	//876
    "qFastCos$",	//877
    "qFastSin",	//878
    "qFastSin$",	//879
    "qFlagLocation",	//880
    "qFlagLocation$",	//881
    "qFloor",	//882
    "qFloor$",	//883
    "qFree",	//884
    "qFree$",	//885
    "qFreeAligned",	//886
    "qFreeAligned$",	//887
    "qFuzzyCompare",	//888
    "qFuzzyCompare$$",	//889
    "qFuzzyIsNull",	//890
    "qFuzzyIsNull$",	//891
    "qHash",	//892
    "qHash#",	//893
    "qHash$",	//894
    "qInf",	//895
    "qInstallMsgHandler",	//896
    "qInstallMsgHandler$",	//897
    "qIntCast",	//898
    "qIntCast$",	//899
    "qIsFinite",	//900
    "qIsFinite$",	//901
    "qIsInf",	//902
    "qIsInf$",	//903
    "qIsNaN",	//904
    "qIsNaN$",	//905
    "qIsNull",	//906
    "qIsNull$",	//907
    "qLn",	//908
    "qLn$",	//909
    "qMalloc",	//910
    "qMalloc$",	//911
    "qMallocAligned",	//912
    "qMallocAligned$$",	//913
    "qMemCopy",	//914
    "qMemCopy$$$",	//915
    "qMemSet",	//916
    "qMemSet$$$",	//917
    "qPow",	//918
    "qPow$$",	//919
    "qQNaN",	//920
    "qRealloc",	//921
    "qRealloc$$",	//922
    "qReallocAligned",	//923
    "qReallocAligned$$$$",	//924
    "qRegisterStaticPluginInstanceFunction",	//925
    "qRegisterStaticPluginInstanceFunction#",	//926
    "qRemovePostRoutine",	//927
    "qRemovePostRoutine$",	//928
    "qRound",	//929
    "qRound$",	//930
    "qRound64",	//931
    "qRound64$",	//932
    "qSNaN",	//933
    "qSetFieldWidth",	//934
    "qSetFieldWidth$",	//935
    "qSetPadChar",	//936
    "qSetPadChar#",	//937
    "qSetRealNumberPrecision",	//938
    "qSetRealNumberPrecision$",	//939
    "qSharedBuild",	//940
    "qSin",	//941
    "qSin$",	//942
    "qSqrt",	//943
    "qSqrt$",	//944
    "qStringComparisonHelper",	//945
    "qStringComparisonHelper#$",	//946
    "qStringComparisonHelper$$",	//947
    "qTan",	//948
    "qTan$",	//949
    "qUncompress",	//950
    "qUncompress#",	//951
    "qUncompress$$",	//952
    "qVersion",	//953
    "qWarning",	//954
    "qbswap_helper",	//955
    "qbswap_helper$$$",	//956
    "qgetenv",	//957
    "qgetenv$",	//958
    "qputenv",	//959
    "qputenv$#",	//960
    "qrand",	//961
    "qsrand",	//962
    "qsrand$",	//963
    "qstrcmp",	//964
    "qstrcmp##",	//965
    "qstrcmp#$",	//966
    "qstrcmp$#",	//967
    "qstrcmp$$",	//968
    "qstrcpy",	//969
    "qstrcpy$$",	//970
    "qstrdup",	//971
    "qstrdup$",	//972
    "qstricmp",	//973
    "qstricmp$$",	//974
    "qstrlen",	//975
    "qstrlen$",	//976
    "qstrncmp",	//977
    "qstrncmp$$$",	//978
    "qstrncpy",	//979
    "qstrncpy$$$",	//980
    "qstrnicmp",	//981
    "qstrnicmp$$$",	//982
    "qstrnlen",	//983
    "qstrnlen$$",	//984
    "qtTrId",	//985
    "qtTrId$",	//986
    "qtTrId$$",	//987
    "qt_assert",	//988
    "qt_assert$$$",	//989
    "qt_assert_x",	//990
    "qt_assert_x$$$$",	//991
    "qt_check_pointer",	//992
    "qt_check_pointer$$",	//993
    "qt_error_string",	//994
    "qt_error_string$",	//995
    "qt_message_output",	//996
    "qt_message_output$$",	//997
    "qt_metacall",	//998
    "qt_metacall$$?",	//999
    "qt_metacast",	//1000
    "qt_metacast$",	//1001
    "qt_noop",	//1002
    "qt_qFindChild_helper",	//1003
    "qt_qFindChild_helper#$#",	//1004
    "qt_qFindChildren_helper",	//1005
    "qt_qFindChildren_helper#$##?",	//1006
    "queryProxy",	//1007
    "queryProxy#",	//1008
    "queryType",	//1009
    "qvariant_cast_helper",	//1010
    "qvariant_cast_helper#$$",	//1011
    "qvsnprintf",	//1012
    "qvsnprintf$$$?",	//1013
    "rawCommand",	//1014
    "rawCommand$",	//1015
    "rawCommandReply",	//1016
    "rawCommandReply$$",	//1017
    "rawHeader",	//1018
    "rawHeader#",	//1019
    "rawHeaderList",	//1020
    "rawHeaderPairs",	//1021
    "rawHeaders",	//1022
    "read",	//1023
    "read$$",	//1024
    "readAll",	//1025
    "readBufferSize",	//1026
    "readData",	//1027
    "readData$$",	//1028
    "readDatagram",	//1029
    "readDatagram$$",	//1030
    "readDatagram$$#",	//1031
    "readDatagram$$#$",	//1032
    "readLineData",	//1033
    "readLineData$$",	//1034
    "readyRead",	//1035
    "readyRead#",	//1036
    "realm",	//1037
    "reasonPhrase",	//1038
    "reject",	//1039
    "remove",	//1040
    "remove#",	//1041
    "remove$",	//1042
    "removeAllValues",	//1043
    "removeAllValues$",	//1044
    "removeServer",	//1045
    "removeServer$",	//1046
    "removeValue",	//1047
    "removeValue$",	//1048
    "rename",	//1049
    "rename$$",	//1050
    "request",	//1051
    "request#",	//1052
    "request##",	//1053
    "request###",	//1054
    "requestFinished",	//1055
    "requestFinished$$",	//1056
    "requestStarted",	//1057
    "requestStarted$",	//1058
    "reset",	//1059
    "responseHeaderReceived",	//1060
    "responseHeaderReceived#",	//1061
    "rmdir",	//1062
    "rmdir$",	//1063
    "saveToDisk",	//1064
    "scopeId",	//1065
    "seek",	//1066
    "sendCustomRequest",	//1067
    "sendCustomRequest##",	//1068
    "sendCustomRequest###",	//1069
    "serialNumber",	//1070
    "serverAddress",	//1071
    "serverError",	//1072
    "serverName",	//1073
    "serverPort",	//1074
    "sessionCipher",	//1075
    "sessionProperty",	//1076
    "sessionProperty$",	//1077
    "setAddress",	//1078
    "setAddress#",	//1079
    "setAddress$",	//1080
    "setAddresses",	//1081
    "setAddresses?",	//1082
    "setAllCookies",	//1083
    "setAllCookies?",	//1084
    "setApplicationProxy",	//1085
    "setApplicationProxy#",	//1086
    "setApplicationProxyFactory",	//1087
    "setApplicationProxyFactory#",	//1088
    "setAttribute",	//1089
    "setAttribute$#",	//1090
    "setAttributes",	//1091
    "setAttributes?",	//1092
    "setBroadcast",	//1093
    "setBroadcast#",	//1094
    "setCaCertificates",	//1095
    "setCaCertificates?",	//1096
    "setCache",	//1097
    "setCache#",	//1098
    "setCacheDirectory",	//1099
    "setCacheDirectory$",	//1100
    "setCapabilities",	//1101
    "setCapabilities$",	//1102
    "setCiphers",	//1103
    "setCiphers$",	//1104
    "setCiphers?",	//1105
    "setConfiguration",	//1106
    "setConfiguration#",	//1107
    "setContentLength",	//1108
    "setContentLength$",	//1109
    "setContentType",	//1110
    "setContentType$",	//1111
    "setCookieJar",	//1112
    "setCookieJar#",	//1113
    "setCookiesFromUrl",	//1114
    "setCookiesFromUrl?#",	//1115
    "setDefaultCaCertificates",	//1116
    "setDefaultCaCertificates?",	//1117
    "setDefaultCiphers",	//1118
    "setDefaultCiphers?",	//1119
    "setDefaultConfiguration",	//1120
    "setDefaultConfiguration#",	//1121
    "setDir",	//1122
    "setDir$",	//1123
    "setDomain",	//1124
    "setDomain$",	//1125
    "setError",	//1126
    "setError$",	//1127
    "setError$$",	//1128
    "setErrorString",	//1129
    "setErrorString$",	//1130
    "setExpirationDate",	//1131
    "setExpirationDate#",	//1132
    "setFile",	//1133
    "setFile$",	//1134
    "setGroup",	//1135
    "setGroup$",	//1136
    "setHeader",	//1137
    "setHeader$#",	//1138
    "setHost",	//1139
    "setHost$",	//1140
    "setHost$$",	//1141
    "setHost$$$",	//1142
    "setHostName",	//1143
    "setHostName$",	//1144
    "setHttpOnly",	//1145
    "setHttpOnly$",	//1146
    "setIp",	//1147
    "setIp#",	//1148
    "setLastModified",	//1149
    "setLastModified#",	//1150
    "setLastRead",	//1151
    "setLastRead#",	//1152
    "setLocalAddress",	//1153
    "setLocalAddress#",	//1154
    "setLocalCertificate",	//1155
    "setLocalCertificate#",	//1156
    "setLocalCertificate$",	//1157
    "setLocalCertificate$$",	//1158
    "setLocalPort",	//1159
    "setLocalPort$",	//1160
    "setLookupId",	//1161
    "setLookupId$",	//1162
    "setMaxPendingConnections",	//1163
    "setMaxPendingConnections$",	//1164
    "setMaximumCacheSize",	//1165
    "setMaximumCacheSize$",	//1166
    "setName",	//1167
    "setName#",	//1168
    "setName$",	//1169
    "setNetmask",	//1170
    "setNetmask#",	//1171
    "setNetworkAccessible",	//1172
    "setNetworkAccessible$",	//1173
    "setOperation",	//1174
    "setOperation$",	//1175
    "setOption",	//1176
    "setOption$#",	//1177
    "setOriginatingObject",	//1178
    "setOriginatingObject#",	//1179
    "setOwner",	//1180
    "setOwner$",	//1181
    "setPassword",	//1182
    "setPassword$",	//1183
    "setPath",	//1184
    "setPath$",	//1185
    "setPeerAddress",	//1186
    "setPeerAddress#",	//1187
    "setPeerHostName",	//1188
    "setPeerHostName$",	//1189
    "setPeerName",	//1190
    "setPeerName$",	//1191
    "setPeerPort",	//1192
    "setPeerPort$",	//1193
    "setPeerVerifyDepth",	//1194
    "setPeerVerifyDepth$",	//1195
    "setPeerVerifyMode",	//1196
    "setPeerVerifyMode$",	//1197
    "setPermissions",	//1198
    "setPermissions$",	//1199
    "setPort",	//1200
    "setPort$",	//1201
    "setPrefixLength",	//1202
    "setPrefixLength$",	//1203
    "setPriority",	//1204
    "setPriority$",	//1205
    "setPrivateKey",	//1206
    "setPrivateKey#",	//1207
    "setPrivateKey$",	//1208
    "setPrivateKey$$",	//1209
    "setPrivateKey$$$",	//1210
    "setPrivateKey$$$#",	//1211
    "setProtocol",	//1212
    "setProtocol$",	//1213
    "setProtocolTag",	//1214
    "setProtocolTag$",	//1215
    "setProxy",	//1216
    "setProxy#",	//1217
    "setProxy$$",	//1218
    "setProxy$$$",	//1219
    "setProxy$$$$",	//1220
    "setProxyFactory",	//1221
    "setProxyFactory#",	//1222
    "setQueryType",	//1223
    "setQueryType$",	//1224
    "setRawHeader",	//1225
    "setRawHeader##",	//1226
    "setRawHeaders",	//1227
    "setRawHeaders?",	//1228
    "setReadBufferSize",	//1229
    "setReadBufferSize$",	//1230
    "setReadable",	//1231
    "setReadable$",	//1232
    "setRequest",	//1233
    "setRequest#",	//1234
    "setRequest$$",	//1235
    "setRequest$$$",	//1236
    "setRequest$$$$",	//1237
    "setSaveToDisk",	//1238
    "setSaveToDisk$",	//1239
    "setScopeId",	//1240
    "setScopeId$",	//1241
    "setSecure",	//1242
    "setSecure$",	//1243
    "setSessionProperty",	//1244
    "setSessionProperty$#",	//1245
    "setSize",	//1246
    "setSize$",	//1247
    "setSocket",	//1248
    "setSocket#",	//1249
    "setSocketDescriptor",	//1250
    "setSocketDescriptor$",	//1251
    "setSocketDescriptor$$",	//1252
    "setSocketDescriptor$$$",	//1253
    "setSocketDescriptor?",	//1254
    "setSocketDescriptor?$",	//1255
    "setSocketDescriptor?$$",	//1256
    "setSocketError",	//1257
    "setSocketError$",	//1258
    "setSocketOption",	//1259
    "setSocketOption$#",	//1260
    "setSocketState",	//1261
    "setSocketState$",	//1262
    "setSslConfiguration",	//1263
    "setSslConfiguration#",	//1264
    "setStatusLine",	//1265
    "setStatusLine$",	//1266
    "setStatusLine$$",	//1267
    "setStatusLine$$$",	//1268
    "setStatusLine$$$$",	//1269
    "setSymLink",	//1270
    "setSymLink$",	//1271
    "setTransferMode",	//1272
    "setTransferMode$",	//1273
    "setType",	//1274
    "setType$",	//1275
    "setUrl",	//1276
    "setUrl#",	//1277
    "setUseSystemConfiguration",	//1278
    "setUseSystemConfiguration$",	//1279
    "setUser",	//1280
    "setUser$",	//1281
    "setUser$$",	//1282
    "setValid",	//1283
    "setValid$",	//1284
    "setValue",	//1285
    "setValue#",	//1286
    "setValue$$",	//1287
    "setValues",	//1288
    "setValues?",	//1289
    "setWritable",	//1290
    "setWritable$",	//1291
    "size",	//1292
    "socketDescriptor",	//1293
    "socketOption",	//1294
    "socketOption$",	//1295
    "socketType",	//1296
    "sslConfiguration",	//1297
    "sslErrors",	//1298
    "sslErrors#?",	//1299
    "sslErrors?",	//1300
    "startClientEncryption",	//1301
    "startServerEncryption",	//1302
    "state",	//1303
    "stateChanged",	//1304
    "stateChanged$",	//1305
    "staticMetaObject",	//1306
    "statusCode",	//1307
    "stop",	//1308
    "subjectInfo",	//1309
    "subjectInfo#",	//1310
    "subjectInfo$",	//1311
    "supportedBits",	//1312
    "supportedCiphers",	//1313
    "supportsSsl",	//1314
    "systemCaCertificates",	//1315
    "systemProxyForQuery",	//1316
    "systemProxyForQuery#",	//1317
    "timerEvent",	//1318
    "toDer",	//1319
    "toDer#",	//1320
    "toIPv4Address",	//1321
    "toIPv6Address",	//1322
    "toPem",	//1323
    "toPem#",	//1324
    "toRawForm",	//1325
    "toRawForm$",	//1326
    "toString",	//1327
    "tr",	//1328
    "tr$",	//1329
    "tr$$",	//1330
    "tr$$$",	//1331
    "trUtf8",	//1332
    "trUtf8$",	//1333
    "trUtf8$$",	//1334
    "trUtf8$$$",	//1335
    "type",	//1336
    "updateCompleted",	//1337
    "updateConfigurations",	//1338
    "updateMetaData",	//1339
    "updateMetaData#",	//1340
    "uploadProgress",	//1341
    "uploadProgress$$",	//1342
    "url",	//1343
    "usedBits",	//1344
    "user",	//1345
    "value",	//1346
    "value$",	//1347
    "values",	//1348
    "version",	//1349
    "waitForBytesWritten",	//1350
    "waitForBytesWritten$",	//1351
    "waitForConnected",	//1352
    "waitForConnected$",	//1353
    "waitForDisconnected",	//1354
    "waitForDisconnected$",	//1355
    "waitForEncrypted",	//1356
    "waitForEncrypted$",	//1357
    "waitForNewConnection",	//1358
    "waitForNewConnection$",	//1359
    "waitForNewConnection$$",	//1360
    "waitForOpened",	//1361
    "waitForOpened$",	//1362
    "waitForReadyRead",	//1363
    "waitForReadyRead$",	//1364
    "writeData",	//1365
    "writeData$$",	//1366
    "writeDatagram",	//1367
    "writeDatagram##$",	//1368
    "writeDatagram$$#$",	//1369
    "~QAbstractNetworkCache",	//1370
    "~QAbstractSocket",	//1371
    "~QAuthenticator",	//1372
    "~QFtp",	//1373
    "~QHostAddress",	//1374
    "~QHostInfo",	//1375
    "~QHttp",	//1376
    "~QHttpHeader",	//1377
    "~QHttpRequestHeader",	//1378
    "~QHttpResponseHeader",	//1379
    "~QIPv6Address",	//1380
    "~QLocalServer",	//1381
    "~QLocalSocket",	//1382
    "~QNetworkAccessManager",	//1383
    "~QNetworkAddressEntry",	//1384
    "~QNetworkCacheMetaData",	//1385
    "~QNetworkConfiguration",	//1386
    "~QNetworkConfigurationManager",	//1387
    "~QNetworkCookie",	//1388
    "~QNetworkCookieJar",	//1389
    "~QNetworkDiskCache",	//1390
    "~QNetworkInterface",	//1391
    "~QNetworkProxy",	//1392
    "~QNetworkProxyFactory",	//1393
    "~QNetworkProxyQuery",	//1394
    "~QNetworkReply",	//1395
    "~QNetworkRequest",	//1396
    "~QNetworkSession",	//1397
    "~QSslCertificate",	//1398
    "~QSslCipher",	//1399
    "~QSslConfiguration",	//1400
    "~QSslError",	//1401
    "~QSslKey",	//1402
    "~QSslSocket",	//1403
    "~QTcpServer",	//1404
    "~QTcpSocket",	//1405
    "~QUdpSocket",	//1406
    "~QUrlInfo",	//1407
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1328, 3, 2, Smoke::mf_static, 208, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1332, 3, 2, Smoke::mf_static, 208, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1328, 6, 3, Smoke::mf_static, 208, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1332, 6, 3, Smoke::mf_static, 208, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 699, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 130, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1339, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 534, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1040, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 330, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 472, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 828, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 633, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 481, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 198, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1328, 1, 1, Smoke::mf_static, 208, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1332, 1, 1, Smoke::mf_static, 208, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 198, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1370, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1328, 3, 2, Smoke::mf_static, 208, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1332, 3, 2, Smoke::mf_static, 208, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1328, 6, 3, Smoke::mf_static, 208, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1332, 6, 3, Smoke::mf_static, 208, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 200, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 502, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 502, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 550, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 663, 0, 0, Smoke::mf_const, 330, 12},	//33 QAbstractSocket::isValid() const
    {2, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 688, 0, 0, Smoke::mf_const, 428, 16},	//37 QAbstractSocket::localPort() const
    {2, 684, 0, 0, Smoke::mf_const, 74, 17},	//38 QAbstractSocket::localAddress() const
    {2, 812, 0, 0, Smoke::mf_const, 428, 18},	//39 QAbstractSocket::peerPort() const
    {2, 807, 0, 0, Smoke::mf_const, 74, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 811, 0, 0, Smoke::mf_const, 208, 20},	//41 QAbstractSocket::peerName() const
    {2, 1026, 0, 0, Smoke::mf_const, 416, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1229, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 411, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1293, 0, 0, Smoke::mf_const, 414, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1250, 35, 3, 0, 330, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1259, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1294, 42, 1, 0, 233, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1296, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1303, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 570, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 484, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 659, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 32},	//53 QAbstractSocket::isSequential() const
    {2, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 33},	//54 QAbstractSocket::atEnd() const
    {2, 583, 0, 0, 0, 330, 34},	//55 QAbstractSocket::flush()
    {2, 1352, 44, 1, 0, 330, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1363, 44, 1, Smoke::mf_virtual, 330, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1350, 44, 1, Smoke::mf_virtual, 330, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1354, 44, 1, 0, 330, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1216, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 835, 0, 0, Smoke::mf_const, 151, 40},	//61 QAbstractSocket::proxy() const
    {2, 622, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 518, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 555, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1304, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 570, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 836, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 512, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 551, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1027, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1033, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1365, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1261, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1257, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1159, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1153, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1192, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1186, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1190, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1328, 1, 1, Smoke::mf_static, 208, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1332, 1, 1, Smoke::mf_static, 208, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 502, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 502, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1250, 44, 1, 0, 330, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1250, 77, 2, 0, 330, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1352, 0, 0, 0, 330, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1363, 0, 0, 0, 330, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1350, 0, 0, 0, 330, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1354, 0, 0, 0, 330, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 512, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1371, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 202, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 202, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 761, 83, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 764, 83, 1, Smoke::mf_const, 330, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 725, 83, 1, Smoke::mf_const, 330, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1345, 0, 0, Smoke::mf_const, 208, 6},	//133 QAuthenticator::user() const
    {3, 1280, 69, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 805, 0, 0, Smoke::mf_const, 208, 8},	//135 QAuthenticator::password() const
    {3, 1182, 69, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 1037, 0, 0, Smoke::mf_const, 208, 10},	//137 QAuthenticator::realm() const
    {3, 792, 69, 1, Smoke::mf_const, 233, 11},	//138 QAuthenticator::option(const QString&) const
    {3, 794, 0, 0, Smoke::mf_const, 73, 12},	//139 QAuthenticator::options() const
    {3, 1176, 85, 2, 0, 0, 13},	//140 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 652, 0, 0, Smoke::mf_const, 330, 14},	//141 QAuthenticator::isNull() const
    {3, 547, 0, 0, 0, 0, 15},	//142 QAuthenticator::detach()
    {3, 1372, 0, 0, Smoke::mf_dtor, 0, 16 },	//143 QAuthenticator::~QAuthenticator()
    {16, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//144 QFtp::metaObject() const
    {16, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//145 QFtp::qt_metacast(const char*)
    {16, 1328, 3, 2, Smoke::mf_static, 208, 3},	//146 QFtp::tr(const char*, const char*)
    {16, 1332, 3, 2, Smoke::mf_static, 208, 4},	//147 QFtp::trUtf8(const char*, const char*)
    {16, 1328, 6, 3, Smoke::mf_static, 208, 5},	//148 QFtp::tr(const char*, const char*, int)
    {16, 1332, 6, 3, Smoke::mf_static, 208, 6},	//149 QFtp::trUtf8(const char*, const char*, int)
    {16, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//150 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 204, 20, 1, Smoke::mf_ctor, 66, 8},	//151 QFtp::QFtp(QObject*)
    {16, 1216, 71, 2, 0, 414, 9},	//152 QFtp::setProxy(const QString&, unsigned short)
    {16, 502, 71, 2, 0, 414, 10},	//153 QFtp::connectToHost(const QString&, unsigned short)
    {16, 689, 88, 2, 0, 414, 11},	//154 QFtp::login(const QString&, const QString&)
    {16, 484, 0, 0, 0, 414, 12},	//155 QFtp::close()
    {16, 1272, 91, 1, 0, 414, 13},	//156 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 676, 69, 1, 0, 414, 14},	//157 QFtp::list(const QString&)
    {16, 475, 69, 1, 0, 414, 15},	//158 QFtp::cd(const QString&)
    {16, 597, 93, 3, 0, 414, 16},	//159 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 843, 97, 3, 0, 414, 17},	//160 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 843, 101, 3, 0, 414, 18},	//161 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1040, 69, 1, 0, 414, 19},	//162 QFtp::remove(const QString&)
    {16, 706, 69, 1, 0, 414, 20},	//163 QFtp::mkdir(const QString&)
    {16, 1062, 69, 1, 0, 414, 21},	//164 QFtp::rmdir(const QString&)
    {16, 1049, 88, 2, 0, 414, 22},	//165 QFtp::rename(const QString&, const QString&)
    {16, 1014, 69, 1, 0, 414, 23},	//166 QFtp::rawCommand(const QString&)
    {16, 465, 0, 0, Smoke::mf_const, 416, 24},	//167 QFtp::bytesAvailable() const
    {16, 1023, 59, 2, 0, 416, 25},	//168 QFtp::read(char*, long long)
    {16, 1025, 0, 0, 0, 14, 26},	//169 QFtp::readAll()
    {16, 530, 0, 0, Smoke::mf_const, 414, 27},	//170 QFtp::currentId() const
    {16, 529, 0, 0, Smoke::mf_const, 94, 28},	//171 QFtp::currentDevice() const
    {16, 527, 0, 0, Smoke::mf_const, 67, 29},	//172 QFtp::currentCommand() const
    {16, 611, 0, 0, Smoke::mf_const, 330, 30},	//173 QFtp::hasPendingCommands() const
    {16, 482, 0, 0, 0, 0, 31},	//174 QFtp::clearPendingCommands()
    {16, 1303, 0, 0, Smoke::mf_const, 69, 32},	//175 QFtp::state() const
    {16, 570, 0, 0, Smoke::mf_const, 68, 33},	//176 QFtp::error() const
    {16, 572, 0, 0, Smoke::mf_const, 208, 34},	//177 QFtp::errorString() const
    {16, 411, 0, 0, Smoke::mf_slot, 0, 35},	//178 QFtp::abort()
    {16, 1304, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//179 QFtp::stateChanged(int)
    {16, 678, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//180 QFtp::listInfo(const QUrlInfo&)
    {16, 1035, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//181 QFtp::readyRead()
    {16, 540, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//182 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1016, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//183 QFtp::rawCommandReply(int, const QString&)
    {16, 489, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//184 QFtp::commandStarted(int)
    {16, 487, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//185 QFtp::commandFinished(int, bool)
    {16, 557, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//186 QFtp::done(bool)
    {16, 1328, 1, 1, Smoke::mf_static, 208, 44},	//187 QFtp::tr(const char*)
    {16, 1332, 1, 1, Smoke::mf_static, 208, 45},	//188 QFtp::trUtf8(const char*)
    {16, 204, 0, 0, Smoke::mf_ctor, 66, 46},	//189 QFtp::QFtp()
    {16, 502, 69, 1, 0, 414, 47},	//190 QFtp::connectToHost(const QString&)
    {16, 689, 0, 0, 0, 414, 48},	//191 QFtp::login()
    {16, 689, 69, 1, 0, 414, 49},	//192 QFtp::login(const QString&)
    {16, 676, 0, 0, 0, 414, 50},	//193 QFtp::list()
    {16, 597, 69, 1, 0, 414, 51},	//194 QFtp::get(const QString&)
    {16, 597, 118, 2, 0, 414, 52},	//195 QFtp::get(const QString&, QIODevice*)
    {16, 843, 121, 2, 0, 414, 53},	//196 QFtp::put(const QByteArray&, const QString&)
    {16, 843, 124, 2, 0, 414, 54},	//197 QFtp::put(QIODevice*, const QString&)
    {16, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 55},	//198 QFtp::staticMetaObject() const
    {16, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 56},	//199 QFtp::Unconnected (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 57},	//200 QFtp::HostLookup (enum)
    {16, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 58},	//201 QFtp::Connecting (enum)
    {16, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 59},	//202 QFtp::Connected (enum)
    {16, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 60},	//203 QFtp::LoggedIn (enum)
    {16, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 61},	//204 QFtp::Closing (enum)
    {16, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 62},	//205 QFtp::NoError (enum)
    {16, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 63},	//206 QFtp::UnknownError (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 64},	//207 QFtp::HostNotFound (enum)
    {16, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 65},	//208 QFtp::ConnectionRefused (enum)
    {16, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 66},	//209 QFtp::NotConnected (enum)
    {16, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 67},	//210 QFtp::None (enum)
    {16, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 68},	//211 QFtp::SetTransferMode (enum)
    {16, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 69},	//212 QFtp::SetProxy (enum)
    {16, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 70},	//213 QFtp::ConnectToHost (enum)
    {16, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 71},	//214 QFtp::Login (enum)
    {16, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 72},	//215 QFtp::Close (enum)
    {16, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 73},	//216 QFtp::List (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 74},	//217 QFtp::Cd (enum)
    {16, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 75},	//218 QFtp::Get (enum)
    {16, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 76},	//219 QFtp::Put (enum)
    {16, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 77},	//220 QFtp::Remove (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 78},	//221 QFtp::Mkdir (enum)
    {16, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 79},	//222 QFtp::Rmdir (enum)
    {16, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 80},	//223 QFtp::Rename (enum)
    {16, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 81},	//224 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//225 QFtp::Active (enum)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//226 QFtp::Passive (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 84},	//227 QFtp::Binary (enum)
    {16, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 85},	//228 QFtp::Ascii (enum)
    {16, 1373, 0, 0, Smoke::mf_dtor, 0, 86 },	//229 QFtp::~QFtp()
    {17, 929, 127, 1, Smoke::mf_static, 414, 1},	//230 QGlobalSpace::qRound(double)
    {17, 789, 129, 2, Smoke::mf_static, 37, 2},	//231 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 847, 127, 1, Smoke::mf_static, 412, 3},	//232 QGlobalSpace::qAcos(double)
    {17, 781, 132, 2, Smoke::mf_static, 20, 4},	//233 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 789, 135, 2, Smoke::mf_static, 35, 5},	//234 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 776, 138, 2, Smoke::mf_static, 330, 6},	//235 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 851, 0, 0, Smoke::mf_static, 208, 7},	//236 QGlobalSpace::qAppName()
    {17, 781, 141, 2, Smoke::mf_static, 20, 8},	//237 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 789, 144, 2, Smoke::mf_static, 99, 9},	//238 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 979, 147, 3, Smoke::mf_static, 333, 10},	//239 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 892, 151, 1, Smoke::mf_static, 425, 11},	//240 QGlobalSpace::qHash(unsigned int)
    {17, 892, 153, 1, Smoke::mf_static, 425, 12},	//241 QGlobalSpace::qHash(char)
    {17, 734, 155, 2, Smoke::mf_static, 388, 13},	//242 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 752, 158, 2, Smoke::mf_static, 24, 14},	//243 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 957, 1, 1, Smoke::mf_static, 14, 15},	//244 QGlobalSpace::qgetenv(const char*)
    {17, 747, 161, 2, Smoke::mf_static, 330, 16},	//245 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 771, 164, 2, Smoke::mf_static, 330, 17},	//246 QGlobalSpace::operator>(const char*, const QString&)
    {17, 781, 167, 2, Smoke::mf_static, 20, 18},	//247 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 789, 170, 2, Smoke::mf_static, 56, 19},	//248 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 764, 173, 2, Smoke::mf_static, 330, 20},	//249 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 752, 176, 2, Smoke::mf_static, 24, 21},	//250 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 764, 179, 2, Smoke::mf_static, 330, 22},	//251 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 752, 182, 2, Smoke::mf_static, 24, 23},	//252 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 878, 127, 1, Smoke::mf_static, 412, 24},	//253 QGlobalSpace::qFastSin(double)
    {17, 737, 185, 2, Smoke::mf_static, 396, 25},	//254 QGlobalSpace::operator+(QChar, const QString&)
    {17, 977, 188, 3, Smoke::mf_static, 414, 26},	//255 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 756, 192, 2, Smoke::mf_static, 330, 27},	//256 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 756, 195, 2, Smoke::mf_static, 330, 28},	//257 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 752, 198, 2, Smoke::mf_static, 24, 29},	//258 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 1012, 201, 4, Smoke::mf_static, 414, 30},	//259 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 725, 206, 2, Smoke::mf_static, 330, 31},	//260 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 725, 209, 2, Smoke::mf_static, 330, 32},	//261 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 752, 212, 2, Smoke::mf_static, 20, 33},	//262 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 737, 215, 2, Smoke::mf_static, 396, 34},	//263 QGlobalSpace::operator+(const QString&, QChar)
    {17, 737, 179, 2, Smoke::mf_static, 386, 35},	//264 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 983, 218, 2, Smoke::mf_static, 425, 36},	//265 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 764, 195, 2, Smoke::mf_static, 330, 37},	//266 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 781, 221, 2, Smoke::mf_static, 20, 38},	//267 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 725, 224, 2, Smoke::mf_static, 330, 39},	//268 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 752, 227, 2, Smoke::mf_static, 24, 40},	//269 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 789, 230, 2, Smoke::mf_static, 62, 41},	//270 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 752, 233, 2, Smoke::mf_static, 24, 42},	//271 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 725, 236, 2, Smoke::mf_static, 330, 43},	//272 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 892, 239, 1, Smoke::mf_static, 425, 44},	//273 QGlobalSpace::qHash(unsigned char)
    {17, 1005, 241, 5, Smoke::mf_static, 0, 45},	//274 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 764, 247, 2, Smoke::mf_static, 330, 46},	//275 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 994, 44, 1, Smoke::mf_static, 208, 47},	//276 QGlobalSpace::qt_error_string(int)
    {17, 994, 0, 0, Smoke::mf_static, 208, 48},	//277 QGlobalSpace::qt_error_string()
    {17, 781, 250, 2, Smoke::mf_static, 20, 49},	//278 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 906, 253, 1, Smoke::mf_static, 330, 50},	//279 QGlobalSpace::qIsNull(float)
    {17, 789, 255, 2, Smoke::mf_static, 99, 51},	//280 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 920, 0, 0, Smoke::mf_static, 412, 52},	//281 QGlobalSpace::qQNaN()
    {17, 725, 258, 2, Smoke::mf_static, 330, 53},	//282 QGlobalSpace::operator!=(QChar, QChar)
    {17, 936, 261, 1, Smoke::mf_static, 221, 54},	//283 QGlobalSpace::qSetPadChar(QChar)
    {17, 781, 263, 2, Smoke::mf_static, 20, 55},	//284 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 752, 266, 2, Smoke::mf_static, 24, 56},	//285 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 789, 269, 2, Smoke::mf_static, 39, 57},	//286 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 742, 206, 2, Smoke::mf_static, 380, 58},	//287 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 752, 272, 2, Smoke::mf_static, 24, 59},	//288 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 985, 275, 2, Smoke::mf_static, 208, 60},	//289 QGlobalSpace::qtTrId(const char*, int)
    {17, 985, 1, 1, Smoke::mf_static, 208, 61},	//290 QGlobalSpace::qtTrId(const char*)
    {17, 856, 278, 2, Smoke::mf_static, 412, 62},	//291 QGlobalSpace::qAtan2(double, double)
    {17, 752, 281, 2, Smoke::mf_static, 20, 63},	//292 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 892, 284, 1, Smoke::mf_static, 425, 64},	//293 QGlobalSpace::qHash(short)
    {17, 752, 286, 2, Smoke::mf_static, 20, 65},	//294 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 764, 138, 2, Smoke::mf_static, 330, 66},	//295 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 789, 289, 2, Smoke::mf_static, 61, 67},	//296 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 900, 127, 1, Smoke::mf_static, 330, 68},	//297 QGlobalSpace::qIsFinite(double)
    {17, 752, 292, 2, Smoke::mf_static, 24, 69},	//298 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 789, 295, 2, Smoke::mf_static, 56, 70},	//299 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 964, 161, 2, Smoke::mf_static, 414, 71},	//300 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 971, 1, 1, Smoke::mf_static, 333, 72},	//301 QGlobalSpace::qstrdup(const char*)
    {17, 892, 298, 1, Smoke::mf_static, 425, 73},	//302 QGlobalSpace::qHash(long)
    {17, 789, 300, 2, Smoke::mf_static, 55, 74},	//303 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 964, 3, 2, Smoke::mf_static, 414, 75},	//304 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 752, 303, 2, Smoke::mf_static, 20, 76},	//305 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 771, 192, 2, Smoke::mf_static, 330, 77},	//306 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 725, 306, 2, Smoke::mf_static, 330, 78},	//307 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 737, 309, 2, Smoke::mf_static, 336, 79},	//308 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 789, 312, 2, Smoke::mf_static, 43, 80},	//309 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 789, 315, 2, Smoke::mf_static, 43, 81},	//310 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 725, 138, 2, Smoke::mf_static, 330, 82},	//311 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 764, 318, 2, Smoke::mf_static, 330, 83},	//312 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 892, 321, 1, Smoke::mf_static, 425, 84},	//313 QGlobalSpace::qHash(const QBitArray&)
    {17, 789, 323, 2, Smoke::mf_static, 35, 85},	//314 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 969, 326, 2, Smoke::mf_static, 333, 86},	//315 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 789, 329, 2, Smoke::mf_static, 11, 87},	//316 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 725, 332, 2, Smoke::mf_static, 330, 88},	//317 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 854, 127, 1, Smoke::mf_static, 412, 89},	//318 QGlobalSpace::qAtan(double)
    {17, 747, 309, 2, Smoke::mf_static, 330, 90},	//319 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 964, 309, 2, Smoke::mf_static, 414, 91},	//320 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 776, 258, 2, Smoke::mf_static, 330, 92},	//321 QGlobalSpace::operator>=(QChar, QChar)
    {17, 789, 335, 2, Smoke::mf_static, 57, 93},	//322 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 756, 258, 2, Smoke::mf_static, 330, 94},	//323 QGlobalSpace::operator<=(QChar, QChar)
    {17, 734, 338, 2, Smoke::mf_static, 380, 95},	//324 QGlobalSpace::operator*(const QPointF&, double)
    {17, 752, 341, 2, Smoke::mf_static, 24, 96},	//325 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 764, 344, 2, Smoke::mf_static, 330, 97},	//326 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 789, 347, 2, Smoke::mf_static, 32, 98},	//327 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 789, 350, 2, Smoke::mf_static, 99, 99},	//328 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 992, 275, 2, Smoke::mf_static, 0, 100},	//329 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 764, 306, 2, Smoke::mf_static, 330, 101},	//330 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 725, 192, 2, Smoke::mf_static, 330, 102},	//331 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 781, 353, 2, Smoke::mf_static, 20, 103},	//332 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 725, 356, 2, Smoke::mf_static, 330, 104},	//333 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 756, 359, 2, Smoke::mf_static, 330, 105},	//334 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 950, 362, 2, Smoke::mf_static, 14, 106},	//335 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 789, 365, 2, Smoke::mf_static, 48, 107},	//336 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 863, 368, 2, Smoke::mf_static, 14, 108},	//337 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 863, 371, 1, Smoke::mf_static, 14, 109},	//338 QGlobalSpace::qCompress(const QByteArray&)
    {17, 752, 373, 2, Smoke::mf_static, 20, 110},	//339 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 781, 376, 2, Smoke::mf_static, 218, 111},	//340 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 752, 379, 2, Smoke::mf_static, 24, 112},	//341 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 789, 382, 2, Smoke::mf_static, 99, 113},	//342 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 923, 385, 4, Smoke::mf_static, 433, 114},	//343 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 789, 390, 2, Smoke::mf_static, 99, 115},	//344 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 771, 138, 2, Smoke::mf_static, 330, 116},	//345 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 943, 127, 1, Smoke::mf_static, 412, 117},	//346 QGlobalSpace::qSqrt(double)
    {17, 752, 393, 2, Smoke::mf_static, 20, 118},	//347 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 752, 376, 2, Smoke::mf_static, 218, 119},	//348 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 752, 396, 2, Smoke::mf_static, 24, 120},	//349 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 752, 399, 2, Smoke::mf_static, 24, 121},	//350 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 752, 402, 2, Smoke::mf_static, 24, 122},	//351 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 771, 195, 2, Smoke::mf_static, 330, 123},	//352 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 776, 359, 2, Smoke::mf_static, 330, 124},	//353 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 898, 253, 1, Smoke::mf_static, 414, 125},	//354 QGlobalSpace::qIntCast(float)
    {17, 789, 405, 2, Smoke::mf_static, 46, 126},	//355 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 764, 206, 2, Smoke::mf_static, 330, 127},	//356 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 771, 309, 2, Smoke::mf_static, 330, 128},	//357 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 874, 127, 1, Smoke::mf_static, 412, 129},	//358 QGlobalSpace::qFabs(double)
    {17, 892, 65, 1, Smoke::mf_static, 425, 130},	//359 QGlobalSpace::qHash(unsigned short)
    {17, 764, 309, 2, Smoke::mf_static, 330, 131},	//360 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 789, 408, 2, Smoke::mf_static, 61, 132},	//361 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 789, 411, 2, Smoke::mf_static, 45, 133},	//362 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 752, 414, 2, Smoke::mf_static, 24, 134},	//363 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 789, 417, 2, Smoke::mf_static, 59, 135},	//364 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 725, 195, 2, Smoke::mf_static, 330, 136},	//365 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 921, 420, 2, Smoke::mf_static, 433, 137},	//366 QGlobalSpace::qRealloc(void*, size_t)
    {17, 789, 423, 2, Smoke::mf_static, 52, 138},	//367 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 789, 426, 2, Smoke::mf_static, 99, 139},	//368 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 764, 429, 2, Smoke::mf_static, 330, 140},	//369 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 789, 432, 2, Smoke::mf_static, 53, 141},	//370 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 954, 0, 0, Smoke::mf_static, 24, 142},	//371 QGlobalSpace::qWarning()
    {17, 789, 435, 2, Smoke::mf_static, 99, 143},	//372 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 888, 278, 2, Smoke::mf_static, 330, 144},	//373 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 756, 138, 2, Smoke::mf_static, 330, 145},	//374 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 752, 438, 2, Smoke::mf_static, 24, 146},	//375 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 789, 441, 2, Smoke::mf_static, 38, 147},	//376 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 789, 444, 2, Smoke::mf_static, 40, 148},	//377 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 781, 447, 2, Smoke::mf_static, 20, 149},	//378 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 752, 450, 2, Smoke::mf_static, 24, 150},	//379 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 752, 453, 2, Smoke::mf_static, 20, 151},	//380 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 725, 456, 2, Smoke::mf_static, 330, 152},	//381 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 734, 459, 2, Smoke::mf_static, 386, 153},	//382 QGlobalSpace::operator*(double, const QSize&)
    {17, 789, 462, 2, Smoke::mf_static, 51, 154},	//383 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 871, 0, 0, Smoke::mf_static, 24, 155},	//384 QGlobalSpace::qDebug()
    {17, 892, 33, 1, Smoke::mf_static, 425, 156},	//385 QGlobalSpace::qHash(long long)
    {17, 789, 465, 2, Smoke::mf_static, 58, 157},	//386 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 756, 164, 2, Smoke::mf_static, 330, 158},	//387 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 742, 468, 1, Smoke::mf_static, 380, 159},	//388 QGlobalSpace::operator-(const QPointF&)
    {17, 789, 470, 2, Smoke::mf_static, 99, 160},	//389 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 902, 253, 1, Smoke::mf_static, 330, 161},	//390 QGlobalSpace::qIsInf(float)
    {17, 789, 473, 2, Smoke::mf_static, 99, 162},	//391 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 737, 164, 2, Smoke::mf_static, 396, 163},	//392 QGlobalSpace::operator+(const char*, const QString&)
    {17, 756, 309, 2, Smoke::mf_static, 330, 164},	//393 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 752, 476, 2, Smoke::mf_static, 24, 165},	//394 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 892, 67, 1, Smoke::mf_static, 425, 166},	//395 QGlobalSpace::qHash(const QHostAddress&)
    {17, 725, 359, 2, Smoke::mf_static, 330, 167},	//396 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 771, 258, 2, Smoke::mf_static, 330, 168},	//397 QGlobalSpace::operator>(QChar, QChar)
    {17, 745, 155, 2, Smoke::mf_static, 388, 169},	//398 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 789, 479, 2, Smoke::mf_static, 99, 170},	//399 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 752, 482, 2, Smoke::mf_static, 24, 171},	//400 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 964, 359, 2, Smoke::mf_static, 414, 172},	//401 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 732, 329, 2, Smoke::mf_static, 11, 173},	//402 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 742, 485, 1, Smoke::mf_static, 378, 174},	//403 QGlobalSpace::operator-(const QPoint&)
    {17, 752, 487, 2, Smoke::mf_static, 24, 175},	//404 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 776, 161, 2, Smoke::mf_static, 330, 176},	//405 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 752, 490, 2, Smoke::mf_static, 20, 177},	//406 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 789, 493, 2, Smoke::mf_static, 46, 178},	//407 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 776, 192, 2, Smoke::mf_static, 330, 179},	//408 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 747, 195, 2, Smoke::mf_static, 330, 180},	//409 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 781, 496, 2, Smoke::mf_static, 20, 181},	//410 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 725, 499, 2, Smoke::mf_static, 330, 182},	//411 QGlobalSpace::operator!=(QBool, QBool)
    {17, 737, 502, 2, Smoke::mf_static, 396, 183},	//412 QGlobalSpace::operator+(const QString&, char)
    {17, 725, 505, 2, Smoke::mf_static, 330, 184},	//413 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 892, 508, 1, Smoke::mf_static, 425, 185},	//414 QGlobalSpace::qHash(unsigned long long)
    {17, 764, 192, 2, Smoke::mf_static, 330, 186},	//415 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 880, 1, 1, Smoke::mf_static, 408, 187},	//416 QGlobalSpace::qFlagLocation(const char*)
    {17, 745, 338, 2, Smoke::mf_static, 380, 188},	//417 QGlobalSpace::operator/(const QPointF&, double)
    {17, 898, 127, 1, Smoke::mf_static, 414, 189},	//418 QGlobalSpace::qIntCast(double)
    {17, 789, 510, 2, Smoke::mf_static, 99, 190},	//419 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 950, 371, 1, Smoke::mf_static, 14, 191},	//420 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 725, 173, 2, Smoke::mf_static, 330, 192},	//421 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 752, 513, 2, Smoke::mf_static, 24, 193},	//422 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 764, 516, 2, Smoke::mf_static, 330, 194},	//423 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 756, 161, 2, Smoke::mf_static, 330, 195},	//424 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 876, 127, 1, Smoke::mf_static, 412, 196},	//425 QGlobalSpace::qFastCos(double)
    {17, 927, 519, 1, Smoke::mf_static, 0, 197},	//426 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 789, 521, 2, Smoke::mf_static, 40, 198},	//427 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 789, 524, 2, Smoke::mf_static, 53, 199},	//428 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 781, 527, 2, Smoke::mf_static, 20, 200},	//429 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 888, 530, 2, Smoke::mf_static, 330, 201},	//430 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 752, 533, 2, Smoke::mf_static, 20, 202},	//431 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 861, 218, 2, Smoke::mf_static, 428, 203},	//432 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 781, 536, 2, Smoke::mf_static, 20, 204},	//433 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 734, 539, 2, Smoke::mf_static, 386, 205},	//434 QGlobalSpace::operator*(const QSize&, double)
    {17, 896, 542, 1, Smoke::mf_static, 432, 206},	//435 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 742, 332, 2, Smoke::mf_static, 378, 207},	//436 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 752, 544, 2, Smoke::mf_static, 218, 208},	//437 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 789, 547, 2, Smoke::mf_static, 50, 209},	//438 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 781, 550, 2, Smoke::mf_static, 20, 210},	//439 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 789, 553, 2, Smoke::mf_static, 33, 211},	//440 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 870, 0, 0, Smoke::mf_static, 24, 212},	//441 QGlobalSpace::qCritical()
    {17, 918, 278, 2, Smoke::mf_static, 412, 213},	//442 QGlobalSpace::qPow(double, double)
    {17, 745, 556, 2, Smoke::mf_static, 378, 214},	//443 QGlobalSpace::operator/(const QPoint&, double)
    {17, 752, 559, 2, Smoke::mf_static, 20, 215},	//444 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 752, 562, 2, Smoke::mf_static, 20, 216},	//445 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 725, 516, 2, Smoke::mf_static, 330, 217},	//446 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 752, 565, 2, Smoke::mf_static, 20, 218},	//447 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 892, 44, 1, Smoke::mf_static, 425, 219},	//448 QGlobalSpace::qHash(int)
    {17, 789, 568, 2, Smoke::mf_static, 54, 220},	//449 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 1002, 0, 0, Smoke::mf_static, 0, 221},	//450 QGlobalSpace::qt_noop()
    {17, 764, 209, 2, Smoke::mf_static, 330, 222},	//451 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 789, 571, 2, Smoke::mf_static, 99, 223},	//452 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 725, 247, 2, Smoke::mf_static, 330, 224},	//453 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 781, 574, 2, Smoke::mf_static, 20, 225},	//454 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 1003, 577, 3, Smoke::mf_static, 173, 226},	//455 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 752, 581, 2, Smoke::mf_static, 20, 227},	//456 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 764, 499, 2, Smoke::mf_static, 330, 228},	//457 QGlobalSpace::operator==(QBool, QBool)
    {17, 872, 127, 1, Smoke::mf_static, 412, 229},	//458 QGlobalSpace::qExp(double)
    {17, 781, 584, 2, Smoke::mf_static, 20, 230},	//459 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 781, 587, 2, Smoke::mf_static, 20, 231},	//460 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 789, 590, 2, Smoke::mf_static, 57, 232},	//461 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 764, 593, 2, Smoke::mf_static, 330, 233},	//462 QGlobalSpace::operator==(bool, QBool)
    {17, 789, 596, 2, Smoke::mf_static, 47, 234},	//463 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 890, 127, 1, Smoke::mf_static, 330, 235},	//464 QGlobalSpace::qFuzzyIsNull(double)
    {17, 781, 599, 2, Smoke::mf_static, 20, 236},	//465 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 1010, 602, 3, Smoke::mf_static, 330, 237},	//466 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 747, 164, 2, Smoke::mf_static, 330, 238},	//467 QGlobalSpace::operator<(const char*, const QString&)
    {17, 764, 606, 2, Smoke::mf_static, 330, 239},	//468 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 955, 609, 3, Smoke::mf_static, 0, 240},	//469 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 892, 261, 1, Smoke::mf_static, 425, 241},	//470 QGlobalSpace::qHash(QChar)
    {17, 789, 613, 2, Smoke::mf_static, 99, 242},	//471 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 752, 616, 2, Smoke::mf_static, 20, 243},	//472 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 725, 606, 2, Smoke::mf_static, 330, 244},	//473 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 747, 138, 2, Smoke::mf_static, 330, 245},	//474 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 789, 619, 2, Smoke::mf_static, 36, 246},	//475 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 725, 593, 2, Smoke::mf_static, 330, 247},	//476 QGlobalSpace::operator!=(bool, QBool)
    {17, 996, 622, 2, Smoke::mf_static, 0, 248},	//477 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 962, 151, 1, Smoke::mf_static, 0, 249},	//478 QGlobalSpace::qsrand(unsigned int)
    {17, 764, 625, 2, Smoke::mf_static, 330, 250},	//479 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 737, 121, 2, Smoke::mf_static, 396, 251},	//480 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 789, 628, 2, Smoke::mf_static, 49, 252},	//481 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 789, 631, 2, Smoke::mf_static, 44, 253},	//482 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 789, 634, 2, Smoke::mf_static, 42, 254},	//483 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 752, 637, 2, Smoke::mf_static, 24, 255},	//484 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 789, 640, 2, Smoke::mf_static, 99, 256},	//485 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 781, 643, 2, Smoke::mf_static, 20, 257},	//486 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 725, 429, 2, Smoke::mf_static, 330, 258},	//487 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 973, 3, 2, Smoke::mf_static, 414, 259},	//488 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 789, 646, 2, Smoke::mf_static, 65, 260},	//489 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 916, 649, 3, Smoke::mf_static, 433, 261},	//490 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 752, 653, 2, Smoke::mf_static, 24, 262},	//491 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 725, 179, 2, Smoke::mf_static, 330, 263},	//492 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 859, 127, 1, Smoke::mf_static, 414, 264},	//493 QGlobalSpace::qCeil(double)
    {17, 892, 656, 1, Smoke::mf_static, 425, 265},	//494 QGlobalSpace::qHash(signed char)
    {17, 789, 658, 2, Smoke::mf_static, 65, 266},	//495 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 764, 236, 2, Smoke::mf_static, 330, 267},	//496 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 789, 661, 2, Smoke::mf_static, 64, 268},	//497 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 764, 505, 2, Smoke::mf_static, 330, 269},	//498 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 752, 664, 2, Smoke::mf_static, 24, 270},	//499 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 781, 667, 2, Smoke::mf_static, 20, 271},	//500 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 789, 670, 2, Smoke::mf_static, 99, 272},	//501 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 737, 332, 2, Smoke::mf_static, 378, 273},	//502 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 737, 161, 2, Smoke::mf_static, 336, 274},	//503 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 849, 519, 1, Smoke::mf_static, 0, 275},	//504 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 925, 673, 1, Smoke::mf_static, 0, 276},	//505 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 734, 675, 2, Smoke::mf_static, 380, 277},	//506 QGlobalSpace::operator*(double, const QPointF&)
    {17, 940, 0, 0, Smoke::mf_static, 330, 278},	//507 QGlobalSpace::qSharedBuild()
    {17, 752, 678, 2, Smoke::mf_static, 20, 279},	//508 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 752, 681, 2, Smoke::mf_static, 20, 280},	//509 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 781, 684, 2, Smoke::mf_static, 20, 281},	//510 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 895, 0, 0, Smoke::mf_static, 412, 282},	//511 QGlobalSpace::qInf()
    {17, 981, 188, 3, Smoke::mf_static, 414, 283},	//512 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 789, 687, 2, Smoke::mf_static, 48, 284},	//513 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 892, 690, 1, Smoke::mf_static, 425, 285},	//514 QGlobalSpace::qHash(const QStringRef&)
    {17, 781, 692, 2, Smoke::mf_static, 20, 286},	//515 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 789, 695, 2, Smoke::mf_static, 99, 287},	//516 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 771, 359, 2, Smoke::mf_static, 330, 288},	//517 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 752, 698, 2, Smoke::mf_static, 20, 289},	//518 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 764, 258, 2, Smoke::mf_static, 330, 290},	//519 QGlobalSpace::operator==(QChar, QChar)
    {17, 868, 127, 1, Smoke::mf_static, 412, 291},	//520 QGlobalSpace::qCos(double)
    {17, 912, 701, 2, Smoke::mf_static, 433, 292},	//521 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 752, 704, 2, Smoke::mf_static, 20, 293},	//522 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 737, 707, 2, Smoke::mf_static, 396, 294},	//523 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 990, 710, 4, Smoke::mf_static, 0, 295},	//524 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 789, 715, 2, Smoke::mf_static, 49, 296},	//525 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 789, 718, 2, Smoke::mf_static, 36, 297},	//526 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 737, 721, 2, Smoke::mf_static, 336, 298},	//527 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 789, 724, 2, Smoke::mf_static, 99, 299},	//528 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 789, 727, 2, Smoke::mf_static, 39, 300},	//529 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 953, 0, 0, Smoke::mf_static, 408, 301},	//530 QGlobalSpace::qVersion()
    {17, 789, 730, 2, Smoke::mf_static, 50, 302},	//531 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 752, 733, 2, Smoke::mf_static, 20, 303},	//532 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 737, 206, 2, Smoke::mf_static, 380, 304},	//533 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 764, 164, 2, Smoke::mf_static, 330, 305},	//534 QGlobalSpace::operator==(const char*, const QString&)
    {17, 789, 736, 2, Smoke::mf_static, 38, 306},	//535 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 752, 739, 2, Smoke::mf_static, 20, 307},	//536 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 789, 742, 2, Smoke::mf_static, 99, 308},	//537 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 764, 456, 2, Smoke::mf_static, 330, 309},	//538 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 945, 745, 2, Smoke::mf_static, 330, 310},	//539 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 789, 748, 2, Smoke::mf_static, 34, 311},	//540 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 752, 751, 2, Smoke::mf_static, 24, 312},	//541 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 752, 754, 2, Smoke::mf_static, 20, 313},	//542 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 737, 757, 2, Smoke::mf_static, 336, 314},	//543 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 737, 760, 2, Smoke::mf_static, 396, 315},	//544 QGlobalSpace::operator+(const QString&, const char*)
    {17, 789, 763, 2, Smoke::mf_static, 99, 316},	//545 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 747, 359, 2, Smoke::mf_static, 330, 317},	//546 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 863, 766, 3, Smoke::mf_static, 14, 318},	//547 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 863, 362, 2, Smoke::mf_static, 14, 319},	//548 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 882, 127, 1, Smoke::mf_static, 414, 320},	//549 QGlobalSpace::qFloor(double)
    {17, 789, 770, 2, Smoke::mf_static, 60, 321},	//550 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 892, 69, 1, Smoke::mf_static, 425, 322},	//551 QGlobalSpace::qHash(const QString&)
    {17, 737, 88, 2, Smoke::mf_static, 396, 323},	//552 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 725, 773, 2, Smoke::mf_static, 330, 324},	//553 QGlobalSpace::operator!=(QBool, bool)
    {17, 764, 359, 2, Smoke::mf_static, 330, 325},	//554 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 752, 776, 2, Smoke::mf_static, 20, 326},	//555 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 904, 253, 1, Smoke::mf_static, 330, 327},	//556 QGlobalSpace::qIsNaN(float)
    {17, 752, 779, 2, Smoke::mf_static, 20, 328},	//557 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 789, 782, 2, Smoke::mf_static, 99, 329},	//558 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 914, 785, 3, Smoke::mf_static, 433, 330},	//559 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 884, 789, 1, Smoke::mf_static, 0, 331},	//560 QGlobalSpace::qFree(void*)
    {17, 764, 745, 2, Smoke::mf_static, 330, 332},	//561 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 776, 164, 2, Smoke::mf_static, 330, 333},	//562 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 904, 127, 1, Smoke::mf_static, 330, 334},	//563 QGlobalSpace::qIsNaN(double)
    {17, 789, 791, 2, Smoke::mf_static, 62, 335},	//564 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 734, 556, 2, Smoke::mf_static, 378, 336},	//565 QGlobalSpace::operator*(const QPoint&, double)
    {17, 752, 794, 2, Smoke::mf_static, 24, 337},	//566 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 752, 797, 2, Smoke::mf_static, 24, 338},	//567 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 938, 44, 1, Smoke::mf_static, 221, 339},	//568 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 961, 0, 0, Smoke::mf_static, 414, 340},	//569 QGlobalSpace::qrand()
    {17, 781, 800, 2, Smoke::mf_static, 20, 341},	//570 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 892, 14, 1, Smoke::mf_static, 425, 342},	//571 QGlobalSpace::qHash(const QUrl&)
    {17, 789, 803, 2, Smoke::mf_static, 63, 343},	//572 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 737, 359, 2, Smoke::mf_static, 336, 344},	//573 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 734, 806, 2, Smoke::mf_static, 378, 345},	//574 QGlobalSpace::operator*(double, const QPoint&)
    {17, 752, 809, 2, Smoke::mf_static, 24, 346},	//575 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 725, 745, 2, Smoke::mf_static, 330, 347},	//576 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 941, 127, 1, Smoke::mf_static, 412, 348},	//577 QGlobalSpace::qSin(double)
    {17, 752, 812, 2, Smoke::mf_static, 24, 349},	//578 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 752, 815, 2, Smoke::mf_static, 24, 350},	//579 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 764, 332, 2, Smoke::mf_static, 330, 351},	//580 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 789, 818, 2, Smoke::mf_static, 37, 352},	//581 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 988, 6, 3, Smoke::mf_static, 0, 353},	//582 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 781, 821, 2, Smoke::mf_static, 20, 354},	//583 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 752, 824, 2, Smoke::mf_static, 24, 355},	//584 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 975, 1, 1, Smoke::mf_static, 425, 356},	//585 QGlobalSpace::qstrlen(const char*)
    {17, 789, 827, 2, Smoke::mf_static, 47, 357},	//586 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 789, 830, 2, Smoke::mf_static, 34, 358},	//587 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 902, 127, 1, Smoke::mf_static, 330, 359},	//588 QGlobalSpace::qIsInf(double)
    {17, 742, 179, 2, Smoke::mf_static, 386, 360},	//589 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 789, 833, 2, Smoke::mf_static, 44, 361},	//590 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 789, 836, 2, Smoke::mf_static, 99, 362},	//591 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 745, 539, 2, Smoke::mf_static, 386, 363},	//592 QGlobalSpace::operator/(const QSize&, double)
    {17, 776, 309, 2, Smoke::mf_static, 330, 364},	//593 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 789, 839, 2, Smoke::mf_static, 99, 365},	//594 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 789, 842, 2, Smoke::mf_static, 99, 366},	//595 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 725, 309, 2, Smoke::mf_static, 330, 367},	//596 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 948, 127, 1, Smoke::mf_static, 412, 368},	//597 QGlobalSpace::qTan(double)
    {17, 931, 127, 1, Smoke::mf_static, 416, 369},	//598 QGlobalSpace::qRound64(double)
    {17, 892, 845, 1, Smoke::mf_static, 425, 370},	//599 QGlobalSpace::qHash(unsigned long)
    {17, 789, 847, 2, Smoke::mf_static, 32, 371},	//600 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 933, 0, 0, Smoke::mf_static, 412, 372},	//601 QGlobalSpace::qSNaN()
    {17, 747, 258, 2, Smoke::mf_static, 330, 373},	//602 QGlobalSpace::operator<(QChar, QChar)
    {17, 789, 850, 2, Smoke::mf_static, 59, 374},	//603 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 789, 853, 2, Smoke::mf_static, 52, 375},	//604 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 742, 456, 2, Smoke::mf_static, 388, 376},	//605 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 910, 856, 1, Smoke::mf_static, 433, 377},	//606 QGlobalSpace::qMalloc(size_t)
    {17, 906, 127, 1, Smoke::mf_static, 330, 378},	//607 QGlobalSpace::qIsNull(double)
    {17, 959, 309, 2, Smoke::mf_static, 330, 379},	//608 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 789, 858, 2, Smoke::mf_static, 99, 380},	//609 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 781, 861, 2, Smoke::mf_static, 20, 381},	//610 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 789, 864, 2, Smoke::mf_static, 99, 382},	//611 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 781, 867, 2, Smoke::mf_static, 20, 383},	//612 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 890, 253, 1, Smoke::mf_static, 330, 384},	//613 QGlobalSpace::qFuzzyIsNull(float)
    {17, 752, 870, 2, Smoke::mf_static, 20, 385},	//614 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 752, 873, 2, Smoke::mf_static, 24, 386},	//615 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 892, 876, 1, Smoke::mf_static, 425, 387},	//616 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 789, 878, 2, Smoke::mf_static, 42, 388},	//617 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 752, 881, 2, Smoke::mf_static, 24, 389},	//618 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 789, 884, 2, Smoke::mf_static, 99, 390},	//619 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 789, 887, 2, Smoke::mf_static, 63, 391},	//620 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 771, 161, 2, Smoke::mf_static, 330, 392},	//621 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 725, 625, 2, Smoke::mf_static, 330, 393},	//622 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 789, 890, 2, Smoke::mf_static, 54, 394},	//623 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 725, 164, 2, Smoke::mf_static, 330, 395},	//624 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 934, 44, 1, Smoke::mf_static, 221, 396},	//625 QGlobalSpace::qSetFieldWidth(int)
    {17, 945, 760, 2, Smoke::mf_static, 330, 397},	//626 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 789, 893, 2, Smoke::mf_static, 64, 398},	//627 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 789, 896, 2, Smoke::mf_static, 51, 399},	//628 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 789, 899, 2, Smoke::mf_static, 99, 400},	//629 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 747, 192, 2, Smoke::mf_static, 330, 401},	//630 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 734, 902, 2, Smoke::mf_static, 388, 402},	//631 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 776, 195, 2, Smoke::mf_static, 330, 403},	//632 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 752, 905, 2, Smoke::mf_static, 24, 404},	//633 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 892, 371, 1, Smoke::mf_static, 425, 405},	//634 QGlobalSpace::qHash(const QByteArray&)
    {17, 764, 224, 2, Smoke::mf_static, 330, 406},	//635 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 892, 908, 1, Smoke::mf_static, 425, 407},	//636 QGlobalSpace::qHash(const QModelIndex&)
    {17, 764, 356, 2, Smoke::mf_static, 330, 408},	//637 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 789, 910, 2, Smoke::mf_static, 99, 409},	//638 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 789, 913, 2, Smoke::mf_static, 58, 410},	//639 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 789, 916, 2, Smoke::mf_static, 55, 411},	//640 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 886, 789, 1, Smoke::mf_static, 0, 412},	//641 QGlobalSpace::qFreeAligned(void*)
    {17, 789, 919, 2, Smoke::mf_static, 60, 413},	//642 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 752, 922, 2, Smoke::mf_static, 24, 414},	//643 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 764, 161, 2, Smoke::mf_static, 330, 415},	//644 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 789, 925, 2, Smoke::mf_static, 99, 416},	//645 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 789, 928, 2, Smoke::mf_static, 99, 417},	//646 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 908, 127, 1, Smoke::mf_static, 412, 418},	//647 QGlobalSpace::qLn(double)
    {17, 764, 773, 2, Smoke::mf_static, 330, 419},	//648 QGlobalSpace::operator==(QBool, bool)
    {17, 725, 161, 2, Smoke::mf_static, 330, 420},	//649 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 787, 329, 2, Smoke::mf_static, 11, 421},	//650 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 852, 127, 1, Smoke::mf_static, 412, 422},	//651 QGlobalSpace::qAsin(double)
    {17, 781, 931, 2, Smoke::mf_static, 20, 423},	//652 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 858, 0, 0, Smoke::mf_static, 0, 424},	//653 QGlobalSpace::qBadAlloc()
    {17, 789, 934, 2, Smoke::mf_static, 99, 425},	//654 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 789, 937, 2, Smoke::mf_static, 99, 426},	//655 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 789, 940, 2, Smoke::mf_static, 99, 427},	//656 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 737, 943, 2, Smoke::mf_static, 396, 428},	//657 QGlobalSpace::operator+(char, const QString&)
    {17, 752, 946, 2, Smoke::mf_static, 20, 429},	//658 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 900, 253, 1, Smoke::mf_static, 330, 430},	//659 QGlobalSpace::qIsFinite(float)
    {17, 737, 456, 2, Smoke::mf_static, 388, 431},	//660 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 789, 949, 2, Smoke::mf_static, 33, 432},	//661 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 789, 952, 2, Smoke::mf_static, 45, 433},	//662 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 434},	//663 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 435},	//664 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 436},	//665 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 437},	//666 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 415, 438},	//667 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 439},	//668 QGlobalSpace::LicensedGui (enum)
    {17, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 440},	//669 QGlobalSpace::LicensedXml (enum)
    {17, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 441},	//670 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 442},	//671 QGlobalSpace::LicensedScript (enum)
    {17, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 443},	//672 QGlobalSpace::LicensedOpenVG (enum)
    {17, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 444},	//673 QGlobalSpace::LicensedDBus (enum)
    {17, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 327, 445},	//674 QGlobalSpace::LicensedTest (enum)
    {17, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 446},	//675 QGlobalSpace::LicensedActiveQt (enum)
    {17, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 447},	//676 QGlobalSpace::LicensedScriptTools (enum)
    {17, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 326, 448},	//677 QGlobalSpace::LicensedSvg (enum)
    {17, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 449},	//678 QGlobalSpace::LicensedDeclarative (enum)
    {17, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 450},	//679 QGlobalSpace::LicensedSql (enum)
    {17, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 451},	//680 QGlobalSpace::LicensedOpenGL (enum)
    {17, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 452},	//681 QGlobalSpace::LicensedCore (enum)
    {17, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 453},	//682 QGlobalSpace::QtDebugMsg (enum)
    {17, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 454},	//683 QGlobalSpace::QtWarningMsg (enum)
    {17, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 455},	//684 QGlobalSpace::QtCriticalMsg (enum)
    {17, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 456},	//685 QGlobalSpace::QtFatalMsg (enum)
    {17, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 457},	//686 QGlobalSpace::QtSystemMsg (enum)
    {17, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 316, 458},	//687 QGlobalSpace::LicensedHelp (enum)
    {17, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 317, 459},	//688 QGlobalSpace::LicensedMultimedia (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 460},	//689 QGlobalSpace::LicensedQt3Support (enum)
    {17, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 461},	//690 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 318, 462},	//691 QGlobalSpace::LicensedNetwork (enum)
    {19, 206, 0, 0, Smoke::mf_ctor, 76, 1},	//692 QHostAddress::QHostAddress()
    {19, 206, 151, 1, Smoke::mf_ctor, 76, 2},	//693 QHostAddress::QHostAddress(unsigned int)
    {19, 206, 955, 1, Smoke::mf_ctor, 76, 3},	//694 QHostAddress::QHostAddress(unsigned char*)
    {19, 206, 957, 1, Smoke::mf_ctor, 76, 4},	//695 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 206, 959, 1, Smoke::mf_ctor, 76, 5},	//696 QHostAddress::QHostAddress(const sockaddr*)
    {19, 206, 69, 1, Smoke::mf_ctor, 76, 6},	//697 QHostAddress::QHostAddress(const QString&)
    {19, 206, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//698 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 206, 961, 1, Smoke::mf_ctor, 76, 8},	//699 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 761, 67, 1, 0, 75, 9},	//700 QHostAddress::operator=(const QHostAddress&)
    {19, 761, 69, 1, 0, 75, 10},	//701 QHostAddress::operator=(const QString&)
    {19, 1078, 151, 1, 0, 0, 11},	//702 QHostAddress::setAddress(unsigned int)
    {19, 1078, 955, 1, 0, 0, 12},	//703 QHostAddress::setAddress(unsigned char*)
    {19, 1078, 957, 1, 0, 0, 13},	//704 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1078, 959, 1, 0, 0, 14},	//705 QHostAddress::setAddress(const sockaddr*)
    {19, 1078, 69, 1, 0, 330, 15},	//706 QHostAddress::setAddress(const QString&)
    {19, 832, 0, 0, Smoke::mf_const, 4, 16},	//707 QHostAddress::protocol() const
    {19, 1321, 0, 0, Smoke::mf_const, 425, 17},	//708 QHostAddress::toIPv4Address() const
    {19, 1322, 0, 0, Smoke::mf_const, 97, 18},	//709 QHostAddress::toIPv6Address() const
    {19, 1327, 0, 0, Smoke::mf_const, 208, 19},	//710 QHostAddress::toString() const
    {19, 1065, 0, 0, Smoke::mf_const, 208, 20},	//711 QHostAddress::scopeId() const
    {19, 1240, 69, 1, 0, 0, 21},	//712 QHostAddress::setScopeId(const QString&)
    {19, 764, 67, 1, Smoke::mf_const, 330, 22},	//713 QHostAddress::operator==(const QHostAddress&) const
    {19, 764, 961, 1, Smoke::mf_const, 330, 23},	//714 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 725, 67, 1, Smoke::mf_const, 330, 24},	//715 QHostAddress::operator!=(const QHostAddress&) const
    {19, 725, 961, 1, Smoke::mf_const, 330, 25},	//716 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 652, 0, 0, Smoke::mf_const, 330, 26},	//717 QHostAddress::isNull() const
    {19, 481, 0, 0, 0, 0, 27},	//718 QHostAddress::clear()
    {19, 648, 963, 2, Smoke::mf_const, 330, 28},	//719 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 648, 966, 1, Smoke::mf_const, 330, 29},	//720 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 803, 69, 1, Smoke::mf_static, 175, 30},	//721 QHostAddress::parseSubnet(const QString&)
    {19, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 31},	//722 QHostAddress::Null (enum)
    {19, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 32},	//723 QHostAddress::Broadcast (enum)
    {19, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 33},	//724 QHostAddress::LocalHost (enum)
    {19, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 34},	//725 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 35},	//726 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 36},	//727 QHostAddress::AnyIPv6 (enum)
    {19, 1374, 0, 0, Smoke::mf_dtor, 0, 37 },	//728 QHostAddress::~QHostAddress()
    {20, 209, 44, 1, Smoke::mf_ctor, 80, 1},	//729 QHostInfo::QHostInfo(int)
    {20, 209, 968, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//730 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 761, 968, 1, 0, 79, 3},	//731 QHostInfo::operator=(const QHostInfo&)
    {20, 623, 0, 0, Smoke::mf_const, 208, 4},	//732 QHostInfo::hostName() const
    {20, 1143, 69, 1, 0, 0, 5},	//733 QHostInfo::setHostName(const QString&)
    {20, 436, 0, 0, Smoke::mf_const, 105, 6},	//734 QHostInfo::addresses() const
    {20, 1081, 970, 1, 0, 0, 7},	//735 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 570, 0, 0, Smoke::mf_const, 81, 8},	//736 QHostInfo::error() const
    {20, 1126, 972, 1, 0, 0, 9},	//737 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 572, 0, 0, Smoke::mf_const, 208, 10},	//738 QHostInfo::errorString() const
    {20, 1129, 69, 1, 0, 0, 11},	//739 QHostInfo::setErrorString(const QString&)
    {20, 1161, 44, 1, 0, 0, 12},	//740 QHostInfo::setLookupId(int)
    {20, 694, 0, 0, Smoke::mf_const, 414, 13},	//741 QHostInfo::lookupId() const
    {20, 692, 974, 3, Smoke::mf_static, 414, 14},	//742 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 412, 44, 1, Smoke::mf_static, 0, 15},	//743 QHostInfo::abortHostLookup(int)
    {20, 590, 69, 1, Smoke::mf_static, 78, 16},	//744 QHostInfo::fromName(const QString&)
    {20, 687, 0, 0, Smoke::mf_static, 208, 17},	//745 QHostInfo::localHostName()
    {20, 686, 0, 0, Smoke::mf_static, 208, 18},	//746 QHostInfo::localDomainName()
    {20, 209, 0, 0, Smoke::mf_ctor, 80, 19},	//747 QHostInfo::QHostInfo()
    {20, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//748 QHostInfo::NoError (enum)
    {20, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//749 QHostInfo::HostNotFound (enum)
    {20, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 22},	//750 QHostInfo::UnknownError (enum)
    {20, 1375, 0, 0, Smoke::mf_dtor, 0, 23 },	//751 QHostInfo::~QHostInfo()
    {21, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//752 QHttp::metaObject() const
    {21, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//753 QHttp::qt_metacast(const char*)
    {21, 1328, 3, 2, Smoke::mf_static, 208, 3},	//754 QHttp::tr(const char*, const char*)
    {21, 1332, 3, 2, Smoke::mf_static, 208, 4},	//755 QHttp::trUtf8(const char*, const char*)
    {21, 1328, 6, 3, Smoke::mf_static, 208, 5},	//756 QHttp::tr(const char*, const char*, int)
    {21, 1332, 6, 3, Smoke::mf_static, 208, 6},	//757 QHttp::trUtf8(const char*, const char*, int)
    {21, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//758 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 212, 20, 1, Smoke::mf_ctor, 82, 8},	//759 QHttp::QHttp(QObject*)
    {21, 212, 978, 3, Smoke::mf_ctor, 82, 9},	//760 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 212, 982, 4, Smoke::mf_ctor, 82, 10},	//761 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1139, 71, 2, 0, 414, 11},	//762 QHttp::setHost(const QString&, unsigned short)
    {21, 1139, 987, 3, 0, 414, 12},	//763 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1248, 991, 1, 0, 414, 13},	//764 QHttp::setSocket(QTcpSocket*)
    {21, 1280, 88, 2, 0, 414, 14},	//765 QHttp::setUser(const QString&, const QString&)
    {21, 1216, 993, 4, 0, 414, 15},	//766 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1216, 46, 1, 0, 414, 16},	//767 QHttp::setProxy(const QNetworkProxy&)
    {21, 597, 118, 2, 0, 414, 17},	//768 QHttp::get(const QString&, QIODevice*)
    {21, 821, 998, 3, 0, 414, 18},	//769 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 821, 1002, 3, 0, 414, 19},	//770 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 617, 69, 1, 0, 414, 20},	//771 QHttp::head(const QString&)
    {21, 1051, 1006, 3, 0, 414, 21},	//772 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1051, 1010, 3, 0, 414, 22},	//773 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 485, 0, 0, 0, 414, 23},	//774 QHttp::closeConnection()
    {21, 484, 0, 0, 0, 414, 24},	//775 QHttp::close()
    {21, 465, 0, 0, Smoke::mf_const, 416, 25},	//776 QHttp::bytesAvailable() const
    {21, 1023, 59, 2, 0, 416, 26},	//777 QHttp::read(char*, long long)
    {21, 1025, 0, 0, 0, 14, 27},	//778 QHttp::readAll()
    {21, 530, 0, 0, Smoke::mf_const, 414, 28},	//779 QHttp::currentId() const
    {21, 532, 0, 0, Smoke::mf_const, 94, 29},	//780 QHttp::currentSourceDevice() const
    {21, 528, 0, 0, Smoke::mf_const, 94, 30},	//781 QHttp::currentDestinationDevice() const
    {21, 531, 0, 0, Smoke::mf_const, 88, 31},	//782 QHttp::currentRequest() const
    {21, 672, 0, 0, Smoke::mf_const, 91, 32},	//783 QHttp::lastResponse() const
    {21, 614, 0, 0, Smoke::mf_const, 330, 33},	//784 QHttp::hasPendingRequests() const
    {21, 483, 0, 0, 0, 0, 34},	//785 QHttp::clearPendingRequests()
    {21, 1303, 0, 0, Smoke::mf_const, 85, 35},	//786 QHttp::state() const
    {21, 570, 0, 0, Smoke::mf_const, 84, 36},	//787 QHttp::error() const
    {21, 572, 0, 0, Smoke::mf_const, 208, 37},	//788 QHttp::errorString() const
    {21, 411, 0, 0, Smoke::mf_slot, 0, 38},	//789 QHttp::abort()
    {21, 627, 0, 0, Smoke::mf_slot, 0, 39},	//790 QHttp::ignoreSslErrors()
    {21, 1304, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//791 QHttp::stateChanged(int)
    {21, 1060, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//792 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1035, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//793 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 538, 1016, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//794 QHttp::dataSendProgress(int, int)
    {21, 536, 1016, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//795 QHttp::dataReadProgress(int, int)
    {21, 1057, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//796 QHttp::requestStarted(int)
    {21, 1055, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//797 QHttp::requestFinished(int, bool)
    {21, 557, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//798 QHttp::done(bool)
    {21, 836, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//799 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 453, 1019, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//800 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1298, 1023, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//801 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1328, 1, 1, Smoke::mf_static, 208, 51},	//802 QHttp::tr(const char*)
    {21, 1332, 1, 1, Smoke::mf_static, 208, 52},	//803 QHttp::trUtf8(const char*)
    {21, 212, 0, 0, Smoke::mf_ctor, 82, 53},	//804 QHttp::QHttp()
    {21, 212, 69, 1, Smoke::mf_ctor, 82, 54},	//805 QHttp::QHttp(const QString&)
    {21, 212, 71, 2, Smoke::mf_ctor, 82, 55},	//806 QHttp::QHttp(const QString&, unsigned short)
    {21, 212, 1025, 2, Smoke::mf_ctor, 82, 56},	//807 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 212, 987, 3, Smoke::mf_ctor, 82, 57},	//808 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1139, 69, 1, 0, 414, 58},	//809 QHttp::setHost(const QString&)
    {21, 1139, 1025, 2, 0, 414, 59},	//810 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1280, 69, 1, 0, 414, 60},	//811 QHttp::setUser(const QString&)
    {21, 1216, 1028, 2, 0, 414, 61},	//812 QHttp::setProxy(const QString&, int)
    {21, 1216, 1031, 3, 0, 414, 62},	//813 QHttp::setProxy(const QString&, int, const QString&)
    {21, 597, 69, 1, 0, 414, 63},	//814 QHttp::get(const QString&)
    {21, 821, 118, 2, 0, 414, 64},	//815 QHttp::post(const QString&, QIODevice*)
    {21, 821, 707, 2, 0, 414, 65},	//816 QHttp::post(const QString&, const QByteArray&)
    {21, 1051, 1035, 1, 0, 414, 66},	//817 QHttp::request(const QHttpRequestHeader&)
    {21, 1051, 1037, 2, 0, 414, 67},	//818 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1051, 1040, 2, 0, 414, 68},	//819 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 69},	//820 QHttp::staticMetaObject() const
    {21, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 70},	//821 QHttp::ConnectionModeHttp (enum)
    {21, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//822 QHttp::ConnectionModeHttps (enum)
    {21, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 72},	//823 QHttp::Unconnected (enum)
    {21, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 73},	//824 QHttp::HostLookup (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 74},	//825 QHttp::Connecting (enum)
    {21, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 75},	//826 QHttp::Sending (enum)
    {21, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 76},	//827 QHttp::Reading (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 77},	//828 QHttp::Connected (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 78},	//829 QHttp::Closing (enum)
    {21, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//830 QHttp::NoError (enum)
    {21, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//831 QHttp::UnknownError (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//832 QHttp::HostNotFound (enum)
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 82},	//833 QHttp::ConnectionRefused (enum)
    {21, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 83},	//834 QHttp::UnexpectedClose (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 84},	//835 QHttp::InvalidResponseHeader (enum)
    {21, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 85},	//836 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//837 QHttp::Aborted (enum)
    {21, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//838 QHttp::AuthenticationRequiredError (enum)
    {21, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//839 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1376, 0, 0, Smoke::mf_dtor, 0, 89 },	//840 QHttp::~QHttp()
    {22, 219, 0, 0, Smoke::mf_ctor, 87, 1},	//841 QHttpHeader::QHttpHeader()
    {22, 219, 1043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//842 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 219, 69, 1, Smoke::mf_ctor, 87, 3},	//843 QHttpHeader::QHttpHeader(const QString&)
    {22, 761, 1043, 1, 0, 86, 4},	//844 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1285, 88, 2, 0, 0, 5},	//845 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1288, 1045, 1, 0, 0, 6},	//846 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 433, 88, 2, 0, 0, 7},	//847 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1348, 0, 0, Smoke::mf_const, 112, 8},	//848 QHttpHeader::values() const
    {22, 609, 69, 1, Smoke::mf_const, 330, 9},	//849 QHttpHeader::hasKey(const QString&) const
    {22, 669, 0, 0, Smoke::mf_const, 212, 10},	//850 QHttpHeader::keys() const
    {22, 1346, 69, 1, Smoke::mf_const, 208, 11},	//851 QHttpHeader::value(const QString&) const
    {22, 443, 69, 1, Smoke::mf_const, 212, 12},	//852 QHttpHeader::allValues(const QString&) const
    {22, 1047, 69, 1, 0, 0, 13},	//853 QHttpHeader::removeValue(const QString&)
    {22, 1043, 69, 1, 0, 0, 14},	//854 QHttpHeader::removeAllValues(const QString&)
    {22, 607, 0, 0, Smoke::mf_const, 330, 15},	//855 QHttpHeader::hasContentLength() const
    {22, 519, 0, 0, Smoke::mf_const, 425, 16},	//856 QHttpHeader::contentLength() const
    {22, 1108, 44, 1, 0, 0, 17},	//857 QHttpHeader::setContentLength(int)
    {22, 608, 0, 0, Smoke::mf_const, 330, 18},	//858 QHttpHeader::hasContentType() const
    {22, 520, 0, 0, Smoke::mf_const, 208, 19},	//859 QHttpHeader::contentType() const
    {22, 1110, 69, 1, 0, 0, 20},	//860 QHttpHeader::setContentType(const QString&)
    {22, 1327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 21},	//861 QHttpHeader::toString() const
    {22, 663, 0, 0, Smoke::mf_const, 330, 22},	//862 QHttpHeader::isValid() const
    {22, 695, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 414, 23},	//863 QHttpHeader::majorVersion() const [pure virtual]
    {22, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 414, 24},	//864 QHttpHeader::minorVersion() const [pure virtual]
    {22, 801, 1028, 2, Smoke::mf_protected|Smoke::mf_virtual, 330, 25},	//865 QHttpHeader::parseLine(const QString&, int)
    {22, 797, 69, 1, Smoke::mf_protected, 330, 26},	//866 QHttpHeader::parse(const QString&)
    {22, 1283, 116, 1, Smoke::mf_protected, 0, 27},	//867 QHttpHeader::setValid(bool)
    {22, 1377, 0, 0, Smoke::mf_dtor, 0, 28 },	//868 QHttpHeader::~QHttpHeader()
    {23, 222, 0, 0, Smoke::mf_ctor, 90, 1},	//869 QHttpRequestHeader::QHttpRequestHeader()
    {23, 222, 1047, 4, Smoke::mf_ctor, 90, 2},	//870 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 222, 1035, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 3},	//871 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 222, 69, 1, Smoke::mf_ctor, 90, 4},	//872 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 761, 1035, 1, 0, 89, 5},	//873 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1233, 1047, 4, 0, 0, 6},	//874 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 703, 0, 0, Smoke::mf_const, 208, 7},	//875 QHttpRequestHeader::method() const
    {23, 806, 0, 0, Smoke::mf_const, 208, 8},	//876 QHttpRequestHeader::path() const
    {23, 695, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 414, 9},	//877 QHttpRequestHeader::majorVersion() const
    {23, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 414, 10},	//878 QHttpRequestHeader::minorVersion() const
    {23, 1327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//879 QHttpRequestHeader::toString() const
    {23, 801, 1028, 2, Smoke::mf_protected|Smoke::mf_virtual, 330, 12},	//880 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 222, 88, 2, Smoke::mf_ctor, 90, 13},	//881 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 222, 1052, 3, Smoke::mf_ctor, 90, 14},	//882 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1233, 88, 2, 0, 0, 15},	//883 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1233, 1052, 3, 0, 0, 16},	//884 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1378, 0, 0, Smoke::mf_dtor, 0, 17 },	//885 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 228, 0, 0, Smoke::mf_ctor, 93, 1},	//886 QHttpResponseHeader::QHttpResponseHeader()
    {24, 228, 1014, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 2},	//887 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 228, 69, 1, Smoke::mf_ctor, 93, 3},	//888 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 228, 1056, 4, Smoke::mf_ctor, 93, 4},	//889 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 761, 1014, 1, 0, 92, 5},	//890 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1265, 1056, 4, 0, 0, 6},	//891 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1307, 0, 0, Smoke::mf_const, 414, 7},	//892 QHttpResponseHeader::statusCode() const
    {24, 1038, 0, 0, Smoke::mf_const, 208, 8},	//893 QHttpResponseHeader::reasonPhrase() const
    {24, 695, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 414, 9},	//894 QHttpResponseHeader::majorVersion() const
    {24, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 414, 10},	//895 QHttpResponseHeader::minorVersion() const
    {24, 1327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//896 QHttpResponseHeader::toString() const
    {24, 801, 1028, 2, Smoke::mf_protected|Smoke::mf_virtual, 330, 12},	//897 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 228, 44, 1, Smoke::mf_ctor, 93, 13},	//898 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 228, 110, 2, Smoke::mf_ctor, 93, 14},	//899 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 228, 1061, 3, Smoke::mf_ctor, 93, 15},	//900 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1265, 44, 1, 0, 0, 16},	//901 QHttpResponseHeader::setStatusLine(int)
    {24, 1265, 110, 2, 0, 0, 17},	//902 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1265, 1061, 3, 0, 0, 18},	//903 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1379, 0, 0, Smoke::mf_dtor, 0, 19 },	//904 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 722, 1065, 1, Smoke::mf_virtual, 330, 0},	//905 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {25, 820, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//906 QIODevice::pos() const
    {25, 1292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//907 QIODevice::size() const
    {25, 1066, 33, 1, Smoke::mf_virtual, 330, 0},	//908 QIODevice::seek(long long)
    {25, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 0},	//909 QIODevice::atEnd() const
    {25, 1059, 0, 0, Smoke::mf_virtual, 330, 0},	//910 QIODevice::reset()
    {25, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//911 QIODevice::bytesAvailable() const
    {25, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//912 QIODevice::bytesToWrite() const
    {25, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 0},	//913 QIODevice::canReadLine() const
    {25, 1363, 44, 1, Smoke::mf_virtual, 330, 0},	//914 QIODevice::waitForReadyRead(int)
    {25, 1350, 44, 1, Smoke::mf_virtual, 330, 0},	//915 QIODevice::waitForBytesWritten(int)
    {25, 1027, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 0},	//916 QIODevice::readData(char*, long long) [pure virtual]
    {25, 1033, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 0},	//917 QIODevice::readLineData(char*, long long)
    {25, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 14},	//918 QIODevice::NotOpen (enum)
    {25, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 15},	//919 QIODevice::ReadOnly (enum)
    {25, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 16},	//920 QIODevice::WriteOnly (enum)
    {25, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 17},	//921 QIODevice::ReadWrite (enum)
    {25, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 18},	//922 QIODevice::Append (enum)
    {25, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 19},	//923 QIODevice::Truncate (enum)
    {25, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 20},	//924 QIODevice::Text (enum)
    {25, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 21},	//925 QIODevice::Unbuffered (enum)
    {26, 785, 44, 1, 0, 423, 1},	//926 QIPv6Address::operator[](int)
    {26, 785, 44, 1, Smoke::mf_const, 422, 2},	//927 QIPv6Address::operator[](int) const
    {26, 234, 0, 0, Smoke::mf_ctor, 98, 3},	//928 QIPv6Address::QIPv6Address()
    {26, 234, 957, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 4},	//929 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1380, 0, 0, Smoke::mf_dtor, 0, 5 },	//930 QIPv6Address::~QIPv6Address()
    {31, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//931 QLocalServer::metaObject() const
    {31, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//932 QLocalServer::qt_metacast(const char*)
    {31, 1328, 3, 2, Smoke::mf_static, 208, 3},	//933 QLocalServer::tr(const char*, const char*)
    {31, 1332, 3, 2, Smoke::mf_static, 208, 4},	//934 QLocalServer::trUtf8(const char*, const char*)
    {31, 1328, 6, 3, Smoke::mf_static, 208, 5},	//935 QLocalServer::tr(const char*, const char*, int)
    {31, 1332, 6, 3, Smoke::mf_static, 208, 6},	//936 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//937 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 718, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//938 QLocalServer::newConnection()
    {31, 236, 20, 1, Smoke::mf_ctor, 117, 9},	//939 QLocalServer::QLocalServer(QObject*)
    {31, 484, 0, 0, 0, 0, 10},	//940 QLocalServer::close()
    {31, 572, 0, 0, Smoke::mf_const, 208, 11},	//941 QLocalServer::errorString() const
    {31, 612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 12},	//942 QLocalServer::hasPendingConnections() const
    {31, 651, 0, 0, Smoke::mf_const, 330, 13},	//943 QLocalServer::isListening() const
    {31, 680, 69, 1, 0, 330, 14},	//944 QLocalServer::listen(const QString&)
    {31, 697, 0, 0, Smoke::mf_const, 414, 15},	//945 QLocalServer::maxPendingConnections() const
    {31, 719, 0, 0, Smoke::mf_virtual, 118, 16},	//946 QLocalServer::nextPendingConnection()
    {31, 1073, 0, 0, Smoke::mf_const, 208, 17},	//947 QLocalServer::serverName() const
    {31, 596, 0, 0, Smoke::mf_const, 208, 18},	//948 QLocalServer::fullServerName() const
    {31, 1045, 69, 1, Smoke::mf_static, 330, 19},	//949 QLocalServer::removeServer(const QString&)
    {31, 1072, 0, 0, Smoke::mf_const, 5, 20},	//950 QLocalServer::serverError() const
    {31, 1163, 44, 1, 0, 0, 21},	//951 QLocalServer::setMaxPendingConnections(int)
    {31, 1358, 1067, 2, 0, 330, 22},	//952 QLocalServer::waitForNewConnection(int, bool*)
    {31, 629, 1070, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//953 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1328, 1, 1, Smoke::mf_static, 208, 24},	//954 QLocalServer::tr(const char*)
    {31, 1332, 1, 1, Smoke::mf_static, 208, 25},	//955 QLocalServer::trUtf8(const char*)
    {31, 236, 0, 0, Smoke::mf_ctor, 117, 26},	//956 QLocalServer::QLocalServer()
    {31, 1358, 0, 0, 0, 330, 27},	//957 QLocalServer::waitForNewConnection()
    {31, 1358, 44, 1, 0, 330, 28},	//958 QLocalServer::waitForNewConnection(int)
    {31, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 29},	//959 QLocalServer::staticMetaObject() const
    {31, 1381, 0, 0, Smoke::mf_dtor, 0, 30 },	//960 QLocalServer::~QLocalServer()
    {32, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//961 QLocalSocket::metaObject() const
    {32, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//962 QLocalSocket::qt_metacast(const char*)
    {32, 1328, 3, 2, Smoke::mf_static, 208, 3},	//963 QLocalSocket::tr(const char*, const char*)
    {32, 1332, 3, 2, Smoke::mf_static, 208, 4},	//964 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1328, 6, 3, Smoke::mf_static, 208, 5},	//965 QLocalSocket::tr(const char*, const char*, int)
    {32, 1332, 6, 3, Smoke::mf_static, 208, 6},	//966 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//967 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 238, 20, 1, Smoke::mf_ctor, 118, 8},	//968 QLocalSocket::QLocalSocket(QObject*)
    {32, 515, 1072, 2, 0, 0, 9},	//969 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {32, 552, 0, 0, 0, 0, 10},	//970 QLocalSocket::disconnectFromServer()
    {32, 1073, 0, 0, Smoke::mf_const, 208, 11},	//971 QLocalSocket::serverName() const
    {32, 596, 0, 0, Smoke::mf_const, 208, 12},	//972 QLocalSocket::fullServerName() const
    {32, 411, 0, 0, 0, 0, 13},	//973 QLocalSocket::abort()
    {32, 659, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 14},	//974 QLocalSocket::isSequential() const
    {32, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 15},	//975 QLocalSocket::bytesAvailable() const
    {32, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 16},	//976 QLocalSocket::bytesToWrite() const
    {32, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 17},	//977 QLocalSocket::canReadLine() const
    {32, 484, 0, 0, Smoke::mf_virtual, 0, 18},	//978 QLocalSocket::close()
    {32, 570, 0, 0, Smoke::mf_const, 119, 19},	//979 QLocalSocket::error() const
    {32, 583, 0, 0, 0, 330, 20},	//980 QLocalSocket::flush()
    {32, 663, 0, 0, Smoke::mf_const, 330, 21},	//981 QLocalSocket::isValid() const
    {32, 1026, 0, 0, Smoke::mf_const, 416, 22},	//982 QLocalSocket::readBufferSize() const
    {32, 1229, 33, 1, 0, 0, 23},	//983 QLocalSocket::setReadBufferSize(long long)
    {32, 1250, 1075, 3, 0, 330, 24},	//984 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {32, 1293, 0, 0, Smoke::mf_const, 100, 25},	//985 QLocalSocket::socketDescriptor() const
    {32, 1303, 0, 0, Smoke::mf_const, 120, 26},	//986 QLocalSocket::state() const
    {32, 1350, 44, 1, Smoke::mf_virtual, 330, 27},	//987 QLocalSocket::waitForBytesWritten(int)
    {32, 1352, 44, 1, 0, 330, 28},	//988 QLocalSocket::waitForConnected(int)
    {32, 1354, 44, 1, 0, 330, 29},	//989 QLocalSocket::waitForDisconnected(int)
    {32, 1363, 44, 1, Smoke::mf_virtual, 330, 30},	//990 QLocalSocket::waitForReadyRead(int)
    {32, 518, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//991 QLocalSocket::connected()
    {32, 555, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//992 QLocalSocket::disconnected()
    {32, 570, 1079, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//993 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1304, 1081, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//994 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 1027, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 35},	//995 QLocalSocket::readData(char*, long long)
    {32, 1365, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 36},	//996 QLocalSocket::writeData(const char*, long long)
    {32, 1328, 1, 1, Smoke::mf_static, 208, 37},	//997 QLocalSocket::tr(const char*)
    {32, 1332, 1, 1, Smoke::mf_static, 208, 38},	//998 QLocalSocket::trUtf8(const char*)
    {32, 238, 0, 0, Smoke::mf_ctor, 118, 39},	//999 QLocalSocket::QLocalSocket()
    {32, 515, 69, 1, 0, 0, 40},	//1000 QLocalSocket::connectToServer(const QString&)
    {32, 1250, 1070, 1, 0, 330, 41},	//1001 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1250, 1083, 2, 0, 330, 42},	//1002 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1350, 0, 0, 0, 330, 43},	//1003 QLocalSocket::waitForBytesWritten()
    {32, 1352, 0, 0, 0, 330, 44},	//1004 QLocalSocket::waitForConnected()
    {32, 1354, 0, 0, 0, 330, 45},	//1005 QLocalSocket::waitForDisconnected()
    {32, 1363, 0, 0, 0, 330, 46},	//1006 QLocalSocket::waitForReadyRead()
    {32, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 47},	//1007 QLocalSocket::staticMetaObject() const
    {32, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 48},	//1008 QLocalSocket::ConnectionRefusedError (enum)
    {32, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 49},	//1009 QLocalSocket::PeerClosedError (enum)
    {32, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 50},	//1010 QLocalSocket::ServerNotFoundError (enum)
    {32, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 51},	//1011 QLocalSocket::SocketAccessError (enum)
    {32, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 52},	//1012 QLocalSocket::SocketResourceError (enum)
    {32, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 53},	//1013 QLocalSocket::SocketTimeoutError (enum)
    {32, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 54},	//1014 QLocalSocket::DatagramTooLargeError (enum)
    {32, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 55},	//1015 QLocalSocket::ConnectionError (enum)
    {32, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 56},	//1016 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 57},	//1017 QLocalSocket::UnknownSocketError (enum)
    {32, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 58},	//1018 QLocalSocket::UnconnectedState (enum)
    {32, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 59},	//1019 QLocalSocket::ConnectingState (enum)
    {32, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 60},	//1020 QLocalSocket::ConnectedState (enum)
    {32, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 61},	//1021 QLocalSocket::ClosingState (enum)
    {32, 1382, 0, 0, Smoke::mf_dtor, 0, 62 },	//1022 QLocalSocket::~QLocalSocket()
    {37, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1023 QNetworkAccessManager::metaObject() const
    {37, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1024 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1025 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1026 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1027 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1028 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1029 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 240, 20, 1, Smoke::mf_ctor, 125, 8},	//1030 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 835, 0, 0, Smoke::mf_const, 151, 9},	//1031 QNetworkAccessManager::proxy() const
    {37, 1216, 46, 1, 0, 0, 10},	//1032 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 838, 0, 0, Smoke::mf_const, 156, 11},	//1033 QNetworkAccessManager::proxyFactory() const
    {37, 1221, 1086, 1, 0, 0, 12},	//1034 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 470, 0, 0, Smoke::mf_const, 2, 13},	//1035 QNetworkAccessManager::cache() const
    {37, 1097, 1088, 1, 0, 0, 14},	//1036 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 521, 0, 0, Smoke::mf_const, 145, 15},	//1037 QNetworkAccessManager::cookieJar() const
    {37, 1112, 1090, 1, 0, 0, 16},	//1038 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 617, 1092, 1, 0, 160, 17},	//1039 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 597, 1092, 1, 0, 160, 18},	//1040 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 821, 1094, 2, 0, 160, 19},	//1041 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 821, 1097, 2, 0, 160, 20},	//1042 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 843, 1094, 2, 0, 160, 21},	//1043 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 843, 1097, 2, 0, 160, 22},	//1044 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 545, 1092, 1, 0, 160, 23},	//1045 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 1067, 1100, 3, 0, 160, 24},	//1046 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {37, 1106, 1104, 1, 0, 0, 25},	//1047 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {37, 491, 0, 0, Smoke::mf_const, 133, 26},	//1048 QNetworkAccessManager::configuration() const
    {37, 415, 0, 0, Smoke::mf_const, 133, 27},	//1049 QNetworkAccessManager::activeConfiguration() const
    {37, 1172, 1106, 1, Smoke::mf_property, 0, 28},	//1050 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {37, 713, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 29},	//1051 QNetworkAccessManager::networkAccessible() const
    {37, 836, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1052 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 453, 1108, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1053 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 580, 1111, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1054 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1298, 1113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1055 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 716, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1056 QNetworkAccessManager::networkSessionConnected()
    {37, 714, 1106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1057 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {37, 524, 1116, 3, Smoke::mf_protected|Smoke::mf_virtual, 160, 36},	//1058 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1328, 1, 1, Smoke::mf_static, 208, 37},	//1059 QNetworkAccessManager::tr(const char*)
    {37, 1332, 1, 1, Smoke::mf_static, 208, 38},	//1060 QNetworkAccessManager::trUtf8(const char*)
    {37, 240, 0, 0, Smoke::mf_ctor, 125, 39},	//1061 QNetworkAccessManager::QNetworkAccessManager()
    {37, 1067, 1097, 2, 0, 160, 40},	//1062 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {37, 524, 1120, 2, Smoke::mf_protected, 160, 41},	//1063 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 42},	//1064 QNetworkAccessManager::staticMetaObject() const
    {37, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//1065 QNetworkAccessManager::HeadOperation (enum)
    {37, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//1066 QNetworkAccessManager::GetOperation (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//1067 QNetworkAccessManager::PutOperation (enum)
    {37, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//1068 QNetworkAccessManager::PostOperation (enum)
    {37, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//1069 QNetworkAccessManager::DeleteOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//1070 QNetworkAccessManager::CustomOperation (enum)
    {37, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//1071 QNetworkAccessManager::UnknownOperation (enum)
    {37, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 50},	//1072 QNetworkAccessManager::UnknownAccessibility (enum)
    {37, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 51},	//1073 QNetworkAccessManager::NotAccessible (enum)
    {37, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//1074 QNetworkAccessManager::Accessible (enum)
    {37, 1383, 0, 0, Smoke::mf_dtor, 0, 53 },	//1075 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 242, 0, 0, Smoke::mf_ctor, 129, 1},	//1076 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 242, 1123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1077 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 761, 1123, 1, 0, 128, 3},	//1078 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 764, 1123, 1, Smoke::mf_const, 330, 4},	//1079 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 725, 1123, 1, Smoke::mf_const, 330, 5},	//1080 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 640, 0, 0, Smoke::mf_const, 74, 6},	//1081 QNetworkAddressEntry::ip() const
    {38, 1147, 67, 1, 0, 0, 7},	//1082 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 712, 0, 0, Smoke::mf_const, 74, 8},	//1083 QNetworkAddressEntry::netmask() const
    {38, 1170, 67, 1, 0, 0, 9},	//1084 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 827, 0, 0, Smoke::mf_const, 414, 10},	//1085 QNetworkAddressEntry::prefixLength() const
    {38, 1202, 44, 1, 0, 0, 11},	//1086 QNetworkAddressEntry::setPrefixLength(int)
    {38, 464, 0, 0, Smoke::mf_const, 74, 12},	//1087 QNetworkAddressEntry::broadcast() const
    {38, 1093, 67, 1, 0, 0, 13},	//1088 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1384, 0, 0, Smoke::mf_dtor, 0, 14 },	//1089 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 244, 0, 0, Smoke::mf_ctor, 132, 1},	//1090 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 244, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1091 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 761, 16, 1, 0, 131, 3},	//1092 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 764, 16, 1, Smoke::mf_const, 330, 4},	//1093 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 725, 16, 1, Smoke::mf_const, 330, 5},	//1094 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 663, 0, 0, Smoke::mf_const, 330, 6},	//1095 QNetworkCacheMetaData::isValid() const
    {39, 1343, 0, 0, Smoke::mf_const, 226, 7},	//1096 QNetworkCacheMetaData::url() const
    {39, 1276, 14, 1, 0, 0, 8},	//1097 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 1022, 0, 0, Smoke::mf_const, 111, 9},	//1098 QNetworkCacheMetaData::rawHeaders() const
    {39, 1227, 1125, 1, 0, 0, 10},	//1099 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 670, 0, 0, Smoke::mf_const, 22, 11},	//1100 QNetworkCacheMetaData::lastModified() const
    {39, 1149, 1127, 1, 0, 0, 12},	//1101 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 575, 0, 0, Smoke::mf_const, 22, 13},	//1102 QNetworkCacheMetaData::expirationDate() const
    {39, 1131, 1127, 1, 0, 0, 14},	//1103 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 1064, 0, 0, Smoke::mf_const, 330, 15},	//1104 QNetworkCacheMetaData::saveToDisk() const
    {39, 1238, 116, 1, 0, 0, 16},	//1105 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 451, 0, 0, Smoke::mf_const, 72, 17},	//1106 QNetworkCacheMetaData::attributes() const
    {39, 1091, 1129, 1, 0, 0, 18},	//1107 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1385, 0, 0, Smoke::mf_dtor, 0, 19 },	//1108 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 246, 0, 0, Smoke::mf_ctor, 135, 1},	//1109 QNetworkConfiguration::QNetworkConfiguration()
    {40, 246, 1104, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1110 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {40, 761, 1104, 1, 0, 134, 3},	//1111 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {40, 764, 1104, 1, Smoke::mf_const, 330, 4},	//1112 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {40, 725, 1104, 1, Smoke::mf_const, 330, 5},	//1113 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {40, 1303, 0, 0, Smoke::mf_const, 41, 6},	//1114 QNetworkConfiguration::state() const
    {40, 1336, 0, 0, Smoke::mf_const, 139, 7},	//1115 QNetworkConfiguration::type() const
    {40, 842, 0, 0, Smoke::mf_const, 137, 8},	//1116 QNetworkConfiguration::purpose() const
    {40, 456, 0, 0, Smoke::mf_const, 208, 9},	//1117 QNetworkConfiguration::bearerName() const
    {40, 457, 0, 0, Smoke::mf_const, 136, 10},	//1118 QNetworkConfiguration::bearerType() const
    {40, 458, 0, 0, Smoke::mf_const, 208, 11},	//1119 QNetworkConfiguration::bearerTypeName() const
    {40, 625, 0, 0, Smoke::mf_const, 208, 12},	//1120 QNetworkConfiguration::identifier() const
    {40, 656, 0, 0, Smoke::mf_const, 330, 13},	//1121 QNetworkConfiguration::isRoamingAvailable() const
    {40, 479, 0, 0, Smoke::mf_const, 107, 14},	//1122 QNetworkConfiguration::children() const
    {40, 711, 0, 0, Smoke::mf_const, 208, 15},	//1123 QNetworkConfiguration::name() const
    {40, 663, 0, 0, Smoke::mf_const, 330, 16},	//1124 QNetworkConfiguration::isValid() const
    {40, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 17},	//1125 QNetworkConfiguration::InternetAccessPoint (enum)
    {40, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 18},	//1126 QNetworkConfiguration::ServiceNetwork (enum)
    {40, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 19},	//1127 QNetworkConfiguration::UserChoice (enum)
    {40, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 20},	//1128 QNetworkConfiguration::Invalid (enum)
    {40, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 21},	//1129 QNetworkConfiguration::UnknownPurpose (enum)
    {40, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 22},	//1130 QNetworkConfiguration::PublicPurpose (enum)
    {40, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 23},	//1131 QNetworkConfiguration::PrivatePurpose (enum)
    {40, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 24},	//1132 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {40, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1133 QNetworkConfiguration::Undefined (enum)
    {40, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1134 QNetworkConfiguration::Defined (enum)
    {40, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1135 QNetworkConfiguration::Discovered (enum)
    {40, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//1136 QNetworkConfiguration::Active (enum)
    {40, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 29},	//1137 QNetworkConfiguration::BearerUnknown (enum)
    {40, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 30},	//1138 QNetworkConfiguration::BearerEthernet (enum)
    {40, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 31},	//1139 QNetworkConfiguration::BearerWLAN (enum)
    {40, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 32},	//1140 QNetworkConfiguration::Bearer2G (enum)
    {40, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 33},	//1141 QNetworkConfiguration::BearerCDMA2000 (enum)
    {40, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 34},	//1142 QNetworkConfiguration::BearerWCDMA (enum)
    {40, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//1143 QNetworkConfiguration::BearerHSPA (enum)
    {40, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//1144 QNetworkConfiguration::BearerBluetooth (enum)
    {40, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//1145 QNetworkConfiguration::BearerWiMAX (enum)
    {40, 1386, 0, 0, Smoke::mf_dtor, 0, 38 },	//1146 QNetworkConfiguration::~QNetworkConfiguration()
    {41, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1147 QNetworkConfigurationManager::metaObject() const
    {41, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1148 QNetworkConfigurationManager::qt_metacast(const char*)
    {41, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1149 QNetworkConfigurationManager::tr(const char*, const char*)
    {41, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1150 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {41, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1151 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {41, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1152 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {41, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1153 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 248, 20, 1, Smoke::mf_ctor, 140, 8},	//1154 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {41, 474, 0, 0, Smoke::mf_const, 42, 9},	//1155 QNetworkConfigurationManager::capabilities() const
    {41, 544, 0, 0, Smoke::mf_const, 133, 10},	//1156 QNetworkConfigurationManager::defaultConfiguration() const
    {41, 439, 1131, 1, Smoke::mf_const, 107, 11},	//1157 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {41, 496, 69, 1, Smoke::mf_const, 133, 12},	//1158 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {41, 1338, 0, 0, 0, 0, 13},	//1159 QNetworkConfigurationManager::updateConfigurations()
    {41, 653, 0, 0, Smoke::mf_const, 330, 14},	//1160 QNetworkConfigurationManager::isOnline() const
    {41, 492, 1104, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1161 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {41, 498, 1104, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1162 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {41, 494, 1104, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1163 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {41, 720, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1164 QNetworkConfigurationManager::onlineStateChanged(bool)
    {41, 1337, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1165 QNetworkConfigurationManager::updateCompleted()
    {41, 1328, 1, 1, Smoke::mf_static, 208, 20},	//1166 QNetworkConfigurationManager::tr(const char*)
    {41, 1332, 1, 1, Smoke::mf_static, 208, 21},	//1167 QNetworkConfigurationManager::trUtf8(const char*)
    {41, 248, 0, 0, Smoke::mf_ctor, 140, 22},	//1168 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {41, 439, 0, 0, Smoke::mf_const, 107, 23},	//1169 QNetworkConfigurationManager::allConfigurations() const
    {41, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 24},	//1170 QNetworkConfigurationManager::staticMetaObject() const
    {41, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 25},	//1171 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {41, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 26},	//1172 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {41, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 27},	//1173 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {41, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 28},	//1174 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {41, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 29},	//1175 QNetworkConfigurationManager::ForcedRoaming (enum)
    {41, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 30},	//1176 QNetworkConfigurationManager::DataStatistics (enum)
    {41, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 31},	//1177 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {41, 1387, 0, 0, Smoke::mf_dtor, 0, 32 },	//1178 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {42, 250, 359, 2, Smoke::mf_ctor, 143, 1},	//1179 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {42, 250, 1133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//1180 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {42, 761, 1133, 1, 0, 142, 3},	//1181 QNetworkCookie::operator=(const QNetworkCookie&)
    {42, 764, 1133, 1, Smoke::mf_const, 330, 4},	//1182 QNetworkCookie::operator==(const QNetworkCookie&) const
    {42, 725, 1133, 1, Smoke::mf_const, 330, 5},	//1183 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {42, 658, 0, 0, Smoke::mf_const, 330, 6},	//1184 QNetworkCookie::isSecure() const
    {42, 1242, 116, 1, 0, 0, 7},	//1185 QNetworkCookie::setSecure(bool)
    {42, 647, 0, 0, Smoke::mf_const, 330, 8},	//1186 QNetworkCookie::isHttpOnly() const
    {42, 1145, 116, 1, 0, 0, 9},	//1187 QNetworkCookie::setHttpOnly(bool)
    {42, 660, 0, 0, Smoke::mf_const, 330, 10},	//1188 QNetworkCookie::isSessionCookie() const
    {42, 575, 0, 0, Smoke::mf_const, 22, 11},	//1189 QNetworkCookie::expirationDate() const
    {42, 1131, 1127, 1, 0, 0, 12},	//1190 QNetworkCookie::setExpirationDate(const QDateTime&)
    {42, 556, 0, 0, Smoke::mf_const, 208, 13},	//1191 QNetworkCookie::domain() const
    {42, 1124, 69, 1, 0, 0, 14},	//1192 QNetworkCookie::setDomain(const QString&)
    {42, 806, 0, 0, Smoke::mf_const, 208, 15},	//1193 QNetworkCookie::path() const
    {42, 1184, 69, 1, 0, 0, 16},	//1194 QNetworkCookie::setPath(const QString&)
    {42, 711, 0, 0, Smoke::mf_const, 14, 17},	//1195 QNetworkCookie::name() const
    {42, 1167, 371, 1, 0, 0, 18},	//1196 QNetworkCookie::setName(const QByteArray&)
    {42, 1346, 0, 0, Smoke::mf_const, 14, 19},	//1197 QNetworkCookie::value() const
    {42, 1285, 371, 1, 0, 0, 20},	//1198 QNetworkCookie::setValue(const QByteArray&)
    {42, 1325, 1135, 1, Smoke::mf_const, 14, 21},	//1199 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {42, 799, 371, 1, Smoke::mf_static, 108, 22},	//1200 QNetworkCookie::parseCookies(const QByteArray&)
    {42, 250, 0, 0, Smoke::mf_ctor, 143, 23},	//1201 QNetworkCookie::QNetworkCookie()
    {42, 250, 371, 1, Smoke::mf_ctor, 143, 24},	//1202 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {42, 1325, 0, 0, Smoke::mf_const, 14, 25},	//1203 QNetworkCookie::toRawForm() const
    {42, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 26},	//1204 QNetworkCookie::NameAndValueOnly (enum)
    {42, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 27},	//1205 QNetworkCookie::Full (enum)
    {42, 1388, 0, 0, Smoke::mf_dtor, 0, 28 },	//1206 QNetworkCookie::~QNetworkCookie()
    {43, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1207 QNetworkCookieJar::metaObject() const
    {43, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1208 QNetworkCookieJar::qt_metacast(const char*)
    {43, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1209 QNetworkCookieJar::tr(const char*, const char*)
    {43, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1210 QNetworkCookieJar::trUtf8(const char*, const char*)
    {43, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1211 QNetworkCookieJar::tr(const char*, const char*, int)
    {43, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1212 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {43, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1213 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {43, 253, 20, 1, Smoke::mf_ctor, 145, 8},	//1214 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {43, 522, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 9},	//1215 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {43, 1114, 1137, 2, Smoke::mf_virtual, 330, 10},	//1216 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {43, 441, 0, 0, Smoke::mf_const|Smoke::mf_protected, 108, 11},	//1217 QNetworkCookieJar::allCookies() const
    {43, 1083, 1140, 1, Smoke::mf_protected, 0, 12},	//1218 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {43, 1328, 1, 1, Smoke::mf_static, 208, 13},	//1219 QNetworkCookieJar::tr(const char*)
    {43, 1332, 1, 1, Smoke::mf_static, 208, 14},	//1220 QNetworkCookieJar::trUtf8(const char*)
    {43, 253, 0, 0, Smoke::mf_ctor, 145, 15},	//1221 QNetworkCookieJar::QNetworkCookieJar()
    {43, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 16},	//1222 QNetworkCookieJar::staticMetaObject() const
    {43, 1389, 0, 0, Smoke::mf_dtor, 0, 17 },	//1223 QNetworkCookieJar::~QNetworkCookieJar()
    {44, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1224 QNetworkDiskCache::metaObject() const
    {44, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1225 QNetworkDiskCache::qt_metacast(const char*)
    {44, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1226 QNetworkDiskCache::tr(const char*, const char*)
    {44, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1227 QNetworkDiskCache::trUtf8(const char*, const char*)
    {44, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1228 QNetworkDiskCache::tr(const char*, const char*, int)
    {44, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1229 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {44, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1230 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {44, 255, 20, 1, Smoke::mf_ctor, 146, 8},	//1231 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {44, 471, 0, 0, Smoke::mf_const, 208, 9},	//1232 QNetworkDiskCache::cacheDirectory() const
    {44, 1099, 69, 1, 0, 0, 10},	//1233 QNetworkDiskCache::setCacheDirectory(const QString&)
    {44, 698, 0, 0, Smoke::mf_const, 416, 11},	//1234 QNetworkDiskCache::maximumCacheSize() const
    {44, 1165, 33, 1, 0, 0, 12},	//1235 QNetworkDiskCache::setMaximumCacheSize(long long)
    {44, 472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 13},	//1236 QNetworkDiskCache::cacheSize() const
    {44, 699, 14, 1, Smoke::mf_virtual, 130, 14},	//1237 QNetworkDiskCache::metaData(const QUrl&)
    {44, 1339, 16, 1, Smoke::mf_virtual, 0, 15},	//1238 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {44, 534, 14, 1, Smoke::mf_virtual, 94, 16},	//1239 QNetworkDiskCache::data(const QUrl&)
    {44, 1040, 14, 1, Smoke::mf_virtual, 330, 17},	//1240 QNetworkDiskCache::remove(const QUrl&)
    {44, 828, 16, 1, Smoke::mf_virtual, 94, 18},	//1241 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {44, 633, 18, 1, Smoke::mf_virtual, 0, 19},	//1242 QNetworkDiskCache::insert(QIODevice*)
    {44, 578, 69, 1, Smoke::mf_const, 130, 20},	//1243 QNetworkDiskCache::fileMetaData(const QString&) const
    {44, 481, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1244 QNetworkDiskCache::clear()
    {44, 576, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 416, 22},	//1245 QNetworkDiskCache::expire()
    {44, 1328, 1, 1, Smoke::mf_static, 208, 23},	//1246 QNetworkDiskCache::tr(const char*)
    {44, 1332, 1, 1, Smoke::mf_static, 208, 24},	//1247 QNetworkDiskCache::trUtf8(const char*)
    {44, 255, 0, 0, Smoke::mf_ctor, 146, 25},	//1248 QNetworkDiskCache::QNetworkDiskCache()
    {44, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 26},	//1249 QNetworkDiskCache::staticMetaObject() const
    {44, 1390, 0, 0, Smoke::mf_dtor, 0, 27 },	//1250 QNetworkDiskCache::~QNetworkDiskCache()
    {45, 257, 0, 0, Smoke::mf_ctor, 149, 1},	//1251 QNetworkInterface::QNetworkInterface()
    {45, 257, 1142, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1252 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {45, 761, 1142, 1, 0, 148, 3},	//1253 QNetworkInterface::operator=(const QNetworkInterface&)
    {45, 663, 0, 0, Smoke::mf_const, 330, 4},	//1254 QNetworkInterface::isValid() const
    {45, 632, 0, 0, Smoke::mf_const, 414, 5},	//1255 QNetworkInterface::index() const
    {45, 711, 0, 0, Smoke::mf_const, 208, 6},	//1256 QNetworkInterface::name() const
    {45, 624, 0, 0, Smoke::mf_const, 208, 7},	//1257 QNetworkInterface::humanReadableName() const
    {45, 582, 0, 0, Smoke::mf_const, 43, 8},	//1258 QNetworkInterface::flags() const
    {45, 606, 0, 0, Smoke::mf_const, 208, 9},	//1259 QNetworkInterface::hardwareAddress() const
    {45, 435, 0, 0, Smoke::mf_const, 106, 10},	//1260 QNetworkInterface::addressEntries() const
    {45, 638, 69, 1, Smoke::mf_static, 147, 11},	//1261 QNetworkInterface::interfaceFromName(const QString&)
    {45, 636, 44, 1, Smoke::mf_static, 147, 12},	//1262 QNetworkInterface::interfaceFromIndex(int)
    {45, 442, 0, 0, Smoke::mf_static, 109, 13},	//1263 QNetworkInterface::allInterfaces()
    {45, 438, 0, 0, Smoke::mf_static, 105, 14},	//1264 QNetworkInterface::allAddresses()
    {45, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 15},	//1265 QNetworkInterface::IsUp (enum)
    {45, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 16},	//1266 QNetworkInterface::IsRunning (enum)
    {45, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 17},	//1267 QNetworkInterface::CanBroadcast (enum)
    {45, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 18},	//1268 QNetworkInterface::IsLoopBack (enum)
    {45, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 19},	//1269 QNetworkInterface::IsPointToPoint (enum)
    {45, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 20},	//1270 QNetworkInterface::CanMulticast (enum)
    {45, 1391, 0, 0, Smoke::mf_dtor, 0, 21 },	//1271 QNetworkInterface::~QNetworkInterface()
    {46, 259, 0, 0, Smoke::mf_ctor, 153, 1},	//1272 QNetworkProxy::QNetworkProxy()
    {46, 259, 1144, 5, Smoke::mf_ctor, 153, 2},	//1273 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {46, 259, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 3},	//1274 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {46, 761, 46, 1, 0, 152, 4},	//1275 QNetworkProxy::operator=(const QNetworkProxy&)
    {46, 764, 46, 1, Smoke::mf_const, 330, 5},	//1276 QNetworkProxy::operator==(const QNetworkProxy&) const
    {46, 725, 46, 1, Smoke::mf_const, 330, 6},	//1277 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {46, 1274, 1150, 1, 0, 0, 7},	//1278 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {46, 1336, 0, 0, Smoke::mf_const, 155, 8},	//1279 QNetworkProxy::type() const
    {46, 1101, 1152, 1, 0, 0, 9},	//1280 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {46, 474, 0, 0, Smoke::mf_const, 44, 10},	//1281 QNetworkProxy::capabilities() const
    {46, 641, 0, 0, Smoke::mf_const, 330, 11},	//1282 QNetworkProxy::isCachingProxy() const
    {46, 662, 0, 0, Smoke::mf_const, 330, 12},	//1283 QNetworkProxy::isTransparentProxy() const
    {46, 1280, 69, 1, 0, 0, 13},	//1284 QNetworkProxy::setUser(const QString&)
    {46, 1345, 0, 0, Smoke::mf_const, 208, 14},	//1285 QNetworkProxy::user() const
    {46, 1182, 69, 1, 0, 0, 15},	//1286 QNetworkProxy::setPassword(const QString&)
    {46, 805, 0, 0, Smoke::mf_const, 208, 16},	//1287 QNetworkProxy::password() const
    {46, 1143, 69, 1, 0, 0, 17},	//1288 QNetworkProxy::setHostName(const QString&)
    {46, 623, 0, 0, Smoke::mf_const, 208, 18},	//1289 QNetworkProxy::hostName() const
    {46, 1200, 65, 1, 0, 0, 19},	//1290 QNetworkProxy::setPort(unsigned short)
    {46, 819, 0, 0, Smoke::mf_const, 428, 20},	//1291 QNetworkProxy::port() const
    {46, 1085, 46, 1, Smoke::mf_static, 0, 21},	//1292 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {46, 446, 0, 0, Smoke::mf_static, 151, 22},	//1293 QNetworkProxy::applicationProxy()
    {46, 259, 1150, 1, Smoke::mf_ctor, 153, 23},	//1294 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {46, 259, 1154, 2, Smoke::mf_ctor, 153, 24},	//1295 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {46, 259, 1157, 3, Smoke::mf_ctor, 153, 25},	//1296 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {46, 259, 1161, 4, Smoke::mf_ctor, 153, 26},	//1297 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {46, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 27},	//1298 QNetworkProxy::DefaultProxy (enum)
    {46, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 28},	//1299 QNetworkProxy::Socks5Proxy (enum)
    {46, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 29},	//1300 QNetworkProxy::NoProxy (enum)
    {46, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 30},	//1301 QNetworkProxy::HttpProxy (enum)
    {46, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 31},	//1302 QNetworkProxy::HttpCachingProxy (enum)
    {46, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 32},	//1303 QNetworkProxy::FtpCachingProxy (enum)
    {46, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 33},	//1304 QNetworkProxy::TunnelingCapability (enum)
    {46, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 34},	//1305 QNetworkProxy::ListeningCapability (enum)
    {46, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 35},	//1306 QNetworkProxy::UdpTunnelingCapability (enum)
    {46, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 36},	//1307 QNetworkProxy::CachingCapability (enum)
    {46, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 37},	//1308 QNetworkProxy::HostNameLookupCapability (enum)
    {46, 1392, 0, 0, Smoke::mf_dtor, 0, 38 },	//1309 QNetworkProxy::~QNetworkProxy()
    {47, 266, 0, 0, Smoke::mf_ctor, 156, 1},	//1310 QNetworkProxyFactory::QNetworkProxyFactory()
    {47, 1007, 1166, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 110, 2},	//1311 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {47, 1278, 116, 1, Smoke::mf_static, 0, 3},	//1312 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {47, 1087, 1086, 1, Smoke::mf_static, 0, 4},	//1313 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {47, 839, 1166, 1, Smoke::mf_static, 110, 5},	//1314 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {47, 1316, 1166, 1, Smoke::mf_static, 110, 6},	//1315 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {47, 266, 1168, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 7},	//1316 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {47, 1007, 0, 0, 0, 110, 8},	//1317 QNetworkProxyFactory::queryProxy()
    {47, 1316, 0, 0, Smoke::mf_static, 110, 9},	//1318 QNetworkProxyFactory::systemProxyForQuery()
    {47, 1393, 0, 0, Smoke::mf_dtor, 0, 10 },	//1319 QNetworkProxyFactory::~QNetworkProxyFactory()
    {48, 268, 0, 0, Smoke::mf_ctor, 158, 1},	//1320 QNetworkProxyQuery::QNetworkProxyQuery()
    {48, 268, 1170, 2, Smoke::mf_ctor, 158, 2},	//1321 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {48, 268, 1173, 4, Smoke::mf_ctor, 158, 3},	//1322 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {48, 268, 1178, 3, Smoke::mf_ctor, 158, 4},	//1323 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {48, 268, 1166, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 5},	//1324 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {48, 761, 1166, 1, 0, 157, 6},	//1325 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {48, 764, 1166, 1, Smoke::mf_const, 330, 7},	//1326 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {48, 725, 1166, 1, Smoke::mf_const, 330, 8},	//1327 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {48, 1009, 0, 0, Smoke::mf_const, 159, 9},	//1328 QNetworkProxyQuery::queryType() const
    {48, 1223, 1182, 1, 0, 0, 10},	//1329 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {48, 812, 0, 0, Smoke::mf_const, 414, 11},	//1330 QNetworkProxyQuery::peerPort() const
    {48, 1192, 44, 1, 0, 0, 12},	//1331 QNetworkProxyQuery::setPeerPort(int)
    {48, 810, 0, 0, Smoke::mf_const, 208, 13},	//1332 QNetworkProxyQuery::peerHostName() const
    {48, 1188, 69, 1, 0, 0, 14},	//1333 QNetworkProxyQuery::setPeerHostName(const QString&)
    {48, 688, 0, 0, Smoke::mf_const, 414, 15},	//1334 QNetworkProxyQuery::localPort() const
    {48, 1159, 44, 1, 0, 0, 16},	//1335 QNetworkProxyQuery::setLocalPort(int)
    {48, 834, 0, 0, Smoke::mf_const, 208, 17},	//1336 QNetworkProxyQuery::protocolTag() const
    {48, 1214, 69, 1, 0, 0, 18},	//1337 QNetworkProxyQuery::setProtocolTag(const QString&)
    {48, 1343, 0, 0, Smoke::mf_const, 226, 19},	//1338 QNetworkProxyQuery::url() const
    {48, 1276, 14, 1, 0, 0, 20},	//1339 QNetworkProxyQuery::setUrl(const QUrl&)
    {48, 268, 14, 1, Smoke::mf_ctor, 158, 21},	//1340 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {48, 268, 1028, 2, Smoke::mf_ctor, 158, 22},	//1341 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {48, 268, 1031, 3, Smoke::mf_ctor, 158, 23},	//1342 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {48, 268, 65, 1, Smoke::mf_ctor, 158, 24},	//1343 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {48, 268, 1184, 2, Smoke::mf_ctor, 158, 25},	//1344 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {48, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 26},	//1345 QNetworkProxyQuery::TcpSocket (enum)
    {48, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 27},	//1346 QNetworkProxyQuery::UdpSocket (enum)
    {48, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 28},	//1347 QNetworkProxyQuery::TcpServer (enum)
    {48, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 29},	//1348 QNetworkProxyQuery::UrlRequest (enum)
    {48, 1394, 0, 0, Smoke::mf_dtor, 0, 30 },	//1349 QNetworkProxyQuery::~QNetworkProxyQuery()
    {49, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1350 QNetworkReply::metaObject() const
    {49, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1351 QNetworkReply::qt_metacast(const char*)
    {49, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1352 QNetworkReply::tr(const char*, const char*)
    {49, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1353 QNetworkReply::trUtf8(const char*, const char*)
    {49, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1354 QNetworkReply::tr(const char*, const char*, int)
    {49, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1355 QNetworkReply::trUtf8(const char*, const char*, int)
    {49, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1356 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {49, 411, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1357 QNetworkReply::abort() [pure virtual]
    {49, 484, 0, 0, Smoke::mf_virtual, 0, 9},	//1358 QNetworkReply::close()
    {49, 659, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 10},	//1359 QNetworkReply::isSequential() const
    {49, 1026, 0, 0, Smoke::mf_const, 416, 11},	//1360 QNetworkReply::readBufferSize() const
    {49, 1229, 33, 1, Smoke::mf_virtual, 0, 12},	//1361 QNetworkReply::setReadBufferSize(long long)
    {49, 696, 0, 0, Smoke::mf_const, 125, 13},	//1362 QNetworkReply::manager() const
    {49, 724, 0, 0, Smoke::mf_const, 127, 14},	//1363 QNetworkReply::operation() const
    {49, 1051, 0, 0, Smoke::mf_const, 162, 15},	//1364 QNetworkReply::request() const
    {49, 570, 0, 0, Smoke::mf_const, 161, 16},	//1365 QNetworkReply::error() const
    {49, 646, 0, 0, Smoke::mf_const, 330, 17},	//1366 QNetworkReply::isFinished() const
    {49, 657, 0, 0, Smoke::mf_const, 330, 18},	//1367 QNetworkReply::isRunning() const
    {49, 1343, 0, 0, Smoke::mf_const, 226, 19},	//1368 QNetworkReply::url() const
    {49, 620, 1187, 1, Smoke::mf_const, 233, 20},	//1369 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {49, 615, 371, 1, Smoke::mf_const, 330, 21},	//1370 QNetworkReply::hasRawHeader(const QByteArray&) const
    {49, 1020, 0, 0, Smoke::mf_const, 104, 22},	//1371 QNetworkReply::rawHeaderList() const
    {49, 1018, 371, 1, Smoke::mf_const, 14, 23},	//1372 QNetworkReply::rawHeader(const QByteArray&) const
    {49, 1021, 0, 0, Smoke::mf_const, 356, 24},	//1373 QNetworkReply::rawHeaderPairs() const
    {49, 448, 1189, 1, Smoke::mf_const, 233, 25},	//1374 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {49, 1297, 0, 0, Smoke::mf_const, 196, 26},	//1375 QNetworkReply::sslConfiguration() const
    {49, 1263, 1191, 1, 0, 0, 27},	//1376 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {49, 627, 1023, 1, 0, 0, 28},	//1377 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {49, 627, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1378 QNetworkReply::ignoreSslErrors()
    {49, 701, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1379 QNetworkReply::metaDataChanged()
    {49, 580, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1380 QNetworkReply::finished()
    {49, 570, 1193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1381 QNetworkReply::error(QNetworkReply::NetworkError)
    {49, 1298, 1023, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1382 QNetworkReply::sslErrors(const QList<QSslError>&)
    {49, 1341, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1383 QNetworkReply::uploadProgress(qint64, qint64)
    {49, 559, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1384 QNetworkReply::downloadProgress(qint64, qint64)
    {49, 275, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 160, 36},	//1385 QNetworkReply::QNetworkReply(QObject*)
    {49, 1365, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 37},	//1386 QNetworkReply::writeData(const char*, long long)
    {49, 1174, 1195, 1, Smoke::mf_protected, 0, 38},	//1387 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {49, 1233, 1092, 1, Smoke::mf_protected, 0, 39},	//1388 QNetworkReply::setRequest(const QNetworkRequest&)
    {49, 1126, 1197, 2, Smoke::mf_protected, 0, 40},	//1389 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {49, 1276, 14, 1, Smoke::mf_protected, 0, 41},	//1390 QNetworkReply::setUrl(const QUrl&)
    {49, 1137, 1200, 2, Smoke::mf_protected, 0, 42},	//1391 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {49, 1225, 359, 2, Smoke::mf_protected, 0, 43},	//1392 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {49, 1089, 1203, 2, Smoke::mf_protected, 0, 44},	//1393 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {49, 1328, 1, 1, Smoke::mf_static, 208, 45},	//1394 QNetworkReply::tr(const char*)
    {49, 1332, 1, 1, Smoke::mf_static, 208, 46},	//1395 QNetworkReply::trUtf8(const char*)
    {49, 275, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 160, 47},	//1396 QNetworkReply::QNetworkReply()
    {49, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 48},	//1397 QNetworkReply::staticMetaObject() const
    {49, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 49},	//1398 QNetworkReply::NoError (enum)
    {49, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 50},	//1399 QNetworkReply::ConnectionRefusedError (enum)
    {49, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 51},	//1400 QNetworkReply::RemoteHostClosedError (enum)
    {49, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 52},	//1401 QNetworkReply::HostNotFoundError (enum)
    {49, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 53},	//1402 QNetworkReply::TimeoutError (enum)
    {49, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 54},	//1403 QNetworkReply::OperationCanceledError (enum)
    {49, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 55},	//1404 QNetworkReply::SslHandshakeFailedError (enum)
    {49, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 56},	//1405 QNetworkReply::TemporaryNetworkFailureError (enum)
    {49, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 57},	//1406 QNetworkReply::UnknownNetworkError (enum)
    {49, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 58},	//1407 QNetworkReply::ProxyConnectionRefusedError (enum)
    {49, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 59},	//1408 QNetworkReply::ProxyConnectionClosedError (enum)
    {49, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 60},	//1409 QNetworkReply::ProxyNotFoundError (enum)
    {49, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 61},	//1410 QNetworkReply::ProxyTimeoutError (enum)
    {49, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 62},	//1411 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {49, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//1412 QNetworkReply::UnknownProxyError (enum)
    {49, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 64},	//1413 QNetworkReply::ContentAccessDenied (enum)
    {49, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 65},	//1414 QNetworkReply::ContentOperationNotPermittedError (enum)
    {49, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 66},	//1415 QNetworkReply::ContentNotFoundError (enum)
    {49, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 67},	//1416 QNetworkReply::AuthenticationRequiredError (enum)
    {49, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 68},	//1417 QNetworkReply::ContentReSendError (enum)
    {49, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 69},	//1418 QNetworkReply::UnknownContentError (enum)
    {49, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 70},	//1419 QNetworkReply::ProtocolUnknownError (enum)
    {49, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 71},	//1420 QNetworkReply::ProtocolInvalidOperationError (enum)
    {49, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 72},	//1421 QNetworkReply::ProtocolFailure (enum)
    {49, 1395, 0, 0, Smoke::mf_dtor, 0, 73 },	//1422 QNetworkReply::~QNetworkReply()
    {50, 277, 14, 1, Smoke::mf_ctor, 164, 1},	//1423 QNetworkRequest::QNetworkRequest(const QUrl&)
    {50, 277, 1092, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 164, 2},	//1424 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {50, 761, 1092, 1, 0, 163, 3},	//1425 QNetworkRequest::operator=(const QNetworkRequest&)
    {50, 764, 1092, 1, Smoke::mf_const, 330, 4},	//1426 QNetworkRequest::operator==(const QNetworkRequest&) const
    {50, 725, 1092, 1, Smoke::mf_const, 330, 5},	//1427 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {50, 1343, 0, 0, Smoke::mf_const, 226, 6},	//1428 QNetworkRequest::url() const
    {50, 1276, 14, 1, 0, 0, 7},	//1429 QNetworkRequest::setUrl(const QUrl&)
    {50, 620, 1187, 1, Smoke::mf_const, 233, 8},	//1430 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {50, 1137, 1200, 2, 0, 0, 9},	//1431 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {50, 615, 371, 1, Smoke::mf_const, 330, 10},	//1432 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {50, 1020, 0, 0, Smoke::mf_const, 104, 11},	//1433 QNetworkRequest::rawHeaderList() const
    {50, 1018, 371, 1, Smoke::mf_const, 14, 12},	//1434 QNetworkRequest::rawHeader(const QByteArray&) const
    {50, 1225, 359, 2, 0, 0, 13},	//1435 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {50, 448, 1203, 2, Smoke::mf_const, 233, 14},	//1436 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {50, 1089, 1203, 2, 0, 0, 15},	//1437 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {50, 1297, 0, 0, Smoke::mf_const, 196, 16},	//1438 QNetworkRequest::sslConfiguration() const
    {50, 1263, 1191, 1, 0, 0, 17},	//1439 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {50, 1178, 20, 1, 0, 0, 18},	//1440 QNetworkRequest::setOriginatingObject(QObject*)
    {50, 795, 0, 0, Smoke::mf_const, 173, 19},	//1441 QNetworkRequest::originatingObject() const
    {50, 830, 0, 0, Smoke::mf_const, 169, 20},	//1442 QNetworkRequest::priority() const
    {50, 1204, 1206, 1, 0, 0, 21},	//1443 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {50, 277, 0, 0, Smoke::mf_ctor, 164, 22},	//1444 QNetworkRequest::QNetworkRequest()
    {50, 448, 1189, 1, Smoke::mf_const, 233, 23},	//1445 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {50, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 24},	//1446 QNetworkRequest::ContentTypeHeader (enum)
    {50, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 25},	//1447 QNetworkRequest::ContentLengthHeader (enum)
    {50, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 26},	//1448 QNetworkRequest::LocationHeader (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 27},	//1449 QNetworkRequest::LastModifiedHeader (enum)
    {50, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 28},	//1450 QNetworkRequest::CookieHeader (enum)
    {50, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 29},	//1451 QNetworkRequest::SetCookieHeader (enum)
    {50, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 30},	//1452 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {50, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 31},	//1453 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {50, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 32},	//1454 QNetworkRequest::RedirectionTargetAttribute (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 33},	//1455 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {50, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 34},	//1456 QNetworkRequest::CacheLoadControlAttribute (enum)
    {50, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 35},	//1457 QNetworkRequest::CacheSaveControlAttribute (enum)
    {50, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 36},	//1458 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 37},	//1459 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {50, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 38},	//1460 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {50, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 39},	//1461 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {50, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 40},	//1462 QNetworkRequest::CustomVerbAttribute (enum)
    {50, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 41},	//1463 QNetworkRequest::CookieLoadControlAttribute (enum)
    {50, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 42},	//1464 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {50, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 43},	//1465 QNetworkRequest::CookieSaveControlAttribute (enum)
    {50, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 44},	//1466 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {50, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 45},	//1467 QNetworkRequest::DownloadBufferAttribute (enum)
    {50, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 46},	//1468 QNetworkRequest::User (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 47},	//1469 QNetworkRequest::UserMax (enum)
    {50, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//1470 QNetworkRequest::AlwaysNetwork (enum)
    {50, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//1471 QNetworkRequest::PreferNetwork (enum)
    {50, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//1472 QNetworkRequest::PreferCache (enum)
    {50, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//1473 QNetworkRequest::AlwaysCache (enum)
    {50, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 52},	//1474 QNetworkRequest::Automatic (enum)
    {50, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 53},	//1475 QNetworkRequest::Manual (enum)
    {50, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 54},	//1476 QNetworkRequest::HighPriority (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 55},	//1477 QNetworkRequest::NormalPriority (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 56},	//1478 QNetworkRequest::LowPriority (enum)
    {50, 1396, 0, 0, Smoke::mf_dtor, 0, 57 },	//1479 QNetworkRequest::~QNetworkRequest()
    {51, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1480 QNetworkSession::metaObject() const
    {51, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1481 QNetworkSession::qt_metacast(const char*)
    {51, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1482 QNetworkSession::tr(const char*, const char*)
    {51, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1483 QNetworkSession::trUtf8(const char*, const char*)
    {51, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1484 QNetworkSession::tr(const char*, const char*, int)
    {51, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1485 QNetworkSession::trUtf8(const char*, const char*, int)
    {51, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1486 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {51, 279, 1208, 2, Smoke::mf_ctor, 170, 8},	//1487 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {51, 654, 0, 0, Smoke::mf_const, 330, 9},	//1488 QNetworkSession::isOpen() const
    {51, 491, 0, 0, Smoke::mf_const, 133, 10},	//1489 QNetworkSession::configuration() const
    {51, 635, 0, 0, Smoke::mf_const, 147, 11},	//1490 QNetworkSession::interface() const
    {51, 1303, 0, 0, Smoke::mf_const, 172, 12},	//1491 QNetworkSession::state() const
    {51, 570, 0, 0, Smoke::mf_const, 171, 13},	//1492 QNetworkSession::error() const
    {51, 572, 0, 0, Smoke::mf_const, 208, 14},	//1493 QNetworkSession::errorString() const
    {51, 1076, 69, 1, Smoke::mf_const, 233, 15},	//1494 QNetworkSession::sessionProperty(const QString&) const
    {51, 1244, 85, 2, 0, 0, 16},	//1495 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {51, 468, 0, 0, Smoke::mf_const, 427, 17},	//1496 QNetworkSession::bytesWritten() const
    {51, 466, 0, 0, Smoke::mf_const, 427, 18},	//1497 QNetworkSession::bytesReceived() const
    {51, 416, 0, 0, Smoke::mf_const, 427, 19},	//1498 QNetworkSession::activeTime() const
    {51, 1361, 44, 1, 0, 330, 20},	//1499 QNetworkSession::waitForOpened(int)
    {51, 722, 0, 0, Smoke::mf_slot, 0, 21},	//1500 QNetworkSession::open()
    {51, 484, 0, 0, Smoke::mf_slot, 0, 22},	//1501 QNetworkSession::close()
    {51, 1308, 0, 0, Smoke::mf_slot, 0, 23},	//1502 QNetworkSession::stop()
    {51, 704, 0, 0, Smoke::mf_slot, 0, 24},	//1503 QNetworkSession::migrate()
    {51, 626, 0, 0, Smoke::mf_slot, 0, 25},	//1504 QNetworkSession::ignore()
    {51, 414, 0, 0, Smoke::mf_slot, 0, 26},	//1505 QNetworkSession::accept()
    {51, 1039, 0, 0, Smoke::mf_slot, 0, 27},	//1506 QNetworkSession::reject()
    {51, 1304, 1211, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1507 QNetworkSession::stateChanged(QNetworkSession::State)
    {51, 723, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1508 QNetworkSession::opened()
    {51, 486, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1509 QNetworkSession::closed()
    {51, 570, 1213, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1510 QNetworkSession::error(QNetworkSession::SessionError)
    {51, 825, 1215, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1511 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {51, 717, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1512 QNetworkSession::newConfigurationActivated()
    {51, 500, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1513 QNetworkSession::connectNotify(const char*)
    {51, 553, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1514 QNetworkSession::disconnectNotify(const char*)
    {51, 1328, 1, 1, Smoke::mf_static, 208, 36},	//1515 QNetworkSession::tr(const char*)
    {51, 1332, 1, 1, Smoke::mf_static, 208, 37},	//1516 QNetworkSession::trUtf8(const char*)
    {51, 279, 1104, 1, Smoke::mf_ctor, 170, 38},	//1517 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {51, 1361, 0, 0, 0, 330, 39},	//1518 QNetworkSession::waitForOpened()
    {51, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 40},	//1519 QNetworkSession::staticMetaObject() const
    {51, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 41},	//1520 QNetworkSession::Invalid (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 42},	//1521 QNetworkSession::NotAvailable (enum)
    {51, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 43},	//1522 QNetworkSession::Connecting (enum)
    {51, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 44},	//1523 QNetworkSession::Connected (enum)
    {51, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 45},	//1524 QNetworkSession::Closing (enum)
    {51, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 46},	//1525 QNetworkSession::Disconnected (enum)
    {51, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 47},	//1526 QNetworkSession::Roaming (enum)
    {51, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 48},	//1527 QNetworkSession::UnknownSessionError (enum)
    {51, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 49},	//1528 QNetworkSession::SessionAbortedError (enum)
    {51, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 50},	//1529 QNetworkSession::RoamingError (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 51},	//1530 QNetworkSession::OperationNotSupportedError (enum)
    {51, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 52},	//1531 QNetworkSession::InvalidConfigurationError (enum)
    {51, 1397, 0, 0, Smoke::mf_dtor, 0, 53 },	//1532 QNetworkSession::~QNetworkSession()
    {52, 573, 1218, 1, Smoke::mf_virtual, 330, 0},	//1533 QObject::event(QEvent*)
    {52, 574, 1220, 2, Smoke::mf_virtual, 330, 0},	//1534 QObject::eventFilter(QObject*, QEvent*)
    {52, 1318, 1223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1535 QObject::timerEvent(QTimerEvent*)
    {52, 478, 1225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1536 QObject::childEvent(QChildEvent*)
    {52, 533, 1218, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1537 QObject::customEvent(QEvent*)
    {52, 500, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1538 QObject::connectNotify(const char*)
    {52, 553, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1539 QObject::disconnectNotify(const char*)
    {61, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 1},	//1540 QSsl::Rsa (enum)
    {61, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 2},	//1541 QSsl::Dsa (enum)
    {61, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 3},	//1542 QSsl::Pem (enum)
    {61, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 4},	//1543 QSsl::Der (enum)
    {61, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 5},	//1544 QSsl::SslV3 (enum)
    {61, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 6},	//1545 QSsl::SslV2 (enum)
    {61, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 7},	//1546 QSsl::TlsV1 (enum)
    {61, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 8},	//1547 QSsl::AnyProtocol (enum)
    {61, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 9},	//1548 QSsl::UnknownProtocol (enum)
    {61, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 10},	//1549 QSsl::EmailEntry (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 11},	//1550 QSsl::DnsEntry (enum)
    {61, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 12},	//1551 QSsl::PrivateKey (enum)
    {61, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 13},	//1552 QSsl::PublicKey (enum)
    {62, 282, 1227, 2, Smoke::mf_ctor, 191, 1},	//1553 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {62, 282, 1230, 2, Smoke::mf_ctor, 191, 2},	//1554 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {62, 282, 1233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 3},	//1555 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {62, 761, 1233, 1, 0, 190, 4},	//1556 QSslCertificate::operator=(const QSslCertificate&)
    {62, 764, 1233, 1, Smoke::mf_const, 330, 5},	//1557 QSslCertificate::operator==(const QSslCertificate&) const
    {62, 725, 1233, 1, Smoke::mf_const, 330, 6},	//1558 QSslCertificate::operator!=(const QSslCertificate&) const
    {62, 652, 0, 0, Smoke::mf_const, 330, 7},	//1559 QSslCertificate::isNull() const
    {62, 663, 0, 0, Smoke::mf_const, 330, 8},	//1560 QSslCertificate::isValid() const
    {62, 481, 0, 0, 0, 0, 9},	//1561 QSslCertificate::clear()
    {62, 1349, 0, 0, Smoke::mf_const, 14, 10},	//1562 QSslCertificate::version() const
    {62, 1070, 0, 0, Smoke::mf_const, 14, 11},	//1563 QSslCertificate::serialNumber() const
    {62, 548, 1235, 1, Smoke::mf_const, 14, 12},	//1564 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {62, 665, 1237, 1, Smoke::mf_const, 208, 13},	//1565 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {62, 665, 371, 1, Smoke::mf_const, 208, 14},	//1566 QSslCertificate::issuerInfo(const QByteArray&) const
    {62, 1309, 1237, 1, Smoke::mf_const, 208, 15},	//1567 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {62, 1309, 371, 1, Smoke::mf_const, 208, 16},	//1568 QSslCertificate::subjectInfo(const QByteArray&) const
    {62, 445, 0, 0, Smoke::mf_const, 124, 17},	//1569 QSslCertificate::alternateSubjectNames() const
    {62, 561, 0, 0, Smoke::mf_const, 22, 18},	//1570 QSslCertificate::effectiveDate() const
    {62, 577, 0, 0, Smoke::mf_const, 22, 19},	//1571 QSslCertificate::expiryDate() const
    {62, 841, 0, 0, Smoke::mf_const, 202, 20},	//1572 QSslCertificate::publicKey() const
    {62, 1323, 0, 0, Smoke::mf_const, 14, 21},	//1573 QSslCertificate::toPem() const
    {62, 1319, 0, 0, Smoke::mf_const, 14, 22},	//1574 QSslCertificate::toDer() const
    {62, 592, 1239, 3, Smoke::mf_static, 113, 23},	//1575 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {62, 587, 1227, 2, Smoke::mf_static, 113, 24},	//1576 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {62, 584, 1230, 2, Smoke::mf_static, 113, 25},	//1577 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {62, 605, 0, 0, Smoke::mf_const, 426, 26},	//1578 QSslCertificate::handle() const
    {62, 282, 18, 1, Smoke::mf_ctor, 191, 27},	//1579 QSslCertificate::QSslCertificate(QIODevice*)
    {62, 282, 0, 0, Smoke::mf_ctor, 191, 28},	//1580 QSslCertificate::QSslCertificate()
    {62, 282, 371, 1, Smoke::mf_ctor, 191, 29},	//1581 QSslCertificate::QSslCertificate(const QByteArray&)
    {62, 548, 0, 0, Smoke::mf_const, 14, 30},	//1582 QSslCertificate::digest() const
    {62, 592, 69, 1, Smoke::mf_static, 113, 31},	//1583 QSslCertificate::fromPath(const QString&)
    {62, 592, 1243, 2, Smoke::mf_static, 113, 32},	//1584 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {62, 587, 18, 1, Smoke::mf_static, 113, 33},	//1585 QSslCertificate::fromDevice(QIODevice*)
    {62, 584, 371, 1, Smoke::mf_static, 113, 34},	//1586 QSslCertificate::fromData(const QByteArray&)
    {62, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 35},	//1587 QSslCertificate::Organization (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 36},	//1588 QSslCertificate::CommonName (enum)
    {62, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 37},	//1589 QSslCertificate::LocalityName (enum)
    {62, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 38},	//1590 QSslCertificate::OrganizationalUnitName (enum)
    {62, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 39},	//1591 QSslCertificate::CountryName (enum)
    {62, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 40},	//1592 QSslCertificate::StateOrProvinceName (enum)
    {62, 1398, 0, 0, Smoke::mf_dtor, 0, 41 },	//1593 QSslCertificate::~QSslCertificate()
    {63, 285, 0, 0, Smoke::mf_ctor, 195, 1},	//1594 QSslCipher::QSslCipher()
    {63, 285, 1246, 2, Smoke::mf_ctor, 195, 2},	//1595 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {63, 285, 1249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 195, 3},	//1596 QSslCipher::QSslCipher(const QSslCipher&)
    {63, 761, 1249, 1, 0, 194, 4},	//1597 QSslCipher::operator=(const QSslCipher&)
    {63, 764, 1249, 1, Smoke::mf_const, 330, 5},	//1598 QSslCipher::operator==(const QSslCipher&) const
    {63, 725, 1249, 1, Smoke::mf_const, 330, 6},	//1599 QSslCipher::operator!=(const QSslCipher&) const
    {63, 652, 0, 0, Smoke::mf_const, 330, 7},	//1600 QSslCipher::isNull() const
    {63, 711, 0, 0, Smoke::mf_const, 208, 8},	//1601 QSslCipher::name() const
    {63, 1312, 0, 0, Smoke::mf_const, 414, 9},	//1602 QSslCipher::supportedBits() const
    {63, 1344, 0, 0, Smoke::mf_const, 414, 10},	//1603 QSslCipher::usedBits() const
    {63, 668, 0, 0, Smoke::mf_const, 208, 11},	//1604 QSslCipher::keyExchangeMethod() const
    {63, 452, 0, 0, Smoke::mf_const, 208, 12},	//1605 QSslCipher::authenticationMethod() const
    {63, 567, 0, 0, Smoke::mf_const, 208, 13},	//1606 QSslCipher::encryptionMethod() const
    {63, 833, 0, 0, Smoke::mf_const, 208, 14},	//1607 QSslCipher::protocolString() const
    {63, 832, 0, 0, Smoke::mf_const, 188, 15},	//1608 QSslCipher::protocol() const
    {63, 1399, 0, 0, Smoke::mf_dtor, 0, 16 },	//1609 QSslCipher::~QSslCipher()
    {64, 288, 0, 0, Smoke::mf_ctor, 198, 1},	//1610 QSslConfiguration::QSslConfiguration()
    {64, 288, 1191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 198, 2},	//1611 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {64, 761, 1191, 1, 0, 197, 3},	//1612 QSslConfiguration::operator=(const QSslConfiguration&)
    {64, 764, 1191, 1, Smoke::mf_const, 330, 4},	//1613 QSslConfiguration::operator==(const QSslConfiguration&) const
    {64, 725, 1191, 1, Smoke::mf_const, 330, 5},	//1614 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {64, 652, 0, 0, Smoke::mf_const, 330, 6},	//1615 QSslConfiguration::isNull() const
    {64, 832, 0, 0, Smoke::mf_const, 188, 7},	//1616 QSslConfiguration::protocol() const
    {64, 1212, 1251, 1, 0, 0, 8},	//1617 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {64, 816, 0, 0, Smoke::mf_const, 206, 9},	//1618 QSslConfiguration::peerVerifyMode() const
    {64, 1196, 1253, 1, 0, 0, 10},	//1619 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 813, 0, 0, Smoke::mf_const, 414, 11},	//1620 QSslConfiguration::peerVerifyDepth() const
    {64, 1194, 44, 1, 0, 0, 12},	//1621 QSslConfiguration::setPeerVerifyDepth(int)
    {64, 685, 0, 0, Smoke::mf_const, 189, 13},	//1622 QSslConfiguration::localCertificate() const
    {64, 1155, 1233, 1, 0, 0, 14},	//1623 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {64, 808, 0, 0, Smoke::mf_const, 189, 15},	//1624 QSslConfiguration::peerCertificate() const
    {64, 809, 0, 0, Smoke::mf_const, 113, 16},	//1625 QSslConfiguration::peerCertificateChain() const
    {64, 1075, 0, 0, Smoke::mf_const, 193, 17},	//1626 QSslConfiguration::sessionCipher() const
    {64, 831, 0, 0, Smoke::mf_const, 202, 18},	//1627 QSslConfiguration::privateKey() const
    {64, 1206, 1255, 1, 0, 0, 19},	//1628 QSslConfiguration::setPrivateKey(const QSslKey&)
    {64, 480, 0, 0, Smoke::mf_const, 114, 20},	//1629 QSslConfiguration::ciphers() const
    {64, 1103, 1257, 1, 0, 0, 21},	//1630 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {64, 469, 0, 0, Smoke::mf_const, 113, 22},	//1631 QSslConfiguration::caCertificates() const
    {64, 1095, 1259, 1, 0, 0, 23},	//1632 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {64, 544, 0, 0, Smoke::mf_static, 196, 24},	//1633 QSslConfiguration::defaultConfiguration()
    {64, 1120, 1191, 1, Smoke::mf_static, 0, 25},	//1634 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {64, 1400, 0, 0, Smoke::mf_dtor, 0, 26 },	//1635 QSslConfiguration::~QSslConfiguration()
    {65, 290, 0, 0, Smoke::mf_ctor, 200, 1},	//1636 QSslError::QSslError()
    {65, 290, 1261, 1, Smoke::mf_ctor, 200, 2},	//1637 QSslError::QSslError(QSslError::SslError)
    {65, 290, 1263, 2, Smoke::mf_ctor, 200, 3},	//1638 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {65, 290, 1266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 200, 4},	//1639 QSslError::QSslError(const QSslError&)
    {65, 761, 1266, 1, 0, 199, 5},	//1640 QSslError::operator=(const QSslError&)
    {65, 764, 1266, 1, Smoke::mf_const, 330, 6},	//1641 QSslError::operator==(const QSslError&) const
    {65, 725, 1266, 1, Smoke::mf_const, 330, 7},	//1642 QSslError::operator!=(const QSslError&) const
    {65, 570, 0, 0, Smoke::mf_const, 201, 8},	//1643 QSslError::error() const
    {65, 572, 0, 0, Smoke::mf_const, 208, 9},	//1644 QSslError::errorString() const
    {65, 477, 0, 0, Smoke::mf_const, 189, 10},	//1645 QSslError::certificate() const
    {65, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 11},	//1646 QSslError::NoError (enum)
    {65, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 12},	//1647 QSslError::UnableToGetIssuerCertificate (enum)
    {65, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 13},	//1648 QSslError::UnableToDecryptCertificateSignature (enum)
    {65, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 14},	//1649 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 15},	//1650 QSslError::CertificateSignatureFailed (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 16},	//1651 QSslError::CertificateNotYetValid (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 17},	//1652 QSslError::CertificateExpired (enum)
    {65, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 18},	//1653 QSslError::InvalidNotBeforeField (enum)
    {65, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 19},	//1654 QSslError::InvalidNotAfterField (enum)
    {65, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 20},	//1655 QSslError::SelfSignedCertificate (enum)
    {65, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 21},	//1656 QSslError::SelfSignedCertificateInChain (enum)
    {65, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 22},	//1657 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {65, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 23},	//1658 QSslError::UnableToVerifyFirstCertificate (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 24},	//1659 QSslError::CertificateRevoked (enum)
    {65, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 25},	//1660 QSslError::InvalidCaCertificate (enum)
    {65, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 26},	//1661 QSslError::PathLengthExceeded (enum)
    {65, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 27},	//1662 QSslError::InvalidPurpose (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 28},	//1663 QSslError::CertificateUntrusted (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 29},	//1664 QSslError::CertificateRejected (enum)
    {65, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 30},	//1665 QSslError::SubjectIssuerMismatch (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 31},	//1666 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {65, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 32},	//1667 QSslError::NoPeerCertificate (enum)
    {65, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 33},	//1668 QSslError::HostNameMismatch (enum)
    {65, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 34},	//1669 QSslError::NoSslSupport (enum)
    {65, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 35},	//1670 QSslError::UnspecifiedError (enum)
    {65, 1401, 0, 0, Smoke::mf_dtor, 0, 36 },	//1671 QSslError::~QSslError()
    {66, 294, 0, 0, Smoke::mf_ctor, 204, 1},	//1672 QSslKey::QSslKey()
    {66, 294, 1268, 5, Smoke::mf_ctor, 204, 2},	//1673 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {66, 294, 1274, 5, Smoke::mf_ctor, 204, 3},	//1674 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {66, 294, 1255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 4},	//1675 QSslKey::QSslKey(const QSslKey&)
    {66, 761, 1255, 1, 0, 203, 5},	//1676 QSslKey::operator=(const QSslKey&)
    {66, 652, 0, 0, Smoke::mf_const, 330, 6},	//1677 QSslKey::isNull() const
    {66, 481, 0, 0, 0, 0, 7},	//1678 QSslKey::clear()
    {66, 673, 0, 0, Smoke::mf_const, 414, 8},	//1679 QSslKey::length() const
    {66, 1336, 0, 0, Smoke::mf_const, 187, 9},	//1680 QSslKey::type() const
    {66, 437, 0, 0, Smoke::mf_const, 186, 10},	//1681 QSslKey::algorithm() const
    {66, 1323, 371, 1, Smoke::mf_const, 14, 11},	//1682 QSslKey::toPem(const QByteArray&) const
    {66, 1319, 371, 1, Smoke::mf_const, 14, 12},	//1683 QSslKey::toDer(const QByteArray&) const
    {66, 605, 0, 0, Smoke::mf_const, 426, 13},	//1684 QSslKey::handle() const
    {66, 764, 1255, 1, Smoke::mf_const, 330, 14},	//1685 QSslKey::operator==(const QSslKey&) const
    {66, 725, 1255, 1, Smoke::mf_const, 330, 15},	//1686 QSslKey::operator!=(const QSslKey&) const
    {66, 294, 1280, 2, Smoke::mf_ctor, 204, 16},	//1687 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {66, 294, 1283, 3, Smoke::mf_ctor, 204, 17},	//1688 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {66, 294, 1287, 4, Smoke::mf_ctor, 204, 18},	//1689 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {66, 294, 1292, 2, Smoke::mf_ctor, 204, 19},	//1690 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {66, 294, 1295, 3, Smoke::mf_ctor, 204, 20},	//1691 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {66, 294, 1299, 4, Smoke::mf_ctor, 204, 21},	//1692 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {66, 1323, 0, 0, Smoke::mf_const, 14, 22},	//1693 QSslKey::toPem() const
    {66, 1319, 0, 0, Smoke::mf_const, 14, 23},	//1694 QSslKey::toDer() const
    {66, 1402, 0, 0, Smoke::mf_dtor, 0, 24 },	//1695 QSslKey::~QSslKey()
    {67, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1696 QSslSocket::metaObject() const
    {67, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1697 QSslSocket::qt_metacast(const char*)
    {67, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1698 QSslSocket::tr(const char*, const char*)
    {67, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1699 QSslSocket::trUtf8(const char*, const char*)
    {67, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1700 QSslSocket::tr(const char*, const char*, int)
    {67, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1701 QSslSocket::trUtf8(const char*, const char*, int)
    {67, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1702 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {67, 300, 20, 1, Smoke::mf_ctor, 205, 8},	//1703 QSslSocket::QSslSocket(QObject*)
    {67, 508, 25, 3, 0, 0, 9},	//1704 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {67, 508, 1304, 4, 0, 0, 10},	//1705 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {67, 1250, 35, 3, 0, 330, 11},	//1706 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {67, 1259, 39, 2, 0, 0, 12},	//1707 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {67, 1294, 42, 1, 0, 233, 13},	//1708 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {67, 708, 0, 0, Smoke::mf_const, 207, 14},	//1709 QSslSocket::mode() const
    {67, 643, 0, 0, Smoke::mf_const, 330, 15},	//1710 QSslSocket::isEncrypted() const
    {67, 832, 0, 0, Smoke::mf_const, 188, 16},	//1711 QSslSocket::protocol() const
    {67, 1212, 1251, 1, 0, 0, 17},	//1712 QSslSocket::setProtocol(QSsl::SslProtocol)
    {67, 816, 0, 0, Smoke::mf_const, 206, 18},	//1713 QSslSocket::peerVerifyMode() const
    {67, 1196, 1253, 1, 0, 0, 19},	//1714 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {67, 813, 0, 0, Smoke::mf_const, 414, 20},	//1715 QSslSocket::peerVerifyDepth() const
    {67, 1194, 44, 1, 0, 0, 21},	//1716 QSslSocket::setPeerVerifyDepth(int)
    {67, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 22},	//1717 QSslSocket::bytesAvailable() const
    {67, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 23},	//1718 QSslSocket::bytesToWrite() const
    {67, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 24},	//1719 QSslSocket::canReadLine() const
    {67, 484, 0, 0, Smoke::mf_virtual, 0, 25},	//1720 QSslSocket::close()
    {67, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 26},	//1721 QSslSocket::atEnd() const
    {67, 583, 0, 0, 0, 330, 27},	//1722 QSslSocket::flush()
    {67, 411, 0, 0, 0, 0, 28},	//1723 QSslSocket::abort()
    {67, 1229, 33, 1, 0, 0, 29},	//1724 QSslSocket::setReadBufferSize(long long)
    {67, 563, 0, 0, Smoke::mf_const, 416, 30},	//1725 QSslSocket::encryptedBytesAvailable() const
    {67, 564, 0, 0, Smoke::mf_const, 416, 31},	//1726 QSslSocket::encryptedBytesToWrite() const
    {67, 1297, 0, 0, Smoke::mf_const, 196, 32},	//1727 QSslSocket::sslConfiguration() const
    {67, 1263, 1191, 1, 0, 0, 33},	//1728 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {67, 1155, 1233, 1, 0, 0, 34},	//1729 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {67, 1155, 1243, 2, 0, 0, 35},	//1730 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {67, 685, 0, 0, Smoke::mf_const, 189, 36},	//1731 QSslSocket::localCertificate() const
    {67, 808, 0, 0, Smoke::mf_const, 189, 37},	//1732 QSslSocket::peerCertificate() const
    {67, 809, 0, 0, Smoke::mf_const, 113, 38},	//1733 QSslSocket::peerCertificateChain() const
    {67, 1075, 0, 0, Smoke::mf_const, 193, 39},	//1734 QSslSocket::sessionCipher() const
    {67, 1206, 1255, 1, 0, 0, 40},	//1735 QSslSocket::setPrivateKey(const QSslKey&)
    {67, 1206, 1309, 4, 0, 0, 41},	//1736 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {67, 831, 0, 0, Smoke::mf_const, 202, 42},	//1737 QSslSocket::privateKey() const
    {67, 480, 0, 0, Smoke::mf_const, 114, 43},	//1738 QSslSocket::ciphers() const
    {67, 1103, 1257, 1, 0, 0, 44},	//1739 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {67, 1103, 69, 1, 0, 0, 45},	//1740 QSslSocket::setCiphers(const QString&)
    {67, 1118, 1257, 1, Smoke::mf_static, 0, 46},	//1741 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {67, 543, 0, 0, Smoke::mf_static, 114, 47},	//1742 QSslSocket::defaultCiphers()
    {67, 1313, 0, 0, Smoke::mf_static, 114, 48},	//1743 QSslSocket::supportedCiphers()
    {67, 419, 1239, 3, 0, 330, 49},	//1744 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {67, 417, 1233, 1, 0, 0, 50},	//1745 QSslSocket::addCaCertificate(const QSslCertificate&)
    {67, 419, 1259, 1, 0, 0, 51},	//1746 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {67, 1095, 1259, 1, 0, 0, 52},	//1747 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {67, 469, 0, 0, Smoke::mf_const, 113, 53},	//1748 QSslSocket::caCertificates() const
    {67, 426, 1239, 3, Smoke::mf_static, 330, 54},	//1749 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {67, 424, 1233, 1, Smoke::mf_static, 0, 55},	//1750 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {67, 426, 1259, 1, Smoke::mf_static, 0, 56},	//1751 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {67, 1116, 1259, 1, Smoke::mf_static, 0, 57},	//1752 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {67, 542, 0, 0, Smoke::mf_static, 113, 58},	//1753 QSslSocket::defaultCaCertificates()
    {67, 1315, 0, 0, Smoke::mf_static, 113, 59},	//1754 QSslSocket::systemCaCertificates()
    {67, 1352, 44, 1, 0, 330, 60},	//1755 QSslSocket::waitForConnected(int)
    {67, 1356, 44, 1, 0, 330, 61},	//1756 QSslSocket::waitForEncrypted(int)
    {67, 1363, 44, 1, Smoke::mf_virtual, 330, 62},	//1757 QSslSocket::waitForReadyRead(int)
    {67, 1350, 44, 1, Smoke::mf_virtual, 330, 63},	//1758 QSslSocket::waitForBytesWritten(int)
    {67, 1354, 44, 1, 0, 330, 64},	//1759 QSslSocket::waitForDisconnected(int)
    {67, 1298, 0, 0, Smoke::mf_const, 115, 65},	//1760 QSslSocket::sslErrors() const
    {67, 1314, 0, 0, Smoke::mf_static, 330, 66},	//1761 QSslSocket::supportsSsl()
    {67, 627, 1023, 1, 0, 0, 67},	//1762 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {67, 1301, 0, 0, Smoke::mf_slot, 0, 68},	//1763 QSslSocket::startClientEncryption()
    {67, 1302, 0, 0, Smoke::mf_slot, 0, 69},	//1764 QSslSocket::startServerEncryption()
    {67, 627, 0, 0, Smoke::mf_slot, 0, 70},	//1765 QSslSocket::ignoreSslErrors()
    {67, 562, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1766 QSslSocket::encrypted()
    {67, 814, 1266, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1767 QSslSocket::peerVerifyError(const QSslError&)
    {67, 1298, 1023, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1768 QSslSocket::sslErrors(const QList<QSslError>&)
    {67, 709, 1314, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1769 QSslSocket::modeChanged(QSslSocket::SslMode)
    {67, 565, 1316, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1770 QSslSocket::encryptedBytesWritten(qint64)
    {67, 512, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1771 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {67, 551, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1772 QSslSocket::disconnectFromHostImplementation()
    {67, 1027, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 78},	//1773 QSslSocket::readData(char*, long long)
    {67, 1365, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 79},	//1774 QSslSocket::writeData(const char*, long long)
    {67, 1328, 1, 1, Smoke::mf_static, 208, 80},	//1775 QSslSocket::tr(const char*)
    {67, 1332, 1, 1, Smoke::mf_static, 208, 81},	//1776 QSslSocket::trUtf8(const char*)
    {67, 300, 0, 0, Smoke::mf_ctor, 205, 82},	//1777 QSslSocket::QSslSocket()
    {67, 508, 71, 2, 0, 0, 83},	//1778 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {67, 508, 1318, 3, 0, 0, 84},	//1779 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {67, 1250, 44, 1, 0, 330, 85},	//1780 QSslSocket::setSocketDescriptor(int)
    {67, 1250, 77, 2, 0, 330, 86},	//1781 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {67, 1155, 69, 1, 0, 0, 87},	//1782 QSslSocket::setLocalCertificate(const QString&)
    {67, 1206, 69, 1, 0, 0, 88},	//1783 QSslSocket::setPrivateKey(const QString&)
    {67, 1206, 1322, 2, 0, 0, 89},	//1784 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {67, 1206, 1325, 3, 0, 0, 90},	//1785 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 419, 69, 1, 0, 330, 91},	//1786 QSslSocket::addCaCertificates(const QString&)
    {67, 419, 1243, 2, 0, 330, 92},	//1787 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {67, 426, 69, 1, Smoke::mf_static, 330, 93},	//1788 QSslSocket::addDefaultCaCertificates(const QString&)
    {67, 426, 1243, 2, Smoke::mf_static, 330, 94},	//1789 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {67, 1352, 0, 0, 0, 330, 95},	//1790 QSslSocket::waitForConnected()
    {67, 1356, 0, 0, 0, 330, 96},	//1791 QSslSocket::waitForEncrypted()
    {67, 1363, 0, 0, 0, 330, 97},	//1792 QSslSocket::waitForReadyRead()
    {67, 1350, 0, 0, 0, 330, 98},	//1793 QSslSocket::waitForBytesWritten()
    {67, 1354, 0, 0, 0, 330, 99},	//1794 QSslSocket::waitForDisconnected()
    {67, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 100},	//1795 QSslSocket::staticMetaObject() const
    {67, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 101},	//1796 QSslSocket::UnencryptedMode (enum)
    {67, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 102},	//1797 QSslSocket::SslClientMode (enum)
    {67, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 103},	//1798 QSslSocket::SslServerMode (enum)
    {67, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 104},	//1799 QSslSocket::VerifyNone (enum)
    {67, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 105},	//1800 QSslSocket::QueryPeer (enum)
    {67, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 106},	//1801 QSslSocket::VerifyPeer (enum)
    {67, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 107},	//1802 QSslSocket::AutoVerifyPeer (enum)
    {67, 1403, 0, 0, Smoke::mf_dtor, 0, 108 },	//1803 QSslSocket::~QSslSocket()
    {70, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1804 QTcpServer::metaObject() const
    {70, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1805 QTcpServer::qt_metacast(const char*)
    {70, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1806 QTcpServer::tr(const char*, const char*)
    {70, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1807 QTcpServer::trUtf8(const char*, const char*)
    {70, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1808 QTcpServer::tr(const char*, const char*, int)
    {70, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1809 QTcpServer::trUtf8(const char*, const char*, int)
    {70, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1810 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {70, 302, 20, 1, Smoke::mf_ctor, 215, 8},	//1811 QTcpServer::QTcpServer(QObject*)
    {70, 680, 74, 2, 0, 330, 9},	//1812 QTcpServer::listen(const QHostAddress&, unsigned short)
    {70, 484, 0, 0, 0, 0, 10},	//1813 QTcpServer::close()
    {70, 651, 0, 0, Smoke::mf_const, 330, 11},	//1814 QTcpServer::isListening() const
    {70, 1163, 44, 1, 0, 0, 12},	//1815 QTcpServer::setMaxPendingConnections(int)
    {70, 697, 0, 0, Smoke::mf_const, 414, 13},	//1816 QTcpServer::maxPendingConnections() const
    {70, 1074, 0, 0, Smoke::mf_const, 428, 14},	//1817 QTcpServer::serverPort() const
    {70, 1071, 0, 0, Smoke::mf_const, 74, 15},	//1818 QTcpServer::serverAddress() const
    {70, 1293, 0, 0, Smoke::mf_const, 414, 16},	//1819 QTcpServer::socketDescriptor() const
    {70, 1250, 44, 1, 0, 330, 17},	//1820 QTcpServer::setSocketDescriptor(int)
    {70, 1358, 1067, 2, 0, 330, 18},	//1821 QTcpServer::waitForNewConnection(int, bool*)
    {70, 612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 330, 19},	//1822 QTcpServer::hasPendingConnections() const
    {70, 719, 0, 0, Smoke::mf_virtual, 216, 20},	//1823 QTcpServer::nextPendingConnection()
    {70, 1072, 0, 0, Smoke::mf_const, 5, 21},	//1824 QTcpServer::serverError() const
    {70, 572, 0, 0, Smoke::mf_const, 208, 22},	//1825 QTcpServer::errorString() const
    {70, 1216, 46, 1, 0, 0, 23},	//1826 QTcpServer::setProxy(const QNetworkProxy&)
    {70, 835, 0, 0, Smoke::mf_const, 151, 24},	//1827 QTcpServer::proxy() const
    {70, 629, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1828 QTcpServer::incomingConnection(int)
    {70, 431, 991, 1, Smoke::mf_protected, 0, 26},	//1829 QTcpServer::addPendingConnection(QTcpSocket*)
    {70, 718, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1830 QTcpServer::newConnection()
    {70, 1328, 1, 1, Smoke::mf_static, 208, 28},	//1831 QTcpServer::tr(const char*)
    {70, 1332, 1, 1, Smoke::mf_static, 208, 29},	//1832 QTcpServer::trUtf8(const char*)
    {70, 302, 0, 0, Smoke::mf_ctor, 215, 30},	//1833 QTcpServer::QTcpServer()
    {70, 680, 0, 0, 0, 330, 31},	//1834 QTcpServer::listen()
    {70, 680, 67, 1, 0, 330, 32},	//1835 QTcpServer::listen(const QHostAddress&)
    {70, 1358, 0, 0, 0, 330, 33},	//1836 QTcpServer::waitForNewConnection()
    {70, 1358, 44, 1, 0, 330, 34},	//1837 QTcpServer::waitForNewConnection(int)
    {70, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 35},	//1838 QTcpServer::staticMetaObject() const
    {70, 1404, 0, 0, Smoke::mf_dtor, 0, 36 },	//1839 QTcpServer::~QTcpServer()
    {71, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1840 QTcpSocket::metaObject() const
    {71, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1841 QTcpSocket::qt_metacast(const char*)
    {71, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1842 QTcpSocket::tr(const char*, const char*)
    {71, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1843 QTcpSocket::trUtf8(const char*, const char*)
    {71, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1844 QTcpSocket::tr(const char*, const char*, int)
    {71, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1845 QTcpSocket::trUtf8(const char*, const char*, int)
    {71, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1846 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {71, 304, 20, 1, Smoke::mf_ctor, 216, 8},	//1847 QTcpSocket::QTcpSocket(QObject*)
    {71, 1328, 1, 1, Smoke::mf_static, 208, 9},	//1848 QTcpSocket::tr(const char*)
    {71, 1332, 1, 1, Smoke::mf_static, 208, 10},	//1849 QTcpSocket::trUtf8(const char*)
    {71, 304, 0, 0, Smoke::mf_ctor, 216, 11},	//1850 QTcpSocket::QTcpSocket()
    {71, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 12},	//1851 QTcpSocket::staticMetaObject() const
    {71, 1405, 0, 0, Smoke::mf_dtor, 0, 13 },	//1852 QTcpSocket::~QTcpSocket()
    {76, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 1},	//1853 QUdpSocket::metaObject() const
    {76, 1000, 1, 1, Smoke::mf_virtual, 433, 2},	//1854 QUdpSocket::qt_metacast(const char*)
    {76, 1328, 3, 2, Smoke::mf_static, 208, 3},	//1855 QUdpSocket::tr(const char*, const char*)
    {76, 1332, 3, 2, Smoke::mf_static, 208, 4},	//1856 QUdpSocket::trUtf8(const char*, const char*)
    {76, 1328, 6, 3, Smoke::mf_static, 208, 5},	//1857 QUdpSocket::tr(const char*, const char*, int)
    {76, 1332, 6, 3, Smoke::mf_static, 208, 6},	//1858 QUdpSocket::trUtf8(const char*, const char*, int)
    {76, 998, 10, 3, Smoke::mf_virtual, 414, 7},	//1859 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {76, 306, 20, 1, Smoke::mf_ctor, 224, 8},	//1860 QUdpSocket::QUdpSocket(QObject*)
    {76, 459, 74, 2, 0, 330, 9},	//1861 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {76, 459, 65, 1, 0, 330, 10},	//1862 QUdpSocket::bind(unsigned short)
    {76, 459, 1329, 3, 0, 330, 11},	//1863 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {76, 459, 1333, 2, 0, 330, 12},	//1864 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {76, 613, 0, 0, Smoke::mf_const, 330, 13},	//1865 QUdpSocket::hasPendingDatagrams() const
    {76, 817, 0, 0, Smoke::mf_const, 416, 14},	//1866 QUdpSocket::pendingDatagramSize() const
    {76, 1029, 1336, 4, 0, 416, 15},	//1867 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {76, 1367, 1341, 4, 0, 416, 16},	//1868 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {76, 1367, 1346, 3, 0, 416, 17},	//1869 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {76, 1328, 1, 1, Smoke::mf_static, 208, 18},	//1870 QUdpSocket::tr(const char*)
    {76, 1332, 1, 1, Smoke::mf_static, 208, 19},	//1871 QUdpSocket::trUtf8(const char*)
    {76, 306, 0, 0, Smoke::mf_ctor, 224, 20},	//1872 QUdpSocket::QUdpSocket()
    {76, 459, 0, 0, 0, 330, 21},	//1873 QUdpSocket::bind()
    {76, 1029, 59, 2, 0, 416, 22},	//1874 QUdpSocket::readDatagram(char*, long long)
    {76, 1029, 1350, 3, 0, 416, 23},	//1875 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {76, 1306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 363, 24},	//1876 QUdpSocket::staticMetaObject() const
    {76, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 25},	//1877 QUdpSocket::DefaultForPlatform (enum)
    {76, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 26},	//1878 QUdpSocket::ShareAddress (enum)
    {76, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 27},	//1879 QUdpSocket::DontShareAddress (enum)
    {76, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 28},	//1880 QUdpSocket::ReuseAddressHint (enum)
    {76, 1406, 0, 0, Smoke::mf_dtor, 0, 29 },	//1881 QUdpSocket::~QUdpSocket()
    {78, 308, 0, 0, Smoke::mf_ctor, 230, 1},	//1882 QUrlInfo::QUrlInfo()
    {78, 308, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1883 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {78, 308, 1354, 13, Smoke::mf_ctor, 230, 3},	//1884 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {78, 308, 1368, 13, Smoke::mf_ctor, 230, 4},	//1885 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {78, 761, 105, 1, 0, 229, 5},	//1886 QUrlInfo::operator=(const QUrlInfo&)
    {78, 1167, 69, 1, Smoke::mf_virtual, 0, 6},	//1887 QUrlInfo::setName(const QString&)
    {78, 1122, 116, 1, Smoke::mf_virtual, 0, 7},	//1888 QUrlInfo::setDir(bool)
    {78, 1133, 116, 1, Smoke::mf_virtual, 0, 8},	//1889 QUrlInfo::setFile(bool)
    {78, 1270, 116, 1, Smoke::mf_virtual, 0, 9},	//1890 QUrlInfo::setSymLink(bool)
    {78, 1180, 69, 1, Smoke::mf_virtual, 0, 10},	//1891 QUrlInfo::setOwner(const QString&)
    {78, 1135, 69, 1, Smoke::mf_virtual, 0, 11},	//1892 QUrlInfo::setGroup(const QString&)
    {78, 1246, 33, 1, Smoke::mf_virtual, 0, 12},	//1893 QUrlInfo::setSize(long long)
    {78, 1290, 116, 1, Smoke::mf_virtual, 0, 13},	//1894 QUrlInfo::setWritable(bool)
    {78, 1231, 116, 1, Smoke::mf_virtual, 0, 14},	//1895 QUrlInfo::setReadable(bool)
    {78, 1198, 44, 1, Smoke::mf_virtual, 0, 15},	//1896 QUrlInfo::setPermissions(int)
    {78, 1149, 1127, 1, Smoke::mf_virtual, 0, 16},	//1897 QUrlInfo::setLastModified(const QDateTime&)
    {78, 1151, 1127, 1, 0, 0, 17},	//1898 QUrlInfo::setLastRead(const QDateTime&)
    {78, 663, 0, 0, Smoke::mf_const, 330, 18},	//1899 QUrlInfo::isValid() const
    {78, 711, 0, 0, Smoke::mf_const, 208, 19},	//1900 QUrlInfo::name() const
    {78, 818, 0, 0, Smoke::mf_const, 414, 20},	//1901 QUrlInfo::permissions() const
    {78, 796, 0, 0, Smoke::mf_const, 208, 21},	//1902 QUrlInfo::owner() const
    {78, 604, 0, 0, Smoke::mf_const, 208, 22},	//1903 QUrlInfo::group() const
    {78, 1292, 0, 0, Smoke::mf_const, 416, 23},	//1904 QUrlInfo::size() const
    {78, 670, 0, 0, Smoke::mf_const, 22, 24},	//1905 QUrlInfo::lastModified() const
    {78, 671, 0, 0, Smoke::mf_const, 22, 25},	//1906 QUrlInfo::lastRead() const
    {78, 642, 0, 0, Smoke::mf_const, 330, 26},	//1907 QUrlInfo::isDir() const
    {78, 645, 0, 0, Smoke::mf_const, 330, 27},	//1908 QUrlInfo::isFile() const
    {78, 661, 0, 0, Smoke::mf_const, 330, 28},	//1909 QUrlInfo::isSymLink() const
    {78, 664, 0, 0, Smoke::mf_const, 330, 29},	//1910 QUrlInfo::isWritable() const
    {78, 655, 0, 0, Smoke::mf_const, 330, 30},	//1911 QUrlInfo::isReadable() const
    {78, 644, 0, 0, Smoke::mf_const, 330, 31},	//1912 QUrlInfo::isExecutable() const
    {78, 602, 1382, 3, Smoke::mf_static, 330, 32},	//1913 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {78, 674, 1382, 3, Smoke::mf_static, 330, 33},	//1914 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {78, 568, 1382, 3, Smoke::mf_static, 330, 34},	//1915 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {78, 764, 105, 1, Smoke::mf_const, 330, 35},	//1916 QUrlInfo::operator==(const QUrlInfo&) const
    {78, 725, 105, 1, Smoke::mf_const, 330, 36},	//1917 QUrlInfo::operator!=(const QUrlInfo&) const
    {78, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1918 QUrlInfo::ReadOwner (enum)
    {78, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1919 QUrlInfo::WriteOwner (enum)
    {78, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1920 QUrlInfo::ExeOwner (enum)
    {78, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1921 QUrlInfo::ReadGroup (enum)
    {78, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1922 QUrlInfo::WriteGroup (enum)
    {78, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1923 QUrlInfo::ExeGroup (enum)
    {78, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1924 QUrlInfo::ReadOther (enum)
    {78, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1925 QUrlInfo::WriteOther (enum)
    {78, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1926 QUrlInfo::ExeOther (enum)
    {78, 1407, 0, 0, Smoke::mf_dtor, 0, 46 },	//1927 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1704,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1779,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    695,  // QHostAddress::QHostAddress(const QIPv6Address&)
    696,  // QHostAddress::QHostAddress(const sockaddr*)
    698,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    693,  // QHostAddress::QHostAddress(unsigned int)
    694,  // QHostAddress::QHostAddress(unsigned char*)
    697,  // QHostAddress::QHostAddress(const QString&)
    699,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    704,  // QHostAddress::setAddress(const QIPv6Address&)
    705,  // QHostAddress::setAddress(const sockaddr*)
    0,
    702,  // QHostAddress::setAddress(unsigned int)
    703,  // QHostAddress::setAddress(unsigned char*)
    706,  // QHostAddress::setAddress(const QString&)
    0,
    888,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    898,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    260,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    268,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    272,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    282,  // QGlobalSpace::operator!=(QChar, QChar)
    307,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    317,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    331,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    333,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    365,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    381,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    396,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    411,  // QGlobalSpace::operator!=(QBool, QBool)
    421,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    453,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    492,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    622,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    446,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    473,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    553,  // QGlobalSpace::operator!=(QBool, bool)
    576,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    649,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    261,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    311,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    413,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    476,  // QGlobalSpace::operator!=(bool, QBool)
    487,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    596,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    242,  // QGlobalSpace::operator*(const QSizeF&, double)
    324,  // QGlobalSpace::operator*(const QPointF&, double)
    434,  // QGlobalSpace::operator*(const QSize&, double)
    565,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    382,  // QGlobalSpace::operator*(double, const QSize&)
    506,  // QGlobalSpace::operator*(double, const QPointF&)
    574,  // QGlobalSpace::operator*(double, const QPoint&)
    631,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    264,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    502,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    533,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    573,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    660,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    254,  // QGlobalSpace::operator+(QChar, const QString&)
    480,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    503,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    527,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    263,  // QGlobalSpace::operator+(const QString&, QChar)
    308,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    523,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    543,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    392,  // QGlobalSpace::operator+(const char*, const QString&)
    412,  // QGlobalSpace::operator+(const QString&, char)
    544,  // QGlobalSpace::operator+(const QString&, const char*)
    552,  // QGlobalSpace::operator+(const QString&, const QString&)
    657,  // QGlobalSpace::operator+(char, const QString&)
    0,
    388,  // QGlobalSpace::operator-(const QPointF&)
    403,  // QGlobalSpace::operator-(const QPoint&)
    0,
    287,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    436,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    589,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    605,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    398,  // QGlobalSpace::operator/(const QSizeF&, double)
    417,  // QGlobalSpace::operator/(const QPointF&, double)
    443,  // QGlobalSpace::operator/(const QPoint&, double)
    592,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    409,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    546,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    602,  // QGlobalSpace::operator<(QChar, QChar)
    630,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    319,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    474,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    243,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    252,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    262,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    269,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    271,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    285,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    298,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    325,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    341,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    348,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    350,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    363,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    379,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    394,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    400,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    404,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    406,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    422,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    431,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    437,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    444,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    445,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    447,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    456,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    472,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    491,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    499,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    508,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    509,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    518,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    522,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    532,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    536,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    541,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    542,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    557,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    567,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    575,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    578,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    579,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    584,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    615,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    618,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    633,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    658,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    250,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    258,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    288,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    292,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    339,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    349,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    351,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    375,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    484,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    566,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    643,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    256,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    257,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    323,  // QGlobalSpace::operator<=(QChar, QChar)
    334,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    374,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    393,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    249,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    251,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    266,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    275,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    326,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    330,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    356,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    415,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    457,  // QGlobalSpace::operator==(QBool, QBool)
    479,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    496,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    519,  // QGlobalSpace::operator==(QChar, QChar)
    538,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    554,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    580,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    635,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    637,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    423,  // QGlobalSpace::operator==(QString::Null, const QString&)
    468,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    561,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    644,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    648,  // QGlobalSpace::operator==(QBool, bool)
    0,
    295,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    312,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    360,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    369,  // QGlobalSpace::operator==(const QString&, QString::Null)
    451,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    462,  // QGlobalSpace::operator==(bool, QBool)
    498,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    306,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    352,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    397,  // QGlobalSpace::operator>(QChar, QChar)
    517,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    345,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    357,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    321,  // QGlobalSpace::operator>=(QChar, QChar)
    353,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    408,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    632,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    235,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    593,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    233,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    237,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    247,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    267,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    278,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    284,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    332,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    340,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    378,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    433,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    439,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    459,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    460,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    465,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    486,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    515,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    570,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    612,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    454,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    610,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    231,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    234,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    238,  // QGlobalSpace::operator|(Qt::WindowType, int)
    248,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    270,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    280,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    286,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    296,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    299,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    303,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    309,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    310,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    314,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    322,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    327,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    328,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    336,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    342,  // QGlobalSpace::operator|(Qt::DropAction, int)
    344,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    355,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    361,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    362,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    364,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    367,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    368,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    370,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    372,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    376,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    377,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    383,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    386,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    389,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    391,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    399,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    407,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    419,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    427,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    428,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    438,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    440,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    449,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    452,  // QGlobalSpace::operator|(Qt::WindowState, int)
    461,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    463,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    471,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    475,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    481,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    482,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    483,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    485,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    489,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    495,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    497,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    501,  // QGlobalSpace::operator|(QFile::Permission, int)
    513,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    516,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    525,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    526,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    528,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    529,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    531,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    535,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    537,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    540,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    545,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    550,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    558,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    564,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    572,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    581,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    586,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    587,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    590,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    591,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    594,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    595,  // QGlobalSpace::operator|(QDir::Filter, int)
    600,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    603,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    604,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    609,  // QGlobalSpace::operator|(Qt::Orientation, int)
    611,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    617,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    619,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    620,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    623,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    627,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    628,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    629,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    638,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    639,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    640,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    642,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    645,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    646,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    654,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    655,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    656,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    661,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    662,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    373,  // QGlobalSpace::qFuzzyCompare(double, double)
    430,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    464,  // QGlobalSpace::qFuzzyIsNull(double)
    613,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    313,  // QGlobalSpace::qHash(const QBitArray&)
    395,  // QGlobalSpace::qHash(const QHostAddress&)
    470,  // QGlobalSpace::qHash(QChar)
    514,  // QGlobalSpace::qHash(const QStringRef&)
    571,  // QGlobalSpace::qHash(const QUrl&)
    616,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    634,  // QGlobalSpace::qHash(const QByteArray&)
    636,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    240,  // QGlobalSpace::qHash(unsigned int)
    241,  // QGlobalSpace::qHash(char)
    273,  // QGlobalSpace::qHash(unsigned char)
    293,  // QGlobalSpace::qHash(short)
    302,  // QGlobalSpace::qHash(long)
    359,  // QGlobalSpace::qHash(unsigned short)
    385,  // QGlobalSpace::qHash(long long)
    414,  // QGlobalSpace::qHash(unsigned long long)
    448,  // QGlobalSpace::qHash(int)
    494,  // QGlobalSpace::qHash(signed char)
    551,  // QGlobalSpace::qHash(const QString&)
    599,  // QGlobalSpace::qHash(unsigned long)
    0,
    354,  // QGlobalSpace::qIntCast(float)
    418,  // QGlobalSpace::qIntCast(double)
    0,
    297,  // QGlobalSpace::qIsFinite(double)
    659,  // QGlobalSpace::qIsFinite(float)
    0,
    390,  // QGlobalSpace::qIsInf(float)
    588,  // QGlobalSpace::qIsInf(double)
    0,
    556,  // QGlobalSpace::qIsNaN(float)
    563,  // QGlobalSpace::qIsNaN(double)
    0,
    279,  // QGlobalSpace::qIsNull(float)
    607,  // QGlobalSpace::qIsNull(double)
    0,
    1555,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1579,  // QSslCertificate::QSslCertificate(QIODevice*)
    1581,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1553,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1554,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    196,  // QFtp::put(const QByteArray&, const QString&)
    197,  // QFtp::put(QIODevice*, const QString&)
    0,
    160,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    161,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    1324,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1340,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1341,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1344,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1323,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1342,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1041,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1042,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1043,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1044,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    806,  // QHttp::QHttp(const QString&, unsigned short)
    807,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    815,  // QHttp::post(const QString&, QIODevice*)
    816,  // QHttp::post(const QString&, const QByteArray&)
    0,
    769,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    770,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    818,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    819,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    772,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    773,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    762,  // QHttp::setHost(const QString&, unsigned short)
    810,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1180,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1202,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    926,  // QIPv6Address::operator[](int)
    927,  // QIPv6Address::operator[](int) const
    0,
    1423,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1424,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1687,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1690,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1688,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1691,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1689,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1692,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1673,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1674,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 198, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 199, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 472, 12},	// QAbstractNetworkCache::cacheSize
    {1, 481, 15},	// QAbstractNetworkCache::clear
    {1, 535, 10},	// QAbstractNetworkCache::data#
    {1, 634, 14},	// QAbstractNetworkCache::insert#
    {1, 700, 8},	// QAbstractNetworkCache::metaData#
    {1, 702, 1},	// QAbstractNetworkCache::metaObject
    {1, 829, 13},	// QAbstractNetworkCache::prepare#
    {1, 999, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1001, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1041, 11},	// QAbstractNetworkCache::remove#
    {1, 1306, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1329, 17},	// QAbstractNetworkCache::tr$
    {1, 1330, 3},	// QAbstractNetworkCache::tr$$
    {1, 1331, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1333, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1334, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1335, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1340, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1370, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 28, 122},	// QAbstractSocket::BoundState
    {2, 45, 124},	// QAbstractSocket::ClosingState
    {2, 49, 121},	// QAbstractSocket::ConnectedState
    {2, 51, 120},	// QAbstractSocket::ConnectingState
    {2, 57, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 71, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 97, 119},	// QAbstractSocket::HostLookupState
    {2, 101, 100},	// QAbstractSocket::HostNotFoundError
    {2, 108, 95},	// QAbstractSocket::IPv4Protocol
    {2, 109, 96},	// QAbstractSocket::IPv6Protocol
    {2, 122, 126},	// QAbstractSocket::KeepAliveOption
    {2, 145, 123},	// QAbstractSocket::ListeningState
    {2, 152, 125},	// QAbstractSocket::LowDelayOption
    {2, 158, 105},	// QAbstractSocket::NetworkError
    {2, 187, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 188, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 189, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 190, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 191, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 192, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 201, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 331, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 350, 101},	// QAbstractSocket::SocketAccessError
    {2, 351, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 352, 102},	// QAbstractSocket::SocketResourceError
    {2, 353, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 357, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 365, 92},	// QAbstractSocket::TcpSocket
    {2, 372, 93},	// QAbstractSocket::UdpSocket
    {2, 381, 118},	// QAbstractSocket::UnconnectedState
    {2, 385, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 390, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 396, 117},	// QAbstractSocket::UnknownSocketError
    {2, 397, 94},	// QAbstractSocket::UnknownSocketType
    {2, 399, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 411, 44},	// QAbstractSocket::abort
    {2, 447, 54},	// QAbstractSocket::atEnd
    {2, 465, 34},	// QAbstractSocket::bytesAvailable
    {2, 467, 35},	// QAbstractSocket::bytesToWrite
    {2, 473, 36},	// QAbstractSocket::canReadLine
    {2, 484, 52},	// QAbstractSocket::close
    {2, 503, 83},	// QAbstractSocket::connectToHost#$
    {2, 504, 31},	// QAbstractSocket::connectToHost#$$
    {2, 506, 82},	// QAbstractSocket::connectToHost$$
    {2, 507, 30},	// QAbstractSocket::connectToHost$$$
    {2, 513, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 514, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 518, 63},	// QAbstractSocket::connected
    {2, 550, 32},	// QAbstractSocket::disconnectFromHost
    {2, 551, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 555, 64},	// QAbstractSocket::disconnected
    {2, 570, 51},	// QAbstractSocket::error
    {2, 571, 66},	// QAbstractSocket::error$
    {2, 583, 55},	// QAbstractSocket::flush
    {2, 622, 62},	// QAbstractSocket::hostFound
    {2, 659, 53},	// QAbstractSocket::isSequential
    {2, 663, 33},	// QAbstractSocket::isValid
    {2, 684, 38},	// QAbstractSocket::localAddress
    {2, 688, 37},	// QAbstractSocket::localPort
    {2, 702, 22},	// QAbstractSocket::metaObject
    {2, 807, 40},	// QAbstractSocket::peerAddress
    {2, 811, 41},	// QAbstractSocket::peerName
    {2, 812, 39},	// QAbstractSocket::peerPort
    {2, 835, 61},	// QAbstractSocket::proxy
    {2, 837, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 999, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1001, 23},	// QAbstractSocket::qt_metacast$
    {2, 1026, 42},	// QAbstractSocket::readBufferSize
    {2, 1028, 70},	// QAbstractSocket::readData$$
    {2, 1034, 71},	// QAbstractSocket::readLineData$$
    {2, 1154, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1160, 75},	// QAbstractSocket::setLocalPort$
    {2, 1187, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1191, 79},	// QAbstractSocket::setPeerName$
    {2, 1193, 77},	// QAbstractSocket::setPeerPort$
    {2, 1217, 60},	// QAbstractSocket::setProxy#
    {2, 1230, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1251, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1252, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1253, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1258, 74},	// QAbstractSocket::setSocketError$
    {2, 1260, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1262, 73},	// QAbstractSocket::setSocketState$
    {2, 1293, 45},	// QAbstractSocket::socketDescriptor
    {2, 1295, 48},	// QAbstractSocket::socketOption$
    {2, 1296, 49},	// QAbstractSocket::socketType
    {2, 1303, 50},	// QAbstractSocket::state
    {2, 1305, 65},	// QAbstractSocket::stateChanged$
    {2, 1306, 91},	// QAbstractSocket::staticMetaObject
    {2, 1329, 80},	// QAbstractSocket::tr$
    {2, 1330, 24},	// QAbstractSocket::tr$$
    {2, 1331, 26},	// QAbstractSocket::tr$$$
    {2, 1333, 81},	// QAbstractSocket::trUtf8$
    {2, 1334, 25},	// QAbstractSocket::trUtf8$$
    {2, 1335, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1350, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1351, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1352, 86},	// QAbstractSocket::waitForConnected
    {2, 1353, 56},	// QAbstractSocket::waitForConnected$
    {2, 1354, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1355, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1363, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1364, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1366, 72},	// QAbstractSocket::writeData$$
    {2, 1371, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 202, 128},	// QAuthenticator::QAuthenticator
    {3, 203, 129},	// QAuthenticator::QAuthenticator#
    {3, 547, 142},	// QAuthenticator::detach
    {3, 652, 141},	// QAuthenticator::isNull
    {3, 726, 132},	// QAuthenticator::operator!=#
    {3, 762, 130},	// QAuthenticator::operator=#
    {3, 765, 131},	// QAuthenticator::operator==#
    {3, 793, 138},	// QAuthenticator::option$
    {3, 794, 139},	// QAuthenticator::options
    {3, 805, 135},	// QAuthenticator::password
    {3, 1037, 137},	// QAuthenticator::realm
    {3, 1177, 140},	// QAuthenticator::setOption$#
    {3, 1183, 136},	// QAuthenticator::setPassword$
    {3, 1281, 134},	// QAuthenticator::setUser$
    {3, 1345, 133},	// QAuthenticator::user
    {3, 1372, 143},	// QAuthenticator::~QAuthenticator
    {16, 3, 225},	// QFtp::Active
    {16, 12, 228},	// QFtp::Ascii
    {16, 27, 227},	// QFtp::Binary
    {16, 36, 217},	// QFtp::Cd
    {16, 43, 215},	// QFtp::Close
    {16, 44, 204},	// QFtp::Closing
    {16, 47, 213},	// QFtp::ConnectToHost
    {16, 48, 202},	// QFtp::Connected
    {16, 50, 201},	// QFtp::Connecting
    {16, 56, 208},	// QFtp::ConnectionRefused
    {16, 92, 218},	// QFtp::Get
    {16, 96, 200},	// QFtp::HostLookup
    {16, 100, 207},	// QFtp::HostNotFound
    {16, 143, 216},	// QFtp::List
    {16, 150, 203},	// QFtp::LoggedIn
    {16, 151, 214},	// QFtp::Login
    {16, 156, 221},	// QFtp::Mkdir
    {16, 160, 205},	// QFtp::NoError
    {16, 164, 210},	// QFtp::None
    {16, 168, 209},	// QFtp::NotConnected
    {16, 175, 226},	// QFtp::Passive
    {16, 196, 219},	// QFtp::Put
    {16, 204, 189},	// QFtp::QFtp
    {16, 205, 151},	// QFtp::QFtp#
    {16, 323, 224},	// QFtp::RawCommand
    {16, 332, 220},	// QFtp::Remove
    {16, 333, 223},	// QFtp::Rename
    {16, 335, 222},	// QFtp::Rmdir
    {16, 347, 212},	// QFtp::SetProxy
    {16, 348, 211},	// QFtp::SetTransferMode
    {16, 380, 199},	// QFtp::Unconnected
    {16, 388, 206},	// QFtp::UnknownError
    {16, 411, 178},	// QFtp::abort
    {16, 465, 167},	// QFtp::bytesAvailable
    {16, 476, 158},	// QFtp::cd$
    {16, 482, 174},	// QFtp::clearPendingCommands
    {16, 484, 155},	// QFtp::close
    {16, 488, 185},	// QFtp::commandFinished$$
    {16, 490, 184},	// QFtp::commandStarted$
    {16, 505, 190},	// QFtp::connectToHost$
    {16, 506, 153},	// QFtp::connectToHost$$
    {16, 527, 172},	// QFtp::currentCommand
    {16, 529, 171},	// QFtp::currentDevice
    {16, 530, 170},	// QFtp::currentId
    {16, 541, 182},	// QFtp::dataTransferProgress$$
    {16, 558, 186},	// QFtp::done$
    {16, 570, 176},	// QFtp::error
    {16, 572, 177},	// QFtp::errorString
    {16, 599, 194},	// QFtp::get$
    {16, 600, 195},	// QFtp::get$#
    {16, 601, 159},	// QFtp::get$#$
    {16, 611, 173},	// QFtp::hasPendingCommands
    {16, 676, 193},	// QFtp::list
    {16, 677, 157},	// QFtp::list$
    {16, 679, 180},	// QFtp::listInfo#
    {16, 689, 191},	// QFtp::login
    {16, 690, 192},	// QFtp::login$
    {16, 691, 154},	// QFtp::login$$
    {16, 702, 144},	// QFtp::metaObject
    {16, 707, 163},	// QFtp::mkdir$
    {16, 845, -402},	// QFtp::put#$
    {16, 846, -405},	// QFtp::put#$$
    {16, 999, 150},	// QFtp::qt_metacall$$?
    {16, 1001, 145},	// QFtp::qt_metacast$
    {16, 1015, 166},	// QFtp::rawCommand$
    {16, 1017, 183},	// QFtp::rawCommandReply$$
    {16, 1024, 168},	// QFtp::read$$
    {16, 1025, 169},	// QFtp::readAll
    {16, 1035, 181},	// QFtp::readyRead
    {16, 1042, 162},	// QFtp::remove$
    {16, 1050, 165},	// QFtp::rename$$
    {16, 1063, 164},	// QFtp::rmdir$
    {16, 1218, 152},	// QFtp::setProxy$$
    {16, 1273, 156},	// QFtp::setTransferMode$
    {16, 1303, 175},	// QFtp::state
    {16, 1305, 179},	// QFtp::stateChanged$
    {16, 1306, 198},	// QFtp::staticMetaObject
    {16, 1329, 187},	// QFtp::tr$
    {16, 1330, 146},	// QFtp::tr$$
    {16, 1331, 148},	// QFtp::tr$$$
    {16, 1333, 188},	// QFtp::trUtf8$
    {16, 1334, 147},	// QFtp::trUtf8$$
    {16, 1335, 149},	// QFtp::trUtf8$$$
    {16, 1373, 229},	// QFtp::~QFtp
    {17, 124, 675},	// QGlobalSpace::LicensedActiveQt
    {17, 125, 681},	// QGlobalSpace::LicensedCore
    {17, 126, 673},	// QGlobalSpace::LicensedDBus
    {17, 127, 678},	// QGlobalSpace::LicensedDeclarative
    {17, 128, 668},	// QGlobalSpace::LicensedGui
    {17, 129, 687},	// QGlobalSpace::LicensedHelp
    {17, 130, 688},	// QGlobalSpace::LicensedMultimedia
    {17, 131, 691},	// QGlobalSpace::LicensedNetwork
    {17, 132, 680},	// QGlobalSpace::LicensedOpenGL
    {17, 133, 672},	// QGlobalSpace::LicensedOpenVG
    {17, 134, 689},	// QGlobalSpace::LicensedQt3Support
    {17, 135, 670},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 136, 671},	// QGlobalSpace::LicensedScript
    {17, 137, 676},	// QGlobalSpace::LicensedScriptTools
    {17, 138, 679},	// QGlobalSpace::LicensedSql
    {17, 139, 677},	// QGlobalSpace::LicensedSvg
    {17, 140, 674},	// QGlobalSpace::LicensedTest
    {17, 141, 669},	// QGlobalSpace::LicensedXml
    {17, 142, 690},	// QGlobalSpace::LicensedXmlPatterns
    {17, 312, 663},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 313, 667},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 314, 666},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 315, 664},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 316, 665},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 317, 684},	// QGlobalSpace::QtCriticalMsg
    {17, 318, 682},	// QGlobalSpace::QtDebugMsg
    {17, 319, 685},	// QGlobalSpace::QtFatalMsg
    {17, 320, 686},	// QGlobalSpace::QtSystemMsg
    {17, 321, 683},	// QGlobalSpace::QtWarningMsg
    {17, 727, -23},	// QGlobalSpace::operator!=##
    {17, 728, -40},	// QGlobalSpace::operator!=#$
    {17, 730, -46},	// QGlobalSpace::operator!=$#
    {17, 731, 624},	// QGlobalSpace::operator!=$$
    {17, 733, 402},	// QGlobalSpace::operator&##
    {17, 735, -53},	// QGlobalSpace::operator*#$
    {17, 736, -58},	// QGlobalSpace::operator*$#
    {17, 738, -63},	// QGlobalSpace::operator+##
    {17, 739, -69},	// QGlobalSpace::operator+#$
    {17, 740, -74},	// QGlobalSpace::operator+$#
    {17, 741, -79},	// QGlobalSpace::operator+$$
    {17, 743, -85},	// QGlobalSpace::operator-#
    {17, 744, -88},	// QGlobalSpace::operator-##
    {17, 746, -93},	// QGlobalSpace::operator/#$
    {17, 748, -98},	// QGlobalSpace::operator<##
    {17, 749, 245},	// QGlobalSpace::operator<#$
    {17, 750, -103},	// QGlobalSpace::operator<$#
    {17, 751, 467},	// QGlobalSpace::operator<$$
    {17, 753, -106},	// QGlobalSpace::operator<<##
    {17, 754, -157},	// QGlobalSpace::operator<<#$
    {17, 755, 555},	// QGlobalSpace::operator<<#?
    {17, 757, -169},	// QGlobalSpace::operator<=##
    {17, 758, 424},	// QGlobalSpace::operator<=#$
    {17, 759, -174},	// QGlobalSpace::operator<=$#
    {17, 760, 387},	// QGlobalSpace::operator<=$$
    {17, 766, -177},	// QGlobalSpace::operator==##
    {17, 767, -195},	// QGlobalSpace::operator==#$
    {17, 769, -201},	// QGlobalSpace::operator==$#
    {17, 770, 534},	// QGlobalSpace::operator==$$
    {17, 772, -209},	// QGlobalSpace::operator>##
    {17, 773, 621},	// QGlobalSpace::operator>#$
    {17, 774, -214},	// QGlobalSpace::operator>$#
    {17, 775, 246},	// QGlobalSpace::operator>$$
    {17, 777, -217},	// QGlobalSpace::operator>=##
    {17, 778, 405},	// QGlobalSpace::operator>=#$
    {17, 779, -222},	// QGlobalSpace::operator>=$#
    {17, 780, 562},	// QGlobalSpace::operator>=$$
    {17, 782, -225},	// QGlobalSpace::operator>>##
    {17, 783, -249},	// QGlobalSpace::operator>>#$
    {17, 784, 500},	// QGlobalSpace::operator>>#?
    {17, 788, 650},	// QGlobalSpace::operator^##
    {17, 790, 316},	// QGlobalSpace::operator|##
    {17, 791, -252},	// QGlobalSpace::operator|$$
    {17, 848, 232},	// QGlobalSpace::qAcos$
    {17, 850, 504},	// QGlobalSpace::qAddPostRoutine$
    {17, 851, 236},	// QGlobalSpace::qAppName
    {17, 853, 651},	// QGlobalSpace::qAsin$
    {17, 855, 318},	// QGlobalSpace::qAtan$
    {17, 857, 291},	// QGlobalSpace::qAtan2$$
    {17, 858, 653},	// QGlobalSpace::qBadAlloc
    {17, 860, 493},	// QGlobalSpace::qCeil$
    {17, 862, 432},	// QGlobalSpace::qChecksum$$
    {17, 864, 338},	// QGlobalSpace::qCompress#
    {17, 865, 337},	// QGlobalSpace::qCompress#$
    {17, 866, 548},	// QGlobalSpace::qCompress$$
    {17, 867, 547},	// QGlobalSpace::qCompress$$$
    {17, 869, 520},	// QGlobalSpace::qCos$
    {17, 870, 441},	// QGlobalSpace::qCritical
    {17, 871, 384},	// QGlobalSpace::qDebug
    {17, 873, 458},	// QGlobalSpace::qExp$
    {17, 875, 358},	// QGlobalSpace::qFabs$
    {17, 877, 425},	// QGlobalSpace::qFastCos$
    {17, 879, 253},	// QGlobalSpace::qFastSin$
    {17, 881, 416},	// QGlobalSpace::qFlagLocation$
    {17, 883, 549},	// QGlobalSpace::qFloor$
    {17, 885, 560},	// QGlobalSpace::qFree$
    {17, 887, 641},	// QGlobalSpace::qFreeAligned$
    {17, 889, -352},	// QGlobalSpace::qFuzzyCompare$$
    {17, 891, -355},	// QGlobalSpace::qFuzzyIsNull$
    {17, 893, -358},	// QGlobalSpace::qHash#
    {17, 894, -367},	// QGlobalSpace::qHash$
    {17, 895, 511},	// QGlobalSpace::qInf
    {17, 897, 435},	// QGlobalSpace::qInstallMsgHandler$
    {17, 899, -380},	// QGlobalSpace::qIntCast$
    {17, 901, -383},	// QGlobalSpace::qIsFinite$
    {17, 903, -386},	// QGlobalSpace::qIsInf$
    {17, 905, -389},	// QGlobalSpace::qIsNaN$
    {17, 907, -392},	// QGlobalSpace::qIsNull$
    {17, 909, 647},	// QGlobalSpace::qLn$
    {17, 911, 606},	// QGlobalSpace::qMalloc$
    {17, 913, 521},	// QGlobalSpace::qMallocAligned$$
    {17, 915, 559},	// QGlobalSpace::qMemCopy$$$
    {17, 917, 490},	// QGlobalSpace::qMemSet$$$
    {17, 919, 442},	// QGlobalSpace::qPow$$
    {17, 920, 281},	// QGlobalSpace::qQNaN
    {17, 922, 366},	// QGlobalSpace::qRealloc$$
    {17, 924, 343},	// QGlobalSpace::qReallocAligned$$$$
    {17, 926, 505},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 928, 426},	// QGlobalSpace::qRemovePostRoutine$
    {17, 930, 230},	// QGlobalSpace::qRound$
    {17, 932, 598},	// QGlobalSpace::qRound64$
    {17, 933, 601},	// QGlobalSpace::qSNaN
    {17, 935, 625},	// QGlobalSpace::qSetFieldWidth$
    {17, 937, 283},	// QGlobalSpace::qSetPadChar#
    {17, 939, 568},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 940, 507},	// QGlobalSpace::qSharedBuild
    {17, 942, 577},	// QGlobalSpace::qSin$
    {17, 944, 346},	// QGlobalSpace::qSqrt$
    {17, 946, 539},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 947, 626},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 949, 597},	// QGlobalSpace::qTan$
    {17, 951, 420},	// QGlobalSpace::qUncompress#
    {17, 952, 335},	// QGlobalSpace::qUncompress$$
    {17, 953, 530},	// QGlobalSpace::qVersion
    {17, 954, 371},	// QGlobalSpace::qWarning
    {17, 956, 469},	// QGlobalSpace::qbswap_helper$$$
    {17, 958, 244},	// QGlobalSpace::qgetenv$
    {17, 960, 608},	// QGlobalSpace::qputenv$#
    {17, 961, 569},	// QGlobalSpace::qrand
    {17, 963, 478},	// QGlobalSpace::qsrand$
    {17, 965, 401},	// QGlobalSpace::qstrcmp##
    {17, 966, 300},	// QGlobalSpace::qstrcmp#$
    {17, 967, 320},	// QGlobalSpace::qstrcmp$#
    {17, 968, 304},	// QGlobalSpace::qstrcmp$$
    {17, 970, 315},	// QGlobalSpace::qstrcpy$$
    {17, 972, 301},	// QGlobalSpace::qstrdup$
    {17, 974, 488},	// QGlobalSpace::qstricmp$$
    {17, 976, 585},	// QGlobalSpace::qstrlen$
    {17, 978, 255},	// QGlobalSpace::qstrncmp$$$
    {17, 980, 239},	// QGlobalSpace::qstrncpy$$$
    {17, 982, 512},	// QGlobalSpace::qstrnicmp$$$
    {17, 984, 265},	// QGlobalSpace::qstrnlen$$
    {17, 986, 290},	// QGlobalSpace::qtTrId$
    {17, 987, 289},	// QGlobalSpace::qtTrId$$
    {17, 989, 582},	// QGlobalSpace::qt_assert$$$
    {17, 991, 524},	// QGlobalSpace::qt_assert_x$$$$
    {17, 993, 329},	// QGlobalSpace::qt_check_pointer$$
    {17, 994, 277},	// QGlobalSpace::qt_error_string
    {17, 995, 276},	// QGlobalSpace::qt_error_string$
    {17, 997, 477},	// QGlobalSpace::qt_message_output$$
    {17, 1002, 450},	// QGlobalSpace::qt_noop
    {17, 1004, 455},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1006, 274},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1011, 466},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1013, 259},	// QGlobalSpace::qvsnprintf$$$?
    {19, 7, 726},	// QHostAddress::Any
    {19, 8, 727},	// QHostAddress::AnyIPv6
    {19, 29, 723},	// QHostAddress::Broadcast
    {19, 146, 724},	// QHostAddress::LocalHost
    {19, 147, 725},	// QHostAddress::LocalHostIPv6
    {19, 170, 722},	// QHostAddress::Null
    {19, 206, 692},	// QHostAddress::QHostAddress
    {19, 207, -4},	// QHostAddress::QHostAddress#
    {19, 208, -8},	// QHostAddress::QHostAddress$
    {19, 481, 718},	// QHostAddress::clear
    {19, 649, 719},	// QHostAddress::isInSubnet#$
    {19, 650, 720},	// QHostAddress::isInSubnet?
    {19, 652, 717},	// QHostAddress::isNull
    {19, 726, 715},	// QHostAddress::operator!=#
    {19, 729, 716},	// QHostAddress::operator!=$
    {19, 762, 700},	// QHostAddress::operator=#
    {19, 763, 701},	// QHostAddress::operator=$
    {19, 765, 713},	// QHostAddress::operator==#
    {19, 768, 714},	// QHostAddress::operator==$
    {19, 804, 721},	// QHostAddress::parseSubnet$
    {19, 832, 707},	// QHostAddress::protocol
    {19, 1065, 711},	// QHostAddress::scopeId
    {19, 1079, -13},	// QHostAddress::setAddress#
    {19, 1080, -16},	// QHostAddress::setAddress$
    {19, 1241, 712},	// QHostAddress::setScopeId$
    {19, 1321, 708},	// QHostAddress::toIPv4Address
    {19, 1322, 709},	// QHostAddress::toIPv6Address
    {19, 1327, 710},	// QHostAddress::toString
    {19, 1374, 728},	// QHostAddress::~QHostAddress
    {20, 100, 749},	// QHostInfo::HostNotFound
    {20, 160, 748},	// QHostInfo::NoError
    {20, 209, 747},	// QHostInfo::QHostInfo
    {20, 210, 730},	// QHostInfo::QHostInfo#
    {20, 211, 729},	// QHostInfo::QHostInfo$
    {20, 388, 750},	// QHostInfo::UnknownError
    {20, 413, 743},	// QHostInfo::abortHostLookup$
    {20, 436, 734},	// QHostInfo::addresses
    {20, 570, 736},	// QHostInfo::error
    {20, 572, 738},	// QHostInfo::errorString
    {20, 591, 744},	// QHostInfo::fromName$
    {20, 623, 732},	// QHostInfo::hostName
    {20, 686, 746},	// QHostInfo::localDomainName
    {20, 687, 745},	// QHostInfo::localHostName
    {20, 693, 742},	// QHostInfo::lookupHost$#$
    {20, 694, 741},	// QHostInfo::lookupId
    {20, 762, 731},	// QHostInfo::operator=#
    {20, 1082, 735},	// QHostInfo::setAddresses?
    {20, 1127, 737},	// QHostInfo::setError$
    {20, 1130, 739},	// QHostInfo::setErrorString$
    {20, 1144, 733},	// QHostInfo::setHostName$
    {20, 1162, 740},	// QHostInfo::setLookupId$
    {20, 1375, 751},	// QHostInfo::~QHostInfo
    {21, 1, 837},	// QHttp::Aborted
    {21, 13, 838},	// QHttp::AuthenticationRequiredError
    {21, 44, 829},	// QHttp::Closing
    {21, 48, 828},	// QHttp::Connected
    {21, 50, 825},	// QHttp::Connecting
    {21, 54, 821},	// QHttp::ConnectionModeHttp
    {21, 55, 822},	// QHttp::ConnectionModeHttps
    {21, 56, 833},	// QHttp::ConnectionRefused
    {21, 96, 824},	// QHttp::HostLookup
    {21, 100, 832},	// QHttp::HostNotFound
    {21, 117, 835},	// QHttp::InvalidResponseHeader
    {21, 160, 830},	// QHttp::NoError
    {21, 187, 839},	// QHttp::ProxyAuthenticationRequiredError
    {21, 212, 804},	// QHttp::QHttp
    {21, 213, 759},	// QHttp::QHttp#
    {21, 214, 805},	// QHttp::QHttp$
    {21, 215, -423},	// QHttp::QHttp$$
    {21, 216, 760},	// QHttp::QHttp$$#
    {21, 217, 808},	// QHttp::QHttp$$$
    {21, 218, 761},	// QHttp::QHttp$$$#
    {21, 329, 827},	// QHttp::Reading
    {21, 341, 826},	// QHttp::Sending
    {21, 380, 823},	// QHttp::Unconnected
    {21, 384, 834},	// QHttp::UnexpectedClose
    {21, 388, 831},	// QHttp::UnknownError
    {21, 410, 836},	// QHttp::WrongContentLength
    {21, 411, 789},	// QHttp::abort
    {21, 455, 800},	// QHttp::authenticationRequired$$#
    {21, 465, 776},	// QHttp::bytesAvailable
    {21, 483, 785},	// QHttp::clearPendingRequests
    {21, 484, 775},	// QHttp::close
    {21, 485, 774},	// QHttp::closeConnection
    {21, 528, 781},	// QHttp::currentDestinationDevice
    {21, 530, 779},	// QHttp::currentId
    {21, 531, 782},	// QHttp::currentRequest
    {21, 532, 780},	// QHttp::currentSourceDevice
    {21, 537, 795},	// QHttp::dataReadProgress$$
    {21, 539, 794},	// QHttp::dataSendProgress$$
    {21, 558, 798},	// QHttp::done$
    {21, 570, 787},	// QHttp::error
    {21, 572, 788},	// QHttp::errorString
    {21, 599, 814},	// QHttp::get$
    {21, 600, 768},	// QHttp::get$#
    {21, 614, 784},	// QHttp::hasPendingRequests
    {21, 619, 771},	// QHttp::head$
    {21, 627, 790},	// QHttp::ignoreSslErrors
    {21, 672, 783},	// QHttp::lastResponse
    {21, 702, 752},	// QHttp::metaObject
    {21, 823, -426},	// QHttp::post$#
    {21, 824, -429},	// QHttp::post$##
    {21, 837, 799},	// QHttp::proxyAuthenticationRequired##
    {21, 999, 758},	// QHttp::qt_metacall$$?
    {21, 1001, 753},	// QHttp::qt_metacast$
    {21, 1024, 777},	// QHttp::read$$
    {21, 1025, 778},	// QHttp::readAll
    {21, 1036, 793},	// QHttp::readyRead#
    {21, 1052, 817},	// QHttp::request#
    {21, 1053, -432},	// QHttp::request##
    {21, 1054, -435},	// QHttp::request###
    {21, 1056, 797},	// QHttp::requestFinished$$
    {21, 1058, 796},	// QHttp::requestStarted$
    {21, 1061, 792},	// QHttp::responseHeaderReceived#
    {21, 1140, 809},	// QHttp::setHost$
    {21, 1141, -438},	// QHttp::setHost$$
    {21, 1142, 763},	// QHttp::setHost$$$
    {21, 1217, 767},	// QHttp::setProxy#
    {21, 1218, 812},	// QHttp::setProxy$$
    {21, 1219, 813},	// QHttp::setProxy$$$
    {21, 1220, 766},	// QHttp::setProxy$$$$
    {21, 1249, 764},	// QHttp::setSocket#
    {21, 1281, 811},	// QHttp::setUser$
    {21, 1282, 765},	// QHttp::setUser$$
    {21, 1300, 801},	// QHttp::sslErrors?
    {21, 1303, 786},	// QHttp::state
    {21, 1305, 791},	// QHttp::stateChanged$
    {21, 1306, 820},	// QHttp::staticMetaObject
    {21, 1329, 802},	// QHttp::tr$
    {21, 1330, 754},	// QHttp::tr$$
    {21, 1331, 756},	// QHttp::tr$$$
    {21, 1333, 803},	// QHttp::trUtf8$
    {21, 1334, 755},	// QHttp::trUtf8$$
    {21, 1335, 757},	// QHttp::trUtf8$$$
    {21, 1376, 840},	// QHttp::~QHttp
    {22, 219, 841},	// QHttpHeader::QHttpHeader
    {22, 220, 842},	// QHttpHeader::QHttpHeader#
    {22, 221, 843},	// QHttpHeader::QHttpHeader$
    {22, 434, 847},	// QHttpHeader::addValue$$
    {22, 444, 852},	// QHttpHeader::allValues$
    {22, 519, 856},	// QHttpHeader::contentLength
    {22, 520, 859},	// QHttpHeader::contentType
    {22, 607, 855},	// QHttpHeader::hasContentLength
    {22, 608, 858},	// QHttpHeader::hasContentType
    {22, 610, 849},	// QHttpHeader::hasKey$
    {22, 663, 862},	// QHttpHeader::isValid
    {22, 669, 850},	// QHttpHeader::keys
    {22, 695, 863},	// QHttpHeader::majorVersion
    {22, 705, 864},	// QHttpHeader::minorVersion
    {22, 762, 844},	// QHttpHeader::operator=#
    {22, 798, 866},	// QHttpHeader::parse$
    {22, 802, 865},	// QHttpHeader::parseLine$$
    {22, 1044, 854},	// QHttpHeader::removeAllValues$
    {22, 1048, 853},	// QHttpHeader::removeValue$
    {22, 1109, 857},	// QHttpHeader::setContentLength$
    {22, 1111, 860},	// QHttpHeader::setContentType$
    {22, 1284, 867},	// QHttpHeader::setValid$
    {22, 1287, 845},	// QHttpHeader::setValue$$
    {22, 1289, 846},	// QHttpHeader::setValues?
    {22, 1327, 861},	// QHttpHeader::toString
    {22, 1347, 851},	// QHttpHeader::value$
    {22, 1348, 848},	// QHttpHeader::values
    {22, 1377, 868},	// QHttpHeader::~QHttpHeader
    {23, 222, 869},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 223, 871},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 224, 872},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 225, 881},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 226, 882},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 227, 870},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 695, 877},	// QHttpRequestHeader::majorVersion
    {23, 703, 875},	// QHttpRequestHeader::method
    {23, 705, 878},	// QHttpRequestHeader::minorVersion
    {23, 762, 873},	// QHttpRequestHeader::operator=#
    {23, 802, 880},	// QHttpRequestHeader::parseLine$$
    {23, 806, 876},	// QHttpRequestHeader::path
    {23, 1235, 883},	// QHttpRequestHeader::setRequest$$
    {23, 1236, 884},	// QHttpRequestHeader::setRequest$$$
    {23, 1237, 874},	// QHttpRequestHeader::setRequest$$$$
    {23, 1327, 879},	// QHttpRequestHeader::toString
    {23, 1378, 885},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 228, 886},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 229, 887},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 230, -20},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 231, 899},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 232, 900},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 233, 889},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 695, 894},	// QHttpResponseHeader::majorVersion
    {24, 705, 895},	// QHttpResponseHeader::minorVersion
    {24, 762, 890},	// QHttpResponseHeader::operator=#
    {24, 802, 897},	// QHttpResponseHeader::parseLine$$
    {24, 1038, 893},	// QHttpResponseHeader::reasonPhrase
    {24, 1266, 901},	// QHttpResponseHeader::setStatusLine$
    {24, 1267, 902},	// QHttpResponseHeader::setStatusLine$$
    {24, 1268, 903},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1269, 891},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1307, 892},	// QHttpResponseHeader::statusCode
    {24, 1327, 896},	// QHttpResponseHeader::toString
    {24, 1379, 904},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 234, 928},	// QIPv6Address::QIPv6Address
    {26, 235, 929},	// QIPv6Address::QIPv6Address#
    {26, 786, -444},	// QIPv6Address::operator[]$
    {26, 1380, 930},	// QIPv6Address::~QIPv6Address
    {31, 236, 956},	// QLocalServer::QLocalServer
    {31, 237, 939},	// QLocalServer::QLocalServer#
    {31, 484, 940},	// QLocalServer::close
    {31, 572, 941},	// QLocalServer::errorString
    {31, 596, 948},	// QLocalServer::fullServerName
    {31, 612, 942},	// QLocalServer::hasPendingConnections
    {31, 631, 953},	// QLocalServer::incomingConnection?
    {31, 651, 943},	// QLocalServer::isListening
    {31, 683, 944},	// QLocalServer::listen$
    {31, 697, 945},	// QLocalServer::maxPendingConnections
    {31, 702, 931},	// QLocalServer::metaObject
    {31, 718, 938},	// QLocalServer::newConnection
    {31, 719, 946},	// QLocalServer::nextPendingConnection
    {31, 999, 937},	// QLocalServer::qt_metacall$$?
    {31, 1001, 932},	// QLocalServer::qt_metacast$
    {31, 1046, 949},	// QLocalServer::removeServer$
    {31, 1072, 950},	// QLocalServer::serverError
    {31, 1073, 947},	// QLocalServer::serverName
    {31, 1164, 951},	// QLocalServer::setMaxPendingConnections$
    {31, 1306, 959},	// QLocalServer::staticMetaObject
    {31, 1329, 954},	// QLocalServer::tr$
    {31, 1330, 933},	// QLocalServer::tr$$
    {31, 1331, 935},	// QLocalServer::tr$$$
    {31, 1333, 955},	// QLocalServer::trUtf8$
    {31, 1334, 934},	// QLocalServer::trUtf8$$
    {31, 1335, 936},	// QLocalServer::trUtf8$$$
    {31, 1358, 957},	// QLocalServer::waitForNewConnection
    {31, 1359, 958},	// QLocalServer::waitForNewConnection$
    {31, 1360, 952},	// QLocalServer::waitForNewConnection$$
    {31, 1381, 960},	// QLocalServer::~QLocalServer
    {32, 45, 1021},	// QLocalSocket::ClosingState
    {32, 49, 1020},	// QLocalSocket::ConnectedState
    {32, 51, 1019},	// QLocalSocket::ConnectingState
    {32, 53, 1015},	// QLocalSocket::ConnectionError
    {32, 57, 1008},	// QLocalSocket::ConnectionRefusedError
    {32, 71, 1014},	// QLocalSocket::DatagramTooLargeError
    {32, 177, 1009},	// QLocalSocket::PeerClosedError
    {32, 238, 999},	// QLocalSocket::QLocalSocket
    {32, 239, 968},	// QLocalSocket::QLocalSocket#
    {32, 342, 1010},	// QLocalSocket::ServerNotFoundError
    {32, 350, 1011},	// QLocalSocket::SocketAccessError
    {32, 352, 1012},	// QLocalSocket::SocketResourceError
    {32, 353, 1013},	// QLocalSocket::SocketTimeoutError
    {32, 381, 1018},	// QLocalSocket::UnconnectedState
    {32, 396, 1017},	// QLocalSocket::UnknownSocketError
    {32, 399, 1016},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 411, 973},	// QLocalSocket::abort
    {32, 465, 975},	// QLocalSocket::bytesAvailable
    {32, 467, 976},	// QLocalSocket::bytesToWrite
    {32, 473, 977},	// QLocalSocket::canReadLine
    {32, 484, 978},	// QLocalSocket::close
    {32, 516, 1000},	// QLocalSocket::connectToServer$
    {32, 517, 969},	// QLocalSocket::connectToServer$$
    {32, 518, 991},	// QLocalSocket::connected
    {32, 552, 970},	// QLocalSocket::disconnectFromServer
    {32, 555, 992},	// QLocalSocket::disconnected
    {32, 570, 979},	// QLocalSocket::error
    {32, 571, 993},	// QLocalSocket::error$
    {32, 583, 980},	// QLocalSocket::flush
    {32, 596, 972},	// QLocalSocket::fullServerName
    {32, 659, 974},	// QLocalSocket::isSequential
    {32, 663, 981},	// QLocalSocket::isValid
    {32, 702, 961},	// QLocalSocket::metaObject
    {32, 999, 967},	// QLocalSocket::qt_metacall$$?
    {32, 1001, 962},	// QLocalSocket::qt_metacast$
    {32, 1026, 982},	// QLocalSocket::readBufferSize
    {32, 1028, 995},	// QLocalSocket::readData$$
    {32, 1073, 971},	// QLocalSocket::serverName
    {32, 1230, 983},	// QLocalSocket::setReadBufferSize$
    {32, 1254, 1001},	// QLocalSocket::setSocketDescriptor?
    {32, 1255, 1002},	// QLocalSocket::setSocketDescriptor?$
    {32, 1256, 984},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1293, 985},	// QLocalSocket::socketDescriptor
    {32, 1303, 986},	// QLocalSocket::state
    {32, 1305, 994},	// QLocalSocket::stateChanged$
    {32, 1306, 1007},	// QLocalSocket::staticMetaObject
    {32, 1329, 997},	// QLocalSocket::tr$
    {32, 1330, 963},	// QLocalSocket::tr$$
    {32, 1331, 965},	// QLocalSocket::tr$$$
    {32, 1333, 998},	// QLocalSocket::trUtf8$
    {32, 1334, 964},	// QLocalSocket::trUtf8$$
    {32, 1335, 966},	// QLocalSocket::trUtf8$$$
    {32, 1350, 1003},	// QLocalSocket::waitForBytesWritten
    {32, 1351, 987},	// QLocalSocket::waitForBytesWritten$
    {32, 1352, 1004},	// QLocalSocket::waitForConnected
    {32, 1353, 988},	// QLocalSocket::waitForConnected$
    {32, 1354, 1005},	// QLocalSocket::waitForDisconnected
    {32, 1355, 989},	// QLocalSocket::waitForDisconnected$
    {32, 1363, 1006},	// QLocalSocket::waitForReadyRead
    {32, 1364, 990},	// QLocalSocket::waitForReadyRead$
    {32, 1366, 996},	// QLocalSocket::writeData$$
    {32, 1382, 1022},	// QLocalSocket::~QLocalSocket
    {37, 2, 1074},	// QNetworkAccessManager::Accessible
    {37, 68, 1070},	// QNetworkAccessManager::CustomOperation
    {37, 75, 1069},	// QNetworkAccessManager::DeleteOperation
    {37, 93, 1066},	// QNetworkAccessManager::GetOperation
    {37, 94, 1065},	// QNetworkAccessManager::HeadOperation
    {37, 166, 1073},	// QNetworkAccessManager::NotAccessible
    {37, 179, 1068},	// QNetworkAccessManager::PostOperation
    {37, 197, 1067},	// QNetworkAccessManager::PutOperation
    {37, 240, 1061},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 241, 1030},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 386, 1072},	// QNetworkAccessManager::UnknownAccessibility
    {37, 391, 1071},	// QNetworkAccessManager::UnknownOperation
    {37, 415, 1049},	// QNetworkAccessManager::activeConfiguration
    {37, 454, 1053},	// QNetworkAccessManager::authenticationRequired##
    {37, 470, 1035},	// QNetworkAccessManager::cache
    {37, 491, 1048},	// QNetworkAccessManager::configuration
    {37, 521, 1037},	// QNetworkAccessManager::cookieJar
    {37, 525, 1063},	// QNetworkAccessManager::createRequest$#
    {37, 526, 1058},	// QNetworkAccessManager::createRequest$##
    {37, 546, 1045},	// QNetworkAccessManager::deleteResource#
    {37, 581, 1054},	// QNetworkAccessManager::finished#
    {37, 598, 1040},	// QNetworkAccessManager::get#
    {37, 618, 1039},	// QNetworkAccessManager::head#
    {37, 702, 1023},	// QNetworkAccessManager::metaObject
    {37, 713, 1051},	// QNetworkAccessManager::networkAccessible
    {37, 715, 1057},	// QNetworkAccessManager::networkAccessibleChanged$
    {37, 716, 1056},	// QNetworkAccessManager::networkSessionConnected
    {37, 822, -417},	// QNetworkAccessManager::post##
    {37, 835, 1031},	// QNetworkAccessManager::proxy
    {37, 837, 1052},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 838, 1033},	// QNetworkAccessManager::proxyFactory
    {37, 844, -420},	// QNetworkAccessManager::put##
    {37, 999, 1029},	// QNetworkAccessManager::qt_metacall$$?
    {37, 1001, 1024},	// QNetworkAccessManager::qt_metacast$
    {37, 1068, 1062},	// QNetworkAccessManager::sendCustomRequest##
    {37, 1069, 1046},	// QNetworkAccessManager::sendCustomRequest###
    {37, 1098, 1036},	// QNetworkAccessManager::setCache#
    {37, 1107, 1047},	// QNetworkAccessManager::setConfiguration#
    {37, 1113, 1038},	// QNetworkAccessManager::setCookieJar#
    {37, 1173, 1050},	// QNetworkAccessManager::setNetworkAccessible$
    {37, 1217, 1032},	// QNetworkAccessManager::setProxy#
    {37, 1222, 1034},	// QNetworkAccessManager::setProxyFactory#
    {37, 1299, 1055},	// QNetworkAccessManager::sslErrors#?
    {37, 1306, 1064},	// QNetworkAccessManager::staticMetaObject
    {37, 1329, 1059},	// QNetworkAccessManager::tr$
    {37, 1330, 1025},	// QNetworkAccessManager::tr$$
    {37, 1331, 1027},	// QNetworkAccessManager::tr$$$
    {37, 1333, 1060},	// QNetworkAccessManager::trUtf8$
    {37, 1334, 1026},	// QNetworkAccessManager::trUtf8$$
    {37, 1335, 1028},	// QNetworkAccessManager::trUtf8$$$
    {37, 1383, 1075},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 242, 1076},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 243, 1077},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 464, 1087},	// QNetworkAddressEntry::broadcast
    {38, 640, 1081},	// QNetworkAddressEntry::ip
    {38, 712, 1083},	// QNetworkAddressEntry::netmask
    {38, 726, 1080},	// QNetworkAddressEntry::operator!=#
    {38, 762, 1078},	// QNetworkAddressEntry::operator=#
    {38, 765, 1079},	// QNetworkAddressEntry::operator==#
    {38, 827, 1085},	// QNetworkAddressEntry::prefixLength
    {38, 1094, 1088},	// QNetworkAddressEntry::setBroadcast#
    {38, 1148, 1082},	// QNetworkAddressEntry::setIp#
    {38, 1171, 1084},	// QNetworkAddressEntry::setNetmask#
    {38, 1203, 1086},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1384, 1089},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 244, 1090},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 245, 1091},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 451, 1106},	// QNetworkCacheMetaData::attributes
    {39, 575, 1102},	// QNetworkCacheMetaData::expirationDate
    {39, 663, 1095},	// QNetworkCacheMetaData::isValid
    {39, 670, 1100},	// QNetworkCacheMetaData::lastModified
    {39, 726, 1094},	// QNetworkCacheMetaData::operator!=#
    {39, 762, 1092},	// QNetworkCacheMetaData::operator=#
    {39, 765, 1093},	// QNetworkCacheMetaData::operator==#
    {39, 1022, 1098},	// QNetworkCacheMetaData::rawHeaders
    {39, 1064, 1104},	// QNetworkCacheMetaData::saveToDisk
    {39, 1092, 1107},	// QNetworkCacheMetaData::setAttributes?
    {39, 1132, 1103},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1150, 1101},	// QNetworkCacheMetaData::setLastModified#
    {39, 1228, 1099},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1239, 1105},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1277, 1097},	// QNetworkCacheMetaData::setUrl#
    {39, 1343, 1096},	// QNetworkCacheMetaData::url
    {39, 1385, 1108},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 3, 1136},	// QNetworkConfiguration::Active
    {40, 18, 1140},	// QNetworkConfiguration::Bearer2G
    {40, 19, 1144},	// QNetworkConfiguration::BearerBluetooth
    {40, 20, 1141},	// QNetworkConfiguration::BearerCDMA2000
    {40, 21, 1138},	// QNetworkConfiguration::BearerEthernet
    {40, 22, 1143},	// QNetworkConfiguration::BearerHSPA
    {40, 23, 1137},	// QNetworkConfiguration::BearerUnknown
    {40, 24, 1142},	// QNetworkConfiguration::BearerWCDMA
    {40, 25, 1139},	// QNetworkConfiguration::BearerWLAN
    {40, 26, 1145},	// QNetworkConfiguration::BearerWiMAX
    {40, 74, 1134},	// QNetworkConfiguration::Defined
    {40, 79, 1135},	// QNetworkConfiguration::Discovered
    {40, 110, 1125},	// QNetworkConfiguration::InternetAccessPoint
    {40, 111, 1128},	// QNetworkConfiguration::Invalid
    {40, 183, 1131},	// QNetworkConfiguration::PrivatePurpose
    {40, 195, 1130},	// QNetworkConfiguration::PublicPurpose
    {40, 246, 1109},	// QNetworkConfiguration::QNetworkConfiguration
    {40, 247, 1110},	// QNetworkConfiguration::QNetworkConfiguration#
    {40, 343, 1126},	// QNetworkConfiguration::ServiceNetwork
    {40, 344, 1132},	// QNetworkConfiguration::ServiceSpecificPurpose
    {40, 382, 1133},	// QNetworkConfiguration::Undefined
    {40, 394, 1129},	// QNetworkConfiguration::UnknownPurpose
    {40, 402, 1127},	// QNetworkConfiguration::UserChoice
    {40, 456, 1117},	// QNetworkConfiguration::bearerName
    {40, 457, 1118},	// QNetworkConfiguration::bearerType
    {40, 458, 1119},	// QNetworkConfiguration::bearerTypeName
    {40, 479, 1122},	// QNetworkConfiguration::children
    {40, 625, 1120},	// QNetworkConfiguration::identifier
    {40, 656, 1121},	// QNetworkConfiguration::isRoamingAvailable
    {40, 663, 1124},	// QNetworkConfiguration::isValid
    {40, 711, 1123},	// QNetworkConfiguration::name
    {40, 726, 1113},	// QNetworkConfiguration::operator!=#
    {40, 762, 1111},	// QNetworkConfiguration::operator=#
    {40, 765, 1112},	// QNetworkConfiguration::operator==#
    {40, 842, 1116},	// QNetworkConfiguration::purpose
    {40, 1303, 1114},	// QNetworkConfiguration::state
    {40, 1336, 1115},	// QNetworkConfiguration::type
    {40, 1386, 1146},	// QNetworkConfiguration::~QNetworkConfiguration
    {41, 11, 1174},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {41, 35, 1171},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {41, 70, 1176},	// QNetworkConfigurationManager::DataStatistics
    {41, 77, 1172},	// QNetworkConfigurationManager::DirectConnectionRouting
    {41, 89, 1175},	// QNetworkConfigurationManager::ForcedRoaming
    {41, 159, 1177},	// QNetworkConfigurationManager::NetworkSessionRequired
    {41, 248, 1168},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {41, 249, 1154},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {41, 363, 1173},	// QNetworkConfigurationManager::SystemSessionSupport
    {41, 439, 1169},	// QNetworkConfigurationManager::allConfigurations
    {41, 440, 1157},	// QNetworkConfigurationManager::allConfigurations$
    {41, 474, 1155},	// QNetworkConfigurationManager::capabilities
    {41, 493, 1161},	// QNetworkConfigurationManager::configurationAdded#
    {41, 495, 1163},	// QNetworkConfigurationManager::configurationChanged#
    {41, 497, 1158},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {41, 499, 1162},	// QNetworkConfigurationManager::configurationRemoved#
    {41, 544, 1156},	// QNetworkConfigurationManager::defaultConfiguration
    {41, 653, 1160},	// QNetworkConfigurationManager::isOnline
    {41, 702, 1147},	// QNetworkConfigurationManager::metaObject
    {41, 721, 1164},	// QNetworkConfigurationManager::onlineStateChanged$
    {41, 999, 1153},	// QNetworkConfigurationManager::qt_metacall$$?
    {41, 1001, 1148},	// QNetworkConfigurationManager::qt_metacast$
    {41, 1306, 1170},	// QNetworkConfigurationManager::staticMetaObject
    {41, 1329, 1166},	// QNetworkConfigurationManager::tr$
    {41, 1330, 1149},	// QNetworkConfigurationManager::tr$$
    {41, 1331, 1151},	// QNetworkConfigurationManager::tr$$$
    {41, 1333, 1167},	// QNetworkConfigurationManager::trUtf8$
    {41, 1334, 1150},	// QNetworkConfigurationManager::trUtf8$$
    {41, 1335, 1152},	// QNetworkConfigurationManager::trUtf8$$$
    {41, 1337, 1165},	// QNetworkConfigurationManager::updateCompleted
    {41, 1338, 1159},	// QNetworkConfigurationManager::updateConfigurations
    {41, 1387, 1178},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {42, 91, 1205},	// QNetworkCookie::Full
    {42, 157, 1204},	// QNetworkCookie::NameAndValueOnly
    {42, 250, 1201},	// QNetworkCookie::QNetworkCookie
    {42, 251, -441},	// QNetworkCookie::QNetworkCookie#
    {42, 252, 1179},	// QNetworkCookie::QNetworkCookie##
    {42, 556, 1191},	// QNetworkCookie::domain
    {42, 575, 1189},	// QNetworkCookie::expirationDate
    {42, 647, 1186},	// QNetworkCookie::isHttpOnly
    {42, 658, 1184},	// QNetworkCookie::isSecure
    {42, 660, 1188},	// QNetworkCookie::isSessionCookie
    {42, 711, 1195},	// QNetworkCookie::name
    {42, 726, 1183},	// QNetworkCookie::operator!=#
    {42, 762, 1181},	// QNetworkCookie::operator=#
    {42, 765, 1182},	// QNetworkCookie::operator==#
    {42, 800, 1200},	// QNetworkCookie::parseCookies#
    {42, 806, 1193},	// QNetworkCookie::path
    {42, 1125, 1192},	// QNetworkCookie::setDomain$
    {42, 1132, 1190},	// QNetworkCookie::setExpirationDate#
    {42, 1146, 1187},	// QNetworkCookie::setHttpOnly$
    {42, 1168, 1196},	// QNetworkCookie::setName#
    {42, 1185, 1194},	// QNetworkCookie::setPath$
    {42, 1243, 1185},	// QNetworkCookie::setSecure$
    {42, 1286, 1198},	// QNetworkCookie::setValue#
    {42, 1325, 1203},	// QNetworkCookie::toRawForm
    {42, 1326, 1199},	// QNetworkCookie::toRawForm$
    {42, 1346, 1197},	// QNetworkCookie::value
    {42, 1388, 1206},	// QNetworkCookie::~QNetworkCookie
    {43, 253, 1221},	// QNetworkCookieJar::QNetworkCookieJar
    {43, 254, 1214},	// QNetworkCookieJar::QNetworkCookieJar#
    {43, 441, 1217},	// QNetworkCookieJar::allCookies
    {43, 523, 1215},	// QNetworkCookieJar::cookiesForUrl#
    {43, 702, 1207},	// QNetworkCookieJar::metaObject
    {43, 999, 1213},	// QNetworkCookieJar::qt_metacall$$?
    {43, 1001, 1208},	// QNetworkCookieJar::qt_metacast$
    {43, 1084, 1218},	// QNetworkCookieJar::setAllCookies?
    {43, 1115, 1216},	// QNetworkCookieJar::setCookiesFromUrl?#
    {43, 1306, 1222},	// QNetworkCookieJar::staticMetaObject
    {43, 1329, 1219},	// QNetworkCookieJar::tr$
    {43, 1330, 1209},	// QNetworkCookieJar::tr$$
    {43, 1331, 1211},	// QNetworkCookieJar::tr$$$
    {43, 1333, 1220},	// QNetworkCookieJar::trUtf8$
    {43, 1334, 1210},	// QNetworkCookieJar::trUtf8$$
    {43, 1335, 1212},	// QNetworkCookieJar::trUtf8$$$
    {43, 1389, 1223},	// QNetworkCookieJar::~QNetworkCookieJar
    {44, 255, 1248},	// QNetworkDiskCache::QNetworkDiskCache
    {44, 256, 1231},	// QNetworkDiskCache::QNetworkDiskCache#
    {44, 471, 1232},	// QNetworkDiskCache::cacheDirectory
    {44, 472, 1236},	// QNetworkDiskCache::cacheSize
    {44, 481, 1244},	// QNetworkDiskCache::clear
    {44, 535, 1239},	// QNetworkDiskCache::data#
    {44, 576, 1245},	// QNetworkDiskCache::expire
    {44, 579, 1243},	// QNetworkDiskCache::fileMetaData$
    {44, 634, 1242},	// QNetworkDiskCache::insert#
    {44, 698, 1234},	// QNetworkDiskCache::maximumCacheSize
    {44, 700, 1237},	// QNetworkDiskCache::metaData#
    {44, 702, 1224},	// QNetworkDiskCache::metaObject
    {44, 829, 1241},	// QNetworkDiskCache::prepare#
    {44, 999, 1230},	// QNetworkDiskCache::qt_metacall$$?
    {44, 1001, 1225},	// QNetworkDiskCache::qt_metacast$
    {44, 1041, 1240},	// QNetworkDiskCache::remove#
    {44, 1100, 1233},	// QNetworkDiskCache::setCacheDirectory$
    {44, 1166, 1235},	// QNetworkDiskCache::setMaximumCacheSize$
    {44, 1306, 1249},	// QNetworkDiskCache::staticMetaObject
    {44, 1329, 1246},	// QNetworkDiskCache::tr$
    {44, 1330, 1226},	// QNetworkDiskCache::tr$$
    {44, 1331, 1228},	// QNetworkDiskCache::tr$$$
    {44, 1333, 1247},	// QNetworkDiskCache::trUtf8$
    {44, 1334, 1227},	// QNetworkDiskCache::trUtf8$$
    {44, 1335, 1229},	// QNetworkDiskCache::trUtf8$$$
    {44, 1340, 1238},	// QNetworkDiskCache::updateMetaData#
    {44, 1390, 1250},	// QNetworkDiskCache::~QNetworkDiskCache
    {45, 33, 1267},	// QNetworkInterface::CanBroadcast
    {45, 34, 1270},	// QNetworkInterface::CanMulticast
    {45, 118, 1268},	// QNetworkInterface::IsLoopBack
    {45, 119, 1269},	// QNetworkInterface::IsPointToPoint
    {45, 120, 1266},	// QNetworkInterface::IsRunning
    {45, 121, 1265},	// QNetworkInterface::IsUp
    {45, 257, 1251},	// QNetworkInterface::QNetworkInterface
    {45, 258, 1252},	// QNetworkInterface::QNetworkInterface#
    {45, 435, 1260},	// QNetworkInterface::addressEntries
    {45, 438, 1264},	// QNetworkInterface::allAddresses
    {45, 442, 1263},	// QNetworkInterface::allInterfaces
    {45, 582, 1258},	// QNetworkInterface::flags
    {45, 606, 1259},	// QNetworkInterface::hardwareAddress
    {45, 624, 1257},	// QNetworkInterface::humanReadableName
    {45, 632, 1255},	// QNetworkInterface::index
    {45, 637, 1262},	// QNetworkInterface::interfaceFromIndex$
    {45, 639, 1261},	// QNetworkInterface::interfaceFromName$
    {45, 663, 1254},	// QNetworkInterface::isValid
    {45, 711, 1256},	// QNetworkInterface::name
    {45, 762, 1253},	// QNetworkInterface::operator=#
    {45, 1391, 1271},	// QNetworkInterface::~QNetworkInterface
    {46, 32, 1307},	// QNetworkProxy::CachingCapability
    {46, 73, 1298},	// QNetworkProxy::DefaultProxy
    {46, 90, 1303},	// QNetworkProxy::FtpCachingProxy
    {46, 98, 1308},	// QNetworkProxy::HostNameLookupCapability
    {46, 102, 1302},	// QNetworkProxy::HttpCachingProxy
    {46, 105, 1301},	// QNetworkProxy::HttpProxy
    {46, 144, 1305},	// QNetworkProxy::ListeningCapability
    {46, 162, 1300},	// QNetworkProxy::NoProxy
    {46, 259, 1272},	// QNetworkProxy::QNetworkProxy
    {46, 260, 1274},	// QNetworkProxy::QNetworkProxy#
    {46, 261, 1294},	// QNetworkProxy::QNetworkProxy$
    {46, 262, 1295},	// QNetworkProxy::QNetworkProxy$$
    {46, 263, 1296},	// QNetworkProxy::QNetworkProxy$$$
    {46, 264, 1297},	// QNetworkProxy::QNetworkProxy$$$$
    {46, 265, 1273},	// QNetworkProxy::QNetworkProxy$$$$$
    {46, 354, 1299},	// QNetworkProxy::Socks5Proxy
    {46, 371, 1304},	// QNetworkProxy::TunnelingCapability
    {46, 373, 1306},	// QNetworkProxy::UdpTunnelingCapability
    {46, 446, 1293},	// QNetworkProxy::applicationProxy
    {46, 474, 1281},	// QNetworkProxy::capabilities
    {46, 623, 1289},	// QNetworkProxy::hostName
    {46, 641, 1282},	// QNetworkProxy::isCachingProxy
    {46, 662, 1283},	// QNetworkProxy::isTransparentProxy
    {46, 726, 1277},	// QNetworkProxy::operator!=#
    {46, 762, 1275},	// QNetworkProxy::operator=#
    {46, 765, 1276},	// QNetworkProxy::operator==#
    {46, 805, 1287},	// QNetworkProxy::password
    {46, 819, 1291},	// QNetworkProxy::port
    {46, 1086, 1292},	// QNetworkProxy::setApplicationProxy#
    {46, 1102, 1280},	// QNetworkProxy::setCapabilities$
    {46, 1144, 1288},	// QNetworkProxy::setHostName$
    {46, 1183, 1286},	// QNetworkProxy::setPassword$
    {46, 1201, 1290},	// QNetworkProxy::setPort$
    {46, 1275, 1278},	// QNetworkProxy::setType$
    {46, 1281, 1284},	// QNetworkProxy::setUser$
    {46, 1336, 1279},	// QNetworkProxy::type
    {46, 1345, 1285},	// QNetworkProxy::user
    {46, 1392, 1309},	// QNetworkProxy::~QNetworkProxy
    {47, 266, 1310},	// QNetworkProxyFactory::QNetworkProxyFactory
    {47, 267, 1316},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {47, 840, 1314},	// QNetworkProxyFactory::proxyForQuery#
    {47, 1007, 1317},	// QNetworkProxyFactory::queryProxy
    {47, 1008, 1311},	// QNetworkProxyFactory::queryProxy#
    {47, 1088, 1313},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {47, 1279, 1312},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {47, 1316, 1318},	// QNetworkProxyFactory::systemProxyForQuery
    {47, 1317, 1315},	// QNetworkProxyFactory::systemProxyForQuery#
    {47, 1393, 1319},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {48, 268, 1320},	// QNetworkProxyQuery::QNetworkProxyQuery
    {48, 269, -408},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {48, 270, 1321},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {48, 271, 1343},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {48, 272, -411},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {48, 273, -414},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {48, 274, 1322},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {48, 364, 1347},	// QNetworkProxyQuery::TcpServer
    {48, 365, 1345},	// QNetworkProxyQuery::TcpSocket
    {48, 372, 1346},	// QNetworkProxyQuery::UdpSocket
    {48, 400, 1348},	// QNetworkProxyQuery::UrlRequest
    {48, 688, 1334},	// QNetworkProxyQuery::localPort
    {48, 726, 1327},	// QNetworkProxyQuery::operator!=#
    {48, 762, 1325},	// QNetworkProxyQuery::operator=#
    {48, 765, 1326},	// QNetworkProxyQuery::operator==#
    {48, 810, 1332},	// QNetworkProxyQuery::peerHostName
    {48, 812, 1330},	// QNetworkProxyQuery::peerPort
    {48, 834, 1336},	// QNetworkProxyQuery::protocolTag
    {48, 1009, 1328},	// QNetworkProxyQuery::queryType
    {48, 1160, 1335},	// QNetworkProxyQuery::setLocalPort$
    {48, 1189, 1333},	// QNetworkProxyQuery::setPeerHostName$
    {48, 1193, 1331},	// QNetworkProxyQuery::setPeerPort$
    {48, 1215, 1337},	// QNetworkProxyQuery::setProtocolTag$
    {48, 1224, 1329},	// QNetworkProxyQuery::setQueryType$
    {48, 1277, 1339},	// QNetworkProxyQuery::setUrl#
    {48, 1343, 1338},	// QNetworkProxyQuery::url
    {48, 1394, 1349},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {49, 13, 1416},	// QNetworkReply::AuthenticationRequiredError
    {49, 57, 1399},	// QNetworkReply::ConnectionRefusedError
    {49, 58, 1413},	// QNetworkReply::ContentAccessDenied
    {49, 60, 1415},	// QNetworkReply::ContentNotFoundError
    {49, 61, 1414},	// QNetworkReply::ContentOperationNotPermittedError
    {49, 62, 1417},	// QNetworkReply::ContentReSendError
    {49, 101, 1401},	// QNetworkReply::HostNotFoundError
    {49, 160, 1398},	// QNetworkReply::NoError
    {49, 171, 1403},	// QNetworkReply::OperationCanceledError
    {49, 184, 1421},	// QNetworkReply::ProtocolFailure
    {49, 185, 1420},	// QNetworkReply::ProtocolInvalidOperationError
    {49, 186, 1419},	// QNetworkReply::ProtocolUnknownError
    {49, 187, 1411},	// QNetworkReply::ProxyAuthenticationRequiredError
    {49, 188, 1408},	// QNetworkReply::ProxyConnectionClosedError
    {49, 189, 1407},	// QNetworkReply::ProxyConnectionRefusedError
    {49, 191, 1409},	// QNetworkReply::ProxyNotFoundError
    {49, 193, 1410},	// QNetworkReply::ProxyTimeoutError
    {49, 275, 1396},	// QNetworkReply::QNetworkReply
    {49, 276, 1385},	// QNetworkReply::QNetworkReply#
    {49, 331, 1400},	// QNetworkReply::RemoteHostClosedError
    {49, 357, 1404},	// QNetworkReply::SslHandshakeFailedError
    {49, 366, 1405},	// QNetworkReply::TemporaryNetworkFailureError
    {49, 368, 1402},	// QNetworkReply::TimeoutError
    {49, 387, 1418},	// QNetworkReply::UnknownContentError
    {49, 389, 1406},	// QNetworkReply::UnknownNetworkError
    {49, 393, 1412},	// QNetworkReply::UnknownProxyError
    {49, 411, 1357},	// QNetworkReply::abort
    {49, 449, 1374},	// QNetworkReply::attribute$
    {49, 484, 1358},	// QNetworkReply::close
    {49, 560, 1384},	// QNetworkReply::downloadProgress$$
    {49, 570, 1365},	// QNetworkReply::error
    {49, 571, 1381},	// QNetworkReply::error$
    {49, 580, 1380},	// QNetworkReply::finished
    {49, 616, 1370},	// QNetworkReply::hasRawHeader#
    {49, 621, 1369},	// QNetworkReply::header$
    {49, 627, 1378},	// QNetworkReply::ignoreSslErrors
    {49, 628, 1377},	// QNetworkReply::ignoreSslErrors?
    {49, 646, 1366},	// QNetworkReply::isFinished
    {49, 657, 1367},	// QNetworkReply::isRunning
    {49, 659, 1359},	// QNetworkReply::isSequential
    {49, 696, 1362},	// QNetworkReply::manager
    {49, 701, 1379},	// QNetworkReply::metaDataChanged
    {49, 702, 1350},	// QNetworkReply::metaObject
    {49, 724, 1363},	// QNetworkReply::operation
    {49, 999, 1356},	// QNetworkReply::qt_metacall$$?
    {49, 1001, 1351},	// QNetworkReply::qt_metacast$
    {49, 1019, 1372},	// QNetworkReply::rawHeader#
    {49, 1020, 1371},	// QNetworkReply::rawHeaderList
    {49, 1021, 1373},	// QNetworkReply::rawHeaderPairs
    {49, 1026, 1360},	// QNetworkReply::readBufferSize
    {49, 1051, 1364},	// QNetworkReply::request
    {49, 1090, 1393},	// QNetworkReply::setAttribute$#
    {49, 1128, 1389},	// QNetworkReply::setError$$
    {49, 1138, 1391},	// QNetworkReply::setHeader$#
    {49, 1175, 1387},	// QNetworkReply::setOperation$
    {49, 1226, 1392},	// QNetworkReply::setRawHeader##
    {49, 1230, 1361},	// QNetworkReply::setReadBufferSize$
    {49, 1234, 1388},	// QNetworkReply::setRequest#
    {49, 1264, 1376},	// QNetworkReply::setSslConfiguration#
    {49, 1277, 1390},	// QNetworkReply::setUrl#
    {49, 1297, 1375},	// QNetworkReply::sslConfiguration
    {49, 1300, 1382},	// QNetworkReply::sslErrors?
    {49, 1306, 1397},	// QNetworkReply::staticMetaObject
    {49, 1329, 1394},	// QNetworkReply::tr$
    {49, 1330, 1352},	// QNetworkReply::tr$$
    {49, 1331, 1354},	// QNetworkReply::tr$$$
    {49, 1333, 1395},	// QNetworkReply::trUtf8$
    {49, 1334, 1353},	// QNetworkReply::trUtf8$$
    {49, 1335, 1355},	// QNetworkReply::trUtf8$$$
    {49, 1342, 1383},	// QNetworkReply::uploadProgress$$
    {49, 1343, 1368},	// QNetworkReply::url
    {49, 1366, 1386},	// QNetworkReply::writeData$$
    {49, 1395, 1422},	// QNetworkReply::~QNetworkReply
    {50, 5, 1473},	// QNetworkRequest::AlwaysCache
    {50, 6, 1470},	// QNetworkRequest::AlwaysNetwork
    {50, 14, 1464},	// QNetworkRequest::AuthenticationReuseAttribute
    {50, 17, 1474},	// QNetworkRequest::Automatic
    {50, 30, 1456},	// QNetworkRequest::CacheLoadControlAttribute
    {50, 31, 1457},	// QNetworkRequest::CacheSaveControlAttribute
    {50, 52, 1455},	// QNetworkRequest::ConnectionEncryptedAttribute
    {50, 59, 1447},	// QNetworkRequest::ContentLengthHeader
    {50, 63, 1446},	// QNetworkRequest::ContentTypeHeader
    {50, 64, 1450},	// QNetworkRequest::CookieHeader
    {50, 65, 1463},	// QNetworkRequest::CookieLoadControlAttribute
    {50, 66, 1465},	// QNetworkRequest::CookieSaveControlAttribute
    {50, 69, 1462},	// QNetworkRequest::CustomVerbAttribute
    {50, 81, 1459},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {50, 83, 1467},	// QNetworkRequest::DownloadBufferAttribute
    {50, 95, 1476},	// QNetworkRequest::HighPriority
    {50, 103, 1460},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {50, 104, 1461},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {50, 106, 1453},	// QNetworkRequest::HttpReasonPhraseAttribute
    {50, 107, 1452},	// QNetworkRequest::HttpStatusCodeAttribute
    {50, 123, 1449},	// QNetworkRequest::LastModifiedHeader
    {50, 149, 1448},	// QNetworkRequest::LocationHeader
    {50, 153, 1478},	// QNetworkRequest::LowPriority
    {50, 154, 1475},	// QNetworkRequest::Manual
    {50, 155, 1466},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {50, 165, 1477},	// QNetworkRequest::NormalPriority
    {50, 180, 1472},	// QNetworkRequest::PreferCache
    {50, 181, 1471},	// QNetworkRequest::PreferNetwork
    {50, 277, 1444},	// QNetworkRequest::QNetworkRequest
    {50, 278, -447},	// QNetworkRequest::QNetworkRequest#
    {50, 330, 1454},	// QNetworkRequest::RedirectionTargetAttribute
    {50, 346, 1451},	// QNetworkRequest::SetCookieHeader
    {50, 355, 1458},	// QNetworkRequest::SourceIsFromCacheAttribute
    {50, 401, 1468},	// QNetworkRequest::User
    {50, 403, 1469},	// QNetworkRequest::UserMax
    {50, 449, 1445},	// QNetworkRequest::attribute$
    {50, 450, 1436},	// QNetworkRequest::attribute$#
    {50, 616, 1432},	// QNetworkRequest::hasRawHeader#
    {50, 621, 1430},	// QNetworkRequest::header$
    {50, 726, 1427},	// QNetworkRequest::operator!=#
    {50, 762, 1425},	// QNetworkRequest::operator=#
    {50, 765, 1426},	// QNetworkRequest::operator==#
    {50, 795, 1441},	// QNetworkRequest::originatingObject
    {50, 830, 1442},	// QNetworkRequest::priority
    {50, 1019, 1434},	// QNetworkRequest::rawHeader#
    {50, 1020, 1433},	// QNetworkRequest::rawHeaderList
    {50, 1090, 1437},	// QNetworkRequest::setAttribute$#
    {50, 1138, 1431},	// QNetworkRequest::setHeader$#
    {50, 1179, 1440},	// QNetworkRequest::setOriginatingObject#
    {50, 1205, 1443},	// QNetworkRequest::setPriority$
    {50, 1226, 1435},	// QNetworkRequest::setRawHeader##
    {50, 1264, 1439},	// QNetworkRequest::setSslConfiguration#
    {50, 1277, 1429},	// QNetworkRequest::setUrl#
    {50, 1297, 1438},	// QNetworkRequest::sslConfiguration
    {50, 1343, 1428},	// QNetworkRequest::url
    {50, 1396, 1479},	// QNetworkRequest::~QNetworkRequest
    {51, 44, 1524},	// QNetworkSession::Closing
    {51, 48, 1523},	// QNetworkSession::Connected
    {51, 50, 1522},	// QNetworkSession::Connecting
    {51, 78, 1525},	// QNetworkSession::Disconnected
    {51, 111, 1520},	// QNetworkSession::Invalid
    {51, 113, 1531},	// QNetworkSession::InvalidConfigurationError
    {51, 167, 1521},	// QNetworkSession::NotAvailable
    {51, 172, 1530},	// QNetworkSession::OperationNotSupportedError
    {51, 280, 1517},	// QNetworkSession::QNetworkSession#
    {51, 281, 1487},	// QNetworkSession::QNetworkSession##
    {51, 336, 1526},	// QNetworkSession::Roaming
    {51, 337, 1529},	// QNetworkSession::RoamingError
    {51, 345, 1528},	// QNetworkSession::SessionAbortedError
    {51, 395, 1527},	// QNetworkSession::UnknownSessionError
    {51, 414, 1505},	// QNetworkSession::accept
    {51, 416, 1498},	// QNetworkSession::activeTime
    {51, 466, 1497},	// QNetworkSession::bytesReceived
    {51, 468, 1496},	// QNetworkSession::bytesWritten
    {51, 484, 1501},	// QNetworkSession::close
    {51, 486, 1509},	// QNetworkSession::closed
    {51, 491, 1489},	// QNetworkSession::configuration
    {51, 501, 1513},	// QNetworkSession::connectNotify$
    {51, 554, 1514},	// QNetworkSession::disconnectNotify$
    {51, 570, 1492},	// QNetworkSession::error
    {51, 571, 1510},	// QNetworkSession::error$
    {51, 572, 1493},	// QNetworkSession::errorString
    {51, 626, 1504},	// QNetworkSession::ignore
    {51, 635, 1490},	// QNetworkSession::interface
    {51, 654, 1488},	// QNetworkSession::isOpen
    {51, 702, 1480},	// QNetworkSession::metaObject
    {51, 704, 1503},	// QNetworkSession::migrate
    {51, 717, 1512},	// QNetworkSession::newConfigurationActivated
    {51, 722, 1500},	// QNetworkSession::open
    {51, 723, 1508},	// QNetworkSession::opened
    {51, 826, 1511},	// QNetworkSession::preferredConfigurationChanged#$
    {51, 999, 1486},	// QNetworkSession::qt_metacall$$?
    {51, 1001, 1481},	// QNetworkSession::qt_metacast$
    {51, 1039, 1506},	// QNetworkSession::reject
    {51, 1077, 1494},	// QNetworkSession::sessionProperty$
    {51, 1245, 1495},	// QNetworkSession::setSessionProperty$#
    {51, 1303, 1491},	// QNetworkSession::state
    {51, 1305, 1507},	// QNetworkSession::stateChanged$
    {51, 1306, 1519},	// QNetworkSession::staticMetaObject
    {51, 1308, 1502},	// QNetworkSession::stop
    {51, 1329, 1515},	// QNetworkSession::tr$
    {51, 1330, 1482},	// QNetworkSession::tr$$
    {51, 1331, 1484},	// QNetworkSession::tr$$$
    {51, 1333, 1516},	// QNetworkSession::trUtf8$
    {51, 1334, 1483},	// QNetworkSession::trUtf8$$
    {51, 1335, 1485},	// QNetworkSession::trUtf8$$$
    {51, 1361, 1518},	// QNetworkSession::waitForOpened
    {51, 1362, 1499},	// QNetworkSession::waitForOpened$
    {51, 1397, 1532},	// QNetworkSession::~QNetworkSession
    {61, 9, 1547},	// QSsl::AnyProtocol
    {61, 76, 1543},	// QSsl::Der
    {61, 80, 1550},	// QSsl::DnsEntry
    {61, 84, 1541},	// QSsl::Dsa
    {61, 85, 1549},	// QSsl::EmailEntry
    {61, 178, 1542},	// QSsl::Pem
    {61, 182, 1551},	// QSsl::PrivateKey
    {61, 194, 1552},	// QSsl::PublicKey
    {61, 338, 1540},	// QSsl::Rsa
    {61, 359, 1545},	// QSsl::SslV2
    {61, 360, 1544},	// QSsl::SslV3
    {61, 369, 1546},	// QSsl::TlsV1
    {61, 392, 1548},	// QSsl::UnknownProtocol
    {62, 46, 1588},	// QSslCertificate::CommonName
    {62, 67, 1591},	// QSslCertificate::CountryName
    {62, 148, 1589},	// QSslCertificate::LocalityName
    {62, 173, 1587},	// QSslCertificate::Organization
    {62, 174, 1590},	// QSslCertificate::OrganizationalUnitName
    {62, 282, 1580},	// QSslCertificate::QSslCertificate
    {62, 283, -395},	// QSslCertificate::QSslCertificate#
    {62, 284, -399},	// QSslCertificate::QSslCertificate#$
    {62, 361, 1592},	// QSslCertificate::StateOrProvinceName
    {62, 445, 1569},	// QSslCertificate::alternateSubjectNames
    {62, 481, 1561},	// QSslCertificate::clear
    {62, 548, 1582},	// QSslCertificate::digest
    {62, 549, 1564},	// QSslCertificate::digest$
    {62, 561, 1570},	// QSslCertificate::effectiveDate
    {62, 577, 1571},	// QSslCertificate::expiryDate
    {62, 585, 1586},	// QSslCertificate::fromData#
    {62, 586, 1577},	// QSslCertificate::fromData#$
    {62, 588, 1585},	// QSslCertificate::fromDevice#
    {62, 589, 1576},	// QSslCertificate::fromDevice#$
    {62, 593, 1583},	// QSslCertificate::fromPath$
    {62, 594, 1584},	// QSslCertificate::fromPath$$
    {62, 595, 1575},	// QSslCertificate::fromPath$$$
    {62, 605, 1578},	// QSslCertificate::handle
    {62, 652, 1559},	// QSslCertificate::isNull
    {62, 663, 1560},	// QSslCertificate::isValid
    {62, 666, 1566},	// QSslCertificate::issuerInfo#
    {62, 667, 1565},	// QSslCertificate::issuerInfo$
    {62, 726, 1558},	// QSslCertificate::operator!=#
    {62, 762, 1556},	// QSslCertificate::operator=#
    {62, 765, 1557},	// QSslCertificate::operator==#
    {62, 841, 1572},	// QSslCertificate::publicKey
    {62, 1070, 1563},	// QSslCertificate::serialNumber
    {62, 1310, 1568},	// QSslCertificate::subjectInfo#
    {62, 1311, 1567},	// QSslCertificate::subjectInfo$
    {62, 1319, 1574},	// QSslCertificate::toDer
    {62, 1323, 1573},	// QSslCertificate::toPem
    {62, 1349, 1562},	// QSslCertificate::version
    {62, 1398, 1593},	// QSslCertificate::~QSslCertificate
    {63, 285, 1594},	// QSslCipher::QSslCipher
    {63, 286, 1596},	// QSslCipher::QSslCipher#
    {63, 287, 1595},	// QSslCipher::QSslCipher$$
    {63, 452, 1605},	// QSslCipher::authenticationMethod
    {63, 567, 1606},	// QSslCipher::encryptionMethod
    {63, 652, 1600},	// QSslCipher::isNull
    {63, 668, 1604},	// QSslCipher::keyExchangeMethod
    {63, 711, 1601},	// QSslCipher::name
    {63, 726, 1599},	// QSslCipher::operator!=#
    {63, 762, 1597},	// QSslCipher::operator=#
    {63, 765, 1598},	// QSslCipher::operator==#
    {63, 832, 1608},	// QSslCipher::protocol
    {63, 833, 1607},	// QSslCipher::protocolString
    {63, 1312, 1602},	// QSslCipher::supportedBits
    {63, 1344, 1603},	// QSslCipher::usedBits
    {63, 1399, 1609},	// QSslCipher::~QSslCipher
    {64, 288, 1610},	// QSslConfiguration::QSslConfiguration
    {64, 289, 1611},	// QSslConfiguration::QSslConfiguration#
    {64, 469, 1631},	// QSslConfiguration::caCertificates
    {64, 480, 1629},	// QSslConfiguration::ciphers
    {64, 544, 1633},	// QSslConfiguration::defaultConfiguration
    {64, 652, 1615},	// QSslConfiguration::isNull
    {64, 685, 1622},	// QSslConfiguration::localCertificate
    {64, 726, 1614},	// QSslConfiguration::operator!=#
    {64, 762, 1612},	// QSslConfiguration::operator=#
    {64, 765, 1613},	// QSslConfiguration::operator==#
    {64, 808, 1624},	// QSslConfiguration::peerCertificate
    {64, 809, 1625},	// QSslConfiguration::peerCertificateChain
    {64, 813, 1620},	// QSslConfiguration::peerVerifyDepth
    {64, 816, 1618},	// QSslConfiguration::peerVerifyMode
    {64, 831, 1627},	// QSslConfiguration::privateKey
    {64, 832, 1616},	// QSslConfiguration::protocol
    {64, 1075, 1626},	// QSslConfiguration::sessionCipher
    {64, 1096, 1632},	// QSslConfiguration::setCaCertificates?
    {64, 1105, 1630},	// QSslConfiguration::setCiphers?
    {64, 1121, 1634},	// QSslConfiguration::setDefaultConfiguration#
    {64, 1156, 1623},	// QSslConfiguration::setLocalCertificate#
    {64, 1195, 1621},	// QSslConfiguration::setPeerVerifyDepth$
    {64, 1197, 1619},	// QSslConfiguration::setPeerVerifyMode$
    {64, 1207, 1628},	// QSslConfiguration::setPrivateKey#
    {64, 1213, 1617},	// QSslConfiguration::setProtocol$
    {64, 1400, 1635},	// QSslConfiguration::~QSslConfiguration
    {65, 15, 1666},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {65, 37, 1652},	// QSslError::CertificateExpired
    {65, 38, 1651},	// QSslError::CertificateNotYetValid
    {65, 39, 1664},	// QSslError::CertificateRejected
    {65, 40, 1659},	// QSslError::CertificateRevoked
    {65, 41, 1650},	// QSslError::CertificateSignatureFailed
    {65, 42, 1663},	// QSslError::CertificateUntrusted
    {65, 99, 1668},	// QSslError::HostNameMismatch
    {65, 112, 1660},	// QSslError::InvalidCaCertificate
    {65, 114, 1654},	// QSslError::InvalidNotAfterField
    {65, 115, 1653},	// QSslError::InvalidNotBeforeField
    {65, 116, 1662},	// QSslError::InvalidPurpose
    {65, 160, 1646},	// QSslError::NoError
    {65, 161, 1667},	// QSslError::NoPeerCertificate
    {65, 163, 1669},	// QSslError::NoSslSupport
    {65, 176, 1661},	// QSslError::PathLengthExceeded
    {65, 290, 1636},	// QSslError::QSslError
    {65, 291, 1639},	// QSslError::QSslError#
    {65, 292, 1637},	// QSslError::QSslError$
    {65, 293, 1638},	// QSslError::QSslError$#
    {65, 339, 1655},	// QSslError::SelfSignedCertificate
    {65, 340, 1656},	// QSslError::SelfSignedCertificateInChain
    {65, 362, 1665},	// QSslError::SubjectIssuerMismatch
    {65, 374, 1649},	// QSslError::UnableToDecodeIssuerPublicKey
    {65, 375, 1648},	// QSslError::UnableToDecryptCertificateSignature
    {65, 376, 1647},	// QSslError::UnableToGetIssuerCertificate
    {65, 377, 1657},	// QSslError::UnableToGetLocalIssuerCertificate
    {65, 378, 1658},	// QSslError::UnableToVerifyFirstCertificate
    {65, 398, 1670},	// QSslError::UnspecifiedError
    {65, 477, 1645},	// QSslError::certificate
    {65, 570, 1643},	// QSslError::error
    {65, 572, 1644},	// QSslError::errorString
    {65, 726, 1642},	// QSslError::operator!=#
    {65, 762, 1640},	// QSslError::operator=#
    {65, 765, 1641},	// QSslError::operator==#
    {65, 1401, 1671},	// QSslError::~QSslError
    {66, 294, 1672},	// QSslKey::QSslKey
    {66, 295, 1675},	// QSslKey::QSslKey#
    {66, 296, -450},	// QSslKey::QSslKey#$
    {66, 297, -453},	// QSslKey::QSslKey#$$
    {66, 298, -456},	// QSslKey::QSslKey#$$$
    {66, 299, -459},	// QSslKey::QSslKey#$$$#
    {66, 437, 1681},	// QSslKey::algorithm
    {66, 481, 1678},	// QSslKey::clear
    {66, 605, 1684},	// QSslKey::handle
    {66, 652, 1677},	// QSslKey::isNull
    {66, 673, 1679},	// QSslKey::length
    {66, 726, 1686},	// QSslKey::operator!=#
    {66, 762, 1676},	// QSslKey::operator=#
    {66, 765, 1685},	// QSslKey::operator==#
    {66, 1319, 1694},	// QSslKey::toDer
    {66, 1320, 1683},	// QSslKey::toDer#
    {66, 1323, 1693},	// QSslKey::toPem
    {66, 1324, 1682},	// QSslKey::toPem#
    {66, 1336, 1680},	// QSslKey::type
    {66, 1402, 1695},	// QSslKey::~QSslKey
    {67, 16, 1802},	// QSslSocket::AutoVerifyPeer
    {67, 300, 1777},	// QSslSocket::QSslSocket
    {67, 301, 1703},	// QSslSocket::QSslSocket#
    {67, 322, 1800},	// QSslSocket::QueryPeer
    {67, 356, 1797},	// QSslSocket::SslClientMode
    {67, 358, 1798},	// QSslSocket::SslServerMode
    {67, 383, 1796},	// QSslSocket::UnencryptedMode
    {67, 404, 1799},	// QSslSocket::VerifyNone
    {67, 405, 1801},	// QSslSocket::VerifyPeer
    {67, 411, 1723},	// QSslSocket::abort
    {67, 418, 1745},	// QSslSocket::addCaCertificate#
    {67, 420, 1786},	// QSslSocket::addCaCertificates$
    {67, 421, 1787},	// QSslSocket::addCaCertificates$$
    {67, 422, 1744},	// QSslSocket::addCaCertificates$$$
    {67, 423, 1746},	// QSslSocket::addCaCertificates?
    {67, 425, 1750},	// QSslSocket::addDefaultCaCertificate#
    {67, 427, 1788},	// QSslSocket::addDefaultCaCertificates$
    {67, 428, 1789},	// QSslSocket::addDefaultCaCertificates$$
    {67, 429, 1749},	// QSslSocket::addDefaultCaCertificates$$$
    {67, 430, 1751},	// QSslSocket::addDefaultCaCertificates?
    {67, 447, 1721},	// QSslSocket::atEnd
    {67, 465, 1717},	// QSslSocket::bytesAvailable
    {67, 467, 1718},	// QSslSocket::bytesToWrite
    {67, 469, 1748},	// QSslSocket::caCertificates
    {67, 473, 1719},	// QSslSocket::canReadLine
    {67, 480, 1738},	// QSslSocket::ciphers
    {67, 484, 1720},	// QSslSocket::close
    {67, 509, 1778},	// QSslSocket::connectToHostEncrypted$$
    {67, 510, -1},	// QSslSocket::connectToHostEncrypted$$$
    {67, 511, 1705},	// QSslSocket::connectToHostEncrypted$$$$
    {67, 514, 1771},	// QSslSocket::connectToHostImplementation$$$
    {67, 542, 1753},	// QSslSocket::defaultCaCertificates
    {67, 543, 1742},	// QSslSocket::defaultCiphers
    {67, 551, 1772},	// QSslSocket::disconnectFromHostImplementation
    {67, 562, 1766},	// QSslSocket::encrypted
    {67, 563, 1725},	// QSslSocket::encryptedBytesAvailable
    {67, 564, 1726},	// QSslSocket::encryptedBytesToWrite
    {67, 566, 1770},	// QSslSocket::encryptedBytesWritten$
    {67, 583, 1722},	// QSslSocket::flush
    {67, 627, 1765},	// QSslSocket::ignoreSslErrors
    {67, 628, 1762},	// QSslSocket::ignoreSslErrors?
    {67, 643, 1710},	// QSslSocket::isEncrypted
    {67, 685, 1731},	// QSslSocket::localCertificate
    {67, 702, 1696},	// QSslSocket::metaObject
    {67, 708, 1709},	// QSslSocket::mode
    {67, 710, 1769},	// QSslSocket::modeChanged$
    {67, 808, 1732},	// QSslSocket::peerCertificate
    {67, 809, 1733},	// QSslSocket::peerCertificateChain
    {67, 813, 1715},	// QSslSocket::peerVerifyDepth
    {67, 815, 1767},	// QSslSocket::peerVerifyError#
    {67, 816, 1713},	// QSslSocket::peerVerifyMode
    {67, 831, 1737},	// QSslSocket::privateKey
    {67, 832, 1711},	// QSslSocket::protocol
    {67, 999, 1702},	// QSslSocket::qt_metacall$$?
    {67, 1001, 1697},	// QSslSocket::qt_metacast$
    {67, 1028, 1773},	// QSslSocket::readData$$
    {67, 1075, 1734},	// QSslSocket::sessionCipher
    {67, 1096, 1747},	// QSslSocket::setCaCertificates?
    {67, 1104, 1740},	// QSslSocket::setCiphers$
    {67, 1105, 1739},	// QSslSocket::setCiphers?
    {67, 1117, 1752},	// QSslSocket::setDefaultCaCertificates?
    {67, 1119, 1741},	// QSslSocket::setDefaultCiphers?
    {67, 1156, 1729},	// QSslSocket::setLocalCertificate#
    {67, 1157, 1782},	// QSslSocket::setLocalCertificate$
    {67, 1158, 1730},	// QSslSocket::setLocalCertificate$$
    {67, 1195, 1716},	// QSslSocket::setPeerVerifyDepth$
    {67, 1197, 1714},	// QSslSocket::setPeerVerifyMode$
    {67, 1207, 1735},	// QSslSocket::setPrivateKey#
    {67, 1208, 1783},	// QSslSocket::setPrivateKey$
    {67, 1209, 1784},	// QSslSocket::setPrivateKey$$
    {67, 1210, 1785},	// QSslSocket::setPrivateKey$$$
    {67, 1211, 1736},	// QSslSocket::setPrivateKey$$$#
    {67, 1213, 1712},	// QSslSocket::setProtocol$
    {67, 1230, 1724},	// QSslSocket::setReadBufferSize$
    {67, 1251, 1780},	// QSslSocket::setSocketDescriptor$
    {67, 1252, 1781},	// QSslSocket::setSocketDescriptor$$
    {67, 1253, 1706},	// QSslSocket::setSocketDescriptor$$$
    {67, 1260, 1707},	// QSslSocket::setSocketOption$#
    {67, 1264, 1728},	// QSslSocket::setSslConfiguration#
    {67, 1295, 1708},	// QSslSocket::socketOption$
    {67, 1297, 1727},	// QSslSocket::sslConfiguration
    {67, 1298, 1760},	// QSslSocket::sslErrors
    {67, 1300, 1768},	// QSslSocket::sslErrors?
    {67, 1301, 1763},	// QSslSocket::startClientEncryption
    {67, 1302, 1764},	// QSslSocket::startServerEncryption
    {67, 1306, 1795},	// QSslSocket::staticMetaObject
    {67, 1313, 1743},	// QSslSocket::supportedCiphers
    {67, 1314, 1761},	// QSslSocket::supportsSsl
    {67, 1315, 1754},	// QSslSocket::systemCaCertificates
    {67, 1329, 1775},	// QSslSocket::tr$
    {67, 1330, 1698},	// QSslSocket::tr$$
    {67, 1331, 1700},	// QSslSocket::tr$$$
    {67, 1333, 1776},	// QSslSocket::trUtf8$
    {67, 1334, 1699},	// QSslSocket::trUtf8$$
    {67, 1335, 1701},	// QSslSocket::trUtf8$$$
    {67, 1350, 1793},	// QSslSocket::waitForBytesWritten
    {67, 1351, 1758},	// QSslSocket::waitForBytesWritten$
    {67, 1352, 1790},	// QSslSocket::waitForConnected
    {67, 1353, 1755},	// QSslSocket::waitForConnected$
    {67, 1354, 1794},	// QSslSocket::waitForDisconnected
    {67, 1355, 1759},	// QSslSocket::waitForDisconnected$
    {67, 1356, 1791},	// QSslSocket::waitForEncrypted
    {67, 1357, 1756},	// QSslSocket::waitForEncrypted$
    {67, 1363, 1792},	// QSslSocket::waitForReadyRead
    {67, 1364, 1757},	// QSslSocket::waitForReadyRead$
    {67, 1366, 1774},	// QSslSocket::writeData$$
    {67, 1403, 1803},	// QSslSocket::~QSslSocket
    {70, 302, 1833},	// QTcpServer::QTcpServer
    {70, 303, 1811},	// QTcpServer::QTcpServer#
    {70, 432, 1829},	// QTcpServer::addPendingConnection#
    {70, 484, 1813},	// QTcpServer::close
    {70, 572, 1825},	// QTcpServer::errorString
    {70, 612, 1822},	// QTcpServer::hasPendingConnections
    {70, 630, 1828},	// QTcpServer::incomingConnection$
    {70, 651, 1814},	// QTcpServer::isListening
    {70, 680, 1834},	// QTcpServer::listen
    {70, 681, 1835},	// QTcpServer::listen#
    {70, 682, 1812},	// QTcpServer::listen#$
    {70, 697, 1816},	// QTcpServer::maxPendingConnections
    {70, 702, 1804},	// QTcpServer::metaObject
    {70, 718, 1830},	// QTcpServer::newConnection
    {70, 719, 1823},	// QTcpServer::nextPendingConnection
    {70, 835, 1827},	// QTcpServer::proxy
    {70, 999, 1810},	// QTcpServer::qt_metacall$$?
    {70, 1001, 1805},	// QTcpServer::qt_metacast$
    {70, 1071, 1818},	// QTcpServer::serverAddress
    {70, 1072, 1824},	// QTcpServer::serverError
    {70, 1074, 1817},	// QTcpServer::serverPort
    {70, 1164, 1815},	// QTcpServer::setMaxPendingConnections$
    {70, 1217, 1826},	// QTcpServer::setProxy#
    {70, 1251, 1820},	// QTcpServer::setSocketDescriptor$
    {70, 1293, 1819},	// QTcpServer::socketDescriptor
    {70, 1306, 1838},	// QTcpServer::staticMetaObject
    {70, 1329, 1831},	// QTcpServer::tr$
    {70, 1330, 1806},	// QTcpServer::tr$$
    {70, 1331, 1808},	// QTcpServer::tr$$$
    {70, 1333, 1832},	// QTcpServer::trUtf8$
    {70, 1334, 1807},	// QTcpServer::trUtf8$$
    {70, 1335, 1809},	// QTcpServer::trUtf8$$$
    {70, 1358, 1836},	// QTcpServer::waitForNewConnection
    {70, 1359, 1837},	// QTcpServer::waitForNewConnection$
    {70, 1360, 1821},	// QTcpServer::waitForNewConnection$$
    {70, 1404, 1839},	// QTcpServer::~QTcpServer
    {71, 304, 1850},	// QTcpSocket::QTcpSocket
    {71, 305, 1847},	// QTcpSocket::QTcpSocket#
    {71, 702, 1840},	// QTcpSocket::metaObject
    {71, 999, 1846},	// QTcpSocket::qt_metacall$$?
    {71, 1001, 1841},	// QTcpSocket::qt_metacast$
    {71, 1306, 1851},	// QTcpSocket::staticMetaObject
    {71, 1329, 1848},	// QTcpSocket::tr$
    {71, 1330, 1842},	// QTcpSocket::tr$$
    {71, 1331, 1844},	// QTcpSocket::tr$$$
    {71, 1333, 1849},	// QTcpSocket::trUtf8$
    {71, 1334, 1843},	// QTcpSocket::trUtf8$$
    {71, 1335, 1845},	// QTcpSocket::trUtf8$$$
    {71, 1405, 1852},	// QTcpSocket::~QTcpSocket
    {76, 72, 1877},	// QUdpSocket::DefaultForPlatform
    {76, 82, 1879},	// QUdpSocket::DontShareAddress
    {76, 306, 1872},	// QUdpSocket::QUdpSocket
    {76, 307, 1860},	// QUdpSocket::QUdpSocket#
    {76, 334, 1880},	// QUdpSocket::ReuseAddressHint
    {76, 349, 1878},	// QUdpSocket::ShareAddress
    {76, 459, 1873},	// QUdpSocket::bind
    {76, 460, 1861},	// QUdpSocket::bind#$
    {76, 461, 1863},	// QUdpSocket::bind#$$
    {76, 462, 1862},	// QUdpSocket::bind$
    {76, 463, 1864},	// QUdpSocket::bind$$
    {76, 613, 1865},	// QUdpSocket::hasPendingDatagrams
    {76, 702, 1853},	// QUdpSocket::metaObject
    {76, 817, 1866},	// QUdpSocket::pendingDatagramSize
    {76, 999, 1859},	// QUdpSocket::qt_metacall$$?
    {76, 1001, 1854},	// QUdpSocket::qt_metacast$
    {76, 1030, 1874},	// QUdpSocket::readDatagram$$
    {76, 1031, 1875},	// QUdpSocket::readDatagram$$#
    {76, 1032, 1867},	// QUdpSocket::readDatagram$$#$
    {76, 1306, 1876},	// QUdpSocket::staticMetaObject
    {76, 1329, 1870},	// QUdpSocket::tr$
    {76, 1330, 1855},	// QUdpSocket::tr$$
    {76, 1331, 1857},	// QUdpSocket::tr$$$
    {76, 1333, 1871},	// QUdpSocket::trUtf8$
    {76, 1334, 1856},	// QUdpSocket::trUtf8$$
    {76, 1335, 1858},	// QUdpSocket::trUtf8$$$
    {76, 1368, 1869},	// QUdpSocket::writeDatagram##$
    {76, 1369, 1868},	// QUdpSocket::writeDatagram$$#$
    {76, 1406, 1881},	// QUdpSocket::~QUdpSocket
    {78, 86, 1923},	// QUrlInfo::ExeGroup
    {78, 87, 1926},	// QUrlInfo::ExeOther
    {78, 88, 1920},	// QUrlInfo::ExeOwner
    {78, 308, 1882},	// QUrlInfo::QUrlInfo
    {78, 309, 1883},	// QUrlInfo::QUrlInfo#
    {78, 310, 1885},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {78, 311, 1884},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {78, 324, 1921},	// QUrlInfo::ReadGroup
    {78, 326, 1924},	// QUrlInfo::ReadOther
    {78, 327, 1918},	// QUrlInfo::ReadOwner
    {78, 406, 1922},	// QUrlInfo::WriteGroup
    {78, 408, 1925},	// QUrlInfo::WriteOther
    {78, 409, 1919},	// QUrlInfo::WriteOwner
    {78, 569, 1915},	// QUrlInfo::equal##$
    {78, 603, 1913},	// QUrlInfo::greaterThan##$
    {78, 604, 1903},	// QUrlInfo::group
    {78, 642, 1907},	// QUrlInfo::isDir
    {78, 644, 1912},	// QUrlInfo::isExecutable
    {78, 645, 1908},	// QUrlInfo::isFile
    {78, 655, 1911},	// QUrlInfo::isReadable
    {78, 661, 1909},	// QUrlInfo::isSymLink
    {78, 663, 1899},	// QUrlInfo::isValid
    {78, 664, 1910},	// QUrlInfo::isWritable
    {78, 670, 1905},	// QUrlInfo::lastModified
    {78, 671, 1906},	// QUrlInfo::lastRead
    {78, 675, 1914},	// QUrlInfo::lessThan##$
    {78, 711, 1900},	// QUrlInfo::name
    {78, 726, 1917},	// QUrlInfo::operator!=#
    {78, 762, 1886},	// QUrlInfo::operator=#
    {78, 765, 1916},	// QUrlInfo::operator==#
    {78, 796, 1902},	// QUrlInfo::owner
    {78, 818, 1901},	// QUrlInfo::permissions
    {78, 1123, 1888},	// QUrlInfo::setDir$
    {78, 1134, 1889},	// QUrlInfo::setFile$
    {78, 1136, 1892},	// QUrlInfo::setGroup$
    {78, 1150, 1897},	// QUrlInfo::setLastModified#
    {78, 1152, 1898},	// QUrlInfo::setLastRead#
    {78, 1169, 1887},	// QUrlInfo::setName$
    {78, 1181, 1891},	// QUrlInfo::setOwner$
    {78, 1199, 1896},	// QUrlInfo::setPermissions$
    {78, 1232, 1895},	// QUrlInfo::setReadable$
    {78, 1247, 1893},	// QUrlInfo::setSize$
    {78, 1271, 1890},	// QUrlInfo::setSymLink$
    {78, 1291, 1894},	// QUrlInfo::setWritable$
    {78, 1292, 1904},	// QUrlInfo::size
    {78, 1407, 1927},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 82,
        __smokeqtnetwork::methods, 1928,
        __smokeqtnetwork::methodMaps, 1569,
        __smokeqtnetwork::methodNames, 1407,
        __smokeqtnetwork::types, 435,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
