#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "GLbitfield", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "GLfloat", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "GLint", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//17
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//18
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//19
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//20
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//21
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//22
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//23
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//24
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//27
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//28
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//36
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//47
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//135
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//139
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//148
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//149
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//155
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//156
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//175
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//176
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//177
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//179
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//184
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//187
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//188
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//189
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//190
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//191
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//193
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//194
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//197
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//198
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//199
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//217
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//220
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//223
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//224
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//225
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//226
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//227
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//228
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//229
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//230
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//231
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//232
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//233
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//234
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//235
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//236
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//237
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//238
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//241
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//242
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//243
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//244
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//246
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//247
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//249
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//250
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//253
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//254
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//255
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//265
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//274
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//279
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//280
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//281
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//282
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//283
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//284
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//286
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//289
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//290
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//291
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//292
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//293
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//294
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//295
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//296
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//297
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//300
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForActiveQtModule", 37, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForCoreModule", 37, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForDBusModule", 37, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForDeclarativeModule", 37, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForGuiModule", 37, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForHelpModule", 37, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForMultimediaModule", 37, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForNetworkModule", 37, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForOpenGLModule", 37, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForOpenVGModule", 37, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForQt3SupportLightModule", 37, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForQt3SupportModule", 37, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForScriptModule", 37, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForScriptToolsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForSqlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForSvgModule", 37, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForTestModule", 37, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForXmlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//395
    { "QtValidLicenseForXmlPatternsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//396
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//397
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//398
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//399
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//400
    { "const GLfloat*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//401
    { "const GLfloat[2][2]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//402
    { "const GLfloat[3][3]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const GLfloat[4][4]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//404
    { "const GLint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const GLuint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//419
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//458
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//460
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//467
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//469
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//478
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//487
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//490
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//504
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//506
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//509
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//511
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//512
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//513
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//514
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//517
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//518
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//519
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//520
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//521
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//522
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//523
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//524
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//525
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//526
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//527
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//528
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//529
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//530
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//531
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//532
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//533
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//534
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//535
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//536
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//537
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//538
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    213, 0,	//1  QPaintEngine::Type
    142, 0,	//3  QGLBuffer::Type
    421, 0,	//5  const QGLBuffer&
    143, 0,	//7  QGLBuffer::UsagePattern
    521, 536, 521, 0,	//9  int, void*, int
    521, 518, 521, 0,	//13  int, const void*, int
    518, 521, 0,	//17  const void*, int
    521, 0,	//20  int
    141, 0,	//22  QGLBuffer::Access
    422, 0,	//24  const QGLColormap&
    521, 517, 521, 0,	//26  int, const unsigned int*, int
    521, 529, 0,	//30  int, unsigned int
    521, 413, 0,	//33  int, const QColor&
    529, 0,	//36  unsigned int
    530, 0,	//38  unsigned long
    521, 517, 0,	//40  int, const unsigned int*
    424, 208, 0,	//43  const QGLFormat&, QPaintDevice*
    424, 0,	//46  const QGLFormat&
    423, 0,	//48  const QGLContext*
    423, 423, 0,	//50  const QGLContext*, const QGLContext*
    445, 2, 4, 72, 0,	//53  const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>
    466, 2, 4, 72, 0,	//58  const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>
    445, 2, 4, 0,	//63  const QImage&, GLenum, GLint
    466, 2, 4, 0,	//67  const QPixmap&, GLenum, GLint
    488, 0,	//71  const QString&
    5, 0,	//73  GLuint
    476, 5, 2, 0,	//75  const QRectF&, GLuint, GLenum
    470, 5, 2, 0,	//79  const QPointF&, GLuint, GLenum
    424, 521, 0,	//83  const QGLFormat&, int
    398, 0,	//86  bool
    420, 521, 0,	//88  const QFont&, int
    413, 0,	//91  const QColor&
    208, 0,	//93  QPaintDevice*
    445, 0,	//95  const QImage&
    445, 2, 0,	//97  const QImage&, GLenum
    466, 0,	//100  const QPixmap&
    466, 2, 0,	//102  const QPixmap&, GLenum
    476, 5, 0,	//105  const QRectF&, GLuint
    470, 5, 0,	//108  const QPointF&, GLuint
    146, 0,	//111  QGLContext*
    71, 521, 0,	//113  QFlags<QGL::FormatOption>, int
    71, 0,	//116  QFlags<QGL::FormatOption>
    521, 521, 0,	//118  int, int
    151, 0,	//121  QGLFormat::OpenGLContextProfile
    481, 2, 0,	//123  const QSize&, GLenum
    521, 521, 2, 0,	//126  int, int, GLenum
    481, 154, 2, 2, 0,	//130  const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum
    521, 521, 154, 2, 2, 0,	//135  int, int, QGLFramebufferObject::Attachment, GLenum, GLenum
    481, 425, 0,	//141  const QSize&, const QGLFramebufferObjectFormat&
    521, 521, 425, 0,	//144  int, int, const QGLFramebufferObjectFormat&
    153, 475, 153, 475, 1, 2, 0,	//148  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum
    209, 0,	//155  QPaintDevice::PaintDeviceMetric
    481, 0,	//157  const QSize&
    481, 154, 0,	//159  const QSize&, QGLFramebufferObject::Attachment
    481, 154, 2, 0,	//162  const QSize&, QGLFramebufferObject::Attachment, GLenum
    521, 521, 154, 0,	//166  int, int, QGLFramebufferObject::Attachment
    521, 521, 154, 2, 0,	//170  int, int, QGLFramebufferObject::Attachment, GLenum
    153, 475, 153, 475, 0,	//175  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    153, 475, 153, 475, 1, 0,	//180  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield
    425, 0,	//186  const QGLFramebufferObjectFormat&
    154, 0,	//188  QGLFramebufferObject::Attachment
    2, 0,	//190  GLenum
    481, 424, 162, 0,	//192  const QSize&, const QGLFormat&, QGLWidget*
    521, 521, 424, 162, 0,	//196  int, int, const QGLFormat&, QGLWidget*
    481, 424, 0,	//201  const QSize&, const QGLFormat&
    521, 521, 424, 0,	//204  int, int, const QGLFormat&
    515, 0,	//208  const char*
    515, 515, 0,	//210  const char*, const char*
    515, 515, 521, 0,	//213  const char*, const char*, int
    203, 521, 537, 0,	//217  QMetaObject::Call, int, void**
    74, 206, 0,	//221  QFlags<QGLShader::ShaderTypeBit>, QObject*
    74, 423, 206, 0,	//224  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    411, 0,	//228  const QByteArray&
    74, 423, 0,	//230  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    74, 0,	//233  QFlags<QGLShader::ShaderTypeBit>
    206, 0,	//235  QObject*
    423, 206, 0,	//237  const QGLContext*, QObject*
    159, 0,	//240  QGLShader*
    74, 515, 0,	//242  QFlags<QGLShader::ShaderTypeBit>, const char*
    74, 411, 0,	//245  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    74, 488, 0,	//248  QFlags<QGLShader::ShaderTypeBit>, const QString&
    515, 521, 0,	//251  const char*, int
    411, 521, 0,	//254  const QByteArray&, int
    488, 521, 0,	//257  const QString&, int
    521, 3, 0,	//260  int, GLfloat
    521, 3, 3, 0,	//263  int, GLfloat, GLfloat
    521, 3, 3, 3, 0,	//267  int, GLfloat, GLfloat, GLfloat
    521, 3, 3, 3, 3, 0,	//272  int, GLfloat, GLfloat, GLfloat, GLfloat
    521, 507, 0,	//278  int, const QVector2D&
    521, 510, 0,	//281  int, const QVector3D&
    521, 513, 0,	//284  int, const QVector4D&
    521, 401, 521, 521, 0,	//287  int, const GLfloat*, int, int
    515, 3, 0,	//292  const char*, GLfloat
    515, 3, 3, 0,	//295  const char*, GLfloat, GLfloat
    515, 3, 3, 3, 0,	//299  const char*, GLfloat, GLfloat, GLfloat
    515, 3, 3, 3, 3, 0,	//304  const char*, GLfloat, GLfloat, GLfloat, GLfloat
    515, 507, 0,	//310  const char*, const QVector2D&
    515, 510, 0,	//313  const char*, const QVector3D&
    515, 513, 0,	//316  const char*, const QVector4D&
    515, 413, 0,	//319  const char*, const QColor&
    515, 401, 521, 521, 0,	//322  const char*, const GLfloat*, int, int
    521, 508, 521, 0,	//327  int, const QVector2D*, int
    521, 511, 521, 0,	//331  int, const QVector3D*, int
    521, 514, 521, 0,	//335  int, const QVector4D*, int
    521, 2, 518, 521, 521, 0,	//339  int, GLenum, const void*, int, int
    515, 508, 521, 0,	//345  const char*, const QVector2D*, int
    515, 511, 521, 0,	//349  const char*, const QVector3D*, int
    515, 514, 521, 0,	//353  const char*, const QVector4D*, int
    515, 2, 518, 521, 521, 0,	//357  const char*, GLenum, const void*, int, int
    521, 2, 521, 521, 521, 0,	//363  int, GLenum, int, int, int
    515, 2, 521, 521, 521, 0,	//369  const char*, GLenum, int, int, int
    521, 4, 0,	//375  int, GLint
    521, 5, 0,	//378  int, GLuint
    521, 468, 0,	//381  int, const QPoint&
    521, 470, 0,	//384  int, const QPointF&
    521, 481, 0,	//387  int, const QSize&
    521, 483, 0,	//390  int, const QSizeF&
    521, 427, 0,	//393  int, const QGenericMatrix<2,2,double>&
    521, 429, 0,	//396  int, const QGenericMatrix<2,3,double>&
    521, 431, 0,	//399  int, const QGenericMatrix<2,4,double>&
    521, 433, 0,	//402  int, const QGenericMatrix<3,2,double>&
    521, 435, 0,	//405  int, const QGenericMatrix<3,3,double>&
    521, 437, 0,	//408  int, const QGenericMatrix<3,4,double>&
    521, 439, 0,	//411  int, const QGenericMatrix<4,2,double>&
    521, 441, 0,	//414  int, const QGenericMatrix<4,3,double>&
    521, 455, 0,	//417  int, const QMatrix4x4&
    521, 402, 0,	//420  int, const GLfloat[2][2]
    521, 403, 0,	//423  int, const GLfloat[3][3]
    521, 404, 0,	//426  int, const GLfloat[4][4]
    521, 499, 0,	//429  int, const QTransform&
    515, 4, 0,	//432  const char*, GLint
    515, 5, 0,	//435  const char*, GLuint
    515, 468, 0,	//438  const char*, const QPoint&
    515, 470, 0,	//441  const char*, const QPointF&
    515, 481, 0,	//444  const char*, const QSize&
    515, 483, 0,	//447  const char*, const QSizeF&
    515, 427, 0,	//450  const char*, const QGenericMatrix<2,2,double>&
    515, 429, 0,	//453  const char*, const QGenericMatrix<2,3,double>&
    515, 431, 0,	//456  const char*, const QGenericMatrix<2,4,double>&
    515, 433, 0,	//459  const char*, const QGenericMatrix<3,2,double>&
    515, 435, 0,	//462  const char*, const QGenericMatrix<3,3,double>&
    515, 437, 0,	//465  const char*, const QGenericMatrix<3,4,double>&
    515, 439, 0,	//468  const char*, const QGenericMatrix<4,2,double>&
    515, 441, 0,	//471  const char*, const QGenericMatrix<4,3,double>&
    515, 455, 0,	//474  const char*, const QMatrix4x4&
    515, 402, 0,	//477  const char*, const GLfloat[2][2]
    515, 403, 0,	//480  const char*, const GLfloat[3][3]
    515, 404, 0,	//483  const char*, const GLfloat[4][4]
    515, 499, 0,	//486  const char*, const QTransform&
    521, 405, 521, 0,	//489  int, const GLint*, int
    521, 406, 521, 0,	//493  int, const GLuint*, int
    521, 428, 521, 0,	//497  int, const QGenericMatrix<2,2,double>*, int
    521, 430, 521, 0,	//501  int, const QGenericMatrix<2,3,double>*, int
    521, 432, 521, 0,	//505  int, const QGenericMatrix<2,4,double>*, int
    521, 434, 521, 0,	//509  int, const QGenericMatrix<3,2,double>*, int
    521, 436, 521, 0,	//513  int, const QGenericMatrix<3,3,double>*, int
    521, 438, 521, 0,	//517  int, const QGenericMatrix<3,4,double>*, int
    521, 440, 521, 0,	//521  int, const QGenericMatrix<4,2,double>*, int
    521, 442, 521, 0,	//525  int, const QGenericMatrix<4,3,double>*, int
    521, 456, 521, 0,	//529  int, const QMatrix4x4*, int
    515, 405, 521, 0,	//533  const char*, const GLint*, int
    515, 406, 521, 0,	//537  const char*, const GLuint*, int
    515, 428, 521, 0,	//541  const char*, const QGenericMatrix<2,2,double>*, int
    515, 430, 521, 0,	//545  const char*, const QGenericMatrix<2,3,double>*, int
    515, 432, 521, 0,	//549  const char*, const QGenericMatrix<2,4,double>*, int
    515, 434, 521, 0,	//553  const char*, const QGenericMatrix<3,2,double>*, int
    515, 436, 521, 0,	//557  const char*, const QGenericMatrix<3,3,double>*, int
    515, 438, 521, 0,	//561  const char*, const QGenericMatrix<3,4,double>*, int
    515, 440, 521, 0,	//565  const char*, const QGenericMatrix<4,2,double>*, int
    515, 442, 521, 0,	//569  const char*, const QGenericMatrix<4,3,double>*, int
    515, 456, 521, 0,	//573  const char*, const QMatrix4x4*, int
    521, 401, 521, 0,	//577  int, const GLfloat*, int
    521, 508, 0,	//581  int, const QVector2D*
    521, 511, 0,	//584  int, const QVector3D*
    521, 514, 0,	//587  int, const QVector4D*
    521, 2, 518, 521, 0,	//590  int, GLenum, const void*, int
    515, 401, 521, 0,	//595  const char*, const GLfloat*, int
    515, 508, 0,	//599  const char*, const QVector2D*
    515, 511, 0,	//602  const char*, const QVector3D*
    515, 514, 0,	//605  const char*, const QVector4D*
    515, 2, 518, 521, 0,	//608  const char*, GLenum, const void*, int
    521, 2, 521, 521, 0,	//613  int, GLenum, int, int
    515, 2, 521, 521, 0,	//618  const char*, GLenum, int, int
    299, 426, 133, 0,	//623  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    146, 299, 426, 133, 0,	//627  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    424, 299, 426, 133, 0,	//632  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    146, 423, 398, 0,	//637  QGLContext*, const QGLContext*, bool
    521, 521, 398, 0,	//641  int, int, bool
    521, 521, 488, 420, 521, 0,	//645  int, int, const QString&, const QFont&, int
    519, 519, 519, 488, 420, 521, 0,	//651  double, double, double, const QString&, const QFont&, int
    48, 0,	//658  QEvent*
    214, 0,	//660  QPaintEvent*
    239, 0,	//662  QResizeEvent*
    299, 0,	//664  QWidget*
    299, 426, 0,	//666  QWidget*, const QGLWidget*
    146, 299, 0,	//669  QGLContext*, QWidget*
    146, 299, 426, 0,	//672  QGLContext*, QWidget*, const QGLWidget*
    424, 299, 0,	//676  const QGLFormat&, QWidget*
    424, 299, 426, 0,	//679  const QGLFormat&, QWidget*, const QGLWidget*
    146, 423, 0,	//683  QGLContext*, const QGLContext*
    521, 521, 488, 0,	//686  int, int, const QString&
    521, 521, 488, 420, 0,	//690  int, int, const QString&, const QFont&
    519, 519, 519, 488, 0,	//695  double, double, double, const QString&
    519, 519, 519, 488, 420, 0,	//700  double, double, double, const QString&, const QFont&
    420, 0,	//706  const QFont&
    407, 407, 0,	//708  const QBitArray&, const QBitArray&
    464, 0,	//711  const QPersistentModelIndex&
    321, 521, 0,	//713  Qt::DockWidgetArea, int
    163, 163, 0,	//716  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    424, 424, 0,	//719  const QGLFormat&, const QGLFormat&
    468, 519, 0,	//722  const QPoint&, double
    519, 0,	//725  double
    36, 446, 0,	//727  QDebug, const QItemSelectionRange&
    519, 470, 0,	//730  double, const QPointF&
    346, 127, 0,	//733  Qt::MouseButton, QFlags<Qt::MouseButton>
    453, 453, 0,	//736  const QMargins&, const QMargins&
    36, 492, 0,	//739  QDebug, const QStyleOption&
    519, 483, 0,	//742  double, const QSizeF&
    39, 521, 0,	//745  QDir::SortFlag, int
    7, 7, 0,	//748  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    36, 464, 0,	//751  QDebug, const QPersistentModelIndex&
    32, 177, 0,	//754  QDataStream&, QImage&
    32, 484, 0,	//757  QDataStream&, const QSizePolicy&
    335, 521, 0,	//760  Qt::InputMethodHint, int
    262, 521, 0,	//763  QStyleOptionToolBar::ToolBarFeature, int
    36, 499, 0,	//766  QDebug, const QTransform&
    400, 515, 0,	//769  char*, const char*
    475, 475, 0,	//772  const QRect&, const QRect&
    481, 481, 0,	//775  const QSize&, const QSize&
    32, 499, 0,	//778  QDataStream&, const QTransform&
    268, 268, 0,	//781  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    36, 468, 0,	//784  QDebug, const QPoint&
    455, 455, 0,	//787  const QMatrix4x4&, const QMatrix4x4&
    160, 160, 0,	//790  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    527, 0,	//793  unsigned char
    38, 61, 0,	//795  QDir::Filter, QFlags<QDir::Filter>
    513, 513, 0,	//798  const QVector4D&, const QVector4D&
    470, 454, 0,	//801  const QPointF&, const QMatrix&
    212, 212, 0,	//804  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    449, 499, 0,	//807  const QLine&, const QTransform&
    507, 507, 0,	//810  const QVector2D&, const QVector2D&
    49, 66, 0,	//813  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    373, 132, 0,	//816  Qt::WindowState, QFlags<Qt::WindowState>
    483, 519, 0,	//819  const QSizeF&, double
    32, 449, 0,	//822  QDataStream&, const QLine&
    38, 521, 0,	//825  QDir::Filter, int
    499, 499, 0,	//828  const QTransform&, const QTransform&
    515, 448, 0,	//831  const char*, const QLatin1String&
    51, 68, 0,	//834  QFileDialog::Option, QFlags<QFileDialog::Option>
    483, 483, 0,	//837  const QSizeF&, const QSizeF&
    411, 411, 0,	//840  const QByteArray&, const QByteArray&
    448, 491, 0,	//843  const QLatin1String&, const QStringRef&
    474, 0,	//846  const QQuaternion&
    8, 8, 0,	//848  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    346, 346, 0,	//851  Qt::MouseButton, Qt::MouseButton
    36, 504, 0,	//854  QDebug, const QVariant::Type
    503, 505, 0,	//857  const QVariant&, const QVariantComparisonHelper&
    474, 519, 0,	//860  const QQuaternion&, double
    19, 19, 0,	//863  QBool, QBool
    261, 261, 0,	//866  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    260, 260, 0,	//869  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    136, 136, 0,	//872  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    302, 118, 0,	//875  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    491, 0,	//878  const QStringRef&
    272, 272, 0,	//880  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    250, 250, 0,	//883  QString::Null, QString::Null
    36, 420, 0,	//886  QDebug, const QFont&
    36, 471, 0,	//889  QDebug, const QPolygon&
    32, 476, 0,	//892  QDataStream&, const QRectF&
    32, 194, 0,	//895  QDataStream&, QLocale&
    257, 521, 0,	//898  QStyle::SubControl, int
    41, 41, 0,	//901  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    23, 488, 0,	//904  QChar, const QString&
    174, 82, 0,	//907  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    215, 475, 462, 398, 521, 409, 0,	//910  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    215, 475, 462, 0,	//917  QPainter*, const QRect&, const QPalette&
    215, 475, 462, 398, 0,	//921  QPainter*, const QRect&, const QPalette&, bool
    215, 475, 462, 398, 521, 0,	//926  QPainter*, const QRect&, const QPalette&, bool, int
    507, 0,	//932  const QVector2D&
    38, 38, 0,	//934  QDir::Filter, QDir::Filter
    32, 462, 0,	//937  QDataStream&, const QPalette&
    36, 498, 0,	//940  QDebug, const QTime&
    474, 474, 0,	//943  const QQuaternion&, const QQuaternion&
    269, 108, 0,	//946  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    32, 411, 0,	//949  QDataStream&, const QByteArray&
    36, 415, 0,	//952  QDebug, const QDate&
    407, 0,	//955  const QBitArray&
    270, 109, 0,	//957  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    516, 528, 521, 0,	//960  const unsigned char*, unsigned char*, int
    15, 57, 0,	//964  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    472, 499, 0,	//967  const QPolygonF&, const QTransform&
    503, 291, 536, 0,	//970  const QVariant&, QVariant::Type, void*
    532, 0,	//974  unsigned short
    207, 0,	//976  QObject*(*)()
    522, 0,	//978  long
    363, 363, 0,	//980  Qt::ToolBarArea, Qt::ToolBarArea
    523, 0,	//983  long long
    36, 472, 0,	//985  QDebug, const QPolygonF&
    215, 521, 521, 521, 521, 462, 398, 409, 0,	//988  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    215, 521, 521, 521, 521, 462, 0,	//997  QPainter*, int, int, int, int, const QPalette&
    215, 521, 521, 521, 521, 462, 398, 0,	//1004  QPainter*, int, int, int, int, const QPalette&, bool
    222, 95, 0,	//1012  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    300, 521, 0,	//1015  QWidget::RenderFlag, int
    36, 413, 0,	//1018  QDebug, const QColor&
    285, 521, 0,	//1021  QTreeWidgetItemIterator::IteratorFlag, int
    323, 521, 0,	//1024  Qt::DropAction, int
    215, 521, 521, 521, 521, 462, 398, 521, 521, 409, 0,	//1027  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    215, 521, 521, 521, 521, 462, 398, 521, 0,	//1038  QPainter*, int, int, int, int, const QPalette&, bool, int
    215, 521, 521, 521, 521, 462, 398, 521, 521, 0,	//1047  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    32, 489, 0,	//1057  QDataStream&, const QStringList&
    6, 6, 0,	//1060  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    32, 220, 0,	//1063  QDataStream&, QPen&
    520, 0,	//1066  float
    163, 75, 0,	//1068  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    302, 302, 0,	//1071  Qt::AlignmentFlag, Qt::AlignmentFlag
    32, 28, 0,	//1074  QDataStream&, QColor&
    40, 521, 0,	//1077  QDirIterator::IteratorFlag, int
    32, 477, 0,	//1080  QDataStream&, const QRegExp&
    287, 521, 0,	//1083  QUrl::FormattingOption, int
    40, 63, 0,	//1086  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    411, 515, 0,	//1089  const QByteArray&, const char*
    165, 165, 0,	//1092  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    137, 521, 0,	//1095  QFontDialog::FontDialogOption, int
    36, 483, 0,	//1098  QDebug, const QSizeF&
    321, 119, 0,	//1101  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    260, 521, 0,	//1104  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    36, 424, 0,	//1107  QDebug, const QGLFormat&
    449, 454, 0,	//1110  const QLine&, const QMatrix&
    211, 211, 0,	//1113  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    521, 521, 521, 0,	//1116  int, int, int
    450, 454, 0,	//1120  const QLineF&, const QMatrix&
    348, 348, 0,	//1123  Qt::Orientation, Qt::Orientation
    461, 454, 0,	//1126  const QPainterPath&, const QMatrix&
    363, 521, 0,	//1129  Qt::ToolBarArea, int
    510, 510, 0,	//1132  const QVector3D&, const QVector3D&
    32, 228, 0,	//1135  QDataStream&, QPointF&
    32, 447, 0,	//1138  QDataStream&, const QKeySequence&
    344, 521, 0,	//1141  Qt::MatchFlag, int
    488, 515, 0,	//1144  const QString&, const char*
    32, 494, 0,	//1147  QDataStream&, const QTableWidgetItem&
    36, 167, 0,	//1150  QDebug, QGraphicsItem::GraphicsItemChange
    36, 418, 0,	//1153  QDebug, const QEasingCurve&
    182, 521, 0,	//1156  QItemSelectionModel::SelectionFlag, int
    32, 414, 0,	//1159  QDataStream&, const QCursor&
    202, 91, 0,	//1162  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    328, 328, 0,	//1165  Qt::GestureFlag, Qt::GestureFlag
    32, 33, 0,	//1168  QDataStream&, QDate&
    32, 465, 0,	//1171  QDataStream&, const QPicture&
    174, 174, 0,	//1174  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    202, 202, 0,	//1177  QMessageBox::StandardButton, QMessageBox::StandardButton
    49, 521, 0,	//1180  QEventLoop::ProcessEventsFlag, int
    399, 411, 0,	//1183  char, const QByteArray&
    32, 297, 0,	//1186  QDataStream&, QVector4D&
    515, 488, 0,	//1189  const char*, const QString&
    201, 90, 0,	//1192  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    36, 98, 0,	//1195  QDebug, QFlags<QStyle::StateFlag>
    515, 411, 0,	//1198  const char*, const QByteArray&
    137, 137, 0,	//1201  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    32, 288, 0,	//1204  QDataStream&, QUuid&
    519, 519, 0,	//1207  double, double
    152, 152, 0,	//1210  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    32, 22, 0,	//1213  QDataStream&, QByteArray&
    32, 290, 0,	//1216  QDataStream&, QVariant&
    32, 500, 0,	//1219  QDataStream&, const QTreeWidgetItem&
    32, 236, 0,	//1222  QDataStream&, QRegExp&
    216, 216, 0,	//1225  QPainter::RenderHint, QPainter::RenderHint
    470, 470, 0,	//1228  const QPointF&, const QPointF&
    499, 519, 0,	//1231  const QTransform&, double
    276, 485, 0,	//1234  QTextStream&, const QSplitter&
    9, 55, 0,	//1237  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    138, 521, 0,	//1240  QGL::FormatOption, int
    507, 519, 0,	//1243  const QVector2D&, double
    138, 138, 0,	//1246  QGL::FormatOption, QGL::FormatOption
    285, 285, 0,	//1249  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    258, 258, 0,	//1252  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    491, 491, 0,	//1255  const QStringRef&, const QStringRef&
    513, 519, 0,	//1258  const QVector4D&, double
    258, 521, 0,	//1261  QStyleOptionButton::ButtonFeature, int
    50, 521, 0,	//1264  QFile::Permission, int
    36, 450, 0,	//1267  QDebug, const QLineF&
    23, 23, 0,	//1270  QChar, QChar
    455, 519, 0,	//1273  const QMatrix4x4&, double
    461, 499, 0,	//1276  const QPainterPath&, const QTransform&
    32, 408, 0,	//1279  QDataStream&, const QBrush&
    200, 89, 0,	//1282  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    515, 515, 529, 0,	//1285  const char*, const char*, unsigned int
    180, 521, 0,	//1289  QInputDialog::InputDialogOption, int
    9, 9, 0,	//1292  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    147, 147, 0,	//1295  QGLContext::BindOption, QGLContext::BindOption
    256, 521, 0,	//1298  QStyle::StateFlag, int
    36, 61, 0,	//1301  QDebug, QFlags<QDir::Filter>
    32, 238, 0,	//1304  QDataStream&, QRegion&
    216, 521, 0,	//1307  QPainter::RenderHint, int
    261, 521, 0,	//1310  QStyleOptionTab::CornerWidget, int
    301, 301, 0,	//1313  QWizard::WizardOption, QWizard::WizardOption
    278, 113, 0,	//1316  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    32, 18, 0,	//1319  QDataStream&, QBitArray&
    301, 117, 0,	//1322  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    470, 519, 0,	//1325  const QPointF&, double
    212, 93, 0,	//1328  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    168, 168, 0,	//1331  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    23, 0,	//1334  QChar
    215, 521, 521, 521, 521, 462, 398, 521, 409, 0,	//1336  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    6, 52, 0,	//1346  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    535, 0,	//1349  void(*)(QtMsgType,const char*)
    32, 415, 0,	//1351  QDataStream&, const QDate&
    460, 488, 457, 0,	//1354  const QObject*, const QString&, const QMetaObject&
    344, 126, 0,	//1358  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    510, 455, 0,	//1361  const QVector3D&, const QMatrix4x4&
    328, 521, 0,	//1364  Qt::GestureFlag, int
    215, 475, 462, 398, 409, 0,	//1367  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    268, 521, 0,	//1373  QTextCodec::ConversionFlag, int
    245, 245, 0,	//1376  QSizePolicy::ControlType, QSizePolicy::ControlType
    136, 521, 0,	//1379  QFontComboBox::FontFilter, int
    269, 521, 0,	//1382  QTextDocument::FindFlag, int
    32, 31, 0,	//1385  QDataStream&, QCursor&
    341, 125, 0,	//1388  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    510, 519, 0,	//1391  const QVector3D&, double
    344, 344, 0,	//1394  Qt::MatchFlag, Qt::MatchFlag
    32, 283, 0,	//1397  QDataStream&, QTransform&
    471, 454, 0,	//1400  const QPolygon&, const QMatrix&
    536, 0,	//1403  void*
    261, 103, 0,	//1405  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    488, 250, 0,	//1408  const QString&, QString::Null
    36, 463, 0,	//1411  QDebug, const QPen&
    263, 263, 0,	//1414  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    186, 521, 0,	//1417  QLibrary::LoadHint, int
    32, 243, 0,	//1420  QDataStream&, QSizeF&
    491, 515, 0,	//1423  const QStringRef&, const char*
    215, 475, 462, 398, 521, 521, 409, 0,	//1426  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    215, 475, 462, 398, 521, 521, 0,	//1434  QPainter*, const QRect&, const QPalette&, bool, int, int
    270, 270, 0,	//1441  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    211, 521, 0,	//1444  QPaintEngine::DirtyFlag, int
    168, 521, 0,	//1447  QGraphicsItem::GraphicsItemFlag, int
    470, 0,	//1450  const QPointF&
    536, 526, 526, 526, 0,	//1452  void*, size_t, size_t, size_t
    338, 338, 0,	//1457  Qt::ItemFlag, Qt::ItemFlag
    32, 466, 0,	//1460  QDataStream&, const QPixmap&
    531, 0,	//1463  unsigned long long
    411, 488, 0,	//1465  const QByteArray&, const QString&
    374, 133, 0,	//1468  Qt::WindowType, QFlags<Qt::WindowType>
    36, 481, 0,	//1471  QDebug, const QSize&
    470, 499, 0,	//1474  const QPointF&, const QTransform&
    338, 124, 0,	//1477  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    36, 510, 0,	//1480  QDebug, const QVector3D&
    366, 131, 0,	//1483  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    488, 399, 0,	//1486  const QString&, char
    41, 64, 0,	//1489  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    165, 521, 0,	//1492  QGraphicsEffect::ChangeFlag, int
    215, 521, 521, 521, 521, 413, 521, 409, 0,	//1495  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    215, 521, 521, 521, 521, 413, 0,	//1504  QPainter*, int, int, int, int, const QColor&
    215, 521, 521, 521, 521, 413, 521, 0,	//1511  QPainter*, int, int, int, int, const QColor&, int
    32, 501, 0,	//1519  QDataStream&, const QUrl&
    536, 521, 526, 0,	//1522  void*, int, size_t
    245, 96, 0,	//1526  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    32, 503, 0,	//1529  QDataStream&, const QVariant&
    32, 188, 0,	//1532  QDataStream&, QLine&
    9, 521, 0,	//1535  QAbstractSpinBox::StepEnabledFlag, int
    36, 507, 0,	//1538  QDebug, const QVector2D&
    341, 341, 0,	//1541  Qt::KeyboardModifier, Qt::KeyboardModifier
    455, 513, 0,	//1544  const QMatrix4x4&, const QVector4D&
    15, 521, 0,	//1547  QAccessible::StateFlag, int
    215, 475, 413, 521, 409, 0,	//1550  QPainter*, const QRect&, const QColor&, int, const QBrush*
    215, 475, 413, 0,	//1556  QPainter*, const QRect&, const QColor&
    215, 475, 413, 521, 0,	//1560  QPainter*, const QRect&, const QColor&, int
    222, 222, 0,	//1565  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    35, 521, 0,	//1568  QDateTimeEdit::Section, int
    534, 0,	//1571  void(*)()
    302, 521, 0,	//1573  Qt::AlignmentFlag, int
    468, 454, 0,	//1576  const QPoint&, const QMatrix&
    341, 521, 0,	//1579  Qt::KeyboardModifier, int
    338, 521, 0,	//1582  Qt::ItemFlag, int
    333, 122, 0,	//1585  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    32, 463, 0,	//1588  QDataStream&, const QPen&
    468, 468, 0,	//1591  const QPoint&, const QPoint&
    251, 521, 0,	//1594  QString::SectionFlag, int
    374, 521, 0,	//1597  Qt::WindowType, int
    300, 300, 0,	//1600  QWidget::RenderFlag, QWidget::RenderFlag
    491, 488, 0,	//1603  const QStringRef&, const QString&
    215, 475, 453, 466, 475, 453, 497, 65, 0,	//1606  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    215, 475, 453, 466, 475, 453, 0,	//1615  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    215, 475, 453, 466, 475, 453, 497, 0,	//1622  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    448, 448, 0,	//1630  const QLatin1String&, const QLatin1String&
    443, 443, 0,	//1633  const QHashDummyValue&, const QHashDummyValue&
    515, 529, 0,	//1636  const char*, unsigned int
    287, 287, 0,	//1639  QUrl::FormattingOption, QUrl::FormattingOption
    29, 521, 0,	//1642  QColorDialog::ColorDialogOption, int
    32, 175, 0,	//1645  QDataStream&, QIcon&
    32, 471, 0,	//1648  QDataStream&, const QPolygon&
    366, 521, 0,	//1651  Qt::TouchPointState, int
    300, 116, 0,	//1654  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    36, 453, 0,	//1657  QDebug, const QMargins&
    272, 521, 0,	//1660  QTextFormat::PageBreakFlag, int
    178, 521, 0,	//1663  QImageIOPlugin::Capability, int
    36, 78, 0,	//1666  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    171, 521, 0,	//1669  QGraphicsView::CacheModeFlag, int
    7, 521, 0,	//1672  QAbstractItemView::EditTrigger, int
    36, 513, 0,	//1675  QDebug, const QVector4D&
    276, 277, 0,	//1678  QTextStream&, QTextStream&(*)(QTextStream&)
    301, 521, 0,	//1681  QWizard::WizardOption, int
    51, 521, 0,	//1684  QFileDialog::Option, int
    256, 98, 0,	//1687  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    455, 468, 0,	//1690  const QMatrix4x4&, const QPoint&
    263, 105, 0,	//1693  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    32, 47, 0,	//1696  QDataStream&, QEasingCurve&
    170, 79, 0,	//1699  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    200, 200, 0,	//1702  QMdiArea::AreaOption, QMdiArea::AreaOption
    32, 247, 0,	//1705  QDataStream&, QStandardItem&
    32, 450, 0,	//1708  QDataStream&, const QLineF&
    50, 67, 0,	//1711  QFile::Permission, QFlags<QFile::Permission>
    212, 521, 0,	//1714  QPaintEngine::PaintEngineFeature, int
    36, 461, 0,	//1717  QDebug, const QPainterPath&
    400, 515, 529, 0,	//1720  char*, const char*, unsigned int
    29, 58, 0,	//1724  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    32, 20, 0,	//1727  QDataStream&, QBrush&
    32, 470, 0,	//1730  QDataStream&, const QPointF&
    32, 199, 0,	//1733  QDataStream&, QMatrix4x4&
    513, 0,	//1736  const QVector4D&
    36, 455, 0,	//1738  QDebug, const QMatrix4x4&
    501, 0,	//1741  const QUrl&
    172, 521, 0,	//1743  QGraphicsView::OptimizationFlag, int
    32, 271, 0,	//1746  QDataStream&, QTextFormat&
    195, 521, 0,	//1749  QLocale::NumberOption, int
    32, 193, 0,	//1752  QDataStream&, QListWidgetItem&
    536, 526, 0,	//1755  void*, size_t
    165, 77, 0,	//1758  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    164, 76, 0,	//1761  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    488, 488, 0,	//1764  const QString&, const QString&
    263, 521, 0,	//1767  QStyleOptionToolButton::ToolButtonFeature, int
    202, 521, 0,	//1770  QMessageBox::StandardButton, int
    515, 515, 515, 521, 0,	//1773  const char*, const char*, const char*, int
    488, 491, 0,	//1778  const QString&, const QStringRef&
    36, 168, 0,	//1781  QDebug, QGraphicsItem::GraphicsItemFlag
    14, 56, 0,	//1784  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    185, 183, 0,	//1787  QKeySequence::StandardKey, QKeyEvent*
    245, 521, 0,	//1790  QSizePolicy::ControlType, int
    32, 244, 0,	//1793  QDataStream&, QSizePolicy&
    160, 521, 0,	//1796  QGLShader::ShaderTypeBit, int
    515, 491, 0,	//1799  const char*, const QStringRef&
    32, 197, 0,	//1802  QDataStream&, QMatrix&
    346, 521, 0,	//1805  Qt::MouseButton, int
    260, 102, 0,	//1808  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    32, 242, 0,	//1811  QDataStream&, QSize&
    40, 40, 0,	//1814  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    335, 335, 0,	//1817  Qt::InputMethodHint, Qt::InputMethodHint
    278, 278, 0,	//1820  QTextStream::NumberFlag, QTextStream::NumberFlag
    455, 470, 0,	//1823  const QMatrix4x4&, const QPointF&
    455, 0,	//1826  const QMatrix4x4&
    8, 54, 0,	//1828  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    519, 507, 0,	//1831  double, const QVector2D&
    180, 180, 0,	//1834  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    8, 521, 0,	//1837  QAbstractPrintDialog::PrintDialogOption, int
    32, 292, 0,	//1840  QDataStream&, QVariant::Type&
    360, 129, 0,	//1843  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    32, 510, 0,	//1846  QDataStream&, const QVector3D&
    450, 499, 0,	//1849  const QLineF&, const QTransform&
    491, 448, 0,	//1852  const QStringRef&, const QLatin1String&
    525, 0,	//1855  signed char
    32, 472, 0,	//1857  QDataStream&, const QPolygonF&
    32, 483, 0,	//1860  QDataStream&, const QSizeF&
    363, 130, 0,	//1863  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    519, 510, 0,	//1866  double, const QVector3D&
    32, 420, 0,	//1869  QDataStream&, const QFont&
    275, 112, 0,	//1872  QTextOption::Flag, QFlags<QTextOption::Flag>
    32, 265, 0,	//1875  QDataStream&, QTableWidgetItem&
    152, 73, 0,	//1878  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    257, 99, 0,	//1881  QStyle::SubControl, QFlags<QStyle::SubControl>
    32, 507, 0,	//1884  QDataStream&, const QVector2D&
    32, 454, 0,	//1887  QDataStream&, const QMatrix&
    399, 488, 0,	//1890  char, const QString&
    216, 94, 0,	//1893  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    186, 186, 0,	//1896  QLibrary::LoadHint, QLibrary::LoadHint
    519, 455, 0,	//1899  double, const QMatrix4x4&
    172, 81, 0,	//1902  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    373, 373, 0,	//1905  Qt::WindowState, Qt::WindowState
    273, 273, 0,	//1908  QTextItem::RenderFlag, QTextItem::RenderFlag
    36, 501, 0,	//1911  QDebug, const QUrl&
    171, 171, 0,	//1914  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    287, 115, 0,	//1917  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    32, 232, 0,	//1920  QDataStream&, QPolygonF&
    285, 114, 0,	//1923  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    32, 219, 0,	//1926  QDataStream&, QPalette&
    32, 461, 0,	//1929  QDataStream&, const QPainterPath&
    15, 15, 0,	//1932  QAccessible::StateFlag, QAccessible::StateFlag
    476, 476, 0,	//1935  const QRectF&, const QRectF&
    519, 481, 0,	//1938  double, const QSize&
    183, 185, 0,	//1941  QKeyEvent*, QKeySequence::StandardKey
    50, 50, 0,	//1944  QFile::Permission, QFile::Permission
    459, 0,	//1947  const QModelIndex&
    171, 80, 0,	//1949  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    257, 257, 0,	//1952  QStyle::SubControl, QStyle::SubControl
    36, 449, 0,	//1955  QDebug, const QLine&
    7, 53, 0,	//1958  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    32, 233, 0,	//1961  QDataStream&, QQuaternion&
    222, 521, 0,	//1964  QPinchGesture::ChangeFlag, int
    513, 455, 0,	//1967  const QVector4D&, const QMatrix4x4&
    32, 407, 0,	//1970  QDataStream&, const QBitArray&
    454, 454, 0,	//1973  const QMatrix&, const QMatrix&
    264, 264, 0,	//1976  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    536, 518, 526, 0,	//1979  void*, const void*, size_t
    519, 468, 0,	//1983  double, const QPoint&
    36, 169, 0,	//1986  QDebug, QGraphicsObject*
    196, 88, 0,	//1989  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    36, 459, 0,	//1992  QDebug, const QModelIndex&
    524, 0,	//1995  short
    36, 416, 0,	//1997  QDebug, const QDateTime&
    201, 201, 0,	//2000  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    32, 468, 0,	//2003  QDataStream&, const QPoint&
    32, 445, 0,	//2006  QDataStream&, const QImage&
    519, 474, 0,	//2009  double, const QQuaternion&
    411, 399, 0,	//2012  const QByteArray&, char
    269, 269, 0,	//2015  QTextDocument::FindFlag, QTextDocument::FindFlag
    36, 447, 0,	//2018  QDebug, const QKeySequence&
    211, 92, 0,	//2021  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    37, 37, 0,	//2024  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    14, 14, 0,	//2027  QAccessible::RelationFlag, QAccessible::RelationFlag
    36, 460, 0,	//2030  QDebug, const QObject*
    170, 170, 0,	//2033  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    138, 71, 0,	//2036  QGL::FormatOption, QFlags<QGL::FormatOption>
    36, 419, 0,	//2039  QDebug, const QEvent*
    520, 520, 0,	//2042  float, float
    32, 135, 0,	//2045  QDataStream&, QFont&
    39, 62, 0,	//2048  QDir::SortFlag, QFlags<QDir::SortFlag>
    400, 526, 515, 533, 0,	//2051  char*, size_t, const char*, va_list
    180, 84, 0,	//2056  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    251, 97, 0,	//2059  QString::SectionFlag, QFlags<QString::SectionFlag>
    32, 481, 0,	//2062  QDataStream&, const QSize&
    182, 85, 0,	//2065  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    32, 235, 0,	//2068  QDataStream&, QRectF&
    268, 107, 0,	//2071  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    36, 82, 0,	//2074  QDebug, QFlags<QIODevice::OpenModeFlag>
    32, 412, 0,	//2077  QDataStream&, const QChar&
    398, 19, 0,	//2080  bool, QBool
    36, 476, 0,	//2083  QDebug, const QRectF&
    163, 521, 0,	//2086  QGestureRecognizer::ResultFlag, int
    471, 499, 0,	//2089  const QPolygon&, const QTransform&
    19, 398, 0,	//2092  QBool, bool
    373, 521, 0,	//2095  Qt::WindowState, int
    264, 106, 0,	//2098  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    32, 274, 0,	//2101  QDataStream&, QTextLength&
    32, 253, 0,	//2104  QDataStream&, QStringList&
    32, 475, 0,	//2107  QDataStream&, const QRect&
    32, 479, 0,	//2110  QDataStream&, const QRegion&
    321, 321, 0,	//2113  Qt::DockWidgetArea, Qt::DockWidgetArea
    36, 454, 0,	//2116  QDebug, const QMatrix&
    164, 521, 0,	//2119  QGraphicsBlurEffect::BlurHint, int
    195, 87, 0,	//2122  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    152, 521, 0,	//2125  QGLFormat::OpenGLVersionFlag, int
    275, 275, 0,	//2128  QTextOption::Flag, QTextOption::Flag
    147, 72, 0,	//2131  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    32, 413, 0,	//2134  QDataStream&, const QColor&
    374, 374, 0,	//2137  Qt::WindowType, Qt::WindowType
    35, 35, 0,	//2140  QDateTimeEdit::Section, QDateTimeEdit::Section
    481, 519, 0,	//2143  const QSize&, double
    455, 510, 0,	//2146  const QMatrix4x4&, const QVector3D&
    250, 488, 0,	//2149  QString::Null, const QString&
    36, 408, 0,	//2152  QDebug, const QBrush&
    39, 39, 0,	//2155  QDir::SortFlag, QDir::SortFlag
    335, 123, 0,	//2158  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    32, 226, 0,	//2161  QDataStream&, QPoint&
    36, 470, 0,	//2164  QDebug, const QPointF&
    460, 488, 478, 457, 192, 0,	//2167  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    32, 34, 0,	//2173  QDataStream&, QDateTime&
    259, 259, 0,	//2176  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    32, 498, 0,	//2179  QDataStream&, const QTime&
    32, 284, 0,	//2182  QDataStream&, QTreeWidgetItem&
    32, 184, 0,	//2185  QDataStream&, QKeySequence&
    270, 521, 0,	//2188  QTextEdit::AutoFormattingFlag, int
    32, 502, 0,	//2191  QDataStream&, const QUuid&
    276, 279, 0,	//2194  QTextStream&, QTextStreamManipulator
    178, 83, 0,	//2197  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    32, 496, 0,	//2200  QDataStream&, const QTextLength&
    479, 499, 0,	//2203  const QRegion&, const QTransform&
    470, 455, 0,	//2206  const QPointF&, const QMatrix4x4&
    36, 166, 0,	//2209  QDebug, QGraphicsItem*
    41, 521, 0,	//2212  QDockWidget::DockWidgetFeature, int
    32, 451, 0,	//2215  QDataStream&, const QListWidgetItem&
    251, 251, 0,	//2218  QString::SectionFlag, QString::SectionFlag
    526, 526, 0,	//2221  size_t, size_t
    170, 521, 0,	//2224  QGraphicsScene::SceneLayer, int
    278, 521, 0,	//2227  QTextStream::NumberFlag, int
    516, 521, 521, 0,	//2230  const unsigned char*, int, int
    516, 521, 0,	//2234  const unsigned char*, int
    174, 521, 0,	//2237  QIODevice::OpenModeFlag, int
    36, 493, 0,	//2240  QDebug, const QStyleOption::OptionType&
    328, 121, 0,	//2243  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    32, 486, 0,	//2246  QDataStream&, const QStandardItem&
    472, 454, 0,	//2249  const QPolygonF&, const QMatrix&
    14, 521, 0,	//2252  QAccessible::RelationFlag, int
    468, 0,	//2255  const QPoint&
    32, 230, 0,	//2257  QDataStream&, QPolygon&
    215, 475, 453, 466, 0,	//2260  QPainter*, const QRect&, const QMargins&, const QPixmap&
    136, 69, 0,	//2265  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    51, 51, 0,	//2268  QFileDialog::Option, QFileDialog::Option
    200, 521, 0,	//2271  QMdiArea::AreaOption, int
    32, 249, 0,	//2274  QDataStream&, QString&
    35, 59, 0,	//2277  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    37, 60, 0,	//2280  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    215, 468, 468, 462, 398, 521, 521, 0,	//2283  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    215, 468, 468, 462, 0,	//2291  QPainter*, const QPoint&, const QPoint&, const QPalette&
    215, 468, 468, 462, 398, 0,	//2296  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    215, 468, 468, 462, 398, 521, 0,	//2302  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    182, 182, 0,	//2309  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    32, 488, 0,	//2312  QDataStream&, const QString&
    32, 418, 0,	//2315  QDataStream&, const QEasingCurve&
    276, 246, 0,	//2318  QTextStream&, QSplitter&
    147, 521, 0,	//2321  QGLContext::BindOption, int
    32, 455, 0,	//2324  QDataStream&, const QMatrix4x4&
    32, 24, 0,	//2327  QDataStream&, QChar&
    32, 513, 0,	//2330  QDataStream&, const QVector4D&
    256, 256, 0,	//2333  QStyle::StateFlag, QStyle::StateFlag
    446, 0,	//2336  const QItemSelectionRange&
    360, 360, 0,	//2338  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    32, 224, 0,	//2341  QDataStream&, QPixmap&
    488, 411, 0,	//2344  const QString&, const QByteArray&
    49, 49, 0,	//2347  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    468, 455, 0,	//2350  const QPoint&, const QMatrix4x4&
    32, 234, 0,	//2353  QDataStream&, QRect&
    6, 521, 0,	//2356  QAbstractFileEngine::FileFlag, int
    137, 70, 0,	//2359  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    172, 172, 0,	//2362  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    377, 515, 0,	//2365  QtMsgType, const char*
    333, 521, 0,	//2368  Qt::ImageConversionFlag, int
    510, 0,	//2371  const QVector3D&
    258, 100, 0,	//2373  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    29, 29, 0,	//2376  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    36, 475, 0,	//2379  QDebug, const QRect&
    32, 444, 0,	//2382  QDataStream&, const QIcon&
    32, 504, 0,	//2385  QDataStream&, const QVariant::Type
    32, 295, 0,	//2388  QDataStream&, QVector3D&
    264, 521, 0,	//2391  QStyleOptionViewItemV2::ViewItemFeature, int
    519, 513, 0,	//2394  double, const QVector4D&
    32, 190, 0,	//2397  QDataStream&, QLineF&
    32, 218, 0,	//2400  QDataStream&, QPainterPath&
    168, 78, 0,	//2403  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    32, 221, 0,	//2406  QDataStream&, QPicture&
    366, 366, 0,	//2409  Qt::TouchPointState, Qt::TouchPointState
    160, 74, 0,	//2412  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    273, 111, 0,	//2415  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    360, 521, 0,	//2418  Qt::TextInteractionFlag, int
    468, 499, 0,	//2421  const QPoint&, const QTransform&
    259, 521, 0,	//2424  QStyleOptionFrameV2::FrameFeature, int
    37, 521, 0,	//2427  QDialogButtonBox::StandardButton, int
    262, 262, 0,	//2430  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    32, 293, 0,	//2433  QDataStream&, QVector2D&
    273, 521, 0,	//2436  QTextItem::RenderFlag, int
    399, 0,	//2439  char
    32, 416, 0,	//2441  QDataStream&, const QDateTime&
    196, 521, 0,	//2444  QMainWindow::DockOption, int
    32, 280, 0,	//2447  QDataStream&, QTime&
    272, 110, 0,	//2450  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    333, 333, 0,	//2453  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    36, 474, 0,	//2456  QDebug, const QQuaternion&
    32, 495, 0,	//2459  QDataStream&, const QTextFormat&
    259, 101, 0,	//2462  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    323, 120, 0,	//2465  Qt::DropAction, QFlags<Qt::DropAction>
    201, 521, 0,	//2468  QMdiSubWindow::SubWindowOption, int
    323, 323, 0,	//2471  Qt::DropAction, Qt::DropAction
    164, 164, 0,	//2474  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    348, 521, 0,	//2477  Qt::Orientation, int
    178, 178, 0,	//2480  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    32, 474, 0,	//2483  QDataStream&, const QQuaternion&
    36, 417, 0,	//2486  QDebug, const QDir&
    479, 454, 0,	//2489  const QRegion&, const QMatrix&
    36, 479, 0,	//2492  QDebug, const QRegion&
    32, 286, 0,	//2495  QDataStream&, QUrl&
    186, 86, 0,	//2498  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    275, 521, 0,	//2501  QTextOption::Flag, int
    488, 23, 0,	//2504  const QString&, QChar
    521, 521, 521, 521, 0,	//2507  int, int, int, int
    348, 128, 0,	//2512  Qt::Orientation, QFlags<Qt::Orientation>
    262, 104, 0,	//2515  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    196, 196, 0,	//2518  QMainWindow::DockOption, QMainWindow::DockOption
    526, 0,	//2521  size_t
    36, 503, 0,	//2523  QDebug, const QVariant&
    195, 195, 0,	//2526  QLocale::NumberOption, QLocale::NumberOption
    32, 452, 0,	//2529  QDataStream&, const QLocale&
    206, 48, 0,	//2532  QObject*, QEvent*
    281, 0,	//2535  QTimerEvent*
    25, 0,	//2537  QChildEvent*
    204, 0,	//2539  QMouseEvent*
    298, 0,	//2541  QWheelEvent*
    183, 0,	//2543  QKeyEvent*
    134, 0,	//2545  QFocusEvent*
    205, 0,	//2547  QMoveEvent*
    26, 0,	//2549  QCloseEvent*
    30, 0,	//2551  QContextMenuEvent*
    266, 0,	//2553  QTabletEvent*
    16, 0,	//2555  QActionEvent*
    42, 0,	//2557  QDragEnterEvent*
    44, 0,	//2559  QDragMoveEvent*
    43, 0,	//2561  QDragLeaveEvent*
    46, 0,	//2563  QDropEvent*
    240, 0,	//2565  QShowEvent*
    173, 0,	//2567  QHideEvent*
    397, 0,	//2569  _XEvent*
    181, 0,	//2571  QInputMethodEvent*
    336, 0,	//2573  Qt::InputMethodQuery
    255, 0,	//2575  QStyle&
    462, 0,	//2577  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LicensedActiveQt",	//27
    "LicensedCore",	//28
    "LicensedDBus",	//29
    "LicensedDeclarative",	//30
    "LicensedGui",	//31
    "LicensedHelp",	//32
    "LicensedMultimedia",	//33
    "LicensedNetwork",	//34
    "LicensedOpenGL",	//35
    "LicensedOpenVG",	//36
    "LicensedQt3Support",	//37
    "LicensedQt3SupportLight",	//38
    "LicensedScript",	//39
    "LicensedScriptTools",	//40
    "LicensedSql",	//41
    "LicensedSvg",	//42
    "LicensedTest",	//43
    "LicensedXml",	//44
    "LicensedXmlPatterns",	//45
    "LinearFilteringBindOption",	//46
    "MemoryManagedBindOption",	//47
    "MipmapBindOption",	//48
    "NoAccumBuffer",	//49
    "NoAlphaChannel",	//50
    "NoAttachment",	//51
    "NoBindOption",	//52
    "NoDeprecatedFunctions",	//53
    "NoDepthBuffer",	//54
    "NoOverlay",	//55
    "NoProfile",	//56
    "NoSampleBuffers",	//57
    "NoStencilBuffer",	//58
    "NoStereoBuffers",	//59
    "OpenGL_ES_CommonLite_Version_1_0",	//60
    "OpenGL_ES_CommonLite_Version_1_1",	//61
    "OpenGL_ES_Common_Version_1_0",	//62
    "OpenGL_ES_Common_Version_1_1",	//63
    "OpenGL_ES_Version_2_0",	//64
    "OpenGL_Version_1_1",	//65
    "OpenGL_Version_1_2",	//66
    "OpenGL_Version_1_3",	//67
    "OpenGL_Version_1_4",	//68
    "OpenGL_Version_1_5",	//69
    "OpenGL_Version_2_0",	//70
    "OpenGL_Version_2_1",	//71
    "OpenGL_Version_3_0",	//72
    "OpenGL_Version_3_1",	//73
    "OpenGL_Version_3_2",	//74
    "OpenGL_Version_3_3",	//75
    "OpenGL_Version_4_0",	//76
    "OpenGL_Version_None",	//77
    "PM_BoldLineWidth",	//78
    "PM_FrameCornerHeight",	//79
    "PM_FrameCornerWidth",	//80
    "PM_MessageBoxHeight",	//81
    "PM_ThinLineWidth",	//82
    "PixelPackBuffer",	//83
    "PixelUnpackBuffer",	//84
    "PremultipliedAlphaBindOption",	//85
    "QGLBuffer",	//86
    "QGLBuffer#",	//87
    "QGLBuffer$",	//88
    "QGLColormap",	//89
    "QGLColormap#",	//90
    "QGLContext",	//91
    "QGLContext#",	//92
    "QGLContext##",	//93
    "QGLFormat",	//94
    "QGLFormat#",	//95
    "QGLFormat$",	//96
    "QGLFormat$$",	//97
    "QGLFramebufferObject",	//98
    "QGLFramebufferObject#",	//99
    "QGLFramebufferObject##",	//100
    "QGLFramebufferObject#$",	//101
    "QGLFramebufferObject#$?",	//102
    "QGLFramebufferObject#$??",	//103
    "QGLFramebufferObject#?",	//104
    "QGLFramebufferObject$$",	//105
    "QGLFramebufferObject$$#",	//106
    "QGLFramebufferObject$$$",	//107
    "QGLFramebufferObject$$$?",	//108
    "QGLFramebufferObject$$$??",	//109
    "QGLFramebufferObject$$?",	//110
    "QGLFramebufferObjectFormat",	//111
    "QGLFramebufferObjectFormat#",	//112
    "QGLPixelBuffer",	//113
    "QGLPixelBuffer#",	//114
    "QGLPixelBuffer##",	//115
    "QGLPixelBuffer###",	//116
    "QGLPixelBuffer$$",	//117
    "QGLPixelBuffer$$#",	//118
    "QGLPixelBuffer$$##",	//119
    "QGLShader",	//120
    "QGLShader$",	//121
    "QGLShader$#",	//122
    "QGLShader$##",	//123
    "QGLShaderProgram",	//124
    "QGLShaderProgram#",	//125
    "QGLShaderProgram##",	//126
    "QGLWidget",	//127
    "QGLWidget#",	//128
    "QGLWidget##",	//129
    "QGLWidget###",	//130
    "QGLWidget###$",	//131
    "QGLWidget##$",	//132
    "QtCriticalMsg",	//133
    "QtDebugMsg",	//134
    "QtFatalMsg",	//135
    "QtSystemMsg",	//136
    "QtWarningMsg",	//137
    "ReadOnly",	//138
    "ReadWrite",	//139
    "Rgba",	//140
    "SampleBuffers",	//141
    "SingleBuffer",	//142
    "StaticCopy",	//143
    "StaticDraw",	//144
    "StaticRead",	//145
    "StencilBuffer",	//146
    "StereoBuffers",	//147
    "StreamCopy",	//148
    "StreamDraw",	//149
    "StreamRead",	//150
    "Vertex",	//151
    "VertexBuffer",	//152
    "WriteOnly",	//153
    "accum",	//154
    "accumBufferSize",	//155
    "actionEvent",	//156
    "addShader",	//157
    "addShader#",	//158
    "addShaderFromSourceCode",	//159
    "addShaderFromSourceCode$#",	//160
    "addShaderFromSourceCode$$",	//161
    "addShaderFromSourceFile",	//162
    "addShaderFromSourceFile$$",	//163
    "allocate",	//164
    "allocate$",	//165
    "allocate$$",	//166
    "alpha",	//167
    "alphaBufferSize",	//168
    "areSharing",	//169
    "areSharing##",	//170
    "attachment",	//171
    "attributeLocation",	//172
    "attributeLocation#",	//173
    "attributeLocation$",	//174
    "autoBufferSwap",	//175
    "bind",	//176
    "bindAttributeLocation",	//177
    "bindAttributeLocation#$",	//178
    "bindAttributeLocation$$",	//179
    "bindDefault",	//180
    "bindTexture",	//181
    "bindTexture#",	//182
    "bindTexture#?",	//183
    "bindTexture#??",	//184
    "bindTexture#??$",	//185
    "bindTexture$",	//186
    "bindToDynamicTexture",	//187
    "bindToDynamicTexture?",	//188
    "blitFramebuffer",	//189
    "blitFramebuffer####",	//190
    "blitFramebuffer####?",	//191
    "blitFramebuffer####??",	//192
    "blueBufferSize",	//193
    "bufferId",	//194
    "changeEvent",	//195
    "childEvent",	//196
    "chooseContext",	//197
    "chooseContext#",	//198
    "chooseVisual",	//199
    "closeEvent",	//200
    "colorIndex",	//201
    "colorIndex#",	//202
    "colormap",	//203
    "compileSourceCode",	//204
    "compileSourceCode#",	//205
    "compileSourceCode$",	//206
    "compileSourceFile",	//207
    "compileSourceFile$",	//208
    "connectNotify",	//209
    "context",	//210
    "contextMenuEvent",	//211
    "convertToGLFormat",	//212
    "convertToGLFormat#",	//213
    "create",	//214
    "create#",	//215
    "currentContext",	//216
    "currentCtx",	//217
    "customEvent",	//218
    "defaultFormat",	//219
    "defaultOverlayFormat",	//220
    "deleteTexture",	//221
    "deleteTexture?",	//222
    "depth",	//223
    "depthBufferSize",	//224
    "destroy",	//225
    "detach",	//226
    "devType",	//227
    "device",	//228
    "deviceIsPixmap",	//229
    "directRendering",	//230
    "disableAttributeArray",	//231
    "disableAttributeArray$",	//232
    "disconnectNotify",	//233
    "doneCurrent",	//234
    "doubleBuffer",	//235
    "dragEnterEvent",	//236
    "dragLeaveEvent",	//237
    "dragMoveEvent",	//238
    "drawTexture",	//239
    "drawTexture#?",	//240
    "drawTexture#??",	//241
    "dropEvent",	//242
    "enableAttributeArray",	//243
    "enableAttributeArray$",	//244
    "enabledChange",	//245
    "enterEvent",	//246
    "entryColor",	//247
    "entryColor$",	//248
    "entryRgb",	//249
    "entryRgb$",	//250
    "event",	//251
    "event#",	//252
    "eventFilter",	//253
    "find",	//254
    "find$",	//255
    "findNearest",	//256
    "findNearest$",	//257
    "focusInEvent",	//258
    "focusNextPrevChild",	//259
    "focusOutEvent",	//260
    "fontChange",	//261
    "fontDisplayListBase",	//262
    "fontDisplayListBase#",	//263
    "fontDisplayListBase#$",	//264
    "format",	//265
    "generateDynamicTexture",	//266
    "generateFontDisplayLists",	//267
    "generateFontDisplayLists#$",	//268
    "geometryInputType",	//269
    "geometryOutputType",	//270
    "geometryOutputVertexCount",	//271
    "getProcAddress",	//272
    "getProcAddress$",	//273
    "glDraw",	//274
    "glInit",	//275
    "grabFrameBuffer",	//276
    "grabFrameBuffer$",	//277
    "greenBufferSize",	//278
    "handle",	//279
    "hasOpenGL",	//280
    "hasOpenGLFramebufferBlit",	//281
    "hasOpenGLFramebufferObjects",	//282
    "hasOpenGLOverlays",	//283
    "hasOpenGLPbuffers",	//284
    "hasOpenGLShaderPrograms",	//285
    "hasOpenGLShaderPrograms#",	//286
    "hasOpenGLShaders",	//287
    "hasOpenGLShaders$",	//288
    "hasOpenGLShaders$#",	//289
    "hasOverlay",	//290
    "heightForWidth",	//291
    "hideEvent",	//292
    "initializeGL",	//293
    "initializeOverlayGL",	//294
    "initialized",	//295
    "inputMethodEvent",	//296
    "inputMethodQuery",	//297
    "internalTextureFormat",	//298
    "isBound",	//299
    "isCompiled",	//300
    "isCreated",	//301
    "isEmpty",	//302
    "isLinked",	//303
    "isSharing",	//304
    "isValid",	//305
    "keyPressEvent",	//306
    "keyReleaseEvent",	//307
    "languageChange",	//308
    "leaveEvent",	//309
    "link",	//310
    "log",	//311
    "majorVersion",	//312
    "makeCurrent",	//313
    "makeOverlayCurrent",	//314
    "map",	//315
    "map$",	//316
    "maxGeometryOutputVertices",	//317
    "metaObject",	//318
    "metric",	//319
    "metric$",	//320
    "minimumSizeHint",	//321
    "minorVersion",	//322
    "mouseDoubleClickEvent",	//323
    "mouseMoveEvent",	//324
    "mousePressEvent",	//325
    "mouseReleaseEvent",	//326
    "moveEvent",	//327
    "openGLVersionFlags",	//328
    "operator!=",	//329
    "operator!=#",	//330
    "operator!=##",	//331
    "operator!=#$",	//332
    "operator!=$#",	//333
    "operator!=$$",	//334
    "operator&",	//335
    "operator&##",	//336
    "operator*",	//337
    "operator*##",	//338
    "operator*#$",	//339
    "operator*$#",	//340
    "operator+",	//341
    "operator+##",	//342
    "operator+#$",	//343
    "operator+$#",	//344
    "operator+$$",	//345
    "operator-",	//346
    "operator-#",	//347
    "operator-##",	//348
    "operator-#$",	//349
    "operator/",	//350
    "operator/#$",	//351
    "operator<",	//352
    "operator<##",	//353
    "operator<#$",	//354
    "operator<$#",	//355
    "operator<$$",	//356
    "operator<<",	//357
    "operator<<##",	//358
    "operator<<#$",	//359
    "operator<<#?",	//360
    "operator<=",	//361
    "operator<=##",	//362
    "operator<=#$",	//363
    "operator<=$#",	//364
    "operator<=$$",	//365
    "operator=",	//366
    "operator=#",	//367
    "operator==",	//368
    "operator==#",	//369
    "operator==##",	//370
    "operator==#$",	//371
    "operator==$#",	//372
    "operator==$$",	//373
    "operator>",	//374
    "operator>##",	//375
    "operator>#$",	//376
    "operator>$#",	//377
    "operator>$$",	//378
    "operator>=",	//379
    "operator>=##",	//380
    "operator>=#$",	//381
    "operator>=$#",	//382
    "operator>=$$",	//383
    "operator>>",	//384
    "operator>>##",	//385
    "operator>>#$",	//386
    "operator>>#?",	//387
    "operator^",	//388
    "operator^##",	//389
    "operator|",	//390
    "operator|##",	//391
    "operator|$$",	//392
    "overlayContext",	//393
    "overlayTransparentColor",	//394
    "paintEngine",	//395
    "paintEvent",	//396
    "paintEvent#",	//397
    "paintGL",	//398
    "paintOverlayGL",	//399
    "paletteChange",	//400
    "plane",	//401
    "profile",	//402
    "programId",	//403
    "qAccessibleActionCastHelper",	//404
    "qAccessibleEditableTextCastHelper",	//405
    "qAccessibleImageCastHelper",	//406
    "qAccessibleTableCastHelper",	//407
    "qAccessibleTextCastHelper",	//408
    "qAccessibleValueCastHelper",	//409
    "qAcos",	//410
    "qAcos$",	//411
    "qAddPostRoutine",	//412
    "qAddPostRoutine$",	//413
    "qAlpha",	//414
    "qAlpha$",	//415
    "qAppName",	//416
    "qAsin",	//417
    "qAsin$",	//418
    "qAtan",	//419
    "qAtan$",	//420
    "qAtan2",	//421
    "qAtan2$$",	//422
    "qBadAlloc",	//423
    "qBlue",	//424
    "qBlue$",	//425
    "qCeil",	//426
    "qCeil$",	//427
    "qChecksum",	//428
    "qChecksum$$",	//429
    "qCompress",	//430
    "qCompress#",	//431
    "qCompress#$",	//432
    "qCompress$$",	//433
    "qCompress$$$",	//434
    "qCos",	//435
    "qCos$",	//436
    "qCritical",	//437
    "qDebug",	//438
    "qDrawBorderPixmap",	//439
    "qDrawBorderPixmap####",	//440
    "qDrawBorderPixmap######",	//441
    "qDrawBorderPixmap#######",	//442
    "qDrawBorderPixmap#######$",	//443
    "qDrawPlainRect",	//444
    "qDrawPlainRect###",	//445
    "qDrawPlainRect###$",	//446
    "qDrawPlainRect###$#",	//447
    "qDrawPlainRect#$$$$#",	//448
    "qDrawPlainRect#$$$$#$",	//449
    "qDrawPlainRect#$$$$#$#",	//450
    "qDrawShadeLine",	//451
    "qDrawShadeLine####",	//452
    "qDrawShadeLine####$",	//453
    "qDrawShadeLine####$$",	//454
    "qDrawShadeLine####$$$",	//455
    "qDrawShadeLine#$$$$#",	//456
    "qDrawShadeLine#$$$$#$",	//457
    "qDrawShadeLine#$$$$#$$",	//458
    "qDrawShadeLine#$$$$#$$$",	//459
    "qDrawShadePanel",	//460
    "qDrawShadePanel###",	//461
    "qDrawShadePanel###$",	//462
    "qDrawShadePanel###$$",	//463
    "qDrawShadePanel###$$#",	//464
    "qDrawShadePanel#$$$$#",	//465
    "qDrawShadePanel#$$$$#$",	//466
    "qDrawShadePanel#$$$$#$$",	//467
    "qDrawShadePanel#$$$$#$$#",	//468
    "qDrawShadeRect",	//469
    "qDrawShadeRect###",	//470
    "qDrawShadeRect###$",	//471
    "qDrawShadeRect###$$",	//472
    "qDrawShadeRect###$$$",	//473
    "qDrawShadeRect###$$$#",	//474
    "qDrawShadeRect#$$$$#",	//475
    "qDrawShadeRect#$$$$#$",	//476
    "qDrawShadeRect#$$$$#$$",	//477
    "qDrawShadeRect#$$$$#$$$",	//478
    "qDrawShadeRect#$$$$#$$$#",	//479
    "qDrawWinButton",	//480
    "qDrawWinButton###",	//481
    "qDrawWinButton###$",	//482
    "qDrawWinButton###$#",	//483
    "qDrawWinButton#$$$$#",	//484
    "qDrawWinButton#$$$$#$",	//485
    "qDrawWinButton#$$$$#$#",	//486
    "qDrawWinPanel",	//487
    "qDrawWinPanel###",	//488
    "qDrawWinPanel###$",	//489
    "qDrawWinPanel###$#",	//490
    "qDrawWinPanel#$$$$#",	//491
    "qDrawWinPanel#$$$$#$",	//492
    "qDrawWinPanel#$$$$#$#",	//493
    "qExp",	//494
    "qExp$",	//495
    "qFabs",	//496
    "qFabs$",	//497
    "qFastCos",	//498
    "qFastCos$",	//499
    "qFastSin",	//500
    "qFastSin$",	//501
    "qFlagLocation",	//502
    "qFlagLocation$",	//503
    "qFloor",	//504
    "qFloor$",	//505
    "qFree",	//506
    "qFree$",	//507
    "qFreeAligned",	//508
    "qFreeAligned$",	//509
    "qFuzzyCompare",	//510
    "qFuzzyCompare##",	//511
    "qFuzzyCompare$$",	//512
    "qFuzzyIsNull",	//513
    "qFuzzyIsNull$",	//514
    "qGray",	//515
    "qGray$",	//516
    "qGray$$$",	//517
    "qGreen",	//518
    "qGreen$",	//519
    "qHash",	//520
    "qHash#",	//521
    "qHash$",	//522
    "qInf",	//523
    "qInstallMsgHandler",	//524
    "qInstallMsgHandler$",	//525
    "qIntCast",	//526
    "qIntCast$",	//527
    "qIsFinite",	//528
    "qIsFinite$",	//529
    "qIsGray",	//530
    "qIsGray$",	//531
    "qIsInf",	//532
    "qIsInf$",	//533
    "qIsNaN",	//534
    "qIsNaN$",	//535
    "qIsNull",	//536
    "qIsNull$",	//537
    "qLn",	//538
    "qLn$",	//539
    "qMalloc",	//540
    "qMalloc$",	//541
    "qMallocAligned",	//542
    "qMallocAligned$$",	//543
    "qMemCopy",	//544
    "qMemCopy$$$",	//545
    "qMemSet",	//546
    "qMemSet$$$",	//547
    "qPow",	//548
    "qPow$$",	//549
    "qQNaN",	//550
    "qRealloc",	//551
    "qRealloc$$",	//552
    "qReallocAligned",	//553
    "qReallocAligned$$$$",	//554
    "qRed",	//555
    "qRed$",	//556
    "qRegisterStaticPluginInstanceFunction",	//557
    "qRegisterStaticPluginInstanceFunction#",	//558
    "qRemovePostRoutine",	//559
    "qRemovePostRoutine$",	//560
    "qRgb",	//561
    "qRgb$$$",	//562
    "qRgba",	//563
    "qRgba$$$$",	//564
    "qRound",	//565
    "qRound$",	//566
    "qRound64",	//567
    "qRound64$",	//568
    "qSNaN",	//569
    "qSetFieldWidth",	//570
    "qSetFieldWidth$",	//571
    "qSetPadChar",	//572
    "qSetPadChar#",	//573
    "qSetRealNumberPrecision",	//574
    "qSetRealNumberPrecision$",	//575
    "qSharedBuild",	//576
    "qSin",	//577
    "qSin$",	//578
    "qSqrt",	//579
    "qSqrt$",	//580
    "qStringComparisonHelper",	//581
    "qStringComparisonHelper#$",	//582
    "qStringComparisonHelper$$",	//583
    "qTan",	//584
    "qTan$",	//585
    "qUncompress",	//586
    "qUncompress#",	//587
    "qUncompress$$",	//588
    "qVersion",	//589
    "qWarning",	//590
    "qbswap_helper",	//591
    "qbswap_helper$$$",	//592
    "qgetenv",	//593
    "qgetenv$",	//594
    "qglClearColor",	//595
    "qglClearColor#",	//596
    "qglColor",	//597
    "qglColor#",	//598
    "qputenv",	//599
    "qputenv$#",	//600
    "qrand",	//601
    "qsrand",	//602
    "qsrand$",	//603
    "qstrcmp",	//604
    "qstrcmp##",	//605
    "qstrcmp#$",	//606
    "qstrcmp$#",	//607
    "qstrcmp$$",	//608
    "qstrcpy",	//609
    "qstrcpy$$",	//610
    "qstrdup",	//611
    "qstrdup$",	//612
    "qstricmp",	//613
    "qstricmp$$",	//614
    "qstrlen",	//615
    "qstrlen$",	//616
    "qstrncmp",	//617
    "qstrncmp$$$",	//618
    "qstrncpy",	//619
    "qstrncpy$$$",	//620
    "qstrnicmp",	//621
    "qstrnicmp$$$",	//622
    "qstrnlen",	//623
    "qstrnlen$$",	//624
    "qtTrId",	//625
    "qtTrId$",	//626
    "qtTrId$$",	//627
    "qt_assert",	//628
    "qt_assert$$$",	//629
    "qt_assert_x",	//630
    "qt_assert_x$$$$",	//631
    "qt_check_pointer",	//632
    "qt_check_pointer$$",	//633
    "qt_error_string",	//634
    "qt_error_string$",	//635
    "qt_message_output",	//636
    "qt_message_output$$",	//637
    "qt_metacall",	//638
    "qt_metacall$$?",	//639
    "qt_metacast",	//640
    "qt_metacast$",	//641
    "qt_noop",	//642
    "qt_qFindChild_helper",	//643
    "qt_qFindChild_helper#$#",	//644
    "qt_qFindChildren_helper",	//645
    "qt_qFindChildren_helper#$##?",	//646
    "qvariant_cast_helper",	//647
    "qvariant_cast_helper#$$",	//648
    "qvsnprintf",	//649
    "qvsnprintf$$$?",	//650
    "read",	//651
    "read$$$",	//652
    "redBufferSize",	//653
    "release",	//654
    "release$",	//655
    "releaseFromDynamicTexture",	//656
    "removeAllShaders",	//657
    "removeShader",	//658
    "removeShader#",	//659
    "renderPixmap",	//660
    "renderPixmap$",	//661
    "renderPixmap$$",	//662
    "renderPixmap$$$",	//663
    "renderText",	//664
    "renderText$$$",	//665
    "renderText$$$#",	//666
    "renderText$$$#$",	//667
    "renderText$$$$",	//668
    "renderText$$$$#",	//669
    "renderText$$$$#$",	//670
    "requestedFormat",	//671
    "reset",	//672
    "resizeEvent",	//673
    "resizeEvent#",	//674
    "resizeGL",	//675
    "resizeGL$$",	//676
    "resizeOverlayGL",	//677
    "resizeOverlayGL$$",	//678
    "rgba",	//679
    "sampleBuffers",	//680
    "samples",	//681
    "setAccum",	//682
    "setAccum$",	//683
    "setAccumBufferSize",	//684
    "setAccumBufferSize$",	//685
    "setAlpha",	//686
    "setAlpha$",	//687
    "setAlphaBufferSize",	//688
    "setAlphaBufferSize$",	//689
    "setAttachment",	//690
    "setAttachment$",	//691
    "setAttributeArray",	//692
    "setAttributeArray$#",	//693
    "setAttributeArray$#$",	//694
    "setAttributeArray$?$",	//695
    "setAttributeArray$?$$",	//696
    "setAttributeArray$?$$$",	//697
    "setAttributeBuffer",	//698
    "setAttributeBuffer$?$$",	//699
    "setAttributeBuffer$?$$$",	//700
    "setAttributeValue",	//701
    "setAttributeValue$#",	//702
    "setAttributeValue$?",	//703
    "setAttributeValue$?$$",	//704
    "setAttributeValue$??",	//705
    "setAttributeValue$???",	//706
    "setAttributeValue$????",	//707
    "setAutoBufferSwap",	//708
    "setAutoBufferSwap$",	//709
    "setBlueBufferSize",	//710
    "setBlueBufferSize$",	//711
    "setColormap",	//712
    "setColormap#",	//713
    "setContext",	//714
    "setContext#",	//715
    "setContext##",	//716
    "setContext##$",	//717
    "setCurrentCtx",	//718
    "setCurrentCtx#",	//719
    "setDefaultFormat",	//720
    "setDefaultFormat#",	//721
    "setDefaultOverlayFormat",	//722
    "setDefaultOverlayFormat#",	//723
    "setDepth",	//724
    "setDepth$",	//725
    "setDepthBufferSize",	//726
    "setDepthBufferSize$",	//727
    "setDevice",	//728
    "setDevice#",	//729
    "setDirectRendering",	//730
    "setDirectRendering$",	//731
    "setDoubleBuffer",	//732
    "setDoubleBuffer$",	//733
    "setEntries",	//734
    "setEntries$$",	//735
    "setEntries$$$",	//736
    "setEntry",	//737
    "setEntry$#",	//738
    "setEntry$$",	//739
    "setFormat",	//740
    "setFormat#",	//741
    "setGeometryInputType",	//742
    "setGeometryInputType?",	//743
    "setGeometryOutputType",	//744
    "setGeometryOutputType?",	//745
    "setGeometryOutputVertexCount",	//746
    "setGeometryOutputVertexCount$",	//747
    "setGreenBufferSize",	//748
    "setGreenBufferSize$",	//749
    "setHandle",	//750
    "setHandle$",	//751
    "setInitialized",	//752
    "setInitialized$",	//753
    "setInternalTextureFormat",	//754
    "setInternalTextureFormat?",	//755
    "setMouseTracking",	//756
    "setMouseTracking$",	//757
    "setOption",	//758
    "setOption$",	//759
    "setOverlay",	//760
    "setOverlay$",	//761
    "setPlane",	//762
    "setPlane$",	//763
    "setPreferredPaintEngine",	//764
    "setPreferredPaintEngine$",	//765
    "setProfile",	//766
    "setProfile$",	//767
    "setRedBufferSize",	//768
    "setRedBufferSize$",	//769
    "setRgba",	//770
    "setRgba$",	//771
    "setSampleBuffers",	//772
    "setSampleBuffers$",	//773
    "setSamples",	//774
    "setSamples$",	//775
    "setStencil",	//776
    "setStencil$",	//777
    "setStencilBufferSize",	//778
    "setStencilBufferSize$",	//779
    "setStereo",	//780
    "setStereo$",	//781
    "setSwapInterval",	//782
    "setSwapInterval$",	//783
    "setTextureCacheLimit",	//784
    "setTextureCacheLimit$",	//785
    "setTextureTarget",	//786
    "setTextureTarget?",	//787
    "setUniformValue",	//788
    "setUniformValue$#",	//789
    "setUniformValue$?",	//790
    "setUniformValue$??",	//791
    "setUniformValue$???",	//792
    "setUniformValue$????",	//793
    "setUniformValueArray",	//794
    "setUniformValueArray$#$",	//795
    "setUniformValueArray$?$",	//796
    "setUniformValueArray$?$$",	//797
    "setUsagePattern",	//798
    "setUsagePattern$",	//799
    "setValid",	//800
    "setValid$",	//801
    "setVersion",	//802
    "setVersion$$",	//803
    "setVisible",	//804
    "setWindowCreated",	//805
    "setWindowCreated$",	//806
    "shaderId",	//807
    "shaderType",	//808
    "shaders",	//809
    "showEvent",	//810
    "size",	//811
    "sizeHint",	//812
    "sourceCode",	//813
    "staticMetaObject",	//814
    "stencil",	//815
    "stencilBufferSize",	//816
    "stereo",	//817
    "styleChange",	//818
    "swapBuffers",	//819
    "swapInterval",	//820
    "tabletEvent",	//821
    "testOption",	//822
    "testOption$",	//823
    "texture",	//824
    "textureCacheLimit",	//825
    "textureTarget",	//826
    "timerEvent",	//827
    "toImage",	//828
    "tr",	//829
    "tr$",	//830
    "tr$$",	//831
    "tr$$$",	//832
    "trUtf8",	//833
    "trUtf8$",	//834
    "trUtf8$$",	//835
    "trUtf8$$$",	//836
    "tryVisual",	//837
    "tryVisual#",	//838
    "tryVisual#$",	//839
    "type",	//840
    "uniformLocation",	//841
    "uniformLocation#",	//842
    "uniformLocation$",	//843
    "unmap",	//844
    "updateDynamicTexture",	//845
    "updateDynamicTexture?",	//846
    "updateGL",	//847
    "updateOverlayGL",	//848
    "usagePattern",	//849
    "wheelEvent",	//850
    "windowActivationChange",	//851
    "windowCreated",	//852
    "write",	//853
    "write$$$",	//854
    "x11Event",	//855
    "~QGLBuffer",	//856
    "~QGLColormap",	//857
    "~QGLContext",	//858
    "~QGLFormat",	//859
    "~QGLFramebufferObject",	//860
    "~QGLFramebufferObjectFormat",	//861
    "~QGLPixelBuffer",	//862
    "~QGLShader",	//863
    "~QGLShaderProgram",	//864
    "~QGLWidget",	//865
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 764, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 3},	//3 QGL::DepthBuffer (enum)
    {26, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 6},	//6 QGL::AccumBuffer (enum)
    {26, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 7},	//7 QGL::StencilBuffer (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 10},	//10 QGL::HasOverlay (enum)
    {26, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 13},	//13 QGL::SingleBuffer (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 15},	//15 QGL::ColorIndex (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 20},	//20 QGL::IndirectRendering (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//21 QGL::NoOverlay (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 86, 0, 0, Smoke::mf_ctor, 140, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 86, 3, 1, Smoke::mf_ctor, 140, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 86, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 366, 5, 1, 0, 139, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 840, 0, 0, Smoke::mf_const, 142, 5},	//28 QGLBuffer::type() const
    {27, 849, 0, 0, Smoke::mf_const, 143, 6},	//29 QGLBuffer::usagePattern() const
    {27, 798, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 214, 0, 0, 0, 398, 8},	//31 QGLBuffer::create()
    {27, 301, 0, 0, Smoke::mf_const, 398, 9},	//32 QGLBuffer::isCreated() const
    {27, 225, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 176, 0, 0, 0, 398, 11},	//34 QGLBuffer::bind()
    {27, 654, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 654, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 194, 0, 0, Smoke::mf_const, 5, 14},	//37 QGLBuffer::bufferId() const
    {27, 811, 0, 0, Smoke::mf_const, 521, 15},	//38 QGLBuffer::size() const
    {27, 651, 9, 3, 0, 398, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 853, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 164, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 164, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 315, 22, 1, 0, 536, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 844, 0, 0, 0, 398, 21},	//44 QGLBuffer::unmap()
    {27, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 856, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 89, 0, 0, Smoke::mf_ctor, 145, 1},	//62 QGLColormap::QGLColormap()
    {28, 89, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 366, 24, 1, 0, 144, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 302, 0, 0, Smoke::mf_const, 398, 4},	//65 QGLColormap::isEmpty() const
    {28, 811, 0, 0, Smoke::mf_const, 521, 5},	//66 QGLColormap::size() const
    {28, 226, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 734, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 737, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 737, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 249, 20, 1, Smoke::mf_const, 529, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 247, 20, 1, Smoke::mf_const, 27, 11},	//72 QGLColormap::entryColor(int) const
    {28, 254, 36, 1, Smoke::mf_const, 521, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 256, 36, 1, Smoke::mf_const, 521, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 279, 0, 0, Smoke::mf_protected, 530, 14},	//75 QGLColormap::handle()
    {28, 750, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 734, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 857, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 91, 43, 2, Smoke::mf_ctor, 146, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 91, 46, 1, Smoke::mf_ctor, 146, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 214, 48, 1, Smoke::mf_virtual, 398, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 305, 0, 0, Smoke::mf_const, 398, 4},	//82 QGLContext::isValid() const
    {29, 304, 0, 0, Smoke::mf_const, 398, 5},	//83 QGLContext::isSharing() const
    {29, 672, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 169, 50, 2, Smoke::mf_static, 398, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 265, 0, 0, Smoke::mf_const, 148, 8},	//86 QGLContext::format() const
    {29, 671, 0, 0, Smoke::mf_const, 148, 9},	//87 QGLContext::requestedFormat() const
    {29, 740, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 313, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 234, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 181, 53, 4, 0, 5, 14},	//92 QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 181, 58, 4, 0, 5, 15},	//93 QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 181, 63, 3, 0, 5, 16},	//94 QGLContext::bindTexture(const QImage&, GLenum, GLint)
    {29, 181, 67, 3, 0, 5, 17},	//95 QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    {29, 181, 71, 1, 0, 5, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 221, 73, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(GLuint)
    {29, 239, 75, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    {29, 239, 79, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    {29, 784, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 825, 0, 0, Smoke::mf_static, 521, 23},	//101 QGLContext::textureCacheLimit()
    {29, 272, 71, 1, Smoke::mf_const, 536, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 228, 0, 0, Smoke::mf_const, 208, 25},	//103 QGLContext::device() const
    {29, 394, 0, 0, Smoke::mf_const, 27, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 216, 0, 0, Smoke::mf_static, 423, 27},	//105 QGLContext::currentContext()
    {29, 197, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 837, 83, 2, Smoke::mf_protected|Smoke::mf_virtual, 536, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 199, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 536, 30},	//108 QGLContext::chooseVisual()
    {29, 229, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 31},	//109 QGLContext::deviceIsPixmap() const
    {29, 852, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 32},	//110 QGLContext::windowCreated() const
    {29, 805, 86, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {29, 295, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 34},	//112 QGLContext::initialized() const
    {29, 752, 86, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {29, 267, 88, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 201, 91, 1, Smoke::mf_const|Smoke::mf_protected, 529, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {29, 800, 86, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {29, 728, 93, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {29, 214, 0, 0, 0, 398, 40},	//118 QGLContext::create()
    {29, 181, 95, 1, 0, 5, 41},	//119 QGLContext::bindTexture(const QImage&)
    {29, 181, 97, 2, 0, 5, 42},	//120 QGLContext::bindTexture(const QImage&, GLenum)
    {29, 181, 100, 1, 0, 5, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {29, 181, 102, 2, 0, 5, 44},	//122 QGLContext::bindTexture(const QPixmap&, GLenum)
    {29, 239, 105, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, GLuint)
    {29, 239, 108, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, GLuint)
    {29, 197, 0, 0, Smoke::mf_protected, 398, 47},	//125 QGLContext::chooseContext()
    {29, 837, 46, 1, Smoke::mf_protected, 536, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {29, 217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 146, 49},	//127 QGLContext::currentCtx() const
    {29, 718, 111, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 51},	//129 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {29, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 53},	//131 QGLContext::MipmapBindOption (enum)
    {29, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {29, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 58},	//136 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 59},	//137 QGLContext::InternalBindOption (enum)
    {29, 858, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {30, 94, 0, 0, Smoke::mf_ctor, 150, 1},	//139 QGLFormat::QGLFormat()
    {30, 94, 113, 2, Smoke::mf_ctor, 150, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 94, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 366, 46, 1, 0, 149, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {30, 726, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {30, 224, 0, 0, Smoke::mf_const, 521, 6},	//144 QGLFormat::depthBufferSize() const
    {30, 684, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {30, 155, 0, 0, Smoke::mf_const, 521, 8},	//146 QGLFormat::accumBufferSize() const
    {30, 768, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {30, 653, 0, 0, Smoke::mf_const, 521, 10},	//148 QGLFormat::redBufferSize() const
    {30, 748, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {30, 278, 0, 0, Smoke::mf_const, 521, 12},	//150 QGLFormat::greenBufferSize() const
    {30, 710, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {30, 193, 0, 0, Smoke::mf_const, 521, 14},	//152 QGLFormat::blueBufferSize() const
    {30, 688, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {30, 168, 0, 0, Smoke::mf_const, 521, 16},	//154 QGLFormat::alphaBufferSize() const
    {30, 778, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {30, 816, 0, 0, Smoke::mf_const, 521, 18},	//156 QGLFormat::stencilBufferSize() const
    {30, 772, 86, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {30, 680, 0, 0, Smoke::mf_const, 398, 20},	//158 QGLFormat::sampleBuffers() const
    {30, 774, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {30, 681, 0, 0, Smoke::mf_const, 521, 22},	//160 QGLFormat::samples() const
    {30, 782, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {30, 820, 0, 0, Smoke::mf_const, 521, 24},	//162 QGLFormat::swapInterval() const
    {30, 235, 0, 0, Smoke::mf_const, 398, 25},	//163 QGLFormat::doubleBuffer() const
    {30, 732, 86, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {30, 223, 0, 0, Smoke::mf_const, 398, 27},	//165 QGLFormat::depth() const
    {30, 724, 86, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {30, 679, 0, 0, Smoke::mf_const, 398, 29},	//167 QGLFormat::rgba() const
    {30, 770, 86, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {30, 167, 0, 0, Smoke::mf_const, 398, 31},	//169 QGLFormat::alpha() const
    {30, 686, 86, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {30, 154, 0, 0, Smoke::mf_const, 398, 33},	//171 QGLFormat::accum() const
    {30, 682, 86, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {30, 815, 0, 0, Smoke::mf_const, 398, 35},	//173 QGLFormat::stencil() const
    {30, 776, 86, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {30, 817, 0, 0, Smoke::mf_const, 398, 37},	//175 QGLFormat::stereo() const
    {30, 780, 86, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {30, 230, 0, 0, Smoke::mf_const, 398, 39},	//177 QGLFormat::directRendering() const
    {30, 730, 86, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {30, 290, 0, 0, Smoke::mf_const, 398, 41},	//179 QGLFormat::hasOverlay() const
    {30, 760, 86, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {30, 401, 0, 0, Smoke::mf_const, 521, 43},	//181 QGLFormat::plane() const
    {30, 762, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {30, 758, 116, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 822, 116, 1, Smoke::mf_const, 398, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 219, 0, 0, Smoke::mf_static, 148, 47},	//185 QGLFormat::defaultFormat()
    {30, 720, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 220, 0, 0, Smoke::mf_static, 148, 49},	//187 QGLFormat::defaultOverlayFormat()
    {30, 722, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 280, 0, 0, Smoke::mf_static, 398, 51},	//189 QGLFormat::hasOpenGL()
    {30, 283, 0, 0, Smoke::mf_static, 398, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {30, 802, 118, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {30, 312, 0, 0, Smoke::mf_const, 521, 54},	//192 QGLFormat::majorVersion() const
    {30, 322, 0, 0, Smoke::mf_const, 521, 55},	//193 QGLFormat::minorVersion() const
    {30, 766, 121, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 402, 0, 0, Smoke::mf_const, 151, 57},	//195 QGLFormat::profile() const
    {30, 328, 0, 0, Smoke::mf_static, 73, 58},	//196 QGLFormat::openGLVersionFlags()
    {30, 94, 116, 1, Smoke::mf_ctor, 150, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 60},	//198 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 61},	//199 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {30, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {30, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 859, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {31, 98, 123, 2, Smoke::mf_ctor, 153, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, GLenum)
    {31, 98, 126, 3, Smoke::mf_ctor, 153, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, GLenum)
    {31, 98, 130, 4, Smoke::mf_ctor, 153, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 98, 135, 5, Smoke::mf_ctor, 153, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 98, 141, 2, Smoke::mf_ctor, 153, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 98, 144, 3, Smoke::mf_ctor, 153, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 265, 0, 0, Smoke::mf_const, 155, 7},	//226 QGLFramebufferObject::format() const
    {31, 305, 0, 0, Smoke::mf_const, 398, 8},	//227 QGLFramebufferObject::isValid() const
    {31, 299, 0, 0, Smoke::mf_const, 398, 9},	//228 QGLFramebufferObject::isBound() const
    {31, 176, 0, 0, 0, 398, 10},	//229 QGLFramebufferObject::bind()
    {31, 654, 0, 0, 0, 398, 11},	//230 QGLFramebufferObject::release()
    {31, 824, 0, 0, Smoke::mf_const, 5, 12},	//231 QGLFramebufferObject::texture() const
    {31, 811, 0, 0, Smoke::mf_const, 241, 13},	//232 QGLFramebufferObject::size() const
    {31, 828, 0, 0, Smoke::mf_const, 176, 14},	//233 QGLFramebufferObject::toImage() const
    {31, 171, 0, 0, Smoke::mf_const, 154, 15},	//234 QGLFramebufferObject::attachment() const
    {31, 395, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 16},	//235 QGLFramebufferObject::paintEngine() const
    {31, 279, 0, 0, Smoke::mf_const, 5, 17},	//236 QGLFramebufferObject::handle() const
    {31, 180, 0, 0, Smoke::mf_static, 398, 18},	//237 QGLFramebufferObject::bindDefault()
    {31, 282, 0, 0, Smoke::mf_static, 398, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 239, 75, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    {31, 239, 79, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    {31, 281, 0, 0, Smoke::mf_static, 398, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 189, 148, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum)
    {31, 319, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 521, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 227, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 521, 25},	//244 QGLFramebufferObject::devType() const
    {31, 98, 157, 1, Smoke::mf_ctor, 153, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 98, 118, 2, Smoke::mf_ctor, 153, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 98, 159, 2, Smoke::mf_ctor, 153, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 98, 162, 3, Smoke::mf_ctor, 153, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum)
    {31, 98, 166, 3, Smoke::mf_ctor, 153, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 98, 170, 4, Smoke::mf_ctor, 153, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum)
    {31, 239, 105, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    {31, 239, 108, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    {31, 189, 175, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 189, 180, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 38},	//257 QGLFramebufferObject::Depth (enum)
    {31, 860, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 111, 0, 0, Smoke::mf_ctor, 157, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 111, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 366, 186, 1, 0, 156, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 774, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {32, 681, 0, 0, Smoke::mf_const, 521, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {32, 690, 188, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 171, 0, 0, Smoke::mf_const, 154, 7},	//265 QGLFramebufferObjectFormat::attachment() const
    {32, 786, 190, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setTextureTarget(GLenum)
    {32, 826, 0, 0, Smoke::mf_const, 2, 9},	//267 QGLFramebufferObjectFormat::textureTarget() const
    {32, 754, 190, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setInternalTextureFormat(GLenum)
    {32, 298, 0, 0, Smoke::mf_const, 2, 11},	//269 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 368, 186, 1, Smoke::mf_const, 398, 12},	//270 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 329, 186, 1, Smoke::mf_const, 398, 13},	//271 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 861, 0, 0, Smoke::mf_dtor, 0, 14 },	//272 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 113, 192, 3, Smoke::mf_ctor, 158, 1},	//273 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 113, 196, 4, Smoke::mf_ctor, 158, 2},	//274 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 305, 0, 0, Smoke::mf_const, 398, 3},	//275 QGLPixelBuffer::isValid() const
    {33, 313, 0, 0, 0, 398, 4},	//276 QGLPixelBuffer::makeCurrent()
    {33, 234, 0, 0, 0, 398, 5},	//277 QGLPixelBuffer::doneCurrent()
    {33, 266, 0, 0, Smoke::mf_const, 5, 6},	//278 QGLPixelBuffer::generateDynamicTexture() const
    {33, 187, 73, 1, 0, 398, 7},	//279 QGLPixelBuffer::bindToDynamicTexture(GLuint)
    {33, 656, 0, 0, 0, 0, 8},	//280 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 845, 73, 1, Smoke::mf_const, 0, 9},	//281 QGLPixelBuffer::updateDynamicTexture(GLuint) const
    {33, 181, 97, 2, 0, 5, 10},	//282 QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    {33, 181, 102, 2, 0, 5, 11},	//283 QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    {33, 181, 71, 1, 0, 5, 12},	//284 QGLPixelBuffer::bindTexture(const QString&)
    {33, 221, 73, 1, 0, 0, 13},	//285 QGLPixelBuffer::deleteTexture(GLuint)
    {33, 239, 75, 3, 0, 0, 14},	//286 QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    {33, 239, 79, 3, 0, 0, 15},	//287 QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    {33, 811, 0, 0, Smoke::mf_const, 241, 16},	//288 QGLPixelBuffer::size() const
    {33, 279, 0, 0, Smoke::mf_const, 530, 17},	//289 QGLPixelBuffer::handle() const
    {33, 828, 0, 0, Smoke::mf_const, 176, 18},	//290 QGLPixelBuffer::toImage() const
    {33, 395, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 19},	//291 QGLPixelBuffer::paintEngine() const
    {33, 265, 0, 0, Smoke::mf_const, 148, 20},	//292 QGLPixelBuffer::format() const
    {33, 284, 0, 0, Smoke::mf_static, 398, 21},	//293 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 319, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 521, 22},	//294 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 227, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 521, 23},	//295 QGLPixelBuffer::devType() const
    {33, 113, 157, 1, Smoke::mf_ctor, 158, 24},	//296 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 113, 201, 2, Smoke::mf_ctor, 158, 25},	//297 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 113, 118, 2, Smoke::mf_ctor, 158, 26},	//298 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 113, 204, 3, Smoke::mf_ctor, 158, 27},	//299 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 181, 95, 1, 0, 5, 28},	//300 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 181, 100, 1, 0, 5, 29},	//301 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 239, 105, 2, 0, 0, 30},	//302 QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    {33, 239, 108, 2, 0, 0, 31},	//303 QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    {33, 862, 0, 0, Smoke::mf_dtor, 0, 32 },	//304 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 318, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 458, 1},	//305 QGLShader::metaObject() const
    {34, 640, 208, 1, Smoke::mf_virtual, 536, 2},	//306 QGLShader::qt_metacast(const char*)
    {34, 829, 210, 2, Smoke::mf_static, 248, 3},	//307 QGLShader::tr(const char*, const char*)
    {34, 833, 210, 2, Smoke::mf_static, 248, 4},	//308 QGLShader::trUtf8(const char*, const char*)
    {34, 829, 213, 3, Smoke::mf_static, 248, 5},	//309 QGLShader::tr(const char*, const char*, int)
    {34, 833, 213, 3, Smoke::mf_static, 248, 6},	//310 QGLShader::trUtf8(const char*, const char*, int)
    {34, 638, 217, 3, Smoke::mf_virtual, 521, 7},	//311 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 120, 221, 2, Smoke::mf_ctor, 159, 8},	//312 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 120, 224, 3, Smoke::mf_ctor, 159, 9},	//313 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 808, 0, 0, Smoke::mf_const, 74, 10},	//314 QGLShader::shaderType() const
    {34, 204, 208, 1, 0, 398, 11},	//315 QGLShader::compileSourceCode(const char*)
    {34, 204, 228, 1, 0, 398, 12},	//316 QGLShader::compileSourceCode(const QByteArray&)
    {34, 204, 71, 1, 0, 398, 13},	//317 QGLShader::compileSourceCode(const QString&)
    {34, 207, 71, 1, 0, 398, 14},	//318 QGLShader::compileSourceFile(const QString&)
    {34, 813, 0, 0, Smoke::mf_const, 21, 15},	//319 QGLShader::sourceCode() const
    {34, 300, 0, 0, Smoke::mf_const, 398, 16},	//320 QGLShader::isCompiled() const
    {34, 311, 0, 0, Smoke::mf_const, 248, 17},	//321 QGLShader::log() const
    {34, 807, 0, 0, Smoke::mf_const, 5, 18},	//322 QGLShader::shaderId() const
    {34, 287, 230, 2, Smoke::mf_static, 398, 19},	//323 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 829, 208, 1, Smoke::mf_static, 248, 20},	//324 QGLShader::tr(const char*)
    {34, 833, 208, 1, Smoke::mf_static, 248, 21},	//325 QGLShader::trUtf8(const char*)
    {34, 120, 233, 1, Smoke::mf_ctor, 159, 22},	//326 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 120, 230, 2, Smoke::mf_ctor, 159, 23},	//327 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 287, 233, 1, Smoke::mf_static, 398, 24},	//328 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 814, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 457, 25},	//329 QGLShader::staticMetaObject() const
    {34, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 26},	//330 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 27},	//331 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 28},	//332 QGLShader::Geometry (enum)
    {34, 863, 0, 0, Smoke::mf_dtor, 0, 29 },	//333 QGLShader::~QGLShader()
    {35, 318, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 458, 1},	//334 QGLShaderProgram::metaObject() const
    {35, 640, 208, 1, Smoke::mf_virtual, 536, 2},	//335 QGLShaderProgram::qt_metacast(const char*)
    {35, 829, 210, 2, Smoke::mf_static, 248, 3},	//336 QGLShaderProgram::tr(const char*, const char*)
    {35, 833, 210, 2, Smoke::mf_static, 248, 4},	//337 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 829, 213, 3, Smoke::mf_static, 248, 5},	//338 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 833, 213, 3, Smoke::mf_static, 248, 6},	//339 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 638, 217, 3, Smoke::mf_virtual, 521, 7},	//340 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 124, 235, 1, Smoke::mf_ctor, 161, 8},	//341 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 124, 237, 2, Smoke::mf_ctor, 161, 9},	//342 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 157, 240, 1, 0, 398, 10},	//343 QGLShaderProgram::addShader(QGLShader*)
    {35, 658, 240, 1, 0, 0, 11},	//344 QGLShaderProgram::removeShader(QGLShader*)
    {35, 809, 0, 0, Smoke::mf_const, 191, 12},	//345 QGLShaderProgram::shaders() const
    {35, 159, 242, 2, 0, 398, 13},	//346 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 159, 245, 2, 0, 398, 14},	//347 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 159, 248, 2, 0, 398, 15},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 162, 248, 2, 0, 398, 16},	//349 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 657, 0, 0, 0, 0, 17},	//350 QGLShaderProgram::removeAllShaders()
    {35, 310, 0, 0, Smoke::mf_virtual, 398, 18},	//351 QGLShaderProgram::link()
    {35, 303, 0, 0, Smoke::mf_const, 398, 19},	//352 QGLShaderProgram::isLinked() const
    {35, 311, 0, 0, Smoke::mf_const, 248, 20},	//353 QGLShaderProgram::log() const
    {35, 176, 0, 0, 0, 398, 21},	//354 QGLShaderProgram::bind()
    {35, 654, 0, 0, 0, 0, 22},	//355 QGLShaderProgram::release()
    {35, 403, 0, 0, Smoke::mf_const, 5, 23},	//356 QGLShaderProgram::programId() const
    {35, 317, 0, 0, Smoke::mf_const, 521, 24},	//357 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 746, 20, 1, 0, 0, 25},	//358 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 271, 0, 0, Smoke::mf_const, 521, 26},	//359 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 742, 190, 1, 0, 0, 27},	//360 QGLShaderProgram::setGeometryInputType(GLenum)
    {35, 269, 0, 0, Smoke::mf_const, 2, 28},	//361 QGLShaderProgram::geometryInputType() const
    {35, 744, 190, 1, 0, 0, 29},	//362 QGLShaderProgram::setGeometryOutputType(GLenum)
    {35, 270, 0, 0, Smoke::mf_const, 2, 30},	//363 QGLShaderProgram::geometryOutputType() const
    {35, 177, 251, 2, 0, 0, 31},	//364 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 177, 254, 2, 0, 0, 32},	//365 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 177, 257, 2, 0, 0, 33},	//366 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 172, 208, 1, Smoke::mf_const, 521, 34},	//367 QGLShaderProgram::attributeLocation(const char*) const
    {35, 172, 228, 1, Smoke::mf_const, 521, 35},	//368 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 172, 71, 1, Smoke::mf_const, 521, 36},	//369 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 701, 260, 2, 0, 0, 37},	//370 QGLShaderProgram::setAttributeValue(int, GLfloat)
    {35, 701, 263, 3, 0, 0, 38},	//371 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    {35, 701, 267, 4, 0, 0, 39},	//372 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    {35, 701, 272, 5, 0, 0, 40},	//373 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 701, 278, 2, 0, 0, 41},	//374 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 701, 281, 2, 0, 0, 42},	//375 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 701, 284, 2, 0, 0, 43},	//376 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 701, 33, 2, 0, 0, 44},	//377 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 701, 287, 4, 0, 0, 45},	//378 QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    {35, 701, 292, 2, 0, 0, 46},	//379 QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    {35, 701, 295, 3, 0, 0, 47},	//380 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    {35, 701, 299, 4, 0, 0, 48},	//381 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 701, 304, 5, 0, 0, 49},	//382 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 701, 310, 2, 0, 0, 50},	//383 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 701, 313, 2, 0, 0, 51},	//384 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 701, 316, 2, 0, 0, 52},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 701, 319, 2, 0, 0, 53},	//386 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 701, 322, 4, 0, 0, 54},	//387 QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    {35, 692, 287, 4, 0, 0, 55},	//388 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    {35, 692, 327, 3, 0, 0, 56},	//389 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 692, 331, 3, 0, 0, 57},	//390 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 692, 335, 3, 0, 0, 58},	//391 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 692, 339, 5, 0, 0, 59},	//392 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    {35, 692, 322, 4, 0, 0, 60},	//393 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    {35, 692, 345, 3, 0, 0, 61},	//394 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 692, 349, 3, 0, 0, 62},	//395 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 692, 353, 3, 0, 0, 63},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 692, 357, 5, 0, 0, 64},	//397 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    {35, 698, 363, 5, 0, 0, 65},	//398 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    {35, 698, 369, 5, 0, 0, 66},	//399 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    {35, 243, 20, 1, 0, 0, 67},	//400 QGLShaderProgram::enableAttributeArray(int)
    {35, 243, 208, 1, 0, 0, 68},	//401 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 231, 20, 1, 0, 0, 69},	//402 QGLShaderProgram::disableAttributeArray(int)
    {35, 231, 208, 1, 0, 0, 70},	//403 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 841, 208, 1, Smoke::mf_const, 521, 71},	//404 QGLShaderProgram::uniformLocation(const char*) const
    {35, 841, 228, 1, Smoke::mf_const, 521, 72},	//405 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 841, 71, 1, Smoke::mf_const, 521, 73},	//406 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 788, 260, 2, 0, 0, 74},	//407 QGLShaderProgram::setUniformValue(int, GLfloat)
    {35, 788, 375, 2, 0, 0, 75},	//408 QGLShaderProgram::setUniformValue(int, GLint)
    {35, 788, 378, 2, 0, 0, 76},	//409 QGLShaderProgram::setUniformValue(int, GLuint)
    {35, 788, 263, 3, 0, 0, 77},	//410 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    {35, 788, 267, 4, 0, 0, 78},	//411 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    {35, 788, 272, 5, 0, 0, 79},	//412 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 788, 278, 2, 0, 0, 80},	//413 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 788, 281, 2, 0, 0, 81},	//414 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 788, 284, 2, 0, 0, 82},	//415 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 788, 33, 2, 0, 0, 83},	//416 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 788, 381, 2, 0, 0, 84},	//417 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 788, 384, 2, 0, 0, 85},	//418 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 788, 387, 2, 0, 0, 86},	//419 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 788, 390, 2, 0, 0, 87},	//420 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 788, 393, 2, 0, 0, 88},	//421 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 788, 396, 2, 0, 0, 89},	//422 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 788, 399, 2, 0, 0, 90},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 788, 402, 2, 0, 0, 91},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 788, 405, 2, 0, 0, 92},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 788, 408, 2, 0, 0, 93},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 788, 411, 2, 0, 0, 94},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 788, 414, 2, 0, 0, 95},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 788, 417, 2, 0, 0, 96},	//429 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 788, 420, 2, 0, 0, 97},	//430 QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    {35, 788, 423, 2, 0, 0, 98},	//431 QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    {35, 788, 426, 2, 0, 0, 99},	//432 QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    {35, 788, 429, 2, 0, 0, 100},	//433 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 788, 292, 2, 0, 0, 101},	//434 QGLShaderProgram::setUniformValue(const char*, GLfloat)
    {35, 788, 432, 2, 0, 0, 102},	//435 QGLShaderProgram::setUniformValue(const char*, GLint)
    {35, 788, 435, 2, 0, 0, 103},	//436 QGLShaderProgram::setUniformValue(const char*, GLuint)
    {35, 788, 295, 3, 0, 0, 104},	//437 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    {35, 788, 299, 4, 0, 0, 105},	//438 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 788, 304, 5, 0, 0, 106},	//439 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 788, 310, 2, 0, 0, 107},	//440 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 788, 313, 2, 0, 0, 108},	//441 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 788, 316, 2, 0, 0, 109},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 788, 319, 2, 0, 0, 110},	//443 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 788, 438, 2, 0, 0, 111},	//444 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 788, 441, 2, 0, 0, 112},	//445 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 788, 444, 2, 0, 0, 113},	//446 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 788, 447, 2, 0, 0, 114},	//447 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 788, 450, 2, 0, 0, 115},	//448 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 788, 453, 2, 0, 0, 116},	//449 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 788, 456, 2, 0, 0, 117},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 788, 459, 2, 0, 0, 118},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 788, 462, 2, 0, 0, 119},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 788, 465, 2, 0, 0, 120},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 788, 468, 2, 0, 0, 121},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 788, 471, 2, 0, 0, 122},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 788, 474, 2, 0, 0, 123},	//456 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 788, 477, 2, 0, 0, 124},	//457 QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    {35, 788, 480, 2, 0, 0, 125},	//458 QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    {35, 788, 483, 2, 0, 0, 126},	//459 QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    {35, 788, 486, 2, 0, 0, 127},	//460 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 794, 287, 4, 0, 0, 128},	//461 QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    {35, 794, 489, 3, 0, 0, 129},	//462 QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    {35, 794, 493, 3, 0, 0, 130},	//463 QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    {35, 794, 327, 3, 0, 0, 131},	//464 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 794, 331, 3, 0, 0, 132},	//465 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 794, 335, 3, 0, 0, 133},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 794, 497, 3, 0, 0, 134},	//467 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 794, 501, 3, 0, 0, 135},	//468 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 794, 505, 3, 0, 0, 136},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 794, 509, 3, 0, 0, 137},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 794, 513, 3, 0, 0, 138},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 794, 517, 3, 0, 0, 139},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 794, 521, 3, 0, 0, 140},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 794, 525, 3, 0, 0, 141},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 794, 529, 3, 0, 0, 142},	//475 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 794, 322, 4, 0, 0, 143},	//476 QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    {35, 794, 533, 3, 0, 0, 144},	//477 QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    {35, 794, 537, 3, 0, 0, 145},	//478 QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    {35, 794, 345, 3, 0, 0, 146},	//479 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 794, 349, 3, 0, 0, 147},	//480 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 794, 353, 3, 0, 0, 148},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 794, 541, 3, 0, 0, 149},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 794, 545, 3, 0, 0, 150},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 794, 549, 3, 0, 0, 151},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 794, 553, 3, 0, 0, 152},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 794, 557, 3, 0, 0, 153},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 794, 561, 3, 0, 0, 154},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 794, 565, 3, 0, 0, 155},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 794, 569, 3, 0, 0, 156},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 794, 573, 3, 0, 0, 157},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 285, 48, 1, Smoke::mf_static, 398, 158},	//491 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 829, 208, 1, Smoke::mf_static, 248, 159},	//492 QGLShaderProgram::tr(const char*)
    {35, 833, 208, 1, Smoke::mf_static, 248, 160},	//493 QGLShaderProgram::trUtf8(const char*)
    {35, 124, 0, 0, Smoke::mf_ctor, 161, 161},	//494 QGLShaderProgram::QGLShaderProgram()
    {35, 124, 48, 1, Smoke::mf_ctor, 161, 162},	//495 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 692, 577, 3, 0, 0, 163},	//496 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    {35, 692, 581, 2, 0, 0, 164},	//497 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 692, 584, 2, 0, 0, 165},	//498 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 692, 587, 2, 0, 0, 166},	//499 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 692, 590, 4, 0, 0, 167},	//500 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    {35, 692, 595, 3, 0, 0, 168},	//501 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    {35, 692, 599, 2, 0, 0, 169},	//502 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 692, 602, 2, 0, 0, 170},	//503 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 692, 605, 2, 0, 0, 171},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 692, 608, 4, 0, 0, 172},	//505 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    {35, 698, 613, 4, 0, 0, 173},	//506 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    {35, 698, 618, 4, 0, 0, 174},	//507 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    {35, 285, 0, 0, Smoke::mf_static, 398, 175},	//508 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 814, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 457, 176},	//509 QGLShaderProgram::staticMetaObject() const
    {35, 864, 0, 0, Smoke::mf_dtor, 0, 177 },	//510 QGLShaderProgram::~QGLShaderProgram()
    {36, 318, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 458, 1},	//511 QGLWidget::metaObject() const
    {36, 640, 208, 1, Smoke::mf_virtual, 536, 2},	//512 QGLWidget::qt_metacast(const char*)
    {36, 829, 210, 2, Smoke::mf_static, 248, 3},	//513 QGLWidget::tr(const char*, const char*)
    {36, 833, 210, 2, Smoke::mf_static, 248, 4},	//514 QGLWidget::trUtf8(const char*, const char*)
    {36, 829, 213, 3, Smoke::mf_static, 248, 5},	//515 QGLWidget::tr(const char*, const char*, int)
    {36, 833, 213, 3, Smoke::mf_static, 248, 6},	//516 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 638, 217, 3, Smoke::mf_virtual, 521, 7},	//517 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 127, 623, 3, Smoke::mf_ctor, 162, 8},	//518 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 127, 627, 4, Smoke::mf_ctor, 162, 9},	//519 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 127, 632, 4, Smoke::mf_ctor, 162, 10},	//520 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 597, 91, 1, Smoke::mf_const, 0, 11},	//521 QGLWidget::qglColor(const QColor&) const
    {36, 595, 91, 1, Smoke::mf_const, 0, 12},	//522 QGLWidget::qglClearColor(const QColor&) const
    {36, 305, 0, 0, Smoke::mf_const, 398, 13},	//523 QGLWidget::isValid() const
    {36, 304, 0, 0, Smoke::mf_const, 398, 14},	//524 QGLWidget::isSharing() const
    {36, 313, 0, 0, 0, 0, 15},	//525 QGLWidget::makeCurrent()
    {36, 234, 0, 0, 0, 0, 16},	//526 QGLWidget::doneCurrent()
    {36, 235, 0, 0, Smoke::mf_const, 398, 17},	//527 QGLWidget::doubleBuffer() const
    {36, 819, 0, 0, 0, 0, 18},	//528 QGLWidget::swapBuffers()
    {36, 265, 0, 0, Smoke::mf_const, 148, 19},	//529 QGLWidget::format() const
    {36, 740, 46, 1, 0, 0, 20},	//530 QGLWidget::setFormat(const QGLFormat&)
    {36, 210, 0, 0, Smoke::mf_const, 423, 21},	//531 QGLWidget::context() const
    {36, 714, 637, 3, 0, 0, 22},	//532 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 660, 641, 3, 0, 223, 23},	//533 QGLWidget::renderPixmap(int, int, bool)
    {36, 276, 86, 1, 0, 176, 24},	//534 QGLWidget::grabFrameBuffer(bool)
    {36, 314, 0, 0, 0, 0, 25},	//535 QGLWidget::makeOverlayCurrent()
    {36, 393, 0, 0, Smoke::mf_const, 423, 26},	//536 QGLWidget::overlayContext() const
    {36, 212, 95, 1, Smoke::mf_static, 176, 27},	//537 QGLWidget::convertToGLFormat(const QImage&)
    {36, 756, 86, 1, 0, 0, 28},	//538 QGLWidget::setMouseTracking(bool)
    {36, 203, 0, 0, Smoke::mf_const, 422, 29},	//539 QGLWidget::colormap() const
    {36, 712, 24, 1, 0, 0, 30},	//540 QGLWidget::setColormap(const QGLColormap&)
    {36, 664, 645, 5, 0, 0, 31},	//541 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 664, 651, 6, 0, 0, 32},	//542 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 395, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 33},	//543 QGLWidget::paintEngine() const
    {36, 181, 53, 4, 0, 5, 34},	//544 QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 181, 58, 4, 0, 5, 35},	//545 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 181, 63, 3, 0, 5, 36},	//546 QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    {36, 181, 67, 3, 0, 5, 37},	//547 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    {36, 181, 71, 1, 0, 5, 38},	//548 QGLWidget::bindTexture(const QString&)
    {36, 221, 73, 1, 0, 0, 39},	//549 QGLWidget::deleteTexture(GLuint)
    {36, 239, 75, 3, 0, 0, 40},	//550 QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    {36, 239, 79, 3, 0, 0, 41},	//551 QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    {36, 847, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//552 QGLWidget::updateGL()
    {36, 848, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//553 QGLWidget::updateOverlayGL()
    {36, 251, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 44},	//554 QGLWidget::event(QEvent*)
    {36, 293, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//555 QGLWidget::initializeGL()
    {36, 675, 118, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//556 QGLWidget::resizeGL(int, int)
    {36, 398, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//557 QGLWidget::paintGL()
    {36, 294, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//558 QGLWidget::initializeOverlayGL()
    {36, 677, 118, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//559 QGLWidget::resizeOverlayGL(int, int)
    {36, 399, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//560 QGLWidget::paintOverlayGL()
    {36, 708, 86, 1, Smoke::mf_protected, 0, 51},	//561 QGLWidget::setAutoBufferSwap(bool)
    {36, 175, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 52},	//562 QGLWidget::autoBufferSwap() const
    {36, 396, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//563 QGLWidget::paintEvent(QPaintEvent*)
    {36, 673, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//564 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 275, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//565 QGLWidget::glInit()
    {36, 274, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//566 QGLWidget::glDraw()
    {36, 262, 88, 2, Smoke::mf_protected, 521, 57},	//567 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 829, 208, 1, Smoke::mf_static, 248, 58},	//568 QGLWidget::tr(const char*)
    {36, 833, 208, 1, Smoke::mf_static, 248, 59},	//569 QGLWidget::trUtf8(const char*)
    {36, 127, 0, 0, Smoke::mf_ctor, 162, 60},	//570 QGLWidget::QGLWidget()
    {36, 127, 664, 1, Smoke::mf_ctor, 162, 61},	//571 QGLWidget::QGLWidget(QWidget*)
    {36, 127, 666, 2, Smoke::mf_ctor, 162, 62},	//572 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 127, 111, 1, Smoke::mf_ctor, 162, 63},	//573 QGLWidget::QGLWidget(QGLContext*)
    {36, 127, 669, 2, Smoke::mf_ctor, 162, 64},	//574 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 127, 672, 3, Smoke::mf_ctor, 162, 65},	//575 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 127, 46, 1, Smoke::mf_ctor, 162, 66},	//576 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 127, 676, 2, Smoke::mf_ctor, 162, 67},	//577 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 127, 679, 3, Smoke::mf_ctor, 162, 68},	//578 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 714, 111, 1, 0, 0, 69},	//579 QGLWidget::setContext(QGLContext*)
    {36, 714, 683, 2, 0, 0, 70},	//580 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 660, 0, 0, 0, 223, 71},	//581 QGLWidget::renderPixmap()
    {36, 660, 20, 1, 0, 223, 72},	//582 QGLWidget::renderPixmap(int)
    {36, 660, 118, 2, 0, 223, 73},	//583 QGLWidget::renderPixmap(int, int)
    {36, 276, 0, 0, 0, 176, 74},	//584 QGLWidget::grabFrameBuffer()
    {36, 664, 686, 3, 0, 0, 75},	//585 QGLWidget::renderText(int, int, const QString&)
    {36, 664, 690, 4, 0, 0, 76},	//586 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 664, 695, 4, 0, 0, 77},	//587 QGLWidget::renderText(double, double, double, const QString&)
    {36, 664, 700, 5, 0, 0, 78},	//588 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 181, 95, 1, 0, 5, 79},	//589 QGLWidget::bindTexture(const QImage&)
    {36, 181, 97, 2, 0, 5, 80},	//590 QGLWidget::bindTexture(const QImage&, GLenum)
    {36, 181, 100, 1, 0, 5, 81},	//591 QGLWidget::bindTexture(const QPixmap&)
    {36, 181, 102, 2, 0, 5, 82},	//592 QGLWidget::bindTexture(const QPixmap&, GLenum)
    {36, 239, 105, 2, 0, 0, 83},	//593 QGLWidget::drawTexture(const QRectF&, GLuint)
    {36, 239, 108, 2, 0, 0, 84},	//594 QGLWidget::drawTexture(const QPointF&, GLuint)
    {36, 262, 706, 1, Smoke::mf_protected, 521, 85},	//595 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 814, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 457, 86},	//596 QGLWidget::staticMetaObject() const
    {36, 865, 0, 0, Smoke::mf_dtor, 0, 87 },	//597 QGLWidget::~QGLWidget()
    {37, 335, 708, 2, Smoke::mf_static, 17, 1},	//598 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 437, 0, 0, Smoke::mf_static, 36, 2},	//599 QGlobalSpace::qCritical()
    {37, 520, 711, 1, Smoke::mf_static, 529, 3},	//600 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 390, 713, 2, Smoke::mf_static, 179, 4},	//601 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 628, 213, 3, Smoke::mf_static, 0, 5},	//602 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 390, 716, 2, Smoke::mf_static, 75, 6},	//603 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 368, 719, 2, Smoke::mf_static, 398, 7},	//604 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 337, 722, 2, Smoke::mf_static, 467, 8},	//605 QGlobalSpace::operator*(const QPoint&, double)
    {37, 532, 725, 1, Smoke::mf_static, 398, 9},	//606 QGlobalSpace::qIsInf(double)
    {37, 357, 727, 2, Smoke::mf_static, 36, 10},	//607 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 337, 730, 2, Smoke::mf_static, 469, 11},	//608 QGlobalSpace::operator*(double, const QPointF&)
    {37, 390, 733, 2, Smoke::mf_static, 127, 12},	//609 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 329, 736, 2, Smoke::mf_static, 398, 13},	//610 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 357, 739, 2, Smoke::mf_static, 36, 14},	//611 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 337, 742, 2, Smoke::mf_static, 482, 15},	//612 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 390, 745, 2, Smoke::mf_static, 179, 16},	//613 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 390, 748, 2, Smoke::mf_static, 53, 17},	//614 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 357, 751, 2, Smoke::mf_static, 36, 18},	//615 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 384, 754, 2, Smoke::mf_static, 32, 19},	//616 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 357, 757, 2, Smoke::mf_static, 32, 20},	//617 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 390, 760, 2, Smoke::mf_static, 179, 21},	//618 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 390, 763, 2, Smoke::mf_static, 179, 22},	//619 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 357, 766, 2, Smoke::mf_static, 36, 23},	//620 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 609, 769, 2, Smoke::mf_static, 400, 24},	//621 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 329, 772, 2, Smoke::mf_static, 398, 25},	//622 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 341, 775, 2, Smoke::mf_static, 480, 26},	//623 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 496, 725, 1, Smoke::mf_static, 519, 27},	//624 QGlobalSpace::qFabs(double)
    {37, 357, 778, 2, Smoke::mf_static, 32, 28},	//625 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 390, 781, 2, Smoke::mf_static, 107, 29},	//626 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 357, 784, 2, Smoke::mf_static, 36, 30},	//627 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 550, 0, 0, Smoke::mf_static, 519, 31},	//628 QGlobalSpace::qQNaN()
    {37, 346, 787, 2, Smoke::mf_static, 198, 32},	//629 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 390, 790, 2, Smoke::mf_static, 74, 33},	//630 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 520, 793, 1, Smoke::mf_static, 529, 34},	//631 QGlobalSpace::qHash(unsigned char)
    {37, 390, 795, 2, Smoke::mf_static, 61, 35},	//632 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 346, 798, 2, Smoke::mf_static, 512, 36},	//633 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 337, 801, 2, Smoke::mf_static, 227, 37},	//634 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 390, 804, 2, Smoke::mf_static, 93, 38},	//635 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 337, 807, 2, Smoke::mf_static, 187, 39},	//636 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 589, 0, 0, Smoke::mf_static, 515, 40},	//637 QGlobalSpace::qVersion()
    {37, 510, 810, 2, Smoke::mf_static, 398, 41},	//638 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 390, 813, 2, Smoke::mf_static, 66, 42},	//639 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 368, 736, 2, Smoke::mf_static, 398, 43},	//640 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 390, 816, 2, Smoke::mf_static, 132, 44},	//641 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 337, 819, 2, Smoke::mf_static, 482, 45},	//642 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 357, 822, 2, Smoke::mf_static, 32, 46},	//643 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 390, 825, 2, Smoke::mf_static, 179, 47},	//644 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 510, 828, 2, Smoke::mf_static, 398, 48},	//645 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 374, 831, 2, Smoke::mf_static, 398, 49},	//646 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 426, 725, 1, Smoke::mf_static, 521, 50},	//647 QGlobalSpace::qCeil(double)
    {37, 601, 0, 0, Smoke::mf_static, 521, 51},	//648 QGlobalSpace::qrand()
    {37, 515, 36, 1, Smoke::mf_static, 521, 52},	//649 QGlobalSpace::qGray(unsigned int)
    {37, 390, 834, 2, Smoke::mf_static, 68, 53},	//650 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 346, 837, 2, Smoke::mf_static, 482, 54},	//651 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 379, 840, 2, Smoke::mf_static, 398, 55},	//652 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 368, 843, 2, Smoke::mf_static, 398, 56},	//653 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 346, 846, 1, Smoke::mf_static, 473, 57},	//654 QGlobalSpace::operator-(const QQuaternion&)
    {37, 390, 848, 2, Smoke::mf_static, 54, 58},	//655 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 390, 851, 2, Smoke::mf_static, 127, 59},	//656 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 357, 854, 2, Smoke::mf_static, 36, 60},	//657 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 555, 36, 1, Smoke::mf_static, 521, 61},	//658 QGlobalSpace::qRed(unsigned int)
    {37, 329, 857, 2, Smoke::mf_static, 398, 62},	//659 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 337, 860, 2, Smoke::mf_static, 473, 63},	//660 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 368, 863, 2, Smoke::mf_static, 398, 64},	//661 QGlobalSpace::operator==(QBool, QBool)
    {37, 390, 866, 2, Smoke::mf_static, 103, 65},	//662 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 390, 869, 2, Smoke::mf_static, 102, 66},	//663 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 390, 872, 2, Smoke::mf_static, 69, 67},	//664 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 390, 875, 2, Smoke::mf_static, 118, 68},	//665 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 520, 878, 1, Smoke::mf_static, 529, 69},	//666 QGlobalSpace::qHash(const QStringRef&)
    {37, 390, 880, 2, Smoke::mf_static, 110, 70},	//667 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 368, 883, 2, Smoke::mf_static, 398, 71},	//668 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 357, 886, 2, Smoke::mf_static, 36, 72},	//669 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 357, 889, 2, Smoke::mf_static, 36, 73},	//670 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 357, 892, 2, Smoke::mf_static, 32, 74},	//671 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 384, 895, 2, Smoke::mf_static, 32, 75},	//672 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 414, 36, 1, Smoke::mf_static, 521, 76},	//673 QGlobalSpace::qAlpha(unsigned int)
    {37, 390, 898, 2, Smoke::mf_static, 179, 77},	//674 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 390, 901, 2, Smoke::mf_static, 64, 78},	//675 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 341, 904, 2, Smoke::mf_static, 487, 79},	//676 QGlobalSpace::operator+(QChar, const QString&)
    {37, 518, 36, 1, Smoke::mf_static, 521, 80},	//677 QGlobalSpace::qGreen(unsigned int)
    {37, 390, 907, 2, Smoke::mf_static, 82, 81},	//678 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 460, 910, 6, Smoke::mf_static, 0, 82},	//679 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 460, 917, 3, Smoke::mf_static, 0, 83},	//680 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 460, 921, 4, Smoke::mf_static, 0, 84},	//681 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 460, 926, 5, Smoke::mf_static, 0, 85},	//682 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 346, 932, 1, Smoke::mf_static, 506, 86},	//683 QGlobalSpace::operator-(const QVector2D&)
    {37, 390, 934, 2, Smoke::mf_static, 61, 87},	//684 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 357, 937, 2, Smoke::mf_static, 32, 88},	//685 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 357, 940, 2, Smoke::mf_static, 36, 89},	//686 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 337, 798, 2, Smoke::mf_static, 512, 90},	//687 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 337, 943, 2, Smoke::mf_static, 473, 91},	//688 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 390, 946, 2, Smoke::mf_static, 108, 92},	//689 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 357, 949, 2, Smoke::mf_static, 32, 93},	//690 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 357, 952, 2, Smoke::mf_static, 36, 94},	//691 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 520, 955, 1, Smoke::mf_static, 529, 95},	//692 QGlobalSpace::qHash(const QBitArray&)
    {37, 390, 957, 2, Smoke::mf_static, 109, 96},	//693 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 419, 725, 1, Smoke::mf_static, 519, 97},	//694 QGlobalSpace::qAtan(double)
    {37, 591, 960, 3, Smoke::mf_static, 0, 98},	//695 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 390, 964, 2, Smoke::mf_static, 57, 99},	//696 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 337, 967, 2, Smoke::mf_static, 231, 100},	//697 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 647, 970, 3, Smoke::mf_static, 398, 101},	//698 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 520, 71, 1, Smoke::mf_static, 529, 102},	//699 QGlobalSpace::qHash(const QString&)
    {37, 520, 974, 1, Smoke::mf_static, 529, 103},	//700 QGlobalSpace::qHash(unsigned short)
    {37, 557, 976, 1, Smoke::mf_static, 0, 104},	//701 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 520, 978, 1, Smoke::mf_static, 529, 105},	//702 QGlobalSpace::qHash(long)
    {37, 390, 980, 2, Smoke::mf_static, 130, 106},	//703 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 520, 983, 1, Smoke::mf_static, 529, 107},	//704 QGlobalSpace::qHash(long long)
    {37, 357, 985, 2, Smoke::mf_static, 36, 108},	//705 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 341, 837, 2, Smoke::mf_static, 482, 109},	//706 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 480, 988, 8, Smoke::mf_static, 0, 110},	//707 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 480, 997, 6, Smoke::mf_static, 0, 111},	//708 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 480, 1004, 7, Smoke::mf_static, 0, 112},	//709 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 390, 1012, 2, Smoke::mf_static, 95, 113},	//710 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 390, 1015, 2, Smoke::mf_static, 179, 114},	//711 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 357, 1018, 2, Smoke::mf_static, 36, 115},	//712 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 390, 1021, 2, Smoke::mf_static, 179, 116},	//713 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 390, 1024, 2, Smoke::mf_static, 179, 117},	//714 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 469, 1027, 10, Smoke::mf_static, 0, 118},	//715 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 469, 997, 6, Smoke::mf_static, 0, 119},	//716 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 469, 1004, 7, Smoke::mf_static, 0, 120},	//717 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 469, 1038, 8, Smoke::mf_static, 0, 121},	//718 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 469, 1047, 9, Smoke::mf_static, 0, 122},	//719 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 435, 725, 1, Smoke::mf_static, 519, 123},	//720 QGlobalSpace::qCos(double)
    {37, 357, 1057, 2, Smoke::mf_static, 32, 124},	//721 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 390, 1060, 2, Smoke::mf_static, 52, 125},	//722 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 384, 1063, 2, Smoke::mf_static, 32, 126},	//723 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 602, 36, 1, Smoke::mf_static, 0, 127},	//724 QGlobalSpace::qsrand(unsigned int)
    {37, 532, 1066, 1, Smoke::mf_static, 398, 128},	//725 QGlobalSpace::qIsInf(float)
    {37, 390, 1068, 2, Smoke::mf_static, 75, 129},	//726 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 390, 1071, 2, Smoke::mf_static, 118, 130},	//727 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 384, 1074, 2, Smoke::mf_static, 32, 131},	//728 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 390, 1077, 2, Smoke::mf_static, 179, 132},	//729 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 357, 1080, 2, Smoke::mf_static, 32, 133},	//730 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 390, 1083, 2, Smoke::mf_static, 179, 134},	//731 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 390, 1086, 2, Smoke::mf_static, 63, 135},	//732 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 352, 1089, 2, Smoke::mf_static, 398, 136},	//733 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 390, 1092, 2, Smoke::mf_static, 77, 137},	//734 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 390, 1095, 2, Smoke::mf_static, 179, 138},	//735 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 357, 1098, 2, Smoke::mf_static, 36, 139},	//736 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 390, 1101, 2, Smoke::mf_static, 119, 140},	//737 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 390, 1104, 2, Smoke::mf_static, 179, 141},	//738 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 357, 1107, 2, Smoke::mf_static, 36, 142},	//739 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 337, 1110, 2, Smoke::mf_static, 187, 143},	//740 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 590, 0, 0, Smoke::mf_static, 36, 144},	//741 QGlobalSpace::qWarning()
    {37, 390, 1113, 2, Smoke::mf_static, 92, 145},	//742 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 341, 798, 2, Smoke::mf_static, 512, 146},	//743 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 515, 1116, 3, Smoke::mf_static, 521, 147},	//744 QGlobalSpace::qGray(int, int, int)
    {37, 337, 1120, 2, Smoke::mf_static, 189, 148},	//745 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 390, 1123, 2, Smoke::mf_static, 128, 149},	//746 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 337, 1126, 2, Smoke::mf_static, 217, 150},	//747 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 390, 1129, 2, Smoke::mf_static, 179, 151},	//748 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 368, 1132, 2, Smoke::mf_static, 398, 152},	//749 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 329, 810, 2, Smoke::mf_static, 398, 153},	//750 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 384, 1135, 2, Smoke::mf_static, 32, 154},	//751 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 357, 1138, 2, Smoke::mf_static, 32, 155},	//752 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 390, 1141, 2, Smoke::mf_static, 179, 156},	//753 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 341, 1144, 2, Smoke::mf_static, 487, 157},	//754 QGlobalSpace::operator+(const QString&, const char*)
    {37, 357, 1147, 2, Smoke::mf_static, 32, 158},	//755 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 357, 1150, 2, Smoke::mf_static, 36, 159},	//756 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 357, 1153, 2, Smoke::mf_static, 36, 160},	//757 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 390, 1156, 2, Smoke::mf_static, 179, 161},	//758 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 357, 1159, 2, Smoke::mf_static, 32, 162},	//759 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 390, 1162, 2, Smoke::mf_static, 91, 163},	//760 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 390, 1165, 2, Smoke::mf_static, 121, 164},	//761 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 384, 1168, 2, Smoke::mf_static, 32, 165},	//762 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 357, 1171, 2, Smoke::mf_static, 32, 166},	//763 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 390, 1174, 2, Smoke::mf_static, 82, 167},	//764 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 390, 1177, 2, Smoke::mf_static, 91, 168},	//765 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 390, 1180, 2, Smoke::mf_static, 179, 169},	//766 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 341, 1183, 2, Smoke::mf_static, 410, 170},	//767 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 350, 722, 2, Smoke::mf_static, 467, 171},	//768 QGlobalSpace::operator/(const QPoint&, double)
    {37, 384, 1186, 2, Smoke::mf_static, 32, 172},	//769 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 341, 1189, 2, Smoke::mf_static, 487, 173},	//770 QGlobalSpace::operator+(const char*, const QString&)
    {37, 341, 810, 2, Smoke::mf_static, 506, 174},	//771 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 390, 1192, 2, Smoke::mf_static, 90, 175},	//772 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 357, 1195, 2, Smoke::mf_static, 36, 176},	//773 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 368, 1198, 2, Smoke::mf_static, 398, 177},	//774 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 390, 1201, 2, Smoke::mf_static, 70, 178},	//775 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 384, 1204, 2, Smoke::mf_static, 32, 179},	//776 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 534, 1066, 1, Smoke::mf_static, 398, 180},	//777 QGlobalSpace::qIsNaN(float)
    {37, 510, 1207, 2, Smoke::mf_static, 398, 181},	//778 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 536, 1066, 1, Smoke::mf_static, 398, 182},	//779 QGlobalSpace::qIsNull(float)
    {37, 390, 1210, 2, Smoke::mf_static, 73, 183},	//780 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 384, 1213, 2, Smoke::mf_static, 32, 184},	//781 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 384, 1216, 2, Smoke::mf_static, 32, 185},	//782 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 357, 1219, 2, Smoke::mf_static, 32, 186},	//783 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 384, 1222, 2, Smoke::mf_static, 32, 187},	//784 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 390, 1225, 2, Smoke::mf_static, 94, 188},	//785 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 368, 1228, 2, Smoke::mf_static, 398, 189},	//786 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 350, 1231, 2, Smoke::mf_static, 282, 190},	//787 QGlobalSpace::operator/(const QTransform&, double)
    {37, 357, 1234, 2, Smoke::mf_static, 276, 191},	//788 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 390, 1237, 2, Smoke::mf_static, 55, 192},	//789 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 390, 1240, 2, Smoke::mf_static, 179, 193},	//790 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 361, 1189, 2, Smoke::mf_static, 398, 194},	//791 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 337, 1243, 2, Smoke::mf_static, 506, 195},	//792 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 390, 1246, 2, Smoke::mf_static, 71, 196},	//793 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 390, 1249, 2, Smoke::mf_static, 114, 197},	//794 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 390, 1252, 2, Smoke::mf_static, 100, 198},	//795 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 329, 1255, 2, Smoke::mf_static, 398, 199},	//796 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 337, 1258, 2, Smoke::mf_static, 512, 200},	//797 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 390, 1261, 2, Smoke::mf_static, 179, 201},	//798 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 390, 1264, 2, Smoke::mf_static, 179, 202},	//799 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 357, 1267, 2, Smoke::mf_static, 36, 203},	//800 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 352, 1270, 2, Smoke::mf_static, 398, 204},	//801 QGlobalSpace::operator<(QChar, QChar)
    {37, 368, 943, 2, Smoke::mf_static, 398, 205},	//802 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 408, 0, 0, Smoke::mf_static, 13, 206},	//803 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 510, 787, 2, Smoke::mf_static, 398, 207},	//804 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 350, 1273, 2, Smoke::mf_static, 198, 208},	//805 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 337, 1276, 2, Smoke::mf_static, 217, 209},	//806 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 357, 1279, 2, Smoke::mf_static, 32, 210},	//807 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 379, 831, 2, Smoke::mf_static, 398, 211},	//808 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 390, 1282, 2, Smoke::mf_static, 89, 212},	//809 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 621, 1285, 3, Smoke::mf_static, 521, 213},	//810 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 520, 228, 1, Smoke::mf_static, 529, 214},	//811 QGlobalSpace::qHash(const QByteArray&)
    {37, 390, 1289, 2, Smoke::mf_static, 179, 215},	//812 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 390, 1292, 2, Smoke::mf_static, 55, 216},	//813 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 390, 1295, 2, Smoke::mf_static, 72, 217},	//814 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 341, 787, 2, Smoke::mf_static, 198, 218},	//815 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 390, 1298, 2, Smoke::mf_static, 179, 219},	//816 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 357, 1301, 2, Smoke::mf_static, 36, 220},	//817 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 337, 810, 2, Smoke::mf_static, 506, 221},	//818 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 632, 251, 2, Smoke::mf_static, 0, 222},	//819 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 384, 1304, 2, Smoke::mf_static, 32, 223},	//820 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 390, 1307, 2, Smoke::mf_static, 179, 224},	//821 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 390, 1310, 2, Smoke::mf_static, 179, 225},	//822 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 390, 1313, 2, Smoke::mf_static, 117, 226},	//823 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 390, 1316, 2, Smoke::mf_static, 113, 227},	//824 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 384, 1319, 2, Smoke::mf_static, 32, 228},	//825 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 390, 1322, 2, Smoke::mf_static, 117, 229},	//826 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 337, 1325, 2, Smoke::mf_static, 469, 230},	//827 QGlobalSpace::operator*(const QPointF&, double)
    {37, 604, 840, 2, Smoke::mf_static, 521, 231},	//828 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 390, 1328, 2, Smoke::mf_static, 93, 232},	//829 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 390, 1331, 2, Smoke::mf_static, 78, 233},	//830 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 572, 1334, 1, Smoke::mf_static, 279, 234},	//831 QGlobalSpace::qSetPadChar(QChar)
    {37, 604, 1089, 2, Smoke::mf_static, 521, 235},	//832 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 368, 775, 2, Smoke::mf_static, 398, 236},	//833 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 460, 1336, 9, Smoke::mf_static, 0, 237},	//834 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 460, 997, 6, Smoke::mf_static, 0, 238},	//835 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 460, 1004, 7, Smoke::mf_static, 0, 239},	//836 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 460, 1038, 8, Smoke::mf_static, 0, 240},	//837 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 576, 0, 0, Smoke::mf_static, 398, 241},	//838 QGlobalSpace::qSharedBuild()
    {37, 341, 943, 2, Smoke::mf_static, 473, 242},	//839 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 390, 1346, 2, Smoke::mf_static, 52, 243},	//840 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 524, 1349, 1, Smoke::mf_static, 535, 244},	//841 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 357, 1351, 2, Smoke::mf_static, 32, 245},	//842 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 643, 1354, 3, Smoke::mf_static, 206, 246},	//843 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 368, 831, 2, Smoke::mf_static, 398, 247},	//844 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 390, 1358, 2, Smoke::mf_static, 126, 248},	//845 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 337, 1361, 2, Smoke::mf_static, 294, 249},	//846 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 390, 1364, 2, Smoke::mf_static, 179, 250},	//847 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 329, 840, 2, Smoke::mf_static, 398, 251},	//848 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 480, 1367, 5, Smoke::mf_static, 0, 252},	//849 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 480, 917, 3, Smoke::mf_static, 0, 253},	//850 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 480, 921, 4, Smoke::mf_static, 0, 254},	//851 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 390, 1373, 2, Smoke::mf_static, 179, 255},	//852 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 390, 1376, 2, Smoke::mf_static, 96, 256},	//853 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 390, 1379, 2, Smoke::mf_static, 179, 257},	//854 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 390, 1382, 2, Smoke::mf_static, 179, 258},	//855 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 384, 1385, 2, Smoke::mf_static, 32, 259},	//856 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 346, 810, 2, Smoke::mf_static, 506, 260},	//857 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 390, 1388, 2, Smoke::mf_static, 125, 261},	//858 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 350, 819, 2, Smoke::mf_static, 482, 262},	//859 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 337, 1391, 2, Smoke::mf_static, 509, 263},	//860 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 390, 1394, 2, Smoke::mf_static, 126, 264},	//861 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 384, 1397, 2, Smoke::mf_static, 32, 265},	//862 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 337, 1400, 2, Smoke::mf_static, 229, 266},	//863 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 374, 1270, 2, Smoke::mf_static, 398, 267},	//864 QGlobalSpace::operator>(QChar, QChar)
    {37, 379, 1198, 2, Smoke::mf_static, 398, 268},	//865 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 508, 1403, 1, Smoke::mf_static, 0, 269},	//866 QGlobalSpace::qFreeAligned(void*)
    {37, 390, 1405, 2, Smoke::mf_static, 103, 270},	//867 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 368, 1408, 2, Smoke::mf_static, 398, 271},	//868 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 357, 1411, 2, Smoke::mf_static, 36, 272},	//869 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 526, 1066, 1, Smoke::mf_static, 521, 273},	//870 QGlobalSpace::qIntCast(float)
    {37, 352, 840, 2, Smoke::mf_static, 398, 274},	//871 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 390, 1414, 2, Smoke::mf_static, 105, 275},	//872 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 599, 1198, 2, Smoke::mf_static, 398, 276},	//873 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 390, 1417, 2, Smoke::mf_static, 179, 277},	//874 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 384, 1420, 2, Smoke::mf_static, 32, 278},	//875 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 581, 1423, 2, Smoke::mf_static, 398, 279},	//876 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 617, 1285, 3, Smoke::mf_static, 521, 280},	//877 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 469, 1426, 7, Smoke::mf_static, 0, 281},	//878 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 469, 917, 3, Smoke::mf_static, 0, 282},	//879 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 469, 921, 4, Smoke::mf_static, 0, 283},	//880 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 469, 926, 5, Smoke::mf_static, 0, 284},	//881 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 469, 1434, 6, Smoke::mf_static, 0, 285},	//882 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 390, 1441, 2, Smoke::mf_static, 109, 286},	//883 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 390, 1444, 2, Smoke::mf_static, 179, 287},	//884 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 390, 1447, 2, Smoke::mf_static, 179, 288},	//885 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 346, 1450, 1, Smoke::mf_static, 469, 289},	//886 QGlobalSpace::operator-(const QPointF&)
    {37, 553, 1452, 4, Smoke::mf_static, 536, 290},	//887 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 390, 1457, 2, Smoke::mf_static, 124, 291},	//888 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 357, 1460, 2, Smoke::mf_static, 32, 292},	//889 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 520, 1463, 1, Smoke::mf_static, 529, 293},	//890 QGlobalSpace::qHash(unsigned long long)
    {37, 341, 1465, 2, Smoke::mf_static, 487, 294},	//891 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 390, 1468, 2, Smoke::mf_static, 133, 295},	//892 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 357, 1471, 2, Smoke::mf_static, 36, 296},	//893 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 337, 1474, 2, Smoke::mf_static, 227, 297},	//894 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 390, 1477, 2, Smoke::mf_static, 124, 298},	//895 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 357, 1480, 2, Smoke::mf_static, 36, 299},	//896 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 390, 1483, 2, Smoke::mf_static, 131, 300},	//897 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 416, 0, 0, Smoke::mf_static, 248, 301},	//898 QGlobalSpace::qAppName()
    {37, 341, 1486, 2, Smoke::mf_static, 487, 302},	//899 QGlobalSpace::operator+(const QString&, char)
    {37, 379, 1255, 2, Smoke::mf_static, 398, 303},	//900 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 390, 1489, 2, Smoke::mf_static, 64, 304},	//901 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 520, 1334, 1, Smoke::mf_static, 529, 305},	//902 QGlobalSpace::qHash(QChar)
    {37, 390, 1492, 2, Smoke::mf_static, 179, 306},	//903 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 444, 1495, 8, Smoke::mf_static, 0, 307},	//904 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 444, 1504, 6, Smoke::mf_static, 0, 308},	//905 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 444, 1511, 7, Smoke::mf_static, 0, 309},	//906 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 368, 857, 2, Smoke::mf_static, 398, 310},	//907 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 513, 725, 1, Smoke::mf_static, 398, 311},	//908 QGlobalSpace::qFuzzyIsNull(double)
    {37, 337, 787, 2, Smoke::mf_static, 198, 312},	//909 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 357, 1519, 2, Smoke::mf_static, 32, 313},	//910 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 546, 1522, 3, Smoke::mf_static, 536, 314},	//911 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 421, 1207, 2, Smoke::mf_static, 519, 315},	//912 QGlobalSpace::qAtan2(double, double)
    {37, 390, 1526, 2, Smoke::mf_static, 96, 316},	//913 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 357, 1529, 2, Smoke::mf_static, 32, 317},	//914 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 384, 1532, 2, Smoke::mf_static, 32, 318},	//915 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 430, 254, 2, Smoke::mf_static, 21, 319},	//916 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 430, 228, 1, Smoke::mf_static, 21, 320},	//917 QGlobalSpace::qCompress(const QByteArray&)
    {37, 329, 719, 2, Smoke::mf_static, 398, 321},	//918 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 390, 1535, 2, Smoke::mf_static, 179, 322},	//919 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 357, 1538, 2, Smoke::mf_static, 36, 323},	//920 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 390, 1541, 2, Smoke::mf_static, 125, 324},	//921 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 337, 1544, 2, Smoke::mf_static, 296, 325},	//922 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 390, 1547, 2, Smoke::mf_static, 179, 326},	//923 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 352, 1198, 2, Smoke::mf_static, 398, 327},	//924 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 444, 1550, 5, Smoke::mf_static, 0, 328},	//925 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 444, 1556, 3, Smoke::mf_static, 0, 329},	//926 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 444, 1560, 4, Smoke::mf_static, 0, 330},	//927 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 390, 1565, 2, Smoke::mf_static, 95, 331},	//928 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 390, 1568, 2, Smoke::mf_static, 179, 332},	//929 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 412, 1571, 1, Smoke::mf_static, 0, 333},	//930 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 390, 1573, 2, Smoke::mf_static, 179, 334},	//931 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 337, 1576, 2, Smoke::mf_static, 225, 335},	//932 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 390, 1579, 2, Smoke::mf_static, 179, 336},	//933 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 390, 1582, 2, Smoke::mf_static, 179, 337},	//934 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 494, 725, 1, Smoke::mf_static, 519, 338},	//935 QGlobalSpace::qExp(double)
    {37, 329, 775, 2, Smoke::mf_static, 398, 339},	//936 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 390, 1585, 2, Smoke::mf_static, 122, 340},	//937 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 361, 1089, 2, Smoke::mf_static, 398, 341},	//938 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 357, 1588, 2, Smoke::mf_static, 32, 342},	//939 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 329, 1591, 2, Smoke::mf_static, 398, 343},	//940 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 390, 1594, 2, Smoke::mf_static, 179, 344},	//941 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 390, 1597, 2, Smoke::mf_static, 179, 345},	//942 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 390, 1600, 2, Smoke::mf_static, 116, 346},	//943 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 368, 1603, 2, Smoke::mf_static, 398, 347},	//944 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 536, 725, 1, Smoke::mf_static, 398, 348},	//945 QGlobalSpace::qIsNull(double)
    {37, 439, 1606, 8, Smoke::mf_static, 0, 349},	//946 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 439, 1615, 6, Smoke::mf_static, 0, 350},	//947 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 439, 1622, 7, Smoke::mf_static, 0, 351},	//948 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 379, 1630, 2, Smoke::mf_static, 398, 352},	//949 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 368, 1633, 2, Smoke::mf_static, 398, 353},	//950 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 526, 725, 1, Smoke::mf_static, 521, 354},	//951 QGlobalSpace::qIntCast(double)
    {37, 388, 708, 2, Smoke::mf_static, 17, 355},	//952 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 428, 1636, 2, Smoke::mf_static, 532, 356},	//953 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 390, 1639, 2, Smoke::mf_static, 115, 357},	//954 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 390, 1642, 2, Smoke::mf_static, 179, 358},	//955 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 384, 1645, 2, Smoke::mf_static, 32, 359},	//956 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 357, 1648, 2, Smoke::mf_static, 32, 360},	//957 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 337, 1231, 2, Smoke::mf_static, 282, 361},	//958 QGlobalSpace::operator*(const QTransform&, double)
    {37, 390, 1651, 2, Smoke::mf_static, 179, 362},	//959 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 390, 1654, 2, Smoke::mf_static, 116, 363},	//960 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 352, 1255, 2, Smoke::mf_static, 398, 364},	//961 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 357, 1657, 2, Smoke::mf_static, 36, 365},	//962 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 390, 1660, 2, Smoke::mf_static, 179, 366},	//963 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 593, 208, 1, Smoke::mf_static, 21, 367},	//964 QGlobalSpace::qgetenv(const char*)
    {37, 390, 1663, 2, Smoke::mf_static, 179, 368},	//965 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 357, 1666, 2, Smoke::mf_static, 36, 369},	//966 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 390, 1669, 2, Smoke::mf_static, 179, 370},	//967 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 390, 1672, 2, Smoke::mf_static, 179, 371},	//968 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 329, 1423, 2, Smoke::mf_static, 398, 372},	//969 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 357, 1675, 2, Smoke::mf_static, 36, 373},	//970 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 384, 1678, 2, Smoke::mf_static, 276, 374},	//971 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 390, 1681, 2, Smoke::mf_static, 179, 375},	//972 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 329, 1198, 2, Smoke::mf_static, 398, 376},	//973 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 390, 1684, 2, Smoke::mf_static, 179, 377},	//974 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 410, 725, 1, Smoke::mf_static, 519, 378},	//975 QGlobalSpace::qAcos(double)
    {37, 390, 1687, 2, Smoke::mf_static, 98, 379},	//976 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 374, 1255, 2, Smoke::mf_static, 398, 380},	//977 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 350, 1258, 2, Smoke::mf_static, 512, 381},	//978 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 337, 1690, 2, Smoke::mf_static, 225, 382},	//979 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 390, 1693, 2, Smoke::mf_static, 105, 383},	//980 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 384, 1696, 2, Smoke::mf_static, 32, 384},	//981 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 390, 1699, 2, Smoke::mf_static, 79, 385},	//982 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 350, 860, 2, Smoke::mf_static, 473, 386},	//983 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 390, 1702, 2, Smoke::mf_static, 89, 387},	//984 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 384, 1705, 2, Smoke::mf_static, 32, 388},	//985 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 357, 1708, 2, Smoke::mf_static, 32, 389},	//986 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 390, 1711, 2, Smoke::mf_static, 67, 390},	//987 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 406, 0, 0, Smoke::mf_static, 13, 391},	//988 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 390, 1714, 2, Smoke::mf_static, 179, 392},	//989 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 357, 1717, 2, Smoke::mf_static, 36, 393},	//990 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 619, 1720, 3, Smoke::mf_static, 400, 394},	//991 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 390, 1724, 2, Smoke::mf_static, 58, 395},	//992 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 384, 1727, 2, Smoke::mf_static, 32, 396},	//993 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 357, 1730, 2, Smoke::mf_static, 32, 397},	//994 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 384, 1733, 2, Smoke::mf_static, 32, 398},	//995 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 346, 1736, 1, Smoke::mf_static, 512, 399},	//996 QGlobalSpace::operator-(const QVector4D&)
    {37, 357, 1738, 2, Smoke::mf_static, 36, 400},	//997 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 520, 1741, 1, Smoke::mf_static, 529, 401},	//998 QGlobalSpace::qHash(const QUrl&)
    {37, 390, 1743, 2, Smoke::mf_static, 179, 402},	//999 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 384, 1746, 2, Smoke::mf_static, 32, 403},	//1000 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 528, 1066, 1, Smoke::mf_static, 398, 404},	//1001 QGlobalSpace::qIsFinite(float)
    {37, 329, 1132, 2, Smoke::mf_static, 398, 405},	//1002 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 368, 810, 2, Smoke::mf_static, 398, 406},	//1003 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 634, 20, 1, Smoke::mf_static, 248, 407},	//1004 QGlobalSpace::qt_error_string(int)
    {37, 634, 0, 0, Smoke::mf_static, 248, 408},	//1005 QGlobalSpace::qt_error_string()
    {37, 350, 1243, 2, Smoke::mf_static, 506, 409},	//1006 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 390, 1749, 2, Smoke::mf_static, 179, 410},	//1007 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 384, 1752, 2, Smoke::mf_static, 32, 411},	//1008 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 551, 1755, 2, Smoke::mf_static, 536, 412},	//1009 QGlobalSpace::qRealloc(void*, size_t)
    {37, 390, 1758, 2, Smoke::mf_static, 77, 413},	//1010 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 390, 1761, 2, Smoke::mf_static, 76, 414},	//1011 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 341, 1764, 2, Smoke::mf_static, 487, 415},	//1012 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 390, 1767, 2, Smoke::mf_static, 179, 416},	//1013 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 407, 0, 0, Smoke::mf_static, 13, 417},	//1014 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 390, 1770, 2, Smoke::mf_static, 179, 418},	//1015 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 337, 1273, 2, Smoke::mf_static, 198, 419},	//1016 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 630, 1773, 4, Smoke::mf_static, 0, 420},	//1017 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 352, 1189, 2, Smoke::mf_static, 398, 421},	//1018 QGlobalSpace::operator<(const char*, const QString&)
    {37, 329, 1189, 2, Smoke::mf_static, 398, 422},	//1019 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 329, 1089, 2, Smoke::mf_static, 398, 423},	//1020 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 329, 1778, 2, Smoke::mf_static, 398, 424},	//1021 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 357, 1781, 2, Smoke::mf_static, 36, 425},	//1022 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 390, 1784, 2, Smoke::mf_static, 56, 426},	//1023 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 368, 1787, 2, Smoke::mf_static, 398, 427},	//1024 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 390, 1790, 2, Smoke::mf_static, 179, 428},	//1025 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 384, 1793, 2, Smoke::mf_static, 32, 429},	//1026 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 374, 840, 2, Smoke::mf_static, 398, 430},	//1027 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 565, 725, 1, Smoke::mf_static, 521, 431},	//1028 QGlobalSpace::qRound(double)
    {37, 361, 831, 2, Smoke::mf_static, 398, 432},	//1029 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 390, 1796, 2, Smoke::mf_static, 179, 433},	//1030 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 368, 1591, 2, Smoke::mf_static, 398, 434},	//1031 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 390, 708, 2, Smoke::mf_static, 17, 435},	//1032 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 368, 1799, 2, Smoke::mf_static, 398, 436},	//1033 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 341, 1198, 2, Smoke::mf_static, 410, 437},	//1034 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 384, 1802, 2, Smoke::mf_static, 32, 438},	//1035 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 390, 1805, 2, Smoke::mf_static, 179, 439},	//1036 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 390, 1808, 2, Smoke::mf_static, 102, 440},	//1037 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 361, 1255, 2, Smoke::mf_static, 398, 441},	//1038 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 384, 1811, 2, Smoke::mf_static, 32, 442},	//1039 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 390, 1814, 2, Smoke::mf_static, 63, 443},	//1040 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 390, 1817, 2, Smoke::mf_static, 123, 444},	//1041 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 530, 36, 1, Smoke::mf_static, 398, 445},	//1042 QGlobalSpace::qIsGray(unsigned int)
    {37, 390, 1820, 2, Smoke::mf_static, 113, 446},	//1043 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 337, 1823, 2, Smoke::mf_static, 227, 447},	//1044 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 346, 1826, 1, Smoke::mf_static, 198, 448},	//1045 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 390, 1828, 2, Smoke::mf_static, 54, 449},	//1046 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 337, 1831, 2, Smoke::mf_static, 506, 450},	//1047 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 390, 1834, 2, Smoke::mf_static, 84, 451},	//1048 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 390, 1837, 2, Smoke::mf_static, 179, 452},	//1049 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 384, 1840, 2, Smoke::mf_static, 32, 453},	//1050 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 368, 1270, 2, Smoke::mf_static, 398, 454},	//1051 QGlobalSpace::operator==(QChar, QChar)
    {37, 390, 1843, 2, Smoke::mf_static, 129, 455},	//1052 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 357, 1846, 2, Smoke::mf_static, 32, 456},	//1053 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 329, 1603, 2, Smoke::mf_static, 398, 457},	//1054 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 337, 1849, 2, Smoke::mf_static, 189, 458},	//1055 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 329, 1852, 2, Smoke::mf_static, 398, 459},	//1056 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 520, 1855, 1, Smoke::mf_static, 529, 460},	//1057 QGlobalSpace::qHash(signed char)
    {37, 357, 1857, 2, Smoke::mf_static, 32, 461},	//1058 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 357, 1860, 2, Smoke::mf_static, 32, 462},	//1059 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 390, 1863, 2, Smoke::mf_static, 130, 463},	//1060 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 337, 1866, 2, Smoke::mf_static, 509, 464},	//1061 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 579, 725, 1, Smoke::mf_static, 519, 465},	//1062 QGlobalSpace::qSqrt(double)
    {37, 357, 1869, 2, Smoke::mf_static, 32, 466},	//1063 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 390, 1872, 2, Smoke::mf_static, 112, 467},	//1064 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 604, 210, 2, Smoke::mf_static, 521, 468},	//1065 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 384, 1875, 2, Smoke::mf_static, 32, 469},	//1066 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 390, 1878, 2, Smoke::mf_static, 73, 470},	//1067 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 390, 1881, 2, Smoke::mf_static, 99, 471},	//1068 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 368, 798, 2, Smoke::mf_static, 398, 472},	//1069 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 357, 1884, 2, Smoke::mf_static, 32, 473},	//1070 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 357, 1887, 2, Smoke::mf_static, 32, 474},	//1071 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 341, 1890, 2, Smoke::mf_static, 487, 475},	//1072 QGlobalSpace::operator+(char, const QString&)
    {37, 350, 1391, 2, Smoke::mf_static, 509, 476},	//1073 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 390, 1893, 2, Smoke::mf_static, 94, 477},	//1074 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 329, 843, 2, Smoke::mf_static, 398, 478},	//1075 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 329, 1270, 2, Smoke::mf_static, 398, 479},	//1076 QGlobalSpace::operator!=(QChar, QChar)
    {37, 390, 1896, 2, Smoke::mf_static, 86, 480},	//1077 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 337, 1899, 2, Smoke::mf_static, 198, 481},	//1078 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 623, 1636, 2, Smoke::mf_static, 529, 482},	//1079 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 390, 1902, 2, Smoke::mf_static, 81, 483},	//1080 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 368, 1630, 2, Smoke::mf_static, 398, 484},	//1081 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 561, 1116, 3, Smoke::mf_static, 529, 485},	//1082 QGlobalSpace::qRgb(int, int, int)
    {37, 510, 798, 2, Smoke::mf_static, 398, 486},	//1083 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 504, 725, 1, Smoke::mf_static, 521, 487},	//1084 QGlobalSpace::qFloor(double)
    {37, 390, 1905, 2, Smoke::mf_static, 132, 488},	//1085 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 390, 1908, 2, Smoke::mf_static, 111, 489},	//1086 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 357, 1911, 2, Smoke::mf_static, 36, 490},	//1087 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 390, 1914, 2, Smoke::mf_static, 80, 491},	//1088 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 390, 1917, 2, Smoke::mf_static, 115, 492},	//1089 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 368, 837, 2, Smoke::mf_static, 398, 493},	//1090 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 384, 1920, 2, Smoke::mf_static, 32, 494},	//1091 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 390, 1923, 2, Smoke::mf_static, 114, 495},	//1092 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 384, 1926, 2, Smoke::mf_static, 32, 496},	//1093 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 357, 1929, 2, Smoke::mf_static, 32, 497},	//1094 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 390, 1932, 2, Smoke::mf_static, 57, 498},	//1095 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 368, 1255, 2, Smoke::mf_static, 398, 499},	//1096 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 329, 1935, 2, Smoke::mf_static, 398, 500},	//1097 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 337, 1938, 2, Smoke::mf_static, 480, 501},	//1098 QGlobalSpace::operator*(double, const QSize&)
    {37, 368, 1941, 2, Smoke::mf_static, 398, 502},	//1099 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 390, 1944, 2, Smoke::mf_static, 67, 503},	//1100 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 520, 1947, 1, Smoke::mf_static, 529, 504},	//1101 QGlobalSpace::qHash(const QModelIndex&)
    {37, 390, 1949, 2, Smoke::mf_static, 80, 505},	//1102 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 390, 1952, 2, Smoke::mf_static, 99, 506},	//1103 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 357, 1955, 2, Smoke::mf_static, 36, 507},	//1104 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 409, 0, 0, Smoke::mf_static, 13, 508},	//1105 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 390, 1958, 2, Smoke::mf_static, 53, 509},	//1106 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 559, 1571, 1, Smoke::mf_static, 0, 510},	//1107 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 384, 1961, 2, Smoke::mf_static, 32, 511},	//1108 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 390, 1964, 2, Smoke::mf_static, 179, 512},	//1109 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 337, 1967, 2, Smoke::mf_static, 296, 513},	//1110 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 357, 1970, 2, Smoke::mf_static, 32, 514},	//1111 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 510, 1973, 2, Smoke::mf_static, 398, 515},	//1112 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 390, 1976, 2, Smoke::mf_static, 106, 516},	//1113 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 502, 208, 1, Smoke::mf_static, 515, 517},	//1114 QGlobalSpace::qFlagLocation(const char*)
    {37, 544, 1979, 3, Smoke::mf_static, 536, 518},	//1115 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 379, 1089, 2, Smoke::mf_static, 398, 519},	//1116 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 337, 1983, 2, Smoke::mf_static, 467, 520},	//1117 QGlobalSpace::operator*(double, const QPoint&)
    {37, 534, 725, 1, Smoke::mf_static, 398, 521},	//1118 QGlobalSpace::qIsNaN(double)
    {37, 357, 1986, 2, Smoke::mf_static, 36, 522},	//1119 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 390, 1989, 2, Smoke::mf_static, 88, 523},	//1120 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 357, 1992, 2, Smoke::mf_static, 36, 524},	//1121 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 520, 1995, 1, Smoke::mf_static, 529, 525},	//1122 QGlobalSpace::qHash(short)
    {37, 523, 0, 0, Smoke::mf_static, 519, 526},	//1123 QGlobalSpace::qInf()
    {37, 357, 1997, 2, Smoke::mf_static, 36, 527},	//1124 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 390, 2000, 2, Smoke::mf_static, 90, 528},	//1125 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 357, 2003, 2, Smoke::mf_static, 32, 529},	//1126 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 357, 2006, 2, Smoke::mf_static, 32, 530},	//1127 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 337, 2009, 2, Smoke::mf_static, 473, 531},	//1128 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 341, 2012, 2, Smoke::mf_static, 410, 532},	//1129 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 390, 2015, 2, Smoke::mf_static, 108, 533},	//1130 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 357, 2018, 2, Smoke::mf_static, 36, 534},	//1131 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 390, 2021, 2, Smoke::mf_static, 92, 535},	//1132 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 390, 2024, 2, Smoke::mf_static, 60, 536},	//1133 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 350, 1325, 2, Smoke::mf_static, 469, 537},	//1134 QGlobalSpace::operator/(const QPointF&, double)
    {37, 586, 228, 1, Smoke::mf_static, 21, 538},	//1135 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 379, 1270, 2, Smoke::mf_static, 398, 539},	//1136 QGlobalSpace::operator>=(QChar, QChar)
    {37, 390, 2027, 2, Smoke::mf_static, 56, 540},	//1137 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 361, 840, 2, Smoke::mf_static, 398, 541},	//1138 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 574, 20, 1, Smoke::mf_static, 279, 542},	//1139 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 357, 2030, 2, Smoke::mf_static, 36, 543},	//1140 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 577, 725, 1, Smoke::mf_static, 519, 544},	//1141 QGlobalSpace::qSin(double)
    {37, 417, 725, 1, Smoke::mf_static, 519, 545},	//1142 QGlobalSpace::qAsin(double)
    {37, 510, 1132, 2, Smoke::mf_static, 398, 546},	//1143 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 613, 210, 2, Smoke::mf_static, 521, 547},	//1144 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 390, 2033, 2, Smoke::mf_static, 79, 548},	//1145 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 390, 2036, 2, Smoke::mf_static, 71, 549},	//1146 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 357, 2039, 2, Smoke::mf_static, 36, 550},	//1147 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 510, 2042, 2, Smoke::mf_static, 398, 551},	//1148 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 384, 2045, 2, Smoke::mf_static, 32, 552},	//1149 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 390, 2048, 2, Smoke::mf_static, 62, 553},	//1150 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 361, 1630, 2, Smoke::mf_static, 398, 554},	//1151 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 649, 2051, 4, Smoke::mf_static, 521, 555},	//1152 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 390, 2056, 2, Smoke::mf_static, 84, 556},	//1153 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 390, 2059, 2, Smoke::mf_static, 97, 557},	//1154 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 357, 2062, 2, Smoke::mf_static, 32, 558},	//1155 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 642, 0, 0, Smoke::mf_static, 0, 559},	//1156 QGlobalSpace::qt_noop()
    {37, 390, 2065, 2, Smoke::mf_static, 85, 560},	//1157 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 374, 1198, 2, Smoke::mf_static, 398, 561},	//1158 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 384, 2068, 2, Smoke::mf_static, 32, 562},	//1159 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 570, 20, 1, Smoke::mf_static, 279, 563},	//1160 QGlobalSpace::qSetFieldWidth(int)
    {37, 390, 2071, 2, Smoke::mf_static, 107, 564},	//1161 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 357, 2074, 2, Smoke::mf_static, 36, 565},	//1162 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 357, 2077, 2, Smoke::mf_static, 32, 566},	//1163 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 368, 1935, 2, Smoke::mf_static, 398, 567},	//1164 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 329, 2080, 2, Smoke::mf_static, 398, 568},	//1165 QGlobalSpace::operator!=(bool, QBool)
    {37, 520, 38, 1, Smoke::mf_static, 529, 569},	//1166 QGlobalSpace::qHash(unsigned long)
    {37, 357, 2083, 2, Smoke::mf_static, 36, 570},	//1167 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 390, 2086, 2, Smoke::mf_static, 179, 571},	//1168 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 337, 2089, 2, Smoke::mf_static, 229, 572},	//1169 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 329, 2092, 2, Smoke::mf_static, 398, 573},	//1170 QGlobalSpace::operator!=(QBool, bool)
    {37, 390, 2095, 2, Smoke::mf_static, 179, 574},	//1171 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 390, 2098, 2, Smoke::mf_static, 106, 575},	//1172 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 346, 1591, 2, Smoke::mf_static, 467, 576},	//1173 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 538, 725, 1, Smoke::mf_static, 519, 577},	//1174 QGlobalSpace::qLn(double)
    {37, 384, 2101, 2, Smoke::mf_static, 32, 578},	//1175 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 384, 2104, 2, Smoke::mf_static, 32, 579},	//1176 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 510, 943, 2, Smoke::mf_static, 398, 580},	//1177 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 451, 1047, 9, Smoke::mf_static, 0, 581},	//1178 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 451, 997, 6, Smoke::mf_static, 0, 582},	//1179 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 451, 1004, 7, Smoke::mf_static, 0, 583},	//1180 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 451, 1038, 8, Smoke::mf_static, 0, 584},	//1181 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 615, 208, 1, Smoke::mf_static, 529, 585},	//1182 QGlobalSpace::qstrlen(const char*)
    {37, 341, 1089, 2, Smoke::mf_static, 410, 586},	//1183 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 357, 2107, 2, Smoke::mf_static, 32, 587},	//1184 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 329, 837, 2, Smoke::mf_static, 398, 588},	//1185 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 361, 1198, 2, Smoke::mf_static, 398, 589},	//1186 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 357, 2110, 2, Smoke::mf_static, 32, 590},	//1187 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 390, 2113, 2, Smoke::mf_static, 119, 591},	//1188 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 357, 2116, 2, Smoke::mf_static, 36, 592},	//1189 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 390, 2119, 2, Smoke::mf_static, 179, 593},	//1190 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 368, 1778, 2, Smoke::mf_static, 398, 594},	//1191 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 390, 2122, 2, Smoke::mf_static, 87, 595},	//1192 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 390, 2125, 2, Smoke::mf_static, 179, 596},	//1193 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 329, 1630, 2, Smoke::mf_static, 398, 597},	//1194 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 390, 2128, 2, Smoke::mf_static, 112, 598},	//1195 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 390, 2131, 2, Smoke::mf_static, 72, 599},	//1196 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 357, 2134, 2, Smoke::mf_static, 32, 600},	//1197 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 390, 2137, 2, Smoke::mf_static, 133, 601},	//1198 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 390, 2140, 2, Smoke::mf_static, 59, 602},	//1199 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 405, 0, 0, Smoke::mf_static, 13, 603},	//1200 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 337, 2143, 2, Smoke::mf_static, 480, 604},	//1201 QGlobalSpace::operator*(const QSize&, double)
    {37, 337, 2146, 2, Smoke::mf_static, 294, 605},	//1202 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 368, 2149, 2, Smoke::mf_static, 398, 606},	//1203 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 357, 2152, 2, Smoke::mf_static, 36, 607},	//1204 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 390, 2155, 2, Smoke::mf_static, 62, 608},	//1205 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 390, 2158, 2, Smoke::mf_static, 123, 609},	//1206 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 384, 2161, 2, Smoke::mf_static, 32, 610},	//1207 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 357, 2164, 2, Smoke::mf_static, 36, 611},	//1208 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 368, 1089, 2, Smoke::mf_static, 398, 612},	//1209 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 645, 2167, 5, Smoke::mf_static, 0, 613},	//1210 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 384, 2173, 2, Smoke::mf_static, 32, 614},	//1211 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 390, 2176, 2, Smoke::mf_static, 101, 615},	//1212 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 374, 1189, 2, Smoke::mf_static, 398, 616},	//1213 QGlobalSpace::operator>(const char*, const QString&)
    {37, 357, 2179, 2, Smoke::mf_static, 32, 617},	//1214 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 384, 2182, 2, Smoke::mf_static, 32, 618},	//1215 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 384, 2185, 2, Smoke::mf_static, 32, 619},	//1216 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 374, 1089, 2, Smoke::mf_static, 398, 620},	//1217 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 352, 831, 2, Smoke::mf_static, 398, 621},	//1218 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 390, 2188, 2, Smoke::mf_static, 179, 622},	//1219 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 341, 1591, 2, Smoke::mf_static, 467, 623},	//1220 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 357, 2191, 2, Smoke::mf_static, 32, 624},	//1221 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 506, 1403, 1, Smoke::mf_static, 0, 625},	//1222 QGlobalSpace::qFree(void*)
    {37, 341, 1132, 2, Smoke::mf_static, 509, 626},	//1223 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 361, 1270, 2, Smoke::mf_static, 398, 627},	//1224 QGlobalSpace::operator<=(QChar, QChar)
    {37, 357, 2194, 2, Smoke::mf_static, 276, 628},	//1225 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 390, 2197, 2, Smoke::mf_static, 83, 629},	//1226 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 357, 2200, 2, Smoke::mf_static, 32, 630},	//1227 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 520, 36, 1, Smoke::mf_static, 529, 631},	//1228 QGlobalSpace::qHash(unsigned int)
    {37, 337, 2203, 2, Smoke::mf_static, 237, 632},	//1229 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 329, 2149, 2, Smoke::mf_static, 398, 633},	//1230 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 567, 725, 1, Smoke::mf_static, 523, 634},	//1231 QGlobalSpace::qRound64(double)
    {37, 337, 2206, 2, Smoke::mf_static, 227, 635},	//1232 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 374, 1630, 2, Smoke::mf_static, 398, 636},	//1233 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 357, 2209, 2, Smoke::mf_static, 36, 637},	//1234 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 390, 2212, 2, Smoke::mf_static, 179, 638},	//1235 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 357, 2215, 2, Smoke::mf_static, 32, 639},	//1236 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 390, 2218, 2, Smoke::mf_static, 97, 640},	//1237 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 542, 2221, 2, Smoke::mf_static, 536, 641},	//1238 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 390, 2224, 2, Smoke::mf_static, 179, 642},	//1239 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 390, 2227, 2, Smoke::mf_static, 179, 643},	//1240 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 329, 1408, 2, Smoke::mf_static, 398, 644},	//1241 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 430, 2230, 3, Smoke::mf_static, 21, 645},	//1242 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 430, 2234, 2, Smoke::mf_static, 21, 646},	//1243 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 390, 2237, 2, Smoke::mf_static, 179, 647},	//1244 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 357, 2240, 2, Smoke::mf_static, 36, 648},	//1245 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 611, 208, 1, Smoke::mf_static, 400, 649},	//1246 QGlobalSpace::qstrdup(const char*)
    {37, 390, 2243, 2, Smoke::mf_static, 121, 650},	//1247 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 357, 2246, 2, Smoke::mf_static, 32, 651},	//1248 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 337, 2249, 2, Smoke::mf_static, 231, 652},	//1249 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 329, 943, 2, Smoke::mf_static, 398, 653},	//1250 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 390, 2252, 2, Smoke::mf_static, 179, 654},	//1251 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 438, 0, 0, Smoke::mf_static, 36, 655},	//1252 QGlobalSpace::qDebug()
    {37, 346, 2255, 1, Smoke::mf_static, 467, 656},	//1253 QGlobalSpace::operator-(const QPoint&)
    {37, 384, 2257, 2, Smoke::mf_static, 32, 657},	//1254 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 329, 798, 2, Smoke::mf_static, 398, 658},	//1255 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 439, 2260, 4, Smoke::mf_static, 0, 659},	//1256 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 390, 2265, 2, Smoke::mf_static, 69, 660},	//1257 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 604, 1198, 2, Smoke::mf_static, 521, 661},	//1258 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 390, 2268, 2, Smoke::mf_static, 68, 662},	//1259 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 390, 2271, 2, Smoke::mf_static, 179, 663},	//1260 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 584, 725, 1, Smoke::mf_static, 519, 664},	//1261 QGlobalSpace::qTan(double)
    {37, 384, 2274, 2, Smoke::mf_static, 32, 665},	//1262 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 390, 2277, 2, Smoke::mf_static, 59, 666},	//1263 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 368, 840, 2, Smoke::mf_static, 398, 667},	//1264 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 390, 2280, 2, Smoke::mf_static, 60, 668},	//1265 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 451, 2283, 7, Smoke::mf_static, 0, 669},	//1266 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 451, 2291, 4, Smoke::mf_static, 0, 670},	//1267 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 451, 2296, 5, Smoke::mf_static, 0, 671},	//1268 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 451, 2302, 6, Smoke::mf_static, 0, 672},	//1269 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 337, 1132, 2, Smoke::mf_static, 509, 673},	//1270 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 390, 2309, 2, Smoke::mf_static, 85, 674},	//1271 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 487, 1367, 5, Smoke::mf_static, 0, 675},	//1272 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 487, 917, 3, Smoke::mf_static, 0, 676},	//1273 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 487, 921, 4, Smoke::mf_static, 0, 677},	//1274 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 357, 2312, 2, Smoke::mf_static, 32, 678},	//1275 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 520, 20, 1, Smoke::mf_static, 529, 679},	//1276 QGlobalSpace::qHash(int)
    {37, 346, 1228, 2, Smoke::mf_static, 469, 680},	//1277 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 352, 1630, 2, Smoke::mf_static, 398, 681},	//1278 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 357, 2315, 2, Smoke::mf_static, 32, 682},	//1279 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 384, 2318, 2, Smoke::mf_static, 276, 683},	//1280 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 390, 2321, 2, Smoke::mf_static, 179, 684},	//1281 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 357, 2324, 2, Smoke::mf_static, 32, 685},	//1282 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 384, 2327, 2, Smoke::mf_static, 32, 686},	//1283 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 341, 1231, 2, Smoke::mf_static, 282, 687},	//1284 QGlobalSpace::operator+(const QTransform&, double)
    {37, 357, 2330, 2, Smoke::mf_static, 32, 688},	//1285 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 390, 2333, 2, Smoke::mf_static, 98, 689},	//1286 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 520, 2336, 1, Smoke::mf_static, 529, 690},	//1287 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 390, 2338, 2, Smoke::mf_static, 129, 691},	//1288 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 548, 1207, 2, Smoke::mf_static, 519, 692},	//1289 QGlobalSpace::qPow(double, double)
    {37, 368, 1423, 2, Smoke::mf_static, 398, 693},	//1290 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 329, 1799, 2, Smoke::mf_static, 398, 694},	//1291 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 384, 2341, 2, Smoke::mf_static, 32, 695},	//1292 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 341, 840, 2, Smoke::mf_static, 410, 696},	//1293 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 341, 2344, 2, Smoke::mf_static, 487, 697},	//1294 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 581, 1144, 2, Smoke::mf_static, 398, 698},	//1295 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 390, 2347, 2, Smoke::mf_static, 66, 699},	//1296 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 337, 2350, 2, Smoke::mf_static, 225, 700},	//1297 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 384, 2353, 2, Smoke::mf_static, 32, 701},	//1298 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 390, 2356, 2, Smoke::mf_static, 179, 702},	//1299 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 390, 2359, 2, Smoke::mf_static, 70, 703},	//1300 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 390, 2362, 2, Smoke::mf_static, 81, 704},	//1301 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 636, 2365, 2, Smoke::mf_static, 0, 705},	//1302 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 390, 2368, 2, Smoke::mf_static, 179, 706},	//1303 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 346, 2371, 1, Smoke::mf_static, 509, 707},	//1304 QGlobalSpace::operator-(const QVector3D&)
    {37, 390, 2373, 2, Smoke::mf_static, 100, 708},	//1305 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 368, 1189, 2, Smoke::mf_static, 398, 709},	//1306 QGlobalSpace::operator==(const char*, const QString&)
    {37, 390, 2376, 2, Smoke::mf_static, 58, 710},	//1307 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 357, 2379, 2, Smoke::mf_static, 36, 711},	//1308 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 498, 725, 1, Smoke::mf_static, 519, 712},	//1309 QGlobalSpace::qFastCos(double)
    {37, 357, 2382, 2, Smoke::mf_static, 32, 713},	//1310 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 357, 2385, 2, Smoke::mf_static, 32, 714},	//1311 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 384, 2388, 2, Smoke::mf_static, 32, 715},	//1312 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 390, 2391, 2, Smoke::mf_static, 179, 716},	//1313 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 337, 2394, 2, Smoke::mf_static, 512, 717},	//1314 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 350, 2143, 2, Smoke::mf_static, 480, 718},	//1315 QGlobalSpace::operator/(const QSize&, double)
    {37, 384, 2397, 2, Smoke::mf_static, 32, 719},	//1316 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 384, 2400, 2, Smoke::mf_static, 32, 720},	//1317 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 390, 2403, 2, Smoke::mf_static, 78, 721},	//1318 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 384, 2406, 2, Smoke::mf_static, 32, 722},	//1319 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 368, 2080, 2, Smoke::mf_static, 398, 723},	//1320 QGlobalSpace::operator==(bool, QBool)
    {37, 487, 988, 8, Smoke::mf_static, 0, 724},	//1321 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 487, 997, 6, Smoke::mf_static, 0, 725},	//1322 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 487, 1004, 7, Smoke::mf_static, 0, 726},	//1323 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 390, 2409, 2, Smoke::mf_static, 131, 727},	//1324 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 390, 2412, 2, Smoke::mf_static, 74, 728},	//1325 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 390, 2415, 2, Smoke::mf_static, 111, 729},	//1326 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 390, 2418, 2, Smoke::mf_static, 179, 730},	//1327 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 337, 2421, 2, Smoke::mf_static, 225, 731},	//1328 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 390, 2424, 2, Smoke::mf_static, 179, 732},	//1329 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 390, 2427, 2, Smoke::mf_static, 179, 733},	//1330 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 346, 943, 2, Smoke::mf_static, 473, 734},	//1331 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 390, 2430, 2, Smoke::mf_static, 104, 735},	//1332 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 346, 1132, 2, Smoke::mf_static, 509, 736},	//1333 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 384, 2433, 2, Smoke::mf_static, 32, 737},	//1334 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 390, 2436, 2, Smoke::mf_static, 179, 738},	//1335 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 379, 1189, 2, Smoke::mf_static, 398, 739},	//1336 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 404, 0, 0, Smoke::mf_static, 13, 740},	//1337 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 520, 2439, 1, Smoke::mf_static, 529, 741},	//1338 QGlobalSpace::qHash(char)
    {37, 357, 2441, 2, Smoke::mf_static, 32, 742},	//1339 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 424, 36, 1, Smoke::mf_static, 521, 743},	//1340 QGlobalSpace::qBlue(unsigned int)
    {37, 390, 2444, 2, Smoke::mf_static, 179, 744},	//1341 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 384, 2447, 2, Smoke::mf_static, 32, 745},	//1342 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 329, 1228, 2, Smoke::mf_static, 398, 746},	//1343 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 390, 2450, 2, Smoke::mf_static, 110, 747},	//1344 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 528, 725, 1, Smoke::mf_static, 398, 748},	//1345 QGlobalSpace::qIsFinite(double)
    {37, 390, 2453, 2, Smoke::mf_static, 122, 749},	//1346 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 346, 775, 2, Smoke::mf_static, 480, 750},	//1347 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 357, 2456, 2, Smoke::mf_static, 36, 751},	//1348 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 569, 0, 0, Smoke::mf_static, 519, 752},	//1349 QGlobalSpace::qSNaN()
    {37, 357, 2459, 2, Smoke::mf_static, 32, 753},	//1350 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 390, 2462, 2, Smoke::mf_static, 101, 754},	//1351 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 513, 1066, 1, Smoke::mf_static, 398, 755},	//1352 QGlobalSpace::qFuzzyIsNull(float)
    {37, 390, 2465, 2, Smoke::mf_static, 120, 756},	//1353 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 390, 2468, 2, Smoke::mf_static, 179, 757},	//1354 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 586, 2234, 2, Smoke::mf_static, 21, 758},	//1355 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 390, 2471, 2, Smoke::mf_static, 120, 759},	//1356 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 390, 2474, 2, Smoke::mf_static, 76, 760},	//1357 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 390, 2477, 2, Smoke::mf_static, 179, 761},	//1358 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 500, 725, 1, Smoke::mf_static, 519, 762},	//1359 QGlobalSpace::qFastSin(double)
    {37, 329, 831, 2, Smoke::mf_static, 398, 763},	//1360 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 390, 2480, 2, Smoke::mf_static, 83, 764},	//1361 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 357, 2483, 2, Smoke::mf_static, 32, 765},	//1362 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 357, 2486, 2, Smoke::mf_static, 36, 766},	//1363 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 341, 1228, 2, Smoke::mf_static, 469, 767},	//1364 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 337, 2489, 2, Smoke::mf_static, 237, 768},	//1365 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 368, 2092, 2, Smoke::mf_static, 398, 769},	//1366 QGlobalSpace::operator==(QBool, bool)
    {37, 368, 772, 2, Smoke::mf_static, 398, 770},	//1367 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 357, 2492, 2, Smoke::mf_static, 36, 771},	//1368 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 625, 251, 2, Smoke::mf_static, 248, 772},	//1369 QGlobalSpace::qtTrId(const char*, int)
    {37, 625, 208, 1, Smoke::mf_static, 248, 773},	//1370 QGlobalSpace::qtTrId(const char*)
    {37, 384, 2495, 2, Smoke::mf_static, 32, 774},	//1371 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 390, 2498, 2, Smoke::mf_static, 86, 775},	//1372 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 390, 2501, 2, Smoke::mf_static, 179, 776},	//1373 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 341, 2504, 2, Smoke::mf_static, 487, 777},	//1374 QGlobalSpace::operator+(const QString&, QChar)
    {37, 423, 0, 0, Smoke::mf_static, 0, 778},	//1375 QGlobalSpace::qBadAlloc()
    {37, 329, 883, 2, Smoke::mf_static, 398, 779},	//1376 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 563, 2507, 4, Smoke::mf_static, 529, 780},	//1377 QGlobalSpace::qRgba(int, int, int, int)
    {37, 390, 2512, 2, Smoke::mf_static, 128, 781},	//1378 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 390, 2515, 2, Smoke::mf_static, 104, 782},	//1379 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 390, 2518, 2, Smoke::mf_static, 88, 783},	//1380 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 329, 863, 2, Smoke::mf_static, 398, 784},	//1381 QGlobalSpace::operator!=(QBool, QBool)
    {37, 357, 1678, 2, Smoke::mf_static, 276, 785},	//1382 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 540, 2521, 1, Smoke::mf_static, 536, 786},	//1383 QGlobalSpace::qMalloc(size_t)
    {37, 357, 2523, 2, Smoke::mf_static, 36, 787},	//1384 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 368, 1852, 2, Smoke::mf_static, 398, 788},	//1385 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 346, 1231, 2, Smoke::mf_static, 282, 789},	//1386 QGlobalSpace::operator-(const QTransform&, double)
    {37, 390, 2526, 2, Smoke::mf_static, 87, 790},	//1387 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 357, 2529, 2, Smoke::mf_static, 32, 791},	//1388 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 792},	//1389 QGlobalSpace::PM_FrameCornerWidth (enum)
    {37, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 793},	//1390 QGlobalSpace::PM_FrameCornerHeight (enum)
    {37, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 794},	//1391 QGlobalSpace::PM_BoldLineWidth (enum)
    {37, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 795},	//1392 QGlobalSpace::PM_ThinLineWidth (enum)
    {37, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 522, 796},	//1393 QGlobalSpace::PM_MessageBoxHeight (enum)
    {37, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 797},	//1394 QGlobalSpace::LicensedOpenGL (enum)
    {37, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 798},	//1395 QGlobalSpace::LicensedSvg (enum)
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 799},	//1396 QGlobalSpace::LicensedOpenVG (enum)
    {37, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 800},	//1397 QGlobalSpace::LicensedScript (enum)
    {37, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 801},	//1398 QGlobalSpace::LicensedQt3SupportLight (enum)
    {37, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 802},	//1399 QGlobalSpace::QtDebugMsg (enum)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 803},	//1400 QGlobalSpace::QtWarningMsg (enum)
    {37, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 804},	//1401 QGlobalSpace::QtCriticalMsg (enum)
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 805},	//1402 QGlobalSpace::QtFatalMsg (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 806},	//1403 QGlobalSpace::QtSystemMsg (enum)
    {37, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 807},	//1404 QGlobalSpace::LicensedGui (enum)
    {37, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 396, 808},	//1405 QGlobalSpace::LicensedXmlPatterns (enum)
    {37, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 809},	//1406 QGlobalSpace::LicensedSql (enum)
    {37, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 810},	//1407 QGlobalSpace::LicensedActiveQt (enum)
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 811},	//1408 QGlobalSpace::LicensedQt3Support (enum)
    {37, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 812},	//1409 QGlobalSpace::LicensedDBus (enum)
    {37, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 813},	//1410 QGlobalSpace::LicensedCore (enum)
    {37, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 814},	//1411 QGlobalSpace::LicensedNetwork (enum)
    {37, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 815},	//1412 QGlobalSpace::LicensedMultimedia (enum)
    {37, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 816},	//1413 QGlobalSpace::LicensedTest (enum)
    {37, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 817},	//1414 QGlobalSpace::LicensedScriptTools (enum)
    {37, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 818},	//1415 QGlobalSpace::LicensedHelp (enum)
    {37, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 819},	//1416 QGlobalSpace::LicensedXml (enum)
    {37, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 820},	//1417 QGlobalSpace::LicensedDeclarative (enum)
    {61, 251, 658, 1, Smoke::mf_virtual, 398, 0},	//1418 QObject::event(QEvent*)
    {61, 253, 2532, 2, Smoke::mf_virtual, 398, 0},	//1419 QObject::eventFilter(QObject*, QEvent*)
    {61, 827, 2535, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1420 QObject::timerEvent(QTimerEvent*)
    {61, 196, 2537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1421 QObject::childEvent(QChildEvent*)
    {61, 218, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1422 QObject::customEvent(QEvent*)
    {61, 209, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1423 QObject::connectNotify(const char*)
    {61, 233, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1424 QObject::disconnectNotify(const char*)
    {112, 227, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 521, 0},	//1425 QWidget::devType() const
    {112, 804, 86, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1426 QWidget::setVisible(bool)
    {112, 812, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 241, 0},	//1427 QWidget::sizeHint() const
    {112, 321, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 241, 0},	//1428 QWidget::minimumSizeHint() const
    {112, 291, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 521, 0},	//1429 QWidget::heightForWidth(int) const
    {112, 325, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1430 QWidget::mousePressEvent(QMouseEvent*)
    {112, 326, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1431 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 323, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1432 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 324, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1433 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 850, 2541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1434 QWidget::wheelEvent(QWheelEvent*)
    {112, 306, 2543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1435 QWidget::keyPressEvent(QKeyEvent*)
    {112, 307, 2543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1436 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 258, 2545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1437 QWidget::focusInEvent(QFocusEvent*)
    {112, 260, 2545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1438 QWidget::focusOutEvent(QFocusEvent*)
    {112, 246, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1439 QWidget::enterEvent(QEvent*)
    {112, 309, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1440 QWidget::leaveEvent(QEvent*)
    {112, 327, 2547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1441 QWidget::moveEvent(QMoveEvent*)
    {112, 200, 2549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1442 QWidget::closeEvent(QCloseEvent*)
    {112, 211, 2551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1443 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 821, 2553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1444 QWidget::tabletEvent(QTabletEvent*)
    {112, 156, 2555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1445 QWidget::actionEvent(QActionEvent*)
    {112, 236, 2557, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1446 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 238, 2559, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1447 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 237, 2561, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1448 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 242, 2563, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1449 QWidget::dropEvent(QDropEvent*)
    {112, 810, 2565, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1450 QWidget::showEvent(QShowEvent*)
    {112, 292, 2567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1451 QWidget::hideEvent(QHideEvent*)
    {112, 855, 2569, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 0},	//1452 QWidget::x11Event(_XEvent*)
    {112, 195, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1453 QWidget::changeEvent(QEvent*)
    {112, 319, 155, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 521, 0},	//1454 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 296, 2571, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1455 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 297, 2573, 1, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//1456 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 259, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 398, 0},	//1457 QWidget::focusNextPrevChild(bool)
    {112, 818, 2575, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1458 QWidget::styleChange(QStyle&)
    {112, 245, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1459 QWidget::enabledChange(bool)
    {112, 400, 2577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1460 QWidget::paletteChange(const QPalette&)
    {112, 261, 706, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1461 QWidget::fontChange(const QFont&)
    {112, 851, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1462 QWidget::windowActivationChange(bool)
    {112, 308, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1463 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 40},	//1464 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 41},	//1465 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 42},	//1466 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    300,  // QGLPixelBuffer::bindTexture(const QImage&)
    301,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    282,  // QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    283,  // QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    0,
    302,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    303,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    0,
    286,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    287,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, GLenum)
    122,  // QGLContext::bindTexture(const QPixmap&, GLenum)
    0,
    94,  // QGLContext::bindTexture(const QImage&, GLenum, GLint)
    95,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    92,  // QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, GLuint)
    124,  // QGLContext::drawTexture(const QPointF&, GLuint)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    99,  // QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    571,  // QGLWidget::QGLWidget(QWidget*)
    573,  // QGLWidget::QGLWidget(QGLContext*)
    576,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    572,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    574,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    577,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    575,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    519,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    520,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    589,  // QGLWidget::bindTexture(const QImage&)
    591,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    590,  // QGLWidget::bindTexture(const QImage&, GLenum)
    592,  // QGLWidget::bindTexture(const QPixmap&, GLenum)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    547,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    544,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    545,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    593,  // QGLWidget::drawTexture(const QRectF&, GLuint)
    594,  // QGLWidget::drawTexture(const QPointF&, GLuint)
    0,
    550,  // QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    551,  // QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    312,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    327,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    315,  // QGLShader::compileSourceCode(const char*)
    317,  // QGLShader::compileSourceCode(const QString&)
    0,
    610,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    622,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    659,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    750,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    796,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    848,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    918,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    936,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    940,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1002,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1056,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    1075,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    1076,  // QGlobalSpace::operator!=(QChar, QChar)
    1097,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1185,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1194,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1250,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    1255,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1343,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1376,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1381,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    969,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1020,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1054,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1170,  // QGlobalSpace::operator!=(QBool, bool)
    1230,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    973,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1021,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1165,  // QGlobalSpace::operator!=(bool, QBool)
    1241,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1291,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1360,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    634,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    636,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    687,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    688,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    697,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    740,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    745,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    747,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    806,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    818,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    846,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    863,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    894,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    909,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    922,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    932,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    979,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    1044,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1055,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1110,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    1169,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1202,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1229,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1232,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1249,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1270,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    1297,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1328,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1365,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    605,  // QGlobalSpace::operator*(const QPoint&, double)
    642,  // QGlobalSpace::operator*(const QSizeF&, double)
    660,  // QGlobalSpace::operator*(const QQuaternion&, double)
    792,  // QGlobalSpace::operator*(const QVector2D&, double)
    797,  // QGlobalSpace::operator*(const QVector4D&, double)
    827,  // QGlobalSpace::operator*(const QPointF&, double)
    860,  // QGlobalSpace::operator*(const QVector3D&, double)
    958,  // QGlobalSpace::operator*(const QTransform&, double)
    1016,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    1201,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    608,  // QGlobalSpace::operator*(double, const QPointF&)
    612,  // QGlobalSpace::operator*(double, const QSizeF&)
    1047,  // QGlobalSpace::operator*(double, const QVector2D&)
    1061,  // QGlobalSpace::operator*(double, const QVector3D&)
    1078,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1098,  // QGlobalSpace::operator*(double, const QSize&)
    1117,  // QGlobalSpace::operator*(double, const QPoint&)
    1128,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1314,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    623,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    706,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    743,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    771,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    815,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    839,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    1220,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1223,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    1293,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1364,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    676,  // QGlobalSpace::operator+(QChar, const QString&)
    891,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    1129,  // QGlobalSpace::operator+(const QByteArray&, char)
    1183,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1284,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    767,  // QGlobalSpace::operator+(char, const QByteArray&)
    1034,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1294,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    1374,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    754,  // QGlobalSpace::operator+(const QString&, const char*)
    770,  // QGlobalSpace::operator+(const char*, const QString&)
    899,  // QGlobalSpace::operator+(const QString&, char)
    1012,  // QGlobalSpace::operator+(const QString&, const QString&)
    1072,  // QGlobalSpace::operator+(char, const QString&)
    0,
    654,  // QGlobalSpace::operator-(const QQuaternion&)
    683,  // QGlobalSpace::operator-(const QVector2D&)
    886,  // QGlobalSpace::operator-(const QPointF&)
    996,  // QGlobalSpace::operator-(const QVector4D&)
    1045,  // QGlobalSpace::operator-(const QMatrix4x4&)
    1253,  // QGlobalSpace::operator-(const QPoint&)
    1304,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    629,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    633,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    651,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    857,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1173,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1277,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1331,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    1333,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    1347,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    768,  // QGlobalSpace::operator/(const QPoint&, double)
    787,  // QGlobalSpace::operator/(const QTransform&, double)
    805,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    859,  // QGlobalSpace::operator/(const QSizeF&, double)
    978,  // QGlobalSpace::operator/(const QVector4D&, double)
    983,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1006,  // QGlobalSpace::operator/(const QVector2D&, double)
    1073,  // QGlobalSpace::operator/(const QVector3D&, double)
    1134,  // QGlobalSpace::operator/(const QPointF&, double)
    1315,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    801,  // QGlobalSpace::operator<(QChar, QChar)
    871,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    961,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1278,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    924,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1218,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    607,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    611,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    615,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    620,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    627,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    643,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    669,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    670,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    685,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    686,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    690,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    691,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    705,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    712,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    736,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    739,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    752,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    757,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    759,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    763,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    783,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    788,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    800,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    807,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    842,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    869,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    889,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    893,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    896,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    910,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    914,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    920,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    939,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    957,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    962,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    970,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    986,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    990,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    994,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    997,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1053,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    1058,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    1059,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1063,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1070,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    1071,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    1087,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    1094,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    1104,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1111,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    1119,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1121,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1124,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    1126,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1127,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1131,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    1140,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1147,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    1155,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1163,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1167,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1184,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1187,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1189,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1197,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1204,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    1208,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    1214,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1221,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1225,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1227,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    1234,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1236,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1248,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1279,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1282,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1285,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    1308,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1310,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1339,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1348,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    1350,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1362,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1363,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1368,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    1382,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1384,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1388,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    657,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    756,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    773,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    817,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    966,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1022,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    1162,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    1245,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    1275,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1311,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    1038,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1138,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1151,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    1224,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    1029,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    1186,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    604,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    640,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    653,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    661,  // QGlobalSpace::operator==(QBool, QBool)
    668,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    749,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    786,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    802,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    833,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    907,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    950,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1003,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    1031,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1051,  // QGlobalSpace::operator==(QChar, QChar)
    1069,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1081,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1090,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    1096,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1164,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1264,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1367,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1385,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    944,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1099,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    1203,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1209,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1290,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1366,  // QGlobalSpace::operator==(QBool, bool)
    0,
    774,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    844,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    868,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1024,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    1033,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1191,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1320,  // QGlobalSpace::operator==(bool, QBool)
    0,
    864,  // QGlobalSpace::operator>(QChar, QChar)
    977,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    1027,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    1233,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    646,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    1158,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    652,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    900,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    949,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1136,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    808,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    865,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    616,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    723,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    728,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    751,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    762,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    769,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    776,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    781,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    784,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    820,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    825,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    856,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    862,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    875,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    915,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    956,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    971,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    981,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    985,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    993,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    995,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    1000,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1008,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1026,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    1035,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1039,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    1066,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    1091,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1093,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1108,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    1149,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1159,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1175,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1207,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1211,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1215,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1216,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1254,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1280,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    1283,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1292,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1298,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1312,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    1316,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1317,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1319,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1334,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    1342,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1371,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    1050,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1262,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    601,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    603,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    609,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    613,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    614,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    618,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    619,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    626,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    630,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    632,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    635,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    639,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    641,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    644,  // QGlobalSpace::operator|(QDir::Filter, int)
    650,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    655,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    656,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    662,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    663,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    664,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    665,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    667,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    674,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    675,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    678,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    684,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    689,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    693,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    696,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    703,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    710,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    711,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    713,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    714,  // QGlobalSpace::operator|(Qt::DropAction, int)
    722,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    726,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    727,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    729,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    731,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    732,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    734,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    735,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    737,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    738,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    742,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    746,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    748,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    753,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    758,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    760,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    761,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    764,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    765,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    766,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    772,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    775,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    780,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    785,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    789,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    790,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    793,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    794,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    795,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    798,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    799,  // QGlobalSpace::operator|(QFile::Permission, int)
    809,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    812,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    813,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    814,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    816,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    821,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    822,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    823,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    824,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    826,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    829,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    830,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    840,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    845,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    847,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    852,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    853,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    854,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    855,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    858,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    861,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    867,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    872,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    874,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    883,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    884,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    885,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    888,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    892,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    895,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    897,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    901,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    903,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    913,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    919,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    921,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    923,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    928,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    929,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    931,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    933,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    934,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    937,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    941,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    942,  // QGlobalSpace::operator|(Qt::WindowType, int)
    943,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    954,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    955,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    959,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    960,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    963,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    965,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    967,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    968,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    972,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    974,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    976,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    980,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    982,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    984,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    987,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    989,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    992,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    999,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    1007,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    1010,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1011,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    1013,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1015,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    1023,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    1025,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1030,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    1036,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    1037,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1040,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1041,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1043,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1046,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1048,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    1049,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    1052,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    1060,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    1064,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1067,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1068,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    1074,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    1077,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1080,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1085,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1086,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1088,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    1089,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1092,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    1095,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1100,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    1102,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1103,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    1106,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    1109,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1113,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1120,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    1125,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1130,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1132,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    1133,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1137,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1145,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1146,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    1150,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1153,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    1154,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1157,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1161,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1168,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    1171,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1172,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1188,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1190,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1192,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1193,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    1195,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1196,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    1198,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1199,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    1205,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1206,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1212,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1219,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    1226,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1235,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1237,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1239,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1240,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1244,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1247,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1251,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1257,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1259,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1260,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    1263,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1265,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1271,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1281,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    1286,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1288,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1296,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1299,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1300,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1301,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    1303,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1305,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1307,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1313,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1318,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1324,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1325,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    1326,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    1327,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1329,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1330,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    1332,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1335,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1341,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    1344,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    1346,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1351,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1353,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1354,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    1356,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1357,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1358,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1361,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    1372,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1373,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    1378,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1379,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1380,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    1387,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    638,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    645,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    804,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1083,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    1112,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1143,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    1177,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    778,  // QGlobalSpace::qFuzzyCompare(double, double)
    1148,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    908,  // QGlobalSpace::qFuzzyIsNull(double)
    1352,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    600,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    666,  // QGlobalSpace::qHash(const QStringRef&)
    692,  // QGlobalSpace::qHash(const QBitArray&)
    811,  // QGlobalSpace::qHash(const QByteArray&)
    902,  // QGlobalSpace::qHash(QChar)
    998,  // QGlobalSpace::qHash(const QUrl&)
    1101,  // QGlobalSpace::qHash(const QModelIndex&)
    1287,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    631,  // QGlobalSpace::qHash(unsigned char)
    699,  // QGlobalSpace::qHash(const QString&)
    700,  // QGlobalSpace::qHash(unsigned short)
    702,  // QGlobalSpace::qHash(long)
    704,  // QGlobalSpace::qHash(long long)
    890,  // QGlobalSpace::qHash(unsigned long long)
    1057,  // QGlobalSpace::qHash(signed char)
    1122,  // QGlobalSpace::qHash(short)
    1166,  // QGlobalSpace::qHash(unsigned long)
    1228,  // QGlobalSpace::qHash(unsigned int)
    1276,  // QGlobalSpace::qHash(int)
    1338,  // QGlobalSpace::qHash(char)
    0,
    870,  // QGlobalSpace::qIntCast(float)
    951,  // QGlobalSpace::qIntCast(double)
    0,
    1001,  // QGlobalSpace::qIsFinite(float)
    1345,  // QGlobalSpace::qIsFinite(double)
    0,
    606,  // QGlobalSpace::qIsInf(double)
    725,  // QGlobalSpace::qIsInf(float)
    0,
    777,  // QGlobalSpace::qIsNaN(float)
    1118,  // QGlobalSpace::qIsNaN(double)
    0,
    779,  // QGlobalSpace::qIsNull(float)
    945,  // QGlobalSpace::qIsNull(double)
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    341,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    495,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    346,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    367,  // QGLShaderProgram::attributeLocation(const char*) const
    369,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    364,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    366,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    402,  // QGLShaderProgram::disableAttributeArray(int)
    403,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    400,  // QGLShaderProgram::enableAttributeArray(int)
    401,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    497,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    498,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    502,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    389,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    390,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    394,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    496,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    501,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    0,
    388,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    393,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    500,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    505,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    0,
    392,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    0,
    506,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    507,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    0,
    398,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    399,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    375,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    383,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    384,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    370,  // QGLShaderProgram::setAttributeValue(int, GLfloat)
    379,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    0,
    378,  // QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    0,
    371,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    380,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    381,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    382,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    414,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    415,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    417,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    418,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    419,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    420,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    429,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    433,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    440,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    441,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    460,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    407,  // QGLShaderProgram::setUniformValue(int, GLfloat)
    408,  // QGLShaderProgram::setUniformValue(int, GLint)
    409,  // QGLShaderProgram::setUniformValue(int, GLuint)
    421,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    422,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    431,  // QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    432,  // QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    434,  // QGLShaderProgram::setUniformValue(const char*, GLfloat)
    435,  // QGLShaderProgram::setUniformValue(const char*, GLint)
    436,  // QGLShaderProgram::setUniformValue(const char*, GLuint)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    458,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    459,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    0,
    410,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    437,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    0,
    411,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    438,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    412,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    439,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    462,  // QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    463,  // QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    477,  // QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    461,  // QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    476,  // QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    0,
    404,  // QGLShaderProgram::uniformLocation(const char*) const
    406,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 49, 17},	// QGL::NoAccumBuffer
    {26, 50, 16},	// QGL::NoAlphaChannel
    {26, 53, 23},	// QGL::NoDeprecatedFunctions
    {26, 54, 14},	// QGL::NoDepthBuffer
    {26, 55, 21},	// QGL::NoOverlay
    {26, 57, 22},	// QGL::NoSampleBuffers
    {26, 58, 18},	// QGL::NoStencilBuffer
    {26, 59, 19},	// QGL::NoStereoBuffers
    {26, 140, 4},	// QGL::Rgba
    {26, 141, 11},	// QGL::SampleBuffers
    {26, 142, 13},	// QGL::SingleBuffer
    {26, 146, 7},	// QGL::StencilBuffer
    {26, 147, 8},	// QGL::StereoBuffers
    {26, 765, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 83, 47},	// QGLBuffer::PixelPackBuffer
    {27, 84, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 86, 24},	// QGLBuffer::QGLBuffer
    {27, 87, 26},	// QGLBuffer::QGLBuffer#
    {27, 88, 25},	// QGLBuffer::QGLBuffer$
    {27, 138, 58},	// QGLBuffer::ReadOnly
    {27, 139, 60},	// QGLBuffer::ReadWrite
    {27, 143, 54},	// QGLBuffer::StaticCopy
    {27, 144, 52},	// QGLBuffer::StaticDraw
    {27, 145, 53},	// QGLBuffer::StaticRead
    {27, 148, 51},	// QGLBuffer::StreamCopy
    {27, 149, 49},	// QGLBuffer::StreamDraw
    {27, 150, 50},	// QGLBuffer::StreamRead
    {27, 152, 45},	// QGLBuffer::VertexBuffer
    {27, 153, 59},	// QGLBuffer::WriteOnly
    {27, 165, 42},	// QGLBuffer::allocate$
    {27, 166, 41},	// QGLBuffer::allocate$$
    {27, 176, 34},	// QGLBuffer::bind
    {27, 194, 37},	// QGLBuffer::bufferId
    {27, 214, 31},	// QGLBuffer::create
    {27, 225, 33},	// QGLBuffer::destroy
    {27, 301, 32},	// QGLBuffer::isCreated
    {27, 316, 43},	// QGLBuffer::map$
    {27, 367, 27},	// QGLBuffer::operator=#
    {27, 652, 39},	// QGLBuffer::read$$$
    {27, 654, 35},	// QGLBuffer::release
    {27, 655, 36},	// QGLBuffer::release$
    {27, 799, 30},	// QGLBuffer::setUsagePattern$
    {27, 811, 38},	// QGLBuffer::size
    {27, 840, 28},	// QGLBuffer::type
    {27, 844, 44},	// QGLBuffer::unmap
    {27, 849, 29},	// QGLBuffer::usagePattern
    {27, 854, 40},	// QGLBuffer::write$$$
    {27, 856, 61},	// QGLBuffer::~QGLBuffer
    {28, 89, 62},	// QGLColormap::QGLColormap
    {28, 90, 63},	// QGLColormap::QGLColormap#
    {28, 226, 67},	// QGLColormap::detach
    {28, 248, 72},	// QGLColormap::entryColor$
    {28, 250, 71},	// QGLColormap::entryRgb$
    {28, 255, 73},	// QGLColormap::find$
    {28, 257, 74},	// QGLColormap::findNearest$
    {28, 279, 75},	// QGLColormap::handle
    {28, 302, 65},	// QGLColormap::isEmpty
    {28, 367, 64},	// QGLColormap::operator=#
    {28, 735, 77},	// QGLColormap::setEntries$$
    {28, 736, 68},	// QGLColormap::setEntries$$$
    {28, 738, 70},	// QGLColormap::setEntry$#
    {28, 739, 69},	// QGLColormap::setEntry$$
    {28, 751, 76},	// QGLColormap::setHandle$
    {28, 811, 66},	// QGLColormap::size
    {28, 857, 78},	// QGLColormap::~QGLColormap
    {29, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 136},	// QGLContext::DefaultBindOption
    {29, 25, 137},	// QGLContext::InternalBindOption
    {29, 26, 130},	// QGLContext::InvertedYBindOption
    {29, 46, 133},	// QGLContext::LinearFilteringBindOption
    {29, 47, 134},	// QGLContext::MemoryManagedBindOption
    {29, 48, 131},	// QGLContext::MipmapBindOption
    {29, 52, 129},	// QGLContext::NoBindOption
    {29, 85, 132},	// QGLContext::PremultipliedAlphaBindOption
    {29, 92, 80},	// QGLContext::QGLContext#
    {29, 93, 79},	// QGLContext::QGLContext##
    {29, 170, 85},	// QGLContext::areSharing##
    {29, 182, -13},	// QGLContext::bindTexture#
    {29, 183, -16},	// QGLContext::bindTexture#?
    {29, 184, -19},	// QGLContext::bindTexture#??
    {29, 185, -22},	// QGLContext::bindTexture#??$
    {29, 186, 96},	// QGLContext::bindTexture$
    {29, 197, 125},	// QGLContext::chooseContext
    {29, 198, 106},	// QGLContext::chooseContext#
    {29, 199, 108},	// QGLContext::chooseVisual
    {29, 202, 115},	// QGLContext::colorIndex#
    {29, 214, 118},	// QGLContext::create
    {29, 215, 81},	// QGLContext::create#
    {29, 216, 105},	// QGLContext::currentContext
    {29, 217, 127},	// QGLContext::currentCtx
    {29, 222, 97},	// QGLContext::deleteTexture?
    {29, 228, 103},	// QGLContext::device
    {29, 229, 109},	// QGLContext::deviceIsPixmap
    {29, 234, 90},	// QGLContext::doneCurrent
    {29, 240, -25},	// QGLContext::drawTexture#?
    {29, 241, -28},	// QGLContext::drawTexture#??
    {29, 265, 86},	// QGLContext::format
    {29, 268, 114},	// QGLContext::generateFontDisplayLists#$
    {29, 273, 102},	// QGLContext::getProcAddress$
    {29, 295, 112},	// QGLContext::initialized
    {29, 304, 83},	// QGLContext::isSharing
    {29, 305, 82},	// QGLContext::isValid
    {29, 313, 89},	// QGLContext::makeCurrent
    {29, 394, 104},	// QGLContext::overlayTransparentColor
    {29, 671, 87},	// QGLContext::requestedFormat
    {29, 672, 84},	// QGLContext::reset
    {29, 719, 128},	// QGLContext::setCurrentCtx#
    {29, 729, 117},	// QGLContext::setDevice#
    {29, 741, 88},	// QGLContext::setFormat#
    {29, 753, 113},	// QGLContext::setInitialized$
    {29, 785, 100},	// QGLContext::setTextureCacheLimit$
    {29, 801, 116},	// QGLContext::setValid$
    {29, 806, 111},	// QGLContext::setWindowCreated$
    {29, 819, 91},	// QGLContext::swapBuffers
    {29, 825, 101},	// QGLContext::textureCacheLimit
    {29, 838, 126},	// QGLContext::tryVisual#
    {29, 839, 107},	// QGLContext::tryVisual#$
    {29, 852, 110},	// QGLContext::windowCreated
    {29, 858, 138},	// QGLContext::~QGLContext
    {30, 6, 200},	// QGLFormat::CompatibilityProfile
    {30, 7, 199},	// QGLFormat::CoreProfile
    {30, 56, 198},	// QGLFormat::NoProfile
    {30, 60, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 61, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 62, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 63, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 64, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 65, 202},	// QGLFormat::OpenGL_Version_1_1
    {30, 66, 203},	// QGLFormat::OpenGL_Version_1_2
    {30, 67, 204},	// QGLFormat::OpenGL_Version_1_3
    {30, 68, 205},	// QGLFormat::OpenGL_Version_1_4
    {30, 69, 206},	// QGLFormat::OpenGL_Version_1_5
    {30, 70, 207},	// QGLFormat::OpenGL_Version_2_0
    {30, 71, 208},	// QGLFormat::OpenGL_Version_2_1
    {30, 72, 214},	// QGLFormat::OpenGL_Version_3_0
    {30, 73, 215},	// QGLFormat::OpenGL_Version_3_1
    {30, 74, 216},	// QGLFormat::OpenGL_Version_3_2
    {30, 75, 217},	// QGLFormat::OpenGL_Version_3_3
    {30, 76, 218},	// QGLFormat::OpenGL_Version_4_0
    {30, 77, 201},	// QGLFormat::OpenGL_Version_None
    {30, 94, 139},	// QGLFormat::QGLFormat
    {30, 95, 141},	// QGLFormat::QGLFormat#
    {30, 96, 197},	// QGLFormat::QGLFormat$
    {30, 97, 140},	// QGLFormat::QGLFormat$$
    {30, 154, 171},	// QGLFormat::accum
    {30, 155, 146},	// QGLFormat::accumBufferSize
    {30, 167, 169},	// QGLFormat::alpha
    {30, 168, 154},	// QGLFormat::alphaBufferSize
    {30, 193, 152},	// QGLFormat::blueBufferSize
    {30, 219, 185},	// QGLFormat::defaultFormat
    {30, 220, 187},	// QGLFormat::defaultOverlayFormat
    {30, 223, 165},	// QGLFormat::depth
    {30, 224, 144},	// QGLFormat::depthBufferSize
    {30, 230, 177},	// QGLFormat::directRendering
    {30, 235, 163},	// QGLFormat::doubleBuffer
    {30, 278, 150},	// QGLFormat::greenBufferSize
    {30, 280, 189},	// QGLFormat::hasOpenGL
    {30, 283, 190},	// QGLFormat::hasOpenGLOverlays
    {30, 290, 179},	// QGLFormat::hasOverlay
    {30, 312, 192},	// QGLFormat::majorVersion
    {30, 322, 193},	// QGLFormat::minorVersion
    {30, 328, 196},	// QGLFormat::openGLVersionFlags
    {30, 367, 142},	// QGLFormat::operator=#
    {30, 401, 181},	// QGLFormat::plane
    {30, 402, 195},	// QGLFormat::profile
    {30, 653, 148},	// QGLFormat::redBufferSize
    {30, 679, 167},	// QGLFormat::rgba
    {30, 680, 158},	// QGLFormat::sampleBuffers
    {30, 681, 160},	// QGLFormat::samples
    {30, 683, 172},	// QGLFormat::setAccum$
    {30, 685, 145},	// QGLFormat::setAccumBufferSize$
    {30, 687, 170},	// QGLFormat::setAlpha$
    {30, 689, 153},	// QGLFormat::setAlphaBufferSize$
    {30, 711, 151},	// QGLFormat::setBlueBufferSize$
    {30, 721, 186},	// QGLFormat::setDefaultFormat#
    {30, 723, 188},	// QGLFormat::setDefaultOverlayFormat#
    {30, 725, 166},	// QGLFormat::setDepth$
    {30, 727, 143},	// QGLFormat::setDepthBufferSize$
    {30, 731, 178},	// QGLFormat::setDirectRendering$
    {30, 733, 164},	// QGLFormat::setDoubleBuffer$
    {30, 749, 149},	// QGLFormat::setGreenBufferSize$
    {30, 759, 183},	// QGLFormat::setOption$
    {30, 761, 180},	// QGLFormat::setOverlay$
    {30, 763, 182},	// QGLFormat::setPlane$
    {30, 767, 194},	// QGLFormat::setProfile$
    {30, 769, 147},	// QGLFormat::setRedBufferSize$
    {30, 771, 168},	// QGLFormat::setRgba$
    {30, 773, 157},	// QGLFormat::setSampleBuffers$
    {30, 775, 159},	// QGLFormat::setSamples$
    {30, 777, 174},	// QGLFormat::setStencil$
    {30, 779, 155},	// QGLFormat::setStencilBufferSize$
    {30, 781, 176},	// QGLFormat::setStereo$
    {30, 783, 161},	// QGLFormat::setSwapInterval$
    {30, 803, 191},	// QGLFormat::setVersion$$
    {30, 815, 173},	// QGLFormat::stencil
    {30, 816, 156},	// QGLFormat::stencilBufferSize
    {30, 817, 175},	// QGLFormat::stereo
    {30, 820, 162},	// QGLFormat::swapInterval
    {30, 823, 184},	// QGLFormat::testOption$
    {30, 859, 219},	// QGLFormat::~QGLFormat
    {31, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 257},	// QGLFramebufferObject::Depth
    {31, 51, 255},	// QGLFramebufferObject::NoAttachment
    {31, 99, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 100, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 101, 247},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 102, 248},	// QGLFramebufferObject::QGLFramebufferObject#$?
    {31, 103, 222},	// QGLFramebufferObject::QGLFramebufferObject#$??
    {31, 104, 220},	// QGLFramebufferObject::QGLFramebufferObject#?
    {31, 105, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 106, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 107, 249},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 108, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$?
    {31, 109, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$??
    {31, 110, 221},	// QGLFramebufferObject::QGLFramebufferObject$$?
    {31, 171, 234},	// QGLFramebufferObject::attachment
    {31, 176, 229},	// QGLFramebufferObject::bind
    {31, 180, 237},	// QGLFramebufferObject::bindDefault
    {31, 190, 253},	// QGLFramebufferObject::blitFramebuffer####
    {31, 191, 254},	// QGLFramebufferObject::blitFramebuffer####?
    {31, 192, 242},	// QGLFramebufferObject::blitFramebuffer####??
    {31, 227, 244},	// QGLFramebufferObject::devType
    {31, 240, -737},	// QGLFramebufferObject::drawTexture#?
    {31, 241, -740},	// QGLFramebufferObject::drawTexture#??
    {31, 265, 226},	// QGLFramebufferObject::format
    {31, 279, 236},	// QGLFramebufferObject::handle
    {31, 281, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 282, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 299, 228},	// QGLFramebufferObject::isBound
    {31, 305, 227},	// QGLFramebufferObject::isValid
    {31, 320, 243},	// QGLFramebufferObject::metric$
    {31, 395, 235},	// QGLFramebufferObject::paintEngine
    {31, 654, 230},	// QGLFramebufferObject::release
    {31, 811, 232},	// QGLFramebufferObject::size
    {31, 824, 231},	// QGLFramebufferObject::texture
    {31, 828, 233},	// QGLFramebufferObject::toImage
    {31, 860, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 111, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 112, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 171, 265},	// QGLFramebufferObjectFormat::attachment
    {32, 298, 269},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 330, 271},	// QGLFramebufferObjectFormat::operator!=#
    {32, 367, 261},	// QGLFramebufferObjectFormat::operator=#
    {32, 369, 270},	// QGLFramebufferObjectFormat::operator==#
    {32, 681, 263},	// QGLFramebufferObjectFormat::samples
    {32, 691, 264},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 755, 268},	// QGLFramebufferObjectFormat::setInternalTextureFormat?
    {32, 775, 262},	// QGLFramebufferObjectFormat::setSamples$
    {32, 787, 266},	// QGLFramebufferObjectFormat::setTextureTarget?
    {32, 826, 267},	// QGLFramebufferObjectFormat::textureTarget
    {32, 861, 272},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 114, 296},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 115, 297},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 116, 273},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 117, 298},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 118, 299},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 119, 274},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 182, -1},	// QGLPixelBuffer::bindTexture#
    {33, 183, -4},	// QGLPixelBuffer::bindTexture#?
    {33, 186, 284},	// QGLPixelBuffer::bindTexture$
    {33, 188, 279},	// QGLPixelBuffer::bindToDynamicTexture?
    {33, 222, 285},	// QGLPixelBuffer::deleteTexture?
    {33, 227, 295},	// QGLPixelBuffer::devType
    {33, 234, 277},	// QGLPixelBuffer::doneCurrent
    {33, 240, -7},	// QGLPixelBuffer::drawTexture#?
    {33, 241, -10},	// QGLPixelBuffer::drawTexture#??
    {33, 265, 292},	// QGLPixelBuffer::format
    {33, 266, 278},	// QGLPixelBuffer::generateDynamicTexture
    {33, 279, 289},	// QGLPixelBuffer::handle
    {33, 284, 293},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 305, 275},	// QGLPixelBuffer::isValid
    {33, 313, 276},	// QGLPixelBuffer::makeCurrent
    {33, 320, 294},	// QGLPixelBuffer::metric$
    {33, 395, 291},	// QGLPixelBuffer::paintEngine
    {33, 656, 280},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 811, 288},	// QGLPixelBuffer::size
    {33, 828, 290},	// QGLPixelBuffer::toImage
    {33, 846, 281},	// QGLPixelBuffer::updateDynamicTexture?
    {33, 862, 304},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 331},	// QGLShader::Fragment
    {34, 20, 332},	// QGLShader::Geometry
    {34, 121, 326},	// QGLShader::QGLShader$
    {34, 122, -63},	// QGLShader::QGLShader$#
    {34, 123, 313},	// QGLShader::QGLShader$##
    {34, 151, 330},	// QGLShader::Vertex
    {34, 205, 316},	// QGLShader::compileSourceCode#
    {34, 206, -66},	// QGLShader::compileSourceCode$
    {34, 208, 318},	// QGLShader::compileSourceFile$
    {34, 288, 328},	// QGLShader::hasOpenGLShaders$
    {34, 289, 323},	// QGLShader::hasOpenGLShaders$#
    {34, 300, 320},	// QGLShader::isCompiled
    {34, 311, 321},	// QGLShader::log
    {34, 318, 305},	// QGLShader::metaObject
    {34, 639, 311},	// QGLShader::qt_metacall$$?
    {34, 641, 306},	// QGLShader::qt_metacast$
    {34, 807, 322},	// QGLShader::shaderId
    {34, 808, 314},	// QGLShader::shaderType
    {34, 813, 319},	// QGLShader::sourceCode
    {34, 814, 329},	// QGLShader::staticMetaObject
    {34, 830, 324},	// QGLShader::tr$
    {34, 831, 307},	// QGLShader::tr$$
    {34, 832, 309},	// QGLShader::tr$$$
    {34, 834, 325},	// QGLShader::trUtf8$
    {34, 835, 308},	// QGLShader::trUtf8$$
    {34, 836, 310},	// QGLShader::trUtf8$$$
    {34, 863, 333},	// QGLShader::~QGLShader
    {35, 124, 494},	// QGLShaderProgram::QGLShaderProgram
    {35, 125, -743},	// QGLShaderProgram::QGLShaderProgram#
    {35, 126, 342},	// QGLShaderProgram::QGLShaderProgram##
    {35, 158, 343},	// QGLShaderProgram::addShader#
    {35, 160, 347},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 161, -746},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 163, 349},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 173, 368},	// QGLShaderProgram::attributeLocation#
    {35, 174, -749},	// QGLShaderProgram::attributeLocation$
    {35, 176, 354},	// QGLShaderProgram::bind
    {35, 178, 365},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 179, -752},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 232, -755},	// QGLShaderProgram::disableAttributeArray$
    {35, 244, -758},	// QGLShaderProgram::enableAttributeArray$
    {35, 269, 361},	// QGLShaderProgram::geometryInputType
    {35, 270, 363},	// QGLShaderProgram::geometryOutputType
    {35, 271, 359},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 285, 508},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 286, 491},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 303, 352},	// QGLShaderProgram::isLinked
    {35, 310, 351},	// QGLShaderProgram::link
    {35, 311, 353},	// QGLShaderProgram::log
    {35, 317, 357},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 318, 334},	// QGLShaderProgram::metaObject
    {35, 403, 356},	// QGLShaderProgram::programId
    {35, 639, 340},	// QGLShaderProgram::qt_metacall$$?
    {35, 641, 335},	// QGLShaderProgram::qt_metacast$
    {35, 654, 355},	// QGLShaderProgram::release
    {35, 657, 350},	// QGLShaderProgram::removeAllShaders
    {35, 659, 344},	// QGLShaderProgram::removeShader#
    {35, 693, -761},	// QGLShaderProgram::setAttributeArray$#
    {35, 694, -768},	// QGLShaderProgram::setAttributeArray$#$
    {35, 695, -775},	// QGLShaderProgram::setAttributeArray$?$
    {35, 696, -778},	// QGLShaderProgram::setAttributeArray$?$$
    {35, 697, -783},	// QGLShaderProgram::setAttributeArray$?$$$
    {35, 699, -786},	// QGLShaderProgram::setAttributeBuffer$?$$
    {35, 700, -789},	// QGLShaderProgram::setAttributeBuffer$?$$$
    {35, 702, -792},	// QGLShaderProgram::setAttributeValue$#
    {35, 703, -801},	// QGLShaderProgram::setAttributeValue$?
    {35, 704, -804},	// QGLShaderProgram::setAttributeValue$?$$
    {35, 705, -807},	// QGLShaderProgram::setAttributeValue$??
    {35, 706, -810},	// QGLShaderProgram::setAttributeValue$???
    {35, 707, -813},	// QGLShaderProgram::setAttributeValue$????
    {35, 743, 360},	// QGLShaderProgram::setGeometryInputType?
    {35, 745, 362},	// QGLShaderProgram::setGeometryOutputType?
    {35, 747, 358},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 789, -816},	// QGLShaderProgram::setUniformValue$#
    {35, 790, -837},	// QGLShaderProgram::setUniformValue$?
    {35, 791, -866},	// QGLShaderProgram::setUniformValue$??
    {35, 792, -869},	// QGLShaderProgram::setUniformValue$???
    {35, 793, -872},	// QGLShaderProgram::setUniformValue$????
    {35, 795, -875},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 796, -884},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 797, -905},	// QGLShaderProgram::setUniformValueArray$?$$
    {35, 809, 345},	// QGLShaderProgram::shaders
    {35, 814, 509},	// QGLShaderProgram::staticMetaObject
    {35, 830, 492},	// QGLShaderProgram::tr$
    {35, 831, 336},	// QGLShaderProgram::tr$$
    {35, 832, 338},	// QGLShaderProgram::tr$$$
    {35, 834, 493},	// QGLShaderProgram::trUtf8$
    {35, 835, 337},	// QGLShaderProgram::trUtf8$$
    {35, 836, 339},	// QGLShaderProgram::trUtf8$$$
    {35, 842, 405},	// QGLShaderProgram::uniformLocation#
    {35, 843, -908},	// QGLShaderProgram::uniformLocation$
    {35, 864, 510},	// QGLShaderProgram::~QGLShaderProgram
    {36, 127, 570},	// QGLWidget::QGLWidget
    {36, 128, -31},	// QGLWidget::QGLWidget#
    {36, 129, -35},	// QGLWidget::QGLWidget##
    {36, 130, -39},	// QGLWidget::QGLWidget###
    {36, 131, -42},	// QGLWidget::QGLWidget###$
    {36, 132, 518},	// QGLWidget::QGLWidget##$
    {36, 175, 562},	// QGLWidget::autoBufferSwap
    {36, 182, -45},	// QGLWidget::bindTexture#
    {36, 183, -48},	// QGLWidget::bindTexture#?
    {36, 184, -51},	// QGLWidget::bindTexture#??
    {36, 185, -54},	// QGLWidget::bindTexture#??$
    {36, 186, 548},	// QGLWidget::bindTexture$
    {36, 203, 539},	// QGLWidget::colormap
    {36, 210, 531},	// QGLWidget::context
    {36, 213, 537},	// QGLWidget::convertToGLFormat#
    {36, 222, 549},	// QGLWidget::deleteTexture?
    {36, 234, 526},	// QGLWidget::doneCurrent
    {36, 235, 527},	// QGLWidget::doubleBuffer
    {36, 240, -57},	// QGLWidget::drawTexture#?
    {36, 241, -60},	// QGLWidget::drawTexture#??
    {36, 252, 554},	// QGLWidget::event#
    {36, 263, 595},	// QGLWidget::fontDisplayListBase#
    {36, 264, 567},	// QGLWidget::fontDisplayListBase#$
    {36, 265, 529},	// QGLWidget::format
    {36, 274, 566},	// QGLWidget::glDraw
    {36, 275, 565},	// QGLWidget::glInit
    {36, 276, 584},	// QGLWidget::grabFrameBuffer
    {36, 277, 534},	// QGLWidget::grabFrameBuffer$
    {36, 293, 555},	// QGLWidget::initializeGL
    {36, 294, 558},	// QGLWidget::initializeOverlayGL
    {36, 304, 524},	// QGLWidget::isSharing
    {36, 305, 523},	// QGLWidget::isValid
    {36, 313, 525},	// QGLWidget::makeCurrent
    {36, 314, 535},	// QGLWidget::makeOverlayCurrent
    {36, 318, 511},	// QGLWidget::metaObject
    {36, 393, 536},	// QGLWidget::overlayContext
    {36, 395, 543},	// QGLWidget::paintEngine
    {36, 397, 563},	// QGLWidget::paintEvent#
    {36, 398, 557},	// QGLWidget::paintGL
    {36, 399, 560},	// QGLWidget::paintOverlayGL
    {36, 596, 522},	// QGLWidget::qglClearColor#
    {36, 598, 521},	// QGLWidget::qglColor#
    {36, 639, 517},	// QGLWidget::qt_metacall$$?
    {36, 641, 512},	// QGLWidget::qt_metacast$
    {36, 660, 581},	// QGLWidget::renderPixmap
    {36, 661, 582},	// QGLWidget::renderPixmap$
    {36, 662, 583},	// QGLWidget::renderPixmap$$
    {36, 663, 533},	// QGLWidget::renderPixmap$$$
    {36, 665, 585},	// QGLWidget::renderText$$$
    {36, 666, 586},	// QGLWidget::renderText$$$#
    {36, 667, 541},	// QGLWidget::renderText$$$#$
    {36, 668, 587},	// QGLWidget::renderText$$$$
    {36, 669, 588},	// QGLWidget::renderText$$$$#
    {36, 670, 542},	// QGLWidget::renderText$$$$#$
    {36, 674, 564},	// QGLWidget::resizeEvent#
    {36, 676, 556},	// QGLWidget::resizeGL$$
    {36, 678, 559},	// QGLWidget::resizeOverlayGL$$
    {36, 709, 561},	// QGLWidget::setAutoBufferSwap$
    {36, 713, 540},	// QGLWidget::setColormap#
    {36, 715, 579},	// QGLWidget::setContext#
    {36, 716, 580},	// QGLWidget::setContext##
    {36, 717, 532},	// QGLWidget::setContext##$
    {36, 741, 530},	// QGLWidget::setFormat#
    {36, 757, 538},	// QGLWidget::setMouseTracking$
    {36, 814, 596},	// QGLWidget::staticMetaObject
    {36, 819, 528},	// QGLWidget::swapBuffers
    {36, 830, 568},	// QGLWidget::tr$
    {36, 831, 513},	// QGLWidget::tr$$
    {36, 832, 515},	// QGLWidget::tr$$$
    {36, 834, 569},	// QGLWidget::trUtf8$
    {36, 835, 514},	// QGLWidget::trUtf8$$
    {36, 836, 516},	// QGLWidget::trUtf8$$$
    {36, 847, 552},	// QGLWidget::updateGL
    {36, 848, 553},	// QGLWidget::updateOverlayGL
    {36, 865, 597},	// QGLWidget::~QGLWidget
    {37, 27, 1407},	// QGlobalSpace::LicensedActiveQt
    {37, 28, 1410},	// QGlobalSpace::LicensedCore
    {37, 29, 1409},	// QGlobalSpace::LicensedDBus
    {37, 30, 1417},	// QGlobalSpace::LicensedDeclarative
    {37, 31, 1404},	// QGlobalSpace::LicensedGui
    {37, 32, 1415},	// QGlobalSpace::LicensedHelp
    {37, 33, 1412},	// QGlobalSpace::LicensedMultimedia
    {37, 34, 1411},	// QGlobalSpace::LicensedNetwork
    {37, 35, 1394},	// QGlobalSpace::LicensedOpenGL
    {37, 36, 1396},	// QGlobalSpace::LicensedOpenVG
    {37, 37, 1408},	// QGlobalSpace::LicensedQt3Support
    {37, 38, 1398},	// QGlobalSpace::LicensedQt3SupportLight
    {37, 39, 1397},	// QGlobalSpace::LicensedScript
    {37, 40, 1414},	// QGlobalSpace::LicensedScriptTools
    {37, 41, 1406},	// QGlobalSpace::LicensedSql
    {37, 42, 1395},	// QGlobalSpace::LicensedSvg
    {37, 43, 1413},	// QGlobalSpace::LicensedTest
    {37, 44, 1416},	// QGlobalSpace::LicensedXml
    {37, 45, 1405},	// QGlobalSpace::LicensedXmlPatterns
    {37, 78, 1391},	// QGlobalSpace::PM_BoldLineWidth
    {37, 79, 1390},	// QGlobalSpace::PM_FrameCornerHeight
    {37, 80, 1389},	// QGlobalSpace::PM_FrameCornerWidth
    {37, 81, 1393},	// QGlobalSpace::PM_MessageBoxHeight
    {37, 82, 1392},	// QGlobalSpace::PM_ThinLineWidth
    {37, 133, 1401},	// QGlobalSpace::QtCriticalMsg
    {37, 134, 1399},	// QGlobalSpace::QtDebugMsg
    {37, 135, 1402},	// QGlobalSpace::QtFatalMsg
    {37, 136, 1403},	// QGlobalSpace::QtSystemMsg
    {37, 137, 1400},	// QGlobalSpace::QtWarningMsg
    {37, 331, -69},	// QGlobalSpace::operator!=##
    {37, 332, -91},	// QGlobalSpace::operator!=#$
    {37, 333, -97},	// QGlobalSpace::operator!=$#
    {37, 334, 1019},	// QGlobalSpace::operator!=$$
    {37, 336, 598},	// QGlobalSpace::operator&##
    {37, 338, -104},	// QGlobalSpace::operator*##
    {37, 339, -134},	// QGlobalSpace::operator*#$
    {37, 340, -145},	// QGlobalSpace::operator*$#
    {37, 342, -155},	// QGlobalSpace::operator+##
    {37, 343, -166},	// QGlobalSpace::operator+#$
    {37, 344, -172},	// QGlobalSpace::operator+$#
    {37, 345, -177},	// QGlobalSpace::operator+$$
    {37, 347, -183},	// QGlobalSpace::operator-#
    {37, 348, -191},	// QGlobalSpace::operator-##
    {37, 349, 1386},	// QGlobalSpace::operator-#$
    {37, 351, -201},	// QGlobalSpace::operator/#$
    {37, 353, -212},	// QGlobalSpace::operator<##
    {37, 354, 733},	// QGlobalSpace::operator<#$
    {37, 355, -217},	// QGlobalSpace::operator<$#
    {37, 356, 1018},	// QGlobalSpace::operator<$$
    {37, 358, -220},	// QGlobalSpace::operator<<##
    {37, 359, -314},	// QGlobalSpace::operator<<#$
    {37, 360, 721},	// QGlobalSpace::operator<<#?
    {37, 362, -325},	// QGlobalSpace::operator<=##
    {37, 363, 938},	// QGlobalSpace::operator<=#$
    {37, 364, -330},	// QGlobalSpace::operator<=$#
    {37, 365, 791},	// QGlobalSpace::operator<=$$
    {37, 370, -333},	// QGlobalSpace::operator==##
    {37, 371, -356},	// QGlobalSpace::operator==#$
    {37, 372, -363},	// QGlobalSpace::operator==$#
    {37, 373, 1306},	// QGlobalSpace::operator==$$
    {37, 375, -371},	// QGlobalSpace::operator>##
    {37, 376, 1217},	// QGlobalSpace::operator>#$
    {37, 377, -376},	// QGlobalSpace::operator>$#
    {37, 378, 1213},	// QGlobalSpace::operator>$$
    {37, 380, -379},	// QGlobalSpace::operator>=##
    {37, 381, 1116},	// QGlobalSpace::operator>=#$
    {37, 382, -384},	// QGlobalSpace::operator>=$#
    {37, 383, 1336},	// QGlobalSpace::operator>=$$
    {37, 385, -387},	// QGlobalSpace::operator>>##
    {37, 386, -439},	// QGlobalSpace::operator>>#$
    {37, 387, 1176},	// QGlobalSpace::operator>>#?
    {37, 389, 952},	// QGlobalSpace::operator^##
    {37, 391, 1032},	// QGlobalSpace::operator|##
    {37, 392, -442},	// QGlobalSpace::operator|$$
    {37, 404, 1337},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 405, 1200},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 406, 988},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 407, 1014},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 408, 803},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 409, 1105},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 411, 975},	// QGlobalSpace::qAcos$
    {37, 413, 930},	// QGlobalSpace::qAddPostRoutine$
    {37, 415, 673},	// QGlobalSpace::qAlpha$
    {37, 416, 898},	// QGlobalSpace::qAppName
    {37, 418, 1142},	// QGlobalSpace::qAsin$
    {37, 420, 694},	// QGlobalSpace::qAtan$
    {37, 422, 912},	// QGlobalSpace::qAtan2$$
    {37, 423, 1375},	// QGlobalSpace::qBadAlloc
    {37, 425, 1340},	// QGlobalSpace::qBlue$
    {37, 427, 647},	// QGlobalSpace::qCeil$
    {37, 429, 953},	// QGlobalSpace::qChecksum$$
    {37, 431, 917},	// QGlobalSpace::qCompress#
    {37, 432, 916},	// QGlobalSpace::qCompress#$
    {37, 433, 1243},	// QGlobalSpace::qCompress$$
    {37, 434, 1242},	// QGlobalSpace::qCompress$$$
    {37, 436, 720},	// QGlobalSpace::qCos$
    {37, 437, 599},	// QGlobalSpace::qCritical
    {37, 438, 1252},	// QGlobalSpace::qDebug
    {37, 440, 1256},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 441, 947},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 442, 948},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 443, 946},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 445, 926},	// QGlobalSpace::qDrawPlainRect###
    {37, 446, 927},	// QGlobalSpace::qDrawPlainRect###$
    {37, 447, 925},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 448, 905},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 449, 906},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 450, 904},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 452, 1267},	// QGlobalSpace::qDrawShadeLine####
    {37, 453, 1268},	// QGlobalSpace::qDrawShadeLine####$
    {37, 454, 1269},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 455, 1266},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 456, 1179},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 457, 1180},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 458, 1181},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 459, 1178},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 461, 680},	// QGlobalSpace::qDrawShadePanel###
    {37, 462, 681},	// QGlobalSpace::qDrawShadePanel###$
    {37, 463, 682},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 464, 679},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 465, 835},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 466, 836},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 467, 837},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 468, 834},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 470, 879},	// QGlobalSpace::qDrawShadeRect###
    {37, 471, 880},	// QGlobalSpace::qDrawShadeRect###$
    {37, 472, 881},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 473, 882},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 474, 878},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 475, 716},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 476, 717},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 477, 718},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 478, 719},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 479, 715},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 481, 850},	// QGlobalSpace::qDrawWinButton###
    {37, 482, 851},	// QGlobalSpace::qDrawWinButton###$
    {37, 483, 849},	// QGlobalSpace::qDrawWinButton###$#
    {37, 484, 708},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 485, 709},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 486, 707},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 488, 1273},	// QGlobalSpace::qDrawWinPanel###
    {37, 489, 1274},	// QGlobalSpace::qDrawWinPanel###$
    {37, 490, 1272},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 491, 1322},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 492, 1323},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 493, 1321},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 495, 935},	// QGlobalSpace::qExp$
    {37, 497, 624},	// QGlobalSpace::qFabs$
    {37, 499, 1309},	// QGlobalSpace::qFastCos$
    {37, 501, 1359},	// QGlobalSpace::qFastSin$
    {37, 503, 1114},	// QGlobalSpace::qFlagLocation$
    {37, 505, 1084},	// QGlobalSpace::qFloor$
    {37, 507, 1222},	// QGlobalSpace::qFree$
    {37, 509, 866},	// QGlobalSpace::qFreeAligned$
    {37, 511, -686},	// QGlobalSpace::qFuzzyCompare##
    {37, 512, -694},	// QGlobalSpace::qFuzzyCompare$$
    {37, 514, -697},	// QGlobalSpace::qFuzzyIsNull$
    {37, 516, 649},	// QGlobalSpace::qGray$
    {37, 517, 744},	// QGlobalSpace::qGray$$$
    {37, 519, 677},	// QGlobalSpace::qGreen$
    {37, 521, -700},	// QGlobalSpace::qHash#
    {37, 522, -709},	// QGlobalSpace::qHash$
    {37, 523, 1123},	// QGlobalSpace::qInf
    {37, 525, 841},	// QGlobalSpace::qInstallMsgHandler$
    {37, 527, -722},	// QGlobalSpace::qIntCast$
    {37, 529, -725},	// QGlobalSpace::qIsFinite$
    {37, 531, 1042},	// QGlobalSpace::qIsGray$
    {37, 533, -728},	// QGlobalSpace::qIsInf$
    {37, 535, -731},	// QGlobalSpace::qIsNaN$
    {37, 537, -734},	// QGlobalSpace::qIsNull$
    {37, 539, 1174},	// QGlobalSpace::qLn$
    {37, 541, 1383},	// QGlobalSpace::qMalloc$
    {37, 543, 1238},	// QGlobalSpace::qMallocAligned$$
    {37, 545, 1115},	// QGlobalSpace::qMemCopy$$$
    {37, 547, 911},	// QGlobalSpace::qMemSet$$$
    {37, 549, 1289},	// QGlobalSpace::qPow$$
    {37, 550, 628},	// QGlobalSpace::qQNaN
    {37, 552, 1009},	// QGlobalSpace::qRealloc$$
    {37, 554, 887},	// QGlobalSpace::qReallocAligned$$$$
    {37, 556, 658},	// QGlobalSpace::qRed$
    {37, 558, 701},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 560, 1107},	// QGlobalSpace::qRemovePostRoutine$
    {37, 562, 1082},	// QGlobalSpace::qRgb$$$
    {37, 564, 1377},	// QGlobalSpace::qRgba$$$$
    {37, 566, 1028},	// QGlobalSpace::qRound$
    {37, 568, 1231},	// QGlobalSpace::qRound64$
    {37, 569, 1349},	// QGlobalSpace::qSNaN
    {37, 571, 1160},	// QGlobalSpace::qSetFieldWidth$
    {37, 573, 831},	// QGlobalSpace::qSetPadChar#
    {37, 575, 1139},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 576, 838},	// QGlobalSpace::qSharedBuild
    {37, 578, 1141},	// QGlobalSpace::qSin$
    {37, 580, 1062},	// QGlobalSpace::qSqrt$
    {37, 582, 876},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 583, 1295},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 585, 1261},	// QGlobalSpace::qTan$
    {37, 587, 1135},	// QGlobalSpace::qUncompress#
    {37, 588, 1355},	// QGlobalSpace::qUncompress$$
    {37, 589, 637},	// QGlobalSpace::qVersion
    {37, 590, 741},	// QGlobalSpace::qWarning
    {37, 592, 695},	// QGlobalSpace::qbswap_helper$$$
    {37, 594, 964},	// QGlobalSpace::qgetenv$
    {37, 600, 873},	// QGlobalSpace::qputenv$#
    {37, 601, 648},	// QGlobalSpace::qrand
    {37, 603, 724},	// QGlobalSpace::qsrand$
    {37, 605, 828},	// QGlobalSpace::qstrcmp##
    {37, 606, 832},	// QGlobalSpace::qstrcmp#$
    {37, 607, 1258},	// QGlobalSpace::qstrcmp$#
    {37, 608, 1065},	// QGlobalSpace::qstrcmp$$
    {37, 610, 621},	// QGlobalSpace::qstrcpy$$
    {37, 612, 1246},	// QGlobalSpace::qstrdup$
    {37, 614, 1144},	// QGlobalSpace::qstricmp$$
    {37, 616, 1182},	// QGlobalSpace::qstrlen$
    {37, 618, 877},	// QGlobalSpace::qstrncmp$$$
    {37, 620, 991},	// QGlobalSpace::qstrncpy$$$
    {37, 622, 810},	// QGlobalSpace::qstrnicmp$$$
    {37, 624, 1079},	// QGlobalSpace::qstrnlen$$
    {37, 626, 1370},	// QGlobalSpace::qtTrId$
    {37, 627, 1369},	// QGlobalSpace::qtTrId$$
    {37, 629, 602},	// QGlobalSpace::qt_assert$$$
    {37, 631, 1017},	// QGlobalSpace::qt_assert_x$$$$
    {37, 633, 819},	// QGlobalSpace::qt_check_pointer$$
    {37, 634, 1005},	// QGlobalSpace::qt_error_string
    {37, 635, 1004},	// QGlobalSpace::qt_error_string$
    {37, 637, 1302},	// QGlobalSpace::qt_message_output$$
    {37, 642, 1156},	// QGlobalSpace::qt_noop
    {37, 644, 843},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 646, 1210},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 648, 698},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 650, 1152},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1467,
        __smokeqtopengl::methodMaps, 690,
        __smokeqtopengl::methodNames, 865,
        __smokeqtopengl::types, 538,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
