#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 37: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 37: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 17: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QColor
      switch(to) {
        case 9: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 10:   //QCursor
      switch(to) {
        case 10: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 11:   //QDataStream
      switch(to) {
        case 11: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 12:   //QDate
      switch(to) {
        case 12: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 13:   //QDateTime
      switch(to) {
        case 13: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 14:   //QDebug
      switch(to) {
        case 14: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 15:   //QDir
      switch(to) {
        case 15: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 16:   //QEasingCurve
      switch(to) {
        case 16: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 17:   //QEvent
      switch(to) {
        case 17: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QFactoryInterface
      switch(to) {
        case 18: return (void*)(QFactoryInterface*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 19:   //QFont
      switch(to) {
        case 19: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 21:   //QHashDummyValue
      switch(to) {
        case 21: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 22:   //QIcon
      switch(to) {
        case 22: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 23:   //QImage
      switch(to) {
        case 23: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 24:   //QIncompatibleFlag
      switch(to) {
        case 24: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 25:   //QItemDelegate
      switch(to) {
        case 37: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 25: return (void*)(QItemDelegate*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 26:   //QItemSelectionRange
      switch(to) {
        case 26: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 27:   //QKeySequence
      switch(to) {
        case 27: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocale
      switch(to) {
        case 31: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 32:   //QMargins
      switch(to) {
        case 32: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 33:   //QMatrix
      switch(to) {
        case 33: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QMimeData
      switch(to) {
        case 37: return (void*)(QObject*)(QMimeData*)xptr;
        case 35: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QObject
      switch(to) {
        case 37: return (void*)(QObject*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 56: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 38:   //QPainter
      switch(to) {
        case 38: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 39:   //QPainterPath
      switch(to) {
        case 39: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 40:   //QPalette
      switch(to) {
        case 40: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPixmap
      switch(to) {
        case 42: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QPolygon
      switch(to) {
        case 45: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 46:   //QPolygonF
      switch(to) {
        case 46: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QRegion
      switch(to) {
        case 50: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 51:   //QSize
      switch(to) {
        case 51: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 52:   //QSizeF
      switch(to) {
        case 52: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 53:   //QSizePolicy
      switch(to) {
        case 53: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 55:   //QSqlDatabase
      switch(to) {
        case 55: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 56:   //QSqlDriver
      switch(to) {
        case 37: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 56: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 57:   //QSqlDriverCreatorBase
      switch(to) {
        case 57: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 58:   //QSqlDriverFactoryInterface
      switch(to) {
        case 18: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 59:   //QSqlDriverPlugin
      switch(to) {
        case 37: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 58: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 18: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 59: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 60:   //QSqlError
      switch(to) {
        case 60: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 61:   //QSqlField
      switch(to) {
        case 61: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 62:   //QSqlIndex
      switch(to) {
        case 65: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 62: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 63:   //QSqlQuery
      switch(to) {
        case 63: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 64:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlRecord
      switch(to) {
        case 65: return (void*)(QSqlRecord*)xptr;
        case 62: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlRelation
      switch(to) {
        case 66: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlRelationalDelegate
      switch(to) {
        case 25: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 37: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 67: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlRelationalTableModel
      switch(to) {
        case 70: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 64: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlResult
      switch(to) {
        case 69: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlTableModel
      switch(to) {
        case 64: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 37: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 70: return (void*)(QSqlTableModel*)xptr;
        case 68: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 71:   //QString::Null
      switch(to) {
        case 71: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 72:   //QStringRef
      switch(to) {
        case 72: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 73:   //QStyleOption
      switch(to) {
        case 73: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 74:   //QStyleOptionViewItem
      switch(to) {
        case 73: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 74: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 75:   //QTextStream
      switch(to) {
        case 75: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 76:   //QTextStreamManipulator
      switch(to) {
        case 76: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 77:   //QTime
      switch(to) {
        case 77: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 78:   //QTimerEvent
      switch(to) {
        case 17: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 78: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTransform
      switch(to) {
        case 79: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 80:   //QUrl
      switch(to) {
        case 80: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 81:   //QUuid
      switch(to) {
        case 81: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //QWidget
      switch(to) {
        case 37: return (void*)(QObject*)(QWidget*)xptr;
        case 84: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    37, 0,	// 1: QObject
    18, 0,	// 3: QFactoryInterface
    37, 58, 0,	// 5: QObject, QSqlDriverFactoryInterface
    65, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    25, 0,	// 12: QItemDelegate
    70, 0,	// 14: QSqlTableModel
    64, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QColor", true, 0, 0, 0, 0, 0 },	//9
    { "QCursor", true, 0, 0, 0, 0, 0 },	//10
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//11
    { "QDate", true, 0, 0, 0, 0, 0 },	//12
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//13
    { "QDebug", true, 0, 0, 0, 0, 0 },	//14
    { "QDir", true, 0, 0, 0, 0, 0 },	//15
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//16
    { "QEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//18
    { "QFont", true, 0, 0, 0, 0, 0 },	//19
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//20
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//21
    { "QIcon", true, 0, 0, 0, 0, 0 },	//22
    { "QImage", true, 0, 0, 0, 0, 0 },	//23
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//24
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//25
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//26
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocale", true, 0, 0, 0, 0, 0 },	//31
    { "QMargins", true, 0, 0, 0, 0, 0 },	//32
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QObject", true, 0, 0, 0, 0, 0 },	//37
    { "QPainter", true, 0, 0, 0, 0, 0 },	//38
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//39
    { "QPalette", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//45
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QRegion", true, 0, 0, 0, 0, 0 },	//50
    { "QSize", true, 0, 0, 0, 0, 0 },	//51
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//52
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//53
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//54
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//55
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//56
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//57
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//58
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//59
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//60
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//61
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//62
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//63
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//64
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//65
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//66
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//67
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//68
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//69
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//70
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//71
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//72
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//73
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//74
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//75
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//76
    { "QTime", true, 0, 0, 0, 0, 0 },	//77
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTransform", true, 0, 0, 0, 0, 0 },	//79
    { "QUrl", true, 0, 0, 0, 0, 0 },	//80
    { "QUuid", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "QWidget", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//7
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//9
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//10
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//11
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QColor&", 9, Smoke::t_class|Smoke::tf_ref },	//14
    { "QCursor&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "QDataStream&", 11, Smoke::t_class|Smoke::tf_ref },	//16
    { "QDate&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDateTime&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDebug", 14, Smoke::t_class|Smoke::tf_stack },	//19
    { "QDir::Filter", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDir::SortFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QEasingCurve&", 16, Smoke::t_class|Smoke::tf_ref },	//23
    { "QEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFont&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QIcon&", 22, Smoke::t_class|Smoke::tf_ref },	//73
    { "QImage&", 23, Smoke::t_class|Smoke::tf_ref },	//74
    { "QIncompatibleFlag", 24, Smoke::t_class|Smoke::tf_stack },	//75
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QKeySequence&", 27, Smoke::t_class|Smoke::tf_ref },	//77
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QLine", 29, Smoke::t_class|Smoke::tf_stack },	//79
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//80
    { "QLineF", 30, Smoke::t_class|Smoke::tf_stack },	//81
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//82
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//84
    { "QLocale&", 31, Smoke::t_class|Smoke::tf_ref },	//85
    { "QLocale::NumberOption", 31, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QMatrix&", 33, Smoke::t_class|Smoke::tf_ref },	//89
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QMimeData*", 35, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QModelIndex", 36, Smoke::t_class|Smoke::tf_stack },	//92
    { "QObject*", 37, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QObject*(*)()", 37, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QPainter*", 38, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QPainterPath", 39, Smoke::t_class|Smoke::tf_stack },	//96
    { "QPainterPath&", 39, Smoke::t_class|Smoke::tf_ref },	//97
    { "QPalette&", 40, Smoke::t_class|Smoke::tf_ref },	//98
    { "QPixmap&", 42, Smoke::t_class|Smoke::tf_ref },	//99
    { "QPoint", 43, Smoke::t_class|Smoke::tf_stack },	//100
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//101
    { "QPointF", 44, Smoke::t_class|Smoke::tf_stack },	//102
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPolygon", 45, Smoke::t_class|Smoke::tf_stack },	//104
    { "QPolygon&", 45, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPolygonF", 46, Smoke::t_class|Smoke::tf_stack },	//106
    { "QPolygonF&", 46, Smoke::t_class|Smoke::tf_ref },	//107
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//110
    { "QRegion", 50, Smoke::t_class|Smoke::tf_stack },	//111
    { "QRegion&", 50, Smoke::t_class|Smoke::tf_ref },	//112
    { "QSize", 51, Smoke::t_class|Smoke::tf_stack },	//113
    { "QSize&", 51, Smoke::t_class|Smoke::tf_ref },	//114
    { "QSizeF&", 52, Smoke::t_class|Smoke::tf_ref },	//115
    { "QSizePolicy&", 53, Smoke::t_class|Smoke::tf_ref },	//116
    { "QSizePolicy::ControlType", 53, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QSql::Location", 54, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QSql::NumericalPrecisionPolicy", 54, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QSql::ParamTypeFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QSql::TableType", 54, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QSqlDatabase", 55, Smoke::t_class|Smoke::tf_stack },	//122
    { "QSqlDatabase&", 55, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSqlDatabase*", 55, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QSqlDriver*", 56, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QSqlDriver::DriverFeature", 56, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QSqlDriver::IdentifierType", 56, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QSqlDriver::StatementType", 56, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QSqlDriverCreatorBase*", 57, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QSqlDriverFactoryInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QSqlDriverPlugin*", 59, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QSqlError", 60, Smoke::t_class|Smoke::tf_stack },	//132
    { "QSqlError&", 60, Smoke::t_class|Smoke::tf_ref },	//133
    { "QSqlError*", 60, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QSqlError::ErrorType", 60, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QSqlField", 61, Smoke::t_class|Smoke::tf_stack },	//136
    { "QSqlField&", 61, Smoke::t_class|Smoke::tf_ref },	//137
    { "QSqlField*", 61, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QSqlField::RequiredStatus", 61, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QSqlIndex", 62, Smoke::t_class|Smoke::tf_stack },	//140
    { "QSqlIndex&", 62, Smoke::t_class|Smoke::tf_ref },	//141
    { "QSqlIndex*", 62, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QSqlQuery", 63, Smoke::t_class|Smoke::tf_stack },	//143
    { "QSqlQuery&", 63, Smoke::t_class|Smoke::tf_ref },	//144
    { "QSqlQuery*", 63, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QSqlQuery::BatchExecutionMode", 63, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QSqlQueryModel*", 64, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QSqlRecord", 65, Smoke::t_class|Smoke::tf_stack },	//148
    { "QSqlRecord&", 65, Smoke::t_class|Smoke::tf_ref },	//149
    { "QSqlRecord*", 65, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QSqlRelation", 66, Smoke::t_class|Smoke::tf_stack },	//151
    { "QSqlRelation*", 66, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QSqlRelationalDelegate*", 67, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QSqlRelationalTableModel*", 68, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QSqlResult*", 69, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QSqlResult::BindingSyntax", 69, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QSqlResult::VirtualHookOperation", 69, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QSqlTableModel*", 70, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QSqlTableModel::EditStrategy", 70, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//161
    { "QString::Null", 71, Smoke::t_class|Smoke::tf_stack },	//162
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//165
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//166
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QTextStream&", 75, Smoke::t_class|Smoke::tf_ref },	//177
    { "QTextStream&(*)(QTextStream&)", 75, Smoke::t_class|Smoke::tf_ref },	//178
    { "QTextStream::NumberFlag", 75, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QTextStreamManipulator", 76, Smoke::t_class|Smoke::tf_stack },	//180
    { "QTime&", 77, Smoke::t_class|Smoke::tf_ref },	//181
    { "QTimerEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QTransform", 79, Smoke::t_class|Smoke::tf_stack },	//183
    { "QTransform&", 79, Smoke::t_class|Smoke::tf_ref },	//184
    { "QUrl&", 80, Smoke::t_class|Smoke::tf_ref },	//185
    { "QUrl::FormattingOption", 80, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QUuid&", 81, Smoke::t_class|Smoke::tf_ref },	//187
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//188
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//189
    { "QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//191
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//192
    { "QWidget*", 84, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QWidget::RenderFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtMsgType", 20, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForActiveQtModule", 20, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForCoreModule", 20, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QtValidLicenseForDBusModule", 20, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QtValidLicenseForDeclarativeModule", 20, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QtValidLicenseForGuiModule", 20, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QtValidLicenseForHelpModule", 20, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QtValidLicenseForMultimediaModule", 20, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QtValidLicenseForNetworkModule", 20, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QtValidLicenseForOpenGLModule", 20, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QtValidLicenseForOpenVGModule", 20, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QtValidLicenseForQt3SupportLightModule", 20, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QtValidLicenseForQt3SupportModule", 20, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QtValidLicenseForScriptModule", 20, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QtValidLicenseForScriptToolsModule", 20, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QtValidLicenseForSqlModule", 20, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QtValidLicenseForSvgModule", 20, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QtValidLicenseForTestModule", 20, Smoke::t_enum|Smoke::tf_stack },	//285
    { "QtValidLicenseForXmlModule", 20, Smoke::t_enum|Smoke::tf_stack },	//286
    { "QtValidLicenseForXmlPatternsModule", 20, Smoke::t_enum|Smoke::tf_stack },	//287
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//288
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//289
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//290
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//293
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QColor&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QCursor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QDate&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QDateTime&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QDir&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QEasingCurve&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QFont&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QHashDummyValue&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QIcon&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QImage&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QItemSelectionRange&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QKeySequence&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QLocale&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QMargins&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QMatrix&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const QMimeData*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//318
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const QPainterPath&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QPalette&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QPixmap&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//325
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//327
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QPolygon&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QPolygonF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//334
    { "const QRegion&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QSize", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//336
    { "const QSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QSizeF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//338
    { "const QSizeF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QSizePolicy&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QSqlDatabase&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QSqlDriver*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//342
    { "const QSqlDriverCreatorBase&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QSqlDriverFactoryInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QSqlError&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QSqlField&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QSqlIndex&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QSqlQuery&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QSqlRecord&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QSqlRelation&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QSqlResult*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//351
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//352
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//355
    { "const QStringRef&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QStyleOption&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QStyleOption::OptionType&", 73, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QStyleOptionViewItem&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QTransform&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QUrl&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QUuid&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//365
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//368
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//369
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//370
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//371
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//372
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//373
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//374
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//375
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//376
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//377
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//378
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//379
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//380
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//381
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//382
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//383
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//384
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//385
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//386
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//387
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//388
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//389
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    319, 364, 372, 0,	//1  const QModelIndex&, const QVariant&, int
    319, 0,	//5  const QModelIndex&
    319, 313, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    311, 0,	//10  const QList<QModelIndex>&
    372, 372, 319, 0,	//12  int, int, const QModelIndex&
    372, 248, 0,	//16  int, Qt::SortOrder
    319, 372, 364, 372, 63, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    318, 216, 372, 372, 319, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    291, 291, 0,	//31  const QBitArray&, const QBitArray&
    323, 0,	//34  const QPersistentModelIndex&
    214, 372, 0,	//36  Qt::DockWidgetArea, int
    367, 367, 372, 0,	//39  const char*, const char*, int
    326, 370, 0,	//43  const QPoint&, double
    370, 0,	//46  double
    19, 306, 0,	//48  QDebug, const QItemSelectionRange&
    370, 328, 0,	//51  double, const QPointF&
    238, 64, 0,	//54  Qt::MouseButton, QFlags<Qt::MouseButton>
    314, 314, 0,	//57  const QMargins&, const QMargins&
    19, 357, 0,	//60  QDebug, const QStyleOption&
    370, 339, 0,	//63  double, const QSizeF&
    21, 372, 0,	//66  QDir::SortFlag, int
    3, 3, 0,	//69  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    19, 323, 0,	//72  QDebug, const QPersistentModelIndex&
    16, 74, 0,	//75  QDataStream&, QImage&
    16, 340, 0,	//78  QDataStream&, const QSizePolicy&
    227, 372, 0,	//81  Qt::InputMethodHint, int
    173, 372, 0,	//84  QStyleOptionToolBar::ToolBarFeature, int
    19, 361, 0,	//87  QDebug, const QTransform&
    290, 367, 0,	//90  char*, const char*
    331, 331, 0,	//93  const QRect&, const QRect&
    337, 337, 0,	//96  const QSize&, const QSize&
    16, 361, 0,	//99  QDataStream&, const QTransform&
    176, 176, 0,	//102  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    19, 326, 0,	//105  QDebug, const QPoint&
    378, 0,	//108  unsigned char
    20, 30, 0,	//110  QDir::Filter, QFlags<QDir::Filter>
    328, 315, 0,	//113  const QPointF&, const QMatrix&
    309, 361, 0,	//116  const QLine&, const QTransform&
    25, 33, 0,	//119  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    264, 69, 0,	//122  Qt::WindowState, QFlags<Qt::WindowState>
    339, 370, 0,	//125  const QSizeF&, double
    16, 309, 0,	//128  QDataStream&, const QLine&
    20, 372, 0,	//131  QDir::Filter, int
    361, 361, 0,	//134  const QTransform&, const QTransform&
    367, 308, 0,	//137  const char*, const QLatin1String&
    380, 0,	//140  unsigned int
    339, 339, 0,	//142  const QSizeF&, const QSizeF&
    294, 294, 0,	//145  const QByteArray&, const QByteArray&
    308, 356, 0,	//148  const QLatin1String&, const QStringRef&
    238, 238, 0,	//151  Qt::MouseButton, Qt::MouseButton
    19, 365, 0,	//154  QDebug, const QVariant::Type
    364, 366, 0,	//157  const QVariant&, const QVariantComparisonHelper&
    7, 7, 0,	//160  QBool, QBool
    172, 172, 0,	//163  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    171, 171, 0,	//166  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    195, 55, 0,	//169  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    356, 0,	//172  const QStringRef&
    162, 162, 0,	//174  QString::Null, QString::Null
    19, 302, 0,	//177  QDebug, const QFont&
    120, 372, 0,	//180  QSql::ParamTypeFlag, int
    19, 329, 0,	//183  QDebug, const QPolygon&
    16, 332, 0,	//186  QDataStream&, const QRectF&
    120, 120, 0,	//189  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    16, 85, 0,	//192  QDataStream&, QLocale&
    168, 372, 0,	//195  QStyle::SubControl, int
    11, 353, 0,	//198  QChar, const QString&
    72, 35, 0,	//201  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 20, 0,	//204  QDir::Filter, QDir::Filter
    16, 322, 0,	//207  QDataStream&, const QPalette&
    19, 360, 0,	//210  QDebug, const QTime&
    16, 294, 0,	//213  QDataStream&, const QByteArray&
    19, 298, 0,	//216  QDebug, const QDate&
    291, 0,	//219  const QBitArray&
    368, 379, 372, 0,	//221  const unsigned char*, unsigned char*, int
    330, 361, 0,	//225  const QPolygonF&, const QTransform&
    364, 190, 387, 0,	//228  const QVariant&, QVariant::Type, void*
    353, 0,	//232  const QString&
    383, 0,	//234  unsigned short
    94, 0,	//236  QObject*(*)()
    373, 0,	//238  long
    255, 255, 0,	//240  Qt::ToolBarArea, Qt::ToolBarArea
    374, 0,	//243  long long
    19, 330, 0,	//245  QDebug, const QPolygonF&
    194, 372, 0,	//248  QWidget::RenderFlag, int
    19, 296, 0,	//251  QDebug, const QColor&
    216, 372, 0,	//254  Qt::DropAction, int
    16, 354, 0,	//257  QDataStream&, const QStringList&
    1, 1, 0,	//260  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    371, 0,	//263  float
    195, 195, 0,	//265  Qt::AlignmentFlag, Qt::AlignmentFlag
    16, 14, 0,	//268  QDataStream&, QColor&
    22, 372, 0,	//271  QDirIterator::IteratorFlag, int
    16, 333, 0,	//274  QDataStream&, const QRegExp&
    186, 372, 0,	//277  QUrl::FormattingOption, int
    22, 32, 0,	//280  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    294, 367, 0,	//283  const QByteArray&, const char*
    19, 339, 0,	//286  QDebug, const QSizeF&
    214, 56, 0,	//289  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    171, 372, 0,	//292  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    309, 315, 0,	//295  const QLine&, const QMatrix&
    372, 372, 372, 0,	//298  int, int, int
    310, 315, 0,	//302  const QLineF&, const QMatrix&
    240, 240, 0,	//305  Qt::Orientation, Qt::Orientation
    321, 315, 0,	//308  const QPainterPath&, const QMatrix&
    255, 372, 0,	//311  Qt::ToolBarArea, int
    16, 103, 0,	//314  QDataStream&, QPointF&
    16, 307, 0,	//317  QDataStream&, const QKeySequence&
    236, 372, 0,	//320  Qt::MatchFlag, int
    353, 367, 0,	//323  const QString&, const char*
    19, 301, 0,	//326  QDebug, const QEasingCurve&
    76, 372, 0,	//329  QItemSelectionModel::SelectionFlag, int
    16, 297, 0,	//332  QDataStream&, const QCursor&
    221, 221, 0,	//335  Qt::GestureFlag, Qt::GestureFlag
    16, 17, 0,	//338  QDataStream&, QDate&
    72, 72, 0,	//341  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    25, 372, 0,	//344  QEventLoop::ProcessEventsFlag, int
    289, 294, 0,	//347  char, const QByteArray&
    367, 353, 0,	//350  const char*, const QString&
    19, 42, 0,	//353  QDebug, QFlags<QStyle::StateFlag>
    367, 294, 0,	//356  const char*, const QByteArray&
    16, 187, 0,	//359  QDataStream&, QUuid&
    370, 370, 0,	//362  double, double
    16, 10, 0,	//365  QDataStream&, QByteArray&
    16, 189, 0,	//368  QDataStream&, QVariant&
    16, 110, 0,	//371  QDataStream&, QRegExp&
    328, 328, 0,	//374  const QPointF&, const QPointF&
    361, 370, 0,	//377  const QTransform&, double
    4, 29, 0,	//380  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    169, 169, 0,	//383  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    356, 356, 0,	//386  const QStringRef&, const QStringRef&
    169, 372, 0,	//389  QStyleOptionButton::ButtonFeature, int
    26, 372, 0,	//392  QFile::Permission, int
    19, 310, 0,	//395  QDebug, const QLineF&
    11, 11, 0,	//398  QChar, QChar
    321, 361, 0,	//401  const QPainterPath&, const QTransform&
    16, 292, 0,	//404  QDataStream&, const QBrush&
    367, 367, 380, 0,	//407  const char*, const char*, unsigned int
    294, 0,	//411  const QByteArray&
    4, 4, 0,	//413  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    167, 372, 0,	//416  QStyle::StateFlag, int
    19, 30, 0,	//419  QDebug, QFlags<QDir::Filter>
    367, 372, 0,	//422  const char*, int
    16, 112, 0,	//425  QDataStream&, QRegion&
    172, 372, 0,	//428  QStyleOptionTab::CornerWidget, int
    179, 52, 0,	//431  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    16, 6, 0,	//434  QDataStream&, QBitArray&
    328, 370, 0,	//437  const QPointF&, double
    11, 0,	//440  QChar
    1, 27, 0,	//442  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    386, 0,	//445  void(*)(QtMsgType,const char*)
    16, 298, 0,	//447  QDataStream&, const QDate&
    320, 353, 316, 0,	//450  const QObject*, const QString&, const QMetaObject&
    236, 63, 0,	//454  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    221, 372, 0,	//457  Qt::GestureFlag, int
    176, 372, 0,	//460  QTextCodec::ConversionFlag, int
    117, 117, 0,	//463  QSizePolicy::ControlType, QSizePolicy::ControlType
    16, 15, 0,	//466  QDataStream&, QCursor&
    233, 62, 0,	//469  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    236, 236, 0,	//472  Qt::MatchFlag, Qt::MatchFlag
    16, 184, 0,	//475  QDataStream&, QTransform&
    329, 315, 0,	//478  const QPolygon&, const QMatrix&
    387, 0,	//481  void*
    172, 47, 0,	//483  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    353, 162, 0,	//486  const QString&, QString::Null
    174, 174, 0,	//489  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    19, 346, 0,	//492  QDebug, const QSqlField&
    78, 372, 0,	//495  QLibrary::LoadHint, int
    16, 115, 0,	//498  QDataStream&, QSizeF&
    356, 367, 0,	//501  const QStringRef&, const char*
    328, 0,	//504  const QPointF&
    387, 377, 377, 377, 0,	//506  void*, size_t, size_t, size_t
    230, 230, 0,	//511  Qt::ItemFlag, Qt::ItemFlag
    16, 324, 0,	//514  QDataStream&, const QPixmap&
    382, 0,	//517  unsigned long long
    294, 353, 0,	//519  const QByteArray&, const QString&
    265, 70, 0,	//522  Qt::WindowType, QFlags<Qt::WindowType>
    19, 337, 0,	//525  QDebug, const QSize&
    328, 361, 0,	//528  const QPointF&, const QTransform&
    230, 61, 0,	//531  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    258, 68, 0,	//534  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    353, 289, 0,	//537  const QString&, char
    16, 362, 0,	//540  QDataStream&, const QUrl&
    387, 372, 377, 0,	//543  void*, int, size_t
    117, 39, 0,	//547  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    16, 364, 0,	//550  QDataStream&, const QVariant&
    16, 80, 0,	//553  QDataStream&, QLine&
    294, 372, 0,	//556  const QByteArray&, int
    4, 372, 0,	//559  QAbstractSpinBox::StepEnabledFlag, int
    233, 233, 0,	//562  Qt::KeyboardModifier, Qt::KeyboardModifier
    385, 0,	//565  void(*)()
    195, 372, 0,	//567  Qt::AlignmentFlag, int
    326, 315, 0,	//570  const QPoint&, const QMatrix&
    233, 372, 0,	//573  Qt::KeyboardModifier, int
    230, 372, 0,	//576  Qt::ItemFlag, int
    225, 59, 0,	//579  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    326, 326, 0,	//582  const QPoint&, const QPoint&
    163, 372, 0,	//585  QString::SectionFlag, int
    265, 372, 0,	//588  Qt::WindowType, int
    194, 194, 0,	//591  QWidget::RenderFlag, QWidget::RenderFlag
    356, 353, 0,	//594  const QStringRef&, const QString&
    308, 308, 0,	//597  const QLatin1String&, const QLatin1String&
    303, 303, 0,	//600  const QHashDummyValue&, const QHashDummyValue&
    367, 380, 0,	//603  const char*, unsigned int
    186, 186, 0,	//606  QUrl::FormattingOption, QUrl::FormattingOption
    16, 73, 0,	//609  QDataStream&, QIcon&
    16, 329, 0,	//612  QDataStream&, const QPolygon&
    258, 372, 0,	//615  Qt::TouchPointState, int
    19, 314, 0,	//618  QDebug, const QMargins&
    194, 54, 0,	//621  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    367, 0,	//624  const char*
    3, 372, 0,	//626  QAbstractItemView::EditTrigger, int
    177, 178, 0,	//629  QTextStream&, QTextStream&(*)(QTextStream&)
    167, 42, 0,	//632  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    174, 49, 0,	//635  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    16, 23, 0,	//638  QDataStream&, QEasingCurve&
    19, 341, 0,	//641  QDebug, const QSqlDatabase&
    16, 310, 0,	//644  QDataStream&, const QLineF&
    26, 34, 0,	//647  QFile::Permission, QFlags<QFile::Permission>
    19, 321, 0,	//650  QDebug, const QPainterPath&
    290, 367, 380, 0,	//653  char*, const char*, unsigned int
    16, 8, 0,	//657  QDataStream&, QBrush&
    16, 328, 0,	//660  QDataStream&, const QPointF&
    362, 0,	//663  const QUrl&
    372, 0,	//665  int
    86, 372, 0,	//667  QLocale::NumberOption, int
    387, 377, 0,	//670  void*, size_t
    353, 353, 0,	//673  const QString&, const QString&
    174, 372, 0,	//676  QStyleOptionToolButton::ToolButtonFeature, int
    367, 367, 367, 372, 0,	//679  const char*, const char*, const char*, int
    353, 356, 0,	//684  const QString&, const QStringRef&
    117, 372, 0,	//687  QSizePolicy::ControlType, int
    16, 116, 0,	//690  QDataStream&, QSizePolicy&
    19, 349, 0,	//693  QDebug, const QSqlRecord&
    367, 356, 0,	//696  const char*, const QStringRef&
    16, 89, 0,	//699  QDataStream&, QMatrix&
    238, 372, 0,	//702  Qt::MouseButton, int
    171, 46, 0,	//705  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    16, 114, 0,	//708  QDataStream&, QSize&
    22, 22, 0,	//711  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    227, 227, 0,	//714  Qt::InputMethodHint, Qt::InputMethodHint
    179, 179, 0,	//717  QTextStream::NumberFlag, QTextStream::NumberFlag
    16, 191, 0,	//720  QDataStream&, QVariant::Type&
    252, 66, 0,	//723  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    310, 361, 0,	//726  const QLineF&, const QTransform&
    356, 308, 0,	//729  const QStringRef&, const QLatin1String&
    376, 0,	//732  signed char
    16, 330, 0,	//734  QDataStream&, const QPolygonF&
    16, 339, 0,	//737  QDataStream&, const QSizeF&
    255, 67, 0,	//740  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    16, 302, 0,	//743  QDataStream&, const QFont&
    367, 367, 0,	//746  const char*, const char*
    168, 43, 0,	//749  QStyle::SubControl, QFlags<QStyle::SubControl>
    16, 315, 0,	//752  QDataStream&, const QMatrix&
    289, 353, 0,	//755  char, const QString&
    78, 78, 0,	//758  QLibrary::LoadHint, QLibrary::LoadHint
    264, 264, 0,	//761  Qt::WindowState, Qt::WindowState
    19, 362, 0,	//764  QDebug, const QUrl&
    186, 53, 0,	//767  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    16, 107, 0,	//770  QDataStream&, QPolygonF&
    16, 98, 0,	//773  QDataStream&, QPalette&
    16, 321, 0,	//776  QDataStream&, const QPainterPath&
    332, 332, 0,	//779  const QRectF&, const QRectF&
    370, 337, 0,	//782  double, const QSize&
    26, 26, 0,	//785  QFile::Permission, QFile::Permission
    168, 168, 0,	//788  QStyle::SubControl, QStyle::SubControl
    19, 309, 0,	//791  QDebug, const QLine&
    3, 28, 0,	//794  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    16, 291, 0,	//797  QDataStream&, const QBitArray&
    315, 315, 0,	//800  const QMatrix&, const QMatrix&
    175, 175, 0,	//803  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    387, 369, 377, 0,	//806  void*, const void*, size_t
    370, 326, 0,	//810  double, const QPoint&
    19, 319, 0,	//813  QDebug, const QModelIndex&
    375, 0,	//816  short
    19, 299, 0,	//818  QDebug, const QDateTime&
    16, 326, 0,	//821  QDataStream&, const QPoint&
    16, 305, 0,	//824  QDataStream&, const QImage&
    294, 289, 0,	//827  const QByteArray&, char
    19, 307, 0,	//830  QDebug, const QKeySequence&
    19, 320, 0,	//833  QDebug, const QObject*
    371, 371, 0,	//836  float, float
    16, 71, 0,	//839  QDataStream&, QFont&
    21, 31, 0,	//842  QDir::SortFlag, QFlags<QDir::SortFlag>
    290, 377, 367, 384, 0,	//845  char*, size_t, const char*, va_list
    163, 41, 0,	//850  QString::SectionFlag, QFlags<QString::SectionFlag>
    16, 337, 0,	//853  QDataStream&, const QSize&
    76, 36, 0,	//856  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    16, 109, 0,	//859  QDataStream&, QRectF&
    176, 51, 0,	//862  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    19, 35, 0,	//865  QDebug, QFlags<QIODevice::OpenModeFlag>
    16, 295, 0,	//868  QDataStream&, const QChar&
    288, 7, 0,	//871  bool, QBool
    381, 0,	//874  unsigned long
    19, 332, 0,	//876  QDebug, const QRectF&
    329, 361, 0,	//879  const QPolygon&, const QTransform&
    7, 288, 0,	//882  QBool, bool
    264, 372, 0,	//885  Qt::WindowState, int
    175, 50, 0,	//888  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    16, 165, 0,	//891  QDataStream&, QStringList&
    16, 331, 0,	//894  QDataStream&, const QRect&
    16, 335, 0,	//897  QDataStream&, const QRegion&
    214, 214, 0,	//900  Qt::DockWidgetArea, Qt::DockWidgetArea
    19, 315, 0,	//903  QDebug, const QMatrix&
    86, 38, 0,	//906  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    16, 296, 0,	//909  QDataStream&, const QColor&
    265, 265, 0,	//912  Qt::WindowType, Qt::WindowType
    337, 370, 0,	//915  const QSize&, double
    162, 353, 0,	//918  QString::Null, const QString&
    19, 292, 0,	//921  QDebug, const QBrush&
    21, 21, 0,	//924  QDir::SortFlag, QDir::SortFlag
    227, 60, 0,	//927  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    16, 101, 0,	//930  QDataStream&, QPoint&
    19, 328, 0,	//933  QDebug, const QPointF&
    320, 353, 334, 316, 84, 0,	//936  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    16, 18, 0,	//942  QDataStream&, QDateTime&
    170, 170, 0,	//945  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    16, 360, 0,	//948  QDataStream&, const QTime&
    16, 77, 0,	//951  QDataStream&, QKeySequence&
    16, 363, 0,	//954  QDataStream&, const QUuid&
    177, 180, 0,	//957  QTextStream&, QTextStreamManipulator
    335, 361, 0,	//960  const QRegion&, const QTransform&
    163, 163, 0,	//963  QString::SectionFlag, QString::SectionFlag
    377, 377, 0,	//966  size_t, size_t
    179, 372, 0,	//969  QTextStream::NumberFlag, int
    368, 372, 372, 0,	//972  const unsigned char*, int, int
    368, 372, 0,	//976  const unsigned char*, int
    72, 372, 0,	//979  QIODevice::OpenModeFlag, int
    19, 358, 0,	//982  QDebug, const QStyleOption::OptionType&
    221, 58, 0,	//985  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    330, 315, 0,	//988  const QPolygonF&, const QMatrix&
    326, 0,	//991  const QPoint&
    16, 105, 0,	//993  QDataStream&, QPolygon&
    120, 40, 0,	//996  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    16, 161, 0,	//999  QDataStream&, QString&
    76, 76, 0,	//1002  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    16, 353, 0,	//1005  QDataStream&, const QString&
    16, 301, 0,	//1008  QDataStream&, const QEasingCurve&
    16, 12, 0,	//1011  QDataStream&, QChar&
    167, 167, 0,	//1014  QStyle::StateFlag, QStyle::StateFlag
    306, 0,	//1017  const QItemSelectionRange&
    252, 252, 0,	//1019  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    16, 99, 0,	//1022  QDataStream&, QPixmap&
    353, 294, 0,	//1025  const QString&, const QByteArray&
    25, 25, 0,	//1028  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    16, 108, 0,	//1031  QDataStream&, QRect&
    1, 372, 0,	//1034  QAbstractFileEngine::FileFlag, int
    268, 367, 0,	//1037  QtMsgType, const char*
    19, 345, 0,	//1040  QDebug, const QSqlError&
    225, 372, 0,	//1043  Qt::ImageConversionFlag, int
    169, 44, 0,	//1046  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    19, 331, 0,	//1049  QDebug, const QRect&
    16, 304, 0,	//1052  QDataStream&, const QIcon&
    16, 365, 0,	//1055  QDataStream&, const QVariant::Type
    175, 372, 0,	//1058  QStyleOptionViewItemV2::ViewItemFeature, int
    16, 82, 0,	//1061  QDataStream&, QLineF&
    16, 97, 0,	//1064  QDataStream&, QPainterPath&
    258, 258, 0,	//1067  Qt::TouchPointState, Qt::TouchPointState
    252, 372, 0,	//1070  Qt::TextInteractionFlag, int
    326, 361, 0,	//1073  const QPoint&, const QTransform&
    170, 372, 0,	//1076  QStyleOptionFrameV2::FrameFeature, int
    173, 173, 0,	//1079  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    289, 0,	//1082  char
    16, 299, 0,	//1084  QDataStream&, const QDateTime&
    16, 181, 0,	//1087  QDataStream&, QTime&
    225, 225, 0,	//1090  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    170, 45, 0,	//1093  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    216, 57, 0,	//1096  Qt::DropAction, QFlags<Qt::DropAction>
    216, 216, 0,	//1099  Qt::DropAction, Qt::DropAction
    240, 372, 0,	//1102  Qt::Orientation, int
    19, 300, 0,	//1105  QDebug, const QDir&
    335, 315, 0,	//1108  const QRegion&, const QMatrix&
    19, 335, 0,	//1111  QDebug, const QRegion&
    16, 185, 0,	//1114  QDataStream&, QUrl&
    78, 37, 0,	//1117  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    353, 11, 0,	//1120  const QString&, QChar
    372, 372, 372, 372, 0,	//1123  int, int, int, int
    240, 65, 0,	//1128  Qt::Orientation, QFlags<Qt::Orientation>
    173, 48, 0,	//1131  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    377, 0,	//1134  size_t
    19, 364, 0,	//1136  QDebug, const QVariant&
    86, 86, 0,	//1139  QLocale::NumberOption, QLocale::NumberOption
    16, 312, 0,	//1142  QDataStream&, const QLocale&
    90, 372, 388, 0,	//1145  QMetaObject::Call, int, void**
    95, 359, 319, 0,	//1149  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    359, 319, 0,	//1153  const QStyleOptionViewItem&, const QModelIndex&
    193, 359, 319, 0,	//1156  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    95, 359, 331, 353, 0,	//1160  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    95, 359, 331, 324, 0,	//1165  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    95, 359, 331, 0,	//1170  QPainter*, const QStyleOptionViewItem&, const QRect&
    95, 359, 331, 205, 0,	//1174  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    93, 24, 0,	//1179  QObject*, QEvent*
    24, 2, 359, 319, 0,	//1182  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    24, 0,	//1187  QEvent*
    182, 0,	//1189  QTimerEvent*
    13, 0,	//1191  QChildEvent*
    341, 0,	//1193  const QSqlDatabase&
    121, 0,	//1195  QSql::TableType
    119, 0,	//1197  QSql::NumericalPrecisionPolicy
    125, 353, 0,	//1199  QSqlDriver*, const QString&
    341, 353, 0,	//1202  const QSqlDatabase&, const QString&
    353, 288, 0,	//1205  const QString&, bool
    353, 129, 0,	//1208  const QString&, QSqlDriverCreatorBase*
    125, 0,	//1211  QSqlDriver*
    93, 0,	//1213  QObject*
    346, 288, 0,	//1215  const QSqlField&, bool
    353, 127, 0,	//1218  const QString&, QSqlDriver::IdentifierType
    128, 353, 349, 288, 0,	//1221  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    126, 0,	//1226  QSqlDriver::DriverFeature
    353, 353, 353, 353, 372, 353, 0,	//1228  const QString&, const QString&, const QString&, const QString&, int, const QString&
    288, 0,	//1235  bool
    345, 0,	//1237  const QSqlError&
    346, 0,	//1239  const QSqlField&
    353, 353, 353, 0,	//1241  const QString&, const QString&, const QString&
    353, 353, 353, 353, 0,	//1245  const QString&, const QString&, const QString&, const QString&
    353, 353, 353, 353, 372, 0,	//1250  const QString&, const QString&, const QString&, const QString&, int
    343, 0,	//1256  const QSqlDriverCreatorBase&
    344, 0,	//1258  const QSqlDriverFactoryInterface&
    353, 353, 135, 372, 0,	//1260  const QString&, const QString&, QSqlError::ErrorType, int
    135, 0,	//1265  QSqlError::ErrorType
    353, 353, 135, 0,	//1267  const QString&, const QString&, QSqlError::ErrorType
    353, 190, 0,	//1271  const QString&, QVariant::Type
    364, 0,	//1274  const QVariant&
    190, 0,	//1276  QVariant::Type
    139, 0,	//1278  QSqlField::RequiredStatus
    347, 0,	//1280  const QSqlIndex&
    372, 288, 0,	//1282  int, bool
    155, 0,	//1285  QSqlResult*
    353, 122, 0,	//1287  const QString&, QSqlDatabase
    122, 0,	//1290  QSqlDatabase
    348, 0,	//1292  const QSqlQuery&
    146, 0,	//1294  QSqlQuery::BatchExecutionMode
    353, 364, 40, 0,	//1296  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    372, 364, 40, 0,	//1300  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    364, 40, 0,	//1304  const QVariant&, QFlags<QSql::ParamTypeFlag>
    353, 364, 0,	//1307  const QString&, const QVariant&
    372, 364, 0,	//1310  int, const QVariant&
    319, 372, 0,	//1313  const QModelIndex&, int
    372, 240, 372, 0,	//1316  int, Qt::Orientation, int
    372, 240, 364, 372, 0,	//1320  int, Qt::Orientation, const QVariant&, int
    353, 341, 0,	//1325  const QString&, const QSqlDatabase&
    372, 240, 0,	//1328  int, Qt::Orientation
    372, 240, 364, 0,	//1331  int, Qt::Orientation, const QVariant&
    372, 372, 0,	//1335  int, int
    349, 0,	//1338  const QSqlRecord&
    372, 346, 0,	//1340  int, const QSqlField&
    350, 0,	//1343  const QSqlRelation&
    193, 319, 0,	//1345  QWidget*, const QModelIndex&
    193, 2, 319, 0,	//1348  QWidget*, QAbstractItemModel*, const QModelIndex&
    93, 122, 0,	//1352  QObject*, QSqlDatabase
    372, 350, 0,	//1355  int, const QSqlRelation&
    372, 349, 0,	//1358  int, const QSqlRecord&
    319, 364, 0,	//1361  const QModelIndex&, const QVariant&
    342, 0,	//1364  const QSqlDriver*
    372, 387, 0,	//1366  int, void*
    159, 0,	//1369  QSqlTableModel::EditStrategy
    372, 149, 0,	//1371  int, QSqlRecord&
    149, 0,	//1374  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "LowPrecisionDouble",	//38
    "LowPrecisionInt32",	//39
    "LowPrecisionInt64",	//40
    "LowPrecisionNumbers",	//41
    "MultipleResultSets",	//42
    "NamedBinding",	//43
    "NamedPlaceholders",	//44
    "NextResult",	//45
    "NoError",	//46
    "OnFieldChange",	//47
    "OnManualSubmit",	//48
    "OnRowChange",	//49
    "Optional",	//50
    "Out",	//51
    "PositionalBinding",	//52
    "PositionalPlaceholders",	//53
    "PreparedQueries",	//54
    "QSqlDatabase",	//55
    "QSqlDatabase#",	//56
    "QSqlDatabase$",	//57
    "QSqlDriver",	//58
    "QSqlDriver#",	//59
    "QSqlDriverCreatorBase",	//60
    "QSqlDriverCreatorBase#",	//61
    "QSqlDriverFactoryInterface",	//62
    "QSqlDriverFactoryInterface#",	//63
    "QSqlDriverPlugin",	//64
    "QSqlDriverPlugin#",	//65
    "QSqlError",	//66
    "QSqlError#",	//67
    "QSqlError$",	//68
    "QSqlError$$",	//69
    "QSqlError$$$",	//70
    "QSqlError$$$$",	//71
    "QSqlField",	//72
    "QSqlField#",	//73
    "QSqlField$",	//74
    "QSqlField$$",	//75
    "QSqlIndex",	//76
    "QSqlIndex#",	//77
    "QSqlIndex$",	//78
    "QSqlIndex$$",	//79
    "QSqlQuery",	//80
    "QSqlQuery#",	//81
    "QSqlQuery$",	//82
    "QSqlQuery$#",	//83
    "QSqlQueryModel",	//84
    "QSqlQueryModel#",	//85
    "QSqlRecord",	//86
    "QSqlRecord#",	//87
    "QSqlRelation",	//88
    "QSqlRelation#",	//89
    "QSqlRelation$$$",	//90
    "QSqlRelationalDelegate",	//91
    "QSqlRelationalDelegate#",	//92
    "QSqlRelationalTableModel",	//93
    "QSqlRelationalTableModel#",	//94
    "QSqlRelationalTableModel##",	//95
    "QSqlResult",	//96
    "QSqlResult#",	//97
    "QSqlTableModel",	//98
    "QSqlTableModel#",	//99
    "QSqlTableModel##",	//100
    "Q_COMPLEX_TYPE",	//101
    "Q_DUMMY_TYPE",	//102
    "Q_MOVABLE_TYPE",	//103
    "Q_PRIMITIVE_TYPE",	//104
    "Q_STATIC_TYPE",	//105
    "QtCriticalMsg",	//106
    "QtDebugMsg",	//107
    "QtFatalMsg",	//108
    "QtSystemMsg",	//109
    "QtWarningMsg",	//110
    "QuerySize",	//111
    "Required",	//112
    "SelectStatement",	//113
    "SetNumericalPrecision",	//114
    "SimpleLocking",	//115
    "StatementError",	//116
    "SystemTables",	//117
    "TableName",	//118
    "Tables",	//119
    "TransactionError",	//120
    "Transactions",	//121
    "Unicode",	//122
    "Unknown",	//123
    "UnknownError",	//124
    "UpdateStatement",	//125
    "ValuesAsColumns",	//126
    "ValuesAsRows",	//127
    "Views",	//128
    "WhereStatement",	//129
    "addBindValue",	//130
    "addBindValue#",	//131
    "addBindValue#$",	//132
    "addDatabase",	//133
    "addDatabase#",	//134
    "addDatabase#$",	//135
    "addDatabase$",	//136
    "addDatabase$$",	//137
    "append",	//138
    "append#",	//139
    "append#$",	//140
    "at",	//141
    "beforeDelete",	//142
    "beforeDelete$",	//143
    "beforeInsert",	//144
    "beforeInsert#",	//145
    "beforeUpdate",	//146
    "beforeUpdate$#",	//147
    "beginTransaction",	//148
    "bindValue",	//149
    "bindValue$#",	//150
    "bindValue$#$",	//151
    "bindValueType",	//152
    "bindValueType$",	//153
    "bindingSyntax",	//154
    "boundValue",	//155
    "boundValue$",	//156
    "boundValueCount",	//157
    "boundValueName",	//158
    "boundValueName$",	//159
    "boundValues",	//160
    "buddy",	//161
    "canFetchMore",	//162
    "canFetchMore#",	//163
    "childEvent",	//164
    "clear",	//165
    "clearValues",	//166
    "cloneDatabase",	//167
    "cloneDatabase#$",	//168
    "close",	//169
    "columnCount",	//170
    "columnCount#",	//171
    "commit",	//172
    "commitTransaction",	//173
    "connectNotify",	//174
    "connectOptions",	//175
    "connectionName",	//176
    "connectionNames",	//177
    "contains",	//178
    "contains$",	//179
    "count",	//180
    "create",	//181
    "create$",	//182
    "createEditor",	//183
    "createEditor###",	//184
    "createObject",	//185
    "createResult",	//186
    "cursorName",	//187
    "customEvent",	//188
    "data",	//189
    "data#",	//190
    "data#$",	//191
    "data$",	//192
    "database",	//193
    "database$",	//194
    "database$$",	//195
    "databaseName",	//196
    "databaseText",	//197
    "defaultConnection",	//198
    "defaultValue",	//199
    "deleteRowFromTable",	//200
    "deleteRowFromTable$",	//201
    "detachFromResultSet",	//202
    "disconnectNotify",	//203
    "displayColumn",	//204
    "drawCheck",	//205
    "drawDecoration",	//206
    "drawDisplay",	//207
    "drawFocus",	//208
    "driver",	//209
    "driverName",	//210
    "driverText",	//211
    "drivers",	//212
    "dropMimeData",	//213
    "editStrategy",	//214
    "editorEvent",	//215
    "escapeIdentifier",	//216
    "escapeIdentifier$$",	//217
    "event",	//218
    "eventFilter",	//219
    "exec",	//220
    "exec$",	//221
    "execBatch",	//222
    "execBatch$",	//223
    "executedQuery",	//224
    "fetch",	//225
    "fetch$",	//226
    "fetchFirst",	//227
    "fetchLast",	//228
    "fetchMore",	//229
    "fetchMore#",	//230
    "fetchNext",	//231
    "fetchPrevious",	//232
    "field",	//233
    "field$",	//234
    "fieldIndex",	//235
    "fieldIndex$",	//236
    "fieldName",	//237
    "fieldName$",	//238
    "filter",	//239
    "finish",	//240
    "first",	//241
    "flags",	//242
    "flags#",	//243
    "formatValue",	//244
    "formatValue#",	//245
    "formatValue#$",	//246
    "handle",	//247
    "hasFeature",	//248
    "hasFeature$",	//249
    "hasOutValues",	//250
    "headerData",	//251
    "headerData$$",	//252
    "headerData$$$",	//253
    "hostName",	//254
    "index",	//255
    "indexColumn",	//256
    "indexInQuery",	//257
    "indexInQuery#",	//258
    "indexOf",	//259
    "indexOf$",	//260
    "insert",	//261
    "insert$#",	//262
    "insertColumns",	//263
    "insertColumns$$",	//264
    "insertColumns$$#",	//265
    "insertRecord",	//266
    "insertRecord$#",	//267
    "insertRowIntoTable",	//268
    "insertRowIntoTable#",	//269
    "insertRows",	//270
    "insertRows$$",	//271
    "insertRows$$#",	//272
    "isActive",	//273
    "isAutoValue",	//274
    "isDescending",	//275
    "isDescending$",	//276
    "isDirty",	//277
    "isDirty#",	//278
    "isDriverAvailable",	//279
    "isDriverAvailable$",	//280
    "isEmpty",	//281
    "isForwardOnly",	//282
    "isGenerated",	//283
    "isGenerated$",	//284
    "isIdentifierEscaped",	//285
    "isIdentifierEscaped$$",	//286
    "isIdentifierEscapedImplementation",	//287
    "isIdentifierEscapedImplementation$$",	//288
    "isNull",	//289
    "isNull$",	//290
    "isOpen",	//291
    "isOpenError",	//292
    "isReadOnly",	//293
    "isSelect",	//294
    "isValid",	//295
    "itemData",	//296
    "keys",	//297
    "last",	//298
    "lastError",	//299
    "lastInsertId",	//300
    "lastQuery",	//301
    "length",	//302
    "match",	//303
    "metaObject",	//304
    "mimeData",	//305
    "mimeTypes",	//306
    "name",	//307
    "next",	//308
    "nextResult",	//309
    "notification",	//310
    "notification$",	//311
    "numRowsAffected",	//312
    "number",	//313
    "numericalPrecisionPolicy",	//314
    "open",	//315
    "open$",	//316
    "open$$",	//317
    "open$$$",	//318
    "open$$$$",	//319
    "open$$$$$",	//320
    "open$$$$$$",	//321
    "operator!=",	//322
    "operator!=#",	//323
    "operator!=##",	//324
    "operator!=#$",	//325
    "operator!=$#",	//326
    "operator!=$$",	//327
    "operator&",	//328
    "operator&##",	//329
    "operator*",	//330
    "operator*##",	//331
    "operator*#$",	//332
    "operator*$#",	//333
    "operator+",	//334
    "operator+##",	//335
    "operator+#$",	//336
    "operator+$#",	//337
    "operator+$$",	//338
    "operator-",	//339
    "operator-#",	//340
    "operator-##",	//341
    "operator-#$",	//342
    "operator/",	//343
    "operator/#$",	//344
    "operator<",	//345
    "operator<##",	//346
    "operator<#$",	//347
    "operator<$#",	//348
    "operator<$$",	//349
    "operator<<",	//350
    "operator<<##",	//351
    "operator<<#$",	//352
    "operator<<#?",	//353
    "operator<=",	//354
    "operator<=##",	//355
    "operator<=#$",	//356
    "operator<=$#",	//357
    "operator<=$$",	//358
    "operator=",	//359
    "operator=#",	//360
    "operator==",	//361
    "operator==#",	//362
    "operator==##",	//363
    "operator==#$",	//364
    "operator==$#",	//365
    "operator==$$",	//366
    "operator>",	//367
    "operator>##",	//368
    "operator>#$",	//369
    "operator>$#",	//370
    "operator>$$",	//371
    "operator>=",	//372
    "operator>=##",	//373
    "operator>=#$",	//374
    "operator>=$#",	//375
    "operator>=$$",	//376
    "operator>>",	//377
    "operator>>##",	//378
    "operator>>#$",	//379
    "operator>>#?",	//380
    "operator^",	//381
    "operator^##",	//382
    "operator|",	//383
    "operator|##",	//384
    "operator|$$",	//385
    "orderByClause",	//386
    "paint",	//387
    "password",	//388
    "port",	//389
    "precision",	//390
    "prepare",	//391
    "prepare$",	//392
    "previous",	//393
    "primaryIndex",	//394
    "primaryIndex$",	//395
    "primaryKey",	//396
    "primeInsert",	//397
    "primeInsert$#",	//398
    "qAcos",	//399
    "qAcos$",	//400
    "qAddPostRoutine",	//401
    "qAddPostRoutine$",	//402
    "qAlpha",	//403
    "qAlpha$",	//404
    "qAppName",	//405
    "qAsin",	//406
    "qAsin$",	//407
    "qAtan",	//408
    "qAtan$",	//409
    "qAtan2",	//410
    "qAtan2$$",	//411
    "qBadAlloc",	//412
    "qBlue",	//413
    "qBlue$",	//414
    "qCeil",	//415
    "qCeil$",	//416
    "qChecksum",	//417
    "qChecksum$$",	//418
    "qCompress",	//419
    "qCompress#",	//420
    "qCompress#$",	//421
    "qCompress$$",	//422
    "qCompress$$$",	//423
    "qCos",	//424
    "qCos$",	//425
    "qCritical",	//426
    "qDebug",	//427
    "qExp",	//428
    "qExp$",	//429
    "qFabs",	//430
    "qFabs$",	//431
    "qFastCos",	//432
    "qFastCos$",	//433
    "qFastSin",	//434
    "qFastSin$",	//435
    "qFlagLocation",	//436
    "qFlagLocation$",	//437
    "qFloor",	//438
    "qFloor$",	//439
    "qFree",	//440
    "qFree$",	//441
    "qFreeAligned",	//442
    "qFreeAligned$",	//443
    "qFuzzyCompare",	//444
    "qFuzzyCompare##",	//445
    "qFuzzyCompare$$",	//446
    "qFuzzyIsNull",	//447
    "qFuzzyIsNull$",	//448
    "qGray",	//449
    "qGray$",	//450
    "qGray$$$",	//451
    "qGreen",	//452
    "qGreen$",	//453
    "qHash",	//454
    "qHash#",	//455
    "qHash$",	//456
    "qInf",	//457
    "qInstallMsgHandler",	//458
    "qInstallMsgHandler$",	//459
    "qIntCast",	//460
    "qIntCast$",	//461
    "qIsFinite",	//462
    "qIsFinite$",	//463
    "qIsGray",	//464
    "qIsGray$",	//465
    "qIsInf",	//466
    "qIsInf$",	//467
    "qIsNaN",	//468
    "qIsNaN$",	//469
    "qIsNull",	//470
    "qIsNull$",	//471
    "qLn",	//472
    "qLn$",	//473
    "qMalloc",	//474
    "qMalloc$",	//475
    "qMallocAligned",	//476
    "qMallocAligned$$",	//477
    "qMemCopy",	//478
    "qMemCopy$$$",	//479
    "qMemSet",	//480
    "qMemSet$$$",	//481
    "qPow",	//482
    "qPow$$",	//483
    "qQNaN",	//484
    "qRealloc",	//485
    "qRealloc$$",	//486
    "qReallocAligned",	//487
    "qReallocAligned$$$$",	//488
    "qRed",	//489
    "qRed$",	//490
    "qRegisterStaticPluginInstanceFunction",	//491
    "qRegisterStaticPluginInstanceFunction#",	//492
    "qRemovePostRoutine",	//493
    "qRemovePostRoutine$",	//494
    "qRgb",	//495
    "qRgb$$$",	//496
    "qRgba",	//497
    "qRgba$$$$",	//498
    "qRound",	//499
    "qRound$",	//500
    "qRound64",	//501
    "qRound64$",	//502
    "qSNaN",	//503
    "qSetFieldWidth",	//504
    "qSetFieldWidth$",	//505
    "qSetPadChar",	//506
    "qSetPadChar#",	//507
    "qSetRealNumberPrecision",	//508
    "qSetRealNumberPrecision$",	//509
    "qSharedBuild",	//510
    "qSin",	//511
    "qSin$",	//512
    "qSqrt",	//513
    "qSqrt$",	//514
    "qStringComparisonHelper",	//515
    "qStringComparisonHelper#$",	//516
    "qStringComparisonHelper$$",	//517
    "qTan",	//518
    "qTan$",	//519
    "qUncompress",	//520
    "qUncompress#",	//521
    "qUncompress$$",	//522
    "qVersion",	//523
    "qWarning",	//524
    "qbswap_helper",	//525
    "qbswap_helper$$$",	//526
    "qgetenv",	//527
    "qgetenv$",	//528
    "qputenv",	//529
    "qputenv$#",	//530
    "qrand",	//531
    "qsrand",	//532
    "qsrand$",	//533
    "qstrcmp",	//534
    "qstrcmp##",	//535
    "qstrcmp#$",	//536
    "qstrcmp$#",	//537
    "qstrcmp$$",	//538
    "qstrcpy",	//539
    "qstrcpy$$",	//540
    "qstrdup",	//541
    "qstrdup$",	//542
    "qstricmp",	//543
    "qstricmp$$",	//544
    "qstrlen",	//545
    "qstrlen$",	//546
    "qstrncmp",	//547
    "qstrncmp$$$",	//548
    "qstrncpy",	//549
    "qstrncpy$$$",	//550
    "qstrnicmp",	//551
    "qstrnicmp$$$",	//552
    "qstrnlen",	//553
    "qstrnlen$$",	//554
    "qtTrId",	//555
    "qtTrId$",	//556
    "qtTrId$$",	//557
    "qt_assert",	//558
    "qt_assert$$$",	//559
    "qt_assert_x",	//560
    "qt_assert_x$$$$",	//561
    "qt_check_pointer",	//562
    "qt_check_pointer$$",	//563
    "qt_error_string",	//564
    "qt_error_string$",	//565
    "qt_message_output",	//566
    "qt_message_output$$",	//567
    "qt_metacall",	//568
    "qt_metacall$$?",	//569
    "qt_metacast",	//570
    "qt_metacast$",	//571
    "qt_noop",	//572
    "qt_qFindChild_helper",	//573
    "qt_qFindChild_helper#$#",	//574
    "qt_qFindChildren_helper",	//575
    "qt_qFindChildren_helper#$##?",	//576
    "query",	//577
    "queryChange",	//578
    "qvariant_cast_helper",	//579
    "qvariant_cast_helper#$$",	//580
    "qvsnprintf",	//581
    "qvsnprintf$$$?",	//582
    "record",	//583
    "record$",	//584
    "registerSqlDriver",	//585
    "registerSqlDriver$#",	//586
    "relation",	//587
    "relation$",	//588
    "relationModel",	//589
    "relationModel$",	//590
    "remove",	//591
    "remove$",	//592
    "removeColumns",	//593
    "removeColumns$$",	//594
    "removeColumns$$#",	//595
    "removeDatabase",	//596
    "removeDatabase$",	//597
    "removeRows",	//598
    "removeRows$$",	//599
    "removeRows$$#",	//600
    "replace",	//601
    "replace$#",	//602
    "requiredStatus",	//603
    "reset",	//604
    "reset$",	//605
    "result",	//606
    "revert",	//607
    "revertAll",	//608
    "revertRow",	//609
    "revertRow$",	//610
    "rollback",	//611
    "rollbackTransaction",	//612
    "rowCount",	//613
    "rowCount#",	//614
    "savePrepare",	//615
    "savePrepare$",	//616
    "seek",	//617
    "seek$",	//618
    "seek$$",	//619
    "select",	//620
    "selectStatement",	//621
    "setActive",	//622
    "setActive$",	//623
    "setAt",	//624
    "setAt$",	//625
    "setAutoValue",	//626
    "setAutoValue$",	//627
    "setConnectOptions",	//628
    "setConnectOptions$",	//629
    "setCursorName",	//630
    "setCursorName$",	//631
    "setData",	//632
    "setData##",	//633
    "setData##$",	//634
    "setDatabaseName",	//635
    "setDatabaseName$",	//636
    "setDatabaseText",	//637
    "setDatabaseText$",	//638
    "setDefaultConnection",	//639
    "setDefaultConnection$",	//640
    "setDefaultValue",	//641
    "setDefaultValue#",	//642
    "setDescending",	//643
    "setDescending$$",	//644
    "setDriverText",	//645
    "setDriverText$",	//646
    "setEditStrategy",	//647
    "setEditStrategy$",	//648
    "setEditorData",	//649
    "setEditorData##",	//650
    "setFilter",	//651
    "setFilter$",	//652
    "setForwardOnly",	//653
    "setForwardOnly$",	//654
    "setGenerated",	//655
    "setGenerated$",	//656
    "setGenerated$$",	//657
    "setHeaderData",	//658
    "setHeaderData$$#",	//659
    "setHeaderData$$#$",	//660
    "setHostName",	//661
    "setHostName$",	//662
    "setItemData",	//663
    "setLastError",	//664
    "setLastError#",	//665
    "setLength",	//666
    "setLength$",	//667
    "setModelData",	//668
    "setModelData###",	//669
    "setName",	//670
    "setName$",	//671
    "setNull",	//672
    "setNull$",	//673
    "setNumber",	//674
    "setNumber$",	//675
    "setNumericalPrecisionPolicy",	//676
    "setNumericalPrecisionPolicy$",	//677
    "setOpen",	//678
    "setOpen$",	//679
    "setOpenError",	//680
    "setOpenError$",	//681
    "setPassword",	//682
    "setPassword$",	//683
    "setPort",	//684
    "setPort$",	//685
    "setPrecision",	//686
    "setPrecision$",	//687
    "setPrimaryKey",	//688
    "setPrimaryKey#",	//689
    "setQuery",	//690
    "setQuery#",	//691
    "setQuery$",	//692
    "setQuery$#",	//693
    "setReadOnly",	//694
    "setReadOnly$",	//695
    "setRecord",	//696
    "setRecord$#",	//697
    "setRelation",	//698
    "setRelation$#",	//699
    "setRequired",	//700
    "setRequired$",	//701
    "setRequiredStatus",	//702
    "setRequiredStatus$",	//703
    "setSelect",	//704
    "setSelect$",	//705
    "setSort",	//706
    "setSort$$",	//707
    "setSqlType",	//708
    "setSqlType$",	//709
    "setTable",	//710
    "setTable$",	//711
    "setType",	//712
    "setType$",	//713
    "setUserName",	//714
    "setUserName$",	//715
    "setValue",	//716
    "setValue#",	//717
    "setValue$#",	//718
    "size",	//719
    "sizeHint",	//720
    "sort",	//721
    "sort$$",	//722
    "span",	//723
    "sqlStatement",	//724
    "sqlStatement$$#$",	//725
    "staticMetaObject",	//726
    "stripDelimiters",	//727
    "stripDelimiters$$",	//728
    "stripDelimitersImplementation",	//729
    "stripDelimitersImplementation$$",	//730
    "submit",	//731
    "submitAll",	//732
    "subscribeToNotification",	//733
    "subscribeToNotification$",	//734
    "subscribeToNotificationImplementation",	//735
    "subscribeToNotificationImplementation$",	//736
    "subscribedToNotifications",	//737
    "subscribedToNotificationsImplementation",	//738
    "supportedDropActions",	//739
    "tableName",	//740
    "tables",	//741
    "tables$",	//742
    "text",	//743
    "timerEvent",	//744
    "tr",	//745
    "tr$",	//746
    "tr$$",	//747
    "tr$$$",	//748
    "trUtf8",	//749
    "trUtf8$",	//750
    "trUtf8$$",	//751
    "trUtf8$$$",	//752
    "transaction",	//753
    "type",	//754
    "typeID",	//755
    "unsubscribeFromNotification",	//756
    "unsubscribeFromNotification$",	//757
    "unsubscribeFromNotificationImplementation",	//758
    "unsubscribeFromNotificationImplementation$",	//759
    "updateEditorGeometry",	//760
    "updateRowInTable",	//761
    "updateRowInTable$#",	//762
    "userName",	//763
    "value",	//764
    "value$",	//765
    "virtual_hook",	//766
    "virtual_hook$$",	//767
    "~QSqlDatabase",	//768
    "~QSqlDriver",	//769
    "~QSqlDriverCreatorBase",	//770
    "~QSqlDriverFactoryInterface",	//771
    "~QSqlDriverPlugin",	//772
    "~QSqlError",	//773
    "~QSqlField",	//774
    "~QSqlIndex",	//775
    "~QSqlQuery",	//776
    "~QSqlQueryModel",	//777
    "~QSqlRecord",	//778
    "~QSqlRelation",	//779
    "~QSqlRelationalDelegate",	//780
    "~QSqlRelationalTableModel",	//781
    "~QSqlResult",	//782
    "~QSqlTableModel",	//783
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 632, 1, 3, Smoke::mf_virtual, 288, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 296, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 663, 7, 2, Smoke::mf_virtual, 288, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 306, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 305, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 91, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 739, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 270, 12, 3, Smoke::mf_virtual, 288, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 598, 12, 3, Smoke::mf_virtual, 288, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 242, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 721, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 161, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 303, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 723, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 731, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 288, 0},	//14 QAbstractItemModel::submit()
    {1, 607, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 255, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 213, 25, 5, Smoke::mf_virtual, 288, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {18, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {20, 328, 31, 2, Smoke::mf_static, 5, 1},	//19 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {20, 426, 0, 0, Smoke::mf_static, 19, 2},	//20 QGlobalSpace::qCritical()
    {20, 454, 34, 1, Smoke::mf_static, 380, 3},	//21 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {20, 383, 36, 2, Smoke::mf_static, 75, 4},	//22 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {20, 558, 39, 3, Smoke::mf_static, 0, 5},	//23 QGlobalSpace::qt_assert(const char*, const char*, int)
    {20, 330, 43, 2, Smoke::mf_static, 325, 6},	//24 QGlobalSpace::operator*(const QPoint&, double)
    {20, 466, 46, 1, Smoke::mf_static, 288, 7},	//25 QGlobalSpace::qIsInf(double)
    {20, 350, 48, 2, Smoke::mf_static, 19, 8},	//26 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {20, 330, 51, 2, Smoke::mf_static, 327, 9},	//27 QGlobalSpace::operator*(double, const QPointF&)
    {20, 383, 54, 2, Smoke::mf_static, 64, 10},	//28 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {20, 322, 57, 2, Smoke::mf_static, 288, 11},	//29 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {20, 350, 60, 2, Smoke::mf_static, 19, 12},	//30 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {20, 330, 63, 2, Smoke::mf_static, 338, 13},	//31 QGlobalSpace::operator*(double, const QSizeF&)
    {20, 383, 66, 2, Smoke::mf_static, 75, 14},	//32 QGlobalSpace::operator|(QDir::SortFlag, int)
    {20, 383, 69, 2, Smoke::mf_static, 28, 15},	//33 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {20, 350, 72, 2, Smoke::mf_static, 19, 16},	//34 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {20, 377, 75, 2, Smoke::mf_static, 16, 17},	//35 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {20, 350, 78, 2, Smoke::mf_static, 16, 18},	//36 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {20, 383, 81, 2, Smoke::mf_static, 75, 19},	//37 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {20, 383, 84, 2, Smoke::mf_static, 75, 20},	//38 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {20, 350, 87, 2, Smoke::mf_static, 19, 21},	//39 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {20, 539, 90, 2, Smoke::mf_static, 290, 22},	//40 QGlobalSpace::qstrcpy(char*, const char*)
    {20, 322, 93, 2, Smoke::mf_static, 288, 23},	//41 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {20, 334, 96, 2, Smoke::mf_static, 336, 24},	//42 QGlobalSpace::operator+(const QSize&, const QSize&)
    {20, 430, 46, 1, Smoke::mf_static, 370, 25},	//43 QGlobalSpace::qFabs(double)
    {20, 350, 99, 2, Smoke::mf_static, 16, 26},	//44 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {20, 383, 102, 2, Smoke::mf_static, 51, 27},	//45 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {20, 350, 105, 2, Smoke::mf_static, 19, 28},	//46 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {20, 484, 0, 0, Smoke::mf_static, 370, 29},	//47 QGlobalSpace::qQNaN()
    {20, 454, 108, 1, Smoke::mf_static, 380, 30},	//48 QGlobalSpace::qHash(unsigned char)
    {20, 383, 110, 2, Smoke::mf_static, 30, 31},	//49 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {20, 330, 113, 2, Smoke::mf_static, 102, 32},	//50 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {20, 330, 116, 2, Smoke::mf_static, 79, 33},	//51 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {20, 523, 0, 0, Smoke::mf_static, 367, 34},	//52 QGlobalSpace::qVersion()
    {20, 383, 119, 2, Smoke::mf_static, 33, 35},	//53 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {20, 361, 57, 2, Smoke::mf_static, 288, 36},	//54 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {20, 383, 122, 2, Smoke::mf_static, 69, 37},	//55 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {20, 330, 125, 2, Smoke::mf_static, 338, 38},	//56 QGlobalSpace::operator*(const QSizeF&, double)
    {20, 350, 128, 2, Smoke::mf_static, 16, 39},	//57 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {20, 383, 131, 2, Smoke::mf_static, 75, 40},	//58 QGlobalSpace::operator|(QDir::Filter, int)
    {20, 444, 134, 2, Smoke::mf_static, 288, 41},	//59 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {20, 367, 137, 2, Smoke::mf_static, 288, 42},	//60 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {20, 415, 46, 1, Smoke::mf_static, 372, 43},	//61 QGlobalSpace::qCeil(double)
    {20, 531, 0, 0, Smoke::mf_static, 372, 44},	//62 QGlobalSpace::qrand()
    {20, 449, 140, 1, Smoke::mf_static, 372, 45},	//63 QGlobalSpace::qGray(unsigned int)
    {20, 339, 142, 2, Smoke::mf_static, 338, 46},	//64 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {20, 372, 145, 2, Smoke::mf_static, 288, 47},	//65 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {20, 361, 148, 2, Smoke::mf_static, 288, 48},	//66 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {20, 383, 151, 2, Smoke::mf_static, 64, 49},	//67 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {20, 350, 154, 2, Smoke::mf_static, 19, 50},	//68 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {20, 489, 140, 1, Smoke::mf_static, 372, 51},	//69 QGlobalSpace::qRed(unsigned int)
    {20, 322, 157, 2, Smoke::mf_static, 288, 52},	//70 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {20, 361, 160, 2, Smoke::mf_static, 288, 53},	//71 QGlobalSpace::operator==(QBool, QBool)
    {20, 383, 163, 2, Smoke::mf_static, 47, 54},	//72 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {20, 383, 166, 2, Smoke::mf_static, 46, 55},	//73 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {20, 383, 169, 2, Smoke::mf_static, 55, 56},	//74 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {20, 454, 172, 1, Smoke::mf_static, 380, 57},	//75 QGlobalSpace::qHash(const QStringRef&)
    {20, 361, 174, 2, Smoke::mf_static, 288, 58},	//76 QGlobalSpace::operator==(QString::Null, QString::Null)
    {20, 350, 177, 2, Smoke::mf_static, 19, 59},	//77 QGlobalSpace::operator<<(QDebug, const QFont&)
    {20, 383, 180, 2, Smoke::mf_static, 75, 60},	//78 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {20, 350, 183, 2, Smoke::mf_static, 19, 61},	//79 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {20, 350, 186, 2, Smoke::mf_static, 16, 62},	//80 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {20, 383, 189, 2, Smoke::mf_static, 40, 63},	//81 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {20, 377, 192, 2, Smoke::mf_static, 16, 64},	//82 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {20, 403, 140, 1, Smoke::mf_static, 372, 65},	//83 QGlobalSpace::qAlpha(unsigned int)
    {20, 383, 195, 2, Smoke::mf_static, 75, 66},	//84 QGlobalSpace::operator|(QStyle::SubControl, int)
    {20, 334, 198, 2, Smoke::mf_static, 352, 67},	//85 QGlobalSpace::operator+(QChar, const QString&)
    {20, 452, 140, 1, Smoke::mf_static, 372, 68},	//86 QGlobalSpace::qGreen(unsigned int)
    {20, 383, 201, 2, Smoke::mf_static, 35, 69},	//87 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {20, 383, 204, 2, Smoke::mf_static, 30, 70},	//88 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {20, 350, 207, 2, Smoke::mf_static, 16, 71},	//89 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {20, 350, 210, 2, Smoke::mf_static, 19, 72},	//90 QGlobalSpace::operator<<(QDebug, const QTime&)
    {20, 350, 213, 2, Smoke::mf_static, 16, 73},	//91 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {20, 350, 216, 2, Smoke::mf_static, 19, 74},	//92 QGlobalSpace::operator<<(QDebug, const QDate&)
    {20, 454, 219, 1, Smoke::mf_static, 380, 75},	//93 QGlobalSpace::qHash(const QBitArray&)
    {20, 408, 46, 1, Smoke::mf_static, 370, 76},	//94 QGlobalSpace::qAtan(double)
    {20, 525, 221, 3, Smoke::mf_static, 0, 77},	//95 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {20, 330, 225, 2, Smoke::mf_static, 106, 78},	//96 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {20, 579, 228, 3, Smoke::mf_static, 288, 79},	//97 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {20, 454, 232, 1, Smoke::mf_static, 380, 80},	//98 QGlobalSpace::qHash(const QString&)
    {20, 454, 234, 1, Smoke::mf_static, 380, 81},	//99 QGlobalSpace::qHash(unsigned short)
    {20, 491, 236, 1, Smoke::mf_static, 0, 82},	//100 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {20, 454, 238, 1, Smoke::mf_static, 380, 83},	//101 QGlobalSpace::qHash(long)
    {20, 383, 240, 2, Smoke::mf_static, 67, 84},	//102 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {20, 454, 243, 1, Smoke::mf_static, 380, 85},	//103 QGlobalSpace::qHash(long long)
    {20, 350, 245, 2, Smoke::mf_static, 19, 86},	//104 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {20, 334, 142, 2, Smoke::mf_static, 338, 87},	//105 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {20, 383, 248, 2, Smoke::mf_static, 75, 88},	//106 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {20, 350, 251, 2, Smoke::mf_static, 19, 89},	//107 QGlobalSpace::operator<<(QDebug, const QColor&)
    {20, 383, 254, 2, Smoke::mf_static, 75, 90},	//108 QGlobalSpace::operator|(Qt::DropAction, int)
    {20, 424, 46, 1, Smoke::mf_static, 370, 91},	//109 QGlobalSpace::qCos(double)
    {20, 350, 257, 2, Smoke::mf_static, 16, 92},	//110 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {20, 383, 260, 2, Smoke::mf_static, 27, 93},	//111 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {20, 532, 140, 1, Smoke::mf_static, 0, 94},	//112 QGlobalSpace::qsrand(unsigned int)
    {20, 466, 263, 1, Smoke::mf_static, 288, 95},	//113 QGlobalSpace::qIsInf(float)
    {20, 383, 265, 2, Smoke::mf_static, 55, 96},	//114 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {20, 377, 268, 2, Smoke::mf_static, 16, 97},	//115 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {20, 383, 271, 2, Smoke::mf_static, 75, 98},	//116 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {20, 350, 274, 2, Smoke::mf_static, 16, 99},	//117 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {20, 383, 277, 2, Smoke::mf_static, 75, 100},	//118 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {20, 383, 280, 2, Smoke::mf_static, 32, 101},	//119 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {20, 345, 283, 2, Smoke::mf_static, 288, 102},	//120 QGlobalSpace::operator<(const QByteArray&, const char*)
    {20, 350, 286, 2, Smoke::mf_static, 19, 103},	//121 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {20, 383, 289, 2, Smoke::mf_static, 56, 104},	//122 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {20, 383, 292, 2, Smoke::mf_static, 75, 105},	//123 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {20, 330, 295, 2, Smoke::mf_static, 79, 106},	//124 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {20, 524, 0, 0, Smoke::mf_static, 19, 107},	//125 QGlobalSpace::qWarning()
    {20, 449, 298, 3, Smoke::mf_static, 372, 108},	//126 QGlobalSpace::qGray(int, int, int)
    {20, 330, 302, 2, Smoke::mf_static, 81, 109},	//127 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {20, 383, 305, 2, Smoke::mf_static, 65, 110},	//128 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {20, 330, 308, 2, Smoke::mf_static, 96, 111},	//129 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {20, 383, 311, 2, Smoke::mf_static, 75, 112},	//130 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {20, 377, 314, 2, Smoke::mf_static, 16, 113},	//131 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {20, 350, 317, 2, Smoke::mf_static, 16, 114},	//132 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {20, 383, 320, 2, Smoke::mf_static, 75, 115},	//133 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {20, 334, 323, 2, Smoke::mf_static, 352, 116},	//134 QGlobalSpace::operator+(const QString&, const char*)
    {20, 350, 326, 2, Smoke::mf_static, 19, 117},	//135 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {20, 383, 329, 2, Smoke::mf_static, 75, 118},	//136 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {20, 350, 332, 2, Smoke::mf_static, 16, 119},	//137 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {20, 383, 335, 2, Smoke::mf_static, 58, 120},	//138 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {20, 377, 338, 2, Smoke::mf_static, 16, 121},	//139 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {20, 383, 341, 2, Smoke::mf_static, 35, 122},	//140 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {20, 383, 344, 2, Smoke::mf_static, 75, 123},	//141 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {20, 334, 347, 2, Smoke::mf_static, 293, 124},	//142 QGlobalSpace::operator+(char, const QByteArray&)
    {20, 343, 43, 2, Smoke::mf_static, 325, 125},	//143 QGlobalSpace::operator/(const QPoint&, double)
    {20, 334, 350, 2, Smoke::mf_static, 352, 126},	//144 QGlobalSpace::operator+(const char*, const QString&)
    {20, 350, 353, 2, Smoke::mf_static, 19, 127},	//145 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {20, 361, 356, 2, Smoke::mf_static, 288, 128},	//146 QGlobalSpace::operator==(const char*, const QByteArray&)
    {20, 377, 359, 2, Smoke::mf_static, 16, 129},	//147 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {20, 468, 263, 1, Smoke::mf_static, 288, 130},	//148 QGlobalSpace::qIsNaN(float)
    {20, 444, 362, 2, Smoke::mf_static, 288, 131},	//149 QGlobalSpace::qFuzzyCompare(double, double)
    {20, 470, 263, 1, Smoke::mf_static, 288, 132},	//150 QGlobalSpace::qIsNull(float)
    {20, 377, 365, 2, Smoke::mf_static, 16, 133},	//151 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {20, 377, 368, 2, Smoke::mf_static, 16, 134},	//152 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {20, 377, 371, 2, Smoke::mf_static, 16, 135},	//153 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {20, 361, 374, 2, Smoke::mf_static, 288, 136},	//154 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {20, 343, 377, 2, Smoke::mf_static, 183, 137},	//155 QGlobalSpace::operator/(const QTransform&, double)
    {20, 383, 380, 2, Smoke::mf_static, 29, 138},	//156 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {20, 354, 350, 2, Smoke::mf_static, 288, 139},	//157 QGlobalSpace::operator<=(const char*, const QString&)
    {20, 383, 383, 2, Smoke::mf_static, 44, 140},	//158 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {20, 322, 386, 2, Smoke::mf_static, 288, 141},	//159 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {20, 383, 389, 2, Smoke::mf_static, 75, 142},	//160 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {20, 383, 392, 2, Smoke::mf_static, 75, 143},	//161 QGlobalSpace::operator|(QFile::Permission, int)
    {20, 350, 395, 2, Smoke::mf_static, 19, 144},	//162 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {20, 345, 398, 2, Smoke::mf_static, 288, 145},	//163 QGlobalSpace::operator<(QChar, QChar)
    {20, 330, 401, 2, Smoke::mf_static, 96, 146},	//164 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {20, 350, 404, 2, Smoke::mf_static, 16, 147},	//165 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {20, 372, 137, 2, Smoke::mf_static, 288, 148},	//166 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {20, 551, 407, 3, Smoke::mf_static, 372, 149},	//167 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {20, 454, 411, 1, Smoke::mf_static, 380, 150},	//168 QGlobalSpace::qHash(const QByteArray&)
    {20, 383, 413, 2, Smoke::mf_static, 29, 151},	//169 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {20, 383, 416, 2, Smoke::mf_static, 75, 152},	//170 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {20, 350, 419, 2, Smoke::mf_static, 19, 153},	//171 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {20, 562, 422, 2, Smoke::mf_static, 0, 154},	//172 QGlobalSpace::qt_check_pointer(const char*, int)
    {20, 377, 425, 2, Smoke::mf_static, 16, 155},	//173 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {20, 383, 428, 2, Smoke::mf_static, 75, 156},	//174 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {20, 383, 431, 2, Smoke::mf_static, 52, 157},	//175 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {20, 377, 434, 2, Smoke::mf_static, 16, 158},	//176 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {20, 330, 437, 2, Smoke::mf_static, 327, 159},	//177 QGlobalSpace::operator*(const QPointF&, double)
    {20, 534, 145, 2, Smoke::mf_static, 372, 160},	//178 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {20, 506, 440, 1, Smoke::mf_static, 180, 161},	//179 QGlobalSpace::qSetPadChar(QChar)
    {20, 534, 283, 2, Smoke::mf_static, 372, 162},	//180 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {20, 361, 96, 2, Smoke::mf_static, 288, 163},	//181 QGlobalSpace::operator==(const QSize&, const QSize&)
    {20, 510, 0, 0, Smoke::mf_static, 288, 164},	//182 QGlobalSpace::qSharedBuild()
    {20, 383, 442, 2, Smoke::mf_static, 27, 165},	//183 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {20, 458, 445, 1, Smoke::mf_static, 386, 166},	//184 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {20, 350, 447, 2, Smoke::mf_static, 16, 167},	//185 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {20, 573, 450, 3, Smoke::mf_static, 93, 168},	//186 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {20, 361, 137, 2, Smoke::mf_static, 288, 169},	//187 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {20, 383, 454, 2, Smoke::mf_static, 63, 170},	//188 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {20, 383, 457, 2, Smoke::mf_static, 75, 171},	//189 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {20, 322, 145, 2, Smoke::mf_static, 288, 172},	//190 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {20, 383, 460, 2, Smoke::mf_static, 75, 173},	//191 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {20, 383, 463, 2, Smoke::mf_static, 39, 174},	//192 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {20, 377, 466, 2, Smoke::mf_static, 16, 175},	//193 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {20, 383, 469, 2, Smoke::mf_static, 62, 176},	//194 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {20, 343, 125, 2, Smoke::mf_static, 338, 177},	//195 QGlobalSpace::operator/(const QSizeF&, double)
    {20, 383, 472, 2, Smoke::mf_static, 63, 178},	//196 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {20, 377, 475, 2, Smoke::mf_static, 16, 179},	//197 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {20, 330, 478, 2, Smoke::mf_static, 104, 180},	//198 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {20, 367, 398, 2, Smoke::mf_static, 288, 181},	//199 QGlobalSpace::operator>(QChar, QChar)
    {20, 372, 356, 2, Smoke::mf_static, 288, 182},	//200 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {20, 442, 481, 1, Smoke::mf_static, 0, 183},	//201 QGlobalSpace::qFreeAligned(void*)
    {20, 383, 483, 2, Smoke::mf_static, 47, 184},	//202 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {20, 361, 486, 2, Smoke::mf_static, 288, 185},	//203 QGlobalSpace::operator==(const QString&, QString::Null)
    {20, 460, 263, 1, Smoke::mf_static, 372, 186},	//204 QGlobalSpace::qIntCast(float)
    {20, 345, 145, 2, Smoke::mf_static, 288, 187},	//205 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {20, 383, 489, 2, Smoke::mf_static, 49, 188},	//206 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {20, 350, 492, 2, Smoke::mf_static, 19, 189},	//207 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {20, 529, 356, 2, Smoke::mf_static, 288, 190},	//208 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {20, 383, 495, 2, Smoke::mf_static, 75, 191},	//209 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {20, 377, 498, 2, Smoke::mf_static, 16, 192},	//210 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {20, 515, 501, 2, Smoke::mf_static, 288, 193},	//211 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {20, 547, 407, 3, Smoke::mf_static, 372, 194},	//212 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {20, 339, 504, 1, Smoke::mf_static, 327, 195},	//213 QGlobalSpace::operator-(const QPointF&)
    {20, 487, 506, 4, Smoke::mf_static, 387, 196},	//214 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {20, 383, 511, 2, Smoke::mf_static, 61, 197},	//215 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {20, 350, 514, 2, Smoke::mf_static, 16, 198},	//216 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {20, 454, 517, 1, Smoke::mf_static, 380, 199},	//217 QGlobalSpace::qHash(unsigned long long)
    {20, 334, 519, 2, Smoke::mf_static, 352, 200},	//218 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {20, 383, 522, 2, Smoke::mf_static, 70, 201},	//219 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {20, 350, 525, 2, Smoke::mf_static, 19, 202},	//220 QGlobalSpace::operator<<(QDebug, const QSize&)
    {20, 330, 528, 2, Smoke::mf_static, 102, 203},	//221 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {20, 383, 531, 2, Smoke::mf_static, 61, 204},	//222 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {20, 383, 534, 2, Smoke::mf_static, 68, 205},	//223 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {20, 405, 0, 0, Smoke::mf_static, 160, 206},	//224 QGlobalSpace::qAppName()
    {20, 334, 537, 2, Smoke::mf_static, 352, 207},	//225 QGlobalSpace::operator+(const QString&, char)
    {20, 372, 386, 2, Smoke::mf_static, 288, 208},	//226 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {20, 454, 440, 1, Smoke::mf_static, 380, 209},	//227 QGlobalSpace::qHash(QChar)
    {20, 361, 157, 2, Smoke::mf_static, 288, 210},	//228 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {20, 447, 46, 1, Smoke::mf_static, 288, 211},	//229 QGlobalSpace::qFuzzyIsNull(double)
    {20, 350, 540, 2, Smoke::mf_static, 16, 212},	//230 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {20, 480, 543, 3, Smoke::mf_static, 387, 213},	//231 QGlobalSpace::qMemSet(void*, int, size_t)
    {20, 410, 362, 2, Smoke::mf_static, 370, 214},	//232 QGlobalSpace::qAtan2(double, double)
    {20, 383, 547, 2, Smoke::mf_static, 39, 215},	//233 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {20, 350, 550, 2, Smoke::mf_static, 16, 216},	//234 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {20, 377, 553, 2, Smoke::mf_static, 16, 217},	//235 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {20, 419, 556, 2, Smoke::mf_static, 9, 218},	//236 QGlobalSpace::qCompress(const QByteArray&, int)
    {20, 419, 411, 1, Smoke::mf_static, 9, 219},	//237 QGlobalSpace::qCompress(const QByteArray&)
    {20, 383, 559, 2, Smoke::mf_static, 75, 220},	//238 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {20, 383, 562, 2, Smoke::mf_static, 62, 221},	//239 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {20, 345, 356, 2, Smoke::mf_static, 288, 222},	//240 QGlobalSpace::operator<(const char*, const QByteArray&)
    {20, 401, 565, 1, Smoke::mf_static, 0, 223},	//241 QGlobalSpace::qAddPostRoutine(void(*)())
    {20, 383, 567, 2, Smoke::mf_static, 75, 224},	//242 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {20, 330, 570, 2, Smoke::mf_static, 100, 225},	//243 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {20, 383, 573, 2, Smoke::mf_static, 75, 226},	//244 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {20, 383, 576, 2, Smoke::mf_static, 75, 227},	//245 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {20, 428, 46, 1, Smoke::mf_static, 370, 228},	//246 QGlobalSpace::qExp(double)
    {20, 322, 96, 2, Smoke::mf_static, 288, 229},	//247 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {20, 383, 579, 2, Smoke::mf_static, 59, 230},	//248 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {20, 354, 283, 2, Smoke::mf_static, 288, 231},	//249 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {20, 322, 582, 2, Smoke::mf_static, 288, 232},	//250 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {20, 383, 585, 2, Smoke::mf_static, 75, 233},	//251 QGlobalSpace::operator|(QString::SectionFlag, int)
    {20, 383, 588, 2, Smoke::mf_static, 75, 234},	//252 QGlobalSpace::operator|(Qt::WindowType, int)
    {20, 383, 591, 2, Smoke::mf_static, 54, 235},	//253 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {20, 361, 594, 2, Smoke::mf_static, 288, 236},	//254 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {20, 470, 46, 1, Smoke::mf_static, 288, 237},	//255 QGlobalSpace::qIsNull(double)
    {20, 372, 597, 2, Smoke::mf_static, 288, 238},	//256 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {20, 361, 600, 2, Smoke::mf_static, 288, 239},	//257 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {20, 460, 46, 1, Smoke::mf_static, 372, 240},	//258 QGlobalSpace::qIntCast(double)
    {20, 381, 31, 2, Smoke::mf_static, 5, 241},	//259 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {20, 417, 603, 2, Smoke::mf_static, 383, 242},	//260 QGlobalSpace::qChecksum(const char*, unsigned int)
    {20, 383, 606, 2, Smoke::mf_static, 53, 243},	//261 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {20, 377, 609, 2, Smoke::mf_static, 16, 244},	//262 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {20, 350, 612, 2, Smoke::mf_static, 16, 245},	//263 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {20, 330, 377, 2, Smoke::mf_static, 183, 246},	//264 QGlobalSpace::operator*(const QTransform&, double)
    {20, 383, 615, 2, Smoke::mf_static, 75, 247},	//265 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {20, 345, 386, 2, Smoke::mf_static, 288, 248},	//266 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {20, 350, 618, 2, Smoke::mf_static, 19, 249},	//267 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {20, 383, 621, 2, Smoke::mf_static, 54, 250},	//268 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {20, 527, 624, 1, Smoke::mf_static, 9, 251},	//269 QGlobalSpace::qgetenv(const char*)
    {20, 383, 626, 2, Smoke::mf_static, 75, 252},	//270 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {20, 322, 501, 2, Smoke::mf_static, 288, 253},	//271 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {20, 377, 629, 2, Smoke::mf_static, 177, 254},	//272 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {20, 322, 356, 2, Smoke::mf_static, 288, 255},	//273 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {20, 399, 46, 1, Smoke::mf_static, 370, 256},	//274 QGlobalSpace::qAcos(double)
    {20, 383, 632, 2, Smoke::mf_static, 42, 257},	//275 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {20, 367, 386, 2, Smoke::mf_static, 288, 258},	//276 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {20, 383, 635, 2, Smoke::mf_static, 49, 259},	//277 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {20, 377, 638, 2, Smoke::mf_static, 16, 260},	//278 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {20, 350, 641, 2, Smoke::mf_static, 19, 261},	//279 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {20, 350, 644, 2, Smoke::mf_static, 16, 262},	//280 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {20, 383, 647, 2, Smoke::mf_static, 34, 263},	//281 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {20, 350, 650, 2, Smoke::mf_static, 19, 264},	//282 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {20, 549, 653, 3, Smoke::mf_static, 290, 265},	//283 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {20, 377, 657, 2, Smoke::mf_static, 16, 266},	//284 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {20, 350, 660, 2, Smoke::mf_static, 16, 267},	//285 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {20, 454, 663, 1, Smoke::mf_static, 380, 268},	//286 QGlobalSpace::qHash(const QUrl&)
    {20, 462, 263, 1, Smoke::mf_static, 288, 269},	//287 QGlobalSpace::qIsFinite(float)
    {20, 564, 665, 1, Smoke::mf_static, 160, 270},	//288 QGlobalSpace::qt_error_string(int)
    {20, 564, 0, 0, Smoke::mf_static, 160, 271},	//289 QGlobalSpace::qt_error_string()
    {20, 383, 667, 2, Smoke::mf_static, 75, 272},	//290 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {20, 485, 670, 2, Smoke::mf_static, 387, 273},	//291 QGlobalSpace::qRealloc(void*, size_t)
    {20, 334, 673, 2, Smoke::mf_static, 352, 274},	//292 QGlobalSpace::operator+(const QString&, const QString&)
    {20, 383, 676, 2, Smoke::mf_static, 75, 275},	//293 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {20, 560, 679, 4, Smoke::mf_static, 0, 276},	//294 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {20, 345, 350, 2, Smoke::mf_static, 288, 277},	//295 QGlobalSpace::operator<(const char*, const QString&)
    {20, 322, 350, 2, Smoke::mf_static, 288, 278},	//296 QGlobalSpace::operator!=(const char*, const QString&)
    {20, 322, 283, 2, Smoke::mf_static, 288, 279},	//297 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {20, 322, 684, 2, Smoke::mf_static, 288, 280},	//298 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {20, 383, 687, 2, Smoke::mf_static, 75, 281},	//299 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {20, 377, 690, 2, Smoke::mf_static, 16, 282},	//300 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {20, 367, 145, 2, Smoke::mf_static, 288, 283},	//301 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {20, 499, 46, 1, Smoke::mf_static, 372, 284},	//302 QGlobalSpace::qRound(double)
    {20, 354, 137, 2, Smoke::mf_static, 288, 285},	//303 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {20, 361, 582, 2, Smoke::mf_static, 288, 286},	//304 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {20, 350, 693, 2, Smoke::mf_static, 19, 287},	//305 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {20, 383, 31, 2, Smoke::mf_static, 5, 288},	//306 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {20, 361, 696, 2, Smoke::mf_static, 288, 289},	//307 QGlobalSpace::operator==(const char*, const QStringRef&)
    {20, 334, 356, 2, Smoke::mf_static, 293, 290},	//308 QGlobalSpace::operator+(const char*, const QByteArray&)
    {20, 377, 699, 2, Smoke::mf_static, 16, 291},	//309 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {20, 383, 702, 2, Smoke::mf_static, 75, 292},	//310 QGlobalSpace::operator|(Qt::MouseButton, int)
    {20, 383, 705, 2, Smoke::mf_static, 46, 293},	//311 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {20, 354, 386, 2, Smoke::mf_static, 288, 294},	//312 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {20, 377, 708, 2, Smoke::mf_static, 16, 295},	//313 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {20, 383, 711, 2, Smoke::mf_static, 32, 296},	//314 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {20, 383, 714, 2, Smoke::mf_static, 60, 297},	//315 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {20, 464, 140, 1, Smoke::mf_static, 288, 298},	//316 QGlobalSpace::qIsGray(unsigned int)
    {20, 383, 717, 2, Smoke::mf_static, 52, 299},	//317 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {20, 377, 720, 2, Smoke::mf_static, 16, 300},	//318 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {20, 361, 398, 2, Smoke::mf_static, 288, 301},	//319 QGlobalSpace::operator==(QChar, QChar)
    {20, 383, 723, 2, Smoke::mf_static, 66, 302},	//320 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {20, 322, 594, 2, Smoke::mf_static, 288, 303},	//321 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {20, 330, 726, 2, Smoke::mf_static, 81, 304},	//322 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {20, 322, 729, 2, Smoke::mf_static, 288, 305},	//323 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {20, 454, 732, 1, Smoke::mf_static, 380, 306},	//324 QGlobalSpace::qHash(signed char)
    {20, 350, 734, 2, Smoke::mf_static, 16, 307},	//325 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {20, 350, 737, 2, Smoke::mf_static, 16, 308},	//326 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {20, 383, 740, 2, Smoke::mf_static, 67, 309},	//327 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {20, 513, 46, 1, Smoke::mf_static, 370, 310},	//328 QGlobalSpace::qSqrt(double)
    {20, 350, 743, 2, Smoke::mf_static, 16, 311},	//329 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {20, 534, 746, 2, Smoke::mf_static, 372, 312},	//330 QGlobalSpace::qstrcmp(const char*, const char*)
    {20, 383, 749, 2, Smoke::mf_static, 43, 313},	//331 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {20, 350, 752, 2, Smoke::mf_static, 16, 314},	//332 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {20, 334, 755, 2, Smoke::mf_static, 352, 315},	//333 QGlobalSpace::operator+(char, const QString&)
    {20, 322, 148, 2, Smoke::mf_static, 288, 316},	//334 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {20, 322, 398, 2, Smoke::mf_static, 288, 317},	//335 QGlobalSpace::operator!=(QChar, QChar)
    {20, 383, 758, 2, Smoke::mf_static, 37, 318},	//336 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {20, 553, 603, 2, Smoke::mf_static, 380, 319},	//337 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {20, 361, 597, 2, Smoke::mf_static, 288, 320},	//338 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {20, 495, 298, 3, Smoke::mf_static, 380, 321},	//339 QGlobalSpace::qRgb(int, int, int)
    {20, 438, 46, 1, Smoke::mf_static, 372, 322},	//340 QGlobalSpace::qFloor(double)
    {20, 383, 761, 2, Smoke::mf_static, 69, 323},	//341 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {20, 350, 764, 2, Smoke::mf_static, 19, 324},	//342 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {20, 383, 767, 2, Smoke::mf_static, 53, 325},	//343 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {20, 361, 142, 2, Smoke::mf_static, 288, 326},	//344 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {20, 377, 770, 2, Smoke::mf_static, 16, 327},	//345 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {20, 377, 773, 2, Smoke::mf_static, 16, 328},	//346 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {20, 350, 776, 2, Smoke::mf_static, 16, 329},	//347 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {20, 361, 386, 2, Smoke::mf_static, 288, 330},	//348 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {20, 322, 779, 2, Smoke::mf_static, 288, 331},	//349 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {20, 330, 782, 2, Smoke::mf_static, 336, 332},	//350 QGlobalSpace::operator*(double, const QSize&)
    {20, 383, 785, 2, Smoke::mf_static, 34, 333},	//351 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {20, 454, 5, 1, Smoke::mf_static, 380, 334},	//352 QGlobalSpace::qHash(const QModelIndex&)
    {20, 383, 788, 2, Smoke::mf_static, 43, 335},	//353 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {20, 350, 791, 2, Smoke::mf_static, 19, 336},	//354 QGlobalSpace::operator<<(QDebug, const QLine&)
    {20, 383, 794, 2, Smoke::mf_static, 28, 337},	//355 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {20, 493, 565, 1, Smoke::mf_static, 0, 338},	//356 QGlobalSpace::qRemovePostRoutine(void(*)())
    {20, 350, 797, 2, Smoke::mf_static, 16, 339},	//357 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {20, 444, 800, 2, Smoke::mf_static, 288, 340},	//358 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {20, 383, 803, 2, Smoke::mf_static, 50, 341},	//359 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {20, 436, 624, 1, Smoke::mf_static, 367, 342},	//360 QGlobalSpace::qFlagLocation(const char*)
    {20, 478, 806, 3, Smoke::mf_static, 387, 343},	//361 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {20, 372, 283, 2, Smoke::mf_static, 288, 344},	//362 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {20, 330, 810, 2, Smoke::mf_static, 325, 345},	//363 QGlobalSpace::operator*(double, const QPoint&)
    {20, 468, 46, 1, Smoke::mf_static, 288, 346},	//364 QGlobalSpace::qIsNaN(double)
    {20, 350, 813, 2, Smoke::mf_static, 19, 347},	//365 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {20, 454, 816, 1, Smoke::mf_static, 380, 348},	//366 QGlobalSpace::qHash(short)
    {20, 457, 0, 0, Smoke::mf_static, 370, 349},	//367 QGlobalSpace::qInf()
    {20, 350, 818, 2, Smoke::mf_static, 19, 350},	//368 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {20, 350, 821, 2, Smoke::mf_static, 16, 351},	//369 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {20, 350, 824, 2, Smoke::mf_static, 16, 352},	//370 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {20, 334, 827, 2, Smoke::mf_static, 293, 353},	//371 QGlobalSpace::operator+(const QByteArray&, char)
    {20, 350, 830, 2, Smoke::mf_static, 19, 354},	//372 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {20, 343, 437, 2, Smoke::mf_static, 327, 355},	//373 QGlobalSpace::operator/(const QPointF&, double)
    {20, 520, 411, 1, Smoke::mf_static, 9, 356},	//374 QGlobalSpace::qUncompress(const QByteArray&)
    {20, 372, 398, 2, Smoke::mf_static, 288, 357},	//375 QGlobalSpace::operator>=(QChar, QChar)
    {20, 354, 145, 2, Smoke::mf_static, 288, 358},	//376 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {20, 508, 665, 1, Smoke::mf_static, 180, 359},	//377 QGlobalSpace::qSetRealNumberPrecision(int)
    {20, 350, 833, 2, Smoke::mf_static, 19, 360},	//378 QGlobalSpace::operator<<(QDebug, const QObject*)
    {20, 511, 46, 1, Smoke::mf_static, 370, 361},	//379 QGlobalSpace::qSin(double)
    {20, 406, 46, 1, Smoke::mf_static, 370, 362},	//380 QGlobalSpace::qAsin(double)
    {20, 543, 746, 2, Smoke::mf_static, 372, 363},	//381 QGlobalSpace::qstricmp(const char*, const char*)
    {20, 444, 836, 2, Smoke::mf_static, 288, 364},	//382 QGlobalSpace::qFuzzyCompare(float, float)
    {20, 377, 839, 2, Smoke::mf_static, 16, 365},	//383 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {20, 383, 842, 2, Smoke::mf_static, 31, 366},	//384 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {20, 354, 597, 2, Smoke::mf_static, 288, 367},	//385 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {20, 581, 845, 4, Smoke::mf_static, 372, 368},	//386 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {20, 383, 850, 2, Smoke::mf_static, 41, 369},	//387 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {20, 350, 853, 2, Smoke::mf_static, 16, 370},	//388 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {20, 572, 0, 0, Smoke::mf_static, 0, 371},	//389 QGlobalSpace::qt_noop()
    {20, 383, 856, 2, Smoke::mf_static, 36, 372},	//390 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {20, 367, 356, 2, Smoke::mf_static, 288, 373},	//391 QGlobalSpace::operator>(const char*, const QByteArray&)
    {20, 377, 859, 2, Smoke::mf_static, 16, 374},	//392 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {20, 504, 665, 1, Smoke::mf_static, 180, 375},	//393 QGlobalSpace::qSetFieldWidth(int)
    {20, 383, 862, 2, Smoke::mf_static, 51, 376},	//394 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {20, 350, 865, 2, Smoke::mf_static, 19, 377},	//395 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {20, 350, 868, 2, Smoke::mf_static, 16, 378},	//396 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {20, 361, 779, 2, Smoke::mf_static, 288, 379},	//397 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {20, 322, 871, 2, Smoke::mf_static, 288, 380},	//398 QGlobalSpace::operator!=(bool, QBool)
    {20, 454, 874, 1, Smoke::mf_static, 380, 381},	//399 QGlobalSpace::qHash(unsigned long)
    {20, 350, 876, 2, Smoke::mf_static, 19, 382},	//400 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {20, 330, 879, 2, Smoke::mf_static, 104, 383},	//401 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {20, 322, 882, 2, Smoke::mf_static, 288, 384},	//402 QGlobalSpace::operator!=(QBool, bool)
    {20, 383, 885, 2, Smoke::mf_static, 75, 385},	//403 QGlobalSpace::operator|(Qt::WindowState, int)
    {20, 383, 888, 2, Smoke::mf_static, 50, 386},	//404 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {20, 339, 582, 2, Smoke::mf_static, 325, 387},	//405 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {20, 472, 46, 1, Smoke::mf_static, 370, 388},	//406 QGlobalSpace::qLn(double)
    {20, 377, 891, 2, Smoke::mf_static, 16, 389},	//407 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {20, 545, 624, 1, Smoke::mf_static, 380, 390},	//408 QGlobalSpace::qstrlen(const char*)
    {20, 334, 283, 2, Smoke::mf_static, 293, 391},	//409 QGlobalSpace::operator+(const QByteArray&, const char*)
    {20, 350, 894, 2, Smoke::mf_static, 16, 392},	//410 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {20, 322, 142, 2, Smoke::mf_static, 288, 393},	//411 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {20, 354, 356, 2, Smoke::mf_static, 288, 394},	//412 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {20, 350, 897, 2, Smoke::mf_static, 16, 395},	//413 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {20, 383, 900, 2, Smoke::mf_static, 56, 396},	//414 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {20, 350, 903, 2, Smoke::mf_static, 19, 397},	//415 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {20, 361, 684, 2, Smoke::mf_static, 288, 398},	//416 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {20, 383, 906, 2, Smoke::mf_static, 38, 399},	//417 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {20, 322, 597, 2, Smoke::mf_static, 288, 400},	//418 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {20, 350, 909, 2, Smoke::mf_static, 16, 401},	//419 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {20, 383, 912, 2, Smoke::mf_static, 70, 402},	//420 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {20, 330, 915, 2, Smoke::mf_static, 336, 403},	//421 QGlobalSpace::operator*(const QSize&, double)
    {20, 361, 918, 2, Smoke::mf_static, 288, 404},	//422 QGlobalSpace::operator==(QString::Null, const QString&)
    {20, 350, 921, 2, Smoke::mf_static, 19, 405},	//423 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {20, 383, 924, 2, Smoke::mf_static, 31, 406},	//424 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {20, 383, 927, 2, Smoke::mf_static, 60, 407},	//425 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {20, 377, 930, 2, Smoke::mf_static, 16, 408},	//426 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {20, 350, 933, 2, Smoke::mf_static, 19, 409},	//427 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {20, 361, 283, 2, Smoke::mf_static, 288, 410},	//428 QGlobalSpace::operator==(const QByteArray&, const char*)
    {20, 575, 936, 5, Smoke::mf_static, 0, 411},	//429 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {20, 377, 942, 2, Smoke::mf_static, 16, 412},	//430 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {20, 383, 945, 2, Smoke::mf_static, 45, 413},	//431 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {20, 367, 350, 2, Smoke::mf_static, 288, 414},	//432 QGlobalSpace::operator>(const char*, const QString&)
    {20, 350, 948, 2, Smoke::mf_static, 16, 415},	//433 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {20, 377, 951, 2, Smoke::mf_static, 16, 416},	//434 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {20, 367, 283, 2, Smoke::mf_static, 288, 417},	//435 QGlobalSpace::operator>(const QByteArray&, const char*)
    {20, 345, 137, 2, Smoke::mf_static, 288, 418},	//436 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {20, 334, 582, 2, Smoke::mf_static, 325, 419},	//437 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {20, 350, 954, 2, Smoke::mf_static, 16, 420},	//438 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {20, 440, 481, 1, Smoke::mf_static, 0, 421},	//439 QGlobalSpace::qFree(void*)
    {20, 354, 398, 2, Smoke::mf_static, 288, 422},	//440 QGlobalSpace::operator<=(QChar, QChar)
    {20, 350, 957, 2, Smoke::mf_static, 177, 423},	//441 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {20, 454, 140, 1, Smoke::mf_static, 380, 424},	//442 QGlobalSpace::qHash(unsigned int)
    {20, 330, 960, 2, Smoke::mf_static, 111, 425},	//443 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {20, 322, 918, 2, Smoke::mf_static, 288, 426},	//444 QGlobalSpace::operator!=(QString::Null, const QString&)
    {20, 501, 46, 1, Smoke::mf_static, 374, 427},	//445 QGlobalSpace::qRound64(double)
    {20, 367, 597, 2, Smoke::mf_static, 288, 428},	//446 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {20, 383, 963, 2, Smoke::mf_static, 41, 429},	//447 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {20, 476, 966, 2, Smoke::mf_static, 387, 430},	//448 QGlobalSpace::qMallocAligned(size_t, size_t)
    {20, 383, 969, 2, Smoke::mf_static, 75, 431},	//449 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {20, 322, 486, 2, Smoke::mf_static, 288, 432},	//450 QGlobalSpace::operator!=(const QString&, QString::Null)
    {20, 419, 972, 3, Smoke::mf_static, 9, 433},	//451 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {20, 419, 976, 2, Smoke::mf_static, 9, 434},	//452 QGlobalSpace::qCompress(const unsigned char*, int)
    {20, 383, 979, 2, Smoke::mf_static, 75, 435},	//453 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {20, 350, 982, 2, Smoke::mf_static, 19, 436},	//454 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {20, 541, 624, 1, Smoke::mf_static, 290, 437},	//455 QGlobalSpace::qstrdup(const char*)
    {20, 383, 985, 2, Smoke::mf_static, 58, 438},	//456 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {20, 330, 988, 2, Smoke::mf_static, 106, 439},	//457 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {20, 427, 0, 0, Smoke::mf_static, 19, 440},	//458 QGlobalSpace::qDebug()
    {20, 339, 991, 1, Smoke::mf_static, 325, 441},	//459 QGlobalSpace::operator-(const QPoint&)
    {20, 377, 993, 2, Smoke::mf_static, 16, 442},	//460 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {20, 383, 996, 2, Smoke::mf_static, 40, 443},	//461 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {20, 534, 356, 2, Smoke::mf_static, 372, 444},	//462 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {20, 518, 46, 1, Smoke::mf_static, 370, 445},	//463 QGlobalSpace::qTan(double)
    {20, 377, 999, 2, Smoke::mf_static, 16, 446},	//464 QGlobalSpace::operator>>(QDataStream&, QString&)
    {20, 361, 145, 2, Smoke::mf_static, 288, 447},	//465 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {20, 383, 1002, 2, Smoke::mf_static, 36, 448},	//466 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {20, 350, 1005, 2, Smoke::mf_static, 16, 449},	//467 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {20, 454, 665, 1, Smoke::mf_static, 380, 450},	//468 QGlobalSpace::qHash(int)
    {20, 339, 374, 2, Smoke::mf_static, 327, 451},	//469 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {20, 345, 597, 2, Smoke::mf_static, 288, 452},	//470 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {20, 350, 1008, 2, Smoke::mf_static, 16, 453},	//471 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {20, 377, 1011, 2, Smoke::mf_static, 16, 454},	//472 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {20, 334, 377, 2, Smoke::mf_static, 183, 455},	//473 QGlobalSpace::operator+(const QTransform&, double)
    {20, 383, 1014, 2, Smoke::mf_static, 42, 456},	//474 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {20, 454, 1017, 1, Smoke::mf_static, 380, 457},	//475 QGlobalSpace::qHash(const QItemSelectionRange&)
    {20, 383, 1019, 2, Smoke::mf_static, 66, 458},	//476 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {20, 482, 362, 2, Smoke::mf_static, 370, 459},	//477 QGlobalSpace::qPow(double, double)
    {20, 361, 501, 2, Smoke::mf_static, 288, 460},	//478 QGlobalSpace::operator==(const QStringRef&, const char*)
    {20, 322, 696, 2, Smoke::mf_static, 288, 461},	//479 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {20, 377, 1022, 2, Smoke::mf_static, 16, 462},	//480 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {20, 334, 145, 2, Smoke::mf_static, 293, 463},	//481 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {20, 334, 1025, 2, Smoke::mf_static, 352, 464},	//482 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {20, 515, 323, 2, Smoke::mf_static, 288, 465},	//483 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {20, 383, 1028, 2, Smoke::mf_static, 33, 466},	//484 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {20, 377, 1031, 2, Smoke::mf_static, 16, 467},	//485 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {20, 383, 1034, 2, Smoke::mf_static, 75, 468},	//486 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {20, 566, 1037, 2, Smoke::mf_static, 0, 469},	//487 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {20, 350, 1040, 2, Smoke::mf_static, 19, 470},	//488 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {20, 383, 1043, 2, Smoke::mf_static, 75, 471},	//489 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {20, 383, 1046, 2, Smoke::mf_static, 44, 472},	//490 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {20, 361, 350, 2, Smoke::mf_static, 288, 473},	//491 QGlobalSpace::operator==(const char*, const QString&)
    {20, 350, 1049, 2, Smoke::mf_static, 19, 474},	//492 QGlobalSpace::operator<<(QDebug, const QRect&)
    {20, 432, 46, 1, Smoke::mf_static, 370, 475},	//493 QGlobalSpace::qFastCos(double)
    {20, 350, 1052, 2, Smoke::mf_static, 16, 476},	//494 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {20, 350, 1055, 2, Smoke::mf_static, 16, 477},	//495 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {20, 383, 1058, 2, Smoke::mf_static, 75, 478},	//496 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {20, 343, 915, 2, Smoke::mf_static, 336, 479},	//497 QGlobalSpace::operator/(const QSize&, double)
    {20, 377, 1061, 2, Smoke::mf_static, 16, 480},	//498 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {20, 377, 1064, 2, Smoke::mf_static, 16, 481},	//499 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {20, 361, 871, 2, Smoke::mf_static, 288, 482},	//500 QGlobalSpace::operator==(bool, QBool)
    {20, 383, 1067, 2, Smoke::mf_static, 68, 483},	//501 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {20, 383, 1070, 2, Smoke::mf_static, 75, 484},	//502 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {20, 330, 1073, 2, Smoke::mf_static, 100, 485},	//503 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {20, 383, 1076, 2, Smoke::mf_static, 75, 486},	//504 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {20, 383, 1079, 2, Smoke::mf_static, 48, 487},	//505 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {20, 372, 350, 2, Smoke::mf_static, 288, 488},	//506 QGlobalSpace::operator>=(const char*, const QString&)
    {20, 454, 1082, 1, Smoke::mf_static, 380, 489},	//507 QGlobalSpace::qHash(char)
    {20, 350, 1084, 2, Smoke::mf_static, 16, 490},	//508 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {20, 413, 140, 1, Smoke::mf_static, 372, 491},	//509 QGlobalSpace::qBlue(unsigned int)
    {20, 377, 1087, 2, Smoke::mf_static, 16, 492},	//510 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {20, 322, 374, 2, Smoke::mf_static, 288, 493},	//511 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {20, 462, 46, 1, Smoke::mf_static, 288, 494},	//512 QGlobalSpace::qIsFinite(double)
    {20, 383, 1090, 2, Smoke::mf_static, 59, 495},	//513 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {20, 339, 96, 2, Smoke::mf_static, 336, 496},	//514 QGlobalSpace::operator-(const QSize&, const QSize&)
    {20, 503, 0, 0, Smoke::mf_static, 370, 497},	//515 QGlobalSpace::qSNaN()
    {20, 383, 1093, 2, Smoke::mf_static, 45, 498},	//516 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {20, 447, 263, 1, Smoke::mf_static, 288, 499},	//517 QGlobalSpace::qFuzzyIsNull(float)
    {20, 383, 1096, 2, Smoke::mf_static, 57, 500},	//518 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {20, 520, 976, 2, Smoke::mf_static, 9, 501},	//519 QGlobalSpace::qUncompress(const unsigned char*, int)
    {20, 383, 1099, 2, Smoke::mf_static, 57, 502},	//520 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {20, 383, 1102, 2, Smoke::mf_static, 75, 503},	//521 QGlobalSpace::operator|(Qt::Orientation, int)
    {20, 434, 46, 1, Smoke::mf_static, 370, 504},	//522 QGlobalSpace::qFastSin(double)
    {20, 322, 137, 2, Smoke::mf_static, 288, 505},	//523 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {20, 350, 1105, 2, Smoke::mf_static, 19, 506},	//524 QGlobalSpace::operator<<(QDebug, const QDir&)
    {20, 334, 374, 2, Smoke::mf_static, 327, 507},	//525 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {20, 330, 1108, 2, Smoke::mf_static, 111, 508},	//526 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {20, 361, 882, 2, Smoke::mf_static, 288, 509},	//527 QGlobalSpace::operator==(QBool, bool)
    {20, 361, 93, 2, Smoke::mf_static, 288, 510},	//528 QGlobalSpace::operator==(const QRect&, const QRect&)
    {20, 350, 1111, 2, Smoke::mf_static, 19, 511},	//529 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {20, 555, 422, 2, Smoke::mf_static, 160, 512},	//530 QGlobalSpace::qtTrId(const char*, int)
    {20, 555, 624, 1, Smoke::mf_static, 160, 513},	//531 QGlobalSpace::qtTrId(const char*)
    {20, 377, 1114, 2, Smoke::mf_static, 16, 514},	//532 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {20, 383, 1117, 2, Smoke::mf_static, 37, 515},	//533 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {20, 334, 1120, 2, Smoke::mf_static, 352, 516},	//534 QGlobalSpace::operator+(const QString&, QChar)
    {20, 412, 0, 0, Smoke::mf_static, 0, 517},	//535 QGlobalSpace::qBadAlloc()
    {20, 322, 174, 2, Smoke::mf_static, 288, 518},	//536 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {20, 497, 1123, 4, Smoke::mf_static, 380, 519},	//537 QGlobalSpace::qRgba(int, int, int, int)
    {20, 383, 1128, 2, Smoke::mf_static, 65, 520},	//538 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {20, 383, 1131, 2, Smoke::mf_static, 48, 521},	//539 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {20, 322, 160, 2, Smoke::mf_static, 288, 522},	//540 QGlobalSpace::operator!=(QBool, QBool)
    {20, 350, 629, 2, Smoke::mf_static, 177, 523},	//541 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {20, 474, 1134, 1, Smoke::mf_static, 387, 524},	//542 QGlobalSpace::qMalloc(size_t)
    {20, 350, 1136, 2, Smoke::mf_static, 19, 525},	//543 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {20, 361, 729, 2, Smoke::mf_static, 288, 526},	//544 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {20, 339, 377, 2, Smoke::mf_static, 183, 527},	//545 QGlobalSpace::operator-(const QTransform&, double)
    {20, 383, 1139, 2, Smoke::mf_static, 38, 528},	//546 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {20, 350, 1142, 2, Smoke::mf_static, 16, 529},	//547 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {20, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 530},	//548 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {20, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 531},	//549 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {20, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 532},	//550 QGlobalSpace::Q_STATIC_TYPE (enum)
    {20, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 533},	//551 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {20, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 534},	//552 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {20, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 535},	//553 QGlobalSpace::LicensedXml (enum)
    {20, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 536},	//554 QGlobalSpace::QtDebugMsg (enum)
    {20, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 537},	//555 QGlobalSpace::QtWarningMsg (enum)
    {20, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 538},	//556 QGlobalSpace::QtCriticalMsg (enum)
    {20, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 539},	//557 QGlobalSpace::QtFatalMsg (enum)
    {20, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 540},	//558 QGlobalSpace::QtSystemMsg (enum)
    {20, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 541},	//559 QGlobalSpace::LicensedOpenGL (enum)
    {20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 542},	//560 QGlobalSpace::LicensedQt3Support (enum)
    {20, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 543},	//561 QGlobalSpace::LicensedOpenVG (enum)
    {20, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 544},	//562 QGlobalSpace::LicensedNetwork (enum)
    {20, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 545},	//563 QGlobalSpace::LicensedSql (enum)
    {20, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 546},	//564 QGlobalSpace::LicensedCore (enum)
    {20, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 547},	//565 QGlobalSpace::LicensedSvg (enum)
    {20, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 548},	//566 QGlobalSpace::LicensedXmlPatterns (enum)
    {20, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 549},	//567 QGlobalSpace::LicensedGui (enum)
    {20, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 550},	//568 QGlobalSpace::LicensedDeclarative (enum)
    {20, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 551},	//569 QGlobalSpace::LicensedActiveQt (enum)
    {20, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 552},	//570 QGlobalSpace::LicensedDBus (enum)
    {20, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 285, 553},	//571 QGlobalSpace::LicensedTest (enum)
    {20, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 554},	//572 QGlobalSpace::LicensedScriptTools (enum)
    {20, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 555},	//573 QGlobalSpace::LicensedQt3SupportLight (enum)
    {20, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 556},	//574 QGlobalSpace::LicensedScript (enum)
    {20, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 557},	//575 QGlobalSpace::LicensedMultimedia (enum)
    {20, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 558},	//576 QGlobalSpace::LicensedHelp (enum)
    {25, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 0},	//577 QItemDelegate::metaObject() const
    {25, 570, 624, 1, Smoke::mf_virtual, 387, 0},	//578 QItemDelegate::qt_metacast(const char*)
    {25, 568, 1145, 3, Smoke::mf_virtual, 372, 0},	//579 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {25, 387, 1149, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//580 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 720, 1153, 2, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//581 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 760, 1156, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//582 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {25, 207, 1160, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {25, 206, 1165, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {25, 208, 1170, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {25, 205, 1174, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {25, 219, 1179, 2, Smoke::mf_protected|Smoke::mf_virtual, 288, 0},	//587 QItemDelegate::eventFilter(QObject*, QEvent*)
    {25, 215, 1182, 4, Smoke::mf_protected|Smoke::mf_virtual, 288, 0},	//588 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {37, 218, 1187, 1, Smoke::mf_virtual, 288, 0},	//589 QObject::event(QEvent*)
    {37, 219, 1179, 2, Smoke::mf_virtual, 288, 0},	//590 QObject::eventFilter(QObject*, QEvent*)
    {37, 744, 1189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QObject::timerEvent(QTimerEvent*)
    {37, 164, 1191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QObject::childEvent(QChildEvent*)
    {37, 188, 1187, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QObject::customEvent(QEvent*)
    {37, 174, 624, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QObject::connectNotify(const char*)
    {37, 203, 624, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QObject::disconnectNotify(const char*)
    {54, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 1},	//596 QSql::LowPrecisionInt32 (enum)
    {54, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 2},	//597 QSql::LowPrecisionInt64 (enum)
    {54, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 3},	//598 QSql::LowPrecisionDouble (enum)
    {54, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 4},	//599 QSql::HighPrecision (enum)
    {54, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 5},	//600 QSql::Tables (enum)
    {54, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 6},	//601 QSql::SystemTables (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 7},	//602 QSql::Views (enum)
    {54, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 8},	//603 QSql::AllTables (enum)
    {54, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 9},	//604 QSql::In (enum)
    {54, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 10},	//605 QSql::Out (enum)
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 11},	//606 QSql::InOut (enum)
    {54, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 12},	//607 QSql::Binary (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 13},	//608 QSql::BeforeFirstRow (enum)
    {54, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 14},	//609 QSql::AfterLastRow (enum)
    {55, 55, 0, 0, Smoke::mf_ctor, 124, 1},	//610 QSqlDatabase::QSqlDatabase()
    {55, 55, 1193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//611 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {55, 359, 1193, 1, 0, 123, 3},	//612 QSqlDatabase::operator=(const QSqlDatabase&)
    {55, 315, 0, 0, 0, 288, 4},	//613 QSqlDatabase::open()
    {55, 315, 673, 2, 0, 288, 5},	//614 QSqlDatabase::open(const QString&, const QString&)
    {55, 169, 0, 0, 0, 0, 6},	//615 QSqlDatabase::close()
    {55, 291, 0, 0, Smoke::mf_const, 288, 7},	//616 QSqlDatabase::isOpen() const
    {55, 292, 0, 0, Smoke::mf_const, 288, 8},	//617 QSqlDatabase::isOpenError() const
    {55, 741, 1195, 1, Smoke::mf_const, 164, 9},	//618 QSqlDatabase::tables(QSql::TableType) const
    {55, 394, 232, 1, Smoke::mf_const, 140, 10},	//619 QSqlDatabase::primaryIndex(const QString&) const
    {55, 583, 232, 1, Smoke::mf_const, 148, 11},	//620 QSqlDatabase::record(const QString&) const
    {55, 220, 232, 1, Smoke::mf_const, 143, 12},	//621 QSqlDatabase::exec(const QString&) const
    {55, 299, 0, 0, Smoke::mf_const, 132, 13},	//622 QSqlDatabase::lastError() const
    {55, 295, 0, 0, Smoke::mf_const, 288, 14},	//623 QSqlDatabase::isValid() const
    {55, 753, 0, 0, 0, 288, 15},	//624 QSqlDatabase::transaction()
    {55, 172, 0, 0, 0, 288, 16},	//625 QSqlDatabase::commit()
    {55, 611, 0, 0, 0, 288, 17},	//626 QSqlDatabase::rollback()
    {55, 635, 232, 1, 0, 0, 18},	//627 QSqlDatabase::setDatabaseName(const QString&)
    {55, 714, 232, 1, 0, 0, 19},	//628 QSqlDatabase::setUserName(const QString&)
    {55, 682, 232, 1, 0, 0, 20},	//629 QSqlDatabase::setPassword(const QString&)
    {55, 661, 232, 1, 0, 0, 21},	//630 QSqlDatabase::setHostName(const QString&)
    {55, 684, 665, 1, 0, 0, 22},	//631 QSqlDatabase::setPort(int)
    {55, 628, 232, 1, 0, 0, 23},	//632 QSqlDatabase::setConnectOptions(const QString&)
    {55, 196, 0, 0, Smoke::mf_const, 160, 24},	//633 QSqlDatabase::databaseName() const
    {55, 763, 0, 0, Smoke::mf_const, 160, 25},	//634 QSqlDatabase::userName() const
    {55, 388, 0, 0, Smoke::mf_const, 160, 26},	//635 QSqlDatabase::password() const
    {55, 254, 0, 0, Smoke::mf_const, 160, 27},	//636 QSqlDatabase::hostName() const
    {55, 210, 0, 0, Smoke::mf_const, 160, 28},	//637 QSqlDatabase::driverName() const
    {55, 389, 0, 0, Smoke::mf_const, 372, 29},	//638 QSqlDatabase::port() const
    {55, 175, 0, 0, Smoke::mf_const, 160, 30},	//639 QSqlDatabase::connectOptions() const
    {55, 176, 0, 0, Smoke::mf_const, 160, 31},	//640 QSqlDatabase::connectionName() const
    {55, 676, 1197, 1, 0, 0, 32},	//641 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {55, 314, 0, 0, Smoke::mf_const, 119, 33},	//642 QSqlDatabase::numericalPrecisionPolicy() const
    {55, 209, 0, 0, Smoke::mf_const, 125, 34},	//643 QSqlDatabase::driver() const
    {55, 133, 673, 2, Smoke::mf_static, 122, 35},	//644 QSqlDatabase::addDatabase(const QString&, const QString&)
    {55, 133, 1199, 2, Smoke::mf_static, 122, 36},	//645 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {55, 167, 1202, 2, Smoke::mf_static, 122, 37},	//646 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {55, 193, 1205, 2, Smoke::mf_static, 122, 38},	//647 QSqlDatabase::database(const QString&, bool)
    {55, 596, 232, 1, Smoke::mf_static, 0, 39},	//648 QSqlDatabase::removeDatabase(const QString&)
    {55, 178, 232, 1, Smoke::mf_static, 288, 40},	//649 QSqlDatabase::contains(const QString&)
    {55, 212, 0, 0, Smoke::mf_static, 164, 41},	//650 QSqlDatabase::drivers()
    {55, 177, 0, 0, Smoke::mf_static, 164, 42},	//651 QSqlDatabase::connectionNames()
    {55, 585, 1208, 2, Smoke::mf_static, 0, 43},	//652 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {55, 279, 232, 1, Smoke::mf_static, 288, 44},	//653 QSqlDatabase::isDriverAvailable(const QString&)
    {55, 55, 232, 1, Smoke::mf_ctor|Smoke::mf_protected, 124, 45},	//654 QSqlDatabase::QSqlDatabase(const QString&)
    {55, 55, 1211, 1, Smoke::mf_ctor|Smoke::mf_protected, 124, 46},	//655 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {55, 741, 0, 0, Smoke::mf_const, 164, 47},	//656 QSqlDatabase::tables() const
    {55, 220, 0, 0, Smoke::mf_const, 143, 48},	//657 QSqlDatabase::exec() const
    {55, 628, 0, 0, 0, 0, 49},	//658 QSqlDatabase::setConnectOptions()
    {55, 133, 232, 1, Smoke::mf_static, 122, 50},	//659 QSqlDatabase::addDatabase(const QString&)
    {55, 133, 1211, 1, Smoke::mf_static, 122, 51},	//660 QSqlDatabase::addDatabase(QSqlDriver*)
    {55, 193, 0, 0, Smoke::mf_static, 122, 52},	//661 QSqlDatabase::database()
    {55, 193, 232, 1, Smoke::mf_static, 122, 53},	//662 QSqlDatabase::database(const QString&)
    {55, 178, 0, 0, Smoke::mf_static, 288, 54},	//663 QSqlDatabase::contains()
    {55, 198, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 367, 55},	//664 QSqlDatabase::defaultConnection() const
    {55, 639, 624, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//665 QSqlDatabase::setDefaultConnection(const char*)
    {55, 768, 0, 0, Smoke::mf_dtor, 0, 57 },	//666 QSqlDatabase::~QSqlDatabase()
    {56, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 1},	//667 QSqlDriver::metaObject() const
    {56, 570, 624, 1, Smoke::mf_virtual, 387, 2},	//668 QSqlDriver::qt_metacast(const char*)
    {56, 745, 746, 2, Smoke::mf_static, 160, 3},	//669 QSqlDriver::tr(const char*, const char*)
    {56, 749, 746, 2, Smoke::mf_static, 160, 4},	//670 QSqlDriver::trUtf8(const char*, const char*)
    {56, 745, 39, 3, Smoke::mf_static, 160, 5},	//671 QSqlDriver::tr(const char*, const char*, int)
    {56, 749, 39, 3, Smoke::mf_static, 160, 6},	//672 QSqlDriver::trUtf8(const char*, const char*, int)
    {56, 568, 1145, 3, Smoke::mf_virtual, 372, 7},	//673 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {56, 58, 1213, 1, Smoke::mf_ctor, 125, 8},	//674 QSqlDriver::QSqlDriver(QObject*)
    {56, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 288, 9},	//675 QSqlDriver::isOpen() const
    {56, 292, 0, 0, Smoke::mf_const, 288, 10},	//676 QSqlDriver::isOpenError() const
    {56, 148, 0, 0, Smoke::mf_virtual, 288, 11},	//677 QSqlDriver::beginTransaction()
    {56, 173, 0, 0, Smoke::mf_virtual, 288, 12},	//678 QSqlDriver::commitTransaction()
    {56, 612, 0, 0, Smoke::mf_virtual, 288, 13},	//679 QSqlDriver::rollbackTransaction()
    {56, 741, 1195, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 14},	//680 QSqlDriver::tables(QSql::TableType) const
    {56, 394, 232, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 15},	//681 QSqlDriver::primaryIndex(const QString&) const
    {56, 583, 232, 1, Smoke::mf_const|Smoke::mf_virtual, 148, 16},	//682 QSqlDriver::record(const QString&) const
    {56, 244, 1215, 2, Smoke::mf_const|Smoke::mf_virtual, 160, 17},	//683 QSqlDriver::formatValue(const QSqlField&, bool) const
    {56, 216, 1218, 2, Smoke::mf_const|Smoke::mf_virtual, 160, 18},	//684 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {56, 724, 1221, 4, Smoke::mf_const|Smoke::mf_virtual, 160, 19},	//685 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {56, 299, 0, 0, Smoke::mf_const, 132, 20},	//686 QSqlDriver::lastError() const
    {56, 247, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 21},	//687 QSqlDriver::handle() const
    {56, 248, 1226, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 22},	//688 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {56, 169, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//689 QSqlDriver::close() [pure virtual]
    {56, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 24},	//690 QSqlDriver::createResult() const [pure virtual]
    {56, 315, 1228, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 25},	//691 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {56, 733, 232, 1, 0, 288, 26},	//692 QSqlDriver::subscribeToNotification(const QString&)
    {56, 756, 232, 1, 0, 288, 27},	//693 QSqlDriver::unsubscribeFromNotification(const QString&)
    {56, 737, 0, 0, Smoke::mf_const, 164, 28},	//694 QSqlDriver::subscribedToNotifications() const
    {56, 285, 1218, 2, Smoke::mf_const, 288, 29},	//695 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {56, 727, 1218, 2, Smoke::mf_const, 160, 30},	//696 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {56, 676, 1197, 1, 0, 0, 31},	//697 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {56, 314, 0, 0, Smoke::mf_const, 119, 32},	//698 QSqlDriver::numericalPrecisionPolicy() const
    {56, 310, 232, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//699 QSqlDriver::notification(const QString&)
    {56, 678, 1235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//700 QSqlDriver::setOpen(bool)
    {56, 680, 1235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//701 QSqlDriver::setOpenError(bool)
    {56, 664, 1237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//702 QSqlDriver::setLastError(const QSqlError&)
    {56, 735, 232, 1, Smoke::mf_protected|Smoke::mf_slot, 288, 37},	//703 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {56, 758, 232, 1, Smoke::mf_protected|Smoke::mf_slot, 288, 38},	//704 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {56, 738, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 164, 39},	//705 QSqlDriver::subscribedToNotificationsImplementation() const
    {56, 287, 1218, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 288, 40},	//706 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {56, 729, 1218, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 160, 41},	//707 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {56, 745, 624, 1, Smoke::mf_static, 160, 42},	//708 QSqlDriver::tr(const char*)
    {56, 749, 624, 1, Smoke::mf_static, 160, 43},	//709 QSqlDriver::trUtf8(const char*)
    {56, 58, 0, 0, Smoke::mf_ctor, 125, 44},	//710 QSqlDriver::QSqlDriver()
    {56, 244, 1239, 1, Smoke::mf_const, 160, 45},	//711 QSqlDriver::formatValue(const QSqlField&) const
    {56, 315, 232, 1, 0, 288, 46},	//712 QSqlDriver::open(const QString&)
    {56, 315, 673, 2, 0, 288, 47},	//713 QSqlDriver::open(const QString&, const QString&)
    {56, 315, 1241, 3, 0, 288, 48},	//714 QSqlDriver::open(const QString&, const QString&, const QString&)
    {56, 315, 1245, 4, 0, 288, 49},	//715 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {56, 315, 1250, 5, 0, 288, 50},	//716 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {56, 726, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 316, 51},	//717 QSqlDriver::staticMetaObject() const
    {56, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//718 QSqlDriver::Transactions (enum)
    {56, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 53},	//719 QSqlDriver::QuerySize (enum)
    {56, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 54},	//720 QSqlDriver::BLOB (enum)
    {56, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 55},	//721 QSqlDriver::Unicode (enum)
    {56, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 56},	//722 QSqlDriver::PreparedQueries (enum)
    {56, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 57},	//723 QSqlDriver::NamedPlaceholders (enum)
    {56, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 58},	//724 QSqlDriver::PositionalPlaceholders (enum)
    {56, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 59},	//725 QSqlDriver::LastInsertId (enum)
    {56, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 60},	//726 QSqlDriver::BatchOperations (enum)
    {56, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 61},	//727 QSqlDriver::SimpleLocking (enum)
    {56, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 62},	//728 QSqlDriver::LowPrecisionNumbers (enum)
    {56, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//729 QSqlDriver::EventNotifications (enum)
    {56, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//730 QSqlDriver::FinishQuery (enum)
    {56, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//731 QSqlDriver::MultipleResultSets (enum)
    {56, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 66},	//732 QSqlDriver::WhereStatement (enum)
    {56, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 67},	//733 QSqlDriver::SelectStatement (enum)
    {56, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 68},	//734 QSqlDriver::UpdateStatement (enum)
    {56, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 69},	//735 QSqlDriver::InsertStatement (enum)
    {56, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 70},	//736 QSqlDriver::DeleteStatement (enum)
    {56, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//737 QSqlDriver::FieldName (enum)
    {56, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 72},	//738 QSqlDriver::TableName (enum)
    {56, 769, 0, 0, Smoke::mf_dtor, 0, 73 },	//739 QSqlDriver::~QSqlDriver()
    {57, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 1},	//740 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {57, 60, 0, 0, Smoke::mf_ctor, 129, 2},	//741 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {57, 60, 1256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 3},	//742 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {57, 770, 0, 0, Smoke::mf_dtor, 0, 4 },	//743 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {58, 181, 232, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 1},	//744 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {58, 62, 0, 0, Smoke::mf_ctor, 130, 2},	//745 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {58, 62, 1258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 3},	//746 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {58, 771, 0, 0, Smoke::mf_dtor, 0, 4 },	//747 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {59, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 1},	//748 QSqlDriverPlugin::metaObject() const
    {59, 570, 624, 1, Smoke::mf_virtual, 387, 2},	//749 QSqlDriverPlugin::qt_metacast(const char*)
    {59, 745, 746, 2, Smoke::mf_static, 160, 3},	//750 QSqlDriverPlugin::tr(const char*, const char*)
    {59, 749, 746, 2, Smoke::mf_static, 160, 4},	//751 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {59, 745, 39, 3, Smoke::mf_static, 160, 5},	//752 QSqlDriverPlugin::tr(const char*, const char*, int)
    {59, 749, 39, 3, Smoke::mf_static, 160, 6},	//753 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {59, 568, 1145, 3, Smoke::mf_virtual, 372, 7},	//754 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {59, 64, 1213, 1, Smoke::mf_ctor, 131, 8},	//755 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {59, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 9},	//756 QSqlDriverPlugin::keys() const [pure virtual]
    {59, 181, 232, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 10},	//757 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {59, 745, 624, 1, Smoke::mf_static, 160, 11},	//758 QSqlDriverPlugin::tr(const char*)
    {59, 749, 624, 1, Smoke::mf_static, 160, 12},	//759 QSqlDriverPlugin::trUtf8(const char*)
    {59, 64, 0, 0, Smoke::mf_ctor, 131, 13},	//760 QSqlDriverPlugin::QSqlDriverPlugin()
    {59, 726, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 316, 14},	//761 QSqlDriverPlugin::staticMetaObject() const
    {59, 772, 0, 0, Smoke::mf_dtor, 0, 15 },	//762 QSqlDriverPlugin::~QSqlDriverPlugin()
    {60, 66, 1260, 4, Smoke::mf_ctor, 134, 1},	//763 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {60, 66, 1237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//764 QSqlError::QSqlError(const QSqlError&)
    {60, 359, 1237, 1, 0, 133, 3},	//765 QSqlError::operator=(const QSqlError&)
    {60, 211, 0, 0, Smoke::mf_const, 160, 4},	//766 QSqlError::driverText() const
    {60, 645, 232, 1, 0, 0, 5},	//767 QSqlError::setDriverText(const QString&)
    {60, 197, 0, 0, Smoke::mf_const, 160, 6},	//768 QSqlError::databaseText() const
    {60, 637, 232, 1, 0, 0, 7},	//769 QSqlError::setDatabaseText(const QString&)
    {60, 754, 0, 0, Smoke::mf_const, 135, 8},	//770 QSqlError::type() const
    {60, 712, 1265, 1, 0, 0, 9},	//771 QSqlError::setType(QSqlError::ErrorType)
    {60, 313, 0, 0, Smoke::mf_const, 372, 10},	//772 QSqlError::number() const
    {60, 674, 665, 1, 0, 0, 11},	//773 QSqlError::setNumber(int)
    {60, 743, 0, 0, Smoke::mf_const, 160, 12},	//774 QSqlError::text() const
    {60, 295, 0, 0, Smoke::mf_const, 288, 13},	//775 QSqlError::isValid() const
    {60, 66, 0, 0, Smoke::mf_ctor, 134, 14},	//776 QSqlError::QSqlError()
    {60, 66, 232, 1, Smoke::mf_ctor, 134, 15},	//777 QSqlError::QSqlError(const QString&)
    {60, 66, 673, 2, Smoke::mf_ctor, 134, 16},	//778 QSqlError::QSqlError(const QString&, const QString&)
    {60, 66, 1267, 3, Smoke::mf_ctor, 134, 17},	//779 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {60, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//780 QSqlError::NoError (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//781 QSqlError::ConnectionError (enum)
    {60, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 20},	//782 QSqlError::StatementError (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 21},	//783 QSqlError::TransactionError (enum)
    {60, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 22},	//784 QSqlError::UnknownError (enum)
    {60, 773, 0, 0, Smoke::mf_dtor, 0, 23 },	//785 QSqlError::~QSqlError()
    {61, 72, 1271, 2, Smoke::mf_ctor, 138, 1},	//786 QSqlField::QSqlField(const QString&, QVariant::Type)
    {61, 72, 1239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//787 QSqlField::QSqlField(const QSqlField&)
    {61, 359, 1239, 1, 0, 137, 3},	//788 QSqlField::operator=(const QSqlField&)
    {61, 361, 1239, 1, Smoke::mf_const, 288, 4},	//789 QSqlField::operator==(const QSqlField&) const
    {61, 322, 1239, 1, Smoke::mf_const, 288, 5},	//790 QSqlField::operator!=(const QSqlField&) const
    {61, 716, 1274, 1, 0, 0, 6},	//791 QSqlField::setValue(const QVariant&)
    {61, 764, 0, 0, Smoke::mf_const, 188, 7},	//792 QSqlField::value() const
    {61, 670, 232, 1, 0, 0, 8},	//793 QSqlField::setName(const QString&)
    {61, 307, 0, 0, Smoke::mf_const, 160, 9},	//794 QSqlField::name() const
    {61, 289, 0, 0, Smoke::mf_const, 288, 10},	//795 QSqlField::isNull() const
    {61, 694, 1235, 1, 0, 0, 11},	//796 QSqlField::setReadOnly(bool)
    {61, 293, 0, 0, Smoke::mf_const, 288, 12},	//797 QSqlField::isReadOnly() const
    {61, 165, 0, 0, 0, 0, 13},	//798 QSqlField::clear()
    {61, 754, 0, 0, Smoke::mf_const, 190, 14},	//799 QSqlField::type() const
    {61, 274, 0, 0, Smoke::mf_const, 288, 15},	//800 QSqlField::isAutoValue() const
    {61, 712, 1276, 1, 0, 0, 16},	//801 QSqlField::setType(QVariant::Type)
    {61, 702, 1278, 1, 0, 0, 17},	//802 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {61, 700, 1235, 1, 0, 0, 18},	//803 QSqlField::setRequired(bool)
    {61, 666, 665, 1, 0, 0, 19},	//804 QSqlField::setLength(int)
    {61, 686, 665, 1, 0, 0, 20},	//805 QSqlField::setPrecision(int)
    {61, 641, 1274, 1, 0, 0, 21},	//806 QSqlField::setDefaultValue(const QVariant&)
    {61, 708, 665, 1, 0, 0, 22},	//807 QSqlField::setSqlType(int)
    {61, 655, 1235, 1, 0, 0, 23},	//808 QSqlField::setGenerated(bool)
    {61, 626, 1235, 1, 0, 0, 24},	//809 QSqlField::setAutoValue(bool)
    {61, 603, 0, 0, Smoke::mf_const, 139, 25},	//810 QSqlField::requiredStatus() const
    {61, 302, 0, 0, Smoke::mf_const, 372, 26},	//811 QSqlField::length() const
    {61, 390, 0, 0, Smoke::mf_const, 372, 27},	//812 QSqlField::precision() const
    {61, 199, 0, 0, Smoke::mf_const, 188, 28},	//813 QSqlField::defaultValue() const
    {61, 755, 0, 0, Smoke::mf_const, 372, 29},	//814 QSqlField::typeID() const
    {61, 283, 0, 0, Smoke::mf_const, 288, 30},	//815 QSqlField::isGenerated() const
    {61, 295, 0, 0, Smoke::mf_const, 288, 31},	//816 QSqlField::isValid() const
    {61, 72, 0, 0, Smoke::mf_ctor, 138, 32},	//817 QSqlField::QSqlField()
    {61, 72, 232, 1, Smoke::mf_ctor, 138, 33},	//818 QSqlField::QSqlField(const QString&)
    {61, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 34},	//819 QSqlField::Unknown (enum)
    {61, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 35},	//820 QSqlField::Optional (enum)
    {61, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 36},	//821 QSqlField::Required (enum)
    {61, 774, 0, 0, Smoke::mf_dtor, 0, 37 },	//822 QSqlField::~QSqlField()
    {62, 76, 673, 2, Smoke::mf_ctor, 142, 1},	//823 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {62, 76, 1280, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//824 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {62, 359, 1280, 1, 0, 141, 3},	//825 QSqlIndex::operator=(const QSqlIndex&)
    {62, 630, 232, 1, 0, 0, 4},	//826 QSqlIndex::setCursorName(const QString&)
    {62, 187, 0, 0, Smoke::mf_const, 160, 5},	//827 QSqlIndex::cursorName() const
    {62, 670, 232, 1, 0, 0, 6},	//828 QSqlIndex::setName(const QString&)
    {62, 307, 0, 0, Smoke::mf_const, 160, 7},	//829 QSqlIndex::name() const
    {62, 138, 1239, 1, 0, 0, 8},	//830 QSqlIndex::append(const QSqlField&)
    {62, 138, 1215, 2, 0, 0, 9},	//831 QSqlIndex::append(const QSqlField&, bool)
    {62, 275, 665, 1, Smoke::mf_const, 288, 10},	//832 QSqlIndex::isDescending(int) const
    {62, 643, 1282, 2, 0, 0, 11},	//833 QSqlIndex::setDescending(int, bool)
    {62, 76, 0, 0, Smoke::mf_ctor, 142, 12},	//834 QSqlIndex::QSqlIndex()
    {62, 76, 232, 1, Smoke::mf_ctor, 142, 13},	//835 QSqlIndex::QSqlIndex(const QString&)
    {62, 775, 0, 0, Smoke::mf_dtor, 0, 14 },	//836 QSqlIndex::~QSqlIndex()
    {63, 80, 1285, 1, Smoke::mf_ctor, 145, 1},	//837 QSqlQuery::QSqlQuery(QSqlResult*)
    {63, 80, 1287, 2, Smoke::mf_ctor, 145, 2},	//838 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {63, 80, 1290, 1, Smoke::mf_ctor, 145, 3},	//839 QSqlQuery::QSqlQuery(QSqlDatabase)
    {63, 80, 1292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 4},	//840 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {63, 359, 1292, 1, 0, 144, 5},	//841 QSqlQuery::operator=(const QSqlQuery&)
    {63, 295, 0, 0, Smoke::mf_const, 288, 6},	//842 QSqlQuery::isValid() const
    {63, 273, 0, 0, Smoke::mf_const, 288, 7},	//843 QSqlQuery::isActive() const
    {63, 289, 665, 1, Smoke::mf_const, 288, 8},	//844 QSqlQuery::isNull(int) const
    {63, 141, 0, 0, Smoke::mf_const, 372, 9},	//845 QSqlQuery::at() const
    {63, 301, 0, 0, Smoke::mf_const, 160, 10},	//846 QSqlQuery::lastQuery() const
    {63, 312, 0, 0, Smoke::mf_const, 372, 11},	//847 QSqlQuery::numRowsAffected() const
    {63, 299, 0, 0, Smoke::mf_const, 132, 12},	//848 QSqlQuery::lastError() const
    {63, 294, 0, 0, Smoke::mf_const, 288, 13},	//849 QSqlQuery::isSelect() const
    {63, 719, 0, 0, Smoke::mf_const, 372, 14},	//850 QSqlQuery::size() const
    {63, 209, 0, 0, Smoke::mf_const, 342, 15},	//851 QSqlQuery::driver() const
    {63, 606, 0, 0, Smoke::mf_const, 351, 16},	//852 QSqlQuery::result() const
    {63, 282, 0, 0, Smoke::mf_const, 288, 17},	//853 QSqlQuery::isForwardOnly() const
    {63, 583, 0, 0, Smoke::mf_const, 148, 18},	//854 QSqlQuery::record() const
    {63, 653, 1235, 1, 0, 0, 19},	//855 QSqlQuery::setForwardOnly(bool)
    {63, 220, 232, 1, 0, 288, 20},	//856 QSqlQuery::exec(const QString&)
    {63, 764, 665, 1, Smoke::mf_const, 188, 21},	//857 QSqlQuery::value(int) const
    {63, 676, 1197, 1, 0, 0, 22},	//858 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {63, 314, 0, 0, Smoke::mf_const, 119, 23},	//859 QSqlQuery::numericalPrecisionPolicy() const
    {63, 617, 1282, 2, 0, 288, 24},	//860 QSqlQuery::seek(int, bool)
    {63, 308, 0, 0, 0, 288, 25},	//861 QSqlQuery::next()
    {63, 393, 0, 0, 0, 288, 26},	//862 QSqlQuery::previous()
    {63, 241, 0, 0, 0, 288, 27},	//863 QSqlQuery::first()
    {63, 298, 0, 0, 0, 288, 28},	//864 QSqlQuery::last()
    {63, 165, 0, 0, 0, 0, 29},	//865 QSqlQuery::clear()
    {63, 220, 0, 0, 0, 288, 30},	//866 QSqlQuery::exec()
    {63, 222, 1294, 1, 0, 288, 31},	//867 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {63, 391, 232, 1, 0, 288, 32},	//868 QSqlQuery::prepare(const QString&)
    {63, 149, 1296, 3, 0, 0, 33},	//869 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 149, 1300, 3, 0, 0, 34},	//870 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 130, 1304, 2, 0, 0, 35},	//871 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {63, 155, 232, 1, Smoke::mf_const, 188, 36},	//872 QSqlQuery::boundValue(const QString&) const
    {63, 155, 665, 1, Smoke::mf_const, 188, 37},	//873 QSqlQuery::boundValue(int) const
    {63, 160, 0, 0, Smoke::mf_const, 87, 38},	//874 QSqlQuery::boundValues() const
    {63, 224, 0, 0, Smoke::mf_const, 160, 39},	//875 QSqlQuery::executedQuery() const
    {63, 300, 0, 0, Smoke::mf_const, 188, 40},	//876 QSqlQuery::lastInsertId() const
    {63, 240, 0, 0, 0, 0, 41},	//877 QSqlQuery::finish()
    {63, 309, 0, 0, 0, 288, 42},	//878 QSqlQuery::nextResult()
    {63, 80, 0, 0, Smoke::mf_ctor, 145, 43},	//879 QSqlQuery::QSqlQuery()
    {63, 80, 232, 1, Smoke::mf_ctor, 145, 44},	//880 QSqlQuery::QSqlQuery(const QString&)
    {63, 617, 665, 1, 0, 288, 45},	//881 QSqlQuery::seek(int)
    {63, 222, 0, 0, 0, 288, 46},	//882 QSqlQuery::execBatch()
    {63, 149, 1307, 2, 0, 0, 47},	//883 QSqlQuery::bindValue(const QString&, const QVariant&)
    {63, 149, 1310, 2, 0, 0, 48},	//884 QSqlQuery::bindValue(int, const QVariant&)
    {63, 130, 1274, 1, 0, 0, 49},	//885 QSqlQuery::addBindValue(const QVariant&)
    {63, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 50},	//886 QSqlQuery::ValuesAsRows (enum)
    {63, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 51},	//887 QSqlQuery::ValuesAsColumns (enum)
    {63, 776, 0, 0, Smoke::mf_dtor, 0, 52 },	//888 QSqlQuery::~QSqlQuery()
    {64, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 1},	//889 QSqlQueryModel::metaObject() const
    {64, 570, 624, 1, Smoke::mf_virtual, 387, 2},	//890 QSqlQueryModel::qt_metacast(const char*)
    {64, 745, 746, 2, Smoke::mf_static, 160, 3},	//891 QSqlQueryModel::tr(const char*, const char*)
    {64, 749, 746, 2, Smoke::mf_static, 160, 4},	//892 QSqlQueryModel::trUtf8(const char*, const char*)
    {64, 745, 39, 3, Smoke::mf_static, 160, 5},	//893 QSqlQueryModel::tr(const char*, const char*, int)
    {64, 749, 39, 3, Smoke::mf_static, 160, 6},	//894 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {64, 568, 1145, 3, Smoke::mf_virtual, 372, 7},	//895 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {64, 84, 1213, 1, Smoke::mf_ctor, 147, 8},	//896 QSqlQueryModel::QSqlQueryModel(QObject*)
    {64, 613, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 9},	//897 QSqlQueryModel::rowCount(const QModelIndex&) const
    {64, 170, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 10},	//898 QSqlQueryModel::columnCount(const QModelIndex&) const
    {64, 583, 665, 1, Smoke::mf_const, 148, 11},	//899 QSqlQueryModel::record(int) const
    {64, 583, 0, 0, Smoke::mf_const, 148, 12},	//900 QSqlQueryModel::record() const
    {64, 189, 1313, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 13},	//901 QSqlQueryModel::data(const QModelIndex&, int) const
    {64, 251, 1316, 3, Smoke::mf_const|Smoke::mf_virtual, 188, 14},	//902 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {64, 658, 1320, 4, Smoke::mf_virtual, 288, 15},	//903 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {64, 263, 12, 3, Smoke::mf_virtual, 288, 16},	//904 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {64, 593, 12, 3, Smoke::mf_virtual, 288, 17},	//905 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {64, 690, 1292, 1, 0, 0, 18},	//906 QSqlQueryModel::setQuery(const QSqlQuery&)
    {64, 690, 1325, 2, 0, 0, 19},	//907 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {64, 577, 0, 0, Smoke::mf_const, 143, 20},	//908 QSqlQueryModel::query() const
    {64, 165, 0, 0, Smoke::mf_virtual, 0, 21},	//909 QSqlQueryModel::clear()
    {64, 299, 0, 0, Smoke::mf_const, 132, 22},	//910 QSqlQueryModel::lastError() const
    {64, 229, 5, 1, Smoke::mf_virtual, 0, 23},	//911 QSqlQueryModel::fetchMore(const QModelIndex&)
    {64, 162, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 288, 24},	//912 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {64, 578, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//913 QSqlQueryModel::queryChange()
    {64, 257, 5, 1, Smoke::mf_const|Smoke::mf_protected, 92, 26},	//914 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {64, 664, 1237, 1, Smoke::mf_protected, 0, 27},	//915 QSqlQueryModel::setLastError(const QSqlError&)
    {64, 745, 624, 1, Smoke::mf_static, 160, 28},	//916 QSqlQueryModel::tr(const char*)
    {64, 749, 624, 1, Smoke::mf_static, 160, 29},	//917 QSqlQueryModel::trUtf8(const char*)
    {64, 84, 0, 0, Smoke::mf_ctor, 147, 30},	//918 QSqlQueryModel::QSqlQueryModel()
    {64, 613, 0, 0, Smoke::mf_const, 372, 31},	//919 QSqlQueryModel::rowCount() const
    {64, 170, 0, 0, Smoke::mf_const, 372, 32},	//920 QSqlQueryModel::columnCount() const
    {64, 189, 5, 1, Smoke::mf_const, 188, 33},	//921 QSqlQueryModel::data(const QModelIndex&) const
    {64, 251, 1328, 2, Smoke::mf_const, 188, 34},	//922 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {64, 658, 1331, 3, 0, 288, 35},	//923 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {64, 263, 1335, 2, 0, 288, 36},	//924 QSqlQueryModel::insertColumns(int, int)
    {64, 593, 1335, 2, 0, 288, 37},	//925 QSqlQueryModel::removeColumns(int, int)
    {64, 690, 232, 1, 0, 0, 38},	//926 QSqlQueryModel::setQuery(const QString&)
    {64, 229, 0, 0, 0, 0, 39},	//927 QSqlQueryModel::fetchMore()
    {64, 162, 0, 0, Smoke::mf_const, 288, 40},	//928 QSqlQueryModel::canFetchMore() const
    {64, 726, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 316, 41},	//929 QSqlQueryModel::staticMetaObject() const
    {64, 777, 0, 0, Smoke::mf_dtor, 0, 42 },	//930 QSqlQueryModel::~QSqlQueryModel()
    {65, 86, 0, 0, Smoke::mf_ctor, 150, 1},	//931 QSqlRecord::QSqlRecord()
    {65, 86, 1338, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//932 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {65, 359, 1338, 1, 0, 149, 3},	//933 QSqlRecord::operator=(const QSqlRecord&)
    {65, 361, 1338, 1, Smoke::mf_const, 288, 4},	//934 QSqlRecord::operator==(const QSqlRecord&) const
    {65, 322, 1338, 1, Smoke::mf_const, 288, 5},	//935 QSqlRecord::operator!=(const QSqlRecord&) const
    {65, 764, 665, 1, Smoke::mf_const, 188, 6},	//936 QSqlRecord::value(int) const
    {65, 764, 232, 1, Smoke::mf_const, 188, 7},	//937 QSqlRecord::value(const QString&) const
    {65, 716, 1310, 2, 0, 0, 8},	//938 QSqlRecord::setValue(int, const QVariant&)
    {65, 716, 1307, 2, 0, 0, 9},	//939 QSqlRecord::setValue(const QString&, const QVariant&)
    {65, 672, 665, 1, 0, 0, 10},	//940 QSqlRecord::setNull(int)
    {65, 672, 232, 1, 0, 0, 11},	//941 QSqlRecord::setNull(const QString&)
    {65, 289, 665, 1, Smoke::mf_const, 288, 12},	//942 QSqlRecord::isNull(int) const
    {65, 289, 232, 1, Smoke::mf_const, 288, 13},	//943 QSqlRecord::isNull(const QString&) const
    {65, 259, 232, 1, Smoke::mf_const, 372, 14},	//944 QSqlRecord::indexOf(const QString&) const
    {65, 237, 665, 1, Smoke::mf_const, 160, 15},	//945 QSqlRecord::fieldName(int) const
    {65, 233, 665, 1, Smoke::mf_const, 136, 16},	//946 QSqlRecord::field(int) const
    {65, 233, 232, 1, Smoke::mf_const, 136, 17},	//947 QSqlRecord::field(const QString&) const
    {65, 283, 665, 1, Smoke::mf_const, 288, 18},	//948 QSqlRecord::isGenerated(int) const
    {65, 283, 232, 1, Smoke::mf_const, 288, 19},	//949 QSqlRecord::isGenerated(const QString&) const
    {65, 655, 1205, 2, 0, 0, 20},	//950 QSqlRecord::setGenerated(const QString&, bool)
    {65, 655, 1282, 2, 0, 0, 21},	//951 QSqlRecord::setGenerated(int, bool)
    {65, 138, 1239, 1, 0, 0, 22},	//952 QSqlRecord::append(const QSqlField&)
    {65, 601, 1340, 2, 0, 0, 23},	//953 QSqlRecord::replace(int, const QSqlField&)
    {65, 261, 1340, 2, 0, 0, 24},	//954 QSqlRecord::insert(int, const QSqlField&)
    {65, 591, 665, 1, 0, 0, 25},	//955 QSqlRecord::remove(int)
    {65, 281, 0, 0, Smoke::mf_const, 288, 26},	//956 QSqlRecord::isEmpty() const
    {65, 178, 232, 1, Smoke::mf_const, 288, 27},	//957 QSqlRecord::contains(const QString&) const
    {65, 165, 0, 0, 0, 0, 28},	//958 QSqlRecord::clear()
    {65, 166, 0, 0, 0, 0, 29},	//959 QSqlRecord::clearValues()
    {65, 180, 0, 0, Smoke::mf_const, 372, 30},	//960 QSqlRecord::count() const
    {65, 778, 0, 0, Smoke::mf_dtor, 0, 31 },	//961 QSqlRecord::~QSqlRecord()
    {66, 88, 0, 0, Smoke::mf_ctor, 152, 1},	//962 QSqlRelation::QSqlRelation()
    {66, 88, 1241, 3, Smoke::mf_ctor, 152, 2},	//963 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {66, 740, 0, 0, Smoke::mf_const, 160, 3},	//964 QSqlRelation::tableName() const
    {66, 256, 0, 0, Smoke::mf_const, 160, 4},	//965 QSqlRelation::indexColumn() const
    {66, 204, 0, 0, Smoke::mf_const, 160, 5},	//966 QSqlRelation::displayColumn() const
    {66, 295, 0, 0, Smoke::mf_const, 288, 6},	//967 QSqlRelation::isValid() const
    {66, 88, 1343, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 7},	//968 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {66, 779, 0, 0, Smoke::mf_dtor, 0, 8 },	//969 QSqlRelation::~QSqlRelation()
    {67, 91, 1213, 1, Smoke::mf_ctor|Smoke::mf_explicit, 153, 1},	//970 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {67, 183, 1156, 3, Smoke::mf_const|Smoke::mf_virtual, 193, 2},	//971 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {67, 649, 1345, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//972 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {67, 668, 1348, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//973 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {67, 91, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 153, 5},	//974 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {67, 780, 0, 0, Smoke::mf_dtor, 0, 6 },	//975 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {68, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 1},	//976 QSqlRelationalTableModel::metaObject() const
    {68, 570, 624, 1, Smoke::mf_virtual, 387, 2},	//977 QSqlRelationalTableModel::qt_metacast(const char*)
    {68, 745, 746, 2, Smoke::mf_static, 160, 3},	//978 QSqlRelationalTableModel::tr(const char*, const char*)
    {68, 749, 746, 2, Smoke::mf_static, 160, 4},	//979 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {68, 745, 39, 3, Smoke::mf_static, 160, 5},	//980 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {68, 749, 39, 3, Smoke::mf_static, 160, 6},	//981 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {68, 568, 1145, 3, Smoke::mf_virtual, 372, 7},	//982 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {68, 93, 1352, 2, Smoke::mf_ctor, 154, 8},	//983 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {68, 189, 1313, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 9},	//984 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {68, 632, 1, 3, Smoke::mf_virtual, 288, 10},	//985 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {68, 593, 12, 3, Smoke::mf_virtual, 288, 11},	//986 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {68, 165, 0, 0, Smoke::mf_virtual, 0, 12},	//987 QSqlRelationalTableModel::clear()
    {68, 620, 0, 0, Smoke::mf_virtual, 288, 13},	//988 QSqlRelationalTableModel::select()
    {68, 710, 232, 1, Smoke::mf_virtual, 0, 14},	//989 QSqlRelationalTableModel::setTable(const QString&)
    {68, 698, 1355, 2, Smoke::mf_virtual, 0, 15},	//990 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {68, 587, 665, 1, Smoke::mf_const, 151, 16},	//991 QSqlRelationalTableModel::relation(int) const
    {68, 589, 665, 1, Smoke::mf_const|Smoke::mf_virtual, 158, 17},	//992 QSqlRelationalTableModel::relationModel(int) const
    {68, 609, 665, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//993 QSqlRelationalTableModel::revertRow(int)
    {68, 621, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 19},	//994 QSqlRelationalTableModel::selectStatement() const
    {68, 761, 1358, 2, Smoke::mf_protected|Smoke::mf_virtual, 288, 20},	//995 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {68, 268, 1338, 1, Smoke::mf_protected|Smoke::mf_virtual, 288, 21},	//996 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {68, 386, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 22},	//997 QSqlRelationalTableModel::orderByClause() const
    {68, 745, 624, 1, Smoke::mf_static, 160, 23},	//998 QSqlRelationalTableModel::tr(const char*)
    {68, 749, 624, 1, Smoke::mf_static, 160, 24},	//999 QSqlRelationalTableModel::trUtf8(const char*)
    {68, 93, 0, 0, Smoke::mf_ctor, 154, 25},	//1000 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {68, 93, 1213, 1, Smoke::mf_ctor, 154, 26},	//1001 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {68, 189, 5, 1, Smoke::mf_const, 188, 27},	//1002 QSqlRelationalTableModel::data(const QModelIndex&) const
    {68, 632, 1361, 2, 0, 288, 28},	//1003 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {68, 593, 1335, 2, 0, 288, 29},	//1004 QSqlRelationalTableModel::removeColumns(int, int)
    {68, 726, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 316, 30},	//1005 QSqlRelationalTableModel::staticMetaObject() const
    {68, 781, 0, 0, Smoke::mf_dtor, 0, 31 },	//1006 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {69, 247, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 1},	//1007 QSqlResult::handle() const
    {69, 96, 1364, 1, Smoke::mf_ctor|Smoke::mf_protected, 155, 2},	//1008 QSqlResult::QSqlResult(const QSqlDriver*)
    {69, 141, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 3},	//1009 QSqlResult::at() const
    {69, 301, 0, 0, Smoke::mf_const|Smoke::mf_protected, 160, 4},	//1010 QSqlResult::lastQuery() const
    {69, 299, 0, 0, Smoke::mf_const|Smoke::mf_protected, 132, 5},	//1011 QSqlResult::lastError() const
    {69, 295, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 6},	//1012 QSqlResult::isValid() const
    {69, 273, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 7},	//1013 QSqlResult::isActive() const
    {69, 294, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 8},	//1014 QSqlResult::isSelect() const
    {69, 282, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 9},	//1015 QSqlResult::isForwardOnly() const
    {69, 209, 0, 0, Smoke::mf_const|Smoke::mf_protected, 342, 10},	//1016 QSqlResult::driver() const
    {69, 624, 665, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1017 QSqlResult::setAt(int)
    {69, 622, 1235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1018 QSqlResult::setActive(bool)
    {69, 664, 1237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1019 QSqlResult::setLastError(const QSqlError&)
    {69, 690, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1020 QSqlResult::setQuery(const QString&)
    {69, 704, 1235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1021 QSqlResult::setSelect(bool)
    {69, 653, 1235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1022 QSqlResult::setForwardOnly(bool)
    {69, 220, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 288, 17},	//1023 QSqlResult::exec()
    {69, 391, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 288, 18},	//1024 QSqlResult::prepare(const QString&)
    {69, 615, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 288, 19},	//1025 QSqlResult::savePrepare(const QString&)
    {69, 149, 1300, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1026 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 149, 1296, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1027 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 130, 1304, 2, Smoke::mf_protected, 0, 22},	//1028 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {69, 155, 232, 1, Smoke::mf_const|Smoke::mf_protected, 188, 23},	//1029 QSqlResult::boundValue(const QString&) const
    {69, 155, 665, 1, Smoke::mf_const|Smoke::mf_protected, 188, 24},	//1030 QSqlResult::boundValue(int) const
    {69, 152, 232, 1, Smoke::mf_const|Smoke::mf_protected, 40, 25},	//1031 QSqlResult::bindValueType(const QString&) const
    {69, 152, 665, 1, Smoke::mf_const|Smoke::mf_protected, 40, 26},	//1032 QSqlResult::bindValueType(int) const
    {69, 157, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 27},	//1033 QSqlResult::boundValueCount() const
    {69, 160, 0, 0, Smoke::mf_const|Smoke::mf_protected, 192, 28},	//1034 QSqlResult::boundValues() const
    {69, 224, 0, 0, Smoke::mf_const|Smoke::mf_protected, 160, 29},	//1035 QSqlResult::executedQuery() const
    {69, 158, 665, 1, Smoke::mf_const|Smoke::mf_protected, 160, 30},	//1036 QSqlResult::boundValueName(int) const
    {69, 165, 0, 0, Smoke::mf_protected, 0, 31},	//1037 QSqlResult::clear()
    {69, 250, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 32},	//1038 QSqlResult::hasOutValues() const
    {69, 154, 0, 0, Smoke::mf_const|Smoke::mf_protected, 156, 33},	//1039 QSqlResult::bindingSyntax() const
    {69, 189, 665, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 188, 34},	//1040 QSqlResult::data(int) [pure virtual]
    {69, 289, 665, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 35},	//1041 QSqlResult::isNull(int) [pure virtual]
    {69, 604, 232, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 36},	//1042 QSqlResult::reset(const QString&) [pure virtual]
    {69, 225, 665, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 37},	//1043 QSqlResult::fetch(int) [pure virtual]
    {69, 231, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 288, 38},	//1044 QSqlResult::fetchNext()
    {69, 232, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 288, 39},	//1045 QSqlResult::fetchPrevious()
    {69, 227, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 40},	//1046 QSqlResult::fetchFirst() [pure virtual]
    {69, 228, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 288, 41},	//1047 QSqlResult::fetchLast() [pure virtual]
    {69, 719, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 42},	//1048 QSqlResult::size() [pure virtual]
    {69, 312, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 43},	//1049 QSqlResult::numRowsAffected() [pure virtual]
    {69, 583, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 148, 44},	//1050 QSqlResult::record() const
    {69, 300, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 188, 45},	//1051 QSqlResult::lastInsertId() const
    {69, 766, 1366, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1052 QSqlResult::virtual_hook(int, void*)
    {69, 222, 1235, 1, Smoke::mf_protected, 288, 47},	//1053 QSqlResult::execBatch(bool)
    {69, 202, 0, 0, Smoke::mf_protected, 0, 48},	//1054 QSqlResult::detachFromResultSet()
    {69, 676, 1197, 1, Smoke::mf_protected, 0, 49},	//1055 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {69, 314, 0, 0, Smoke::mf_const|Smoke::mf_protected, 119, 50},	//1056 QSqlResult::numericalPrecisionPolicy() const
    {69, 309, 0, 0, Smoke::mf_protected, 288, 51},	//1057 QSqlResult::nextResult()
    {69, 222, 0, 0, Smoke::mf_protected, 288, 52},	//1058 QSqlResult::execBatch()
    {69, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 53},	//1059 QSqlResult::PositionalBinding (enum)
    {69, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 54},	//1060 QSqlResult::NamedBinding (enum)
    {69, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 55},	//1061 QSqlResult::BatchOperation (enum)
    {69, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 56},	//1062 QSqlResult::DetachFromResultSet (enum)
    {69, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 57},	//1063 QSqlResult::SetNumericalPrecision (enum)
    {69, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 58},	//1064 QSqlResult::NextResult (enum)
    {69, 782, 0, 0, Smoke::mf_dtor, 0, 59 },	//1065 QSqlResult::~QSqlResult()
    {70, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 1},	//1066 QSqlTableModel::metaObject() const
    {70, 570, 624, 1, Smoke::mf_virtual, 387, 2},	//1067 QSqlTableModel::qt_metacast(const char*)
    {70, 745, 746, 2, Smoke::mf_static, 160, 3},	//1068 QSqlTableModel::tr(const char*, const char*)
    {70, 749, 746, 2, Smoke::mf_static, 160, 4},	//1069 QSqlTableModel::trUtf8(const char*, const char*)
    {70, 745, 39, 3, Smoke::mf_static, 160, 5},	//1070 QSqlTableModel::tr(const char*, const char*, int)
    {70, 749, 39, 3, Smoke::mf_static, 160, 6},	//1071 QSqlTableModel::trUtf8(const char*, const char*, int)
    {70, 568, 1145, 3, Smoke::mf_virtual, 372, 7},	//1072 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {70, 98, 1352, 2, Smoke::mf_ctor, 158, 8},	//1073 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {70, 620, 0, 0, Smoke::mf_virtual, 288, 9},	//1074 QSqlTableModel::select()
    {70, 710, 232, 1, Smoke::mf_virtual, 0, 10},	//1075 QSqlTableModel::setTable(const QString&)
    {70, 740, 0, 0, Smoke::mf_const, 160, 11},	//1076 QSqlTableModel::tableName() const
    {70, 242, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 12},	//1077 QSqlTableModel::flags(const QModelIndex&) const
    {70, 189, 1313, 2, Smoke::mf_const|Smoke::mf_virtual, 188, 13},	//1078 QSqlTableModel::data(const QModelIndex&, int) const
    {70, 632, 1, 3, Smoke::mf_virtual, 288, 14},	//1079 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 251, 1316, 3, Smoke::mf_const|Smoke::mf_virtual, 188, 15},	//1080 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {70, 277, 5, 1, Smoke::mf_const, 288, 16},	//1081 QSqlTableModel::isDirty(const QModelIndex&) const
    {70, 165, 0, 0, Smoke::mf_virtual, 0, 17},	//1082 QSqlTableModel::clear()
    {70, 647, 1369, 1, Smoke::mf_virtual, 0, 18},	//1083 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {70, 214, 0, 0, Smoke::mf_const, 159, 19},	//1084 QSqlTableModel::editStrategy() const
    {70, 396, 0, 0, Smoke::mf_const, 140, 20},	//1085 QSqlTableModel::primaryKey() const
    {70, 193, 0, 0, Smoke::mf_const, 122, 21},	//1086 QSqlTableModel::database() const
    {70, 235, 232, 1, Smoke::mf_const, 372, 22},	//1087 QSqlTableModel::fieldIndex(const QString&) const
    {70, 721, 16, 2, Smoke::mf_virtual, 0, 23},	//1088 QSqlTableModel::sort(int, Qt::SortOrder)
    {70, 706, 16, 2, Smoke::mf_virtual, 0, 24},	//1089 QSqlTableModel::setSort(int, Qt::SortOrder)
    {70, 239, 0, 0, Smoke::mf_const, 160, 25},	//1090 QSqlTableModel::filter() const
    {70, 651, 232, 1, Smoke::mf_virtual, 0, 26},	//1091 QSqlTableModel::setFilter(const QString&)
    {70, 613, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 27},	//1092 QSqlTableModel::rowCount(const QModelIndex&) const
    {70, 593, 12, 3, Smoke::mf_virtual, 288, 28},	//1093 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {70, 598, 12, 3, Smoke::mf_virtual, 288, 29},	//1094 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {70, 270, 12, 3, Smoke::mf_virtual, 288, 30},	//1095 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {70, 266, 1358, 2, 0, 288, 31},	//1096 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {70, 696, 1358, 2, 0, 288, 32},	//1097 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {70, 609, 665, 1, Smoke::mf_virtual, 0, 33},	//1098 QSqlTableModel::revertRow(int)
    {70, 731, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 288, 34},	//1099 QSqlTableModel::submit()
    {70, 607, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1100 QSqlTableModel::revert()
    {70, 732, 0, 0, Smoke::mf_slot, 288, 36},	//1101 QSqlTableModel::submitAll()
    {70, 608, 0, 0, Smoke::mf_slot, 0, 37},	//1102 QSqlTableModel::revertAll()
    {70, 397, 1371, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1103 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {70, 144, 1374, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1104 QSqlTableModel::beforeInsert(QSqlRecord&)
    {70, 146, 1371, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1105 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {70, 142, 665, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1106 QSqlTableModel::beforeDelete(int)
    {70, 761, 1358, 2, Smoke::mf_protected|Smoke::mf_virtual, 288, 42},	//1107 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {70, 268, 1338, 1, Smoke::mf_protected|Smoke::mf_virtual, 288, 43},	//1108 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {70, 200, 665, 1, Smoke::mf_protected|Smoke::mf_virtual, 288, 44},	//1109 QSqlTableModel::deleteRowFromTable(int)
    {70, 386, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 45},	//1110 QSqlTableModel::orderByClause() const
    {70, 621, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 160, 46},	//1111 QSqlTableModel::selectStatement() const
    {70, 688, 1280, 1, Smoke::mf_protected, 0, 47},	//1112 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {70, 690, 1292, 1, Smoke::mf_protected, 0, 48},	//1113 QSqlTableModel::setQuery(const QSqlQuery&)
    {70, 257, 5, 1, Smoke::mf_const|Smoke::mf_protected, 92, 49},	//1114 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {70, 745, 624, 1, Smoke::mf_static, 160, 50},	//1115 QSqlTableModel::tr(const char*)
    {70, 749, 624, 1, Smoke::mf_static, 160, 51},	//1116 QSqlTableModel::trUtf8(const char*)
    {70, 98, 0, 0, Smoke::mf_ctor, 158, 52},	//1117 QSqlTableModel::QSqlTableModel()
    {70, 98, 1213, 1, Smoke::mf_ctor, 158, 53},	//1118 QSqlTableModel::QSqlTableModel(QObject*)
    {70, 189, 5, 1, Smoke::mf_const, 188, 54},	//1119 QSqlTableModel::data(const QModelIndex&) const
    {70, 632, 1361, 2, 0, 288, 55},	//1120 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {70, 251, 1328, 2, Smoke::mf_const, 188, 56},	//1121 QSqlTableModel::headerData(int, Qt::Orientation) const
    {70, 613, 0, 0, Smoke::mf_const, 372, 57},	//1122 QSqlTableModel::rowCount() const
    {70, 593, 1335, 2, 0, 288, 58},	//1123 QSqlTableModel::removeColumns(int, int)
    {70, 598, 1335, 2, 0, 288, 59},	//1124 QSqlTableModel::removeRows(int, int)
    {70, 270, 1335, 2, 0, 288, 60},	//1125 QSqlTableModel::insertRows(int, int)
    {70, 726, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 316, 61},	//1126 QSqlTableModel::staticMetaObject() const
    {70, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//1127 QSqlTableModel::OnFieldChange (enum)
    {70, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//1128 QSqlTableModel::OnRowChange (enum)
    {70, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 64},	//1129 QSqlTableModel::OnManualSubmit (enum)
    {70, 783, 0, 0, Smoke::mf_dtor, 0, 65 },	//1130 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    611,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    655,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    29,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    41,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    70,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    159,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    190,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    247,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    250,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    323,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    334,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    335,  // QGlobalSpace::operator!=(QChar, QChar)
    349,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    411,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    418,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    511,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    536,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    540,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    271,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    297,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    321,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    402,  // QGlobalSpace::operator!=(QBool, bool)
    444,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    273,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    298,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    398,  // QGlobalSpace::operator!=(bool, QBool)
    450,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    479,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    523,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    50,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    51,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    96,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    124,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    127,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    129,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    164,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    198,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    221,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    243,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    322,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    401,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    443,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    457,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    503,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    526,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    24,  // QGlobalSpace::operator*(const QPoint&, double)
    56,  // QGlobalSpace::operator*(const QSizeF&, double)
    177,  // QGlobalSpace::operator*(const QPointF&, double)
    264,  // QGlobalSpace::operator*(const QTransform&, double)
    421,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    27,  // QGlobalSpace::operator*(double, const QPointF&)
    31,  // QGlobalSpace::operator*(double, const QSizeF&)
    350,  // QGlobalSpace::operator*(double, const QSize&)
    363,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    42,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    105,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    437,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    481,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    525,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    85,  // QGlobalSpace::operator+(QChar, const QString&)
    218,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    371,  // QGlobalSpace::operator+(const QByteArray&, char)
    409,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    473,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    142,  // QGlobalSpace::operator+(char, const QByteArray&)
    308,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    482,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    534,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    134,  // QGlobalSpace::operator+(const QString&, const char*)
    144,  // QGlobalSpace::operator+(const char*, const QString&)
    225,  // QGlobalSpace::operator+(const QString&, char)
    292,  // QGlobalSpace::operator+(const QString&, const QString&)
    333,  // QGlobalSpace::operator+(char, const QString&)
    0,
    213,  // QGlobalSpace::operator-(const QPointF&)
    459,  // QGlobalSpace::operator-(const QPoint&)
    0,
    64,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    405,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    469,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    514,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    143,  // QGlobalSpace::operator/(const QPoint&, double)
    155,  // QGlobalSpace::operator/(const QTransform&, double)
    195,  // QGlobalSpace::operator/(const QSizeF&, double)
    373,  // QGlobalSpace::operator/(const QPointF&, double)
    497,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    163,  // QGlobalSpace::operator<(QChar, QChar)
    205,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    266,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    470,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    436,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    26,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    30,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    34,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    36,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    39,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    46,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    57,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    77,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    79,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    80,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    89,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    90,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    92,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    104,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    107,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    117,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    121,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    135,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    137,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    162,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    165,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    185,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    207,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    216,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    220,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    230,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    234,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    263,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    267,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    279,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    280,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    282,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    285,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    305,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    325,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    329,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    342,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    354,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    357,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    365,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    368,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    369,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    370,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    372,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    378,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    396,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    400,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    410,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    413,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    415,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    419,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    423,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    427,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    433,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    441,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    471,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    488,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    492,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    508,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    524,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    529,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    541,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    543,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    68,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    145,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    171,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    395,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    454,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    495,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    312,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    376,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    385,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    440,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    303,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    412,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    54,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    66,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    71,  // QGlobalSpace::operator==(QBool, QBool)
    76,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    154,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    181,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    228,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    257,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    304,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    319,  // QGlobalSpace::operator==(QChar, QChar)
    338,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    344,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    348,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    397,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    465,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    528,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    544,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    254,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    422,  // QGlobalSpace::operator==(QString::Null, const QString&)
    428,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    478,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    527,  // QGlobalSpace::operator==(QBool, bool)
    0,
    146,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    187,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    203,  // QGlobalSpace::operator==(const QString&, QString::Null)
    307,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    416,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    500,  // QGlobalSpace::operator==(bool, QBool)
    0,
    199,  // QGlobalSpace::operator>(QChar, QChar)
    276,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    301,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    446,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    60,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    391,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    65,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    226,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    256,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    375,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    166,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    200,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    35,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    82,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    115,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    131,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    139,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    147,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    151,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    152,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    153,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    173,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    193,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    197,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    210,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    235,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    272,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    278,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    284,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    300,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    309,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    313,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    345,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    346,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    392,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    426,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    460,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    472,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    498,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    499,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    532,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    318,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    464,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    22,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    28,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    32,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    33,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    37,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    38,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    45,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    49,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    53,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    55,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    58,  // QGlobalSpace::operator|(QDir::Filter, int)
    67,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    72,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    73,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    74,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    78,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    81,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    84,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    87,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    88,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    102,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    106,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    108,  // QGlobalSpace::operator|(Qt::DropAction, int)
    111,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    114,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    116,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    118,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    119,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    122,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    123,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    128,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    130,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    133,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    136,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    138,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    140,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    141,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    156,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    158,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    160,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    161,  // QGlobalSpace::operator|(QFile::Permission, int)
    169,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    170,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    174,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    175,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    183,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    188,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    189,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    191,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    192,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    194,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    196,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    202,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    206,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    209,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    215,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    219,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    222,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    223,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    233,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    238,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    239,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    242,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    244,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    245,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    248,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    251,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    252,  // QGlobalSpace::operator|(Qt::WindowType, int)
    253,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    261,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    265,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    268,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    270,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    275,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    277,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    281,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    290,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    293,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    299,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    310,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    311,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    314,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    315,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    317,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    320,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    327,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    331,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    336,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    341,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    343,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    351,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    353,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    355,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    359,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    384,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    387,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    390,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    394,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    403,  // QGlobalSpace::operator|(Qt::WindowState, int)
    404,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    414,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    417,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    420,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    424,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    425,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    431,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    447,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    449,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    453,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    456,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    461,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    466,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    474,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    476,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    484,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    486,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    489,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    490,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    496,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    501,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    502,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    504,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    505,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    513,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    516,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    518,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    520,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    521,  // QGlobalSpace::operator|(Qt::Orientation, int)
    533,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    538,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    539,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    546,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    59,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    358,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    0,
    149,  // QGlobalSpace::qFuzzyCompare(double, double)
    382,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    229,  // QGlobalSpace::qFuzzyIsNull(double)
    517,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    21,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    75,  // QGlobalSpace::qHash(const QStringRef&)
    93,  // QGlobalSpace::qHash(const QBitArray&)
    168,  // QGlobalSpace::qHash(const QByteArray&)
    227,  // QGlobalSpace::qHash(QChar)
    286,  // QGlobalSpace::qHash(const QUrl&)
    352,  // QGlobalSpace::qHash(const QModelIndex&)
    475,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    48,  // QGlobalSpace::qHash(unsigned char)
    98,  // QGlobalSpace::qHash(const QString&)
    99,  // QGlobalSpace::qHash(unsigned short)
    101,  // QGlobalSpace::qHash(long)
    103,  // QGlobalSpace::qHash(long long)
    217,  // QGlobalSpace::qHash(unsigned long long)
    324,  // QGlobalSpace::qHash(signed char)
    366,  // QGlobalSpace::qHash(short)
    399,  // QGlobalSpace::qHash(unsigned long)
    442,  // QGlobalSpace::qHash(unsigned int)
    468,  // QGlobalSpace::qHash(int)
    507,  // QGlobalSpace::qHash(char)
    0,
    204,  // QGlobalSpace::qIntCast(float)
    258,  // QGlobalSpace::qIntCast(double)
    0,
    287,  // QGlobalSpace::qIsFinite(float)
    512,  // QGlobalSpace::qIsFinite(double)
    0,
    25,  // QGlobalSpace::qIsInf(double)
    113,  // QGlobalSpace::qIsInf(float)
    0,
    148,  // QGlobalSpace::qIsNaN(float)
    364,  // QGlobalSpace::qIsNaN(double)
    0,
    150,  // QGlobalSpace::qIsNull(float)
    255,  // QGlobalSpace::qIsNull(double)
    0,
    837,  // QSqlQuery::QSqlQuery(QSqlResult*)
    839,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    840,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    883,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    884,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    869,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    870,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    872,  // QSqlQuery::boundValue(const QString&) const
    873,  // QSqlQuery::boundValue(int) const
    0,
    946,  // QSqlRecord::field(int) const
    947,  // QSqlRecord::field(const QString&) const
    0,
    948,  // QSqlRecord::isGenerated(int) const
    949,  // QSqlRecord::isGenerated(const QString&) const
    0,
    942,  // QSqlRecord::isNull(int) const
    943,  // QSqlRecord::isNull(const QString&) const
    0,
    950,  // QSqlRecord::setGenerated(const QString&, bool)
    951,  // QSqlRecord::setGenerated(int, bool)
    0,
    940,  // QSqlRecord::setNull(int)
    941,  // QSqlRecord::setNull(const QString&)
    0,
    938,  // QSqlRecord::setValue(int, const QVariant&)
    939,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    936,  // QSqlRecord::value(int) const
    937,  // QSqlRecord::value(const QString&) const
    0,
    1026,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1027,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1031,  // QSqlResult::bindValueType(const QString&) const
    1032,  // QSqlResult::bindValueType(int) const
    0,
    1029,  // QSqlResult::boundValue(const QString&) const
    1030,  // QSqlResult::boundValue(int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {20, 19, 569},	// QGlobalSpace::LicensedActiveQt
    {20, 20, 564},	// QGlobalSpace::LicensedCore
    {20, 21, 570},	// QGlobalSpace::LicensedDBus
    {20, 22, 568},	// QGlobalSpace::LicensedDeclarative
    {20, 23, 567},	// QGlobalSpace::LicensedGui
    {20, 24, 576},	// QGlobalSpace::LicensedHelp
    {20, 25, 575},	// QGlobalSpace::LicensedMultimedia
    {20, 26, 562},	// QGlobalSpace::LicensedNetwork
    {20, 27, 559},	// QGlobalSpace::LicensedOpenGL
    {20, 28, 561},	// QGlobalSpace::LicensedOpenVG
    {20, 29, 560},	// QGlobalSpace::LicensedQt3Support
    {20, 30, 573},	// QGlobalSpace::LicensedQt3SupportLight
    {20, 31, 574},	// QGlobalSpace::LicensedScript
    {20, 32, 572},	// QGlobalSpace::LicensedScriptTools
    {20, 33, 563},	// QGlobalSpace::LicensedSql
    {20, 34, 565},	// QGlobalSpace::LicensedSvg
    {20, 35, 571},	// QGlobalSpace::LicensedTest
    {20, 36, 553},	// QGlobalSpace::LicensedXml
    {20, 37, 566},	// QGlobalSpace::LicensedXmlPatterns
    {20, 101, 548},	// QGlobalSpace::Q_COMPLEX_TYPE
    {20, 102, 552},	// QGlobalSpace::Q_DUMMY_TYPE
    {20, 103, 551},	// QGlobalSpace::Q_MOVABLE_TYPE
    {20, 104, 549},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {20, 105, 550},	// QGlobalSpace::Q_STATIC_TYPE
    {20, 106, 556},	// QGlobalSpace::QtCriticalMsg
    {20, 107, 554},	// QGlobalSpace::QtDebugMsg
    {20, 108, 557},	// QGlobalSpace::QtFatalMsg
    {20, 109, 558},	// QGlobalSpace::QtSystemMsg
    {20, 110, 555},	// QGlobalSpace::QtWarningMsg
    {20, 324, -4},	// QGlobalSpace::operator!=##
    {20, 325, -21},	// QGlobalSpace::operator!=#$
    {20, 326, -27},	// QGlobalSpace::operator!=$#
    {20, 327, 296},	// QGlobalSpace::operator!=$$
    {20, 329, 19},	// QGlobalSpace::operator&##
    {20, 331, -34},	// QGlobalSpace::operator*##
    {20, 332, -51},	// QGlobalSpace::operator*#$
    {20, 333, -57},	// QGlobalSpace::operator*$#
    {20, 335, -62},	// QGlobalSpace::operator+##
    {20, 336, -68},	// QGlobalSpace::operator+#$
    {20, 337, -74},	// QGlobalSpace::operator+$#
    {20, 338, -79},	// QGlobalSpace::operator+$$
    {20, 340, -85},	// QGlobalSpace::operator-#
    {20, 341, -88},	// QGlobalSpace::operator-##
    {20, 342, 545},	// QGlobalSpace::operator-#$
    {20, 344, -93},	// QGlobalSpace::operator/#$
    {20, 346, -99},	// QGlobalSpace::operator<##
    {20, 347, 120},	// QGlobalSpace::operator<#$
    {20, 348, -104},	// QGlobalSpace::operator<$#
    {20, 349, 295},	// QGlobalSpace::operator<$$
    {20, 351, -107},	// QGlobalSpace::operator<<##
    {20, 352, -181},	// QGlobalSpace::operator<<#$
    {20, 353, 110},	// QGlobalSpace::operator<<#?
    {20, 355, -189},	// QGlobalSpace::operator<=##
    {20, 356, 249},	// QGlobalSpace::operator<=#$
    {20, 357, -194},	// QGlobalSpace::operator<=$#
    {20, 358, 157},	// QGlobalSpace::operator<=$$
    {20, 363, -197},	// QGlobalSpace::operator==##
    {20, 364, -215},	// QGlobalSpace::operator==#$
    {20, 365, -221},	// QGlobalSpace::operator==$#
    {20, 366, 491},	// QGlobalSpace::operator==$$
    {20, 368, -228},	// QGlobalSpace::operator>##
    {20, 369, 435},	// QGlobalSpace::operator>#$
    {20, 370, -233},	// QGlobalSpace::operator>$#
    {20, 371, 432},	// QGlobalSpace::operator>$$
    {20, 373, -236},	// QGlobalSpace::operator>=##
    {20, 374, 362},	// QGlobalSpace::operator>=#$
    {20, 375, -241},	// QGlobalSpace::operator>=$#
    {20, 376, 506},	// QGlobalSpace::operator>=$$
    {20, 378, -244},	// QGlobalSpace::operator>>##
    {20, 379, -282},	// QGlobalSpace::operator>>#$
    {20, 380, 407},	// QGlobalSpace::operator>>#?
    {20, 382, 259},	// QGlobalSpace::operator^##
    {20, 384, 306},	// QGlobalSpace::operator|##
    {20, 385, -285},	// QGlobalSpace::operator|$$
    {20, 400, 274},	// QGlobalSpace::qAcos$
    {20, 402, 241},	// QGlobalSpace::qAddPostRoutine$
    {20, 404, 83},	// QGlobalSpace::qAlpha$
    {20, 405, 224},	// QGlobalSpace::qAppName
    {20, 407, 380},	// QGlobalSpace::qAsin$
    {20, 409, 94},	// QGlobalSpace::qAtan$
    {20, 411, 232},	// QGlobalSpace::qAtan2$$
    {20, 412, 535},	// QGlobalSpace::qBadAlloc
    {20, 414, 509},	// QGlobalSpace::qBlue$
    {20, 416, 61},	// QGlobalSpace::qCeil$
    {20, 418, 260},	// QGlobalSpace::qChecksum$$
    {20, 420, 237},	// QGlobalSpace::qCompress#
    {20, 421, 236},	// QGlobalSpace::qCompress#$
    {20, 422, 452},	// QGlobalSpace::qCompress$$
    {20, 423, 451},	// QGlobalSpace::qCompress$$$
    {20, 425, 109},	// QGlobalSpace::qCos$
    {20, 426, 20},	// QGlobalSpace::qCritical
    {20, 427, 458},	// QGlobalSpace::qDebug
    {20, 429, 246},	// QGlobalSpace::qExp$
    {20, 431, 43},	// QGlobalSpace::qFabs$
    {20, 433, 493},	// QGlobalSpace::qFastCos$
    {20, 435, 522},	// QGlobalSpace::qFastSin$
    {20, 437, 360},	// QGlobalSpace::qFlagLocation$
    {20, 439, 340},	// QGlobalSpace::qFloor$
    {20, 441, 439},	// QGlobalSpace::qFree$
    {20, 443, 201},	// QGlobalSpace::qFreeAligned$
    {20, 445, -418},	// QGlobalSpace::qFuzzyCompare##
    {20, 446, -421},	// QGlobalSpace::qFuzzyCompare$$
    {20, 448, -424},	// QGlobalSpace::qFuzzyIsNull$
    {20, 450, 63},	// QGlobalSpace::qGray$
    {20, 451, 126},	// QGlobalSpace::qGray$$$
    {20, 453, 86},	// QGlobalSpace::qGreen$
    {20, 455, -427},	// QGlobalSpace::qHash#
    {20, 456, -436},	// QGlobalSpace::qHash$
    {20, 457, 367},	// QGlobalSpace::qInf
    {20, 459, 184},	// QGlobalSpace::qInstallMsgHandler$
    {20, 461, -449},	// QGlobalSpace::qIntCast$
    {20, 463, -452},	// QGlobalSpace::qIsFinite$
    {20, 465, 316},	// QGlobalSpace::qIsGray$
    {20, 467, -455},	// QGlobalSpace::qIsInf$
    {20, 469, -458},	// QGlobalSpace::qIsNaN$
    {20, 471, -461},	// QGlobalSpace::qIsNull$
    {20, 473, 406},	// QGlobalSpace::qLn$
    {20, 475, 542},	// QGlobalSpace::qMalloc$
    {20, 477, 448},	// QGlobalSpace::qMallocAligned$$
    {20, 479, 361},	// QGlobalSpace::qMemCopy$$$
    {20, 481, 231},	// QGlobalSpace::qMemSet$$$
    {20, 483, 477},	// QGlobalSpace::qPow$$
    {20, 484, 47},	// QGlobalSpace::qQNaN
    {20, 486, 291},	// QGlobalSpace::qRealloc$$
    {20, 488, 214},	// QGlobalSpace::qReallocAligned$$$$
    {20, 490, 69},	// QGlobalSpace::qRed$
    {20, 492, 100},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {20, 494, 356},	// QGlobalSpace::qRemovePostRoutine$
    {20, 496, 339},	// QGlobalSpace::qRgb$$$
    {20, 498, 537},	// QGlobalSpace::qRgba$$$$
    {20, 500, 302},	// QGlobalSpace::qRound$
    {20, 502, 445},	// QGlobalSpace::qRound64$
    {20, 503, 515},	// QGlobalSpace::qSNaN
    {20, 505, 393},	// QGlobalSpace::qSetFieldWidth$
    {20, 507, 179},	// QGlobalSpace::qSetPadChar#
    {20, 509, 377},	// QGlobalSpace::qSetRealNumberPrecision$
    {20, 510, 182},	// QGlobalSpace::qSharedBuild
    {20, 512, 379},	// QGlobalSpace::qSin$
    {20, 514, 328},	// QGlobalSpace::qSqrt$
    {20, 516, 211},	// QGlobalSpace::qStringComparisonHelper#$
    {20, 517, 483},	// QGlobalSpace::qStringComparisonHelper$$
    {20, 519, 463},	// QGlobalSpace::qTan$
    {20, 521, 374},	// QGlobalSpace::qUncompress#
    {20, 522, 519},	// QGlobalSpace::qUncompress$$
    {20, 523, 52},	// QGlobalSpace::qVersion
    {20, 524, 125},	// QGlobalSpace::qWarning
    {20, 526, 95},	// QGlobalSpace::qbswap_helper$$$
    {20, 528, 269},	// QGlobalSpace::qgetenv$
    {20, 530, 208},	// QGlobalSpace::qputenv$#
    {20, 531, 62},	// QGlobalSpace::qrand
    {20, 533, 112},	// QGlobalSpace::qsrand$
    {20, 535, 178},	// QGlobalSpace::qstrcmp##
    {20, 536, 180},	// QGlobalSpace::qstrcmp#$
    {20, 537, 462},	// QGlobalSpace::qstrcmp$#
    {20, 538, 330},	// QGlobalSpace::qstrcmp$$
    {20, 540, 40},	// QGlobalSpace::qstrcpy$$
    {20, 542, 455},	// QGlobalSpace::qstrdup$
    {20, 544, 381},	// QGlobalSpace::qstricmp$$
    {20, 546, 408},	// QGlobalSpace::qstrlen$
    {20, 548, 212},	// QGlobalSpace::qstrncmp$$$
    {20, 550, 283},	// QGlobalSpace::qstrncpy$$$
    {20, 552, 167},	// QGlobalSpace::qstrnicmp$$$
    {20, 554, 337},	// QGlobalSpace::qstrnlen$$
    {20, 556, 531},	// QGlobalSpace::qtTrId$
    {20, 557, 530},	// QGlobalSpace::qtTrId$$
    {20, 559, 23},	// QGlobalSpace::qt_assert$$$
    {20, 561, 294},	// QGlobalSpace::qt_assert_x$$$$
    {20, 563, 172},	// QGlobalSpace::qt_check_pointer$$
    {20, 564, 289},	// QGlobalSpace::qt_error_string
    {20, 565, 288},	// QGlobalSpace::qt_error_string$
    {20, 567, 487},	// QGlobalSpace::qt_message_output$$
    {20, 572, 389},	// QGlobalSpace::qt_noop
    {20, 574, 186},	// QGlobalSpace::qt_qFindChild_helper#$#
    {20, 576, 429},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {20, 580, 97},	// QGlobalSpace::qvariant_cast_helper#$$
    {20, 582, 386},	// QGlobalSpace::qvsnprintf$$$?
    {54, 1, 609},	// QSql::AfterLastRow
    {54, 2, 603},	// QSql::AllTables
    {54, 6, 608},	// QSql::BeforeFirstRow
    {54, 7, 607},	// QSql::Binary
    {54, 14, 599},	// QSql::HighPrecision
    {54, 15, 604},	// QSql::In
    {54, 16, 606},	// QSql::InOut
    {54, 38, 598},	// QSql::LowPrecisionDouble
    {54, 39, 596},	// QSql::LowPrecisionInt32
    {54, 40, 597},	// QSql::LowPrecisionInt64
    {54, 51, 605},	// QSql::Out
    {54, 117, 601},	// QSql::SystemTables
    {54, 119, 600},	// QSql::Tables
    {54, 128, 602},	// QSql::Views
    {55, 55, 610},	// QSqlDatabase::QSqlDatabase
    {55, 56, -1},	// QSqlDatabase::QSqlDatabase#
    {55, 57, 654},	// QSqlDatabase::QSqlDatabase$
    {55, 134, 660},	// QSqlDatabase::addDatabase#
    {55, 135, 645},	// QSqlDatabase::addDatabase#$
    {55, 136, 659},	// QSqlDatabase::addDatabase$
    {55, 137, 644},	// QSqlDatabase::addDatabase$$
    {55, 168, 646},	// QSqlDatabase::cloneDatabase#$
    {55, 169, 615},	// QSqlDatabase::close
    {55, 172, 625},	// QSqlDatabase::commit
    {55, 175, 639},	// QSqlDatabase::connectOptions
    {55, 176, 640},	// QSqlDatabase::connectionName
    {55, 177, 651},	// QSqlDatabase::connectionNames
    {55, 178, 663},	// QSqlDatabase::contains
    {55, 179, 649},	// QSqlDatabase::contains$
    {55, 193, 661},	// QSqlDatabase::database
    {55, 194, 662},	// QSqlDatabase::database$
    {55, 195, 647},	// QSqlDatabase::database$$
    {55, 196, 633},	// QSqlDatabase::databaseName
    {55, 198, 664},	// QSqlDatabase::defaultConnection
    {55, 209, 643},	// QSqlDatabase::driver
    {55, 210, 637},	// QSqlDatabase::driverName
    {55, 212, 650},	// QSqlDatabase::drivers
    {55, 220, 657},	// QSqlDatabase::exec
    {55, 221, 621},	// QSqlDatabase::exec$
    {55, 254, 636},	// QSqlDatabase::hostName
    {55, 280, 653},	// QSqlDatabase::isDriverAvailable$
    {55, 291, 616},	// QSqlDatabase::isOpen
    {55, 292, 617},	// QSqlDatabase::isOpenError
    {55, 295, 623},	// QSqlDatabase::isValid
    {55, 299, 622},	// QSqlDatabase::lastError
    {55, 314, 642},	// QSqlDatabase::numericalPrecisionPolicy
    {55, 315, 613},	// QSqlDatabase::open
    {55, 317, 614},	// QSqlDatabase::open$$
    {55, 360, 612},	// QSqlDatabase::operator=#
    {55, 388, 635},	// QSqlDatabase::password
    {55, 389, 638},	// QSqlDatabase::port
    {55, 395, 619},	// QSqlDatabase::primaryIndex$
    {55, 584, 620},	// QSqlDatabase::record$
    {55, 586, 652},	// QSqlDatabase::registerSqlDriver$#
    {55, 597, 648},	// QSqlDatabase::removeDatabase$
    {55, 611, 626},	// QSqlDatabase::rollback
    {55, 628, 658},	// QSqlDatabase::setConnectOptions
    {55, 629, 632},	// QSqlDatabase::setConnectOptions$
    {55, 636, 627},	// QSqlDatabase::setDatabaseName$
    {55, 640, 665},	// QSqlDatabase::setDefaultConnection$
    {55, 662, 630},	// QSqlDatabase::setHostName$
    {55, 677, 641},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {55, 683, 629},	// QSqlDatabase::setPassword$
    {55, 685, 631},	// QSqlDatabase::setPort$
    {55, 715, 628},	// QSqlDatabase::setUserName$
    {55, 741, 656},	// QSqlDatabase::tables
    {55, 742, 618},	// QSqlDatabase::tables$
    {55, 753, 624},	// QSqlDatabase::transaction
    {55, 763, 634},	// QSqlDatabase::userName
    {55, 768, 666},	// QSqlDatabase::~QSqlDatabase
    {56, 3, 720},	// QSqlDriver::BLOB
    {56, 5, 726},	// QSqlDriver::BatchOperations
    {56, 9, 736},	// QSqlDriver::DeleteStatement
    {56, 11, 729},	// QSqlDriver::EventNotifications
    {56, 12, 737},	// QSqlDriver::FieldName
    {56, 13, 730},	// QSqlDriver::FinishQuery
    {56, 17, 735},	// QSqlDriver::InsertStatement
    {56, 18, 725},	// QSqlDriver::LastInsertId
    {56, 41, 728},	// QSqlDriver::LowPrecisionNumbers
    {56, 42, 731},	// QSqlDriver::MultipleResultSets
    {56, 44, 723},	// QSqlDriver::NamedPlaceholders
    {56, 53, 724},	// QSqlDriver::PositionalPlaceholders
    {56, 54, 722},	// QSqlDriver::PreparedQueries
    {56, 58, 710},	// QSqlDriver::QSqlDriver
    {56, 59, 674},	// QSqlDriver::QSqlDriver#
    {56, 111, 719},	// QSqlDriver::QuerySize
    {56, 113, 733},	// QSqlDriver::SelectStatement
    {56, 115, 727},	// QSqlDriver::SimpleLocking
    {56, 118, 738},	// QSqlDriver::TableName
    {56, 121, 718},	// QSqlDriver::Transactions
    {56, 122, 721},	// QSqlDriver::Unicode
    {56, 125, 734},	// QSqlDriver::UpdateStatement
    {56, 129, 732},	// QSqlDriver::WhereStatement
    {56, 148, 677},	// QSqlDriver::beginTransaction
    {56, 169, 689},	// QSqlDriver::close
    {56, 173, 678},	// QSqlDriver::commitTransaction
    {56, 186, 690},	// QSqlDriver::createResult
    {56, 217, 684},	// QSqlDriver::escapeIdentifier$$
    {56, 245, 711},	// QSqlDriver::formatValue#
    {56, 246, 683},	// QSqlDriver::formatValue#$
    {56, 247, 687},	// QSqlDriver::handle
    {56, 249, 688},	// QSqlDriver::hasFeature$
    {56, 286, 695},	// QSqlDriver::isIdentifierEscaped$$
    {56, 288, 706},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {56, 291, 675},	// QSqlDriver::isOpen
    {56, 292, 676},	// QSqlDriver::isOpenError
    {56, 299, 686},	// QSqlDriver::lastError
    {56, 304, 667},	// QSqlDriver::metaObject
    {56, 311, 699},	// QSqlDriver::notification$
    {56, 314, 698},	// QSqlDriver::numericalPrecisionPolicy
    {56, 316, 712},	// QSqlDriver::open$
    {56, 317, 713},	// QSqlDriver::open$$
    {56, 318, 714},	// QSqlDriver::open$$$
    {56, 319, 715},	// QSqlDriver::open$$$$
    {56, 320, 716},	// QSqlDriver::open$$$$$
    {56, 321, 691},	// QSqlDriver::open$$$$$$
    {56, 395, 681},	// QSqlDriver::primaryIndex$
    {56, 569, 673},	// QSqlDriver::qt_metacall$$?
    {56, 571, 668},	// QSqlDriver::qt_metacast$
    {56, 584, 682},	// QSqlDriver::record$
    {56, 612, 679},	// QSqlDriver::rollbackTransaction
    {56, 665, 702},	// QSqlDriver::setLastError#
    {56, 677, 697},	// QSqlDriver::setNumericalPrecisionPolicy$
    {56, 679, 700},	// QSqlDriver::setOpen$
    {56, 681, 701},	// QSqlDriver::setOpenError$
    {56, 725, 685},	// QSqlDriver::sqlStatement$$#$
    {56, 726, 717},	// QSqlDriver::staticMetaObject
    {56, 728, 696},	// QSqlDriver::stripDelimiters$$
    {56, 730, 707},	// QSqlDriver::stripDelimitersImplementation$$
    {56, 734, 692},	// QSqlDriver::subscribeToNotification$
    {56, 736, 703},	// QSqlDriver::subscribeToNotificationImplementation$
    {56, 737, 694},	// QSqlDriver::subscribedToNotifications
    {56, 738, 705},	// QSqlDriver::subscribedToNotificationsImplementation
    {56, 742, 680},	// QSqlDriver::tables$
    {56, 746, 708},	// QSqlDriver::tr$
    {56, 747, 669},	// QSqlDriver::tr$$
    {56, 748, 671},	// QSqlDriver::tr$$$
    {56, 750, 709},	// QSqlDriver::trUtf8$
    {56, 751, 670},	// QSqlDriver::trUtf8$$
    {56, 752, 672},	// QSqlDriver::trUtf8$$$
    {56, 757, 693},	// QSqlDriver::unsubscribeFromNotification$
    {56, 759, 704},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {56, 769, 739},	// QSqlDriver::~QSqlDriver
    {57, 60, 741},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {57, 61, 742},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {57, 185, 740},	// QSqlDriverCreatorBase::createObject
    {57, 770, 743},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {58, 62, 745},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {58, 63, 746},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {58, 182, 744},	// QSqlDriverFactoryInterface::create$
    {58, 771, 747},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {59, 64, 760},	// QSqlDriverPlugin::QSqlDriverPlugin
    {59, 65, 755},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {59, 182, 757},	// QSqlDriverPlugin::create$
    {59, 297, 756},	// QSqlDriverPlugin::keys
    {59, 304, 748},	// QSqlDriverPlugin::metaObject
    {59, 569, 754},	// QSqlDriverPlugin::qt_metacall$$?
    {59, 571, 749},	// QSqlDriverPlugin::qt_metacast$
    {59, 726, 761},	// QSqlDriverPlugin::staticMetaObject
    {59, 746, 758},	// QSqlDriverPlugin::tr$
    {59, 747, 750},	// QSqlDriverPlugin::tr$$
    {59, 748, 752},	// QSqlDriverPlugin::tr$$$
    {59, 750, 759},	// QSqlDriverPlugin::trUtf8$
    {59, 751, 751},	// QSqlDriverPlugin::trUtf8$$
    {59, 752, 753},	// QSqlDriverPlugin::trUtf8$$$
    {59, 772, 762},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {60, 8, 781},	// QSqlError::ConnectionError
    {60, 46, 780},	// QSqlError::NoError
    {60, 66, 776},	// QSqlError::QSqlError
    {60, 67, 764},	// QSqlError::QSqlError#
    {60, 68, 777},	// QSqlError::QSqlError$
    {60, 69, 778},	// QSqlError::QSqlError$$
    {60, 70, 779},	// QSqlError::QSqlError$$$
    {60, 71, 763},	// QSqlError::QSqlError$$$$
    {60, 116, 782},	// QSqlError::StatementError
    {60, 120, 783},	// QSqlError::TransactionError
    {60, 124, 784},	// QSqlError::UnknownError
    {60, 197, 768},	// QSqlError::databaseText
    {60, 211, 766},	// QSqlError::driverText
    {60, 295, 775},	// QSqlError::isValid
    {60, 313, 772},	// QSqlError::number
    {60, 360, 765},	// QSqlError::operator=#
    {60, 638, 769},	// QSqlError::setDatabaseText$
    {60, 646, 767},	// QSqlError::setDriverText$
    {60, 675, 773},	// QSqlError::setNumber$
    {60, 713, 771},	// QSqlError::setType$
    {60, 743, 774},	// QSqlError::text
    {60, 754, 770},	// QSqlError::type
    {60, 773, 785},	// QSqlError::~QSqlError
    {61, 50, 820},	// QSqlField::Optional
    {61, 72, 817},	// QSqlField::QSqlField
    {61, 73, 787},	// QSqlField::QSqlField#
    {61, 74, 818},	// QSqlField::QSqlField$
    {61, 75, 786},	// QSqlField::QSqlField$$
    {61, 112, 821},	// QSqlField::Required
    {61, 123, 819},	// QSqlField::Unknown
    {61, 165, 798},	// QSqlField::clear
    {61, 199, 813},	// QSqlField::defaultValue
    {61, 274, 800},	// QSqlField::isAutoValue
    {61, 283, 815},	// QSqlField::isGenerated
    {61, 289, 795},	// QSqlField::isNull
    {61, 293, 797},	// QSqlField::isReadOnly
    {61, 295, 816},	// QSqlField::isValid
    {61, 302, 811},	// QSqlField::length
    {61, 307, 794},	// QSqlField::name
    {61, 323, 790},	// QSqlField::operator!=#
    {61, 360, 788},	// QSqlField::operator=#
    {61, 362, 789},	// QSqlField::operator==#
    {61, 390, 812},	// QSqlField::precision
    {61, 603, 810},	// QSqlField::requiredStatus
    {61, 627, 809},	// QSqlField::setAutoValue$
    {61, 642, 806},	// QSqlField::setDefaultValue#
    {61, 656, 808},	// QSqlField::setGenerated$
    {61, 667, 804},	// QSqlField::setLength$
    {61, 671, 793},	// QSqlField::setName$
    {61, 687, 805},	// QSqlField::setPrecision$
    {61, 695, 796},	// QSqlField::setReadOnly$
    {61, 701, 803},	// QSqlField::setRequired$
    {61, 703, 802},	// QSqlField::setRequiredStatus$
    {61, 709, 807},	// QSqlField::setSqlType$
    {61, 713, 801},	// QSqlField::setType$
    {61, 717, 791},	// QSqlField::setValue#
    {61, 754, 799},	// QSqlField::type
    {61, 755, 814},	// QSqlField::typeID
    {61, 764, 792},	// QSqlField::value
    {61, 774, 822},	// QSqlField::~QSqlField
    {62, 76, 834},	// QSqlIndex::QSqlIndex
    {62, 77, 824},	// QSqlIndex::QSqlIndex#
    {62, 78, 835},	// QSqlIndex::QSqlIndex$
    {62, 79, 823},	// QSqlIndex::QSqlIndex$$
    {62, 139, 830},	// QSqlIndex::append#
    {62, 140, 831},	// QSqlIndex::append#$
    {62, 187, 827},	// QSqlIndex::cursorName
    {62, 276, 832},	// QSqlIndex::isDescending$
    {62, 307, 829},	// QSqlIndex::name
    {62, 360, 825},	// QSqlIndex::operator=#
    {62, 631, 826},	// QSqlIndex::setCursorName$
    {62, 644, 833},	// QSqlIndex::setDescending$$
    {62, 671, 828},	// QSqlIndex::setName$
    {62, 775, 836},	// QSqlIndex::~QSqlIndex
    {63, 80, 879},	// QSqlQuery::QSqlQuery
    {63, 81, -464},	// QSqlQuery::QSqlQuery#
    {63, 82, 880},	// QSqlQuery::QSqlQuery$
    {63, 83, 838},	// QSqlQuery::QSqlQuery$#
    {63, 126, 887},	// QSqlQuery::ValuesAsColumns
    {63, 127, 886},	// QSqlQuery::ValuesAsRows
    {63, 131, 885},	// QSqlQuery::addBindValue#
    {63, 132, 871},	// QSqlQuery::addBindValue#$
    {63, 141, 845},	// QSqlQuery::at
    {63, 150, -468},	// QSqlQuery::bindValue$#
    {63, 151, -471},	// QSqlQuery::bindValue$#$
    {63, 156, -474},	// QSqlQuery::boundValue$
    {63, 160, 874},	// QSqlQuery::boundValues
    {63, 165, 865},	// QSqlQuery::clear
    {63, 209, 851},	// QSqlQuery::driver
    {63, 220, 866},	// QSqlQuery::exec
    {63, 221, 856},	// QSqlQuery::exec$
    {63, 222, 882},	// QSqlQuery::execBatch
    {63, 223, 867},	// QSqlQuery::execBatch$
    {63, 224, 875},	// QSqlQuery::executedQuery
    {63, 240, 877},	// QSqlQuery::finish
    {63, 241, 863},	// QSqlQuery::first
    {63, 273, 843},	// QSqlQuery::isActive
    {63, 282, 853},	// QSqlQuery::isForwardOnly
    {63, 290, 844},	// QSqlQuery::isNull$
    {63, 294, 849},	// QSqlQuery::isSelect
    {63, 295, 842},	// QSqlQuery::isValid
    {63, 298, 864},	// QSqlQuery::last
    {63, 299, 848},	// QSqlQuery::lastError
    {63, 300, 876},	// QSqlQuery::lastInsertId
    {63, 301, 846},	// QSqlQuery::lastQuery
    {63, 308, 861},	// QSqlQuery::next
    {63, 309, 878},	// QSqlQuery::nextResult
    {63, 312, 847},	// QSqlQuery::numRowsAffected
    {63, 314, 859},	// QSqlQuery::numericalPrecisionPolicy
    {63, 360, 841},	// QSqlQuery::operator=#
    {63, 392, 868},	// QSqlQuery::prepare$
    {63, 393, 862},	// QSqlQuery::previous
    {63, 583, 854},	// QSqlQuery::record
    {63, 606, 852},	// QSqlQuery::result
    {63, 618, 881},	// QSqlQuery::seek$
    {63, 619, 860},	// QSqlQuery::seek$$
    {63, 654, 855},	// QSqlQuery::setForwardOnly$
    {63, 677, 858},	// QSqlQuery::setNumericalPrecisionPolicy$
    {63, 719, 850},	// QSqlQuery::size
    {63, 765, 857},	// QSqlQuery::value$
    {63, 776, 888},	// QSqlQuery::~QSqlQuery
    {64, 84, 918},	// QSqlQueryModel::QSqlQueryModel
    {64, 85, 896},	// QSqlQueryModel::QSqlQueryModel#
    {64, 162, 928},	// QSqlQueryModel::canFetchMore
    {64, 163, 912},	// QSqlQueryModel::canFetchMore#
    {64, 165, 909},	// QSqlQueryModel::clear
    {64, 170, 920},	// QSqlQueryModel::columnCount
    {64, 171, 898},	// QSqlQueryModel::columnCount#
    {64, 190, 921},	// QSqlQueryModel::data#
    {64, 191, 901},	// QSqlQueryModel::data#$
    {64, 229, 927},	// QSqlQueryModel::fetchMore
    {64, 230, 911},	// QSqlQueryModel::fetchMore#
    {64, 252, 922},	// QSqlQueryModel::headerData$$
    {64, 253, 902},	// QSqlQueryModel::headerData$$$
    {64, 258, 914},	// QSqlQueryModel::indexInQuery#
    {64, 264, 924},	// QSqlQueryModel::insertColumns$$
    {64, 265, 904},	// QSqlQueryModel::insertColumns$$#
    {64, 299, 910},	// QSqlQueryModel::lastError
    {64, 304, 889},	// QSqlQueryModel::metaObject
    {64, 569, 895},	// QSqlQueryModel::qt_metacall$$?
    {64, 571, 890},	// QSqlQueryModel::qt_metacast$
    {64, 577, 908},	// QSqlQueryModel::query
    {64, 578, 913},	// QSqlQueryModel::queryChange
    {64, 583, 900},	// QSqlQueryModel::record
    {64, 584, 899},	// QSqlQueryModel::record$
    {64, 594, 925},	// QSqlQueryModel::removeColumns$$
    {64, 595, 905},	// QSqlQueryModel::removeColumns$$#
    {64, 613, 919},	// QSqlQueryModel::rowCount
    {64, 614, 897},	// QSqlQueryModel::rowCount#
    {64, 659, 923},	// QSqlQueryModel::setHeaderData$$#
    {64, 660, 903},	// QSqlQueryModel::setHeaderData$$#$
    {64, 665, 915},	// QSqlQueryModel::setLastError#
    {64, 691, 906},	// QSqlQueryModel::setQuery#
    {64, 692, 926},	// QSqlQueryModel::setQuery$
    {64, 693, 907},	// QSqlQueryModel::setQuery$#
    {64, 726, 929},	// QSqlQueryModel::staticMetaObject
    {64, 746, 916},	// QSqlQueryModel::tr$
    {64, 747, 891},	// QSqlQueryModel::tr$$
    {64, 748, 893},	// QSqlQueryModel::tr$$$
    {64, 750, 917},	// QSqlQueryModel::trUtf8$
    {64, 751, 892},	// QSqlQueryModel::trUtf8$$
    {64, 752, 894},	// QSqlQueryModel::trUtf8$$$
    {64, 777, 930},	// QSqlQueryModel::~QSqlQueryModel
    {65, 86, 931},	// QSqlRecord::QSqlRecord
    {65, 87, 932},	// QSqlRecord::QSqlRecord#
    {65, 139, 952},	// QSqlRecord::append#
    {65, 165, 958},	// QSqlRecord::clear
    {65, 166, 959},	// QSqlRecord::clearValues
    {65, 179, 957},	// QSqlRecord::contains$
    {65, 180, 960},	// QSqlRecord::count
    {65, 234, -477},	// QSqlRecord::field$
    {65, 238, 945},	// QSqlRecord::fieldName$
    {65, 260, 944},	// QSqlRecord::indexOf$
    {65, 262, 954},	// QSqlRecord::insert$#
    {65, 281, 956},	// QSqlRecord::isEmpty
    {65, 284, -480},	// QSqlRecord::isGenerated$
    {65, 290, -483},	// QSqlRecord::isNull$
    {65, 323, 935},	// QSqlRecord::operator!=#
    {65, 360, 933},	// QSqlRecord::operator=#
    {65, 362, 934},	// QSqlRecord::operator==#
    {65, 592, 955},	// QSqlRecord::remove$
    {65, 602, 953},	// QSqlRecord::replace$#
    {65, 657, -486},	// QSqlRecord::setGenerated$$
    {65, 673, -489},	// QSqlRecord::setNull$
    {65, 718, -492},	// QSqlRecord::setValue$#
    {65, 765, -495},	// QSqlRecord::value$
    {65, 778, 961},	// QSqlRecord::~QSqlRecord
    {66, 88, 962},	// QSqlRelation::QSqlRelation
    {66, 89, 968},	// QSqlRelation::QSqlRelation#
    {66, 90, 963},	// QSqlRelation::QSqlRelation$$$
    {66, 204, 966},	// QSqlRelation::displayColumn
    {66, 256, 965},	// QSqlRelation::indexColumn
    {66, 295, 967},	// QSqlRelation::isValid
    {66, 740, 964},	// QSqlRelation::tableName
    {66, 779, 969},	// QSqlRelation::~QSqlRelation
    {67, 91, 974},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {67, 92, 970},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {67, 184, 971},	// QSqlRelationalDelegate::createEditor###
    {67, 650, 972},	// QSqlRelationalDelegate::setEditorData##
    {67, 669, 973},	// QSqlRelationalDelegate::setModelData###
    {67, 780, 975},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {68, 93, 1000},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {68, 94, 1001},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {68, 95, 983},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {68, 165, 987},	// QSqlRelationalTableModel::clear
    {68, 190, 1002},	// QSqlRelationalTableModel::data#
    {68, 191, 984},	// QSqlRelationalTableModel::data#$
    {68, 269, 996},	// QSqlRelationalTableModel::insertRowIntoTable#
    {68, 304, 976},	// QSqlRelationalTableModel::metaObject
    {68, 386, 997},	// QSqlRelationalTableModel::orderByClause
    {68, 569, 982},	// QSqlRelationalTableModel::qt_metacall$$?
    {68, 571, 977},	// QSqlRelationalTableModel::qt_metacast$
    {68, 588, 991},	// QSqlRelationalTableModel::relation$
    {68, 590, 992},	// QSqlRelationalTableModel::relationModel$
    {68, 594, 1004},	// QSqlRelationalTableModel::removeColumns$$
    {68, 595, 986},	// QSqlRelationalTableModel::removeColumns$$#
    {68, 610, 993},	// QSqlRelationalTableModel::revertRow$
    {68, 620, 988},	// QSqlRelationalTableModel::select
    {68, 621, 994},	// QSqlRelationalTableModel::selectStatement
    {68, 633, 1003},	// QSqlRelationalTableModel::setData##
    {68, 634, 985},	// QSqlRelationalTableModel::setData##$
    {68, 699, 990},	// QSqlRelationalTableModel::setRelation$#
    {68, 711, 989},	// QSqlRelationalTableModel::setTable$
    {68, 726, 1005},	// QSqlRelationalTableModel::staticMetaObject
    {68, 746, 998},	// QSqlRelationalTableModel::tr$
    {68, 747, 978},	// QSqlRelationalTableModel::tr$$
    {68, 748, 980},	// QSqlRelationalTableModel::tr$$$
    {68, 750, 999},	// QSqlRelationalTableModel::trUtf8$
    {68, 751, 979},	// QSqlRelationalTableModel::trUtf8$$
    {68, 752, 981},	// QSqlRelationalTableModel::trUtf8$$$
    {68, 762, 995},	// QSqlRelationalTableModel::updateRowInTable$#
    {68, 781, 1006},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {69, 4, 1061},	// QSqlResult::BatchOperation
    {69, 10, 1062},	// QSqlResult::DetachFromResultSet
    {69, 43, 1060},	// QSqlResult::NamedBinding
    {69, 45, 1064},	// QSqlResult::NextResult
    {69, 52, 1059},	// QSqlResult::PositionalBinding
    {69, 97, 1008},	// QSqlResult::QSqlResult#
    {69, 114, 1063},	// QSqlResult::SetNumericalPrecision
    {69, 132, 1028},	// QSqlResult::addBindValue#$
    {69, 141, 1009},	// QSqlResult::at
    {69, 151, -498},	// QSqlResult::bindValue$#$
    {69, 153, -501},	// QSqlResult::bindValueType$
    {69, 154, 1039},	// QSqlResult::bindingSyntax
    {69, 156, -504},	// QSqlResult::boundValue$
    {69, 157, 1033},	// QSqlResult::boundValueCount
    {69, 159, 1036},	// QSqlResult::boundValueName$
    {69, 160, 1034},	// QSqlResult::boundValues
    {69, 165, 1037},	// QSqlResult::clear
    {69, 192, 1040},	// QSqlResult::data$
    {69, 202, 1054},	// QSqlResult::detachFromResultSet
    {69, 209, 1016},	// QSqlResult::driver
    {69, 220, 1023},	// QSqlResult::exec
    {69, 222, 1058},	// QSqlResult::execBatch
    {69, 223, 1053},	// QSqlResult::execBatch$
    {69, 224, 1035},	// QSqlResult::executedQuery
    {69, 226, 1043},	// QSqlResult::fetch$
    {69, 227, 1046},	// QSqlResult::fetchFirst
    {69, 228, 1047},	// QSqlResult::fetchLast
    {69, 231, 1044},	// QSqlResult::fetchNext
    {69, 232, 1045},	// QSqlResult::fetchPrevious
    {69, 247, 1007},	// QSqlResult::handle
    {69, 250, 1038},	// QSqlResult::hasOutValues
    {69, 273, 1013},	// QSqlResult::isActive
    {69, 282, 1015},	// QSqlResult::isForwardOnly
    {69, 290, 1041},	// QSqlResult::isNull$
    {69, 294, 1014},	// QSqlResult::isSelect
    {69, 295, 1012},	// QSqlResult::isValid
    {69, 299, 1011},	// QSqlResult::lastError
    {69, 300, 1051},	// QSqlResult::lastInsertId
    {69, 301, 1010},	// QSqlResult::lastQuery
    {69, 309, 1057},	// QSqlResult::nextResult
    {69, 312, 1049},	// QSqlResult::numRowsAffected
    {69, 314, 1056},	// QSqlResult::numericalPrecisionPolicy
    {69, 392, 1024},	// QSqlResult::prepare$
    {69, 583, 1050},	// QSqlResult::record
    {69, 605, 1042},	// QSqlResult::reset$
    {69, 616, 1025},	// QSqlResult::savePrepare$
    {69, 623, 1018},	// QSqlResult::setActive$
    {69, 625, 1017},	// QSqlResult::setAt$
    {69, 654, 1022},	// QSqlResult::setForwardOnly$
    {69, 665, 1019},	// QSqlResult::setLastError#
    {69, 677, 1055},	// QSqlResult::setNumericalPrecisionPolicy$
    {69, 692, 1020},	// QSqlResult::setQuery$
    {69, 705, 1021},	// QSqlResult::setSelect$
    {69, 719, 1048},	// QSqlResult::size
    {69, 767, 1052},	// QSqlResult::virtual_hook$$
    {69, 782, 1065},	// QSqlResult::~QSqlResult
    {70, 47, 1127},	// QSqlTableModel::OnFieldChange
    {70, 48, 1129},	// QSqlTableModel::OnManualSubmit
    {70, 49, 1128},	// QSqlTableModel::OnRowChange
    {70, 98, 1117},	// QSqlTableModel::QSqlTableModel
    {70, 99, 1118},	// QSqlTableModel::QSqlTableModel#
    {70, 100, 1073},	// QSqlTableModel::QSqlTableModel##
    {70, 143, 1106},	// QSqlTableModel::beforeDelete$
    {70, 145, 1104},	// QSqlTableModel::beforeInsert#
    {70, 147, 1105},	// QSqlTableModel::beforeUpdate$#
    {70, 165, 1082},	// QSqlTableModel::clear
    {70, 190, 1119},	// QSqlTableModel::data#
    {70, 191, 1078},	// QSqlTableModel::data#$
    {70, 193, 1086},	// QSqlTableModel::database
    {70, 201, 1109},	// QSqlTableModel::deleteRowFromTable$
    {70, 214, 1084},	// QSqlTableModel::editStrategy
    {70, 236, 1087},	// QSqlTableModel::fieldIndex$
    {70, 239, 1090},	// QSqlTableModel::filter
    {70, 243, 1077},	// QSqlTableModel::flags#
    {70, 252, 1121},	// QSqlTableModel::headerData$$
    {70, 253, 1080},	// QSqlTableModel::headerData$$$
    {70, 258, 1114},	// QSqlTableModel::indexInQuery#
    {70, 267, 1096},	// QSqlTableModel::insertRecord$#
    {70, 269, 1108},	// QSqlTableModel::insertRowIntoTable#
    {70, 271, 1125},	// QSqlTableModel::insertRows$$
    {70, 272, 1095},	// QSqlTableModel::insertRows$$#
    {70, 278, 1081},	// QSqlTableModel::isDirty#
    {70, 304, 1066},	// QSqlTableModel::metaObject
    {70, 386, 1110},	// QSqlTableModel::orderByClause
    {70, 396, 1085},	// QSqlTableModel::primaryKey
    {70, 398, 1103},	// QSqlTableModel::primeInsert$#
    {70, 569, 1072},	// QSqlTableModel::qt_metacall$$?
    {70, 571, 1067},	// QSqlTableModel::qt_metacast$
    {70, 594, 1123},	// QSqlTableModel::removeColumns$$
    {70, 595, 1093},	// QSqlTableModel::removeColumns$$#
    {70, 599, 1124},	// QSqlTableModel::removeRows$$
    {70, 600, 1094},	// QSqlTableModel::removeRows$$#
    {70, 607, 1100},	// QSqlTableModel::revert
    {70, 608, 1102},	// QSqlTableModel::revertAll
    {70, 610, 1098},	// QSqlTableModel::revertRow$
    {70, 613, 1122},	// QSqlTableModel::rowCount
    {70, 614, 1092},	// QSqlTableModel::rowCount#
    {70, 620, 1074},	// QSqlTableModel::select
    {70, 621, 1111},	// QSqlTableModel::selectStatement
    {70, 633, 1120},	// QSqlTableModel::setData##
    {70, 634, 1079},	// QSqlTableModel::setData##$
    {70, 648, 1083},	// QSqlTableModel::setEditStrategy$
    {70, 652, 1091},	// QSqlTableModel::setFilter$
    {70, 689, 1112},	// QSqlTableModel::setPrimaryKey#
    {70, 691, 1113},	// QSqlTableModel::setQuery#
    {70, 697, 1097},	// QSqlTableModel::setRecord$#
    {70, 707, 1089},	// QSqlTableModel::setSort$$
    {70, 711, 1075},	// QSqlTableModel::setTable$
    {70, 722, 1088},	// QSqlTableModel::sort$$
    {70, 726, 1126},	// QSqlTableModel::staticMetaObject
    {70, 731, 1099},	// QSqlTableModel::submit
    {70, 732, 1101},	// QSqlTableModel::submitAll
    {70, 740, 1076},	// QSqlTableModel::tableName
    {70, 746, 1115},	// QSqlTableModel::tr$
    {70, 747, 1068},	// QSqlTableModel::tr$$
    {70, 748, 1070},	// QSqlTableModel::tr$$$
    {70, 750, 1116},	// QSqlTableModel::trUtf8$
    {70, 751, 1069},	// QSqlTableModel::trUtf8$$
    {70, 752, 1071},	// QSqlTableModel::trUtf8$$$
    {70, 762, 1107},	// QSqlTableModel::updateRowInTable$#
    {70, 783, 1130},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 84,
        __smokeqtsql::methods, 1131,
        __smokeqtsql::methodMaps, 696,
        __smokeqtsql::methodNames, 783,
        __smokeqtsql::types, 389,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
