#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//41
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//125
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//151
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//156
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//160
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//161
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//162
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//168
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//169
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//170
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//171
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//187
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//194
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//196
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//197
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//198
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//199
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//200
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//201
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//202
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//203
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//204
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//205
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//206
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//208
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//209
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//217
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//218
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//221
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//224
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//226
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//239
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//245
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//248
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//250
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//253
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//254
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//256
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//260
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//262
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//263
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//264
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//266
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//269
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//270
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//271
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//276
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtValidLicenseForActiveQtModule", 26, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtValidLicenseForCoreModule", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForDBusModule", 26, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForDeclarativeModule", 26, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForGuiModule", 26, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForHelpModule", 26, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForMultimediaModule", 26, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForNetworkModule", 26, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForOpenGLModule", 26, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForOpenVGModule", 26, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForQt3SupportLightModule", 26, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForQt3SupportModule", 26, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForScriptModule", 26, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForScriptToolsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForSqlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForSvgModule", 26, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForTestModule", 26, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForXmlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForXmlPatternsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//371
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//372
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//373
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//374
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//375
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//378
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//379
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//429
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//434
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//452
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//460
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//461
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//463
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//464
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//465
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//466
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//467
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//468
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//469
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//470
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//471
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//472
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//473
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//474
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//476
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//477
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//478
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//480
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//481
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    376, 376, 0,	//1  const QBitArray&, const QBitArray&
    411, 0,	//4  const QPersistentModelIndex&
    296, 465, 0,	//6  Qt::DockWidgetArea, int
    460, 460, 465, 0,	//9  const char*, const char*, int
    128, 128, 0,	//13  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    415, 463, 0,	//16  const QPoint&, double
    463, 0,	//19  double
    30, 394, 0,	//21  QDebug, const QItemSelectionRange&
    463, 417, 0,	//24  double, const QPointF&
    321, 117, 0,	//27  Qt::MouseButton, QFlags<Qt::MouseButton>
    401, 401, 0,	//30  const QMargins&, const QMargins&
    30, 439, 0,	//33  QDebug, const QStyleOption&
    463, 430, 0,	//36  double, const QSizeF&
    33, 465, 0,	//39  QDir::SortFlag, int
    2, 2, 0,	//42  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    30, 411, 0,	//45  QDebug, const QPersistentModelIndex&
    26, 149, 0,	//48  QDataStream&, QImage&
    26, 431, 0,	//51  QDataStream&, const QSizePolicy&
    310, 465, 0,	//54  Qt::InputMethodHint, int
    233, 465, 0,	//57  QStyleOptionToolBar::ToolBarFeature, int
    30, 447, 0,	//60  QDebug, const QTransform&
    375, 460, 0,	//63  char*, const char*
    422, 422, 0,	//66  const QRect&, const QRect&
    428, 428, 0,	//69  const QSize&, const QSize&
    26, 447, 0,	//72  QDataStream&, const QTransform&
    242, 242, 0,	//75  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    30, 415, 0,	//78  QDebug, const QPoint&
    403, 403, 0,	//81  const QMatrix4x4&, const QMatrix4x4&
    471, 0,	//84  unsigned char
    32, 55, 0,	//86  QDir::Filter, QFlags<QDir::Filter>
    459, 459, 0,	//89  const QVector4D&, const QVector4D&
    417, 402, 0,	//92  const QPointF&, const QMatrix&
    183, 183, 0,	//95  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    397, 447, 0,	//98  const QLine&, const QTransform&
    455, 455, 0,	//101  const QVector2D&, const QVector2D&
    43, 60, 0,	//104  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    348, 122, 0,	//107  Qt::WindowState, QFlags<Qt::WindowState>
    430, 463, 0,	//110  const QSizeF&, double
    26, 397, 0,	//113  QDataStream&, const QLine&
    32, 465, 0,	//116  QDir::Filter, int
    447, 447, 0,	//119  const QTransform&, const QTransform&
    460, 396, 0,	//122  const char*, const QLatin1String&
    473, 0,	//125  unsigned int
    45, 62, 0,	//127  QFileDialog::Option, QFlags<QFileDialog::Option>
    430, 430, 0,	//130  const QSizeF&, const QSizeF&
    380, 380, 0,	//133  const QByteArray&, const QByteArray&
    396, 438, 0,	//136  const QLatin1String&, const QStringRef&
    421, 0,	//139  const QQuaternion&
    3, 3, 0,	//141  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    321, 321, 0,	//144  Qt::MouseButton, Qt::MouseButton
    30, 452, 0,	//147  QDebug, const QVariant::Type
    451, 453, 0,	//150  const QVariant&, const QVariantComparisonHelper&
    421, 463, 0,	//153  const QQuaternion&, double
    14, 14, 0,	//156  QBool, QBool
    232, 232, 0,	//159  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    231, 231, 0,	//162  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    126, 126, 0,	//165  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    277, 108, 0,	//168  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    438, 0,	//171  const QStringRef&
    246, 246, 0,	//173  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    221, 221, 0,	//176  QString::Null, QString::Null
    30, 389, 0,	//179  QDebug, const QFont&
    30, 418, 0,	//182  QDebug, const QPolygon&
    26, 423, 0,	//185  QDataStream&, const QRectF&
    26, 165, 0,	//188  QDataStream&, QLocale&
    228, 465, 0,	//191  QStyle::SubControl, int
    35, 35, 0,	//194  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    18, 435, 0,	//197  QChar, const QString&
    147, 72, 0,	//200  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    185, 422, 409, 373, 465, 378, 0,	//203  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    185, 422, 409, 0,	//210  QPainter*, const QRect&, const QPalette&
    185, 422, 409, 373, 0,	//214  QPainter*, const QRect&, const QPalette&, bool
    185, 422, 409, 373, 465, 0,	//219  QPainter*, const QRect&, const QPalette&, bool, int
    455, 0,	//225  const QVector2D&
    32, 32, 0,	//227  QDir::Filter, QDir::Filter
    26, 409, 0,	//230  QDataStream&, const QPalette&
    30, 446, 0,	//233  QDebug, const QTime&
    421, 421, 0,	//236  const QQuaternion&, const QQuaternion&
    243, 98, 0,	//239  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    26, 380, 0,	//242  QDataStream&, const QByteArray&
    30, 384, 0,	//245  QDebug, const QDate&
    376, 0,	//248  const QBitArray&
    244, 99, 0,	//250  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    461, 472, 465, 0,	//253  const unsigned char*, unsigned char*, int
    10, 51, 0,	//257  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    419, 447, 0,	//260  const QPolygonF&, const QTransform&
    451, 265, 480, 0,	//263  const QVariant&, QVariant::Type, void*
    435, 0,	//267  const QString&
    476, 0,	//269  unsigned short
    179, 0,	//271  QObject*(*)()
    466, 0,	//273  long
    338, 338, 0,	//275  Qt::ToolBarArea, Qt::ToolBarArea
    467, 0,	//278  long long
    30, 419, 0,	//280  QDebug, const QPolygonF&
    185, 465, 465, 465, 465, 409, 373, 378, 0,	//283  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    185, 465, 465, 465, 465, 409, 0,	//292  QPainter*, int, int, int, int, const QPalette&
    185, 465, 465, 465, 465, 409, 373, 0,	//299  QPainter*, int, int, int, int, const QPalette&, bool
    192, 85, 0,	//307  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    274, 465, 0,	//310  QWidget::RenderFlag, int
    30, 382, 0,	//313  QDebug, const QColor&
    259, 465, 0,	//316  QTreeWidgetItemIterator::IteratorFlag, int
    298, 465, 0,	//319  Qt::DropAction, int
    185, 465, 465, 465, 465, 409, 373, 465, 465, 378, 0,	//322  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    185, 465, 465, 465, 465, 409, 373, 465, 0,	//333  QPainter*, int, int, int, int, const QPalette&, bool, int
    185, 465, 465, 465, 465, 409, 373, 465, 465, 0,	//342  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    26, 436, 0,	//352  QDataStream&, const QStringList&
    1, 1, 0,	//355  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    26, 190, 0,	//358  QDataStream&, QPen&
    464, 0,	//361  float
    128, 65, 0,	//363  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    277, 277, 0,	//366  Qt::AlignmentFlag, Qt::AlignmentFlag
    26, 22, 0,	//369  QDataStream&, QColor&
    34, 465, 0,	//372  QDirIterator::IteratorFlag, int
    26, 424, 0,	//375  QDataStream&, const QRegExp&
    261, 465, 0,	//378  QUrl::FormattingOption, int
    34, 57, 0,	//381  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    380, 460, 0,	//384  const QByteArray&, const char*
    130, 130, 0,	//387  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    127, 465, 0,	//390  QFontDialog::FontDialogOption, int
    30, 430, 0,	//393  QDebug, const QSizeF&
    296, 109, 0,	//396  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    231, 465, 0,	//399  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    397, 402, 0,	//402  const QLine&, const QMatrix&
    182, 182, 0,	//405  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    465, 465, 465, 0,	//408  int, int, int
    398, 402, 0,	//412  const QLineF&, const QMatrix&
    323, 323, 0,	//415  Qt::Orientation, Qt::Orientation
    408, 402, 0,	//418  const QPainterPath&, const QMatrix&
    338, 465, 0,	//421  Qt::ToolBarArea, int
    457, 457, 0,	//424  const QVector3D&, const QVector3D&
    26, 197, 0,	//427  QDataStream&, QPointF&
    26, 395, 0,	//430  QDataStream&, const QKeySequence&
    319, 465, 0,	//433  Qt::MatchFlag, int
    435, 460, 0,	//436  const QString&, const char*
    26, 442, 0,	//439  QDataStream&, const QTableWidgetItem&
    30, 133, 0,	//442  QDebug, QGraphicsItem::GraphicsItemChange
    30, 387, 0,	//445  QDebug, const QEasingCurve&
    154, 465, 0,	//448  QItemSelectionModel::SelectionFlag, int
    26, 383, 0,	//451  QDataStream&, const QCursor&
    174, 81, 0,	//454  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    303, 303, 0,	//457  Qt::GestureFlag, Qt::GestureFlag
    26, 27, 0,	//460  QDataStream&, QDate&
    26, 412, 0,	//463  QDataStream&, const QPicture&
    147, 147, 0,	//466  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    174, 174, 0,	//469  QMessageBox::StandardButton, QMessageBox::StandardButton
    43, 465, 0,	//472  QEventLoop::ProcessEventsFlag, int
    374, 380, 0,	//475  char, const QByteArray&
    26, 271, 0,	//478  QDataStream&, QVector4D&
    460, 435, 0,	//481  const char*, const QString&
    173, 80, 0,	//484  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    30, 88, 0,	//487  QDebug, QFlags<QStyle::StateFlag>
    460, 380, 0,	//490  const char*, const QByteArray&
    127, 127, 0,	//493  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    26, 262, 0,	//496  QDataStream&, QUuid&
    463, 463, 0,	//499  double, double
    26, 17, 0,	//502  QDataStream&, QByteArray&
    26, 264, 0,	//505  QDataStream&, QVariant&
    26, 448, 0,	//508  QDataStream&, const QTreeWidgetItem&
    26, 207, 0,	//511  QDataStream&, QRegExp&
    186, 186, 0,	//514  QPainter::RenderHint, QPainter::RenderHint
    417, 417, 0,	//517  const QPointF&, const QPointF&
    447, 463, 0,	//520  const QTransform&, double
    250, 432, 0,	//523  QTextStream&, const QSplitter&
    4, 49, 0,	//526  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    455, 463, 0,	//529  const QVector2D&, double
    259, 259, 0,	//532  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    229, 229, 0,	//535  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    438, 438, 0,	//538  const QStringRef&, const QStringRef&
    459, 463, 0,	//541  const QVector4D&, double
    229, 465, 0,	//544  QStyleOptionButton::ButtonFeature, int
    44, 465, 0,	//547  QFile::Permission, int
    30, 398, 0,	//550  QDebug, const QLineF&
    18, 18, 0,	//553  QChar, QChar
    403, 463, 0,	//556  const QMatrix4x4&, double
    408, 447, 0,	//559  const QPainterPath&, const QTransform&
    26, 377, 0,	//562  QDataStream&, const QBrush&
    172, 79, 0,	//565  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    460, 460, 473, 0,	//568  const char*, const char*, unsigned int
    380, 0,	//572  const QByteArray&
    152, 465, 0,	//574  QInputDialog::InputDialogOption, int
    4, 4, 0,	//577  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    227, 465, 0,	//580  QStyle::StateFlag, int
    30, 55, 0,	//583  QDebug, QFlags<QDir::Filter>
    460, 465, 0,	//586  const char*, int
    26, 209, 0,	//589  QDataStream&, QRegion&
    186, 465, 0,	//592  QPainter::RenderHint, int
    232, 465, 0,	//595  QStyleOptionTab::CornerWidget, int
    275, 275, 0,	//598  QWizard::WizardOption, QWizard::WizardOption
    252, 103, 0,	//601  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 13, 0,	//604  QDataStream&, QBitArray&
    275, 107, 0,	//607  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    417, 463, 0,	//610  const QPointF&, double
    183, 83, 0,	//613  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    134, 134, 0,	//616  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    18, 0,	//619  QChar
    185, 465, 465, 465, 465, 409, 373, 465, 378, 0,	//621  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 46, 0,	//631  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    479, 0,	//634  void(*)(QtMsgType,const char*)
    26, 384, 0,	//636  QDataStream&, const QDate&
    407, 435, 404, 0,	//639  const QObject*, const QString&, const QMetaObject&
    319, 116, 0,	//643  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    457, 403, 0,	//646  const QVector3D&, const QMatrix4x4&
    303, 465, 0,	//649  Qt::GestureFlag, int
    185, 422, 409, 373, 378, 0,	//652  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    242, 465, 0,	//658  QTextCodec::ConversionFlag, int
    216, 216, 0,	//661  QSizePolicy::ControlType, QSizePolicy::ControlType
    126, 465, 0,	//664  QFontComboBox::FontFilter, int
    243, 465, 0,	//667  QTextDocument::FindFlag, int
    26, 25, 0,	//670  QDataStream&, QCursor&
    316, 115, 0,	//673  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    457, 463, 0,	//676  const QVector3D&, double
    319, 319, 0,	//679  Qt::MatchFlag, Qt::MatchFlag
    26, 257, 0,	//682  QDataStream&, QTransform&
    418, 402, 0,	//685  const QPolygon&, const QMatrix&
    480, 0,	//688  void*
    232, 93, 0,	//690  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    435, 221, 0,	//693  const QString&, QString::Null
    30, 410, 0,	//696  QDebug, const QPen&
    234, 234, 0,	//699  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    158, 465, 0,	//702  QLibrary::LoadHint, int
    26, 214, 0,	//705  QDataStream&, QSizeF&
    438, 460, 0,	//708  const QStringRef&, const char*
    185, 422, 409, 373, 465, 465, 378, 0,	//711  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    185, 422, 409, 373, 465, 465, 0,	//719  QPainter*, const QRect&, const QPalette&, bool, int, int
    244, 244, 0,	//726  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    182, 465, 0,	//729  QPaintEngine::DirtyFlag, int
    134, 465, 0,	//732  QGraphicsItem::GraphicsItemFlag, int
    417, 0,	//735  const QPointF&
    480, 470, 470, 470, 0,	//737  void*, size_t, size_t, size_t
    313, 313, 0,	//742  Qt::ItemFlag, Qt::ItemFlag
    26, 413, 0,	//745  QDataStream&, const QPixmap&
    475, 0,	//748  unsigned long long
    380, 435, 0,	//750  const QByteArray&, const QString&
    349, 123, 0,	//753  Qt::WindowType, QFlags<Qt::WindowType>
    30, 428, 0,	//756  QDebug, const QSize&
    417, 447, 0,	//759  const QPointF&, const QTransform&
    313, 114, 0,	//762  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    30, 457, 0,	//765  QDebug, const QVector3D&
    341, 121, 0,	//768  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    435, 374, 0,	//771  const QString&, char
    35, 58, 0,	//774  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    130, 465, 0,	//777  QGraphicsEffect::ChangeFlag, int
    185, 465, 465, 465, 465, 382, 465, 378, 0,	//780  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    185, 465, 465, 465, 465, 382, 0,	//789  QPainter*, int, int, int, int, const QColor&
    185, 465, 465, 465, 465, 382, 465, 0,	//796  QPainter*, int, int, int, int, const QColor&, int
    26, 449, 0,	//804  QDataStream&, const QUrl&
    480, 465, 470, 0,	//807  void*, int, size_t
    216, 86, 0,	//811  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    26, 451, 0,	//814  QDataStream&, const QVariant&
    26, 160, 0,	//817  QDataStream&, QLine&
    380, 465, 0,	//820  const QByteArray&, int
    4, 465, 0,	//823  QAbstractSpinBox::StepEnabledFlag, int
    30, 455, 0,	//826  QDebug, const QVector2D&
    316, 316, 0,	//829  Qt::KeyboardModifier, Qt::KeyboardModifier
    403, 459, 0,	//832  const QMatrix4x4&, const QVector4D&
    10, 465, 0,	//835  QAccessible::StateFlag, int
    185, 422, 382, 465, 378, 0,	//838  QPainter*, const QRect&, const QColor&, int, const QBrush*
    185, 422, 382, 0,	//844  QPainter*, const QRect&, const QColor&
    185, 422, 382, 465, 0,	//848  QPainter*, const QRect&, const QColor&, int
    192, 192, 0,	//853  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    29, 465, 0,	//856  QDateTimeEdit::Section, int
    478, 0,	//859  void(*)()
    277, 465, 0,	//861  Qt::AlignmentFlag, int
    415, 402, 0,	//864  const QPoint&, const QMatrix&
    316, 465, 0,	//867  Qt::KeyboardModifier, int
    313, 465, 0,	//870  Qt::ItemFlag, int
    308, 112, 0,	//873  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    26, 410, 0,	//876  QDataStream&, const QPen&
    415, 415, 0,	//879  const QPoint&, const QPoint&
    222, 465, 0,	//882  QString::SectionFlag, int
    349, 465, 0,	//885  Qt::WindowType, int
    274, 274, 0,	//888  QWidget::RenderFlag, QWidget::RenderFlag
    438, 435, 0,	//891  const QStringRef&, const QString&
    185, 422, 401, 413, 422, 401, 445, 59, 0,	//894  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    185, 422, 401, 413, 422, 401, 0,	//903  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    185, 422, 401, 413, 422, 401, 445, 0,	//910  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    396, 396, 0,	//918  const QLatin1String&, const QLatin1String&
    391, 391, 0,	//921  const QHashDummyValue&, const QHashDummyValue&
    460, 473, 0,	//924  const char*, unsigned int
    261, 261, 0,	//927  QUrl::FormattingOption, QUrl::FormattingOption
    23, 465, 0,	//930  QColorDialog::ColorDialogOption, int
    26, 148, 0,	//933  QDataStream&, QIcon&
    26, 418, 0,	//936  QDataStream&, const QPolygon&
    341, 465, 0,	//939  Qt::TouchPointState, int
    274, 106, 0,	//942  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    30, 401, 0,	//945  QDebug, const QMargins&
    246, 465, 0,	//948  QTextFormat::PageBreakFlag, int
    460, 0,	//951  const char*
    150, 465, 0,	//953  QImageIOPlugin::Capability, int
    30, 68, 0,	//956  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    143, 465, 0,	//959  QGraphicsView::CacheModeFlag, int
    2, 465, 0,	//962  QAbstractItemView::EditTrigger, int
    30, 459, 0,	//965  QDebug, const QVector4D&
    250, 251, 0,	//968  QTextStream&, QTextStream&(*)(QTextStream&)
    275, 465, 0,	//971  QWizard::WizardOption, int
    45, 465, 0,	//974  QFileDialog::Option, int
    227, 88, 0,	//977  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    403, 415, 0,	//980  const QMatrix4x4&, const QPoint&
    234, 95, 0,	//983  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    26, 41, 0,	//986  QDataStream&, QEasingCurve&
    136, 69, 0,	//989  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    172, 172, 0,	//992  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 218, 0,	//995  QDataStream&, QStandardItem&
    26, 398, 0,	//998  QDataStream&, const QLineF&
    44, 61, 0,	//1001  QFile::Permission, QFlags<QFile::Permission>
    183, 465, 0,	//1004  QPaintEngine::PaintEngineFeature, int
    30, 408, 0,	//1007  QDebug, const QPainterPath&
    375, 460, 473, 0,	//1010  char*, const char*, unsigned int
    23, 52, 0,	//1014  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    26, 15, 0,	//1017  QDataStream&, QBrush&
    26, 417, 0,	//1020  QDataStream&, const QPointF&
    26, 171, 0,	//1023  QDataStream&, QMatrix4x4&
    459, 0,	//1026  const QVector4D&
    30, 403, 0,	//1028  QDebug, const QMatrix4x4&
    449, 0,	//1031  const QUrl&
    144, 465, 0,	//1033  QGraphicsView::OptimizationFlag, int
    26, 245, 0,	//1036  QDataStream&, QTextFormat&
    465, 0,	//1039  int
    166, 465, 0,	//1041  QLocale::NumberOption, int
    26, 164, 0,	//1044  QDataStream&, QListWidgetItem&
    480, 470, 0,	//1047  void*, size_t
    130, 67, 0,	//1050  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    129, 66, 0,	//1053  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    435, 435, 0,	//1056  const QString&, const QString&
    234, 465, 0,	//1059  QStyleOptionToolButton::ToolButtonFeature, int
    174, 465, 0,	//1062  QMessageBox::StandardButton, int
    460, 460, 460, 465, 0,	//1065  const char*, const char*, const char*, int
    435, 438, 0,	//1070  const QString&, const QStringRef&
    30, 134, 0,	//1073  QDebug, QGraphicsItem::GraphicsItemFlag
    9, 50, 0,	//1076  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    157, 155, 0,	//1079  QKeySequence::StandardKey, QKeyEvent*
    216, 465, 0,	//1082  QSizePolicy::ControlType, int
    26, 215, 0,	//1085  QDataStream&, QSizePolicy&
    460, 438, 0,	//1088  const char*, const QStringRef&
    26, 169, 0,	//1091  QDataStream&, QMatrix&
    321, 465, 0,	//1094  Qt::MouseButton, int
    231, 92, 0,	//1097  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    26, 213, 0,	//1100  QDataStream&, QSize&
    34, 34, 0,	//1103  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    310, 310, 0,	//1106  Qt::InputMethodHint, Qt::InputMethodHint
    252, 252, 0,	//1109  QTextStream::NumberFlag, QTextStream::NumberFlag
    403, 417, 0,	//1112  const QMatrix4x4&, const QPointF&
    403, 0,	//1115  const QMatrix4x4&
    3, 48, 0,	//1117  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    463, 455, 0,	//1120  double, const QVector2D&
    152, 152, 0,	//1123  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    3, 465, 0,	//1126  QAbstractPrintDialog::PrintDialogOption, int
    26, 266, 0,	//1129  QDataStream&, QVariant::Type&
    335, 119, 0,	//1132  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    26, 457, 0,	//1135  QDataStream&, const QVector3D&
    398, 447, 0,	//1138  const QLineF&, const QTransform&
    438, 396, 0,	//1141  const QStringRef&, const QLatin1String&
    469, 0,	//1144  signed char
    26, 419, 0,	//1146  QDataStream&, const QPolygonF&
    26, 430, 0,	//1149  QDataStream&, const QSizeF&
    338, 120, 0,	//1152  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    463, 457, 0,	//1155  double, const QVector3D&
    26, 389, 0,	//1158  QDataStream&, const QFont&
    249, 102, 0,	//1161  QTextOption::Flag, QFlags<QTextOption::Flag>
    460, 460, 0,	//1164  const char*, const char*
    26, 239, 0,	//1167  QDataStream&, QTableWidgetItem&
    228, 89, 0,	//1170  QStyle::SubControl, QFlags<QStyle::SubControl>
    26, 455, 0,	//1173  QDataStream&, const QVector2D&
    26, 402, 0,	//1176  QDataStream&, const QMatrix&
    374, 435, 0,	//1179  char, const QString&
    186, 84, 0,	//1182  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    158, 158, 0,	//1185  QLibrary::LoadHint, QLibrary::LoadHint
    463, 403, 0,	//1188  double, const QMatrix4x4&
    144, 71, 0,	//1191  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    348, 348, 0,	//1194  Qt::WindowState, Qt::WindowState
    247, 247, 0,	//1197  QTextItem::RenderFlag, QTextItem::RenderFlag
    30, 449, 0,	//1200  QDebug, const QUrl&
    143, 143, 0,	//1203  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    261, 105, 0,	//1206  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    26, 201, 0,	//1209  QDataStream&, QPolygonF&
    259, 104, 0,	//1212  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 189, 0,	//1215  QDataStream&, QPalette&
    26, 408, 0,	//1218  QDataStream&, const QPainterPath&
    10, 10, 0,	//1221  QAccessible::StateFlag, QAccessible::StateFlag
    423, 423, 0,	//1224  const QRectF&, const QRectF&
    463, 428, 0,	//1227  double, const QSize&
    155, 157, 0,	//1230  QKeyEvent*, QKeySequence::StandardKey
    44, 44, 0,	//1233  QFile::Permission, QFile::Permission
    406, 0,	//1236  const QModelIndex&
    143, 70, 0,	//1238  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    228, 228, 0,	//1241  QStyle::SubControl, QStyle::SubControl
    30, 397, 0,	//1244  QDebug, const QLine&
    2, 47, 0,	//1247  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    26, 202, 0,	//1250  QDataStream&, QQuaternion&
    192, 465, 0,	//1253  QPinchGesture::ChangeFlag, int
    459, 403, 0,	//1256  const QVector4D&, const QMatrix4x4&
    26, 376, 0,	//1259  QDataStream&, const QBitArray&
    402, 402, 0,	//1262  const QMatrix&, const QMatrix&
    235, 235, 0,	//1265  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    480, 462, 470, 0,	//1268  void*, const void*, size_t
    463, 415, 0,	//1272  double, const QPoint&
    30, 135, 0,	//1275  QDebug, QGraphicsObject*
    167, 78, 0,	//1278  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    30, 406, 0,	//1281  QDebug, const QModelIndex&
    468, 0,	//1284  short
    30, 385, 0,	//1286  QDebug, const QDateTime&
    173, 173, 0,	//1289  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    26, 415, 0,	//1292  QDataStream&, const QPoint&
    26, 393, 0,	//1295  QDataStream&, const QImage&
    463, 421, 0,	//1298  double, const QQuaternion&
    380, 374, 0,	//1301  const QByteArray&, char
    243, 243, 0,	//1304  QTextDocument::FindFlag, QTextDocument::FindFlag
    30, 395, 0,	//1307  QDebug, const QKeySequence&
    182, 82, 0,	//1310  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    31, 31, 0,	//1313  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    9, 9, 0,	//1316  QAccessible::RelationFlag, QAccessible::RelationFlag
    30, 407, 0,	//1319  QDebug, const QObject*
    136, 136, 0,	//1322  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    30, 388, 0,	//1325  QDebug, const QEvent*
    464, 464, 0,	//1328  float, float
    26, 125, 0,	//1331  QDataStream&, QFont&
    33, 56, 0,	//1334  QDir::SortFlag, QFlags<QDir::SortFlag>
    375, 470, 460, 477, 0,	//1337  char*, size_t, const char*, va_list
    152, 74, 0,	//1342  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    222, 87, 0,	//1345  QString::SectionFlag, QFlags<QString::SectionFlag>
    26, 428, 0,	//1348  QDataStream&, const QSize&
    154, 75, 0,	//1351  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 206, 0,	//1354  QDataStream&, QRectF&
    242, 97, 0,	//1357  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    30, 72, 0,	//1360  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 381, 0,	//1363  QDataStream&, const QChar&
    373, 14, 0,	//1366  bool, QBool
    474, 0,	//1369  unsigned long
    30, 423, 0,	//1371  QDebug, const QRectF&
    128, 465, 0,	//1374  QGestureRecognizer::ResultFlag, int
    418, 447, 0,	//1377  const QPolygon&, const QTransform&
    14, 373, 0,	//1380  QBool, bool
    348, 465, 0,	//1383  Qt::WindowState, int
    235, 96, 0,	//1386  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 248, 0,	//1389  QDataStream&, QTextLength&
    26, 224, 0,	//1392  QDataStream&, QStringList&
    26, 422, 0,	//1395  QDataStream&, const QRect&
    26, 426, 0,	//1398  QDataStream&, const QRegion&
    296, 296, 0,	//1401  Qt::DockWidgetArea, Qt::DockWidgetArea
    30, 402, 0,	//1404  QDebug, const QMatrix&
    129, 465, 0,	//1407  QGraphicsBlurEffect::BlurHint, int
    166, 77, 0,	//1410  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    249, 249, 0,	//1413  QTextOption::Flag, QTextOption::Flag
    26, 382, 0,	//1416  QDataStream&, const QColor&
    349, 349, 0,	//1419  Qt::WindowType, Qt::WindowType
    29, 29, 0,	//1422  QDateTimeEdit::Section, QDateTimeEdit::Section
    428, 463, 0,	//1425  const QSize&, double
    403, 457, 0,	//1428  const QMatrix4x4&, const QVector3D&
    221, 435, 0,	//1431  QString::Null, const QString&
    30, 377, 0,	//1434  QDebug, const QBrush&
    33, 33, 0,	//1437  QDir::SortFlag, QDir::SortFlag
    310, 113, 0,	//1440  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    26, 195, 0,	//1443  QDataStream&, QPoint&
    30, 417, 0,	//1446  QDebug, const QPointF&
    407, 435, 425, 404, 163, 0,	//1449  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    26, 28, 0,	//1455  QDataStream&, QDateTime&
    230, 230, 0,	//1458  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    26, 446, 0,	//1461  QDataStream&, const QTime&
    26, 258, 0,	//1464  QDataStream&, QTreeWidgetItem&
    26, 156, 0,	//1467  QDataStream&, QKeySequence&
    244, 465, 0,	//1470  QTextEdit::AutoFormattingFlag, int
    26, 450, 0,	//1473  QDataStream&, const QUuid&
    250, 253, 0,	//1476  QTextStream&, QTextStreamManipulator
    150, 73, 0,	//1479  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    26, 444, 0,	//1482  QDataStream&, const QTextLength&
    426, 447, 0,	//1485  const QRegion&, const QTransform&
    417, 403, 0,	//1488  const QPointF&, const QMatrix4x4&
    30, 131, 0,	//1491  QDebug, QGraphicsItem*
    35, 465, 0,	//1494  QDockWidget::DockWidgetFeature, int
    26, 399, 0,	//1497  QDataStream&, const QListWidgetItem&
    222, 222, 0,	//1500  QString::SectionFlag, QString::SectionFlag
    470, 470, 0,	//1503  size_t, size_t
    136, 465, 0,	//1506  QGraphicsScene::SceneLayer, int
    252, 465, 0,	//1509  QTextStream::NumberFlag, int
    461, 465, 465, 0,	//1512  const unsigned char*, int, int
    461, 465, 0,	//1516  const unsigned char*, int
    147, 465, 0,	//1519  QIODevice::OpenModeFlag, int
    30, 440, 0,	//1522  QDebug, const QStyleOption::OptionType&
    303, 111, 0,	//1525  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    26, 433, 0,	//1528  QDataStream&, const QStandardItem&
    419, 402, 0,	//1531  const QPolygonF&, const QMatrix&
    9, 465, 0,	//1534  QAccessible::RelationFlag, int
    415, 0,	//1537  const QPoint&
    26, 199, 0,	//1539  QDataStream&, QPolygon&
    185, 422, 401, 413, 0,	//1542  QPainter*, const QRect&, const QMargins&, const QPixmap&
    126, 63, 0,	//1547  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    45, 45, 0,	//1550  QFileDialog::Option, QFileDialog::Option
    172, 465, 0,	//1553  QMdiArea::AreaOption, int
    26, 220, 0,	//1556  QDataStream&, QString&
    29, 53, 0,	//1559  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    31, 54, 0,	//1562  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    185, 415, 415, 409, 373, 465, 465, 0,	//1565  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    185, 415, 415, 409, 0,	//1573  QPainter*, const QPoint&, const QPoint&, const QPalette&
    185, 415, 415, 409, 373, 0,	//1578  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    185, 415, 415, 409, 373, 465, 0,	//1584  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    154, 154, 0,	//1591  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    26, 435, 0,	//1594  QDataStream&, const QString&
    26, 387, 0,	//1597  QDataStream&, const QEasingCurve&
    250, 217, 0,	//1600  QTextStream&, QSplitter&
    26, 403, 0,	//1603  QDataStream&, const QMatrix4x4&
    26, 19, 0,	//1606  QDataStream&, QChar&
    26, 459, 0,	//1609  QDataStream&, const QVector4D&
    227, 227, 0,	//1612  QStyle::StateFlag, QStyle::StateFlag
    394, 0,	//1615  const QItemSelectionRange&
    335, 335, 0,	//1617  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    26, 193, 0,	//1620  QDataStream&, QPixmap&
    435, 380, 0,	//1623  const QString&, const QByteArray&
    43, 43, 0,	//1626  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    415, 403, 0,	//1629  const QPoint&, const QMatrix4x4&
    26, 204, 0,	//1632  QDataStream&, QRect&
    1, 465, 0,	//1635  QAbstractFileEngine::FileFlag, int
    127, 64, 0,	//1638  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    144, 144, 0,	//1641  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    352, 460, 0,	//1644  QtMsgType, const char*
    308, 465, 0,	//1647  Qt::ImageConversionFlag, int
    457, 0,	//1650  const QVector3D&
    229, 90, 0,	//1652  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    23, 23, 0,	//1655  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    30, 422, 0,	//1658  QDebug, const QRect&
    26, 392, 0,	//1661  QDataStream&, const QIcon&
    26, 452, 0,	//1664  QDataStream&, const QVariant::Type
    26, 269, 0,	//1667  QDataStream&, QVector3D&
    235, 465, 0,	//1670  QStyleOptionViewItemV2::ViewItemFeature, int
    463, 459, 0,	//1673  double, const QVector4D&
    26, 162, 0,	//1676  QDataStream&, QLineF&
    26, 188, 0,	//1679  QDataStream&, QPainterPath&
    134, 68, 0,	//1682  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    26, 191, 0,	//1685  QDataStream&, QPicture&
    341, 341, 0,	//1688  Qt::TouchPointState, Qt::TouchPointState
    247, 101, 0,	//1691  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    335, 465, 0,	//1694  Qt::TextInteractionFlag, int
    415, 447, 0,	//1697  const QPoint&, const QTransform&
    230, 465, 0,	//1700  QStyleOptionFrameV2::FrameFeature, int
    31, 465, 0,	//1703  QDialogButtonBox::StandardButton, int
    233, 233, 0,	//1706  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    26, 267, 0,	//1709  QDataStream&, QVector2D&
    247, 465, 0,	//1712  QTextItem::RenderFlag, int
    374, 0,	//1715  char
    26, 385, 0,	//1717  QDataStream&, const QDateTime&
    167, 465, 0,	//1720  QMainWindow::DockOption, int
    26, 254, 0,	//1723  QDataStream&, QTime&
    246, 100, 0,	//1726  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    308, 308, 0,	//1729  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    30, 421, 0,	//1732  QDebug, const QQuaternion&
    26, 443, 0,	//1735  QDataStream&, const QTextFormat&
    230, 91, 0,	//1738  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    298, 110, 0,	//1741  Qt::DropAction, QFlags<Qt::DropAction>
    173, 465, 0,	//1744  QMdiSubWindow::SubWindowOption, int
    298, 298, 0,	//1747  Qt::DropAction, Qt::DropAction
    129, 129, 0,	//1750  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    323, 465, 0,	//1753  Qt::Orientation, int
    150, 150, 0,	//1756  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 421, 0,	//1759  QDataStream&, const QQuaternion&
    30, 386, 0,	//1762  QDebug, const QDir&
    426, 402, 0,	//1765  const QRegion&, const QMatrix&
    30, 426, 0,	//1768  QDebug, const QRegion&
    26, 260, 0,	//1771  QDataStream&, QUrl&
    158, 76, 0,	//1774  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    249, 465, 0,	//1777  QTextOption::Flag, int
    435, 18, 0,	//1780  const QString&, QChar
    465, 465, 465, 465, 0,	//1783  int, int, int, int
    323, 118, 0,	//1788  Qt::Orientation, QFlags<Qt::Orientation>
    233, 94, 0,	//1791  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    167, 167, 0,	//1794  QMainWindow::DockOption, QMainWindow::DockOption
    470, 0,	//1797  size_t
    30, 451, 0,	//1799  QDebug, const QVariant&
    166, 166, 0,	//1802  QLocale::NumberOption, QLocale::NumberOption
    26, 400, 0,	//1805  QDataStream&, const QLocale&
    390, 314, 0,	//1808  const QGraphicsItem*, Qt::ItemSelectionMode
    408, 314, 0,	//1811  const QPainterPath&, Qt::ItemSelectionMode
    390, 0,	//1814  const QGraphicsItem*
    131, 42, 0,	//1816  QGraphicsItem*, QEvent*
    42, 0,	//1819  QEvent*
    137, 0,	//1821  QGraphicsSceneContextMenuEvent*
    138, 0,	//1823  QGraphicsSceneDragDropEvent*
    124, 0,	//1825  QFocusEvent*
    139, 0,	//1827  QGraphicsSceneHoverEvent*
    155, 0,	//1829  QKeyEvent*
    140, 0,	//1831  QGraphicsSceneMouseEvent*
    141, 0,	//1833  QGraphicsSceneWheelEvent*
    153, 0,	//1835  QInputMethodEvent*
    311, 0,	//1837  Qt::InputMethodQuery
    133, 451, 0,	//1839  QGraphicsItem::GraphicsItemChange, const QVariant&
    132, 0,	//1842  QGraphicsItem::Extension
    132, 451, 0,	//1844  QGraphicsItem::Extension, const QVariant&
    451, 0,	//1847  const QVariant&
    175, 465, 481, 0,	//1849  QMetaObject::Call, int, void**
    131, 0,	//1853  QGraphicsItem*
    435, 131, 0,	//1855  const QString&, QGraphicsItem*
    237, 0,	//1858  QSvgRenderer*
    373, 0,	//1860  bool
    428, 0,	//1862  const QSize&
    185, 441, 273, 0,	//1864  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    185, 441, 0,	//1868  QPainter*, const QStyleOptionGraphicsItem*
    178, 42, 0,	//1871  QObject*, QEvent*
    255, 0,	//1874  QTimerEvent*
    20, 0,	//1876  QChildEvent*
    422, 0,	//1878  const QRect&
    423, 0,	//1880  const QRectF&
    146, 0,	//1882  QIODevice*
    180, 0,	//1884  QPaintDevice::PaintDeviceMetric
    178, 0,	//1886  QObject*
    435, 178, 0,	//1888  const QString&, QObject*
    380, 178, 0,	//1891  const QByteArray&, QObject*
    276, 178, 0,	//1894  QXmlStreamReader*, QObject*
    276, 0,	//1897  QXmlStreamReader*
    185, 0,	//1899  QPainter*
    185, 423, 0,	//1901  QPainter*, const QRectF&
    185, 435, 423, 0,	//1904  QPainter*, const QString&, const QRectF&
    185, 435, 0,	//1908  QPainter*, const QString&
    273, 0,	//1911  QWidget*
    435, 273, 0,	//1913  const QString&, QWidget*
    184, 0,	//1916  QPaintEvent*
    176, 0,	//1918  QMouseEvent*
    272, 0,	//1920  QWheelEvent*
    177, 0,	//1922  QMoveEvent*
    210, 0,	//1924  QResizeEvent*
    21, 0,	//1926  QCloseEvent*
    24, 0,	//1928  QContextMenuEvent*
    240, 0,	//1930  QTabletEvent*
    11, 0,	//1932  QActionEvent*
    36, 0,	//1934  QDragEnterEvent*
    38, 0,	//1936  QDragMoveEvent*
    37, 0,	//1938  QDragLeaveEvent*
    40, 0,	//1940  QDropEvent*
    211, 0,	//1942  QShowEvent*
    145, 0,	//1944  QHideEvent*
    372, 0,	//1946  _XEvent*
    226, 0,	//1948  QStyle&
    409, 0,	//1950  const QPalette&
    389, 0,	//1952  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemToolTipChange",	//47
    "ItemToolTipHasChanged",	//48
    "ItemTransformChange",	//49
    "ItemTransformHasChanged",	//50
    "ItemTransformOriginPointChange",	//51
    "ItemTransformOriginPointHasChanged",	//52
    "ItemUsesExtendedStyleOption",	//53
    "ItemVisibleChange",	//54
    "ItemVisibleHasChanged",	//55
    "ItemZValueChange",	//56
    "ItemZValueHasChanged",	//57
    "LicensedActiveQt",	//58
    "LicensedCore",	//59
    "LicensedDBus",	//60
    "LicensedDeclarative",	//61
    "LicensedGui",	//62
    "LicensedHelp",	//63
    "LicensedMultimedia",	//64
    "LicensedNetwork",	//65
    "LicensedOpenGL",	//66
    "LicensedOpenVG",	//67
    "LicensedQt3Support",	//68
    "LicensedQt3SupportLight",	//69
    "LicensedScript",	//70
    "LicensedScriptTools",	//71
    "LicensedSql",	//72
    "LicensedSvg",	//73
    "LicensedTest",	//74
    "LicensedXml",	//75
    "LicensedXmlPatterns",	//76
    "NoCache",	//77
    "NonModal",	//78
    "PM_BoldLineWidth",	//79
    "PM_FrameCornerHeight",	//80
    "PM_FrameCornerWidth",	//81
    "PM_MessageBoxHeight",	//82
    "PM_ThinLineWidth",	//83
    "PanelModal",	//84
    "PdmDepth",	//85
    "PdmDpiX",	//86
    "PdmDpiY",	//87
    "PdmHeight",	//88
    "PdmHeightMM",	//89
    "PdmNumColors",	//90
    "PdmPhysicalDpiX",	//91
    "PdmPhysicalDpiY",	//92
    "PdmWidth",	//93
    "PdmWidthMM",	//94
    "QGraphicsSvgItem",	//95
    "QGraphicsSvgItem#",	//96
    "QGraphicsSvgItem$",	//97
    "QGraphicsSvgItem$#",	//98
    "QSvgGenerator",	//99
    "QSvgRenderer",	//100
    "QSvgRenderer#",	//101
    "QSvgRenderer##",	//102
    "QSvgRenderer$",	//103
    "QSvgRenderer$#",	//104
    "QSvgWidget",	//105
    "QSvgWidget#",	//106
    "QSvgWidget$",	//107
    "QSvgWidget$#",	//108
    "QtCriticalMsg",	//109
    "QtDebugMsg",	//110
    "QtFatalMsg",	//111
    "QtSystemMsg",	//112
    "QtWarningMsg",	//113
    "SceneModal",	//114
    "Type",	//115
    "UserExtension",	//116
    "UserType",	//117
    "actionEvent",	//118
    "advance",	//119
    "animated",	//120
    "animationDuration",	//121
    "boundingRect",	//122
    "boundsOnElement",	//123
    "boundsOnElement$",	//124
    "changeEvent",	//125
    "childEvent",	//126
    "closeEvent",	//127
    "collidesWithItem",	//128
    "collidesWithPath",	//129
    "connectNotify",	//130
    "contains",	//131
    "contextMenuEvent",	//132
    "currentFrame",	//133
    "customEvent",	//134
    "defaultSize",	//135
    "description",	//136
    "devType",	//137
    "disconnectNotify",	//138
    "dragEnterEvent",	//139
    "dragLeaveEvent",	//140
    "dragMoveEvent",	//141
    "dropEvent",	//142
    "elementExists",	//143
    "elementExists$",	//144
    "elementId",	//145
    "enabledChange",	//146
    "enterEvent",	//147
    "event",	//148
    "eventFilter",	//149
    "extension",	//150
    "fileName",	//151
    "focusInEvent",	//152
    "focusNextPrevChild",	//153
    "focusOutEvent",	//154
    "fontChange",	//155
    "framesPerSecond",	//156
    "heightForWidth",	//157
    "hideEvent",	//158
    "hoverEnterEvent",	//159
    "hoverLeaveEvent",	//160
    "hoverMoveEvent",	//161
    "inputMethodEvent",	//162
    "inputMethodQuery",	//163
    "isCachingEnabled",	//164
    "isObscuredBy",	//165
    "isValid",	//166
    "itemChange",	//167
    "keyPressEvent",	//168
    "keyReleaseEvent",	//169
    "languageChange",	//170
    "leaveEvent",	//171
    "load",	//172
    "load#",	//173
    "load$",	//174
    "matrixForElement",	//175
    "matrixForElement$",	//176
    "maximumCacheSize",	//177
    "metaObject",	//178
    "metric",	//179
    "metric$",	//180
    "minimumSizeHint",	//181
    "mouseDoubleClickEvent",	//182
    "mouseMoveEvent",	//183
    "mousePressEvent",	//184
    "mouseReleaseEvent",	//185
    "moveEvent",	//186
    "opaqueArea",	//187
    "operator!=",	//188
    "operator!=##",	//189
    "operator!=#$",	//190
    "operator!=$#",	//191
    "operator!=$$",	//192
    "operator&",	//193
    "operator&##",	//194
    "operator*",	//195
    "operator*##",	//196
    "operator*#$",	//197
    "operator*$#",	//198
    "operator+",	//199
    "operator+##",	//200
    "operator+#$",	//201
    "operator+$#",	//202
    "operator+$$",	//203
    "operator-",	//204
    "operator-#",	//205
    "operator-##",	//206
    "operator-#$",	//207
    "operator/",	//208
    "operator/#$",	//209
    "operator<",	//210
    "operator<##",	//211
    "operator<#$",	//212
    "operator<$#",	//213
    "operator<$$",	//214
    "operator<<",	//215
    "operator<<##",	//216
    "operator<<#$",	//217
    "operator<<#?",	//218
    "operator<=",	//219
    "operator<=##",	//220
    "operator<=#$",	//221
    "operator<=$#",	//222
    "operator<=$$",	//223
    "operator==",	//224
    "operator==##",	//225
    "operator==#$",	//226
    "operator==$#",	//227
    "operator==$$",	//228
    "operator>",	//229
    "operator>##",	//230
    "operator>#$",	//231
    "operator>$#",	//232
    "operator>$$",	//233
    "operator>=",	//234
    "operator>=##",	//235
    "operator>=#$",	//236
    "operator>=$#",	//237
    "operator>=$$",	//238
    "operator>>",	//239
    "operator>>##",	//240
    "operator>>#$",	//241
    "operator>>#?",	//242
    "operator^",	//243
    "operator^##",	//244
    "operator|",	//245
    "operator|##",	//246
    "operator|$$",	//247
    "outputDevice",	//248
    "paint",	//249
    "paint##",	//250
    "paint###",	//251
    "paintEngine",	//252
    "paintEvent",	//253
    "paintEvent#",	//254
    "paletteChange",	//255
    "qAccessibleActionCastHelper",	//256
    "qAccessibleEditableTextCastHelper",	//257
    "qAccessibleImageCastHelper",	//258
    "qAccessibleTableCastHelper",	//259
    "qAccessibleTextCastHelper",	//260
    "qAccessibleValueCastHelper",	//261
    "qAcos",	//262
    "qAcos$",	//263
    "qAddPostRoutine",	//264
    "qAddPostRoutine$",	//265
    "qAlpha",	//266
    "qAlpha$",	//267
    "qAppName",	//268
    "qAsin",	//269
    "qAsin$",	//270
    "qAtan",	//271
    "qAtan$",	//272
    "qAtan2",	//273
    "qAtan2$$",	//274
    "qBadAlloc",	//275
    "qBlue",	//276
    "qBlue$",	//277
    "qCeil",	//278
    "qCeil$",	//279
    "qChecksum",	//280
    "qChecksum$$",	//281
    "qCompress",	//282
    "qCompress#",	//283
    "qCompress#$",	//284
    "qCompress$$",	//285
    "qCompress$$$",	//286
    "qCos",	//287
    "qCos$",	//288
    "qCritical",	//289
    "qDebug",	//290
    "qDrawBorderPixmap",	//291
    "qDrawBorderPixmap####",	//292
    "qDrawBorderPixmap######",	//293
    "qDrawBorderPixmap#######",	//294
    "qDrawBorderPixmap#######$",	//295
    "qDrawPlainRect",	//296
    "qDrawPlainRect###",	//297
    "qDrawPlainRect###$",	//298
    "qDrawPlainRect###$#",	//299
    "qDrawPlainRect#$$$$#",	//300
    "qDrawPlainRect#$$$$#$",	//301
    "qDrawPlainRect#$$$$#$#",	//302
    "qDrawShadeLine",	//303
    "qDrawShadeLine####",	//304
    "qDrawShadeLine####$",	//305
    "qDrawShadeLine####$$",	//306
    "qDrawShadeLine####$$$",	//307
    "qDrawShadeLine#$$$$#",	//308
    "qDrawShadeLine#$$$$#$",	//309
    "qDrawShadeLine#$$$$#$$",	//310
    "qDrawShadeLine#$$$$#$$$",	//311
    "qDrawShadePanel",	//312
    "qDrawShadePanel###",	//313
    "qDrawShadePanel###$",	//314
    "qDrawShadePanel###$$",	//315
    "qDrawShadePanel###$$#",	//316
    "qDrawShadePanel#$$$$#",	//317
    "qDrawShadePanel#$$$$#$",	//318
    "qDrawShadePanel#$$$$#$$",	//319
    "qDrawShadePanel#$$$$#$$#",	//320
    "qDrawShadeRect",	//321
    "qDrawShadeRect###",	//322
    "qDrawShadeRect###$",	//323
    "qDrawShadeRect###$$",	//324
    "qDrawShadeRect###$$$",	//325
    "qDrawShadeRect###$$$#",	//326
    "qDrawShadeRect#$$$$#",	//327
    "qDrawShadeRect#$$$$#$",	//328
    "qDrawShadeRect#$$$$#$$",	//329
    "qDrawShadeRect#$$$$#$$$",	//330
    "qDrawShadeRect#$$$$#$$$#",	//331
    "qDrawWinButton",	//332
    "qDrawWinButton###",	//333
    "qDrawWinButton###$",	//334
    "qDrawWinButton###$#",	//335
    "qDrawWinButton#$$$$#",	//336
    "qDrawWinButton#$$$$#$",	//337
    "qDrawWinButton#$$$$#$#",	//338
    "qDrawWinPanel",	//339
    "qDrawWinPanel###",	//340
    "qDrawWinPanel###$",	//341
    "qDrawWinPanel###$#",	//342
    "qDrawWinPanel#$$$$#",	//343
    "qDrawWinPanel#$$$$#$",	//344
    "qDrawWinPanel#$$$$#$#",	//345
    "qExp",	//346
    "qExp$",	//347
    "qFabs",	//348
    "qFabs$",	//349
    "qFastCos",	//350
    "qFastCos$",	//351
    "qFastSin",	//352
    "qFastSin$",	//353
    "qFlagLocation",	//354
    "qFlagLocation$",	//355
    "qFloor",	//356
    "qFloor$",	//357
    "qFree",	//358
    "qFree$",	//359
    "qFreeAligned",	//360
    "qFreeAligned$",	//361
    "qFuzzyCompare",	//362
    "qFuzzyCompare##",	//363
    "qFuzzyCompare$$",	//364
    "qFuzzyIsNull",	//365
    "qFuzzyIsNull$",	//366
    "qGray",	//367
    "qGray$",	//368
    "qGray$$$",	//369
    "qGreen",	//370
    "qGreen$",	//371
    "qHash",	//372
    "qHash#",	//373
    "qHash$",	//374
    "qInf",	//375
    "qInstallMsgHandler",	//376
    "qInstallMsgHandler$",	//377
    "qIntCast",	//378
    "qIntCast$",	//379
    "qIsFinite",	//380
    "qIsFinite$",	//381
    "qIsGray",	//382
    "qIsGray$",	//383
    "qIsInf",	//384
    "qIsInf$",	//385
    "qIsNaN",	//386
    "qIsNaN$",	//387
    "qIsNull",	//388
    "qIsNull$",	//389
    "qLn",	//390
    "qLn$",	//391
    "qMalloc",	//392
    "qMalloc$",	//393
    "qMallocAligned",	//394
    "qMallocAligned$$",	//395
    "qMemCopy",	//396
    "qMemCopy$$$",	//397
    "qMemSet",	//398
    "qMemSet$$$",	//399
    "qPow",	//400
    "qPow$$",	//401
    "qQNaN",	//402
    "qRealloc",	//403
    "qRealloc$$",	//404
    "qReallocAligned",	//405
    "qReallocAligned$$$$",	//406
    "qRed",	//407
    "qRed$",	//408
    "qRegisterStaticPluginInstanceFunction",	//409
    "qRegisterStaticPluginInstanceFunction#",	//410
    "qRemovePostRoutine",	//411
    "qRemovePostRoutine$",	//412
    "qRgb",	//413
    "qRgb$$$",	//414
    "qRgba",	//415
    "qRgba$$$$",	//416
    "qRound",	//417
    "qRound$",	//418
    "qRound64",	//419
    "qRound64$",	//420
    "qSNaN",	//421
    "qSetFieldWidth",	//422
    "qSetFieldWidth$",	//423
    "qSetPadChar",	//424
    "qSetPadChar#",	//425
    "qSetRealNumberPrecision",	//426
    "qSetRealNumberPrecision$",	//427
    "qSharedBuild",	//428
    "qSin",	//429
    "qSin$",	//430
    "qSqrt",	//431
    "qSqrt$",	//432
    "qStringComparisonHelper",	//433
    "qStringComparisonHelper#$",	//434
    "qStringComparisonHelper$$",	//435
    "qTan",	//436
    "qTan$",	//437
    "qUncompress",	//438
    "qUncompress#",	//439
    "qUncompress$$",	//440
    "qVersion",	//441
    "qWarning",	//442
    "qbswap_helper",	//443
    "qbswap_helper$$$",	//444
    "qgetenv",	//445
    "qgetenv$",	//446
    "qputenv",	//447
    "qputenv$#",	//448
    "qrand",	//449
    "qsrand",	//450
    "qsrand$",	//451
    "qstrcmp",	//452
    "qstrcmp##",	//453
    "qstrcmp#$",	//454
    "qstrcmp$#",	//455
    "qstrcmp$$",	//456
    "qstrcpy",	//457
    "qstrcpy$$",	//458
    "qstrdup",	//459
    "qstrdup$",	//460
    "qstricmp",	//461
    "qstricmp$$",	//462
    "qstrlen",	//463
    "qstrlen$",	//464
    "qstrncmp",	//465
    "qstrncmp$$$",	//466
    "qstrncpy",	//467
    "qstrncpy$$$",	//468
    "qstrnicmp",	//469
    "qstrnicmp$$$",	//470
    "qstrnlen",	//471
    "qstrnlen$$",	//472
    "qtTrId",	//473
    "qtTrId$",	//474
    "qtTrId$$",	//475
    "qt_assert",	//476
    "qt_assert$$$",	//477
    "qt_assert_x",	//478
    "qt_assert_x$$$$",	//479
    "qt_check_pointer",	//480
    "qt_check_pointer$$",	//481
    "qt_error_string",	//482
    "qt_error_string$",	//483
    "qt_message_output",	//484
    "qt_message_output$$",	//485
    "qt_metacall",	//486
    "qt_metacall$$?",	//487
    "qt_metacast",	//488
    "qt_metacast$",	//489
    "qt_noop",	//490
    "qt_qFindChild_helper",	//491
    "qt_qFindChild_helper#$#",	//492
    "qt_qFindChildren_helper",	//493
    "qt_qFindChildren_helper#$##?",	//494
    "qvariant_cast_helper",	//495
    "qvariant_cast_helper#$$",	//496
    "qvsnprintf",	//497
    "qvsnprintf$$$?",	//498
    "render",	//499
    "render#",	//500
    "render##",	//501
    "render#$",	//502
    "render#$#",	//503
    "renderer",	//504
    "repaintNeeded",	//505
    "resizeEvent",	//506
    "resolution",	//507
    "sceneEvent",	//508
    "sceneEventFilter",	//509
    "setCachingEnabled",	//510
    "setCachingEnabled$",	//511
    "setCurrentFrame",	//512
    "setCurrentFrame$",	//513
    "setDescription",	//514
    "setDescription$",	//515
    "setElementId",	//516
    "setElementId$",	//517
    "setExtension",	//518
    "setFileName",	//519
    "setFileName$",	//520
    "setFramesPerSecond",	//521
    "setFramesPerSecond$",	//522
    "setMaximumCacheSize",	//523
    "setMaximumCacheSize#",	//524
    "setOutputDevice",	//525
    "setOutputDevice#",	//526
    "setResolution",	//527
    "setResolution$",	//528
    "setSharedRenderer",	//529
    "setSharedRenderer#",	//530
    "setSize",	//531
    "setSize#",	//532
    "setTitle",	//533
    "setTitle$",	//534
    "setViewBox",	//535
    "setViewBox#",	//536
    "setVisible",	//537
    "shape",	//538
    "showEvent",	//539
    "size",	//540
    "sizeHint",	//541
    "staticMetaObject",	//542
    "styleChange",	//543
    "supportsExtension",	//544
    "tabletEvent",	//545
    "timerEvent",	//546
    "title",	//547
    "tr",	//548
    "tr$",	//549
    "tr$$",	//550
    "tr$$$",	//551
    "trUtf8",	//552
    "trUtf8$",	//553
    "trUtf8$$",	//554
    "trUtf8$$$",	//555
    "type",	//556
    "viewBox",	//557
    "viewBoxF",	//558
    "wheelEvent",	//559
    "windowActivationChange",	//560
    "x11Event",	//561
    "~QGraphicsSvgItem",	//562
    "~QSvgGenerator",	//563
    "~QSvgRenderer",	//564
    "~QSvgWidget",	//565
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 193, 1, 2, Smoke::mf_static, 12, 1},	//1 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 289, 0, 0, Smoke::mf_static, 30, 2},	//2 QGlobalSpace::qCritical()
    {26, 372, 4, 1, Smoke::mf_static, 473, 3},	//3 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 245, 6, 2, Smoke::mf_static, 151, 4},	//4 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 476, 9, 3, Smoke::mf_static, 0, 5},	//5 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 245, 13, 2, Smoke::mf_static, 65, 6},	//6 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 195, 16, 2, Smoke::mf_static, 414, 7},	//7 QGlobalSpace::operator*(const QPoint&, double)
    {26, 384, 19, 1, Smoke::mf_static, 373, 8},	//8 QGlobalSpace::qIsInf(double)
    {26, 215, 21, 2, Smoke::mf_static, 30, 9},	//9 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 195, 24, 2, Smoke::mf_static, 416, 10},	//10 QGlobalSpace::operator*(double, const QPointF&)
    {26, 245, 27, 2, Smoke::mf_static, 117, 11},	//11 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 188, 30, 2, Smoke::mf_static, 373, 12},	//12 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 215, 33, 2, Smoke::mf_static, 30, 13},	//13 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 195, 36, 2, Smoke::mf_static, 429, 14},	//14 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 245, 39, 2, Smoke::mf_static, 151, 15},	//15 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 245, 42, 2, Smoke::mf_static, 47, 16},	//16 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 215, 45, 2, Smoke::mf_static, 30, 17},	//17 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 239, 48, 2, Smoke::mf_static, 26, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 215, 51, 2, Smoke::mf_static, 26, 19},	//19 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 245, 54, 2, Smoke::mf_static, 151, 20},	//20 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 245, 57, 2, Smoke::mf_static, 151, 21},	//21 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 215, 60, 2, Smoke::mf_static, 30, 22},	//22 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 457, 63, 2, Smoke::mf_static, 375, 23},	//23 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 188, 66, 2, Smoke::mf_static, 373, 24},	//24 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 199, 69, 2, Smoke::mf_static, 427, 25},	//25 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 348, 19, 1, Smoke::mf_static, 463, 26},	//26 QGlobalSpace::qFabs(double)
    {26, 215, 72, 2, Smoke::mf_static, 26, 27},	//27 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 245, 75, 2, Smoke::mf_static, 97, 28},	//28 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 215, 78, 2, Smoke::mf_static, 30, 29},	//29 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 402, 0, 0, Smoke::mf_static, 463, 30},	//30 QGlobalSpace::qQNaN()
    {26, 204, 81, 2, Smoke::mf_static, 170, 31},	//31 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 372, 84, 1, Smoke::mf_static, 473, 32},	//32 QGlobalSpace::qHash(unsigned char)
    {26, 245, 86, 2, Smoke::mf_static, 55, 33},	//33 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 204, 89, 2, Smoke::mf_static, 458, 34},	//34 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 195, 92, 2, Smoke::mf_static, 196, 35},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 245, 95, 2, Smoke::mf_static, 83, 36},	//36 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 195, 98, 2, Smoke::mf_static, 159, 37},	//37 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 441, 0, 0, Smoke::mf_static, 460, 38},	//38 QGlobalSpace::qVersion()
    {26, 362, 101, 2, Smoke::mf_static, 373, 39},	//39 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 245, 104, 2, Smoke::mf_static, 60, 40},	//40 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 224, 30, 2, Smoke::mf_static, 373, 41},	//41 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 245, 107, 2, Smoke::mf_static, 122, 42},	//42 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 195, 110, 2, Smoke::mf_static, 429, 43},	//43 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 215, 113, 2, Smoke::mf_static, 26, 44},	//44 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 245, 116, 2, Smoke::mf_static, 151, 45},	//45 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 362, 119, 2, Smoke::mf_static, 373, 46},	//46 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 229, 122, 2, Smoke::mf_static, 373, 47},	//47 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 278, 19, 1, Smoke::mf_static, 465, 48},	//48 QGlobalSpace::qCeil(double)
    {26, 449, 0, 0, Smoke::mf_static, 465, 49},	//49 QGlobalSpace::qrand()
    {26, 367, 125, 1, Smoke::mf_static, 465, 50},	//50 QGlobalSpace::qGray(unsigned int)
    {26, 245, 127, 2, Smoke::mf_static, 62, 51},	//51 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 204, 130, 2, Smoke::mf_static, 429, 52},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 234, 133, 2, Smoke::mf_static, 373, 53},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 224, 136, 2, Smoke::mf_static, 373, 54},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 204, 139, 1, Smoke::mf_static, 420, 55},	//55 QGlobalSpace::operator-(const QQuaternion&)
    {26, 245, 141, 2, Smoke::mf_static, 48, 56},	//56 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 245, 144, 2, Smoke::mf_static, 117, 57},	//57 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 215, 147, 2, Smoke::mf_static, 30, 58},	//58 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 407, 125, 1, Smoke::mf_static, 465, 59},	//59 QGlobalSpace::qRed(unsigned int)
    {26, 188, 150, 2, Smoke::mf_static, 373, 60},	//60 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 195, 153, 2, Smoke::mf_static, 420, 61},	//61 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 224, 156, 2, Smoke::mf_static, 373, 62},	//62 QGlobalSpace::operator==(QBool, QBool)
    {26, 245, 159, 2, Smoke::mf_static, 93, 63},	//63 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 245, 162, 2, Smoke::mf_static, 92, 64},	//64 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 245, 165, 2, Smoke::mf_static, 63, 65},	//65 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 245, 168, 2, Smoke::mf_static, 108, 66},	//66 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 372, 171, 1, Smoke::mf_static, 473, 67},	//67 QGlobalSpace::qHash(const QStringRef&)
    {26, 245, 173, 2, Smoke::mf_static, 100, 68},	//68 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 224, 176, 2, Smoke::mf_static, 373, 69},	//69 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 215, 179, 2, Smoke::mf_static, 30, 70},	//70 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 215, 182, 2, Smoke::mf_static, 30, 71},	//71 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 215, 185, 2, Smoke::mf_static, 26, 72},	//72 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 239, 188, 2, Smoke::mf_static, 26, 73},	//73 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 266, 125, 1, Smoke::mf_static, 465, 74},	//74 QGlobalSpace::qAlpha(unsigned int)
    {26, 245, 191, 2, Smoke::mf_static, 151, 75},	//75 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 245, 194, 2, Smoke::mf_static, 58, 76},	//76 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 199, 197, 2, Smoke::mf_static, 434, 77},	//77 QGlobalSpace::operator+(QChar, const QString&)
    {26, 370, 125, 1, Smoke::mf_static, 465, 78},	//78 QGlobalSpace::qGreen(unsigned int)
    {26, 245, 200, 2, Smoke::mf_static, 72, 79},	//79 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 312, 203, 6, Smoke::mf_static, 0, 80},	//80 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 312, 210, 3, Smoke::mf_static, 0, 81},	//81 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 312, 214, 4, Smoke::mf_static, 0, 82},	//82 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 312, 219, 5, Smoke::mf_static, 0, 83},	//83 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 204, 225, 1, Smoke::mf_static, 454, 84},	//84 QGlobalSpace::operator-(const QVector2D&)
    {26, 245, 227, 2, Smoke::mf_static, 55, 85},	//85 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 215, 230, 2, Smoke::mf_static, 26, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 215, 233, 2, Smoke::mf_static, 30, 87},	//87 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 195, 89, 2, Smoke::mf_static, 458, 88},	//88 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 195, 236, 2, Smoke::mf_static, 420, 89},	//89 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 245, 239, 2, Smoke::mf_static, 98, 90},	//90 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 215, 242, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 215, 245, 2, Smoke::mf_static, 30, 92},	//92 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 372, 248, 1, Smoke::mf_static, 473, 93},	//93 QGlobalSpace::qHash(const QBitArray&)
    {26, 245, 250, 2, Smoke::mf_static, 99, 94},	//94 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 271, 19, 1, Smoke::mf_static, 463, 95},	//95 QGlobalSpace::qAtan(double)
    {26, 443, 253, 3, Smoke::mf_static, 0, 96},	//96 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 245, 257, 2, Smoke::mf_static, 51, 97},	//97 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 195, 260, 2, Smoke::mf_static, 200, 98},	//98 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 495, 263, 3, Smoke::mf_static, 373, 99},	//99 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 372, 267, 1, Smoke::mf_static, 473, 100},	//100 QGlobalSpace::qHash(const QString&)
    {26, 372, 269, 1, Smoke::mf_static, 473, 101},	//101 QGlobalSpace::qHash(unsigned short)
    {26, 409, 271, 1, Smoke::mf_static, 0, 102},	//102 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 372, 273, 1, Smoke::mf_static, 473, 103},	//103 QGlobalSpace::qHash(long)
    {26, 245, 275, 2, Smoke::mf_static, 120, 104},	//104 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 372, 278, 1, Smoke::mf_static, 473, 105},	//105 QGlobalSpace::qHash(long long)
    {26, 215, 280, 2, Smoke::mf_static, 30, 106},	//106 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 199, 130, 2, Smoke::mf_static, 429, 107},	//107 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 332, 283, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 332, 292, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 332, 299, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 245, 307, 2, Smoke::mf_static, 85, 111},	//111 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 245, 310, 2, Smoke::mf_static, 151, 112},	//112 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 215, 313, 2, Smoke::mf_static, 30, 113},	//113 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 245, 316, 2, Smoke::mf_static, 151, 114},	//114 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 245, 319, 2, Smoke::mf_static, 151, 115},	//115 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 321, 322, 10, Smoke::mf_static, 0, 116},	//116 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 321, 292, 6, Smoke::mf_static, 0, 117},	//117 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 321, 299, 7, Smoke::mf_static, 0, 118},	//118 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 321, 333, 8, Smoke::mf_static, 0, 119},	//119 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 321, 342, 9, Smoke::mf_static, 0, 120},	//120 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 287, 19, 1, Smoke::mf_static, 463, 121},	//121 QGlobalSpace::qCos(double)
    {26, 215, 352, 2, Smoke::mf_static, 26, 122},	//122 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 245, 355, 2, Smoke::mf_static, 46, 123},	//123 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 239, 358, 2, Smoke::mf_static, 26, 124},	//124 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 450, 125, 1, Smoke::mf_static, 0, 125},	//125 QGlobalSpace::qsrand(unsigned int)
    {26, 384, 361, 1, Smoke::mf_static, 373, 126},	//126 QGlobalSpace::qIsInf(float)
    {26, 245, 363, 2, Smoke::mf_static, 65, 127},	//127 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 245, 366, 2, Smoke::mf_static, 108, 128},	//128 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 239, 369, 2, Smoke::mf_static, 26, 129},	//129 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 245, 372, 2, Smoke::mf_static, 151, 130},	//130 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 215, 375, 2, Smoke::mf_static, 26, 131},	//131 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 245, 378, 2, Smoke::mf_static, 151, 132},	//132 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 245, 381, 2, Smoke::mf_static, 57, 133},	//133 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 210, 384, 2, Smoke::mf_static, 373, 134},	//134 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 245, 387, 2, Smoke::mf_static, 67, 135},	//135 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 245, 390, 2, Smoke::mf_static, 151, 136},	//136 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 215, 393, 2, Smoke::mf_static, 30, 137},	//137 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 245, 396, 2, Smoke::mf_static, 109, 138},	//138 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 245, 399, 2, Smoke::mf_static, 151, 139},	//139 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 195, 402, 2, Smoke::mf_static, 159, 140},	//140 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 442, 0, 0, Smoke::mf_static, 30, 141},	//141 QGlobalSpace::qWarning()
    {26, 245, 405, 2, Smoke::mf_static, 82, 142},	//142 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 199, 89, 2, Smoke::mf_static, 458, 143},	//143 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 367, 408, 3, Smoke::mf_static, 465, 144},	//144 QGlobalSpace::qGray(int, int, int)
    {26, 195, 412, 2, Smoke::mf_static, 161, 145},	//145 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 245, 415, 2, Smoke::mf_static, 118, 146},	//146 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 195, 418, 2, Smoke::mf_static, 187, 147},	//147 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 245, 421, 2, Smoke::mf_static, 151, 148},	//148 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 224, 424, 2, Smoke::mf_static, 373, 149},	//149 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 188, 101, 2, Smoke::mf_static, 373, 150},	//150 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 239, 427, 2, Smoke::mf_static, 26, 151},	//151 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 215, 430, 2, Smoke::mf_static, 26, 152},	//152 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 245, 433, 2, Smoke::mf_static, 151, 153},	//153 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 199, 436, 2, Smoke::mf_static, 434, 154},	//154 QGlobalSpace::operator+(const QString&, const char*)
    {26, 215, 439, 2, Smoke::mf_static, 26, 155},	//155 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 215, 442, 2, Smoke::mf_static, 30, 156},	//156 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 215, 445, 2, Smoke::mf_static, 30, 157},	//157 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 245, 448, 2, Smoke::mf_static, 151, 158},	//158 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 215, 451, 2, Smoke::mf_static, 26, 159},	//159 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 245, 454, 2, Smoke::mf_static, 81, 160},	//160 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 245, 457, 2, Smoke::mf_static, 111, 161},	//161 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 239, 460, 2, Smoke::mf_static, 26, 162},	//162 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 215, 463, 2, Smoke::mf_static, 26, 163},	//163 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 245, 466, 2, Smoke::mf_static, 72, 164},	//164 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 245, 469, 2, Smoke::mf_static, 81, 165},	//165 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 245, 472, 2, Smoke::mf_static, 151, 166},	//166 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 199, 475, 2, Smoke::mf_static, 379, 167},	//167 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 208, 16, 2, Smoke::mf_static, 414, 168},	//168 QGlobalSpace::operator/(const QPoint&, double)
    {26, 239, 478, 2, Smoke::mf_static, 26, 169},	//169 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 199, 481, 2, Smoke::mf_static, 434, 170},	//170 QGlobalSpace::operator+(const char*, const QString&)
    {26, 199, 101, 2, Smoke::mf_static, 454, 171},	//171 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 245, 484, 2, Smoke::mf_static, 80, 172},	//172 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 215, 487, 2, Smoke::mf_static, 30, 173},	//173 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 224, 490, 2, Smoke::mf_static, 373, 174},	//174 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 245, 493, 2, Smoke::mf_static, 64, 175},	//175 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 239, 496, 2, Smoke::mf_static, 26, 176},	//176 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 386, 361, 1, Smoke::mf_static, 373, 177},	//177 QGlobalSpace::qIsNaN(float)
    {26, 362, 499, 2, Smoke::mf_static, 373, 178},	//178 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 388, 361, 1, Smoke::mf_static, 373, 179},	//179 QGlobalSpace::qIsNull(float)
    {26, 239, 502, 2, Smoke::mf_static, 26, 180},	//180 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 239, 505, 2, Smoke::mf_static, 26, 181},	//181 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 215, 508, 2, Smoke::mf_static, 26, 182},	//182 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 239, 511, 2, Smoke::mf_static, 26, 183},	//183 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 245, 514, 2, Smoke::mf_static, 84, 184},	//184 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 224, 517, 2, Smoke::mf_static, 373, 185},	//185 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 208, 520, 2, Smoke::mf_static, 256, 186},	//186 QGlobalSpace::operator/(const QTransform&, double)
    {26, 215, 523, 2, Smoke::mf_static, 250, 187},	//187 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 245, 526, 2, Smoke::mf_static, 49, 188},	//188 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 219, 481, 2, Smoke::mf_static, 373, 189},	//189 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 195, 529, 2, Smoke::mf_static, 454, 190},	//190 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 245, 532, 2, Smoke::mf_static, 104, 191},	//191 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 245, 535, 2, Smoke::mf_static, 90, 192},	//192 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 188, 538, 2, Smoke::mf_static, 373, 193},	//193 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 195, 541, 2, Smoke::mf_static, 458, 194},	//194 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 245, 544, 2, Smoke::mf_static, 151, 195},	//195 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 245, 547, 2, Smoke::mf_static, 151, 196},	//196 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 215, 550, 2, Smoke::mf_static, 30, 197},	//197 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 210, 553, 2, Smoke::mf_static, 373, 198},	//198 QGlobalSpace::operator<(QChar, QChar)
    {26, 224, 236, 2, Smoke::mf_static, 373, 199},	//199 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 260, 0, 0, Smoke::mf_static, 8, 200},	//200 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 362, 81, 2, Smoke::mf_static, 373, 201},	//201 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 208, 556, 2, Smoke::mf_static, 170, 202},	//202 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 195, 559, 2, Smoke::mf_static, 187, 203},	//203 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 215, 562, 2, Smoke::mf_static, 26, 204},	//204 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 234, 122, 2, Smoke::mf_static, 373, 205},	//205 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 245, 565, 2, Smoke::mf_static, 79, 206},	//206 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 469, 568, 3, Smoke::mf_static, 465, 207},	//207 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 372, 572, 1, Smoke::mf_static, 473, 208},	//208 QGlobalSpace::qHash(const QByteArray&)
    {26, 245, 574, 2, Smoke::mf_static, 151, 209},	//209 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 245, 577, 2, Smoke::mf_static, 49, 210},	//210 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 199, 81, 2, Smoke::mf_static, 170, 211},	//211 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 245, 580, 2, Smoke::mf_static, 151, 212},	//212 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 215, 583, 2, Smoke::mf_static, 30, 213},	//213 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 195, 101, 2, Smoke::mf_static, 454, 214},	//214 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 480, 586, 2, Smoke::mf_static, 0, 215},	//215 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 239, 589, 2, Smoke::mf_static, 26, 216},	//216 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 245, 592, 2, Smoke::mf_static, 151, 217},	//217 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 245, 595, 2, Smoke::mf_static, 151, 218},	//218 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 245, 598, 2, Smoke::mf_static, 107, 219},	//219 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 245, 601, 2, Smoke::mf_static, 103, 220},	//220 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 239, 604, 2, Smoke::mf_static, 26, 221},	//221 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 245, 607, 2, Smoke::mf_static, 107, 222},	//222 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 195, 610, 2, Smoke::mf_static, 416, 223},	//223 QGlobalSpace::operator*(const QPointF&, double)
    {26, 452, 133, 2, Smoke::mf_static, 465, 224},	//224 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 245, 613, 2, Smoke::mf_static, 83, 225},	//225 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 245, 616, 2, Smoke::mf_static, 68, 226},	//226 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 424, 619, 1, Smoke::mf_static, 253, 227},	//227 QGlobalSpace::qSetPadChar(QChar)
    {26, 452, 384, 2, Smoke::mf_static, 465, 228},	//228 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 224, 69, 2, Smoke::mf_static, 373, 229},	//229 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 312, 621, 9, Smoke::mf_static, 0, 230},	//230 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 312, 292, 6, Smoke::mf_static, 0, 231},	//231 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 312, 299, 7, Smoke::mf_static, 0, 232},	//232 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 312, 333, 8, Smoke::mf_static, 0, 233},	//233 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 428, 0, 0, Smoke::mf_static, 373, 234},	//234 QGlobalSpace::qSharedBuild()
    {26, 199, 236, 2, Smoke::mf_static, 420, 235},	//235 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 245, 631, 2, Smoke::mf_static, 46, 236},	//236 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 376, 634, 1, Smoke::mf_static, 479, 237},	//237 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 215, 636, 2, Smoke::mf_static, 26, 238},	//238 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 491, 639, 3, Smoke::mf_static, 178, 239},	//239 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 224, 122, 2, Smoke::mf_static, 373, 240},	//240 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 245, 643, 2, Smoke::mf_static, 116, 241},	//241 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 195, 646, 2, Smoke::mf_static, 268, 242},	//242 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 245, 649, 2, Smoke::mf_static, 151, 243},	//243 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 188, 133, 2, Smoke::mf_static, 373, 244},	//244 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 332, 652, 5, Smoke::mf_static, 0, 245},	//245 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 332, 210, 3, Smoke::mf_static, 0, 246},	//246 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 332, 214, 4, Smoke::mf_static, 0, 247},	//247 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 245, 658, 2, Smoke::mf_static, 151, 248},	//248 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 245, 661, 2, Smoke::mf_static, 86, 249},	//249 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 245, 664, 2, Smoke::mf_static, 151, 250},	//250 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 245, 667, 2, Smoke::mf_static, 151, 251},	//251 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 239, 670, 2, Smoke::mf_static, 26, 252},	//252 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 204, 101, 2, Smoke::mf_static, 454, 253},	//253 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 245, 673, 2, Smoke::mf_static, 115, 254},	//254 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 208, 110, 2, Smoke::mf_static, 429, 255},	//255 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 195, 676, 2, Smoke::mf_static, 456, 256},	//256 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 245, 679, 2, Smoke::mf_static, 116, 257},	//257 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 239, 682, 2, Smoke::mf_static, 26, 258},	//258 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 195, 685, 2, Smoke::mf_static, 198, 259},	//259 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 229, 553, 2, Smoke::mf_static, 373, 260},	//260 QGlobalSpace::operator>(QChar, QChar)
    {26, 234, 490, 2, Smoke::mf_static, 373, 261},	//261 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 360, 688, 1, Smoke::mf_static, 0, 262},	//262 QGlobalSpace::qFreeAligned(void*)
    {26, 245, 690, 2, Smoke::mf_static, 93, 263},	//263 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 224, 693, 2, Smoke::mf_static, 373, 264},	//264 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 215, 696, 2, Smoke::mf_static, 30, 265},	//265 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 378, 361, 1, Smoke::mf_static, 465, 266},	//266 QGlobalSpace::qIntCast(float)
    {26, 210, 133, 2, Smoke::mf_static, 373, 267},	//267 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 245, 699, 2, Smoke::mf_static, 95, 268},	//268 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 447, 490, 2, Smoke::mf_static, 373, 269},	//269 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 245, 702, 2, Smoke::mf_static, 151, 270},	//270 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 239, 705, 2, Smoke::mf_static, 26, 271},	//271 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 433, 708, 2, Smoke::mf_static, 373, 272},	//272 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 465, 568, 3, Smoke::mf_static, 465, 273},	//273 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 321, 711, 7, Smoke::mf_static, 0, 274},	//274 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 321, 210, 3, Smoke::mf_static, 0, 275},	//275 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 321, 214, 4, Smoke::mf_static, 0, 276},	//276 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 321, 219, 5, Smoke::mf_static, 0, 277},	//277 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 321, 719, 6, Smoke::mf_static, 0, 278},	//278 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 245, 726, 2, Smoke::mf_static, 99, 279},	//279 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 245, 729, 2, Smoke::mf_static, 151, 280},	//280 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 245, 732, 2, Smoke::mf_static, 151, 281},	//281 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 204, 735, 1, Smoke::mf_static, 416, 282},	//282 QGlobalSpace::operator-(const QPointF&)
    {26, 405, 737, 4, Smoke::mf_static, 480, 283},	//283 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 245, 742, 2, Smoke::mf_static, 114, 284},	//284 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 215, 745, 2, Smoke::mf_static, 26, 285},	//285 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 372, 748, 1, Smoke::mf_static, 473, 286},	//286 QGlobalSpace::qHash(unsigned long long)
    {26, 199, 750, 2, Smoke::mf_static, 434, 287},	//287 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 245, 753, 2, Smoke::mf_static, 123, 288},	//288 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 215, 756, 2, Smoke::mf_static, 30, 289},	//289 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 195, 759, 2, Smoke::mf_static, 196, 290},	//290 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 245, 762, 2, Smoke::mf_static, 114, 291},	//291 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 215, 765, 2, Smoke::mf_static, 30, 292},	//292 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 245, 768, 2, Smoke::mf_static, 121, 293},	//293 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 268, 0, 0, Smoke::mf_static, 219, 294},	//294 QGlobalSpace::qAppName()
    {26, 199, 771, 2, Smoke::mf_static, 434, 295},	//295 QGlobalSpace::operator+(const QString&, char)
    {26, 234, 538, 2, Smoke::mf_static, 373, 296},	//296 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 245, 774, 2, Smoke::mf_static, 58, 297},	//297 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 372, 619, 1, Smoke::mf_static, 473, 298},	//298 QGlobalSpace::qHash(QChar)
    {26, 245, 777, 2, Smoke::mf_static, 151, 299},	//299 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 296, 780, 8, Smoke::mf_static, 0, 300},	//300 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 296, 789, 6, Smoke::mf_static, 0, 301},	//301 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 296, 796, 7, Smoke::mf_static, 0, 302},	//302 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 224, 150, 2, Smoke::mf_static, 373, 303},	//303 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 365, 19, 1, Smoke::mf_static, 373, 304},	//304 QGlobalSpace::qFuzzyIsNull(double)
    {26, 195, 81, 2, Smoke::mf_static, 170, 305},	//305 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 215, 804, 2, Smoke::mf_static, 26, 306},	//306 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 398, 807, 3, Smoke::mf_static, 480, 307},	//307 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 273, 499, 2, Smoke::mf_static, 463, 308},	//308 QGlobalSpace::qAtan2(double, double)
    {26, 245, 811, 2, Smoke::mf_static, 86, 309},	//309 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 215, 814, 2, Smoke::mf_static, 26, 310},	//310 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 239, 817, 2, Smoke::mf_static, 26, 311},	//311 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 282, 820, 2, Smoke::mf_static, 16, 312},	//312 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 282, 572, 1, Smoke::mf_static, 16, 313},	//313 QGlobalSpace::qCompress(const QByteArray&)
    {26, 245, 823, 2, Smoke::mf_static, 151, 314},	//314 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 215, 826, 2, Smoke::mf_static, 30, 315},	//315 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 245, 829, 2, Smoke::mf_static, 115, 316},	//316 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 195, 832, 2, Smoke::mf_static, 270, 317},	//317 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 245, 835, 2, Smoke::mf_static, 151, 318},	//318 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 210, 490, 2, Smoke::mf_static, 373, 319},	//319 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 296, 838, 5, Smoke::mf_static, 0, 320},	//320 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 296, 844, 3, Smoke::mf_static, 0, 321},	//321 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 296, 848, 4, Smoke::mf_static, 0, 322},	//322 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 245, 853, 2, Smoke::mf_static, 85, 323},	//323 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 245, 856, 2, Smoke::mf_static, 151, 324},	//324 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 264, 859, 1, Smoke::mf_static, 0, 325},	//325 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 245, 861, 2, Smoke::mf_static, 151, 326},	//326 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 195, 864, 2, Smoke::mf_static, 194, 327},	//327 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 245, 867, 2, Smoke::mf_static, 151, 328},	//328 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 245, 870, 2, Smoke::mf_static, 151, 329},	//329 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 346, 19, 1, Smoke::mf_static, 463, 330},	//330 QGlobalSpace::qExp(double)
    {26, 188, 69, 2, Smoke::mf_static, 373, 331},	//331 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 245, 873, 2, Smoke::mf_static, 112, 332},	//332 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 219, 384, 2, Smoke::mf_static, 373, 333},	//333 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 215, 876, 2, Smoke::mf_static, 26, 334},	//334 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 188, 879, 2, Smoke::mf_static, 373, 335},	//335 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 245, 882, 2, Smoke::mf_static, 151, 336},	//336 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 245, 885, 2, Smoke::mf_static, 151, 337},	//337 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 245, 888, 2, Smoke::mf_static, 106, 338},	//338 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 224, 891, 2, Smoke::mf_static, 373, 339},	//339 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 388, 19, 1, Smoke::mf_static, 373, 340},	//340 QGlobalSpace::qIsNull(double)
    {26, 291, 894, 8, Smoke::mf_static, 0, 341},	//341 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 291, 903, 6, Smoke::mf_static, 0, 342},	//342 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 291, 910, 7, Smoke::mf_static, 0, 343},	//343 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 234, 918, 2, Smoke::mf_static, 373, 344},	//344 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 224, 921, 2, Smoke::mf_static, 373, 345},	//345 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 378, 19, 1, Smoke::mf_static, 465, 346},	//346 QGlobalSpace::qIntCast(double)
    {26, 243, 1, 2, Smoke::mf_static, 12, 347},	//347 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 280, 924, 2, Smoke::mf_static, 476, 348},	//348 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 245, 927, 2, Smoke::mf_static, 105, 349},	//349 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 245, 930, 2, Smoke::mf_static, 151, 350},	//350 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 239, 933, 2, Smoke::mf_static, 26, 351},	//351 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 215, 936, 2, Smoke::mf_static, 26, 352},	//352 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 195, 520, 2, Smoke::mf_static, 256, 353},	//353 QGlobalSpace::operator*(const QTransform&, double)
    {26, 245, 939, 2, Smoke::mf_static, 151, 354},	//354 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 245, 942, 2, Smoke::mf_static, 106, 355},	//355 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 210, 538, 2, Smoke::mf_static, 373, 356},	//356 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 215, 945, 2, Smoke::mf_static, 30, 357},	//357 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 245, 948, 2, Smoke::mf_static, 151, 358},	//358 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 445, 951, 1, Smoke::mf_static, 16, 359},	//359 QGlobalSpace::qgetenv(const char*)
    {26, 245, 953, 2, Smoke::mf_static, 151, 360},	//360 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 215, 956, 2, Smoke::mf_static, 30, 361},	//361 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 245, 959, 2, Smoke::mf_static, 151, 362},	//362 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 245, 962, 2, Smoke::mf_static, 151, 363},	//363 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 188, 708, 2, Smoke::mf_static, 373, 364},	//364 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 215, 965, 2, Smoke::mf_static, 30, 365},	//365 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 239, 968, 2, Smoke::mf_static, 250, 366},	//366 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 245, 971, 2, Smoke::mf_static, 151, 367},	//367 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 188, 490, 2, Smoke::mf_static, 373, 368},	//368 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 245, 974, 2, Smoke::mf_static, 151, 369},	//369 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 262, 19, 1, Smoke::mf_static, 463, 370},	//370 QGlobalSpace::qAcos(double)
    {26, 245, 977, 2, Smoke::mf_static, 88, 371},	//371 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 229, 538, 2, Smoke::mf_static, 373, 372},	//372 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 208, 541, 2, Smoke::mf_static, 458, 373},	//373 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 195, 980, 2, Smoke::mf_static, 194, 374},	//374 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 245, 983, 2, Smoke::mf_static, 95, 375},	//375 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 239, 986, 2, Smoke::mf_static, 26, 376},	//376 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 245, 989, 2, Smoke::mf_static, 69, 377},	//377 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 208, 153, 2, Smoke::mf_static, 420, 378},	//378 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 245, 992, 2, Smoke::mf_static, 79, 379},	//379 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 239, 995, 2, Smoke::mf_static, 26, 380},	//380 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 215, 998, 2, Smoke::mf_static, 26, 381},	//381 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 245, 1001, 2, Smoke::mf_static, 61, 382},	//382 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 258, 0, 0, Smoke::mf_static, 8, 383},	//383 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 245, 1004, 2, Smoke::mf_static, 151, 384},	//384 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 215, 1007, 2, Smoke::mf_static, 30, 385},	//385 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 467, 1010, 3, Smoke::mf_static, 375, 386},	//386 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 245, 1014, 2, Smoke::mf_static, 52, 387},	//387 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 239, 1017, 2, Smoke::mf_static, 26, 388},	//388 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 215, 1020, 2, Smoke::mf_static, 26, 389},	//389 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 239, 1023, 2, Smoke::mf_static, 26, 390},	//390 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 204, 1026, 1, Smoke::mf_static, 458, 391},	//391 QGlobalSpace::operator-(const QVector4D&)
    {26, 215, 1028, 2, Smoke::mf_static, 30, 392},	//392 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 372, 1031, 1, Smoke::mf_static, 473, 393},	//393 QGlobalSpace::qHash(const QUrl&)
    {26, 245, 1033, 2, Smoke::mf_static, 151, 394},	//394 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 239, 1036, 2, Smoke::mf_static, 26, 395},	//395 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 380, 361, 1, Smoke::mf_static, 373, 396},	//396 QGlobalSpace::qIsFinite(float)
    {26, 188, 424, 2, Smoke::mf_static, 373, 397},	//397 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 224, 101, 2, Smoke::mf_static, 373, 398},	//398 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 482, 1039, 1, Smoke::mf_static, 219, 399},	//399 QGlobalSpace::qt_error_string(int)
    {26, 482, 0, 0, Smoke::mf_static, 219, 400},	//400 QGlobalSpace::qt_error_string()
    {26, 208, 529, 2, Smoke::mf_static, 454, 401},	//401 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 245, 1041, 2, Smoke::mf_static, 151, 402},	//402 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 239, 1044, 2, Smoke::mf_static, 26, 403},	//403 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 403, 1047, 2, Smoke::mf_static, 480, 404},	//404 QGlobalSpace::qRealloc(void*, size_t)
    {26, 245, 1050, 2, Smoke::mf_static, 67, 405},	//405 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 245, 1053, 2, Smoke::mf_static, 66, 406},	//406 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 199, 1056, 2, Smoke::mf_static, 434, 407},	//407 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 245, 1059, 2, Smoke::mf_static, 151, 408},	//408 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 259, 0, 0, Smoke::mf_static, 8, 409},	//409 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 245, 1062, 2, Smoke::mf_static, 151, 410},	//410 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 195, 556, 2, Smoke::mf_static, 170, 411},	//411 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 478, 1065, 4, Smoke::mf_static, 0, 412},	//412 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 210, 481, 2, Smoke::mf_static, 373, 413},	//413 QGlobalSpace::operator<(const char*, const QString&)
    {26, 188, 481, 2, Smoke::mf_static, 373, 414},	//414 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 188, 384, 2, Smoke::mf_static, 373, 415},	//415 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 188, 1070, 2, Smoke::mf_static, 373, 416},	//416 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 215, 1073, 2, Smoke::mf_static, 30, 417},	//417 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 245, 1076, 2, Smoke::mf_static, 50, 418},	//418 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 224, 1079, 2, Smoke::mf_static, 373, 419},	//419 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 245, 1082, 2, Smoke::mf_static, 151, 420},	//420 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 239, 1085, 2, Smoke::mf_static, 26, 421},	//421 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 229, 133, 2, Smoke::mf_static, 373, 422},	//422 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 417, 19, 1, Smoke::mf_static, 465, 423},	//423 QGlobalSpace::qRound(double)
    {26, 219, 122, 2, Smoke::mf_static, 373, 424},	//424 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 224, 879, 2, Smoke::mf_static, 373, 425},	//425 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 245, 1, 2, Smoke::mf_static, 12, 426},	//426 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 224, 1088, 2, Smoke::mf_static, 373, 427},	//427 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 199, 490, 2, Smoke::mf_static, 379, 428},	//428 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 239, 1091, 2, Smoke::mf_static, 26, 429},	//429 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 245, 1094, 2, Smoke::mf_static, 151, 430},	//430 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 245, 1097, 2, Smoke::mf_static, 92, 431},	//431 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 219, 538, 2, Smoke::mf_static, 373, 432},	//432 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 239, 1100, 2, Smoke::mf_static, 26, 433},	//433 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 245, 1103, 2, Smoke::mf_static, 57, 434},	//434 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 245, 1106, 2, Smoke::mf_static, 113, 435},	//435 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 382, 125, 1, Smoke::mf_static, 373, 436},	//436 QGlobalSpace::qIsGray(unsigned int)
    {26, 245, 1109, 2, Smoke::mf_static, 103, 437},	//437 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 195, 1112, 2, Smoke::mf_static, 196, 438},	//438 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 204, 1115, 1, Smoke::mf_static, 170, 439},	//439 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 245, 1117, 2, Smoke::mf_static, 48, 440},	//440 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 195, 1120, 2, Smoke::mf_static, 454, 441},	//441 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 245, 1123, 2, Smoke::mf_static, 74, 442},	//442 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 245, 1126, 2, Smoke::mf_static, 151, 443},	//443 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 239, 1129, 2, Smoke::mf_static, 26, 444},	//444 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 224, 553, 2, Smoke::mf_static, 373, 445},	//445 QGlobalSpace::operator==(QChar, QChar)
    {26, 245, 1132, 2, Smoke::mf_static, 119, 446},	//446 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 215, 1135, 2, Smoke::mf_static, 26, 447},	//447 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 188, 891, 2, Smoke::mf_static, 373, 448},	//448 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 195, 1138, 2, Smoke::mf_static, 161, 449},	//449 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 188, 1141, 2, Smoke::mf_static, 373, 450},	//450 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 372, 1144, 1, Smoke::mf_static, 473, 451},	//451 QGlobalSpace::qHash(signed char)
    {26, 215, 1146, 2, Smoke::mf_static, 26, 452},	//452 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 215, 1149, 2, Smoke::mf_static, 26, 453},	//453 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 245, 1152, 2, Smoke::mf_static, 120, 454},	//454 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 195, 1155, 2, Smoke::mf_static, 456, 455},	//455 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 431, 19, 1, Smoke::mf_static, 463, 456},	//456 QGlobalSpace::qSqrt(double)
    {26, 215, 1158, 2, Smoke::mf_static, 26, 457},	//457 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 245, 1161, 2, Smoke::mf_static, 102, 458},	//458 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 452, 1164, 2, Smoke::mf_static, 465, 459},	//459 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 239, 1167, 2, Smoke::mf_static, 26, 460},	//460 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 245, 1170, 2, Smoke::mf_static, 89, 461},	//461 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 224, 89, 2, Smoke::mf_static, 373, 462},	//462 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 215, 1173, 2, Smoke::mf_static, 26, 463},	//463 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 215, 1176, 2, Smoke::mf_static, 26, 464},	//464 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 199, 1179, 2, Smoke::mf_static, 434, 465},	//465 QGlobalSpace::operator+(char, const QString&)
    {26, 208, 676, 2, Smoke::mf_static, 456, 466},	//466 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 245, 1182, 2, Smoke::mf_static, 84, 467},	//467 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 188, 136, 2, Smoke::mf_static, 373, 468},	//468 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 188, 553, 2, Smoke::mf_static, 373, 469},	//469 QGlobalSpace::operator!=(QChar, QChar)
    {26, 245, 1185, 2, Smoke::mf_static, 76, 470},	//470 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 195, 1188, 2, Smoke::mf_static, 170, 471},	//471 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 471, 924, 2, Smoke::mf_static, 473, 472},	//472 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 245, 1191, 2, Smoke::mf_static, 71, 473},	//473 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 224, 918, 2, Smoke::mf_static, 373, 474},	//474 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 413, 408, 3, Smoke::mf_static, 473, 475},	//475 QGlobalSpace::qRgb(int, int, int)
    {26, 362, 89, 2, Smoke::mf_static, 373, 476},	//476 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 356, 19, 1, Smoke::mf_static, 465, 477},	//477 QGlobalSpace::qFloor(double)
    {26, 245, 1194, 2, Smoke::mf_static, 122, 478},	//478 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 245, 1197, 2, Smoke::mf_static, 101, 479},	//479 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 215, 1200, 2, Smoke::mf_static, 30, 480},	//480 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 245, 1203, 2, Smoke::mf_static, 70, 481},	//481 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 245, 1206, 2, Smoke::mf_static, 105, 482},	//482 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 224, 130, 2, Smoke::mf_static, 373, 483},	//483 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 239, 1209, 2, Smoke::mf_static, 26, 484},	//484 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 245, 1212, 2, Smoke::mf_static, 104, 485},	//485 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 239, 1215, 2, Smoke::mf_static, 26, 486},	//486 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 215, 1218, 2, Smoke::mf_static, 26, 487},	//487 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 245, 1221, 2, Smoke::mf_static, 51, 488},	//488 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 224, 538, 2, Smoke::mf_static, 373, 489},	//489 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 188, 1224, 2, Smoke::mf_static, 373, 490},	//490 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 195, 1227, 2, Smoke::mf_static, 427, 491},	//491 QGlobalSpace::operator*(double, const QSize&)
    {26, 224, 1230, 2, Smoke::mf_static, 373, 492},	//492 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 245, 1233, 2, Smoke::mf_static, 61, 493},	//493 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 372, 1236, 1, Smoke::mf_static, 473, 494},	//494 QGlobalSpace::qHash(const QModelIndex&)
    {26, 245, 1238, 2, Smoke::mf_static, 70, 495},	//495 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 245, 1241, 2, Smoke::mf_static, 89, 496},	//496 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 215, 1244, 2, Smoke::mf_static, 30, 497},	//497 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 261, 0, 0, Smoke::mf_static, 8, 498},	//498 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 245, 1247, 2, Smoke::mf_static, 47, 499},	//499 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 411, 859, 1, Smoke::mf_static, 0, 500},	//500 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 239, 1250, 2, Smoke::mf_static, 26, 501},	//501 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 245, 1253, 2, Smoke::mf_static, 151, 502},	//502 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 195, 1256, 2, Smoke::mf_static, 270, 503},	//503 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 215, 1259, 2, Smoke::mf_static, 26, 504},	//504 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 362, 1262, 2, Smoke::mf_static, 373, 505},	//505 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 245, 1265, 2, Smoke::mf_static, 96, 506},	//506 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 354, 951, 1, Smoke::mf_static, 460, 507},	//507 QGlobalSpace::qFlagLocation(const char*)
    {26, 396, 1268, 3, Smoke::mf_static, 480, 508},	//508 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 234, 384, 2, Smoke::mf_static, 373, 509},	//509 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 195, 1272, 2, Smoke::mf_static, 414, 510},	//510 QGlobalSpace::operator*(double, const QPoint&)
    {26, 386, 19, 1, Smoke::mf_static, 373, 511},	//511 QGlobalSpace::qIsNaN(double)
    {26, 215, 1275, 2, Smoke::mf_static, 30, 512},	//512 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 245, 1278, 2, Smoke::mf_static, 78, 513},	//513 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 215, 1281, 2, Smoke::mf_static, 30, 514},	//514 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 372, 1284, 1, Smoke::mf_static, 473, 515},	//515 QGlobalSpace::qHash(short)
    {26, 375, 0, 0, Smoke::mf_static, 463, 516},	//516 QGlobalSpace::qInf()
    {26, 215, 1286, 2, Smoke::mf_static, 30, 517},	//517 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 245, 1289, 2, Smoke::mf_static, 80, 518},	//518 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 215, 1292, 2, Smoke::mf_static, 26, 519},	//519 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 215, 1295, 2, Smoke::mf_static, 26, 520},	//520 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 195, 1298, 2, Smoke::mf_static, 420, 521},	//521 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 199, 1301, 2, Smoke::mf_static, 379, 522},	//522 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 245, 1304, 2, Smoke::mf_static, 98, 523},	//523 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 215, 1307, 2, Smoke::mf_static, 30, 524},	//524 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 245, 1310, 2, Smoke::mf_static, 82, 525},	//525 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 245, 1313, 2, Smoke::mf_static, 54, 526},	//526 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 208, 610, 2, Smoke::mf_static, 416, 527},	//527 QGlobalSpace::operator/(const QPointF&, double)
    {26, 438, 572, 1, Smoke::mf_static, 16, 528},	//528 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 234, 553, 2, Smoke::mf_static, 373, 529},	//529 QGlobalSpace::operator>=(QChar, QChar)
    {26, 245, 1316, 2, Smoke::mf_static, 50, 530},	//530 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 219, 133, 2, Smoke::mf_static, 373, 531},	//531 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 426, 1039, 1, Smoke::mf_static, 253, 532},	//532 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 215, 1319, 2, Smoke::mf_static, 30, 533},	//533 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 429, 19, 1, Smoke::mf_static, 463, 534},	//534 QGlobalSpace::qSin(double)
    {26, 269, 19, 1, Smoke::mf_static, 463, 535},	//535 QGlobalSpace::qAsin(double)
    {26, 362, 424, 2, Smoke::mf_static, 373, 536},	//536 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 461, 1164, 2, Smoke::mf_static, 465, 537},	//537 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 245, 1322, 2, Smoke::mf_static, 69, 538},	//538 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 215, 1325, 2, Smoke::mf_static, 30, 539},	//539 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 362, 1328, 2, Smoke::mf_static, 373, 540},	//540 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 239, 1331, 2, Smoke::mf_static, 26, 541},	//541 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 245, 1334, 2, Smoke::mf_static, 56, 542},	//542 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 219, 918, 2, Smoke::mf_static, 373, 543},	//543 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 497, 1337, 4, Smoke::mf_static, 465, 544},	//544 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 245, 1342, 2, Smoke::mf_static, 74, 545},	//545 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 245, 1345, 2, Smoke::mf_static, 87, 546},	//546 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 215, 1348, 2, Smoke::mf_static, 26, 547},	//547 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 490, 0, 0, Smoke::mf_static, 0, 548},	//548 QGlobalSpace::qt_noop()
    {26, 245, 1351, 2, Smoke::mf_static, 75, 549},	//549 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 229, 490, 2, Smoke::mf_static, 373, 550},	//550 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 239, 1354, 2, Smoke::mf_static, 26, 551},	//551 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 422, 1039, 1, Smoke::mf_static, 253, 552},	//552 QGlobalSpace::qSetFieldWidth(int)
    {26, 245, 1357, 2, Smoke::mf_static, 97, 553},	//553 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 215, 1360, 2, Smoke::mf_static, 30, 554},	//554 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 215, 1363, 2, Smoke::mf_static, 26, 555},	//555 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 224, 1224, 2, Smoke::mf_static, 373, 556},	//556 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 188, 1366, 2, Smoke::mf_static, 373, 557},	//557 QGlobalSpace::operator!=(bool, QBool)
    {26, 372, 1369, 1, Smoke::mf_static, 473, 558},	//558 QGlobalSpace::qHash(unsigned long)
    {26, 215, 1371, 2, Smoke::mf_static, 30, 559},	//559 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 245, 1374, 2, Smoke::mf_static, 151, 560},	//560 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 195, 1377, 2, Smoke::mf_static, 198, 561},	//561 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 188, 1380, 2, Smoke::mf_static, 373, 562},	//562 QGlobalSpace::operator!=(QBool, bool)
    {26, 245, 1383, 2, Smoke::mf_static, 151, 563},	//563 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 245, 1386, 2, Smoke::mf_static, 96, 564},	//564 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 204, 879, 2, Smoke::mf_static, 414, 565},	//565 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 390, 19, 1, Smoke::mf_static, 463, 566},	//566 QGlobalSpace::qLn(double)
    {26, 239, 1389, 2, Smoke::mf_static, 26, 567},	//567 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 239, 1392, 2, Smoke::mf_static, 26, 568},	//568 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 362, 236, 2, Smoke::mf_static, 373, 569},	//569 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 303, 342, 9, Smoke::mf_static, 0, 570},	//570 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 303, 292, 6, Smoke::mf_static, 0, 571},	//571 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 303, 299, 7, Smoke::mf_static, 0, 572},	//572 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 303, 333, 8, Smoke::mf_static, 0, 573},	//573 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 463, 951, 1, Smoke::mf_static, 473, 574},	//574 QGlobalSpace::qstrlen(const char*)
    {26, 199, 384, 2, Smoke::mf_static, 379, 575},	//575 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 215, 1395, 2, Smoke::mf_static, 26, 576},	//576 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 188, 130, 2, Smoke::mf_static, 373, 577},	//577 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 219, 490, 2, Smoke::mf_static, 373, 578},	//578 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 215, 1398, 2, Smoke::mf_static, 26, 579},	//579 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 245, 1401, 2, Smoke::mf_static, 109, 580},	//580 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 215, 1404, 2, Smoke::mf_static, 30, 581},	//581 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 245, 1407, 2, Smoke::mf_static, 151, 582},	//582 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 224, 1070, 2, Smoke::mf_static, 373, 583},	//583 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 245, 1410, 2, Smoke::mf_static, 77, 584},	//584 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 188, 918, 2, Smoke::mf_static, 373, 585},	//585 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 245, 1413, 2, Smoke::mf_static, 102, 586},	//586 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 215, 1416, 2, Smoke::mf_static, 26, 587},	//587 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 245, 1419, 2, Smoke::mf_static, 123, 588},	//588 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 245, 1422, 2, Smoke::mf_static, 53, 589},	//589 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 257, 0, 0, Smoke::mf_static, 8, 590},	//590 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 195, 1425, 2, Smoke::mf_static, 427, 591},	//591 QGlobalSpace::operator*(const QSize&, double)
    {26, 195, 1428, 2, Smoke::mf_static, 268, 592},	//592 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 224, 1431, 2, Smoke::mf_static, 373, 593},	//593 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 215, 1434, 2, Smoke::mf_static, 30, 594},	//594 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 245, 1437, 2, Smoke::mf_static, 56, 595},	//595 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 245, 1440, 2, Smoke::mf_static, 113, 596},	//596 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 239, 1443, 2, Smoke::mf_static, 26, 597},	//597 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 215, 1446, 2, Smoke::mf_static, 30, 598},	//598 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 224, 384, 2, Smoke::mf_static, 373, 599},	//599 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 493, 1449, 5, Smoke::mf_static, 0, 600},	//600 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 239, 1455, 2, Smoke::mf_static, 26, 601},	//601 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 245, 1458, 2, Smoke::mf_static, 91, 602},	//602 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 229, 481, 2, Smoke::mf_static, 373, 603},	//603 QGlobalSpace::operator>(const char*, const QString&)
    {26, 215, 1461, 2, Smoke::mf_static, 26, 604},	//604 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 239, 1464, 2, Smoke::mf_static, 26, 605},	//605 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 239, 1467, 2, Smoke::mf_static, 26, 606},	//606 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 229, 384, 2, Smoke::mf_static, 373, 607},	//607 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 210, 122, 2, Smoke::mf_static, 373, 608},	//608 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 245, 1470, 2, Smoke::mf_static, 151, 609},	//609 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 199, 879, 2, Smoke::mf_static, 414, 610},	//610 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 215, 1473, 2, Smoke::mf_static, 26, 611},	//611 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 358, 688, 1, Smoke::mf_static, 0, 612},	//612 QGlobalSpace::qFree(void*)
    {26, 199, 424, 2, Smoke::mf_static, 456, 613},	//613 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 219, 553, 2, Smoke::mf_static, 373, 614},	//614 QGlobalSpace::operator<=(QChar, QChar)
    {26, 215, 1476, 2, Smoke::mf_static, 250, 615},	//615 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 245, 1479, 2, Smoke::mf_static, 73, 616},	//616 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 215, 1482, 2, Smoke::mf_static, 26, 617},	//617 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 372, 125, 1, Smoke::mf_static, 473, 618},	//618 QGlobalSpace::qHash(unsigned int)
    {26, 195, 1485, 2, Smoke::mf_static, 208, 619},	//619 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 188, 1431, 2, Smoke::mf_static, 373, 620},	//620 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 419, 19, 1, Smoke::mf_static, 467, 621},	//621 QGlobalSpace::qRound64(double)
    {26, 195, 1488, 2, Smoke::mf_static, 196, 622},	//622 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 229, 918, 2, Smoke::mf_static, 373, 623},	//623 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 215, 1491, 2, Smoke::mf_static, 30, 624},	//624 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 245, 1494, 2, Smoke::mf_static, 151, 625},	//625 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 215, 1497, 2, Smoke::mf_static, 26, 626},	//626 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 245, 1500, 2, Smoke::mf_static, 87, 627},	//627 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 394, 1503, 2, Smoke::mf_static, 480, 628},	//628 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 245, 1506, 2, Smoke::mf_static, 151, 629},	//629 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 245, 1509, 2, Smoke::mf_static, 151, 630},	//630 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 188, 693, 2, Smoke::mf_static, 373, 631},	//631 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 282, 1512, 3, Smoke::mf_static, 16, 632},	//632 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 282, 1516, 2, Smoke::mf_static, 16, 633},	//633 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 245, 1519, 2, Smoke::mf_static, 151, 634},	//634 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 215, 1522, 2, Smoke::mf_static, 30, 635},	//635 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 459, 951, 1, Smoke::mf_static, 375, 636},	//636 QGlobalSpace::qstrdup(const char*)
    {26, 245, 1525, 2, Smoke::mf_static, 111, 637},	//637 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 215, 1528, 2, Smoke::mf_static, 26, 638},	//638 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 195, 1531, 2, Smoke::mf_static, 200, 639},	//639 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 188, 236, 2, Smoke::mf_static, 373, 640},	//640 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 245, 1534, 2, Smoke::mf_static, 151, 641},	//641 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 290, 0, 0, Smoke::mf_static, 30, 642},	//642 QGlobalSpace::qDebug()
    {26, 204, 1537, 1, Smoke::mf_static, 414, 643},	//643 QGlobalSpace::operator-(const QPoint&)
    {26, 239, 1539, 2, Smoke::mf_static, 26, 644},	//644 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 188, 89, 2, Smoke::mf_static, 373, 645},	//645 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 291, 1542, 4, Smoke::mf_static, 0, 646},	//646 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 245, 1547, 2, Smoke::mf_static, 63, 647},	//647 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 452, 490, 2, Smoke::mf_static, 465, 648},	//648 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 245, 1550, 2, Smoke::mf_static, 62, 649},	//649 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 245, 1553, 2, Smoke::mf_static, 151, 650},	//650 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 436, 19, 1, Smoke::mf_static, 463, 651},	//651 QGlobalSpace::qTan(double)
    {26, 239, 1556, 2, Smoke::mf_static, 26, 652},	//652 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 245, 1559, 2, Smoke::mf_static, 53, 653},	//653 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 224, 133, 2, Smoke::mf_static, 373, 654},	//654 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 245, 1562, 2, Smoke::mf_static, 54, 655},	//655 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 303, 1565, 7, Smoke::mf_static, 0, 656},	//656 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 303, 1573, 4, Smoke::mf_static, 0, 657},	//657 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 303, 1578, 5, Smoke::mf_static, 0, 658},	//658 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 303, 1584, 6, Smoke::mf_static, 0, 659},	//659 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 195, 424, 2, Smoke::mf_static, 456, 660},	//660 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 245, 1591, 2, Smoke::mf_static, 75, 661},	//661 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 339, 652, 5, Smoke::mf_static, 0, 662},	//662 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 339, 210, 3, Smoke::mf_static, 0, 663},	//663 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 339, 214, 4, Smoke::mf_static, 0, 664},	//664 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 215, 1594, 2, Smoke::mf_static, 26, 665},	//665 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 372, 1039, 1, Smoke::mf_static, 473, 666},	//666 QGlobalSpace::qHash(int)
    {26, 204, 517, 2, Smoke::mf_static, 416, 667},	//667 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 210, 918, 2, Smoke::mf_static, 373, 668},	//668 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 215, 1597, 2, Smoke::mf_static, 26, 669},	//669 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 239, 1600, 2, Smoke::mf_static, 250, 670},	//670 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 215, 1603, 2, Smoke::mf_static, 26, 671},	//671 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 239, 1606, 2, Smoke::mf_static, 26, 672},	//672 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 199, 520, 2, Smoke::mf_static, 256, 673},	//673 QGlobalSpace::operator+(const QTransform&, double)
    {26, 215, 1609, 2, Smoke::mf_static, 26, 674},	//674 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 245, 1612, 2, Smoke::mf_static, 88, 675},	//675 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 372, 1615, 1, Smoke::mf_static, 473, 676},	//676 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 245, 1617, 2, Smoke::mf_static, 119, 677},	//677 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 400, 499, 2, Smoke::mf_static, 463, 678},	//678 QGlobalSpace::qPow(double, double)
    {26, 224, 708, 2, Smoke::mf_static, 373, 679},	//679 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 188, 1088, 2, Smoke::mf_static, 373, 680},	//680 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 239, 1620, 2, Smoke::mf_static, 26, 681},	//681 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 199, 133, 2, Smoke::mf_static, 379, 682},	//682 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 199, 1623, 2, Smoke::mf_static, 434, 683},	//683 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 433, 436, 2, Smoke::mf_static, 373, 684},	//684 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 245, 1626, 2, Smoke::mf_static, 60, 685},	//685 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 195, 1629, 2, Smoke::mf_static, 194, 686},	//686 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 239, 1632, 2, Smoke::mf_static, 26, 687},	//687 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 245, 1635, 2, Smoke::mf_static, 151, 688},	//688 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 245, 1638, 2, Smoke::mf_static, 64, 689},	//689 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 245, 1641, 2, Smoke::mf_static, 71, 690},	//690 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 484, 1644, 2, Smoke::mf_static, 0, 691},	//691 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 245, 1647, 2, Smoke::mf_static, 151, 692},	//692 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 204, 1650, 1, Smoke::mf_static, 456, 693},	//693 QGlobalSpace::operator-(const QVector3D&)
    {26, 245, 1652, 2, Smoke::mf_static, 90, 694},	//694 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 224, 481, 2, Smoke::mf_static, 373, 695},	//695 QGlobalSpace::operator==(const char*, const QString&)
    {26, 245, 1655, 2, Smoke::mf_static, 52, 696},	//696 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 215, 1658, 2, Smoke::mf_static, 30, 697},	//697 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 350, 19, 1, Smoke::mf_static, 463, 698},	//698 QGlobalSpace::qFastCos(double)
    {26, 215, 1661, 2, Smoke::mf_static, 26, 699},	//699 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 215, 1664, 2, Smoke::mf_static, 26, 700},	//700 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 239, 1667, 2, Smoke::mf_static, 26, 701},	//701 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 245, 1670, 2, Smoke::mf_static, 151, 702},	//702 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 195, 1673, 2, Smoke::mf_static, 458, 703},	//703 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 208, 1425, 2, Smoke::mf_static, 427, 704},	//704 QGlobalSpace::operator/(const QSize&, double)
    {26, 239, 1676, 2, Smoke::mf_static, 26, 705},	//705 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 239, 1679, 2, Smoke::mf_static, 26, 706},	//706 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 245, 1682, 2, Smoke::mf_static, 68, 707},	//707 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 239, 1685, 2, Smoke::mf_static, 26, 708},	//708 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 224, 1366, 2, Smoke::mf_static, 373, 709},	//709 QGlobalSpace::operator==(bool, QBool)
    {26, 339, 283, 8, Smoke::mf_static, 0, 710},	//710 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 339, 292, 6, Smoke::mf_static, 0, 711},	//711 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 339, 299, 7, Smoke::mf_static, 0, 712},	//712 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 245, 1688, 2, Smoke::mf_static, 121, 713},	//713 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 245, 1691, 2, Smoke::mf_static, 101, 714},	//714 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 245, 1694, 2, Smoke::mf_static, 151, 715},	//715 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 195, 1697, 2, Smoke::mf_static, 194, 716},	//716 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 245, 1700, 2, Smoke::mf_static, 151, 717},	//717 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 245, 1703, 2, Smoke::mf_static, 151, 718},	//718 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 204, 236, 2, Smoke::mf_static, 420, 719},	//719 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 245, 1706, 2, Smoke::mf_static, 94, 720},	//720 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 204, 424, 2, Smoke::mf_static, 456, 721},	//721 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 239, 1709, 2, Smoke::mf_static, 26, 722},	//722 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 245, 1712, 2, Smoke::mf_static, 151, 723},	//723 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 234, 481, 2, Smoke::mf_static, 373, 724},	//724 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 256, 0, 0, Smoke::mf_static, 8, 725},	//725 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 372, 1715, 1, Smoke::mf_static, 473, 726},	//726 QGlobalSpace::qHash(char)
    {26, 215, 1717, 2, Smoke::mf_static, 26, 727},	//727 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 276, 125, 1, Smoke::mf_static, 465, 728},	//728 QGlobalSpace::qBlue(unsigned int)
    {26, 245, 1720, 2, Smoke::mf_static, 151, 729},	//729 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 239, 1723, 2, Smoke::mf_static, 26, 730},	//730 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 188, 517, 2, Smoke::mf_static, 373, 731},	//731 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 245, 1726, 2, Smoke::mf_static, 100, 732},	//732 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 380, 19, 1, Smoke::mf_static, 373, 733},	//733 QGlobalSpace::qIsFinite(double)
    {26, 245, 1729, 2, Smoke::mf_static, 112, 734},	//734 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 204, 69, 2, Smoke::mf_static, 427, 735},	//735 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 215, 1732, 2, Smoke::mf_static, 30, 736},	//736 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 421, 0, 0, Smoke::mf_static, 463, 737},	//737 QGlobalSpace::qSNaN()
    {26, 215, 1735, 2, Smoke::mf_static, 26, 738},	//738 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 245, 1738, 2, Smoke::mf_static, 91, 739},	//739 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 365, 361, 1, Smoke::mf_static, 373, 740},	//740 QGlobalSpace::qFuzzyIsNull(float)
    {26, 245, 1741, 2, Smoke::mf_static, 110, 741},	//741 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 245, 1744, 2, Smoke::mf_static, 151, 742},	//742 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 438, 1516, 2, Smoke::mf_static, 16, 743},	//743 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 245, 1747, 2, Smoke::mf_static, 110, 744},	//744 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 245, 1750, 2, Smoke::mf_static, 66, 745},	//745 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 245, 1753, 2, Smoke::mf_static, 151, 746},	//746 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 352, 19, 1, Smoke::mf_static, 463, 747},	//747 QGlobalSpace::qFastSin(double)
    {26, 188, 122, 2, Smoke::mf_static, 373, 748},	//748 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 245, 1756, 2, Smoke::mf_static, 73, 749},	//749 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 215, 1759, 2, Smoke::mf_static, 26, 750},	//750 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 215, 1762, 2, Smoke::mf_static, 30, 751},	//751 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 199, 517, 2, Smoke::mf_static, 416, 752},	//752 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 195, 1765, 2, Smoke::mf_static, 208, 753},	//753 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 224, 1380, 2, Smoke::mf_static, 373, 754},	//754 QGlobalSpace::operator==(QBool, bool)
    {26, 224, 66, 2, Smoke::mf_static, 373, 755},	//755 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 215, 1768, 2, Smoke::mf_static, 30, 756},	//756 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 473, 586, 2, Smoke::mf_static, 219, 757},	//757 QGlobalSpace::qtTrId(const char*, int)
    {26, 473, 951, 1, Smoke::mf_static, 219, 758},	//758 QGlobalSpace::qtTrId(const char*)
    {26, 239, 1771, 2, Smoke::mf_static, 26, 759},	//759 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 245, 1774, 2, Smoke::mf_static, 76, 760},	//760 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 245, 1777, 2, Smoke::mf_static, 151, 761},	//761 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 199, 1780, 2, Smoke::mf_static, 434, 762},	//762 QGlobalSpace::operator+(const QString&, QChar)
    {26, 275, 0, 0, Smoke::mf_static, 0, 763},	//763 QGlobalSpace::qBadAlloc()
    {26, 188, 176, 2, Smoke::mf_static, 373, 764},	//764 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 415, 1783, 4, Smoke::mf_static, 473, 765},	//765 QGlobalSpace::qRgba(int, int, int, int)
    {26, 245, 1788, 2, Smoke::mf_static, 118, 766},	//766 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 245, 1791, 2, Smoke::mf_static, 94, 767},	//767 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 245, 1794, 2, Smoke::mf_static, 78, 768},	//768 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 188, 156, 2, Smoke::mf_static, 373, 769},	//769 QGlobalSpace::operator!=(QBool, QBool)
    {26, 215, 968, 2, Smoke::mf_static, 250, 770},	//770 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 392, 1797, 1, Smoke::mf_static, 480, 771},	//771 QGlobalSpace::qMalloc(size_t)
    {26, 215, 1799, 2, Smoke::mf_static, 30, 772},	//772 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 224, 1141, 2, Smoke::mf_static, 373, 773},	//773 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 204, 520, 2, Smoke::mf_static, 256, 774},	//774 QGlobalSpace::operator-(const QTransform&, double)
    {26, 245, 1802, 2, Smoke::mf_static, 77, 775},	//775 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 215, 1805, 2, Smoke::mf_static, 26, 776},	//776 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 777},	//777 QGlobalSpace::PM_FrameCornerWidth (enum)
    {26, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 778},	//778 QGlobalSpace::PM_FrameCornerHeight (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 779},	//779 QGlobalSpace::PM_BoldLineWidth (enum)
    {26, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 780},	//780 QGlobalSpace::PM_ThinLineWidth (enum)
    {26, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 781},	//781 QGlobalSpace::PM_MessageBoxHeight (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 782},	//782 QGlobalSpace::LicensedOpenGL (enum)
    {26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 783},	//783 QGlobalSpace::LicensedSvg (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 784},	//784 QGlobalSpace::LicensedOpenVG (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 785},	//785 QGlobalSpace::LicensedScript (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 786},	//786 QGlobalSpace::LicensedQt3SupportLight (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 787},	//787 QGlobalSpace::QtDebugMsg (enum)
    {26, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 788},	//788 QGlobalSpace::QtWarningMsg (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 789},	//789 QGlobalSpace::QtCriticalMsg (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 790},	//790 QGlobalSpace::QtFatalMsg (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 791},	//791 QGlobalSpace::QtSystemMsg (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 792},	//792 QGlobalSpace::LicensedGui (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 793},	//793 QGlobalSpace::LicensedXmlPatterns (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 794},	//794 QGlobalSpace::LicensedSql (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 795},	//795 QGlobalSpace::LicensedActiveQt (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 796},	//796 QGlobalSpace::LicensedQt3Support (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 797},	//797 QGlobalSpace::LicensedDBus (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 798},	//798 QGlobalSpace::LicensedCore (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 799},	//799 QGlobalSpace::LicensedNetwork (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 800},	//800 QGlobalSpace::LicensedMultimedia (enum)
    {26, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 801},	//801 QGlobalSpace::LicensedTest (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 802},	//802 QGlobalSpace::LicensedScriptTools (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 803},	//803 QGlobalSpace::LicensedHelp (enum)
    {26, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 804},	//804 QGlobalSpace::LicensedXml (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 805},	//805 QGlobalSpace::LicensedDeclarative (enum)
    {27, 119, 1039, 1, Smoke::mf_virtual, 0, 0},	//806 QGraphicsItem::advance(int)
    {27, 538, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//807 QGraphicsItem::shape() const
    {27, 131, 735, 1, Smoke::mf_const|Smoke::mf_virtual, 373, 0},	//808 QGraphicsItem::contains(const QPointF&) const
    {27, 128, 1808, 2, Smoke::mf_const|Smoke::mf_virtual, 373, 0},	//809 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 129, 1811, 2, Smoke::mf_const|Smoke::mf_virtual, 373, 0},	//810 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 165, 1814, 1, Smoke::mf_const|Smoke::mf_virtual, 373, 0},	//811 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 187, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//812 QGraphicsItem::opaqueArea() const
    {27, 509, 1816, 2, Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//813 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 508, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//814 QGraphicsItem::sceneEvent(QEvent*)
    {27, 132, 1821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 139, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 140, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 141, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 142, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 152, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 154, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 159, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 161, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 160, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 168, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 169, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 184, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 183, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 185, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 182, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 559, 1833, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 162, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 163, 1837, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//833 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 167, 1839, 2, Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//834 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 544, 1842, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//835 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 518, 1844, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 150, 1847, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//837 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//838 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//839 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//840 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 36},	//841 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 37},	//842 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 38},	//843 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 39},	//844 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 40},	//845 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 41},	//846 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 42},	//847 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 43},	//848 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 44},	//849 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 45},	//850 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 46},	//851 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 47},	//852 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 48},	//853 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 49},	//854 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 50},	//855 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//856 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//857 QGraphicsItem::ItemMatrixChange (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//858 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//859 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//860 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//861 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//862 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//863 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//864 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//865 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//866 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//867 QGraphicsItem::ItemSceneChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//868 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//869 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//870 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//871 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//872 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//873 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//874 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//875 QGraphicsItem::ItemToolTipChange (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 71},	//876 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 72},	//877 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 73},	//878 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 74},	//879 QGraphicsItem::ItemZValueChange (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 75},	//880 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 76},	//881 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 77},	//882 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 78},	//883 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 79},	//884 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 80},	//885 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 81},	//886 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 82},	//887 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 83},	//888 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 84},	//889 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 85},	//890 QGraphicsItem::Type (enum)
    {27, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 86},	//891 QGraphicsItem::UserType (enum)
    {27, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 87},	//892 QGraphicsItem::UserExtension (enum)
    {34, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//893 QGraphicsSvgItem::metaObject() const
    {34, 488, 951, 1, Smoke::mf_virtual, 480, 2},	//894 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 548, 1164, 2, Smoke::mf_static, 219, 3},	//895 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 552, 1164, 2, Smoke::mf_static, 219, 4},	//896 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 548, 9, 3, Smoke::mf_static, 219, 5},	//897 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 552, 9, 3, Smoke::mf_static, 219, 6},	//898 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 486, 1849, 3, Smoke::mf_virtual, 465, 7},	//899 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 95, 1853, 1, Smoke::mf_ctor, 142, 8},	//900 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 95, 1855, 2, Smoke::mf_ctor, 142, 9},	//901 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 529, 1858, 1, 0, 0, 10},	//902 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 504, 0, 0, Smoke::mf_const, 237, 11},	//903 QGraphicsSvgItem::renderer() const
    {34, 516, 267, 1, Smoke::mf_property, 0, 12},	//904 QGraphicsSvgItem::setElementId(const QString&)
    {34, 145, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 13},	//905 QGraphicsSvgItem::elementId() const
    {34, 510, 1860, 1, 0, 0, 14},	//906 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 164, 0, 0, Smoke::mf_const, 373, 15},	//907 QGraphicsSvgItem::isCachingEnabled() const
    {34, 523, 1862, 1, Smoke::mf_property, 0, 16},	//908 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 177, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 17},	//909 QGraphicsSvgItem::maximumCacheSize() const
    {34, 122, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//910 QGraphicsSvgItem::boundingRect() const
    {34, 249, 1864, 3, Smoke::mf_virtual, 0, 19},	//911 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 556, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 20},	//912 QGraphicsSvgItem::type() const
    {34, 548, 951, 1, Smoke::mf_static, 219, 21},	//913 QGraphicsSvgItem::tr(const char*)
    {34, 552, 951, 1, Smoke::mf_static, 219, 22},	//914 QGraphicsSvgItem::trUtf8(const char*)
    {34, 95, 0, 0, Smoke::mf_ctor, 142, 23},	//915 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 95, 267, 1, Smoke::mf_ctor, 142, 24},	//916 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 249, 1868, 2, 0, 0, 25},	//917 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 26},	//918 QGraphicsSvgItem::staticMetaObject() const
    {34, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 27},	//919 QGraphicsSvgItem::Type (enum)
    {34, 562, 0, 0, Smoke::mf_dtor, 0, 28 },	//920 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 148, 1819, 1, Smoke::mf_virtual, 373, 0},	//921 QObject::event(QEvent*)
    {57, 149, 1871, 2, Smoke::mf_virtual, 373, 0},	//922 QObject::eventFilter(QObject*, QEvent*)
    {57, 546, 1874, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QObject::timerEvent(QTimerEvent*)
    {57, 126, 1876, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//924 QObject::childEvent(QChildEvent*)
    {57, 134, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//925 QObject::customEvent(QEvent*)
    {57, 130, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//926 QObject::connectNotify(const char*)
    {57, 138, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//927 QObject::disconnectNotify(const char*)
    {58, 137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//928 QPaintDevice::devType() const
    {58, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 2},	//929 QPaintDevice::PdmWidth (enum)
    {58, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 3},	//930 QPaintDevice::PdmHeight (enum)
    {58, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 4},	//931 QPaintDevice::PdmWidthMM (enum)
    {58, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 5},	//932 QPaintDevice::PdmHeightMM (enum)
    {58, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//933 QPaintDevice::PdmNumColors (enum)
    {58, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//934 QPaintDevice::PdmDepth (enum)
    {58, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//935 QPaintDevice::PdmDpiX (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 9},	//936 QPaintDevice::PdmDpiY (enum)
    {58, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 10},	//937 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//938 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 99, 0, 0, Smoke::mf_ctor, 236, 1},	//939 QSvgGenerator::QSvgGenerator()
    {89, 547, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 2},	//940 QSvgGenerator::title() const
    {89, 533, 267, 1, Smoke::mf_property, 0, 3},	//941 QSvgGenerator::setTitle(const QString&)
    {89, 136, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 4},	//942 QSvgGenerator::description() const
    {89, 514, 267, 1, Smoke::mf_property, 0, 5},	//943 QSvgGenerator::setDescription(const QString&)
    {89, 540, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 6},	//944 QSvgGenerator::size() const
    {89, 531, 1862, 1, Smoke::mf_property, 0, 7},	//945 QSvgGenerator::setSize(const QSize&)
    {89, 557, 0, 0, Smoke::mf_const, 203, 8},	//946 QSvgGenerator::viewBox() const
    {89, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 9},	//947 QSvgGenerator::viewBoxF() const
    {89, 535, 1878, 1, 0, 0, 10},	//948 QSvgGenerator::setViewBox(const QRect&)
    {89, 535, 1880, 1, Smoke::mf_property, 0, 11},	//949 QSvgGenerator::setViewBox(const QRectF&)
    {89, 151, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 12},	//950 QSvgGenerator::fileName() const
    {89, 519, 267, 1, Smoke::mf_property, 0, 13},	//951 QSvgGenerator::setFileName(const QString&)
    {89, 248, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 14},	//952 QSvgGenerator::outputDevice() const
    {89, 525, 1882, 1, Smoke::mf_property, 0, 15},	//953 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 527, 1039, 1, Smoke::mf_property, 0, 16},	//954 QSvgGenerator::setResolution(int)
    {89, 507, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 17},	//955 QSvgGenerator::resolution() const
    {89, 252, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 181, 18},	//956 QSvgGenerator::paintEngine() const
    {89, 179, 1884, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 19},	//957 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 563, 0, 0, Smoke::mf_dtor, 0, 20 },	//958 QSvgGenerator::~QSvgGenerator()
    {90, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//959 QSvgRenderer::metaObject() const
    {90, 488, 951, 1, Smoke::mf_virtual, 480, 2},	//960 QSvgRenderer::qt_metacast(const char*)
    {90, 548, 1164, 2, Smoke::mf_static, 219, 3},	//961 QSvgRenderer::tr(const char*, const char*)
    {90, 552, 1164, 2, Smoke::mf_static, 219, 4},	//962 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 548, 9, 3, Smoke::mf_static, 219, 5},	//963 QSvgRenderer::tr(const char*, const char*, int)
    {90, 552, 9, 3, Smoke::mf_static, 219, 6},	//964 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 486, 1849, 3, Smoke::mf_virtual, 465, 7},	//965 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 100, 1886, 1, Smoke::mf_ctor, 237, 8},	//966 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 100, 1888, 2, Smoke::mf_ctor, 237, 9},	//967 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 100, 1891, 2, Smoke::mf_ctor, 237, 10},	//968 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 100, 1894, 2, Smoke::mf_ctor, 237, 11},	//969 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 166, 0, 0, Smoke::mf_const, 373, 12},	//970 QSvgRenderer::isValid() const
    {90, 135, 0, 0, Smoke::mf_const, 212, 13},	//971 QSvgRenderer::defaultSize() const
    {90, 557, 0, 0, Smoke::mf_const, 203, 14},	//972 QSvgRenderer::viewBox() const
    {90, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 15},	//973 QSvgRenderer::viewBoxF() const
    {90, 535, 1878, 1, 0, 0, 16},	//974 QSvgRenderer::setViewBox(const QRect&)
    {90, 535, 1880, 1, Smoke::mf_property, 0, 17},	//975 QSvgRenderer::setViewBox(const QRectF&)
    {90, 120, 0, 0, Smoke::mf_const, 373, 18},	//976 QSvgRenderer::animated() const
    {90, 156, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 19},	//977 QSvgRenderer::framesPerSecond() const
    {90, 521, 1039, 1, Smoke::mf_property, 0, 20},	//978 QSvgRenderer::setFramesPerSecond(int)
    {90, 133, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 21},	//979 QSvgRenderer::currentFrame() const
    {90, 512, 1039, 1, Smoke::mf_property, 0, 22},	//980 QSvgRenderer::setCurrentFrame(int)
    {90, 121, 0, 0, Smoke::mf_const, 465, 23},	//981 QSvgRenderer::animationDuration() const
    {90, 123, 267, 1, Smoke::mf_const, 205, 24},	//982 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 143, 267, 1, Smoke::mf_const, 373, 25},	//983 QSvgRenderer::elementExists(const QString&) const
    {90, 175, 267, 1, Smoke::mf_const, 168, 26},	//984 QSvgRenderer::matrixForElement(const QString&) const
    {90, 172, 267, 1, Smoke::mf_slot, 373, 27},	//985 QSvgRenderer::load(const QString&)
    {90, 172, 572, 1, Smoke::mf_slot, 373, 28},	//986 QSvgRenderer::load(const QByteArray&)
    {90, 172, 1897, 1, Smoke::mf_slot, 373, 29},	//987 QSvgRenderer::load(QXmlStreamReader*)
    {90, 499, 1899, 1, Smoke::mf_slot, 0, 30},	//988 QSvgRenderer::render(QPainter*)
    {90, 499, 1901, 2, Smoke::mf_slot, 0, 31},	//989 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 499, 1904, 3, Smoke::mf_slot, 0, 32},	//990 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 505, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//991 QSvgRenderer::repaintNeeded()
    {90, 548, 951, 1, Smoke::mf_static, 219, 34},	//992 QSvgRenderer::tr(const char*)
    {90, 552, 951, 1, Smoke::mf_static, 219, 35},	//993 QSvgRenderer::trUtf8(const char*)
    {90, 100, 0, 0, Smoke::mf_ctor, 237, 36},	//994 QSvgRenderer::QSvgRenderer()
    {90, 100, 267, 1, Smoke::mf_ctor, 237, 37},	//995 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 100, 572, 1, Smoke::mf_ctor, 237, 38},	//996 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 100, 1897, 1, Smoke::mf_ctor, 237, 39},	//997 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 499, 1908, 2, Smoke::mf_slot, 0, 40},	//998 QSvgRenderer::render(QPainter*, const QString&)
    {90, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 41},	//999 QSvgRenderer::staticMetaObject() const
    {90, 564, 0, 0, Smoke::mf_dtor, 0, 42 },	//1000 QSvgRenderer::~QSvgRenderer()
    {91, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//1001 QSvgWidget::metaObject() const
    {91, 488, 951, 1, Smoke::mf_virtual, 480, 2},	//1002 QSvgWidget::qt_metacast(const char*)
    {91, 548, 1164, 2, Smoke::mf_static, 219, 3},	//1003 QSvgWidget::tr(const char*, const char*)
    {91, 552, 1164, 2, Smoke::mf_static, 219, 4},	//1004 QSvgWidget::trUtf8(const char*, const char*)
    {91, 548, 9, 3, Smoke::mf_static, 219, 5},	//1005 QSvgWidget::tr(const char*, const char*, int)
    {91, 552, 9, 3, Smoke::mf_static, 219, 6},	//1006 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 486, 1849, 3, Smoke::mf_virtual, 465, 7},	//1007 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 105, 1911, 1, Smoke::mf_ctor, 238, 8},	//1008 QSvgWidget::QSvgWidget(QWidget*)
    {91, 105, 1913, 2, Smoke::mf_ctor, 238, 9},	//1009 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 504, 0, 0, Smoke::mf_const, 237, 10},	//1010 QSvgWidget::renderer() const
    {91, 541, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 212, 11},	//1011 QSvgWidget::sizeHint() const
    {91, 172, 267, 1, Smoke::mf_slot, 0, 12},	//1012 QSvgWidget::load(const QString&)
    {91, 172, 572, 1, Smoke::mf_slot, 0, 13},	//1013 QSvgWidget::load(const QByteArray&)
    {91, 253, 1916, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1014 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 548, 951, 1, Smoke::mf_static, 219, 15},	//1015 QSvgWidget::tr(const char*)
    {91, 552, 951, 1, Smoke::mf_static, 219, 16},	//1016 QSvgWidget::trUtf8(const char*)
    {91, 105, 0, 0, Smoke::mf_ctor, 238, 17},	//1017 QSvgWidget::QSvgWidget()
    {91, 105, 267, 1, Smoke::mf_ctor, 238, 18},	//1018 QSvgWidget::QSvgWidget(const QString&)
    {91, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 19},	//1019 QSvgWidget::staticMetaObject() const
    {91, 565, 0, 0, Smoke::mf_dtor, 0, 20 },	//1020 QSvgWidget::~QSvgWidget()
    {112, 137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1021 QWidget::devType() const
    {112, 537, 1860, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1022 QWidget::setVisible(bool)
    {112, 181, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 212, 0},	//1023 QWidget::minimumSizeHint() const
    {112, 157, 1039, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1024 QWidget::heightForWidth(int) const
    {112, 252, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1025 QWidget::paintEngine() const
    {112, 148, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//1026 QWidget::event(QEvent*)
    {112, 184, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::mousePressEvent(QMouseEvent*)
    {112, 185, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 182, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 183, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 559, 1920, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QWidget::wheelEvent(QWheelEvent*)
    {112, 168, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::keyPressEvent(QKeyEvent*)
    {112, 169, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 152, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::focusInEvent(QFocusEvent*)
    {112, 154, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::focusOutEvent(QFocusEvent*)
    {112, 147, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1036 QWidget::enterEvent(QEvent*)
    {112, 171, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::leaveEvent(QEvent*)
    {112, 186, 1922, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1038 QWidget::moveEvent(QMoveEvent*)
    {112, 506, 1924, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1039 QWidget::resizeEvent(QResizeEvent*)
    {112, 127, 1926, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::closeEvent(QCloseEvent*)
    {112, 132, 1928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1041 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 545, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::tabletEvent(QTabletEvent*)
    {112, 118, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1043 QWidget::actionEvent(QActionEvent*)
    {112, 139, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1044 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 141, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1045 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 140, 1938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1046 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 142, 1940, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1047 QWidget::dropEvent(QDropEvent*)
    {112, 539, 1942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1048 QWidget::showEvent(QShowEvent*)
    {112, 158, 1944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1049 QWidget::hideEvent(QHideEvent*)
    {112, 561, 1946, 1, Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//1050 QWidget::x11Event(_XEvent*)
    {112, 125, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1051 QWidget::changeEvent(QEvent*)
    {112, 179, 1884, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1052 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 162, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1053 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 163, 1837, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//1054 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 153, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//1055 QWidget::focusNextPrevChild(bool)
    {112, 543, 1948, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1056 QWidget::styleChange(QStyle&)
    {112, 146, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1057 QWidget::enabledChange(bool)
    {112, 255, 1950, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1058 QWidget::paletteChange(const QPalette&)
    {112, 155, 1952, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1059 QWidget::fontChange(const QFont&)
    {112, 560, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1060 QWidget::windowActivationChange(bool)
    {112, 170, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1061 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 42},	//1062 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 43},	//1063 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 44},	//1064 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    12,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    24,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    60,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    150,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    193,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    244,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    331,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    335,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    397,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    450,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    468,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    469,  // QGlobalSpace::operator!=(QChar, QChar)
    490,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    577,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    585,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    640,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    645,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    731,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    764,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    769,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    364,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    415,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    448,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    562,  // QGlobalSpace::operator!=(QBool, bool)
    620,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    368,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    416,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    557,  // QGlobalSpace::operator!=(bool, QBool)
    631,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    680,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    748,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    37,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    88,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    89,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    98,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    140,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    145,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    147,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    203,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    214,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    242,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    259,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    290,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    305,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    317,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    327,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    374,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    438,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    449,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    503,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    561,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    592,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    619,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    622,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    639,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    660,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    686,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    716,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    753,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    7,  // QGlobalSpace::operator*(const QPoint&, double)
    43,  // QGlobalSpace::operator*(const QSizeF&, double)
    61,  // QGlobalSpace::operator*(const QQuaternion&, double)
    190,  // QGlobalSpace::operator*(const QVector2D&, double)
    194,  // QGlobalSpace::operator*(const QVector4D&, double)
    223,  // QGlobalSpace::operator*(const QPointF&, double)
    256,  // QGlobalSpace::operator*(const QVector3D&, double)
    353,  // QGlobalSpace::operator*(const QTransform&, double)
    411,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    591,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    10,  // QGlobalSpace::operator*(double, const QPointF&)
    14,  // QGlobalSpace::operator*(double, const QSizeF&)
    441,  // QGlobalSpace::operator*(double, const QVector2D&)
    455,  // QGlobalSpace::operator*(double, const QVector3D&)
    471,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    491,  // QGlobalSpace::operator*(double, const QSize&)
    510,  // QGlobalSpace::operator*(double, const QPoint&)
    521,  // QGlobalSpace::operator*(double, const QQuaternion&)
    703,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    25,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    107,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    143,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    171,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    211,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    235,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    610,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    613,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    682,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    752,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    77,  // QGlobalSpace::operator+(QChar, const QString&)
    287,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    522,  // QGlobalSpace::operator+(const QByteArray&, char)
    575,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    673,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    167,  // QGlobalSpace::operator+(char, const QByteArray&)
    428,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    683,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    762,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    154,  // QGlobalSpace::operator+(const QString&, const char*)
    170,  // QGlobalSpace::operator+(const char*, const QString&)
    295,  // QGlobalSpace::operator+(const QString&, char)
    407,  // QGlobalSpace::operator+(const QString&, const QString&)
    465,  // QGlobalSpace::operator+(char, const QString&)
    0,
    55,  // QGlobalSpace::operator-(const QQuaternion&)
    84,  // QGlobalSpace::operator-(const QVector2D&)
    282,  // QGlobalSpace::operator-(const QPointF&)
    391,  // QGlobalSpace::operator-(const QVector4D&)
    439,  // QGlobalSpace::operator-(const QMatrix4x4&)
    643,  // QGlobalSpace::operator-(const QPoint&)
    693,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    31,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    34,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    253,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    565,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    667,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    719,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    721,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    735,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    168,  // QGlobalSpace::operator/(const QPoint&, double)
    186,  // QGlobalSpace::operator/(const QTransform&, double)
    202,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    255,  // QGlobalSpace::operator/(const QSizeF&, double)
    373,  // QGlobalSpace::operator/(const QVector4D&, double)
    378,  // QGlobalSpace::operator/(const QQuaternion&, double)
    401,  // QGlobalSpace::operator/(const QVector2D&, double)
    466,  // QGlobalSpace::operator/(const QVector3D&, double)
    527,  // QGlobalSpace::operator/(const QPointF&, double)
    704,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    198,  // QGlobalSpace::operator<(QChar, QChar)
    267,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    356,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    668,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    319,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    608,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    13,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    17,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    19,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    22,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    27,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    29,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    70,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    71,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    72,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    87,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    92,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    106,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    113,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    131,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    137,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    155,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    157,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    159,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    163,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    182,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    187,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    197,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    238,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    265,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    285,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    289,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    292,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    315,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    352,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    357,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    365,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    381,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    385,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    389,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    392,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    447,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    452,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    457,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    463,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    464,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    480,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    487,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    497,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    504,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    512,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    514,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    517,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    519,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    520,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    524,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    533,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    539,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    555,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    559,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    581,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    587,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    594,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    598,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    604,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    611,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    615,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    624,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    626,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    638,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    669,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    674,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    697,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    699,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    727,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    736,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    738,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    751,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    756,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    770,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    772,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    58,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    156,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    173,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    213,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    361,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    417,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    554,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    635,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    665,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    700,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    432,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    531,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    543,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    614,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    424,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    578,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    41,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    62,  // QGlobalSpace::operator==(QBool, QBool)
    69,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    149,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    185,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    199,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    229,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    303,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    345,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    398,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    425,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    445,  // QGlobalSpace::operator==(QChar, QChar)
    462,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    474,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    483,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    489,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    556,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    654,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    755,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    773,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    339,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    492,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    593,  // QGlobalSpace::operator==(QString::Null, const QString&)
    599,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    679,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    754,  // QGlobalSpace::operator==(QBool, bool)
    0,
    174,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    240,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    264,  // QGlobalSpace::operator==(const QString&, QString::Null)
    419,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    427,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    583,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    709,  // QGlobalSpace::operator==(bool, QBool)
    0,
    260,  // QGlobalSpace::operator>(QChar, QChar)
    372,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    422,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    623,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    47,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    550,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    296,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    344,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    529,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    205,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    261,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    18,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    73,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    124,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    129,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    151,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    162,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    169,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    183,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    216,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    221,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    252,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    258,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    271,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    311,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    351,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    366,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    376,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    403,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    421,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    433,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    460,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    486,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    501,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    541,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    551,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    567,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    601,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    605,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    670,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    681,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    687,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    706,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    722,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    730,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    759,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    444,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    4,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    6,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    11,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    15,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    16,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    20,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    21,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    28,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    33,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    36,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    40,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    42,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    45,  // QGlobalSpace::operator|(QDir::Filter, int)
    51,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    56,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    57,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    63,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    64,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    65,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    66,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    68,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    75,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    76,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    79,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    85,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    90,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    94,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    97,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    104,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    111,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    112,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    114,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    115,  // QGlobalSpace::operator|(Qt::DropAction, int)
    123,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    127,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    128,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    130,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    132,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    133,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    135,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    136,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    138,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    139,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    142,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    146,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    148,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    153,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    158,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    160,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    161,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    164,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    165,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    166,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    172,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    175,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    184,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    188,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    191,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    192,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    195,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    196,  // QGlobalSpace::operator|(QFile::Permission, int)
    206,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    209,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    210,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    212,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    217,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    218,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    219,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    220,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    222,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    225,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    226,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    236,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    241,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    243,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    248,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    249,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    250,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    251,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    254,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    257,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    263,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    268,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    270,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    279,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    280,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    281,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    284,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    288,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    291,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    293,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    297,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    299,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    309,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    314,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    316,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    318,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    323,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    324,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    326,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    328,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    329,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    332,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    336,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    337,  // QGlobalSpace::operator|(Qt::WindowType, int)
    338,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    349,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    350,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    354,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    355,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    358,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    360,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    362,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    363,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    367,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    369,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    371,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    375,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    377,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    379,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    382,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    384,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    387,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    394,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    402,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    405,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    406,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    408,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    410,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    418,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    420,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    430,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    431,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    434,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    435,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    437,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    440,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    442,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    443,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    446,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    454,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    458,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    461,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    467,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    470,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    473,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    478,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    479,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    481,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    482,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    485,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    488,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    493,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    495,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    496,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    499,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    502,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    506,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    513,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    518,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    523,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    525,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    526,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    530,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    538,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    542,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    545,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    546,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    549,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    553,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    560,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    563,  // QGlobalSpace::operator|(Qt::WindowState, int)
    564,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    580,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    582,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    584,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    586,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    588,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    589,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    595,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    596,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    602,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    609,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    616,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    625,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    627,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    629,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    630,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    634,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    637,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    641,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    647,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    649,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    650,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    653,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    655,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    661,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    675,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    677,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    685,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    688,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    689,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    690,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    692,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    694,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    696,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    702,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    707,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    713,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    714,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    715,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    717,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    718,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    720,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    723,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    729,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    732,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    734,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    739,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    741,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    742,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    744,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    745,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    746,  // QGlobalSpace::operator|(Qt::Orientation, int)
    749,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    760,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    761,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    766,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    767,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    768,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    775,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    39,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    46,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    201,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    476,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    505,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    536,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    569,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    178,  // QGlobalSpace::qFuzzyCompare(double, double)
    540,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    304,  // QGlobalSpace::qFuzzyIsNull(double)
    740,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    3,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    67,  // QGlobalSpace::qHash(const QStringRef&)
    93,  // QGlobalSpace::qHash(const QBitArray&)
    208,  // QGlobalSpace::qHash(const QByteArray&)
    298,  // QGlobalSpace::qHash(QChar)
    393,  // QGlobalSpace::qHash(const QUrl&)
    494,  // QGlobalSpace::qHash(const QModelIndex&)
    676,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    32,  // QGlobalSpace::qHash(unsigned char)
    100,  // QGlobalSpace::qHash(const QString&)
    101,  // QGlobalSpace::qHash(unsigned short)
    103,  // QGlobalSpace::qHash(long)
    105,  // QGlobalSpace::qHash(long long)
    286,  // QGlobalSpace::qHash(unsigned long long)
    451,  // QGlobalSpace::qHash(signed char)
    515,  // QGlobalSpace::qHash(short)
    558,  // QGlobalSpace::qHash(unsigned long)
    618,  // QGlobalSpace::qHash(unsigned int)
    666,  // QGlobalSpace::qHash(int)
    726,  // QGlobalSpace::qHash(char)
    0,
    266,  // QGlobalSpace::qIntCast(float)
    346,  // QGlobalSpace::qIntCast(double)
    0,
    396,  // QGlobalSpace::qIsFinite(float)
    733,  // QGlobalSpace::qIsFinite(double)
    0,
    8,  // QGlobalSpace::qIsInf(double)
    126,  // QGlobalSpace::qIsInf(float)
    0,
    177,  // QGlobalSpace::qIsNaN(float)
    511,  // QGlobalSpace::qIsNaN(double)
    0,
    179,  // QGlobalSpace::qIsNull(float)
    340,  // QGlobalSpace::qIsNull(double)
    0,
    966,  // QSvgRenderer::QSvgRenderer(QObject*)
    996,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    997,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    968,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    969,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    986,  // QSvgRenderer::load(const QByteArray&)
    987,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    974,  // QSvgRenderer::setViewBox(const QRect&)
    975,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    948,  // QSvgGenerator::setViewBox(const QRect&)
    949,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 58, 795},	// QGlobalSpace::LicensedActiveQt
    {26, 59, 798},	// QGlobalSpace::LicensedCore
    {26, 60, 797},	// QGlobalSpace::LicensedDBus
    {26, 61, 805},	// QGlobalSpace::LicensedDeclarative
    {26, 62, 792},	// QGlobalSpace::LicensedGui
    {26, 63, 803},	// QGlobalSpace::LicensedHelp
    {26, 64, 800},	// QGlobalSpace::LicensedMultimedia
    {26, 65, 799},	// QGlobalSpace::LicensedNetwork
    {26, 66, 782},	// QGlobalSpace::LicensedOpenGL
    {26, 67, 784},	// QGlobalSpace::LicensedOpenVG
    {26, 68, 796},	// QGlobalSpace::LicensedQt3Support
    {26, 69, 786},	// QGlobalSpace::LicensedQt3SupportLight
    {26, 70, 785},	// QGlobalSpace::LicensedScript
    {26, 71, 802},	// QGlobalSpace::LicensedScriptTools
    {26, 72, 794},	// QGlobalSpace::LicensedSql
    {26, 73, 783},	// QGlobalSpace::LicensedSvg
    {26, 74, 801},	// QGlobalSpace::LicensedTest
    {26, 75, 804},	// QGlobalSpace::LicensedXml
    {26, 76, 793},	// QGlobalSpace::LicensedXmlPatterns
    {26, 79, 779},	// QGlobalSpace::PM_BoldLineWidth
    {26, 80, 778},	// QGlobalSpace::PM_FrameCornerHeight
    {26, 81, 777},	// QGlobalSpace::PM_FrameCornerWidth
    {26, 82, 781},	// QGlobalSpace::PM_MessageBoxHeight
    {26, 83, 780},	// QGlobalSpace::PM_ThinLineWidth
    {26, 109, 789},	// QGlobalSpace::QtCriticalMsg
    {26, 110, 787},	// QGlobalSpace::QtDebugMsg
    {26, 111, 790},	// QGlobalSpace::QtFatalMsg
    {26, 112, 791},	// QGlobalSpace::QtSystemMsg
    {26, 113, 788},	// QGlobalSpace::QtWarningMsg
    {26, 189, -1},	// QGlobalSpace::operator!=##
    {26, 190, -22},	// QGlobalSpace::operator!=#$
    {26, 191, -28},	// QGlobalSpace::operator!=$#
    {26, 192, 414},	// QGlobalSpace::operator!=$$
    {26, 194, 1},	// QGlobalSpace::operator&##
    {26, 196, -35},	// QGlobalSpace::operator*##
    {26, 197, -65},	// QGlobalSpace::operator*#$
    {26, 198, -76},	// QGlobalSpace::operator*$#
    {26, 200, -86},	// QGlobalSpace::operator+##
    {26, 201, -97},	// QGlobalSpace::operator+#$
    {26, 202, -103},	// QGlobalSpace::operator+$#
    {26, 203, -108},	// QGlobalSpace::operator+$$
    {26, 205, -114},	// QGlobalSpace::operator-#
    {26, 206, -122},	// QGlobalSpace::operator-##
    {26, 207, 774},	// QGlobalSpace::operator-#$
    {26, 209, -132},	// QGlobalSpace::operator/#$
    {26, 211, -143},	// QGlobalSpace::operator<##
    {26, 212, 134},	// QGlobalSpace::operator<#$
    {26, 213, -148},	// QGlobalSpace::operator<$#
    {26, 214, 413},	// QGlobalSpace::operator<$$
    {26, 216, -151},	// QGlobalSpace::operator<<##
    {26, 217, -244},	// QGlobalSpace::operator<<#$
    {26, 218, 122},	// QGlobalSpace::operator<<#?
    {26, 220, -255},	// QGlobalSpace::operator<=##
    {26, 221, 333},	// QGlobalSpace::operator<=#$
    {26, 222, -260},	// QGlobalSpace::operator<=$#
    {26, 223, 189},	// QGlobalSpace::operator<=$$
    {26, 225, -263},	// QGlobalSpace::operator==##
    {26, 226, -285},	// QGlobalSpace::operator==#$
    {26, 227, -292},	// QGlobalSpace::operator==$#
    {26, 228, 695},	// QGlobalSpace::operator==$$
    {26, 230, -300},	// QGlobalSpace::operator>##
    {26, 231, 607},	// QGlobalSpace::operator>#$
    {26, 232, -305},	// QGlobalSpace::operator>$#
    {26, 233, 603},	// QGlobalSpace::operator>$$
    {26, 235, -308},	// QGlobalSpace::operator>=##
    {26, 236, 509},	// QGlobalSpace::operator>=#$
    {26, 237, -313},	// QGlobalSpace::operator>=$#
    {26, 238, 724},	// QGlobalSpace::operator>=$$
    {26, 240, -316},	// QGlobalSpace::operator>>##
    {26, 241, -368},	// QGlobalSpace::operator>>#$
    {26, 242, 568},	// QGlobalSpace::operator>>#?
    {26, 244, 347},	// QGlobalSpace::operator^##
    {26, 246, 426},	// QGlobalSpace::operator|##
    {26, 247, -371},	// QGlobalSpace::operator|$$
    {26, 256, 725},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 257, 590},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 258, 383},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 259, 409},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 260, 200},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 261, 498},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 263, 370},	// QGlobalSpace::qAcos$
    {26, 265, 325},	// QGlobalSpace::qAddPostRoutine$
    {26, 267, 74},	// QGlobalSpace::qAlpha$
    {26, 268, 294},	// QGlobalSpace::qAppName
    {26, 270, 535},	// QGlobalSpace::qAsin$
    {26, 272, 95},	// QGlobalSpace::qAtan$
    {26, 274, 308},	// QGlobalSpace::qAtan2$$
    {26, 275, 763},	// QGlobalSpace::qBadAlloc
    {26, 277, 728},	// QGlobalSpace::qBlue$
    {26, 279, 48},	// QGlobalSpace::qCeil$
    {26, 281, 348},	// QGlobalSpace::qChecksum$$
    {26, 283, 313},	// QGlobalSpace::qCompress#
    {26, 284, 312},	// QGlobalSpace::qCompress#$
    {26, 285, 633},	// QGlobalSpace::qCompress$$
    {26, 286, 632},	// QGlobalSpace::qCompress$$$
    {26, 288, 121},	// QGlobalSpace::qCos$
    {26, 289, 2},	// QGlobalSpace::qCritical
    {26, 290, 642},	// QGlobalSpace::qDebug
    {26, 292, 646},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 293, 342},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 294, 343},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 295, 341},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 297, 321},	// QGlobalSpace::qDrawPlainRect###
    {26, 298, 322},	// QGlobalSpace::qDrawPlainRect###$
    {26, 299, 320},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 300, 301},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 301, 302},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 302, 300},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 304, 657},	// QGlobalSpace::qDrawShadeLine####
    {26, 305, 658},	// QGlobalSpace::qDrawShadeLine####$
    {26, 306, 659},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 307, 656},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 308, 571},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 309, 572},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 310, 573},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 311, 570},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 313, 81},	// QGlobalSpace::qDrawShadePanel###
    {26, 314, 82},	// QGlobalSpace::qDrawShadePanel###$
    {26, 315, 83},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 316, 80},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 317, 231},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 318, 232},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 319, 233},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 320, 230},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 322, 275},	// QGlobalSpace::qDrawShadeRect###
    {26, 323, 276},	// QGlobalSpace::qDrawShadeRect###$
    {26, 324, 277},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 325, 278},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 326, 274},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 327, 117},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 328, 118},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 329, 119},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 330, 120},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 331, 116},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 333, 246},	// QGlobalSpace::qDrawWinButton###
    {26, 334, 247},	// QGlobalSpace::qDrawWinButton###$
    {26, 335, 245},	// QGlobalSpace::qDrawWinButton###$#
    {26, 336, 109},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 337, 110},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 338, 108},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 340, 663},	// QGlobalSpace::qDrawWinPanel###
    {26, 341, 664},	// QGlobalSpace::qDrawWinPanel###$
    {26, 342, 662},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 343, 711},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 344, 712},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 345, 710},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 347, 330},	// QGlobalSpace::qExp$
    {26, 349, 26},	// QGlobalSpace::qFabs$
    {26, 351, 698},	// QGlobalSpace::qFastCos$
    {26, 353, 747},	// QGlobalSpace::qFastSin$
    {26, 355, 507},	// QGlobalSpace::qFlagLocation$
    {26, 357, 477},	// QGlobalSpace::qFloor$
    {26, 359, 612},	// QGlobalSpace::qFree$
    {26, 361, 262},	// QGlobalSpace::qFreeAligned$
    {26, 363, -603},	// QGlobalSpace::qFuzzyCompare##
    {26, 364, -611},	// QGlobalSpace::qFuzzyCompare$$
    {26, 366, -614},	// QGlobalSpace::qFuzzyIsNull$
    {26, 368, 50},	// QGlobalSpace::qGray$
    {26, 369, 144},	// QGlobalSpace::qGray$$$
    {26, 371, 78},	// QGlobalSpace::qGreen$
    {26, 373, -617},	// QGlobalSpace::qHash#
    {26, 374, -626},	// QGlobalSpace::qHash$
    {26, 375, 516},	// QGlobalSpace::qInf
    {26, 377, 237},	// QGlobalSpace::qInstallMsgHandler$
    {26, 379, -639},	// QGlobalSpace::qIntCast$
    {26, 381, -642},	// QGlobalSpace::qIsFinite$
    {26, 383, 436},	// QGlobalSpace::qIsGray$
    {26, 385, -645},	// QGlobalSpace::qIsInf$
    {26, 387, -648},	// QGlobalSpace::qIsNaN$
    {26, 389, -651},	// QGlobalSpace::qIsNull$
    {26, 391, 566},	// QGlobalSpace::qLn$
    {26, 393, 771},	// QGlobalSpace::qMalloc$
    {26, 395, 628},	// QGlobalSpace::qMallocAligned$$
    {26, 397, 508},	// QGlobalSpace::qMemCopy$$$
    {26, 399, 307},	// QGlobalSpace::qMemSet$$$
    {26, 401, 678},	// QGlobalSpace::qPow$$
    {26, 402, 30},	// QGlobalSpace::qQNaN
    {26, 404, 404},	// QGlobalSpace::qRealloc$$
    {26, 406, 283},	// QGlobalSpace::qReallocAligned$$$$
    {26, 408, 59},	// QGlobalSpace::qRed$
    {26, 410, 102},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 412, 500},	// QGlobalSpace::qRemovePostRoutine$
    {26, 414, 475},	// QGlobalSpace::qRgb$$$
    {26, 416, 765},	// QGlobalSpace::qRgba$$$$
    {26, 418, 423},	// QGlobalSpace::qRound$
    {26, 420, 621},	// QGlobalSpace::qRound64$
    {26, 421, 737},	// QGlobalSpace::qSNaN
    {26, 423, 552},	// QGlobalSpace::qSetFieldWidth$
    {26, 425, 227},	// QGlobalSpace::qSetPadChar#
    {26, 427, 532},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 428, 234},	// QGlobalSpace::qSharedBuild
    {26, 430, 534},	// QGlobalSpace::qSin$
    {26, 432, 456},	// QGlobalSpace::qSqrt$
    {26, 434, 272},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 435, 684},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 437, 651},	// QGlobalSpace::qTan$
    {26, 439, 528},	// QGlobalSpace::qUncompress#
    {26, 440, 743},	// QGlobalSpace::qUncompress$$
    {26, 441, 38},	// QGlobalSpace::qVersion
    {26, 442, 141},	// QGlobalSpace::qWarning
    {26, 444, 96},	// QGlobalSpace::qbswap_helper$$$
    {26, 446, 359},	// QGlobalSpace::qgetenv$
    {26, 448, 269},	// QGlobalSpace::qputenv$#
    {26, 449, 49},	// QGlobalSpace::qrand
    {26, 451, 125},	// QGlobalSpace::qsrand$
    {26, 453, 224},	// QGlobalSpace::qstrcmp##
    {26, 454, 228},	// QGlobalSpace::qstrcmp#$
    {26, 455, 648},	// QGlobalSpace::qstrcmp$#
    {26, 456, 459},	// QGlobalSpace::qstrcmp$$
    {26, 458, 23},	// QGlobalSpace::qstrcpy$$
    {26, 460, 636},	// QGlobalSpace::qstrdup$
    {26, 462, 537},	// QGlobalSpace::qstricmp$$
    {26, 464, 574},	// QGlobalSpace::qstrlen$
    {26, 466, 273},	// QGlobalSpace::qstrncmp$$$
    {26, 468, 386},	// QGlobalSpace::qstrncpy$$$
    {26, 470, 207},	// QGlobalSpace::qstrnicmp$$$
    {26, 472, 472},	// QGlobalSpace::qstrnlen$$
    {26, 474, 758},	// QGlobalSpace::qtTrId$
    {26, 475, 757},	// QGlobalSpace::qtTrId$$
    {26, 477, 5},	// QGlobalSpace::qt_assert$$$
    {26, 479, 412},	// QGlobalSpace::qt_assert_x$$$$
    {26, 481, 215},	// QGlobalSpace::qt_check_pointer$$
    {26, 482, 400},	// QGlobalSpace::qt_error_string
    {26, 483, 399},	// QGlobalSpace::qt_error_string$
    {26, 485, 691},	// QGlobalSpace::qt_message_output$$
    {26, 490, 548},	// QGlobalSpace::qt_noop
    {26, 492, 239},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 494, 600},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 496, 99},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 498, 544},	// QGlobalSpace::qvsnprintf$$$?
    {34, 95, 915},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 96, 900},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 97, 916},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 98, 901},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 115, 919},	// QGraphicsSvgItem::Type
    {34, 122, 910},	// QGraphicsSvgItem::boundingRect
    {34, 145, 905},	// QGraphicsSvgItem::elementId
    {34, 164, 907},	// QGraphicsSvgItem::isCachingEnabled
    {34, 177, 909},	// QGraphicsSvgItem::maximumCacheSize
    {34, 178, 893},	// QGraphicsSvgItem::metaObject
    {34, 250, 917},	// QGraphicsSvgItem::paint##
    {34, 251, 911},	// QGraphicsSvgItem::paint###
    {34, 487, 899},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 489, 894},	// QGraphicsSvgItem::qt_metacast$
    {34, 504, 903},	// QGraphicsSvgItem::renderer
    {34, 511, 906},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 517, 904},	// QGraphicsSvgItem::setElementId$
    {34, 524, 908},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 530, 902},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 542, 918},	// QGraphicsSvgItem::staticMetaObject
    {34, 549, 913},	// QGraphicsSvgItem::tr$
    {34, 550, 895},	// QGraphicsSvgItem::tr$$
    {34, 551, 897},	// QGraphicsSvgItem::tr$$$
    {34, 553, 914},	// QGraphicsSvgItem::trUtf8$
    {34, 554, 896},	// QGraphicsSvgItem::trUtf8$$
    {34, 555, 898},	// QGraphicsSvgItem::trUtf8$$$
    {34, 556, 912},	// QGraphicsSvgItem::type
    {34, 562, 920},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 99, 939},	// QSvgGenerator::QSvgGenerator
    {89, 136, 942},	// QSvgGenerator::description
    {89, 151, 950},	// QSvgGenerator::fileName
    {89, 180, 957},	// QSvgGenerator::metric$
    {89, 248, 952},	// QSvgGenerator::outputDevice
    {89, 252, 956},	// QSvgGenerator::paintEngine
    {89, 507, 955},	// QSvgGenerator::resolution
    {89, 515, 943},	// QSvgGenerator::setDescription$
    {89, 520, 951},	// QSvgGenerator::setFileName$
    {89, 526, 953},	// QSvgGenerator::setOutputDevice#
    {89, 528, 954},	// QSvgGenerator::setResolution$
    {89, 532, 945},	// QSvgGenerator::setSize#
    {89, 534, 941},	// QSvgGenerator::setTitle$
    {89, 536, -667},	// QSvgGenerator::setViewBox#
    {89, 540, 944},	// QSvgGenerator::size
    {89, 547, 940},	// QSvgGenerator::title
    {89, 557, 946},	// QSvgGenerator::viewBox
    {89, 558, 947},	// QSvgGenerator::viewBoxF
    {89, 563, 958},	// QSvgGenerator::~QSvgGenerator
    {90, 100, 994},	// QSvgRenderer::QSvgRenderer
    {90, 101, -654},	// QSvgRenderer::QSvgRenderer#
    {90, 102, -658},	// QSvgRenderer::QSvgRenderer##
    {90, 103, 995},	// QSvgRenderer::QSvgRenderer$
    {90, 104, 967},	// QSvgRenderer::QSvgRenderer$#
    {90, 120, 976},	// QSvgRenderer::animated
    {90, 121, 981},	// QSvgRenderer::animationDuration
    {90, 124, 982},	// QSvgRenderer::boundsOnElement$
    {90, 133, 979},	// QSvgRenderer::currentFrame
    {90, 135, 971},	// QSvgRenderer::defaultSize
    {90, 144, 983},	// QSvgRenderer::elementExists$
    {90, 156, 977},	// QSvgRenderer::framesPerSecond
    {90, 166, 970},	// QSvgRenderer::isValid
    {90, 173, -661},	// QSvgRenderer::load#
    {90, 174, 985},	// QSvgRenderer::load$
    {90, 176, 984},	// QSvgRenderer::matrixForElement$
    {90, 178, 959},	// QSvgRenderer::metaObject
    {90, 487, 965},	// QSvgRenderer::qt_metacall$$?
    {90, 489, 960},	// QSvgRenderer::qt_metacast$
    {90, 500, 988},	// QSvgRenderer::render#
    {90, 501, 989},	// QSvgRenderer::render##
    {90, 502, 998},	// QSvgRenderer::render#$
    {90, 503, 990},	// QSvgRenderer::render#$#
    {90, 505, 991},	// QSvgRenderer::repaintNeeded
    {90, 513, 980},	// QSvgRenderer::setCurrentFrame$
    {90, 522, 978},	// QSvgRenderer::setFramesPerSecond$
    {90, 536, -664},	// QSvgRenderer::setViewBox#
    {90, 542, 999},	// QSvgRenderer::staticMetaObject
    {90, 549, 992},	// QSvgRenderer::tr$
    {90, 550, 961},	// QSvgRenderer::tr$$
    {90, 551, 963},	// QSvgRenderer::tr$$$
    {90, 553, 993},	// QSvgRenderer::trUtf8$
    {90, 554, 962},	// QSvgRenderer::trUtf8$$
    {90, 555, 964},	// QSvgRenderer::trUtf8$$$
    {90, 557, 972},	// QSvgRenderer::viewBox
    {90, 558, 973},	// QSvgRenderer::viewBoxF
    {90, 564, 1000},	// QSvgRenderer::~QSvgRenderer
    {91, 105, 1017},	// QSvgWidget::QSvgWidget
    {91, 106, 1008},	// QSvgWidget::QSvgWidget#
    {91, 107, 1018},	// QSvgWidget::QSvgWidget$
    {91, 108, 1009},	// QSvgWidget::QSvgWidget$#
    {91, 173, 1013},	// QSvgWidget::load#
    {91, 174, 1012},	// QSvgWidget::load$
    {91, 178, 1001},	// QSvgWidget::metaObject
    {91, 254, 1014},	// QSvgWidget::paintEvent#
    {91, 487, 1007},	// QSvgWidget::qt_metacall$$?
    {91, 489, 1002},	// QSvgWidget::qt_metacast$
    {91, 504, 1010},	// QSvgWidget::renderer
    {91, 541, 1011},	// QSvgWidget::sizeHint
    {91, 542, 1019},	// QSvgWidget::staticMetaObject
    {91, 549, 1015},	// QSvgWidget::tr$
    {91, 550, 1003},	// QSvgWidget::tr$$
    {91, 551, 1005},	// QSvgWidget::tr$$$
    {91, 553, 1016},	// QSvgWidget::trUtf8$
    {91, 554, 1004},	// QSvgWidget::trUtf8$$
    {91, 555, 1006},	// QSvgWidget::trUtf8$$$
    {91, 565, 1020},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1065,
        __smokeqtsvg::methodMaps, 335,
        __smokeqtsvg::methodNames, 565,
        __smokeqtsvg::types, 482,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
