#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 79:   //std::bidirectional_iterator_tag
      switch(to) {
        case 79: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 80:   //std::random_access_iterator_tag
      switch(to) {
        case 80: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//79
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//50
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//54
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//61
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//64
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//65
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//66
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//70
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//71
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//72
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//73
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//75
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//76
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//79
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//80
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//82
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//83
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//92
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//93
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//121
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//204
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//227
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//243
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//263
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//270
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//271
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//272
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "std::bidirectional_iterator_tag", 79, Smoke::t_class|Smoke::tf_stack },	//274
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//275
    { "std::random_access_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//276
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//278
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//280
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    39, 14, 0,	//3  QObject*, QEvent*
    68, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    268, 0,	//10  const char*
    246, 0,	//12  const QWebDatabase&
    248, 0,	//14  const QWebElement&
    241, 0,	//16  const QString&
    241, 241, 0,	//18  const QString&, const QString&
    241, 241, 241, 0,	//21  const QString&, const QString&, const QString&
    241, 78, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    43, 0,	//28  QPainter*
    248, 241, 0,	//30  const QWebElement&, const QString&
    249, 0,	//33  const QWebElementCollection&
    271, 0,	//35  int
    250, 271, 0,	//37  const QWebElementCollection*, int
    251, 0,	//40  const QWebElementCollection::const_iterator&
    82, 0,	//42  QWebElementCollection::const_iterator
    252, 0,	//44  const QWebElementCollection::iterator&
    85, 0,	//46  QWebElementCollection::iterator
    268, 268, 0,	//48  const char*, const char*
    268, 268, 271, 0,	//51  const char*, const char*, int
    32, 271, 279, 0,	//55  QMetaObject::Call, int, void**
    244, 0,	//59  const QUrl&
    233, 37, 228, 0,	//61  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    241, 244, 0,	//65  const QString&, const QUrl&
    228, 241, 244, 0,	//68  const QByteArray&, const QString&, const QUrl&
    241, 39, 0,	//72  const QString&, QObject*
    241, 39, 52, 0,	//75  const QString&, QObject*, QScriptEngine::ValueOwnership
    177, 0,	//79  Qt::Orientation
    177, 181, 0,	//81  Qt::Orientation, Qt::ScrollBarPolicy
    177, 271, 0,	//84  Qt::Orientation, int
    271, 271, 0,	//87  int, int
    236, 0,	//90  const QPoint&
    43, 239, 0,	//92  QPainter*, const QRegion&
    43, 89, 239, 0,	//95  QPainter*, QWebFrame::RenderLayer, const QRegion&
    270, 0,	//99  double
    48, 0,	//101  QPrinter*
    240, 0,	//103  const QSize&
    227, 0,	//105  bool
    233, 0,	//107  const QNetworkRequest&
    233, 37, 0,	//109  const QNetworkRequest&, QNetworkAccessManager::Operation
    228, 0,	//112  const QByteArray&
    228, 241, 0,	//114  const QByteArray&, const QString&
    43, 89, 0,	//117  QPainter*, QWebFrame::RenderLayer
    253, 0,	//120  const QWebHistoryItem&
    39, 0,	//122  QObject*
    91, 0,	//124  QWebHistoryInterface*
    245, 0,	//126  const QVariant&
    254, 0,	//128  const QWebHitTestResult&
    131, 0,	//130  QWidget*
    99, 0,	//132  QWebPage*
    51, 0,	//134  QResizeEvent*
    53, 0,	//136  QShowEvent*
    19, 0,	//138  QHideEvent*
    6, 0,	//140  QCloseEvent*
    36, 0,	//142  QNetworkAccessManager*
    114, 0,	//144  QWebPluginFactory*
    111, 0,	//146  QWebPage::WebAction
    111, 227, 0,	//148  QWebPage::WebAction, bool
    165, 0,	//151  Qt::InputMethodQuery
    241, 16, 0,	//153  const QString&, QFlags<QWebPage::FindFlag>
    109, 0,	//156  QWebPage::LinkDelegationPolicy
    234, 0,	//158  const QPalette&
    7, 0,	//160  QContextMenuEvent*
    105, 260, 107, 0,	//162  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    105, 0,	//166  QWebPage::Extension
    88, 0,	//168  QWebFrame*
    237, 0,	//170  const QRect&
    271, 271, 237, 0,	//172  int, int, const QRect&
    38, 0,	//176  QNetworkReply*
    88, 60, 0,	//178  QWebFrame*, QString
    88, 94, 0,	//181  QWebFrame*, QWebHistoryItem*
    112, 0,	//184  QWebPage::WebWindowType
    241, 244, 242, 242, 0,	//186  const QString&, const QUrl&, const QStringList&, const QStringList&
    88, 233, 110, 0,	//191  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    88, 241, 0,	//195  QWebFrame*, const QString&
    88, 241, 241, 62, 0,	//198  QWebFrame*, const QString&, const QString&, QString*
    241, 271, 241, 0,	//203  const QString&, int, const QString&
    105, 260, 0,	//207  QWebPage::Extension, const QWebPage::ExtensionOption*
    255, 0,	//210  const QWebPage::ChooseMultipleFilesExtensionOption&
    242, 0,	//212  const QStringList&
    256, 0,	//214  const QWebPage::ChooseMultipleFilesExtensionReturn&
    257, 0,	//216  const QWebPage::ErrorPageExtensionOption&
    102, 0,	//218  QWebPage::ErrorDomain
    258, 0,	//220  const QWebPage::ErrorPageExtensionReturn&
    259, 0,	//222  const QWebPage::ExtensionOption&
    261, 0,	//224  const QWebPage::ExtensionReturn&
    115, 263, 117, 0,	//226  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//230  QWebPluginFactory::Extension
    115, 263, 0,	//232  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    262, 0,	//235  const QWebPluginFactory::ExtensionOption&
    264, 0,	//237  const QWebPluginFactory::ExtensionReturn&
    265, 0,	//239  const QWebPluginFactory::MimeType&
    266, 0,	//241  const QWebPluginFactory::Plugin&
    230, 0,	//243  const QList<QWebPluginFactory::MimeType>&
    273, 0,	//245  long long
    267, 0,	//247  const QWebSecurityOrigin&
    124, 241, 0,	//249  QWebSettings::FontFamily, const QString&
    124, 0,	//252  QWebSettings::FontFamily
    125, 271, 0,	//254  QWebSettings::FontSize, int
    125, 0,	//257  QWebSettings::FontSize
    126, 227, 0,	//259  QWebSettings::WebAttribute, bool
    126, 0,	//262  QWebSettings::WebAttribute
    127, 235, 0,	//264  QWebSettings::WebGraphic, const QPixmap&
    127, 0,	//267  QWebSettings::WebGraphic
    271, 271, 271, 0,	//269  int, int, int
    15, 0,	//273  QFlags<QPainter::RenderHint>
    44, 227, 0,	//275  QPainter::RenderHint, bool
    42, 0,	//278  QPaintEvent*
    33, 0,	//280  QMouseEvent*
    130, 0,	//282  QWheelEvent*
    23, 0,	//284  QKeyEvent*
    9, 0,	//286  QDragEnterEvent*
    10, 0,	//288  QDragLeaveEvent*
    11, 0,	//290  QDragMoveEvent*
    13, 0,	//292  QDropEvent*
    18, 0,	//294  QFocusEvent*
    22, 0,	//296  QInputMethodEvent*
    44, 0,	//298  QPainter::RenderHint
    34, 0,	//300  QMoveEvent*
    67, 0,	//302  QTabletEvent*
    2, 0,	//304  QActionEvent*
    226, 0,	//306  _XEvent*
    40, 0,	//308  QPaintDevice::PaintDeviceMetric
    66, 0,	//310  QStyle&
    229, 0,	//312  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyLinkToClipboard",	//19
    "CursiveFont",	//20
    "Cut",	//21
    "DefaultFixedFontSize",	//22
    "DefaultFontSize",	//23
    "DefaultFrameIconGraphic",	//24
    "DelegateAllLinks",	//25
    "DelegateExternalLinks",	//26
    "DeleteButtonGraphic",	//27
    "DeleteEndOfWord",	//28
    "DeleteStartOfWord",	//29
    "DeveloperExtrasEnabled",	//30
    "DnsPrefetchEnabled",	//31
    "DontDelegateLinks",	//32
    "DownloadImageToDisk",	//33
    "DownloadLinkToDisk",	//34
    "DrawChildren",	//35
    "DrawWindowBackground",	//36
    "ErrorPageExtension",	//37
    "ErrorPageExtensionOption",	//38
    "ErrorPageExtensionOption#",	//39
    "ErrorPageExtensionReturn",	//40
    "ErrorPageExtensionReturn#",	//41
    "ExtensionOption",	//42
    "ExtensionOption#",	//43
    "ExtensionReturn",	//44
    "ExtensionReturn#",	//45
    "FantasyFont",	//46
    "FindBackward",	//47
    "FindCaseSensitively",	//48
    "FindWrapsAroundDocument",	//49
    "FixedFont",	//50
    "Forward",	//51
    "FrameFlatteningEnabled",	//52
    "HighlightAllOccurrences",	//53
    "Http",	//54
    "IgnoreMask",	//55
    "Indent",	//56
    "InlineStyle",	//57
    "InsertLineSeparator",	//58
    "InsertOrderedList",	//59
    "InsertParagraphSeparator",	//60
    "InsertUnorderedList",	//61
    "InspectElement",	//62
    "JavaEnabled",	//63
    "JavascriptCanAccessClipboard",	//64
    "JavascriptCanOpenWindows",	//65
    "JavascriptEnabled",	//66
    "LicensedActiveQt",	//67
    "LicensedCore",	//68
    "LicensedDBus",	//69
    "LicensedDeclarative",	//70
    "LicensedGui",	//71
    "LicensedHelp",	//72
    "LicensedMultimedia",	//73
    "LicensedNetwork",	//74
    "LicensedOpenGL",	//75
    "LicensedOpenVG",	//76
    "LicensedQt3Support",	//77
    "LicensedQt3SupportLight",	//78
    "LicensedScript",	//79
    "LicensedScriptTools",	//80
    "LicensedSql",	//81
    "LicensedSvg",	//82
    "LicensedTest",	//83
    "LicensedXml",	//84
    "LicensedXmlPatterns",	//85
    "LinksIncludedInFocusChain",	//86
    "LocalContentCanAccessFileUrls",	//87
    "LocalContentCanAccessRemoteUrls",	//88
    "LocalStorageDatabaseEnabled",	//89
    "LocalStorageEnabled",	//90
    "MimeType",	//91
    "MimeType#",	//92
    "MinimumFontSize",	//93
    "MinimumLogicalFontSize",	//94
    "MissingImageGraphic",	//95
    "MissingPluginGraphic",	//96
    "MoveToEndOfBlock",	//97
    "MoveToEndOfDocument",	//98
    "MoveToEndOfLine",	//99
    "MoveToNextChar",	//100
    "MoveToNextLine",	//101
    "MoveToNextWord",	//102
    "MoveToPreviousChar",	//103
    "MoveToPreviousLine",	//104
    "MoveToPreviousWord",	//105
    "MoveToStartOfBlock",	//106
    "MoveToStartOfDocument",	//107
    "MoveToStartOfLine",	//108
    "NavigationTypeBackOrForward",	//109
    "NavigationTypeFormResubmitted",	//110
    "NavigationTypeFormSubmitted",	//111
    "NavigationTypeLinkClicked",	//112
    "NavigationTypeOther",	//113
    "NavigationTypeReload",	//114
    "NoWebAction",	//115
    "OfflineStorageDatabaseEnabled",	//116
    "OfflineWebApplicationCacheEnabled",	//117
    "OpenFrameInNewWindow",	//118
    "OpenImageInNewWindow",	//119
    "OpenLink",	//120
    "OpenLinkInNewWindow",	//121
    "Outdent",	//122
    "PanIconLayer",	//123
    "Paste",	//124
    "PasteAndMatchStyle",	//125
    "Plugin",	//126
    "Plugin#",	//127
    "PluginsEnabled",	//128
    "PrintElementBackgrounds",	//129
    "PrivateBrowsingEnabled",	//130
    "QWebDatabase",	//131
    "QWebDatabase#",	//132
    "QWebElement",	//133
    "QWebElement#",	//134
    "QWebElementCollection",	//135
    "QWebElementCollection#",	//136
    "QWebElementCollection#$",	//137
    "QWebHistoryInterface",	//138
    "QWebHistoryInterface#",	//139
    "QWebHistoryItem",	//140
    "QWebHistoryItem#",	//141
    "QWebHitTestResult",	//142
    "QWebHitTestResult#",	//143
    "QWebInspector",	//144
    "QWebInspector#",	//145
    "QWebPage",	//146
    "QWebPage#",	//147
    "QWebPluginFactory",	//148
    "QWebPluginFactory#",	//149
    "QWebSecurityOrigin",	//150
    "QWebSecurityOrigin#",	//151
    "QWebView",	//152
    "QWebView#",	//153
    "Q_COMPLEX_TYPE",	//154
    "Q_DUMMY_TYPE",	//155
    "Q_MOVABLE_TYPE",	//156
    "Q_PRIMITIVE_TYPE",	//157
    "Q_STATIC_TYPE",	//158
    "QtCriticalMsg",	//159
    "QtDebugMsg",	//160
    "QtFatalMsg",	//161
    "QtNetwork",	//162
    "QtSystemMsg",	//163
    "QtWarningMsg",	//164
    "Redo",	//165
    "Reload",	//166
    "ReloadAndBypassCache",	//167
    "RemoveFormat",	//168
    "SansSerifFont",	//169
    "ScrollBarLayer",	//170
    "SelectAll",	//171
    "SelectEndOfBlock",	//172
    "SelectEndOfDocument",	//173
    "SelectEndOfLine",	//174
    "SelectNextChar",	//175
    "SelectNextLine",	//176
    "SelectNextWord",	//177
    "SelectPreviousChar",	//178
    "SelectPreviousLine",	//179
    "SelectPreviousWord",	//180
    "SelectStartOfBlock",	//181
    "SelectStartOfDocument",	//182
    "SelectStartOfLine",	//183
    "SerifFont",	//184
    "SetTextDirectionDefault",	//185
    "SetTextDirectionLeftToRight",	//186
    "SetTextDirectionRightToLeft",	//187
    "SiteSpecificQuirksEnabled",	//188
    "SpatialNavigationEnabled",	//189
    "StandardFont",	//190
    "Stop",	//191
    "StopScheduledPageRefresh",	//192
    "TextAreaSizeGripCornerGraphic",	//193
    "TiledBackingStoreEnabled",	//194
    "ToggleBold",	//195
    "ToggleItalic",	//196
    "ToggleStrikethrough",	//197
    "ToggleSubscript",	//198
    "ToggleSuperscript",	//199
    "ToggleUnderline",	//200
    "Undo",	//201
    "WebActionCount",	//202
    "WebBrowserWindow",	//203
    "WebKit",	//204
    "WebModalDialog",	//205
    "XSSAuditingEnabled",	//206
    "ZoomTextOnly",	//207
    "acceptNavigationRequest",	//208
    "acceptNavigationRequest##$",	//209
    "action",	//210
    "action$",	//211
    "actionEvent",	//212
    "addClass",	//213
    "addClass$",	//214
    "addHistoryEntry",	//215
    "addHistoryEntry$",	//216
    "addLocalScheme",	//217
    "addLocalScheme$",	//218
    "addToJavaScriptWindowObject",	//219
    "addToJavaScriptWindowObject$#",	//220
    "addToJavaScriptWindowObject$#$",	//221
    "allOrigins",	//222
    "alternateText",	//223
    "append",	//224
    "append#",	//225
    "appendInside",	//226
    "appendInside#",	//227
    "appendInside$",	//228
    "appendOutside",	//229
    "appendOutside#",	//230
    "appendOutside$",	//231
    "at",	//232
    "at$",	//233
    "attribute",	//234
    "attribute$",	//235
    "attribute$$",	//236
    "attributeNS",	//237
    "attributeNS$$",	//238
    "attributeNS$$$",	//239
    "attributeNames",	//240
    "attributeNames$",	//241
    "back",	//242
    "backItem",	//243
    "backItems",	//244
    "backItems$",	//245
    "baseUrl",	//246
    "begin",	//247
    "boundingRect",	//248
    "bytesReceived",	//249
    "canGoBack",	//250
    "canGoForward",	//251
    "changeEvent",	//252
    "changeEvent#",	//253
    "childEvent",	//254
    "childFrames",	//255
    "chooseFile",	//256
    "chooseFile#$",	//257
    "classes",	//258
    "clear",	//259
    "clearIconDatabase",	//260
    "clearMemoryCaches",	//261
    "clone",	//262
    "closeEvent",	//263
    "closeEvent#",	//264
    "connectNotify",	//265
    "constBegin",	//266
    "constEnd",	//267
    "const_iterator",	//268
    "const_iterator#",	//269
    "const_iterator#$",	//270
    "content",	//271
    "contentType",	//272
    "contentsChanged",	//273
    "contentsSize",	//274
    "contentsSizeChanged",	//275
    "contentsSizeChanged#",	//276
    "contextMenuEvent",	//277
    "contextMenuEvent#",	//278
    "count",	//279
    "create",	//280
    "create$#??",	//281
    "createPlugin",	//282
    "createPlugin$#??",	//283
    "createStandardContextMenu",	//284
    "createWindow",	//285
    "createWindow$",	//286
    "currentFrame",	//287
    "currentItem",	//288
    "currentItemIndex",	//289
    "customEvent",	//290
    "databaseQuota",	//291
    "databaseQuotaExceeded",	//292
    "databaseQuotaExceeded#$",	//293
    "databaseUsage",	//294
    "databases",	//295
    "defaultInterface",	//296
    "defaultTextEncoding",	//297
    "description",	//298
    "devType",	//299
    "disconnectNotify",	//300
    "displayName",	//301
    "document",	//302
    "documentElement",	//303
    "domain",	//304
    "downloadRequested",	//305
    "downloadRequested#",	//306
    "dragEnterEvent",	//307
    "dragEnterEvent#",	//308
    "dragLeaveEvent",	//309
    "dragLeaveEvent#",	//310
    "dragMoveEvent",	//311
    "dragMoveEvent#",	//312
    "dropEvent",	//313
    "dropEvent#",	//314
    "element",	//315
    "enablePersistentStorage",	//316
    "enablePersistentStorage$",	//317
    "enabledChange",	//318
    "encloseContentsWith",	//319
    "encloseContentsWith#",	//320
    "encloseContentsWith$",	//321
    "encloseWith",	//322
    "encloseWith#",	//323
    "encloseWith$",	//324
    "enclosingBlockElement",	//325
    "encoding",	//326
    "end",	//327
    "enterEvent",	//328
    "error",	//329
    "errorString",	//330
    "evaluateJavaScript",	//331
    "evaluateJavaScript$",	//332
    "event",	//333
    "event#",	//334
    "eventFilter",	//335
    "expectedSize",	//336
    "extension",	//337
    "extension$",	//338
    "extension$#",	//339
    "extension$##",	//340
    "fileExtensions",	//341
    "fileName",	//342
    "fileNames",	//343
    "findAll",	//344
    "findAll$",	//345
    "findAllElements",	//346
    "findAllElements$",	//347
    "findFirst",	//348
    "findFirst$",	//349
    "findFirstElement",	//350
    "findFirstElement$",	//351
    "findText",	//352
    "findText$",	//353
    "findText$$",	//354
    "first",	//355
    "firstChild",	//356
    "focusInEvent",	//357
    "focusInEvent#",	//358
    "focusNextPrevChild",	//359
    "focusNextPrevChild$",	//360
    "focusOutEvent",	//361
    "focusOutEvent#",	//362
    "fontChange",	//363
    "fontFamily",	//364
    "fontFamily$",	//365
    "fontSize",	//366
    "fontSize$",	//367
    "forward",	//368
    "forwardItem",	//369
    "forwardItems",	//370
    "forwardItems$",	//371
    "forwardUnsupportedContent",	//372
    "frame",	//373
    "frameAt",	//374
    "frameAt#",	//375
    "frameCreated",	//376
    "frameCreated#",	//377
    "frameName",	//378
    "geometry",	//379
    "geometryChangeRequested",	//380
    "geometryChangeRequested#",	//381
    "globalSettings",	//382
    "goToItem",	//383
    "goToItem#",	//384
    "handle",	//385
    "hasAttribute",	//386
    "hasAttribute$",	//387
    "hasAttributeNS",	//388
    "hasAttributeNS$$",	//389
    "hasAttributes",	//390
    "hasClass",	//391
    "hasClass$",	//392
    "hasFocus",	//393
    "heightForWidth",	//394
    "hideEvent",	//395
    "hideEvent#",	//396
    "history",	//397
    "historyContains",	//398
    "historyContains$",	//399
    "hitTestContent",	//400
    "hitTestContent#",	//401
    "host",	//402
    "icon",	//403
    "iconChanged",	//404
    "iconDatabasePath",	//405
    "iconForUrl",	//406
    "iconForUrl#",	//407
    "imageUrl",	//408
    "initialLayoutCompleted",	//409
    "inputMethodEvent",	//410
    "inputMethodEvent#",	//411
    "inputMethodQuery",	//412
    "inputMethodQuery$",	//413
    "isContentEditable",	//414
    "isContentSelected",	//415
    "isModified",	//416
    "isNull",	//417
    "isValid",	//418
    "itemAt",	//419
    "itemAt$",	//420
    "items",	//421
    "iterator",	//422
    "iterator#",	//423
    "iterator#$",	//424
    "javaScriptAlert",	//425
    "javaScriptAlert#$",	//426
    "javaScriptConfirm",	//427
    "javaScriptConfirm#$",	//428
    "javaScriptConsoleMessage",	//429
    "javaScriptConsoleMessage$$$",	//430
    "javaScriptPrompt",	//431
    "javaScriptPrompt#$$$",	//432
    "javaScriptWindowObjectCleared",	//433
    "keyPressEvent",	//434
    "keyPressEvent#",	//435
    "keyReleaseEvent",	//436
    "keyReleaseEvent#",	//437
    "languageChange",	//438
    "last",	//439
    "lastChild",	//440
    "lastVisited",	//441
    "leaveEvent",	//442
    "linkClicked",	//443
    "linkClicked#",	//444
    "linkDelegationPolicy",	//445
    "linkElement",	//446
    "linkHovered",	//447
    "linkHovered$$$",	//448
    "linkTargetFrame",	//449
    "linkText",	//450
    "linkTitle",	//451
    "linkUrl",	//452
    "load",	//453
    "load#",	//454
    "load#$",	//455
    "load#$#",	//456
    "loadFinished",	//457
    "loadFinished$",	//458
    "loadProgress",	//459
    "loadProgress$",	//460
    "loadStarted",	//461
    "localName",	//462
    "localSchemes",	//463
    "localStoragePath",	//464
    "mainFrame",	//465
    "maximumItemCount",	//466
    "maximumPagesInCache",	//467
    "menuBarVisibilityChangeRequested",	//468
    "menuBarVisibilityChangeRequested$",	//469
    "metaData",	//470
    "metaObject",	//471
    "metric",	//472
    "microFocusChanged",	//473
    "mimeTypes",	//474
    "minimumSizeHint",	//475
    "mouseDoubleClickEvent",	//476
    "mouseDoubleClickEvent#",	//477
    "mouseMoveEvent",	//478
    "mouseMoveEvent#",	//479
    "mousePressEvent",	//480
    "mousePressEvent#",	//481
    "mouseReleaseEvent",	//482
    "mouseReleaseEvent#",	//483
    "moveEvent",	//484
    "name",	//485
    "namespaceUri",	//486
    "networkAccessManager",	//487
    "nextSibling",	//488
    "offlineStorageDefaultQuota",	//489
    "offlineStoragePath",	//490
    "offlineWebApplicationCachePath",	//491
    "offlineWebApplicationCacheQuota",	//492
    "operator!=",	//493
    "operator!=#",	//494
    "operator*",	//495
    "operator+",	//496
    "operator+#",	//497
    "operator+$",	//498
    "operator++",	//499
    "operator++$",	//500
    "operator+=",	//501
    "operator+=#",	//502
    "operator+=$",	//503
    "operator-",	//504
    "operator-#",	//505
    "operator-$",	//506
    "operator--",	//507
    "operator--$",	//508
    "operator-=",	//509
    "operator-=$",	//510
    "operator<",	//511
    "operator<#",	//512
    "operator<=",	//513
    "operator<=#",	//514
    "operator=",	//515
    "operator=#",	//516
    "operator==",	//517
    "operator==#",	//518
    "operator>",	//519
    "operator>#",	//520
    "operator>=",	//521
    "operator>=#",	//522
    "operator[]",	//523
    "operator[]$",	//524
    "origin",	//525
    "originalUrl",	//526
    "page",	//527
    "pageAction",	//528
    "pageAction$",	//529
    "pageChanged",	//530
    "paintEngine",	//531
    "paintEvent",	//532
    "paintEvent#",	//533
    "palette",	//534
    "paletteChange",	//535
    "parent",	//536
    "parentFrame",	//537
    "pixmap",	//538
    "pluginFactory",	//539
    "plugins",	//540
    "port",	//541
    "pos",	//542
    "preferredContentsSize",	//543
    "prefix",	//544
    "prependInside",	//545
    "prependInside#",	//546
    "prependInside$",	//547
    "prependOutside",	//548
    "prependOutside#",	//549
    "prependOutside$",	//550
    "previousSibling",	//551
    "print",	//552
    "print#",	//553
    "printRequested",	//554
    "printRequested#",	//555
    "provisionalLoad",	//556
    "qt_metacall",	//557
    "qt_metacall$$?",	//558
    "qt_metacast",	//559
    "qt_metacast$",	//560
    "refreshPlugins",	//561
    "reload",	//562
    "removeAllChildren",	//563
    "removeAllDatabases",	//564
    "removeAttribute",	//565
    "removeAttribute$",	//566
    "removeAttributeNS",	//567
    "removeAttributeNS$$",	//568
    "removeClass",	//569
    "removeClass$",	//570
    "removeDatabase",	//571
    "removeDatabase#",	//572
    "removeFromDocument",	//573
    "removeLocalScheme",	//574
    "removeLocalScheme$",	//575
    "render",	//576
    "render#",	//577
    "render##",	//578
    "render#$",	//579
    "render#$#",	//580
    "renderHints",	//581
    "renderTreeDump",	//582
    "repaintRequested",	//583
    "repaintRequested#",	//584
    "replace",	//585
    "replace#",	//586
    "replace$",	//587
    "requestedUrl",	//588
    "resetAttribute",	//589
    "resetAttribute$",	//590
    "resetFontFamily",	//591
    "resetFontFamily$",	//592
    "resetFontSize",	//593
    "resetFontSize$",	//594
    "resizeEvent",	//595
    "resizeEvent#",	//596
    "restoreFrameStateRequested",	//597
    "restoreFrameStateRequested#",	//598
    "saveFrameStateRequested",	//599
    "saveFrameStateRequested##",	//600
    "scheme",	//601
    "scroll",	//602
    "scroll$$",	//603
    "scrollBarGeometry",	//604
    "scrollBarGeometry$",	//605
    "scrollBarMaximum",	//606
    "scrollBarMaximum$",	//607
    "scrollBarMinimum",	//608
    "scrollBarMinimum$",	//609
    "scrollBarPolicy",	//610
    "scrollBarPolicy$",	//611
    "scrollBarValue",	//612
    "scrollBarValue$",	//613
    "scrollPosition",	//614
    "scrollRequested",	//615
    "scrollRequested$$#",	//616
    "scrollToAnchor",	//617
    "scrollToAnchor$",	//618
    "securityOrigin",	//619
    "selectedText",	//620
    "selectionChanged",	//621
    "setAttribute",	//622
    "setAttribute$$",	//623
    "setAttributeNS",	//624
    "setAttributeNS$$$",	//625
    "setBaseUrl",	//626
    "setBaseUrl#",	//627
    "setContent",	//628
    "setContent#",	//629
    "setContent#$",	//630
    "setContent#$#",	//631
    "setContentEditable",	//632
    "setContentEditable$",	//633
    "setContentType",	//634
    "setContentType$",	//635
    "setDatabaseQuota",	//636
    "setDatabaseQuota$",	//637
    "setDefaultInterface",	//638
    "setDefaultInterface#",	//639
    "setDefaultTextEncoding",	//640
    "setDefaultTextEncoding$",	//641
    "setDescription",	//642
    "setDescription$",	//643
    "setDomain",	//644
    "setDomain$",	//645
    "setEncoding",	//646
    "setEncoding$",	//647
    "setError",	//648
    "setError$",	//649
    "setErrorString",	//650
    "setErrorString$",	//651
    "setFileExtensions",	//652
    "setFileExtensions?",	//653
    "setFileNames",	//654
    "setFileNames?",	//655
    "setFocus",	//656
    "setFontFamily",	//657
    "setFontFamily$$",	//658
    "setFontSize",	//659
    "setFontSize$$",	//660
    "setForwardUnsupportedContent",	//661
    "setForwardUnsupportedContent$",	//662
    "setFrame",	//663
    "setFrame#",	//664
    "setHtml",	//665
    "setHtml$",	//666
    "setHtml$#",	//667
    "setIconDatabasePath",	//668
    "setIconDatabasePath$",	//669
    "setInnerXml",	//670
    "setInnerXml$",	//671
    "setLinkDelegationPolicy",	//672
    "setLinkDelegationPolicy$",	//673
    "setLocalStoragePath",	//674
    "setLocalStoragePath$",	//675
    "setMaximumItemCount",	//676
    "setMaximumItemCount$",	//677
    "setMaximumPagesInCache",	//678
    "setMaximumPagesInCache$",	//679
    "setMimeTypes",	//680
    "setMimeTypes?",	//681
    "setName",	//682
    "setName$",	//683
    "setNetworkAccessManager",	//684
    "setNetworkAccessManager#",	//685
    "setObjectCacheCapacities",	//686
    "setObjectCacheCapacities$$$",	//687
    "setOfflineStorageDefaultQuota",	//688
    "setOfflineStorageDefaultQuota$",	//689
    "setOfflineStoragePath",	//690
    "setOfflineStoragePath$",	//691
    "setOfflineWebApplicationCachePath",	//692
    "setOfflineWebApplicationCachePath$",	//693
    "setOfflineWebApplicationCacheQuota",	//694
    "setOfflineWebApplicationCacheQuota$",	//695
    "setOuterXml",	//696
    "setOuterXml$",	//697
    "setPage",	//698
    "setPage#",	//699
    "setPalette",	//700
    "setPalette#",	//701
    "setParentFrame",	//702
    "setParentFrame#",	//703
    "setPlainText",	//704
    "setPlainText$",	//705
    "setPluginFactory",	//706
    "setPluginFactory#",	//707
    "setPreferredContentsSize",	//708
    "setPreferredContentsSize#",	//709
    "setRenderHint",	//710
    "setRenderHint$",	//711
    "setRenderHint$$",	//712
    "setRenderHints",	//713
    "setRenderHints$",	//714
    "setScrollBarPolicy",	//715
    "setScrollBarPolicy$$",	//716
    "setScrollBarValue",	//717
    "setScrollBarValue$$",	//718
    "setScrollPosition",	//719
    "setScrollPosition#",	//720
    "setStyleProperty",	//721
    "setStyleProperty$$",	//722
    "setSuggestedFileNames",	//723
    "setSuggestedFileNames?",	//724
    "setTextSizeMultiplier",	//725
    "setTextSizeMultiplier$",	//726
    "setUrl",	//727
    "setUrl#",	//728
    "setUserData",	//729
    "setUserData#",	//730
    "setUserStyleSheetUrl",	//731
    "setUserStyleSheetUrl#",	//732
    "setView",	//733
    "setView#",	//734
    "setViewportSize",	//735
    "setViewportSize#",	//736
    "setVisible",	//737
    "setWebGraphic",	//738
    "setWebGraphic$#",	//739
    "setZoomFactor",	//740
    "setZoomFactor$",	//741
    "settings",	//742
    "shouldInterruptJavaScript",	//743
    "showEvent",	//744
    "showEvent#",	//745
    "size",	//746
    "sizeHint",	//747
    "staticMetaObject",	//748
    "statusBarMessage",	//749
    "statusBarMessage$",	//750
    "statusBarVisibilityChangeRequested",	//751
    "statusBarVisibilityChangeRequested$",	//752
    "stop",	//753
    "styleChange",	//754
    "styleProperty",	//755
    "styleProperty$$",	//756
    "suggestedFileNames",	//757
    "supportsExtension",	//758
    "supportsExtension$",	//759
    "swallowContextMenuEvent",	//760
    "swallowContextMenuEvent#",	//761
    "tabletEvent",	//762
    "tagName",	//763
    "takeFromDocument",	//764
    "testAttribute",	//765
    "testAttribute$",	//766
    "textSizeMultiplier",	//767
    "timerEvent",	//768
    "title",	//769
    "titleChanged",	//770
    "titleChanged$",	//771
    "toHtml",	//772
    "toInnerXml",	//773
    "toList",	//774
    "toOuterXml",	//775
    "toPlainText",	//776
    "toggleClass",	//777
    "toggleClass$",	//778
    "toolBarVisibilityChangeRequested",	//779
    "toolBarVisibilityChangeRequested$",	//780
    "totalBytes",	//781
    "tr",	//782
    "tr$",	//783
    "tr$$",	//784
    "tr$$$",	//785
    "trUtf8",	//786
    "trUtf8$",	//787
    "trUtf8$$",	//788
    "trUtf8$$$",	//789
    "triggerAction",	//790
    "triggerAction$",	//791
    "triggerAction$$",	//792
    "triggerPageAction",	//793
    "triggerPageAction$",	//794
    "triggerPageAction$$",	//795
    "undoStack",	//796
    "unsupportedContent",	//797
    "unsupportedContent#",	//798
    "updatePositionDependentActions",	//799
    "updatePositionDependentActions#",	//800
    "url",	//801
    "urlChanged",	//802
    "urlChanged#",	//803
    "userAgentForUrl",	//804
    "userAgentForUrl#",	//805
    "userData",	//806
    "userStyleSheetUrl",	//807
    "view",	//808
    "viewportSize",	//809
    "webFrame",	//810
    "webGraphic",	//811
    "webGraphic$",	//812
    "wheelEvent",	//813
    "wheelEvent#",	//814
    "windowActivationChange",	//815
    "windowCloseRequested",	//816
    "x11Event",	//817
    "zoomFactor",	//818
    "~ChooseMultipleFilesExtensionOption",	//819
    "~ChooseMultipleFilesExtensionReturn",	//820
    "~ErrorPageExtensionOption",	//821
    "~ErrorPageExtensionReturn",	//822
    "~ExtensionOption",	//823
    "~ExtensionReturn",	//824
    "~MimeType",	//825
    "~Plugin",	//826
    "~QWebDatabase",	//827
    "~QWebElement",	//828
    "~QWebElementCollection",	//829
    "~QWebHistoryInterface",	//830
    "~QWebHistoryItem",	//831
    "~QWebHitTestResult",	//832
    "~QWebInspector",	//833
    "~QWebPage",	//834
    "~QWebPluginFactory",	//835
    "~QWebSecurityOrigin",	//836
    "~QWebView",	//837
    "~const_iterator",	//838
    "~iterator",	//839
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 6},	//6 QGlobalSpace::LicensedXml (enum)
    {16, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 7},	//7 QGlobalSpace::QtDebugMsg (enum)
    {16, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 8},	//8 QGlobalSpace::QtWarningMsg (enum)
    {16, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 9},	//9 QGlobalSpace::QtCriticalMsg (enum)
    {16, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 10},	//10 QGlobalSpace::QtFatalMsg (enum)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 11},	//11 QGlobalSpace::QtSystemMsg (enum)
    {16, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 12},	//12 QGlobalSpace::LicensedOpenGL (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 13},	//13 QGlobalSpace::LicensedQt3Support (enum)
    {16, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 14},	//14 QGlobalSpace::LicensedOpenVG (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 15},	//15 QGlobalSpace::LicensedNetwork (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 16},	//16 QGlobalSpace::LicensedSql (enum)
    {16, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 17},	//17 QGlobalSpace::LicensedCore (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 18},	//18 QGlobalSpace::LicensedSvg (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 19},	//19 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 20},	//20 QGlobalSpace::LicensedGui (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 21},	//21 QGlobalSpace::LicensedDeclarative (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 22},	//22 QGlobalSpace::LicensedActiveQt (enum)
    {16, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 23},	//23 QGlobalSpace::LicensedDBus (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//24 QGlobalSpace::LicensedTest (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//25 QGlobalSpace::LicensedScriptTools (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 26},	//26 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//27 QGlobalSpace::LicensedScript (enum)
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//28 QGlobalSpace::LicensedMultimedia (enum)
    {16, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 29},	//29 QGlobalSpace::LicensedHelp (enum)
    {29, 333, 1, 1, Smoke::mf_virtual, 227, 0},	//30 QObject::event(QEvent*)
    {29, 335, 3, 2, Smoke::mf_virtual, 227, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {29, 768, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {29, 254, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {29, 290, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {29, 265, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {29, 300, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {49, 131, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 1},	//37 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 515, 12, 1, 0, 73, 2},	//38 QWebDatabase::operator=(const QWebDatabase&)
    {49, 485, 0, 0, Smoke::mf_const, 60, 3},	//39 QWebDatabase::name() const
    {49, 301, 0, 0, Smoke::mf_const, 60, 4},	//40 QWebDatabase::displayName() const
    {49, 336, 0, 0, Smoke::mf_const, 273, 5},	//41 QWebDatabase::expectedSize() const
    {49, 746, 0, 0, Smoke::mf_const, 273, 6},	//42 QWebDatabase::size() const
    {49, 342, 0, 0, Smoke::mf_const, 60, 7},	//43 QWebDatabase::fileName() const
    {49, 525, 0, 0, Smoke::mf_const, 120, 8},	//44 QWebDatabase::origin() const
    {49, 571, 12, 1, Smoke::mf_static, 0, 9},	//45 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 564, 0, 0, Smoke::mf_static, 0, 10},	//46 QWebDatabase::removeAllDatabases()
    {49, 827, 0, 0, Smoke::mf_dtor, 0, 11 },	//47 QWebDatabase::~QWebDatabase()
    {50, 133, 0, 0, Smoke::mf_ctor, 77, 1},	//48 QWebElement::QWebElement()
    {50, 133, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//49 QWebElement::QWebElement(const QWebElement&)
    {50, 515, 14, 1, 0, 76, 3},	//50 QWebElement::operator=(const QWebElement&)
    {50, 517, 14, 1, Smoke::mf_const, 227, 4},	//51 QWebElement::operator==(const QWebElement&) const
    {50, 493, 14, 1, Smoke::mf_const, 227, 5},	//52 QWebElement::operator!=(const QWebElement&) const
    {50, 417, 0, 0, Smoke::mf_const, 227, 6},	//53 QWebElement::isNull() const
    {50, 344, 16, 1, Smoke::mf_const, 79, 7},	//54 QWebElement::findAll(const QString&) const
    {50, 348, 16, 1, Smoke::mf_const, 75, 8},	//55 QWebElement::findFirst(const QString&) const
    {50, 704, 16, 1, 0, 0, 9},	//56 QWebElement::setPlainText(const QString&)
    {50, 776, 0, 0, Smoke::mf_const, 60, 10},	//57 QWebElement::toPlainText() const
    {50, 696, 16, 1, 0, 0, 11},	//58 QWebElement::setOuterXml(const QString&)
    {50, 775, 0, 0, Smoke::mf_const, 60, 12},	//59 QWebElement::toOuterXml() const
    {50, 670, 16, 1, 0, 0, 13},	//60 QWebElement::setInnerXml(const QString&)
    {50, 773, 0, 0, Smoke::mf_const, 60, 14},	//61 QWebElement::toInnerXml() const
    {50, 622, 18, 2, 0, 0, 15},	//62 QWebElement::setAttribute(const QString&, const QString&)
    {50, 624, 21, 3, 0, 0, 16},	//63 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 234, 18, 2, Smoke::mf_const, 60, 17},	//64 QWebElement::attribute(const QString&, const QString&) const
    {50, 237, 21, 3, Smoke::mf_const, 60, 18},	//65 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 386, 16, 1, Smoke::mf_const, 227, 19},	//66 QWebElement::hasAttribute(const QString&) const
    {50, 388, 18, 2, Smoke::mf_const, 227, 20},	//67 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 565, 16, 1, 0, 0, 21},	//68 QWebElement::removeAttribute(const QString&)
    {50, 567, 18, 2, 0, 0, 22},	//69 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 390, 0, 0, Smoke::mf_const, 227, 23},	//70 QWebElement::hasAttributes() const
    {50, 240, 16, 1, Smoke::mf_const, 63, 24},	//71 QWebElement::attributeNames(const QString&) const
    {50, 258, 0, 0, Smoke::mf_const, 63, 25},	//72 QWebElement::classes() const
    {50, 391, 16, 1, Smoke::mf_const, 227, 26},	//73 QWebElement::hasClass(const QString&) const
    {50, 213, 16, 1, 0, 0, 27},	//74 QWebElement::addClass(const QString&)
    {50, 569, 16, 1, 0, 0, 28},	//75 QWebElement::removeClass(const QString&)
    {50, 777, 16, 1, 0, 0, 29},	//76 QWebElement::toggleClass(const QString&)
    {50, 393, 0, 0, Smoke::mf_const, 227, 30},	//77 QWebElement::hasFocus() const
    {50, 656, 0, 0, 0, 0, 31},	//78 QWebElement::setFocus()
    {50, 379, 0, 0, Smoke::mf_const, 49, 32},	//79 QWebElement::geometry() const
    {50, 763, 0, 0, Smoke::mf_const, 60, 33},	//80 QWebElement::tagName() const
    {50, 544, 0, 0, Smoke::mf_const, 60, 34},	//81 QWebElement::prefix() const
    {50, 462, 0, 0, Smoke::mf_const, 60, 35},	//82 QWebElement::localName() const
    {50, 486, 0, 0, Smoke::mf_const, 60, 36},	//83 QWebElement::namespaceUri() const
    {50, 536, 0, 0, Smoke::mf_const, 75, 37},	//84 QWebElement::parent() const
    {50, 356, 0, 0, Smoke::mf_const, 75, 38},	//85 QWebElement::firstChild() const
    {50, 440, 0, 0, Smoke::mf_const, 75, 39},	//86 QWebElement::lastChild() const
    {50, 488, 0, 0, Smoke::mf_const, 75, 40},	//87 QWebElement::nextSibling() const
    {50, 551, 0, 0, Smoke::mf_const, 75, 41},	//88 QWebElement::previousSibling() const
    {50, 302, 0, 0, Smoke::mf_const, 75, 42},	//89 QWebElement::document() const
    {50, 810, 0, 0, Smoke::mf_const, 88, 43},	//90 QWebElement::webFrame() const
    {50, 226, 16, 1, 0, 0, 44},	//91 QWebElement::appendInside(const QString&)
    {50, 226, 14, 1, 0, 0, 45},	//92 QWebElement::appendInside(const QWebElement&)
    {50, 545, 16, 1, 0, 0, 46},	//93 QWebElement::prependInside(const QString&)
    {50, 545, 14, 1, 0, 0, 47},	//94 QWebElement::prependInside(const QWebElement&)
    {50, 229, 16, 1, 0, 0, 48},	//95 QWebElement::appendOutside(const QString&)
    {50, 229, 14, 1, 0, 0, 49},	//96 QWebElement::appendOutside(const QWebElement&)
    {50, 548, 16, 1, 0, 0, 50},	//97 QWebElement::prependOutside(const QString&)
    {50, 548, 14, 1, 0, 0, 51},	//98 QWebElement::prependOutside(const QWebElement&)
    {50, 319, 14, 1, 0, 0, 52},	//99 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 319, 16, 1, 0, 0, 53},	//100 QWebElement::encloseContentsWith(const QString&)
    {50, 322, 16, 1, 0, 0, 54},	//101 QWebElement::encloseWith(const QString&)
    {50, 322, 14, 1, 0, 0, 55},	//102 QWebElement::encloseWith(const QWebElement&)
    {50, 585, 16, 1, 0, 0, 56},	//103 QWebElement::replace(const QString&)
    {50, 585, 14, 1, 0, 0, 57},	//104 QWebElement::replace(const QWebElement&)
    {50, 262, 0, 0, Smoke::mf_const, 75, 58},	//105 QWebElement::clone() const
    {50, 764, 0, 0, 0, 76, 59},	//106 QWebElement::takeFromDocument()
    {50, 573, 0, 0, 0, 0, 60},	//107 QWebElement::removeFromDocument()
    {50, 563, 0, 0, 0, 0, 61},	//108 QWebElement::removeAllChildren()
    {50, 331, 16, 1, 0, 72, 62},	//109 QWebElement::evaluateJavaScript(const QString&)
    {50, 755, 25, 2, Smoke::mf_const, 60, 63},	//110 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 721, 18, 2, 0, 0, 64},	//111 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 576, 28, 1, 0, 0, 65},	//112 QWebElement::render(QPainter*)
    {50, 234, 16, 1, Smoke::mf_const, 60, 66},	//113 QWebElement::attribute(const QString&) const
    {50, 237, 18, 2, Smoke::mf_const, 60, 67},	//114 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 240, 0, 0, Smoke::mf_const, 63, 68},	//115 QWebElement::attributeNames() const
    {50, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 69},	//116 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 70},	//117 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 71},	//118 QWebElement::ComputedStyle (enum)
    {50, 828, 0, 0, Smoke::mf_dtor, 0, 72 },	//119 QWebElement::~QWebElement()
    {51, 135, 0, 0, Smoke::mf_ctor, 81, 1},	//120 QWebElementCollection::QWebElementCollection()
    {51, 135, 30, 2, Smoke::mf_ctor, 81, 2},	//121 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 135, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 3},	//122 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 515, 33, 1, 0, 80, 4},	//123 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 496, 33, 1, Smoke::mf_const, 79, 5},	//124 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 501, 33, 1, 0, 80, 6},	//125 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 224, 33, 1, 0, 0, 7},	//126 QWebElementCollection::append(const QWebElementCollection&)
    {51, 279, 0, 0, Smoke::mf_const, 271, 8},	//127 QWebElementCollection::count() const
    {51, 232, 35, 1, Smoke::mf_const, 75, 9},	//128 QWebElementCollection::at(int) const
    {51, 523, 35, 1, Smoke::mf_const, 75, 10},	//129 QWebElementCollection::operator[](int) const
    {51, 355, 0, 0, Smoke::mf_const, 75, 11},	//130 QWebElementCollection::first() const
    {51, 439, 0, 0, Smoke::mf_const, 75, 12},	//131 QWebElementCollection::last() const
    {51, 774, 0, 0, Smoke::mf_const, 25, 13},	//132 QWebElementCollection::toList() const
    {51, 247, 0, 0, Smoke::mf_const, 82, 14},	//133 QWebElementCollection::begin() const
    {51, 327, 0, 0, Smoke::mf_const, 82, 15},	//134 QWebElementCollection::end() const
    {51, 266, 0, 0, Smoke::mf_const, 82, 16},	//135 QWebElementCollection::constBegin() const
    {51, 267, 0, 0, Smoke::mf_const, 82, 17},	//136 QWebElementCollection::constEnd() const
    {51, 247, 0, 0, 0, 85, 18},	//137 QWebElementCollection::begin()
    {51, 327, 0, 0, 0, 85, 19},	//138 QWebElementCollection::end()
    {51, 829, 0, 0, Smoke::mf_dtor, 0, 20 },	//139 QWebElementCollection::~QWebElementCollection()
    {52, 268, 37, 2, Smoke::mf_ctor, 84, 1},	//140 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 268, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//141 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 495, 0, 0, Smoke::mf_const, 247, 3},	//142 QWebElementCollection::const_iterator::operator*() const
    {52, 517, 40, 1, Smoke::mf_const, 227, 4},	//143 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 493, 40, 1, Smoke::mf_const, 227, 5},	//144 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 511, 40, 1, Smoke::mf_const, 227, 6},	//145 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 513, 40, 1, Smoke::mf_const, 227, 7},	//146 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 519, 40, 1, Smoke::mf_const, 227, 8},	//147 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 521, 40, 1, Smoke::mf_const, 227, 9},	//148 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 499, 0, 0, 0, 83, 10},	//149 QWebElementCollection::const_iterator::operator++()
    {52, 499, 35, 1, 0, 82, 11},	//150 QWebElementCollection::const_iterator::operator++(int)
    {52, 507, 0, 0, 0, 83, 12},	//151 QWebElementCollection::const_iterator::operator--()
    {52, 507, 35, 1, 0, 82, 13},	//152 QWebElementCollection::const_iterator::operator--(int)
    {52, 501, 35, 1, 0, 83, 14},	//153 QWebElementCollection::const_iterator::operator+=(int)
    {52, 509, 35, 1, 0, 83, 15},	//154 QWebElementCollection::const_iterator::operator-=(int)
    {52, 496, 35, 1, Smoke::mf_const, 82, 16},	//155 QWebElementCollection::const_iterator::operator+(int) const
    {52, 504, 35, 1, Smoke::mf_const, 82, 17},	//156 QWebElementCollection::const_iterator::operator-(int) const
    {52, 504, 42, 1, Smoke::mf_const, 271, 18},	//157 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 838, 0, 0, Smoke::mf_dtor, 0, 19 },	//158 QWebElementCollection::const_iterator::~const_iterator()
    {53, 422, 37, 2, Smoke::mf_ctor, 87, 1},	//159 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 422, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//160 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 495, 0, 0, Smoke::mf_const, 75, 3},	//161 QWebElementCollection::iterator::operator*() const
    {53, 517, 44, 1, Smoke::mf_const, 227, 4},	//162 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 493, 44, 1, Smoke::mf_const, 227, 5},	//163 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 511, 44, 1, Smoke::mf_const, 227, 6},	//164 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 513, 44, 1, Smoke::mf_const, 227, 7},	//165 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 519, 44, 1, Smoke::mf_const, 227, 8},	//166 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 521, 44, 1, Smoke::mf_const, 227, 9},	//167 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 499, 0, 0, 0, 86, 10},	//168 QWebElementCollection::iterator::operator++()
    {53, 499, 35, 1, 0, 85, 11},	//169 QWebElementCollection::iterator::operator++(int)
    {53, 507, 0, 0, 0, 86, 12},	//170 QWebElementCollection::iterator::operator--()
    {53, 507, 35, 1, 0, 85, 13},	//171 QWebElementCollection::iterator::operator--(int)
    {53, 501, 35, 1, 0, 86, 14},	//172 QWebElementCollection::iterator::operator+=(int)
    {53, 509, 35, 1, 0, 86, 15},	//173 QWebElementCollection::iterator::operator-=(int)
    {53, 496, 35, 1, Smoke::mf_const, 85, 16},	//174 QWebElementCollection::iterator::operator+(int) const
    {53, 504, 35, 1, Smoke::mf_const, 85, 17},	//175 QWebElementCollection::iterator::operator-(int) const
    {53, 504, 46, 1, Smoke::mf_const, 271, 18},	//176 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 839, 0, 0, Smoke::mf_dtor, 0, 19 },	//177 QWebElementCollection::iterator::~iterator()
    {54, 471, 0, 0, Smoke::mf_const, 232, 1},	//178 QWebFrame::metaObject() const
    {54, 559, 10, 1, 0, 278, 2},	//179 QWebFrame::qt_metacast(const char*)
    {54, 782, 48, 2, Smoke::mf_static, 60, 3},	//180 QWebFrame::tr(const char*, const char*)
    {54, 786, 48, 2, Smoke::mf_static, 60, 4},	//181 QWebFrame::trUtf8(const char*, const char*)
    {54, 782, 51, 3, Smoke::mf_static, 60, 5},	//182 QWebFrame::tr(const char*, const char*, int)
    {54, 786, 51, 3, Smoke::mf_static, 60, 6},	//183 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 557, 55, 3, 0, 271, 7},	//184 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 527, 0, 0, Smoke::mf_const, 99, 8},	//185 QWebFrame::page() const
    {54, 453, 59, 1, 0, 0, 9},	//186 QWebFrame::load(const QUrl&)
    {54, 453, 61, 3, 0, 0, 10},	//187 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 665, 65, 2, 0, 0, 11},	//188 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 628, 68, 3, 0, 0, 12},	//189 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 219, 72, 2, 0, 0, 13},	//190 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 219, 75, 3, 0, 0, 14},	//191 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 772, 0, 0, Smoke::mf_const, 60, 15},	//192 QWebFrame::toHtml() const
    {54, 776, 0, 0, Smoke::mf_const, 60, 16},	//193 QWebFrame::toPlainText() const
    {54, 582, 0, 0, Smoke::mf_const, 60, 17},	//194 QWebFrame::renderTreeDump() const
    {54, 769, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 18},	//195 QWebFrame::title() const
    {54, 727, 59, 1, Smoke::mf_property, 0, 19},	//196 QWebFrame::setUrl(const QUrl&)
    {54, 801, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 20},	//197 QWebFrame::url() const
    {54, 588, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 21},	//198 QWebFrame::requestedUrl() const
    {54, 246, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 22},	//199 QWebFrame::baseUrl() const
    {54, 403, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//200 QWebFrame::icon() const
    {54, 470, 0, 0, Smoke::mf_const, 35, 24},	//201 QWebFrame::metaData() const
    {54, 378, 0, 0, Smoke::mf_const, 60, 25},	//202 QWebFrame::frameName() const
    {54, 537, 0, 0, Smoke::mf_const, 88, 26},	//203 QWebFrame::parentFrame() const
    {54, 255, 0, 0, Smoke::mf_const, 26, 27},	//204 QWebFrame::childFrames() const
    {54, 610, 79, 1, Smoke::mf_const, 181, 28},	//205 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 715, 81, 2, 0, 0, 29},	//206 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 717, 84, 2, 0, 0, 30},	//207 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 612, 79, 1, Smoke::mf_const, 271, 31},	//208 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 608, 79, 1, Smoke::mf_const, 271, 32},	//209 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 606, 79, 1, Smoke::mf_const, 271, 33},	//210 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 604, 79, 1, Smoke::mf_const, 49, 34},	//211 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 602, 87, 2, 0, 0, 35},	//212 QWebFrame::scroll(int, int)
    {54, 614, 0, 0, Smoke::mf_const|Smoke::mf_property, 47, 36},	//213 QWebFrame::scrollPosition() const
    {54, 719, 90, 1, Smoke::mf_property, 0, 37},	//214 QWebFrame::setScrollPosition(const QPoint&)
    {54, 617, 16, 1, 0, 0, 38},	//215 QWebFrame::scrollToAnchor(const QString&)
    {54, 576, 28, 1, 0, 0, 39},	//216 QWebFrame::render(QPainter*)
    {54, 576, 92, 2, 0, 0, 40},	//217 QWebFrame::render(QPainter*, const QRegion&)
    {54, 576, 95, 3, 0, 0, 41},	//218 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 725, 99, 1, 0, 0, 42},	//219 QWebFrame::setTextSizeMultiplier(double)
    {54, 767, 0, 0, Smoke::mf_const, 270, 43},	//220 QWebFrame::textSizeMultiplier() const
    {54, 818, 0, 0, Smoke::mf_const, 270, 44},	//221 QWebFrame::zoomFactor() const
    {54, 740, 99, 1, 0, 0, 45},	//222 QWebFrame::setZoomFactor(double)
    {54, 393, 0, 0, Smoke::mf_const|Smoke::mf_property, 227, 46},	//223 QWebFrame::hasFocus() const
    {54, 656, 0, 0, 0, 0, 47},	//224 QWebFrame::setFocus()
    {54, 542, 0, 0, Smoke::mf_const, 47, 48},	//225 QWebFrame::pos() const
    {54, 379, 0, 0, Smoke::mf_const, 49, 49},	//226 QWebFrame::geometry() const
    {54, 274, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 50},	//227 QWebFrame::contentsSize() const
    {54, 303, 0, 0, Smoke::mf_const, 75, 51},	//228 QWebFrame::documentElement() const
    {54, 346, 16, 1, Smoke::mf_const, 79, 52},	//229 QWebFrame::findAllElements(const QString&) const
    {54, 350, 16, 1, Smoke::mf_const, 75, 53},	//230 QWebFrame::findFirstElement(const QString&) const
    {54, 400, 90, 1, Smoke::mf_const, 95, 54},	//231 QWebFrame::hitTestContent(const QPoint&) const
    {54, 333, 1, 1, 0, 227, 55},	//232 QWebFrame::event(QEvent*)
    {54, 619, 0, 0, Smoke::mf_const, 120, 56},	//233 QWebFrame::securityOrigin() const
    {54, 331, 16, 1, Smoke::mf_slot, 72, 57},	//234 QWebFrame::evaluateJavaScript(const QString&)
    {54, 552, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//235 QWebFrame::print(QPrinter*) const
    {54, 433, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//236 QWebFrame::javaScriptWindowObjectCleared()
    {54, 556, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//237 QWebFrame::provisionalLoad()
    {54, 770, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//238 QWebFrame::titleChanged(const QString&)
    {54, 802, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//239 QWebFrame::urlChanged(const QUrl&)
    {54, 409, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//240 QWebFrame::initialLayoutCompleted()
    {54, 404, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//241 QWebFrame::iconChanged()
    {54, 275, 103, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//242 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 461, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//243 QWebFrame::loadStarted()
    {54, 457, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//244 QWebFrame::loadFinished(bool)
    {54, 530, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//245 QWebFrame::pageChanged()
    {54, 782, 10, 1, Smoke::mf_static, 60, 69},	//246 QWebFrame::tr(const char*)
    {54, 786, 10, 1, Smoke::mf_static, 60, 70},	//247 QWebFrame::trUtf8(const char*)
    {54, 453, 107, 1, 0, 0, 71},	//248 QWebFrame::load(const QNetworkRequest&)
    {54, 453, 109, 2, 0, 0, 72},	//249 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 665, 16, 1, 0, 0, 73},	//250 QWebFrame::setHtml(const QString&)
    {54, 628, 112, 1, 0, 0, 74},	//251 QWebFrame::setContent(const QByteArray&)
    {54, 628, 114, 2, 0, 0, 75},	//252 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 576, 117, 2, 0, 0, 76},	//253 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 77},	//254 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 78},	//255 QWebFrame::ContentsLayer (enum)
    {54, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 79},	//256 QWebFrame::ScrollBarLayer (enum)
    {54, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 80},	//257 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//258 QWebFrame::AllLayers (enum)
    {55, 259, 0, 0, 0, 0, 1},	//259 QWebHistory::clear()
    {55, 421, 0, 0, Smoke::mf_const, 27, 2},	//260 QWebHistory::items() const
    {55, 244, 35, 1, Smoke::mf_const, 27, 3},	//261 QWebHistory::backItems(int) const
    {55, 370, 35, 1, Smoke::mf_const, 27, 4},	//262 QWebHistory::forwardItems(int) const
    {55, 250, 0, 0, Smoke::mf_const, 227, 5},	//263 QWebHistory::canGoBack() const
    {55, 251, 0, 0, Smoke::mf_const, 227, 6},	//264 QWebHistory::canGoForward() const
    {55, 242, 0, 0, 0, 0, 7},	//265 QWebHistory::back()
    {55, 368, 0, 0, 0, 0, 8},	//266 QWebHistory::forward()
    {55, 383, 120, 1, 0, 0, 9},	//267 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 243, 0, 0, Smoke::mf_const, 92, 10},	//268 QWebHistory::backItem() const
    {55, 288, 0, 0, Smoke::mf_const, 92, 11},	//269 QWebHistory::currentItem() const
    {55, 369, 0, 0, Smoke::mf_const, 92, 12},	//270 QWebHistory::forwardItem() const
    {55, 419, 35, 1, Smoke::mf_const, 92, 13},	//271 QWebHistory::itemAt(int) const
    {55, 289, 0, 0, Smoke::mf_const, 271, 14},	//272 QWebHistory::currentItemIndex() const
    {55, 279, 0, 0, Smoke::mf_const, 271, 15},	//273 QWebHistory::count() const
    {55, 466, 0, 0, Smoke::mf_const, 271, 16},	//274 QWebHistory::maximumItemCount() const
    {55, 676, 35, 1, 0, 0, 17},	//275 QWebHistory::setMaximumItemCount(int)
    {56, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 1},	//276 QWebHistoryInterface::metaObject() const
    {56, 559, 10, 1, Smoke::mf_virtual, 278, 2},	//277 QWebHistoryInterface::qt_metacast(const char*)
    {56, 782, 48, 2, Smoke::mf_static, 60, 3},	//278 QWebHistoryInterface::tr(const char*, const char*)
    {56, 786, 48, 2, Smoke::mf_static, 60, 4},	//279 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 782, 51, 3, Smoke::mf_static, 60, 5},	//280 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 786, 51, 3, Smoke::mf_static, 60, 6},	//281 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 557, 55, 3, Smoke::mf_virtual, 271, 7},	//282 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 138, 122, 1, Smoke::mf_ctor, 91, 8},	//283 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 638, 124, 1, Smoke::mf_static, 0, 9},	//284 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 296, 0, 0, Smoke::mf_static, 91, 10},	//285 QWebHistoryInterface::defaultInterface()
    {56, 398, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 227, 11},	//286 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 215, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//287 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 782, 10, 1, Smoke::mf_static, 60, 13},	//288 QWebHistoryInterface::tr(const char*)
    {56, 786, 10, 1, Smoke::mf_static, 60, 14},	//289 QWebHistoryInterface::trUtf8(const char*)
    {56, 138, 0, 0, Smoke::mf_ctor, 91, 15},	//290 QWebHistoryInterface::QWebHistoryInterface()
    {56, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 16},	//291 QWebHistoryInterface::staticMetaObject() const
    {56, 830, 0, 0, Smoke::mf_dtor, 0, 17 },	//292 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 140, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 1},	//293 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 515, 120, 1, 0, 93, 2},	//294 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 526, 0, 0, Smoke::mf_const, 70, 3},	//295 QWebHistoryItem::originalUrl() const
    {57, 801, 0, 0, Smoke::mf_const, 70, 4},	//296 QWebHistoryItem::url() const
    {57, 769, 0, 0, Smoke::mf_const, 60, 5},	//297 QWebHistoryItem::title() const
    {57, 441, 0, 0, Smoke::mf_const, 8, 6},	//298 QWebHistoryItem::lastVisited() const
    {57, 403, 0, 0, Smoke::mf_const, 20, 7},	//299 QWebHistoryItem::icon() const
    {57, 806, 0, 0, Smoke::mf_const, 72, 8},	//300 QWebHistoryItem::userData() const
    {57, 729, 126, 1, 0, 0, 9},	//301 QWebHistoryItem::setUserData(const QVariant&)
    {57, 418, 0, 0, Smoke::mf_const, 227, 10},	//302 QWebHistoryItem::isValid() const
    {57, 831, 0, 0, Smoke::mf_dtor, 0, 11 },	//303 QWebHistoryItem::~QWebHistoryItem()
    {58, 142, 0, 0, Smoke::mf_ctor, 97, 1},	//304 QWebHitTestResult::QWebHitTestResult()
    {58, 142, 128, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//305 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 515, 128, 1, 0, 96, 3},	//306 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 417, 0, 0, Smoke::mf_const, 227, 4},	//307 QWebHitTestResult::isNull() const
    {58, 542, 0, 0, Smoke::mf_const, 47, 5},	//308 QWebHitTestResult::pos() const
    {58, 248, 0, 0, Smoke::mf_const, 49, 6},	//309 QWebHitTestResult::boundingRect() const
    {58, 325, 0, 0, Smoke::mf_const, 75, 7},	//310 QWebHitTestResult::enclosingBlockElement() const
    {58, 769, 0, 0, Smoke::mf_const, 60, 8},	//311 QWebHitTestResult::title() const
    {58, 450, 0, 0, Smoke::mf_const, 60, 9},	//312 QWebHitTestResult::linkText() const
    {58, 452, 0, 0, Smoke::mf_const, 70, 10},	//313 QWebHitTestResult::linkUrl() const
    {58, 451, 0, 0, Smoke::mf_const, 70, 11},	//314 QWebHitTestResult::linkTitle() const
    {58, 449, 0, 0, Smoke::mf_const, 88, 12},	//315 QWebHitTestResult::linkTargetFrame() const
    {58, 446, 0, 0, Smoke::mf_const, 75, 13},	//316 QWebHitTestResult::linkElement() const
    {58, 223, 0, 0, Smoke::mf_const, 60, 14},	//317 QWebHitTestResult::alternateText() const
    {58, 408, 0, 0, Smoke::mf_const, 70, 15},	//318 QWebHitTestResult::imageUrl() const
    {58, 538, 0, 0, Smoke::mf_const, 46, 16},	//319 QWebHitTestResult::pixmap() const
    {58, 414, 0, 0, Smoke::mf_const, 227, 17},	//320 QWebHitTestResult::isContentEditable() const
    {58, 415, 0, 0, Smoke::mf_const, 227, 18},	//321 QWebHitTestResult::isContentSelected() const
    {58, 315, 0, 0, Smoke::mf_const, 75, 19},	//322 QWebHitTestResult::element() const
    {58, 373, 0, 0, Smoke::mf_const, 88, 20},	//323 QWebHitTestResult::frame() const
    {58, 832, 0, 0, Smoke::mf_dtor, 0, 21 },	//324 QWebHitTestResult::~QWebHitTestResult()
    {59, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 1},	//325 QWebInspector::metaObject() const
    {59, 559, 10, 1, Smoke::mf_virtual, 278, 2},	//326 QWebInspector::qt_metacast(const char*)
    {59, 782, 48, 2, Smoke::mf_static, 60, 3},	//327 QWebInspector::tr(const char*, const char*)
    {59, 786, 48, 2, Smoke::mf_static, 60, 4},	//328 QWebInspector::trUtf8(const char*, const char*)
    {59, 782, 51, 3, Smoke::mf_static, 60, 5},	//329 QWebInspector::tr(const char*, const char*, int)
    {59, 786, 51, 3, Smoke::mf_static, 60, 6},	//330 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 557, 55, 3, Smoke::mf_virtual, 271, 7},	//331 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 144, 130, 1, Smoke::mf_ctor, 98, 8},	//332 QWebInspector::QWebInspector(QWidget*)
    {59, 698, 132, 1, 0, 0, 9},	//333 QWebInspector::setPage(QWebPage*)
    {59, 527, 0, 0, Smoke::mf_const, 99, 10},	//334 QWebInspector::page() const
    {59, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 11},	//335 QWebInspector::sizeHint() const
    {59, 333, 1, 1, Smoke::mf_virtual, 227, 12},	//336 QWebInspector::event(QEvent*)
    {59, 595, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//337 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 744, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//338 QWebInspector::showEvent(QShowEvent*)
    {59, 395, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//339 QWebInspector::hideEvent(QHideEvent*)
    {59, 263, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//340 QWebInspector::closeEvent(QCloseEvent*)
    {59, 782, 10, 1, Smoke::mf_static, 60, 17},	//341 QWebInspector::tr(const char*)
    {59, 786, 10, 1, Smoke::mf_static, 60, 18},	//342 QWebInspector::trUtf8(const char*)
    {59, 144, 0, 0, Smoke::mf_ctor, 98, 19},	//343 QWebInspector::QWebInspector()
    {59, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 20},	//344 QWebInspector::staticMetaObject() const
    {59, 833, 0, 0, Smoke::mf_dtor, 0, 21 },	//345 QWebInspector::~QWebInspector()
    {60, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 1},	//346 QWebPage::metaObject() const
    {60, 559, 10, 1, Smoke::mf_virtual, 278, 2},	//347 QWebPage::qt_metacast(const char*)
    {60, 782, 48, 2, Smoke::mf_static, 60, 3},	//348 QWebPage::tr(const char*, const char*)
    {60, 786, 48, 2, Smoke::mf_static, 60, 4},	//349 QWebPage::trUtf8(const char*, const char*)
    {60, 782, 51, 3, Smoke::mf_static, 60, 5},	//350 QWebPage::tr(const char*, const char*, int)
    {60, 786, 51, 3, Smoke::mf_static, 60, 6},	//351 QWebPage::trUtf8(const char*, const char*, int)
    {60, 557, 55, 3, Smoke::mf_virtual, 271, 7},	//352 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 146, 122, 1, Smoke::mf_ctor, 99, 8},	//353 QWebPage::QWebPage(QObject*)
    {60, 465, 0, 0, Smoke::mf_const, 88, 9},	//354 QWebPage::mainFrame() const
    {60, 287, 0, 0, Smoke::mf_const, 88, 10},	//355 QWebPage::currentFrame() const
    {60, 374, 90, 1, Smoke::mf_const, 88, 11},	//356 QWebPage::frameAt(const QPoint&) const
    {60, 397, 0, 0, Smoke::mf_const, 90, 12},	//357 QWebPage::history() const
    {60, 742, 0, 0, Smoke::mf_const, 123, 13},	//358 QWebPage::settings() const
    {60, 733, 130, 1, 0, 0, 14},	//359 QWebPage::setView(QWidget*)
    {60, 808, 0, 0, Smoke::mf_const, 131, 15},	//360 QWebPage::view() const
    {60, 416, 0, 0, Smoke::mf_const|Smoke::mf_property, 227, 16},	//361 QWebPage::isModified() const
    {60, 796, 0, 0, Smoke::mf_const, 69, 17},	//362 QWebPage::undoStack() const
    {60, 684, 142, 1, 0, 0, 18},	//363 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 487, 0, 0, Smoke::mf_const, 36, 19},	//364 QWebPage::networkAccessManager() const
    {60, 706, 144, 1, 0, 0, 20},	//365 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 539, 0, 0, Smoke::mf_const, 114, 21},	//366 QWebPage::pluginFactory() const
    {60, 781, 0, 0, Smoke::mf_const, 277, 22},	//367 QWebPage::totalBytes() const
    {60, 249, 0, 0, Smoke::mf_const, 277, 23},	//368 QWebPage::bytesReceived() const
    {60, 620, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 24},	//369 QWebPage::selectedText() const
    {60, 210, 146, 1, Smoke::mf_const, 1, 25},	//370 QWebPage::action(QWebPage::WebAction) const
    {60, 790, 148, 2, Smoke::mf_virtual, 0, 26},	//371 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 809, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 27},	//372 QWebPage::viewportSize() const
    {60, 735, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 28},	//373 QWebPage::setViewportSize(const QSize&) const
    {60, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 29},	//374 QWebPage::preferredContentsSize() const
    {60, 708, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//375 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 333, 1, 1, Smoke::mf_virtual, 227, 31},	//376 QWebPage::event(QEvent*)
    {60, 359, 105, 1, 0, 227, 32},	//377 QWebPage::focusNextPrevChild(bool)
    {60, 412, 151, 1, Smoke::mf_const, 72, 33},	//378 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 352, 153, 2, 0, 227, 34},	//379 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 661, 105, 1, Smoke::mf_property, 0, 35},	//380 QWebPage::setForwardUnsupportedContent(bool)
    {60, 372, 0, 0, Smoke::mf_const|Smoke::mf_property, 227, 36},	//381 QWebPage::forwardUnsupportedContent() const
    {60, 672, 156, 1, Smoke::mf_property, 0, 37},	//382 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 445, 0, 0, Smoke::mf_const|Smoke::mf_property, 109, 38},	//383 QWebPage::linkDelegationPolicy() const
    {60, 700, 158, 1, Smoke::mf_property, 0, 39},	//384 QWebPage::setPalette(const QPalette&)
    {60, 534, 0, 0, Smoke::mf_const|Smoke::mf_property, 45, 40},	//385 QWebPage::palette() const
    {60, 632, 105, 1, Smoke::mf_property, 0, 41},	//386 QWebPage::setContentEditable(bool)
    {60, 414, 0, 0, Smoke::mf_const|Smoke::mf_property, 227, 42},	//387 QWebPage::isContentEditable() const
    {60, 760, 160, 1, 0, 227, 43},	//388 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 799, 90, 1, 0, 0, 44},	//389 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 284, 0, 0, 0, 31, 45},	//390 QWebPage::createStandardContextMenu()
    {60, 337, 162, 3, Smoke::mf_virtual, 227, 46},	//391 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 758, 166, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 47},	//392 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 385, 0, 0, Smoke::mf_const, 113, 48},	//393 QWebPage::handle() const
    {60, 743, 0, 0, Smoke::mf_slot, 227, 49},	//394 QWebPage::shouldInterruptJavaScript()
    {60, 461, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//395 QWebPage::loadStarted()
    {60, 459, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//396 QWebPage::loadProgress(int)
    {60, 457, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//397 QWebPage::loadFinished(bool)
    {60, 447, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//398 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 749, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//399 QWebPage::statusBarMessage(const QString&)
    {60, 621, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//400 QWebPage::selectionChanged()
    {60, 376, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//401 QWebPage::frameCreated(QWebFrame*)
    {60, 380, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//402 QWebPage::geometryChangeRequested(const QRect&)
    {60, 583, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//403 QWebPage::repaintRequested(const QRect&)
    {60, 615, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//404 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 816, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//405 QWebPage::windowCloseRequested()
    {60, 554, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//406 QWebPage::printRequested(QWebFrame*)
    {60, 443, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//407 QWebPage::linkClicked(const QUrl&)
    {60, 779, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//408 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 751, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//409 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 468, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//410 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 797, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//411 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 305, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//412 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 473, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//413 QWebPage::microFocusChanged()
    {60, 273, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//414 QWebPage::contentsChanged()
    {60, 292, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//415 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 599, 181, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//416 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 597, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//417 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 285, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 99, 73},	//418 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 282, 186, 4, Smoke::mf_protected|Smoke::mf_virtual, 39, 74},	//419 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 208, 191, 3, Smoke::mf_protected|Smoke::mf_virtual, 227, 75},	//420 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 256, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 60, 76},	//421 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 425, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//422 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 427, 195, 2, Smoke::mf_protected|Smoke::mf_virtual, 227, 78},	//423 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 431, 198, 4, Smoke::mf_protected|Smoke::mf_virtual, 227, 79},	//424 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 429, 203, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//425 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 804, 59, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 60, 81},	//426 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 782, 10, 1, Smoke::mf_static, 60, 82},	//427 QWebPage::tr(const char*)
    {60, 786, 10, 1, Smoke::mf_static, 60, 83},	//428 QWebPage::trUtf8(const char*)
    {60, 146, 0, 0, Smoke::mf_ctor, 99, 84},	//429 QWebPage::QWebPage()
    {60, 790, 146, 1, 0, 0, 85},	//430 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 352, 16, 1, 0, 227, 86},	//431 QWebPage::findText(const QString&)
    {60, 337, 166, 1, 0, 227, 87},	//432 QWebPage::extension(QWebPage::Extension)
    {60, 337, 207, 2, 0, 227, 88},	//433 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 89},	//434 QWebPage::staticMetaObject() const
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 90},	//435 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 91},	//436 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 92},	//437 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 93},	//438 QWebPage::NavigationTypeReload (enum)
    {60, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 94},	//439 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 95},	//440 QWebPage::NavigationTypeOther (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 96},	//441 QWebPage::NoWebAction (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 97},	//442 QWebPage::OpenLink (enum)
    {60, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 98},	//443 QWebPage::OpenLinkInNewWindow (enum)
    {60, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 99},	//444 QWebPage::OpenFrameInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 100},	//445 QWebPage::DownloadLinkToDisk (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 101},	//446 QWebPage::CopyLinkToClipboard (enum)
    {60, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 102},	//447 QWebPage::OpenImageInNewWindow (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 103},	//448 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 104},	//449 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 105},	//450 QWebPage::Back (enum)
    {60, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 106},	//451 QWebPage::Forward (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 107},	//452 QWebPage::Stop (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//453 QWebPage::Reload (enum)
    {60, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//454 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//455 QWebPage::Copy (enum)
    {60, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//456 QWebPage::Paste (enum)
    {60, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//457 QWebPage::Undo (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//458 QWebPage::Redo (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//459 QWebPage::MoveToNextChar (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//460 QWebPage::MoveToPreviousChar (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//461 QWebPage::MoveToNextWord (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//462 QWebPage::MoveToPreviousWord (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//463 QWebPage::MoveToNextLine (enum)
    {60, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//464 QWebPage::MoveToPreviousLine (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//465 QWebPage::MoveToStartOfLine (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//466 QWebPage::MoveToEndOfLine (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//467 QWebPage::MoveToStartOfBlock (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//468 QWebPage::MoveToEndOfBlock (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//469 QWebPage::MoveToStartOfDocument (enum)
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//470 QWebPage::MoveToEndOfDocument (enum)
    {60, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//471 QWebPage::SelectNextChar (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//472 QWebPage::SelectPreviousChar (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//473 QWebPage::SelectNextWord (enum)
    {60, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//474 QWebPage::SelectPreviousWord (enum)
    {60, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//475 QWebPage::SelectNextLine (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//476 QWebPage::SelectPreviousLine (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//477 QWebPage::SelectStartOfLine (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//478 QWebPage::SelectEndOfLine (enum)
    {60, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//479 QWebPage::SelectStartOfBlock (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//480 QWebPage::SelectEndOfBlock (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//481 QWebPage::SelectStartOfDocument (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//482 QWebPage::SelectEndOfDocument (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//483 QWebPage::DeleteStartOfWord (enum)
    {60, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//484 QWebPage::DeleteEndOfWord (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//485 QWebPage::SetTextDirectionDefault (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//486 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//487 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//488 QWebPage::ToggleBold (enum)
    {60, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//489 QWebPage::ToggleItalic (enum)
    {60, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//490 QWebPage::ToggleUnderline (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//491 QWebPage::InspectElement (enum)
    {60, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//492 QWebPage::InsertParagraphSeparator (enum)
    {60, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//493 QWebPage::InsertLineSeparator (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//494 QWebPage::SelectAll (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//495 QWebPage::ReloadAndBypassCache (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//496 QWebPage::PasteAndMatchStyle (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//497 QWebPage::RemoveFormat (enum)
    {60, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//498 QWebPage::ToggleStrikethrough (enum)
    {60, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//499 QWebPage::ToggleSubscript (enum)
    {60, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//500 QWebPage::ToggleSuperscript (enum)
    {60, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//501 QWebPage::InsertUnorderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//502 QWebPage::InsertOrderedList (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//503 QWebPage::Indent (enum)
    {60, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//504 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//505 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//506 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//507 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//508 QWebPage::AlignRight (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//509 QWebPage::StopScheduledPageRefresh (enum)
    {60, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//510 QWebPage::WebActionCount (enum)
    {60, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 166},	//511 QWebPage::FindBackward (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 167},	//512 QWebPage::FindCaseSensitively (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 168},	//513 QWebPage::FindWrapsAroundDocument (enum)
    {60, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 169},	//514 QWebPage::HighlightAllOccurrences (enum)
    {60, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 170},	//515 QWebPage::DontDelegateLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 171},	//516 QWebPage::DelegateExternalLinks (enum)
    {60, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 172},	//517 QWebPage::DelegateAllLinks (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 173},	//518 QWebPage::WebBrowserWindow (enum)
    {60, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 174},	//519 QWebPage::WebModalDialog (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 175},	//520 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 176},	//521 QWebPage::ErrorPageExtension (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 177},	//522 QWebPage::QtNetwork (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 178},	//523 QWebPage::Http (enum)
    {60, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 179},	//524 QWebPage::WebKit (enum)
    {60, 834, 0, 0, Smoke::mf_dtor, 0, 180 },	//525 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 100, 1},	//526 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 210, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//527 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 537, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 3},	//528 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 702, 168, 1, Smoke::mf_attribute, 0, 4},	//529 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 757, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 5},	//530 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 723, 212, 1, Smoke::mf_attribute, 0, 6},	//531 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 819, 0, 0, Smoke::mf_dtor, 0, 7 },	//532 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 101, 1},	//533 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//534 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 343, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 3},	//535 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 654, 212, 1, Smoke::mf_attribute, 0, 4},	//536 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 820, 0, 0, Smoke::mf_dtor, 0, 5 },	//537 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 38, 0, 0, Smoke::mf_ctor, 103, 1},	//538 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 38, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//539 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 801, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 3},	//540 QWebPage::ErrorPageExtensionOption::url() const
    {63, 727, 59, 1, Smoke::mf_attribute, 0, 4},	//541 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 373, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 5},	//542 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 663, 168, 1, Smoke::mf_attribute, 0, 6},	//543 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 304, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 102, 7},	//544 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 644, 218, 1, Smoke::mf_attribute, 0, 8},	//545 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 329, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 271, 9},	//546 QWebPage::ErrorPageExtensionOption::error() const
    {63, 648, 35, 1, Smoke::mf_attribute, 0, 10},	//547 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 330, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 11},	//548 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 650, 16, 1, Smoke::mf_attribute, 0, 12},	//549 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 821, 0, 0, Smoke::mf_dtor, 0, 13 },	//550 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 40, 0, 0, Smoke::mf_ctor, 104, 1},	//551 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 40, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//552 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 272, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//553 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 634, 16, 1, Smoke::mf_attribute, 0, 4},	//554 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 326, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//555 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 646, 16, 1, Smoke::mf_attribute, 0, 6},	//556 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 246, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 7},	//557 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 626, 59, 1, Smoke::mf_attribute, 0, 8},	//558 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 271, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//559 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 628, 112, 1, Smoke::mf_attribute, 0, 10},	//560 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 822, 0, 0, Smoke::mf_dtor, 0, 11 },	//561 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 42, 0, 0, Smoke::mf_ctor, 106, 1},	//562 QWebPage::ExtensionOption::ExtensionOption()
    {65, 42, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//563 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 823, 0, 0, Smoke::mf_dtor, 0, 3 },	//564 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 44, 0, 0, Smoke::mf_ctor, 107, 1},	//565 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 44, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//566 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 824, 0, 0, Smoke::mf_dtor, 0, 3 },	//567 QWebPage::ExtensionReturn::~ExtensionReturn()
    {68, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 1},	//568 QWebPluginFactory::metaObject() const
    {68, 559, 10, 1, Smoke::mf_virtual, 278, 2},	//569 QWebPluginFactory::qt_metacast(const char*)
    {68, 782, 48, 2, Smoke::mf_static, 60, 3},	//570 QWebPluginFactory::tr(const char*, const char*)
    {68, 786, 48, 2, Smoke::mf_static, 60, 4},	//571 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 782, 51, 3, Smoke::mf_static, 60, 5},	//572 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 786, 51, 3, Smoke::mf_static, 60, 6},	//573 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 557, 55, 3, Smoke::mf_virtual, 271, 7},	//574 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 148, 122, 1, Smoke::mf_ctor, 114, 8},	//575 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 540, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//576 QWebPluginFactory::plugins() const [pure virtual]
    {68, 561, 0, 0, Smoke::mf_virtual, 0, 10},	//577 QWebPluginFactory::refreshPlugins()
    {68, 280, 186, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 11},	//578 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 337, 226, 3, Smoke::mf_virtual, 227, 12},	//579 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 758, 230, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 13},	//580 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 782, 10, 1, Smoke::mf_static, 60, 14},	//581 QWebPluginFactory::tr(const char*)
    {68, 786, 10, 1, Smoke::mf_static, 60, 15},	//582 QWebPluginFactory::trUtf8(const char*)
    {68, 148, 0, 0, Smoke::mf_ctor, 114, 16},	//583 QWebPluginFactory::QWebPluginFactory()
    {68, 337, 230, 1, 0, 227, 17},	//584 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 337, 232, 2, 0, 227, 18},	//585 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 19},	//586 QWebPluginFactory::staticMetaObject() const
    {68, 835, 0, 0, Smoke::mf_dtor, 0, 20 },	//587 QWebPluginFactory::~QWebPluginFactory()
    {69, 42, 0, 0, Smoke::mf_ctor, 116, 1},	//588 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 42, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//589 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 823, 0, 0, Smoke::mf_dtor, 0, 3 },	//590 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 44, 0, 0, Smoke::mf_ctor, 117, 1},	//591 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 44, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//592 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 824, 0, 0, Smoke::mf_dtor, 0, 3 },	//593 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 517, 239, 1, Smoke::mf_const, 227, 1},	//594 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 493, 239, 1, Smoke::mf_const, 227, 2},	//595 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 91, 0, 0, Smoke::mf_ctor, 118, 3},	//596 QWebPluginFactory::MimeType::MimeType()
    {71, 91, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 4},	//597 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 485, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//598 QWebPluginFactory::MimeType::name() const
    {71, 682, 16, 1, Smoke::mf_attribute, 0, 6},	//599 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 298, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 7},	//600 QWebPluginFactory::MimeType::description() const
    {71, 642, 16, 1, Smoke::mf_attribute, 0, 8},	//601 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 341, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 9},	//602 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 652, 212, 1, Smoke::mf_attribute, 0, 10},	//603 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 825, 0, 0, Smoke::mf_dtor, 0, 11 },	//604 QWebPluginFactory::MimeType::~MimeType()
    {72, 126, 0, 0, Smoke::mf_ctor, 119, 1},	//605 QWebPluginFactory::Plugin::Plugin()
    {72, 126, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//606 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 485, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//607 QWebPluginFactory::Plugin::name() const
    {72, 682, 16, 1, Smoke::mf_attribute, 0, 4},	//608 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 298, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//609 QWebPluginFactory::Plugin::description() const
    {72, 642, 16, 1, Smoke::mf_attribute, 0, 6},	//610 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 474, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//611 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 680, 243, 1, Smoke::mf_attribute, 0, 8},	//612 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 826, 0, 0, Smoke::mf_dtor, 0, 9 },	//613 QWebPluginFactory::Plugin::~Plugin()
    {73, 222, 0, 0, Smoke::mf_static, 30, 1},	//614 QWebSecurityOrigin::allOrigins()
    {73, 217, 16, 1, Smoke::mf_static, 0, 2},	//615 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 574, 16, 1, Smoke::mf_static, 0, 3},	//616 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 463, 0, 0, Smoke::mf_static, 63, 4},	//617 QWebSecurityOrigin::localSchemes()
    {73, 601, 0, 0, Smoke::mf_const, 60, 5},	//618 QWebSecurityOrigin::scheme() const
    {73, 402, 0, 0, Smoke::mf_const, 60, 6},	//619 QWebSecurityOrigin::host() const
    {73, 541, 0, 0, Smoke::mf_const, 271, 7},	//620 QWebSecurityOrigin::port() const
    {73, 294, 0, 0, Smoke::mf_const, 273, 8},	//621 QWebSecurityOrigin::databaseUsage() const
    {73, 291, 0, 0, Smoke::mf_const, 273, 9},	//622 QWebSecurityOrigin::databaseQuota() const
    {73, 636, 245, 1, 0, 0, 10},	//623 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 295, 0, 0, Smoke::mf_const, 24, 11},	//624 QWebSecurityOrigin::databases() const
    {73, 150, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 12},	//625 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 515, 247, 1, 0, 121, 13},	//626 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 836, 0, 0, Smoke::mf_dtor, 0, 14 },	//627 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 382, 0, 0, Smoke::mf_static, 123, 1},	//628 QWebSettings::globalSettings()
    {74, 657, 249, 2, 0, 0, 2},	//629 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 364, 252, 1, Smoke::mf_const, 60, 3},	//630 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 591, 252, 1, 0, 0, 4},	//631 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 659, 254, 2, 0, 0, 5},	//632 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 366, 257, 1, Smoke::mf_const, 271, 6},	//633 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 593, 257, 1, 0, 0, 7},	//634 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 622, 259, 2, 0, 0, 8},	//635 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 765, 262, 1, Smoke::mf_const, 227, 9},	//636 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 589, 262, 1, 0, 0, 10},	//637 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 731, 59, 1, 0, 0, 11},	//638 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 807, 0, 0, Smoke::mf_const, 70, 12},	//639 QWebSettings::userStyleSheetUrl() const
    {74, 640, 16, 1, 0, 0, 13},	//640 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 297, 0, 0, Smoke::mf_const, 60, 14},	//641 QWebSettings::defaultTextEncoding() const
    {74, 668, 16, 1, Smoke::mf_static, 0, 15},	//642 QWebSettings::setIconDatabasePath(const QString&)
    {74, 405, 0, 0, Smoke::mf_static, 60, 16},	//643 QWebSettings::iconDatabasePath()
    {74, 260, 0, 0, Smoke::mf_static, 0, 17},	//644 QWebSettings::clearIconDatabase()
    {74, 406, 59, 1, Smoke::mf_static, 20, 18},	//645 QWebSettings::iconForUrl(const QUrl&)
    {74, 738, 264, 2, Smoke::mf_static, 0, 19},	//646 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 811, 267, 1, Smoke::mf_static, 46, 20},	//647 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 678, 35, 1, Smoke::mf_static, 0, 21},	//648 QWebSettings::setMaximumPagesInCache(int)
    {74, 467, 0, 0, Smoke::mf_static, 271, 22},	//649 QWebSettings::maximumPagesInCache()
    {74, 686, 269, 3, Smoke::mf_static, 0, 23},	//650 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 690, 16, 1, Smoke::mf_static, 0, 24},	//651 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 490, 0, 0, Smoke::mf_static, 60, 25},	//652 QWebSettings::offlineStoragePath()
    {74, 688, 245, 1, Smoke::mf_static, 0, 26},	//653 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 489, 0, 0, Smoke::mf_static, 273, 27},	//654 QWebSettings::offlineStorageDefaultQuota()
    {74, 692, 16, 1, Smoke::mf_static, 0, 28},	//655 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 491, 0, 0, Smoke::mf_static, 60, 29},	//656 QWebSettings::offlineWebApplicationCachePath()
    {74, 694, 245, 1, Smoke::mf_static, 0, 30},	//657 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 492, 0, 0, Smoke::mf_static, 273, 31},	//658 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 674, 16, 1, 0, 0, 32},	//659 QWebSettings::setLocalStoragePath(const QString&)
    {74, 464, 0, 0, Smoke::mf_const, 60, 33},	//660 QWebSettings::localStoragePath() const
    {74, 261, 0, 0, Smoke::mf_static, 0, 34},	//661 QWebSettings::clearMemoryCaches()
    {74, 316, 16, 1, Smoke::mf_static, 0, 35},	//662 QWebSettings::enablePersistentStorage(const QString&)
    {74, 385, 0, 0, Smoke::mf_const, 128, 36},	//663 QWebSettings::handle() const
    {74, 316, 0, 0, Smoke::mf_static, 0, 37},	//664 QWebSettings::enablePersistentStorage()
    {74, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 38},	//665 QWebSettings::StandardFont (enum)
    {74, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 39},	//666 QWebSettings::FixedFont (enum)
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 40},	//667 QWebSettings::SerifFont (enum)
    {74, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 41},	//668 QWebSettings::SansSerifFont (enum)
    {74, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 42},	//669 QWebSettings::CursiveFont (enum)
    {74, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 43},	//670 QWebSettings::FantasyFont (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//671 QWebSettings::AutoLoadImages (enum)
    {74, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//672 QWebSettings::JavascriptEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 46},	//673 QWebSettings::JavaEnabled (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 47},	//674 QWebSettings::PluginsEnabled (enum)
    {74, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 48},	//675 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 49},	//676 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 50},	//677 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 51},	//678 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//679 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 53},	//680 QWebSettings::ZoomTextOnly (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 54},	//681 QWebSettings::PrintElementBackgrounds (enum)
    {74, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 55},	//682 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 56},	//683 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 57},	//684 QWebSettings::LocalStorageEnabled (enum)
    {74, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 58},	//685 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 59},	//686 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 60},	//687 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 61},	//688 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 62},	//689 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//690 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//691 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//692 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//693 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//694 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 68},	//695 QWebSettings::MissingImageGraphic (enum)
    {74, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 69},	//696 QWebSettings::MissingPluginGraphic (enum)
    {74, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 70},	//697 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//698 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 72},	//699 QWebSettings::DeleteButtonGraphic (enum)
    {74, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 73},	//700 QWebSettings::MinimumFontSize (enum)
    {74, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 74},	//701 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 75},	//702 QWebSettings::DefaultFontSize (enum)
    {74, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 76},	//703 QWebSettings::DefaultFixedFontSize (enum)
    {76, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 1},	//704 QWebView::metaObject() const
    {76, 559, 10, 1, Smoke::mf_virtual, 278, 2},	//705 QWebView::qt_metacast(const char*)
    {76, 782, 48, 2, Smoke::mf_static, 60, 3},	//706 QWebView::tr(const char*, const char*)
    {76, 786, 48, 2, Smoke::mf_static, 60, 4},	//707 QWebView::trUtf8(const char*, const char*)
    {76, 782, 51, 3, Smoke::mf_static, 60, 5},	//708 QWebView::tr(const char*, const char*, int)
    {76, 786, 51, 3, Smoke::mf_static, 60, 6},	//709 QWebView::trUtf8(const char*, const char*, int)
    {76, 557, 55, 3, Smoke::mf_virtual, 271, 7},	//710 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 152, 130, 1, Smoke::mf_ctor, 129, 8},	//711 QWebView::QWebView(QWidget*)
    {76, 527, 0, 0, Smoke::mf_const, 99, 9},	//712 QWebView::page() const
    {76, 698, 132, 1, 0, 0, 10},	//713 QWebView::setPage(QWebPage*)
    {76, 453, 59, 1, 0, 0, 11},	//714 QWebView::load(const QUrl&)
    {76, 453, 61, 3, 0, 0, 12},	//715 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 665, 65, 2, 0, 0, 13},	//716 QWebView::setHtml(const QString&, const QUrl&)
    {76, 628, 68, 3, 0, 0, 14},	//717 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 397, 0, 0, Smoke::mf_const, 90, 15},	//718 QWebView::history() const
    {76, 742, 0, 0, Smoke::mf_const, 123, 16},	//719 QWebView::settings() const
    {76, 769, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 17},	//720 QWebView::title() const
    {76, 727, 59, 1, Smoke::mf_property, 0, 18},	//721 QWebView::setUrl(const QUrl&)
    {76, 801, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 19},	//722 QWebView::url() const
    {76, 403, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//723 QWebView::icon() const
    {76, 620, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 21},	//724 QWebView::selectedText() const
    {76, 528, 146, 1, Smoke::mf_const, 1, 22},	//725 QWebView::pageAction(QWebPage::WebAction) const
    {76, 793, 148, 2, 0, 0, 23},	//726 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 416, 0, 0, Smoke::mf_const|Smoke::mf_property, 227, 24},	//727 QWebView::isModified() const
    {76, 412, 151, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 25},	//728 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 26},	//729 QWebView::sizeHint() const
    {76, 818, 0, 0, Smoke::mf_const, 270, 27},	//730 QWebView::zoomFactor() const
    {76, 740, 99, 1, 0, 0, 28},	//731 QWebView::setZoomFactor(double)
    {76, 725, 99, 1, 0, 0, 29},	//732 QWebView::setTextSizeMultiplier(double)
    {76, 767, 0, 0, Smoke::mf_const, 270, 30},	//733 QWebView::textSizeMultiplier() const
    {76, 581, 0, 0, Smoke::mf_const, 15, 31},	//734 QWebView::renderHints() const
    {76, 713, 273, 1, 0, 0, 32},	//735 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 710, 275, 2, 0, 0, 33},	//736 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 352, 153, 2, 0, 227, 34},	//737 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 333, 1, 1, Smoke::mf_virtual, 227, 35},	//738 QWebView::event(QEvent*)
    {76, 753, 0, 0, Smoke::mf_slot, 0, 36},	//739 QWebView::stop()
    {76, 242, 0, 0, Smoke::mf_slot, 0, 37},	//740 QWebView::back()
    {76, 368, 0, 0, Smoke::mf_slot, 0, 38},	//741 QWebView::forward()
    {76, 562, 0, 0, Smoke::mf_slot, 0, 39},	//742 QWebView::reload()
    {76, 552, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 40},	//743 QWebView::print(QPrinter*) const
    {76, 461, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//744 QWebView::loadStarted()
    {76, 459, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//745 QWebView::loadProgress(int)
    {76, 457, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//746 QWebView::loadFinished(bool)
    {76, 770, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//747 QWebView::titleChanged(const QString&)
    {76, 749, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//748 QWebView::statusBarMessage(const QString&)
    {76, 443, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//749 QWebView::linkClicked(const QUrl&)
    {76, 621, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//750 QWebView::selectionChanged()
    {76, 404, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//751 QWebView::iconChanged()
    {76, 802, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//752 QWebView::urlChanged(const QUrl&)
    {76, 595, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//753 QWebView::resizeEvent(QResizeEvent*)
    {76, 532, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//754 QWebView::paintEvent(QPaintEvent*)
    {76, 285, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 129, 52},	//755 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 252, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//756 QWebView::changeEvent(QEvent*)
    {76, 478, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//757 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 480, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//758 QWebView::mousePressEvent(QMouseEvent*)
    {76, 476, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//759 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 482, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//760 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 277, 160, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//761 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 813, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//762 QWebView::wheelEvent(QWheelEvent*)
    {76, 434, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//763 QWebView::keyPressEvent(QKeyEvent*)
    {76, 436, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//764 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 307, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//765 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 309, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//766 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 311, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//767 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 313, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//768 QWebView::dropEvent(QDropEvent*)
    {76, 357, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//769 QWebView::focusInEvent(QFocusEvent*)
    {76, 361, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//770 QWebView::focusOutEvent(QFocusEvent*)
    {76, 410, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//771 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 359, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 227, 69},	//772 QWebView::focusNextPrevChild(bool)
    {76, 782, 10, 1, Smoke::mf_static, 60, 70},	//773 QWebView::tr(const char*)
    {76, 786, 10, 1, Smoke::mf_static, 60, 71},	//774 QWebView::trUtf8(const char*)
    {76, 152, 0, 0, Smoke::mf_ctor, 129, 72},	//775 QWebView::QWebView()
    {76, 453, 107, 1, 0, 0, 73},	//776 QWebView::load(const QNetworkRequest&)
    {76, 453, 109, 2, 0, 0, 74},	//777 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 665, 16, 1, 0, 0, 75},	//778 QWebView::setHtml(const QString&)
    {76, 628, 112, 1, 0, 0, 76},	//779 QWebView::setContent(const QByteArray&)
    {76, 628, 114, 2, 0, 0, 77},	//780 QWebView::setContent(const QByteArray&, const QString&)
    {76, 793, 146, 1, 0, 0, 78},	//781 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 710, 298, 1, 0, 0, 79},	//782 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 352, 16, 1, 0, 227, 80},	//783 QWebView::findText(const QString&)
    {76, 748, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 231, 81},	//784 QWebView::staticMetaObject() const
    {76, 837, 0, 0, Smoke::mf_dtor, 0, 82 },	//785 QWebView::~QWebView()
    {78, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//786 QWidget::devType() const
    {78, 737, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//787 QWidget::setVisible(bool)
    {78, 475, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 54, 0},	//788 QWidget::minimumSizeHint() const
    {78, 394, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//789 QWidget::heightForWidth(int) const
    {78, 531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//790 QWidget::paintEngine() const
    {78, 480, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//791 QWidget::mousePressEvent(QMouseEvent*)
    {78, 482, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//792 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 476, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//793 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 478, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//794 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 813, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//795 QWidget::wheelEvent(QWheelEvent*)
    {78, 434, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//796 QWidget::keyPressEvent(QKeyEvent*)
    {78, 436, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//797 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 357, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QWidget::focusInEvent(QFocusEvent*)
    {78, 361, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QWidget::focusOutEvent(QFocusEvent*)
    {78, 328, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QWidget::enterEvent(QEvent*)
    {78, 442, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QWidget::leaveEvent(QEvent*)
    {78, 532, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//802 QWidget::paintEvent(QPaintEvent*)
    {78, 484, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QWidget::moveEvent(QMoveEvent*)
    {78, 263, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QWidget::closeEvent(QCloseEvent*)
    {78, 277, 160, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 762, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//806 QWidget::tabletEvent(QTabletEvent*)
    {78, 212, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QWidget::actionEvent(QActionEvent*)
    {78, 307, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 311, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 309, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 313, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QWidget::dropEvent(QDropEvent*)
    {78, 744, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QWidget::showEvent(QShowEvent*)
    {78, 395, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QWidget::hideEvent(QHideEvent*)
    {78, 817, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 227, 0},	//814 QWidget::x11Event(_XEvent*)
    {78, 252, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QWidget::changeEvent(QEvent*)
    {78, 472, 308, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//816 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 410, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 412, 151, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//818 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 359, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 227, 0},	//819 QWidget::focusNextPrevChild(bool)
    {78, 754, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::styleChange(QStyle&)
    {78, 318, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::enabledChange(bool)
    {78, 535, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::paletteChange(const QPalette&)
    {78, 363, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::fontChange(const QFont&)
    {78, 815, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::windowActivationChange(bool)
    {78, 438, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    133,  // QWebElementCollection::begin() const
    137,  // QWebElementCollection::begin()
    0,
    134,  // QWebElementCollection::end() const
    138,  // QWebElementCollection::end()
    0,
    186,  // QWebFrame::load(const QUrl&)
    248,  // QWebFrame::load(const QNetworkRequest&)
    0,
    714,  // QWebView::load(const QUrl&)
    776,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 67, 22},	// QGlobalSpace::LicensedActiveQt
    {16, 68, 17},	// QGlobalSpace::LicensedCore
    {16, 69, 23},	// QGlobalSpace::LicensedDBus
    {16, 70, 21},	// QGlobalSpace::LicensedDeclarative
    {16, 71, 20},	// QGlobalSpace::LicensedGui
    {16, 72, 29},	// QGlobalSpace::LicensedHelp
    {16, 73, 28},	// QGlobalSpace::LicensedMultimedia
    {16, 74, 15},	// QGlobalSpace::LicensedNetwork
    {16, 75, 12},	// QGlobalSpace::LicensedOpenGL
    {16, 76, 14},	// QGlobalSpace::LicensedOpenVG
    {16, 77, 13},	// QGlobalSpace::LicensedQt3Support
    {16, 78, 26},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 79, 27},	// QGlobalSpace::LicensedScript
    {16, 80, 25},	// QGlobalSpace::LicensedScriptTools
    {16, 81, 16},	// QGlobalSpace::LicensedSql
    {16, 82, 18},	// QGlobalSpace::LicensedSvg
    {16, 83, 24},	// QGlobalSpace::LicensedTest
    {16, 84, 6},	// QGlobalSpace::LicensedXml
    {16, 85, 19},	// QGlobalSpace::LicensedXmlPatterns
    {16, 154, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 155, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 156, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 157, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 158, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 159, 9},	// QGlobalSpace::QtCriticalMsg
    {16, 160, 7},	// QGlobalSpace::QtDebugMsg
    {16, 161, 10},	// QGlobalSpace::QtFatalMsg
    {16, 163, 11},	// QGlobalSpace::QtSystemMsg
    {16, 164, 8},	// QGlobalSpace::QtWarningMsg
    {49, 132, 37},	// QWebDatabase::QWebDatabase#
    {49, 301, 40},	// QWebDatabase::displayName
    {49, 336, 41},	// QWebDatabase::expectedSize
    {49, 342, 43},	// QWebDatabase::fileName
    {49, 485, 39},	// QWebDatabase::name
    {49, 516, 38},	// QWebDatabase::operator=#
    {49, 525, 44},	// QWebDatabase::origin
    {49, 564, 46},	// QWebDatabase::removeAllDatabases
    {49, 572, 45},	// QWebDatabase::removeDatabase#
    {49, 746, 42},	// QWebDatabase::size
    {49, 827, 47},	// QWebDatabase::~QWebDatabase
    {50, 9, 117},	// QWebElement::CascadedStyle
    {50, 15, 118},	// QWebElement::ComputedStyle
    {50, 57, 116},	// QWebElement::InlineStyle
    {50, 133, 48},	// QWebElement::QWebElement
    {50, 134, 49},	// QWebElement::QWebElement#
    {50, 214, 74},	// QWebElement::addClass$
    {50, 227, 92},	// QWebElement::appendInside#
    {50, 228, 91},	// QWebElement::appendInside$
    {50, 230, 96},	// QWebElement::appendOutside#
    {50, 231, 95},	// QWebElement::appendOutside$
    {50, 235, 113},	// QWebElement::attribute$
    {50, 236, 64},	// QWebElement::attribute$$
    {50, 238, 114},	// QWebElement::attributeNS$$
    {50, 239, 65},	// QWebElement::attributeNS$$$
    {50, 240, 115},	// QWebElement::attributeNames
    {50, 241, 71},	// QWebElement::attributeNames$
    {50, 258, 72},	// QWebElement::classes
    {50, 262, 105},	// QWebElement::clone
    {50, 302, 89},	// QWebElement::document
    {50, 320, 99},	// QWebElement::encloseContentsWith#
    {50, 321, 100},	// QWebElement::encloseContentsWith$
    {50, 323, 102},	// QWebElement::encloseWith#
    {50, 324, 101},	// QWebElement::encloseWith$
    {50, 332, 109},	// QWebElement::evaluateJavaScript$
    {50, 345, 54},	// QWebElement::findAll$
    {50, 349, 55},	// QWebElement::findFirst$
    {50, 356, 85},	// QWebElement::firstChild
    {50, 379, 79},	// QWebElement::geometry
    {50, 387, 66},	// QWebElement::hasAttribute$
    {50, 389, 67},	// QWebElement::hasAttributeNS$$
    {50, 390, 70},	// QWebElement::hasAttributes
    {50, 392, 73},	// QWebElement::hasClass$
    {50, 393, 77},	// QWebElement::hasFocus
    {50, 417, 53},	// QWebElement::isNull
    {50, 440, 86},	// QWebElement::lastChild
    {50, 462, 82},	// QWebElement::localName
    {50, 486, 83},	// QWebElement::namespaceUri
    {50, 488, 87},	// QWebElement::nextSibling
    {50, 494, 52},	// QWebElement::operator!=#
    {50, 516, 50},	// QWebElement::operator=#
    {50, 518, 51},	// QWebElement::operator==#
    {50, 536, 84},	// QWebElement::parent
    {50, 544, 81},	// QWebElement::prefix
    {50, 546, 94},	// QWebElement::prependInside#
    {50, 547, 93},	// QWebElement::prependInside$
    {50, 549, 98},	// QWebElement::prependOutside#
    {50, 550, 97},	// QWebElement::prependOutside$
    {50, 551, 88},	// QWebElement::previousSibling
    {50, 563, 108},	// QWebElement::removeAllChildren
    {50, 566, 68},	// QWebElement::removeAttribute$
    {50, 568, 69},	// QWebElement::removeAttributeNS$$
    {50, 570, 75},	// QWebElement::removeClass$
    {50, 573, 107},	// QWebElement::removeFromDocument
    {50, 577, 112},	// QWebElement::render#
    {50, 586, 104},	// QWebElement::replace#
    {50, 587, 103},	// QWebElement::replace$
    {50, 623, 62},	// QWebElement::setAttribute$$
    {50, 625, 63},	// QWebElement::setAttributeNS$$$
    {50, 656, 78},	// QWebElement::setFocus
    {50, 671, 60},	// QWebElement::setInnerXml$
    {50, 697, 58},	// QWebElement::setOuterXml$
    {50, 705, 56},	// QWebElement::setPlainText$
    {50, 722, 111},	// QWebElement::setStyleProperty$$
    {50, 756, 110},	// QWebElement::styleProperty$$
    {50, 763, 80},	// QWebElement::tagName
    {50, 764, 106},	// QWebElement::takeFromDocument
    {50, 773, 61},	// QWebElement::toInnerXml
    {50, 775, 59},	// QWebElement::toOuterXml
    {50, 776, 57},	// QWebElement::toPlainText
    {50, 778, 76},	// QWebElement::toggleClass$
    {50, 810, 90},	// QWebElement::webFrame
    {50, 828, 119},	// QWebElement::~QWebElement
    {51, 135, 120},	// QWebElementCollection::QWebElementCollection
    {51, 136, 122},	// QWebElementCollection::QWebElementCollection#
    {51, 137, 121},	// QWebElementCollection::QWebElementCollection#$
    {51, 225, 126},	// QWebElementCollection::append#
    {51, 233, 128},	// QWebElementCollection::at$
    {51, 247, -1},	// QWebElementCollection::begin
    {51, 266, 135},	// QWebElementCollection::constBegin
    {51, 267, 136},	// QWebElementCollection::constEnd
    {51, 279, 127},	// QWebElementCollection::count
    {51, 327, -4},	// QWebElementCollection::end
    {51, 355, 130},	// QWebElementCollection::first
    {51, 439, 131},	// QWebElementCollection::last
    {51, 497, 124},	// QWebElementCollection::operator+#
    {51, 502, 125},	// QWebElementCollection::operator+=#
    {51, 516, 123},	// QWebElementCollection::operator=#
    {51, 524, 129},	// QWebElementCollection::operator[]$
    {51, 774, 132},	// QWebElementCollection::toList
    {51, 829, 139},	// QWebElementCollection::~QWebElementCollection
    {52, 269, 141},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 270, 140},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 494, 144},	// QWebElementCollection::const_iterator::operator!=#
    {52, 495, 142},	// QWebElementCollection::const_iterator::operator*
    {52, 498, 155},	// QWebElementCollection::const_iterator::operator+$
    {52, 499, 149},	// QWebElementCollection::const_iterator::operator++
    {52, 500, 150},	// QWebElementCollection::const_iterator::operator++$
    {52, 503, 153},	// QWebElementCollection::const_iterator::operator+=$
    {52, 505, 157},	// QWebElementCollection::const_iterator::operator-#
    {52, 506, 156},	// QWebElementCollection::const_iterator::operator-$
    {52, 507, 151},	// QWebElementCollection::const_iterator::operator--
    {52, 508, 152},	// QWebElementCollection::const_iterator::operator--$
    {52, 510, 154},	// QWebElementCollection::const_iterator::operator-=$
    {52, 512, 145},	// QWebElementCollection::const_iterator::operator<#
    {52, 514, 146},	// QWebElementCollection::const_iterator::operator<=#
    {52, 518, 143},	// QWebElementCollection::const_iterator::operator==#
    {52, 520, 147},	// QWebElementCollection::const_iterator::operator>#
    {52, 522, 148},	// QWebElementCollection::const_iterator::operator>=#
    {52, 838, 158},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 423, 160},	// QWebElementCollection::iterator::iterator#
    {53, 424, 159},	// QWebElementCollection::iterator::iterator#$
    {53, 494, 163},	// QWebElementCollection::iterator::operator!=#
    {53, 495, 161},	// QWebElementCollection::iterator::operator*
    {53, 498, 174},	// QWebElementCollection::iterator::operator+$
    {53, 499, 168},	// QWebElementCollection::iterator::operator++
    {53, 500, 169},	// QWebElementCollection::iterator::operator++$
    {53, 503, 172},	// QWebElementCollection::iterator::operator+=$
    {53, 505, 176},	// QWebElementCollection::iterator::operator-#
    {53, 506, 175},	// QWebElementCollection::iterator::operator-$
    {53, 507, 170},	// QWebElementCollection::iterator::operator--
    {53, 508, 171},	// QWebElementCollection::iterator::operator--$
    {53, 510, 173},	// QWebElementCollection::iterator::operator-=$
    {53, 512, 164},	// QWebElementCollection::iterator::operator<#
    {53, 514, 165},	// QWebElementCollection::iterator::operator<=#
    {53, 518, 162},	// QWebElementCollection::iterator::operator==#
    {53, 520, 166},	// QWebElementCollection::iterator::operator>#
    {53, 522, 167},	// QWebElementCollection::iterator::operator>=#
    {53, 839, 177},	// QWebElementCollection::iterator::~iterator
    {54, 6, 258},	// QWebFrame::AllLayers
    {54, 16, 255},	// QWebFrame::ContentsLayer
    {54, 123, 257},	// QWebFrame::PanIconLayer
    {54, 170, 256},	// QWebFrame::ScrollBarLayer
    {54, 220, 190},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 221, 191},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 246, 199},	// QWebFrame::baseUrl
    {54, 255, 204},	// QWebFrame::childFrames
    {54, 274, 227},	// QWebFrame::contentsSize
    {54, 276, 242},	// QWebFrame::contentsSizeChanged#
    {54, 303, 228},	// QWebFrame::documentElement
    {54, 332, 234},	// QWebFrame::evaluateJavaScript$
    {54, 334, 232},	// QWebFrame::event#
    {54, 347, 229},	// QWebFrame::findAllElements$
    {54, 351, 230},	// QWebFrame::findFirstElement$
    {54, 378, 202},	// QWebFrame::frameName
    {54, 379, 226},	// QWebFrame::geometry
    {54, 393, 223},	// QWebFrame::hasFocus
    {54, 401, 231},	// QWebFrame::hitTestContent#
    {54, 403, 200},	// QWebFrame::icon
    {54, 404, 241},	// QWebFrame::iconChanged
    {54, 409, 240},	// QWebFrame::initialLayoutCompleted
    {54, 433, 236},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 454, -7},	// QWebFrame::load#
    {54, 455, 249},	// QWebFrame::load#$
    {54, 456, 187},	// QWebFrame::load#$#
    {54, 458, 244},	// QWebFrame::loadFinished$
    {54, 461, 243},	// QWebFrame::loadStarted
    {54, 470, 201},	// QWebFrame::metaData
    {54, 471, 178},	// QWebFrame::metaObject
    {54, 527, 185},	// QWebFrame::page
    {54, 530, 245},	// QWebFrame::pageChanged
    {54, 537, 203},	// QWebFrame::parentFrame
    {54, 542, 225},	// QWebFrame::pos
    {54, 553, 235},	// QWebFrame::print#
    {54, 556, 237},	// QWebFrame::provisionalLoad
    {54, 558, 184},	// QWebFrame::qt_metacall$$?
    {54, 560, 179},	// QWebFrame::qt_metacast$
    {54, 577, 216},	// QWebFrame::render#
    {54, 578, 217},	// QWebFrame::render##
    {54, 579, 253},	// QWebFrame::render#$
    {54, 580, 218},	// QWebFrame::render#$#
    {54, 582, 194},	// QWebFrame::renderTreeDump
    {54, 588, 198},	// QWebFrame::requestedUrl
    {54, 603, 212},	// QWebFrame::scroll$$
    {54, 605, 211},	// QWebFrame::scrollBarGeometry$
    {54, 607, 210},	// QWebFrame::scrollBarMaximum$
    {54, 609, 209},	// QWebFrame::scrollBarMinimum$
    {54, 611, 205},	// QWebFrame::scrollBarPolicy$
    {54, 613, 208},	// QWebFrame::scrollBarValue$
    {54, 614, 213},	// QWebFrame::scrollPosition
    {54, 618, 215},	// QWebFrame::scrollToAnchor$
    {54, 619, 233},	// QWebFrame::securityOrigin
    {54, 629, 251},	// QWebFrame::setContent#
    {54, 630, 252},	// QWebFrame::setContent#$
    {54, 631, 189},	// QWebFrame::setContent#$#
    {54, 656, 224},	// QWebFrame::setFocus
    {54, 666, 250},	// QWebFrame::setHtml$
    {54, 667, 188},	// QWebFrame::setHtml$#
    {54, 716, 206},	// QWebFrame::setScrollBarPolicy$$
    {54, 718, 207},	// QWebFrame::setScrollBarValue$$
    {54, 720, 214},	// QWebFrame::setScrollPosition#
    {54, 726, 219},	// QWebFrame::setTextSizeMultiplier$
    {54, 728, 196},	// QWebFrame::setUrl#
    {54, 741, 222},	// QWebFrame::setZoomFactor$
    {54, 748, 254},	// QWebFrame::staticMetaObject
    {54, 767, 220},	// QWebFrame::textSizeMultiplier
    {54, 769, 195},	// QWebFrame::title
    {54, 771, 238},	// QWebFrame::titleChanged$
    {54, 772, 192},	// QWebFrame::toHtml
    {54, 776, 193},	// QWebFrame::toPlainText
    {54, 783, 246},	// QWebFrame::tr$
    {54, 784, 180},	// QWebFrame::tr$$
    {54, 785, 182},	// QWebFrame::tr$$$
    {54, 787, 247},	// QWebFrame::trUtf8$
    {54, 788, 181},	// QWebFrame::trUtf8$$
    {54, 789, 183},	// QWebFrame::trUtf8$$$
    {54, 801, 197},	// QWebFrame::url
    {54, 803, 239},	// QWebFrame::urlChanged#
    {54, 818, 221},	// QWebFrame::zoomFactor
    {55, 242, 265},	// QWebHistory::back
    {55, 243, 268},	// QWebHistory::backItem
    {55, 245, 261},	// QWebHistory::backItems$
    {55, 250, 263},	// QWebHistory::canGoBack
    {55, 251, 264},	// QWebHistory::canGoForward
    {55, 259, 259},	// QWebHistory::clear
    {55, 279, 273},	// QWebHistory::count
    {55, 288, 269},	// QWebHistory::currentItem
    {55, 289, 272},	// QWebHistory::currentItemIndex
    {55, 368, 266},	// QWebHistory::forward
    {55, 369, 270},	// QWebHistory::forwardItem
    {55, 371, 262},	// QWebHistory::forwardItems$
    {55, 384, 267},	// QWebHistory::goToItem#
    {55, 420, 271},	// QWebHistory::itemAt$
    {55, 421, 260},	// QWebHistory::items
    {55, 466, 274},	// QWebHistory::maximumItemCount
    {55, 677, 275},	// QWebHistory::setMaximumItemCount$
    {56, 138, 290},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 139, 283},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 216, 287},	// QWebHistoryInterface::addHistoryEntry$
    {56, 296, 285},	// QWebHistoryInterface::defaultInterface
    {56, 399, 286},	// QWebHistoryInterface::historyContains$
    {56, 471, 276},	// QWebHistoryInterface::metaObject
    {56, 558, 282},	// QWebHistoryInterface::qt_metacall$$?
    {56, 560, 277},	// QWebHistoryInterface::qt_metacast$
    {56, 639, 284},	// QWebHistoryInterface::setDefaultInterface#
    {56, 748, 291},	// QWebHistoryInterface::staticMetaObject
    {56, 783, 288},	// QWebHistoryInterface::tr$
    {56, 784, 278},	// QWebHistoryInterface::tr$$
    {56, 785, 280},	// QWebHistoryInterface::tr$$$
    {56, 787, 289},	// QWebHistoryInterface::trUtf8$
    {56, 788, 279},	// QWebHistoryInterface::trUtf8$$
    {56, 789, 281},	// QWebHistoryInterface::trUtf8$$$
    {56, 830, 292},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 141, 293},	// QWebHistoryItem::QWebHistoryItem#
    {57, 403, 299},	// QWebHistoryItem::icon
    {57, 418, 302},	// QWebHistoryItem::isValid
    {57, 441, 298},	// QWebHistoryItem::lastVisited
    {57, 516, 294},	// QWebHistoryItem::operator=#
    {57, 526, 295},	// QWebHistoryItem::originalUrl
    {57, 730, 301},	// QWebHistoryItem::setUserData#
    {57, 769, 297},	// QWebHistoryItem::title
    {57, 801, 296},	// QWebHistoryItem::url
    {57, 806, 300},	// QWebHistoryItem::userData
    {57, 831, 303},	// QWebHistoryItem::~QWebHistoryItem
    {58, 142, 304},	// QWebHitTestResult::QWebHitTestResult
    {58, 143, 305},	// QWebHitTestResult::QWebHitTestResult#
    {58, 223, 317},	// QWebHitTestResult::alternateText
    {58, 248, 309},	// QWebHitTestResult::boundingRect
    {58, 315, 322},	// QWebHitTestResult::element
    {58, 325, 310},	// QWebHitTestResult::enclosingBlockElement
    {58, 373, 323},	// QWebHitTestResult::frame
    {58, 408, 318},	// QWebHitTestResult::imageUrl
    {58, 414, 320},	// QWebHitTestResult::isContentEditable
    {58, 415, 321},	// QWebHitTestResult::isContentSelected
    {58, 417, 307},	// QWebHitTestResult::isNull
    {58, 446, 316},	// QWebHitTestResult::linkElement
    {58, 449, 315},	// QWebHitTestResult::linkTargetFrame
    {58, 450, 312},	// QWebHitTestResult::linkText
    {58, 451, 314},	// QWebHitTestResult::linkTitle
    {58, 452, 313},	// QWebHitTestResult::linkUrl
    {58, 516, 306},	// QWebHitTestResult::operator=#
    {58, 538, 319},	// QWebHitTestResult::pixmap
    {58, 542, 308},	// QWebHitTestResult::pos
    {58, 769, 311},	// QWebHitTestResult::title
    {58, 832, 324},	// QWebHitTestResult::~QWebHitTestResult
    {59, 144, 343},	// QWebInspector::QWebInspector
    {59, 145, 332},	// QWebInspector::QWebInspector#
    {59, 264, 340},	// QWebInspector::closeEvent#
    {59, 334, 336},	// QWebInspector::event#
    {59, 396, 339},	// QWebInspector::hideEvent#
    {59, 471, 325},	// QWebInspector::metaObject
    {59, 527, 334},	// QWebInspector::page
    {59, 558, 331},	// QWebInspector::qt_metacall$$?
    {59, 560, 326},	// QWebInspector::qt_metacast$
    {59, 596, 337},	// QWebInspector::resizeEvent#
    {59, 699, 333},	// QWebInspector::setPage#
    {59, 745, 338},	// QWebInspector::showEvent#
    {59, 747, 335},	// QWebInspector::sizeHint
    {59, 748, 344},	// QWebInspector::staticMetaObject
    {59, 783, 341},	// QWebInspector::tr$
    {59, 784, 327},	// QWebInspector::tr$$
    {59, 785, 329},	// QWebInspector::tr$$$
    {59, 787, 342},	// QWebInspector::trUtf8$
    {59, 788, 328},	// QWebInspector::trUtf8$$
    {59, 789, 330},	// QWebInspector::trUtf8$$$
    {59, 833, 345},	// QWebInspector::~QWebInspector
    {60, 2, 505},	// QWebPage::AlignCenter
    {60, 3, 506},	// QWebPage::AlignJustified
    {60, 4, 507},	// QWebPage::AlignLeft
    {60, 5, 508},	// QWebPage::AlignRight
    {60, 8, 450},	// QWebPage::Back
    {60, 10, 520},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 455},	// QWebPage::Copy
    {60, 18, 449},	// QWebPage::CopyImageToClipboard
    {60, 19, 446},	// QWebPage::CopyLinkToClipboard
    {60, 21, 454},	// QWebPage::Cut
    {60, 25, 517},	// QWebPage::DelegateAllLinks
    {60, 26, 516},	// QWebPage::DelegateExternalLinks
    {60, 28, 484},	// QWebPage::DeleteEndOfWord
    {60, 29, 483},	// QWebPage::DeleteStartOfWord
    {60, 32, 515},	// QWebPage::DontDelegateLinks
    {60, 33, 448},	// QWebPage::DownloadImageToDisk
    {60, 34, 445},	// QWebPage::DownloadLinkToDisk
    {60, 37, 521},	// QWebPage::ErrorPageExtension
    {60, 47, 511},	// QWebPage::FindBackward
    {60, 48, 512},	// QWebPage::FindCaseSensitively
    {60, 49, 513},	// QWebPage::FindWrapsAroundDocument
    {60, 51, 451},	// QWebPage::Forward
    {60, 53, 514},	// QWebPage::HighlightAllOccurrences
    {60, 54, 523},	// QWebPage::Http
    {60, 56, 503},	// QWebPage::Indent
    {60, 58, 493},	// QWebPage::InsertLineSeparator
    {60, 59, 502},	// QWebPage::InsertOrderedList
    {60, 60, 492},	// QWebPage::InsertParagraphSeparator
    {60, 61, 501},	// QWebPage::InsertUnorderedList
    {60, 62, 491},	// QWebPage::InspectElement
    {60, 97, 468},	// QWebPage::MoveToEndOfBlock
    {60, 98, 470},	// QWebPage::MoveToEndOfDocument
    {60, 99, 466},	// QWebPage::MoveToEndOfLine
    {60, 100, 459},	// QWebPage::MoveToNextChar
    {60, 101, 463},	// QWebPage::MoveToNextLine
    {60, 102, 461},	// QWebPage::MoveToNextWord
    {60, 103, 460},	// QWebPage::MoveToPreviousChar
    {60, 104, 464},	// QWebPage::MoveToPreviousLine
    {60, 105, 462},	// QWebPage::MoveToPreviousWord
    {60, 106, 467},	// QWebPage::MoveToStartOfBlock
    {60, 107, 469},	// QWebPage::MoveToStartOfDocument
    {60, 108, 465},	// QWebPage::MoveToStartOfLine
    {60, 109, 437},	// QWebPage::NavigationTypeBackOrForward
    {60, 110, 439},	// QWebPage::NavigationTypeFormResubmitted
    {60, 111, 436},	// QWebPage::NavigationTypeFormSubmitted
    {60, 112, 435},	// QWebPage::NavigationTypeLinkClicked
    {60, 113, 440},	// QWebPage::NavigationTypeOther
    {60, 114, 438},	// QWebPage::NavigationTypeReload
    {60, 115, 441},	// QWebPage::NoWebAction
    {60, 118, 444},	// QWebPage::OpenFrameInNewWindow
    {60, 119, 447},	// QWebPage::OpenImageInNewWindow
    {60, 120, 442},	// QWebPage::OpenLink
    {60, 121, 443},	// QWebPage::OpenLinkInNewWindow
    {60, 122, 504},	// QWebPage::Outdent
    {60, 124, 456},	// QWebPage::Paste
    {60, 125, 496},	// QWebPage::PasteAndMatchStyle
    {60, 146, 429},	// QWebPage::QWebPage
    {60, 147, 353},	// QWebPage::QWebPage#
    {60, 162, 522},	// QWebPage::QtNetwork
    {60, 165, 458},	// QWebPage::Redo
    {60, 166, 453},	// QWebPage::Reload
    {60, 167, 495},	// QWebPage::ReloadAndBypassCache
    {60, 168, 497},	// QWebPage::RemoveFormat
    {60, 171, 494},	// QWebPage::SelectAll
    {60, 172, 480},	// QWebPage::SelectEndOfBlock
    {60, 173, 482},	// QWebPage::SelectEndOfDocument
    {60, 174, 478},	// QWebPage::SelectEndOfLine
    {60, 175, 471},	// QWebPage::SelectNextChar
    {60, 176, 475},	// QWebPage::SelectNextLine
    {60, 177, 473},	// QWebPage::SelectNextWord
    {60, 178, 472},	// QWebPage::SelectPreviousChar
    {60, 179, 476},	// QWebPage::SelectPreviousLine
    {60, 180, 474},	// QWebPage::SelectPreviousWord
    {60, 181, 479},	// QWebPage::SelectStartOfBlock
    {60, 182, 481},	// QWebPage::SelectStartOfDocument
    {60, 183, 477},	// QWebPage::SelectStartOfLine
    {60, 185, 485},	// QWebPage::SetTextDirectionDefault
    {60, 186, 486},	// QWebPage::SetTextDirectionLeftToRight
    {60, 187, 487},	// QWebPage::SetTextDirectionRightToLeft
    {60, 191, 452},	// QWebPage::Stop
    {60, 192, 509},	// QWebPage::StopScheduledPageRefresh
    {60, 195, 488},	// QWebPage::ToggleBold
    {60, 196, 489},	// QWebPage::ToggleItalic
    {60, 197, 498},	// QWebPage::ToggleStrikethrough
    {60, 198, 499},	// QWebPage::ToggleSubscript
    {60, 199, 500},	// QWebPage::ToggleSuperscript
    {60, 200, 490},	// QWebPage::ToggleUnderline
    {60, 201, 457},	// QWebPage::Undo
    {60, 202, 510},	// QWebPage::WebActionCount
    {60, 203, 518},	// QWebPage::WebBrowserWindow
    {60, 204, 524},	// QWebPage::WebKit
    {60, 205, 519},	// QWebPage::WebModalDialog
    {60, 209, 420},	// QWebPage::acceptNavigationRequest##$
    {60, 211, 370},	// QWebPage::action$
    {60, 249, 368},	// QWebPage::bytesReceived
    {60, 257, 421},	// QWebPage::chooseFile#$
    {60, 273, 414},	// QWebPage::contentsChanged
    {60, 283, 419},	// QWebPage::createPlugin$#??
    {60, 284, 390},	// QWebPage::createStandardContextMenu
    {60, 286, 418},	// QWebPage::createWindow$
    {60, 287, 355},	// QWebPage::currentFrame
    {60, 293, 415},	// QWebPage::databaseQuotaExceeded#$
    {60, 306, 412},	// QWebPage::downloadRequested#
    {60, 334, 376},	// QWebPage::event#
    {60, 338, 432},	// QWebPage::extension$
    {60, 339, 433},	// QWebPage::extension$#
    {60, 340, 391},	// QWebPage::extension$##
    {60, 353, 431},	// QWebPage::findText$
    {60, 354, 379},	// QWebPage::findText$$
    {60, 360, 377},	// QWebPage::focusNextPrevChild$
    {60, 372, 381},	// QWebPage::forwardUnsupportedContent
    {60, 375, 356},	// QWebPage::frameAt#
    {60, 377, 401},	// QWebPage::frameCreated#
    {60, 381, 402},	// QWebPage::geometryChangeRequested#
    {60, 385, 393},	// QWebPage::handle
    {60, 397, 357},	// QWebPage::history
    {60, 413, 378},	// QWebPage::inputMethodQuery$
    {60, 414, 387},	// QWebPage::isContentEditable
    {60, 416, 361},	// QWebPage::isModified
    {60, 426, 422},	// QWebPage::javaScriptAlert#$
    {60, 428, 423},	// QWebPage::javaScriptConfirm#$
    {60, 430, 425},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 432, 424},	// QWebPage::javaScriptPrompt#$$$
    {60, 444, 407},	// QWebPage::linkClicked#
    {60, 445, 383},	// QWebPage::linkDelegationPolicy
    {60, 448, 398},	// QWebPage::linkHovered$$$
    {60, 458, 397},	// QWebPage::loadFinished$
    {60, 460, 396},	// QWebPage::loadProgress$
    {60, 461, 395},	// QWebPage::loadStarted
    {60, 465, 354},	// QWebPage::mainFrame
    {60, 469, 410},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 471, 346},	// QWebPage::metaObject
    {60, 473, 413},	// QWebPage::microFocusChanged
    {60, 487, 364},	// QWebPage::networkAccessManager
    {60, 534, 385},	// QWebPage::palette
    {60, 539, 366},	// QWebPage::pluginFactory
    {60, 543, 374},	// QWebPage::preferredContentsSize
    {60, 555, 406},	// QWebPage::printRequested#
    {60, 558, 352},	// QWebPage::qt_metacall$$?
    {60, 560, 347},	// QWebPage::qt_metacast$
    {60, 584, 403},	// QWebPage::repaintRequested#
    {60, 598, 417},	// QWebPage::restoreFrameStateRequested#
    {60, 600, 416},	// QWebPage::saveFrameStateRequested##
    {60, 616, 404},	// QWebPage::scrollRequested$$#
    {60, 620, 369},	// QWebPage::selectedText
    {60, 621, 400},	// QWebPage::selectionChanged
    {60, 633, 386},	// QWebPage::setContentEditable$
    {60, 662, 380},	// QWebPage::setForwardUnsupportedContent$
    {60, 673, 382},	// QWebPage::setLinkDelegationPolicy$
    {60, 685, 363},	// QWebPage::setNetworkAccessManager#
    {60, 701, 384},	// QWebPage::setPalette#
    {60, 707, 365},	// QWebPage::setPluginFactory#
    {60, 709, 375},	// QWebPage::setPreferredContentsSize#
    {60, 734, 359},	// QWebPage::setView#
    {60, 736, 373},	// QWebPage::setViewportSize#
    {60, 742, 358},	// QWebPage::settings
    {60, 743, 394},	// QWebPage::shouldInterruptJavaScript
    {60, 748, 434},	// QWebPage::staticMetaObject
    {60, 750, 399},	// QWebPage::statusBarMessage$
    {60, 752, 409},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 759, 392},	// QWebPage::supportsExtension$
    {60, 761, 388},	// QWebPage::swallowContextMenuEvent#
    {60, 780, 408},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 781, 367},	// QWebPage::totalBytes
    {60, 783, 427},	// QWebPage::tr$
    {60, 784, 348},	// QWebPage::tr$$
    {60, 785, 350},	// QWebPage::tr$$$
    {60, 787, 428},	// QWebPage::trUtf8$
    {60, 788, 349},	// QWebPage::trUtf8$$
    {60, 789, 351},	// QWebPage::trUtf8$$$
    {60, 791, 430},	// QWebPage::triggerAction$
    {60, 792, 371},	// QWebPage::triggerAction$$
    {60, 796, 362},	// QWebPage::undoStack
    {60, 798, 411},	// QWebPage::unsupportedContent#
    {60, 800, 389},	// QWebPage::updatePositionDependentActions#
    {60, 805, 426},	// QWebPage::userAgentForUrl#
    {60, 808, 360},	// QWebPage::view
    {60, 809, 372},	// QWebPage::viewportSize
    {60, 816, 405},	// QWebPage::windowCloseRequested
    {60, 834, 525},	// QWebPage::~QWebPage
    {61, 11, 526},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 527},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 537, 528},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 703, 529},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 724, 531},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 757, 530},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 819, 532},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 533},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 534},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 343, 535},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 655, 536},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 820, 537},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 38, 538},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 39, 539},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 304, 544},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 329, 546},	// QWebPage::ErrorPageExtensionOption::error
    {63, 330, 548},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 373, 542},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 645, 545},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 649, 547},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 651, 549},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 664, 543},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 728, 541},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 801, 540},	// QWebPage::ErrorPageExtensionOption::url
    {63, 821, 550},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 40, 551},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 41, 552},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 246, 557},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 271, 559},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 272, 553},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 326, 555},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 627, 558},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 629, 560},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 635, 554},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 647, 556},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 822, 561},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 42, 562},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 43, 563},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 823, 564},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 44, 565},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 45, 566},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 824, 567},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {68, 148, 583},	// QWebPluginFactory::QWebPluginFactory
    {68, 149, 575},	// QWebPluginFactory::QWebPluginFactory#
    {68, 281, 578},	// QWebPluginFactory::create$#??
    {68, 338, 584},	// QWebPluginFactory::extension$
    {68, 339, 585},	// QWebPluginFactory::extension$#
    {68, 340, 579},	// QWebPluginFactory::extension$##
    {68, 471, 568},	// QWebPluginFactory::metaObject
    {68, 540, 576},	// QWebPluginFactory::plugins
    {68, 558, 574},	// QWebPluginFactory::qt_metacall$$?
    {68, 560, 569},	// QWebPluginFactory::qt_metacast$
    {68, 561, 577},	// QWebPluginFactory::refreshPlugins
    {68, 748, 586},	// QWebPluginFactory::staticMetaObject
    {68, 759, 580},	// QWebPluginFactory::supportsExtension$
    {68, 783, 581},	// QWebPluginFactory::tr$
    {68, 784, 570},	// QWebPluginFactory::tr$$
    {68, 785, 572},	// QWebPluginFactory::tr$$$
    {68, 787, 582},	// QWebPluginFactory::trUtf8$
    {68, 788, 571},	// QWebPluginFactory::trUtf8$$
    {68, 789, 573},	// QWebPluginFactory::trUtf8$$$
    {68, 835, 587},	// QWebPluginFactory::~QWebPluginFactory
    {69, 42, 588},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 43, 589},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 823, 590},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 44, 591},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 45, 592},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 824, 593},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 91, 596},	// QWebPluginFactory::MimeType::MimeType
    {71, 92, 597},	// QWebPluginFactory::MimeType::MimeType#
    {71, 298, 600},	// QWebPluginFactory::MimeType::description
    {71, 341, 602},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 485, 598},	// QWebPluginFactory::MimeType::name
    {71, 494, 595},	// QWebPluginFactory::MimeType::operator!=#
    {71, 518, 594},	// QWebPluginFactory::MimeType::operator==#
    {71, 643, 601},	// QWebPluginFactory::MimeType::setDescription$
    {71, 653, 603},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 683, 599},	// QWebPluginFactory::MimeType::setName$
    {71, 825, 604},	// QWebPluginFactory::MimeType::~MimeType
    {72, 126, 605},	// QWebPluginFactory::Plugin::Plugin
    {72, 127, 606},	// QWebPluginFactory::Plugin::Plugin#
    {72, 298, 609},	// QWebPluginFactory::Plugin::description
    {72, 474, 611},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 485, 607},	// QWebPluginFactory::Plugin::name
    {72, 643, 610},	// QWebPluginFactory::Plugin::setDescription$
    {72, 681, 612},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 683, 608},	// QWebPluginFactory::Plugin::setName$
    {72, 826, 613},	// QWebPluginFactory::Plugin::~Plugin
    {73, 151, 625},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 218, 615},	// QWebSecurityOrigin::addLocalScheme$
    {73, 222, 614},	// QWebSecurityOrigin::allOrigins
    {73, 291, 622},	// QWebSecurityOrigin::databaseQuota
    {73, 294, 621},	// QWebSecurityOrigin::databaseUsage
    {73, 295, 624},	// QWebSecurityOrigin::databases
    {73, 402, 619},	// QWebSecurityOrigin::host
    {73, 463, 617},	// QWebSecurityOrigin::localSchemes
    {73, 516, 626},	// QWebSecurityOrigin::operator=#
    {73, 541, 620},	// QWebSecurityOrigin::port
    {73, 575, 616},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 601, 618},	// QWebSecurityOrigin::scheme
    {73, 637, 623},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 836, 627},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 689},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 671},	// QWebSettings::AutoLoadImages
    {74, 20, 669},	// QWebSettings::CursiveFont
    {74, 22, 703},	// QWebSettings::DefaultFixedFontSize
    {74, 23, 702},	// QWebSettings::DefaultFontSize
    {74, 24, 697},	// QWebSettings::DefaultFrameIconGraphic
    {74, 27, 699},	// QWebSettings::DeleteButtonGraphic
    {74, 30, 678},	// QWebSettings::DeveloperExtrasEnabled
    {74, 31, 687},	// QWebSettings::DnsPrefetchEnabled
    {74, 46, 670},	// QWebSettings::FantasyFont
    {74, 50, 666},	// QWebSettings::FixedFont
    {74, 52, 693},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 673},	// QWebSettings::JavaEnabled
    {74, 64, 677},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 65, 676},	// QWebSettings::JavascriptCanOpenWindows
    {74, 66, 672},	// QWebSettings::JavascriptEnabled
    {74, 86, 679},	// QWebSettings::LinksIncludedInFocusChain
    {74, 87, 691},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 88, 686},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 89, 685},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 90, 684},	// QWebSettings::LocalStorageEnabled
    {74, 93, 700},	// QWebSettings::MinimumFontSize
    {74, 94, 701},	// QWebSettings::MinimumLogicalFontSize
    {74, 95, 695},	// QWebSettings::MissingImageGraphic
    {74, 96, 696},	// QWebSettings::MissingPluginGraphic
    {74, 116, 682},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 117, 683},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 128, 674},	// QWebSettings::PluginsEnabled
    {74, 129, 681},	// QWebSettings::PrintElementBackgrounds
    {74, 130, 675},	// QWebSettings::PrivateBrowsingEnabled
    {74, 169, 668},	// QWebSettings::SansSerifFont
    {74, 184, 667},	// QWebSettings::SerifFont
    {74, 188, 694},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 189, 690},	// QWebSettings::SpatialNavigationEnabled
    {74, 190, 665},	// QWebSettings::StandardFont
    {74, 193, 698},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 194, 692},	// QWebSettings::TiledBackingStoreEnabled
    {74, 206, 688},	// QWebSettings::XSSAuditingEnabled
    {74, 207, 680},	// QWebSettings::ZoomTextOnly
    {74, 260, 644},	// QWebSettings::clearIconDatabase
    {74, 261, 661},	// QWebSettings::clearMemoryCaches
    {74, 297, 641},	// QWebSettings::defaultTextEncoding
    {74, 316, 664},	// QWebSettings::enablePersistentStorage
    {74, 317, 662},	// QWebSettings::enablePersistentStorage$
    {74, 365, 630},	// QWebSettings::fontFamily$
    {74, 367, 633},	// QWebSettings::fontSize$
    {74, 382, 628},	// QWebSettings::globalSettings
    {74, 385, 663},	// QWebSettings::handle
    {74, 405, 643},	// QWebSettings::iconDatabasePath
    {74, 407, 645},	// QWebSettings::iconForUrl#
    {74, 464, 660},	// QWebSettings::localStoragePath
    {74, 467, 649},	// QWebSettings::maximumPagesInCache
    {74, 489, 654},	// QWebSettings::offlineStorageDefaultQuota
    {74, 490, 652},	// QWebSettings::offlineStoragePath
    {74, 491, 656},	// QWebSettings::offlineWebApplicationCachePath
    {74, 492, 658},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 590, 637},	// QWebSettings::resetAttribute$
    {74, 592, 631},	// QWebSettings::resetFontFamily$
    {74, 594, 634},	// QWebSettings::resetFontSize$
    {74, 623, 635},	// QWebSettings::setAttribute$$
    {74, 641, 640},	// QWebSettings::setDefaultTextEncoding$
    {74, 658, 629},	// QWebSettings::setFontFamily$$
    {74, 660, 632},	// QWebSettings::setFontSize$$
    {74, 669, 642},	// QWebSettings::setIconDatabasePath$
    {74, 675, 659},	// QWebSettings::setLocalStoragePath$
    {74, 679, 648},	// QWebSettings::setMaximumPagesInCache$
    {74, 687, 650},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 689, 653},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 691, 651},	// QWebSettings::setOfflineStoragePath$
    {74, 693, 655},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 695, 657},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 732, 638},	// QWebSettings::setUserStyleSheetUrl#
    {74, 739, 646},	// QWebSettings::setWebGraphic$#
    {74, 766, 636},	// QWebSettings::testAttribute$
    {74, 807, 639},	// QWebSettings::userStyleSheetUrl
    {74, 812, 647},	// QWebSettings::webGraphic$
    {76, 152, 775},	// QWebView::QWebView
    {76, 153, 711},	// QWebView::QWebView#
    {76, 242, 740},	// QWebView::back
    {76, 253, 756},	// QWebView::changeEvent#
    {76, 278, 761},	// QWebView::contextMenuEvent#
    {76, 286, 755},	// QWebView::createWindow$
    {76, 308, 765},	// QWebView::dragEnterEvent#
    {76, 310, 766},	// QWebView::dragLeaveEvent#
    {76, 312, 767},	// QWebView::dragMoveEvent#
    {76, 314, 768},	// QWebView::dropEvent#
    {76, 334, 738},	// QWebView::event#
    {76, 353, 783},	// QWebView::findText$
    {76, 354, 737},	// QWebView::findText$$
    {76, 358, 769},	// QWebView::focusInEvent#
    {76, 360, 772},	// QWebView::focusNextPrevChild$
    {76, 362, 770},	// QWebView::focusOutEvent#
    {76, 368, 741},	// QWebView::forward
    {76, 397, 718},	// QWebView::history
    {76, 403, 723},	// QWebView::icon
    {76, 404, 751},	// QWebView::iconChanged
    {76, 411, 771},	// QWebView::inputMethodEvent#
    {76, 413, 728},	// QWebView::inputMethodQuery$
    {76, 416, 727},	// QWebView::isModified
    {76, 435, 763},	// QWebView::keyPressEvent#
    {76, 437, 764},	// QWebView::keyReleaseEvent#
    {76, 444, 749},	// QWebView::linkClicked#
    {76, 454, -10},	// QWebView::load#
    {76, 455, 777},	// QWebView::load#$
    {76, 456, 715},	// QWebView::load#$#
    {76, 458, 746},	// QWebView::loadFinished$
    {76, 460, 745},	// QWebView::loadProgress$
    {76, 461, 744},	// QWebView::loadStarted
    {76, 471, 704},	// QWebView::metaObject
    {76, 477, 759},	// QWebView::mouseDoubleClickEvent#
    {76, 479, 757},	// QWebView::mouseMoveEvent#
    {76, 481, 758},	// QWebView::mousePressEvent#
    {76, 483, 760},	// QWebView::mouseReleaseEvent#
    {76, 527, 712},	// QWebView::page
    {76, 529, 725},	// QWebView::pageAction$
    {76, 533, 754},	// QWebView::paintEvent#
    {76, 553, 743},	// QWebView::print#
    {76, 558, 710},	// QWebView::qt_metacall$$?
    {76, 560, 705},	// QWebView::qt_metacast$
    {76, 562, 742},	// QWebView::reload
    {76, 581, 734},	// QWebView::renderHints
    {76, 596, 753},	// QWebView::resizeEvent#
    {76, 620, 724},	// QWebView::selectedText
    {76, 621, 750},	// QWebView::selectionChanged
    {76, 629, 779},	// QWebView::setContent#
    {76, 630, 780},	// QWebView::setContent#$
    {76, 631, 717},	// QWebView::setContent#$#
    {76, 666, 778},	// QWebView::setHtml$
    {76, 667, 716},	// QWebView::setHtml$#
    {76, 699, 713},	// QWebView::setPage#
    {76, 711, 782},	// QWebView::setRenderHint$
    {76, 712, 736},	// QWebView::setRenderHint$$
    {76, 714, 735},	// QWebView::setRenderHints$
    {76, 726, 732},	// QWebView::setTextSizeMultiplier$
    {76, 728, 721},	// QWebView::setUrl#
    {76, 741, 731},	// QWebView::setZoomFactor$
    {76, 742, 719},	// QWebView::settings
    {76, 747, 729},	// QWebView::sizeHint
    {76, 748, 784},	// QWebView::staticMetaObject
    {76, 750, 748},	// QWebView::statusBarMessage$
    {76, 753, 739},	// QWebView::stop
    {76, 767, 733},	// QWebView::textSizeMultiplier
    {76, 769, 720},	// QWebView::title
    {76, 771, 747},	// QWebView::titleChanged$
    {76, 783, 773},	// QWebView::tr$
    {76, 784, 706},	// QWebView::tr$$
    {76, 785, 708},	// QWebView::tr$$$
    {76, 787, 774},	// QWebView::trUtf8$
    {76, 788, 707},	// QWebView::trUtf8$$
    {76, 789, 709},	// QWebView::trUtf8$$$
    {76, 794, 781},	// QWebView::triggerPageAction$
    {76, 795, 726},	// QWebView::triggerPageAction$$
    {76, 801, 722},	// QWebView::url
    {76, 803, 752},	// QWebView::urlChanged#
    {76, 814, 762},	// QWebView::wheelEvent#
    {76, 818, 730},	// QWebView::zoomFactor
    {76, 837, 785},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 80,
        __smokeqtwebkit::methods, 826,
        __smokeqtwebkit::methodMaps, 775,
        __smokeqtwebkit::methodNames, 839,
        __smokeqtwebkit::types, 280,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
