#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForActiveQtModule", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForCoreModule", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForDBusModule", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForDeclarativeModule", 29, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForGuiModule", 29, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForHelpModule", 29, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForMultimediaModule", 29, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForNetworkModule", 29, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForOpenGLModule", 29, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForOpenVGModule", 29, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForQt3SupportLightModule", 29, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForQt3SupportModule", 29, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForScriptModule", 29, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForScriptToolsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForSqlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForSvgModule", 29, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForTestModule", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForXmlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForXmlPatternsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//251
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//252
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//254
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//255
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//291
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//293
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//299
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//301
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//303
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//312
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//321
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//330
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//331
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//333
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//334
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//335
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//336
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//337
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//338
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//339
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//340
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//341
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//342
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//343
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//344
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//345
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//347
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//348
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//350
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//351
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//352
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    263, 0,	//1  const QDomAttr&
    304, 0,	//3  const QString&
    264, 0,	//5  const QDomCDATASection&
    265, 0,	//7  const QDomCharacterData&
    345, 345, 0,	//9  unsigned long, unsigned long
    345, 304, 0,	//12  unsigned long, const QString&
    345, 345, 304, 0,	//15  unsigned long, unsigned long, const QString&
    266, 0,	//19  const QDomComment&
    269, 0,	//21  const QDomDocumentType&
    267, 0,	//23  const QDomDocument&
    304, 304, 0,	//25  const QString&, const QString&
    275, 252, 0,	//28  const QDomNode&, bool
    258, 252, 124, 336, 336, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    304, 252, 124, 336, 336, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 252, 124, 336, 336, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 252, 124, 336, 336, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    258, 124, 336, 336, 0,	//55  const QByteArray&, QString*, int*, int*
    304, 124, 336, 336, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 336, 336, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 336, 336, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    335, 0,	//76  int
    258, 252, 0,	//78  const QByteArray&, bool
    258, 252, 124, 0,	//81  const QByteArray&, bool, QString*
    258, 252, 124, 336, 0,	//85  const QByteArray&, bool, QString*, int*
    304, 252, 0,	//90  const QString&, bool
    304, 252, 124, 0,	//93  const QString&, bool, QString*
    304, 252, 124, 336, 0,	//97  const QString&, bool, QString*, int*
    104, 252, 0,	//102  QIODevice*, bool
    104, 252, 124, 0,	//105  QIODevice*, bool, QString*
    104, 252, 124, 336, 0,	//109  QIODevice*, bool, QString*, int*
    150, 252, 0,	//114  QXmlInputSource*, bool
    150, 252, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 252, 124, 336, 0,	//121  QXmlInputSource*, bool, QString*, int*
    258, 0,	//126  const QByteArray&
    258, 124, 0,	//128  const QByteArray&, QString*
    258, 124, 336, 0,	//131  const QByteArray&, QString*, int*
    304, 124, 0,	//135  const QString&, QString*
    304, 124, 336, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 336, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 336, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    268, 0,	//163  const QDomDocumentFragment&
    270, 0,	//165  const QDomElement&
    304, 338, 0,	//167  const QString&, long long
    304, 346, 0,	//170  const QString&, unsigned long long
    304, 335, 0,	//173  const QString&, int
    304, 344, 0,	//176  const QString&, unsigned int
    304, 334, 0,	//179  const QString&, float
    304, 333, 0,	//182  const QString&, double
    303, 304, 304, 0,	//185  const QString, const QString&, const QString&
    303, 304, 335, 0,	//189  const QString, const QString&, int
    303, 304, 344, 0,	//193  const QString, const QString&, unsigned int
    303, 304, 338, 0,	//197  const QString, const QString&, long long
    303, 304, 346, 0,	//201  const QString, const QString&, unsigned long long
    303, 304, 333, 0,	//205  const QString, const QString&, double
    303, 304, 0,	//209  const QString, const QString&
    271, 0,	//212  const QDomEntity&
    272, 0,	//214  const QDomEntityReference&
    273, 0,	//216  const QDomImplementation&
    304, 304, 304, 0,	//218  const QString&, const QString&, const QString&
    304, 304, 269, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    274, 0,	//228  const QDomNamedNodeMap&
    275, 0,	//230  const QDomNode&
    275, 275, 0,	//232  const QDomNode&, const QDomNode&
    252, 0,	//235  bool
    132, 335, 0,	//237  QTextStream&, int
    132, 335, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    276, 0,	//246  const QDomNodeList&
    277, 0,	//248  const QDomNotation&
    278, 0,	//250  const QDomProcessingInstruction&
    279, 0,	//252  const QDomText&
    333, 0,	//254  double
    74, 74, 0,	//256  QFile::Permission, QFile::Permission
    10, 9, 0,	//259  QDataStream&, QChar&
    16, 78, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    329, 282, 0,	//265  const char*, const QLatin1String&
    10, 111, 0,	//268  QDataStream&, QLocale&
    229, 335, 0,	//271  Qt::WindowType, int
    255, 329, 344, 0,	//274  char*, const char*, unsigned int
    344, 0,	//278  unsigned int
    254, 0,	//280  char
    302, 333, 0,	//282  const QSizeF&, double
    13, 283, 0,	//285  QDebug, const QLine&
    329, 0,	//288  const char*
    258, 329, 0,	//290  const QByteArray&, const char*
    329, 304, 0,	//293  const char*, const QString&
    10, 117, 0,	//296  QDataStream&, QRect&
    194, 194, 0,	//299  Qt::ItemFlag, Qt::ItemFlag
    311, 313, 0,	//302  const QVariant&, const QVariantComparisonHelper&
    13, 81, 0,	//305  QDebug, QFlags<QIODevice::OpenModeFlag>
    300, 300, 0,	//308  const QSize&, const QSize&
    8, 304, 0,	//311  QChar, const QString&
    329, 329, 344, 0,	//314  const char*, const char*, unsigned int
    282, 282, 0,	//318  const QLatin1String&, const QLatin1String&
    307, 307, 0,	//321  const QStringRef&, const QStringRef&
    255, 341, 329, 348, 0,	//324  char*, size_t, const char*, va_list
    294, 294, 0,	//329  const QPointF&, const QPointF&
    304, 307, 0,	//332  const QString&, const QStringRef&
    304, 8, 0,	//335  const QString&, QChar
    329, 344, 0,	//338  const char*, unsigned int
    10, 72, 0,	//341  QDataStream&, QEasingCurve&
    282, 307, 0,	//344  const QLatin1String&, const QStringRef&
    13, 260, 0,	//347  QDebug, const QDate&
    219, 219, 0,	//350  Qt::ToolBarArea, Qt::ToolBarArea
    13, 284, 0,	//353  QDebug, const QLineF&
    296, 296, 0,	//356  const QRectF&, const QRectF&
    342, 0,	//359  unsigned char
    289, 304, 298, 287, 110, 0,	//361  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    307, 282, 0,	//367  const QStringRef&, const QLatin1String&
    10, 11, 0,	//370  QDataStream&, QDate&
    334, 0,	//373  float
    216, 335, 0,	//375  Qt::TextInteractionFlag, int
    8, 8, 0,	//378  QChar, QChar
    8, 0,	//381  QChar
    10, 137, 0,	//383  QDataStream&, QUrl&
    13, 288, 0,	//386  QDebug, const QModelIndex&
    107, 82, 0,	//389  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    329, 335, 0,	//392  const char*, int
    333, 333, 0,	//395  double, double
    10, 312, 0,	//398  QDataStream&, const QVariant::Type
    339, 0,	//401  short
    10, 311, 0,	//403  QDataStream&, const QVariant&
    216, 99, 0,	//406  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    194, 94, 0,	//409  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    337, 0,	//412  long
    191, 93, 0,	//414  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    329, 329, 0,	//417  const char*, const char*
    10, 302, 0,	//420  QDataStream&, const QSizeF&
    125, 125, 0,	//423  QString::Null, QString::Null
    329, 258, 0,	//426  const char*, const QByteArray&
    256, 0,	//429  const QBitArray&
    16, 16, 0,	//431  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    255, 329, 0,	//434  char*, const char*
    256, 256, 0,	//437  const QBitArray&, const QBitArray&
    292, 292, 0,	//440  const QPoint&, const QPoint&
    197, 95, 0,	//443  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    294, 333, 0,	//446  const QPointF&, double
    13, 302, 0,	//449  QDebug, const QSizeF&
    281, 281, 0,	//452  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//455  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    10, 139, 0,	//458  QDataStream&, QUuid&
    295, 295, 0,	//461  const QRect&, const QRect&
    258, 258, 0,	//464  const QByteArray&, const QByteArray&
    330, 335, 0,	//467  const unsigned char*, int
    258, 335, 0,	//470  const QByteArray&, int
    10, 304, 0,	//473  QDataStream&, const QString&
    132, 133, 0,	//476  QTextStream&, QTextStream&(*)(QTextStream&)
    180, 335, 0,	//479  Qt::DropAction, int
    351, 341, 341, 341, 0,	//482  void*, size_t, size_t, size_t
    200, 335, 0,	//487  Qt::MatchFlag, int
    10, 292, 0,	//490  QDataStream&, const QPoint&
    13, 295, 0,	//493  QDebug, const QRect&
    131, 85, 0,	//496  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    347, 0,	//499  unsigned short
    216, 216, 0,	//501  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    126, 84, 0,	//504  QString::SectionFlag, QFlags<QString::SectionFlag>
    13, 262, 0,	//507  QDebug, const QDir&
    202, 202, 0,	//510  Qt::MouseButton, Qt::MouseButton
    351, 341, 0,	//513  void*, size_t
    180, 180, 0,	//516  Qt::DropAction, Qt::DropAction
    1, 335, 0,	//519  QAbstractFileEngine::FileFlag, int
    304, 125, 0,	//522  const QString&, QString::Null
    185, 91, 0,	//525  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    73, 335, 0,	//528  QEventLoop::ProcessEventsFlag, int
    105, 105, 0,	//531  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    112, 112, 0,	//534  QLocale::NumberOption, QLocale::NumberOption
    10, 109, 0,	//537  QDataStream&, QLineF&
    10, 284, 0,	//540  QDataStream&, const QLineF&
    302, 302, 0,	//543  const QSizeF&, const QSizeF&
    333, 300, 0,	//546  double, const QSize&
    178, 89, 0,	//549  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    338, 0,	//552  long long
    200, 96, 0,	//554  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    294, 0,	//557  const QPointF&
    159, 335, 0,	//559  Qt::AlignmentFlag, int
    189, 335, 0,	//562  Qt::ImageConversionFlag, int
    13, 300, 0,	//565  QDebug, const QSize&
    131, 335, 0,	//568  QTextCodec::ConversionFlag, int
    13, 292, 0,	//571  QDebug, const QPoint&
    292, 0,	//574  const QPoint&
    13, 309, 0,	//576  QDebug, const QUrl&
    10, 294, 0,	//579  QDataStream&, const QPointF&
    131, 131, 0,	//582  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//585  QBool, QBool
    304, 254, 0,	//588  const QString&, char
    329, 307, 0,	//591  const char*, const QStringRef&
    346, 0,	//594  unsigned long long
    134, 335, 0,	//596  QTextStream::NumberFlag, int
    13, 294, 0,	//599  QDebug, const QPointF&
    125, 304, 0,	//602  QString::Null, const QString&
    349, 0,	//605  void(*)()
    112, 83, 0,	//607  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    185, 185, 0,	//610  Qt::GestureFlag, Qt::GestureFlag
    10, 118, 0,	//613  QDataStream&, QRectF&
    334, 334, 0,	//616  float, float
    10, 259, 0,	//619  QDataStream&, const QChar&
    10, 116, 0,	//622  QDataStream&, QPointF&
    300, 333, 0,	//625  const QSize&, double
    350, 0,	//628  void(*)(QtMsgType,const char*)
    132, 135, 0,	//630  QTextStream&, QTextStreamManipulator
    159, 159, 0,	//633  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 108, 0,	//636  QDataStream&, QLine&
    14, 14, 0,	//639  QDir::Filter, QDir::Filter
    292, 333, 0,	//642  const QPoint&, double
    10, 258, 0,	//645  QDataStream&, const QByteArray&
    10, 280, 0,	//648  QDataStream&, const QEasingCurve&
    189, 189, 0,	//651  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    228, 335, 0,	//654  Qt::WindowState, int
    10, 123, 0,	//657  QDataStream&, QString&
    289, 304, 287, 0,	//660  const QObject*, const QString&, const QMetaObject&
    10, 296, 0,	//664  QDataStream&, const QRectF&
    10, 3, 0,	//667  QDataStream&, QBitArray&
    10, 120, 0,	//670  QDataStream&, QSize&
    197, 197, 0,	//673  Qt::KeyboardModifier, Qt::KeyboardModifier
    252, 4, 0,	//676  bool, QBool
    134, 134, 0,	//679  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//682  QDataStream&, QDateTime&
    311, 141, 351, 0,	//685  const QVariant&, QVariant::Type, void*
    307, 304, 0,	//689  const QStringRef&, const QString&
    330, 343, 335, 0,	//692  const unsigned char*, unsigned char*, int
    197, 335, 0,	//696  Qt::KeyboardModifier, int
    10, 261, 0,	//699  QDataStream&, const QDateTime&
    73, 79, 0,	//702  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    232, 329, 0,	//705  QtMsgType, const char*
    286, 286, 0,	//708  const QMargins&, const QMargins&
    258, 304, 0,	//711  const QByteArray&, const QString&
    138, 138, 0,	//714  QUrl::FormattingOption, QUrl::FormattingOption
    13, 312, 0,	//717  QDebug, const QVariant::Type
    178, 335, 0,	//720  Qt::DockWidgetArea, int
    10, 136, 0,	//723  QDataStream&, QTime&
    229, 229, 0,	//726  Qt::WindowType, Qt::WindowType
    351, 335, 341, 0,	//729  void*, int, size_t
    13, 261, 0,	//733  QDebug, const QDateTime&
    340, 0,	//736  signed char
    229, 103, 0,	//738  Qt::WindowType, QFlags<Qt::WindowType>
    228, 228, 0,	//741  Qt::WindowState, Qt::WindowState
    13, 311, 0,	//744  QDebug, const QVariant&
    10, 128, 0,	//747  QDataStream&, QStringList&
    74, 335, 0,	//750  QFile::Permission, int
    114, 0,	//753  QObject*(*)()
    333, 294, 0,	//755  double, const QPointF&
    10, 309, 0,	//758  QDataStream&, const QUrl&
    10, 308, 0,	//761  QDataStream&, const QTime&
    10, 115, 0,	//764  QDataStream&, QPoint&
    307, 0,	//767  const QStringRef&
    10, 119, 0,	//769  QDataStream&, QRegExp&
    191, 335, 0,	//772  Qt::InputMethodHint, int
    10, 285, 0,	//775  QDataStream&, const QLocale&
    132, 275, 0,	//778  QTextStream&, const QDomNode&
    341, 341, 0,	//781  size_t, size_t
    10, 256, 0,	//784  QDataStream&, const QBitArray&
    304, 258, 0,	//787  const QString&, const QByteArray&
    329, 329, 329, 335, 0,	//790  const char*, const char*, const char*, int
    138, 87, 0,	//795  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    73, 73, 0,	//798  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    258, 254, 0,	//801  const QByteArray&, char
    107, 107, 0,	//804  QLibrary::LoadHint, QLibrary::LoadHint
    159, 88, 0,	//807  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 310, 0,	//810  QDataStream&, const QUuid&
    105, 81, 0,	//813  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 283, 0,	//816  QDataStream&, const QLine&
    185, 335, 0,	//819  Qt::GestureFlag, int
    307, 329, 0,	//822  const QStringRef&, const char*
    15, 77, 0,	//825  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 260, 0,	//828  QDataStream&, const QDate&
    254, 258, 0,	//831  char, const QByteArray&
    304, 329, 0,	//834  const QString&, const char*
    107, 335, 0,	//837  QLibrary::LoadHint, int
    330, 335, 335, 0,	//840  const unsigned char*, int, int
    204, 204, 0,	//844  Qt::Orientation, Qt::Orientation
    4, 252, 0,	//847  QBool, bool
    10, 305, 0,	//850  QDataStream&, const QStringList&
    10, 297, 0,	//853  QDataStream&, const QRegExp&
    15, 335, 0,	//856  QDir::SortFlag, int
    351, 332, 341, 0,	//859  void*, const void*, size_t
    351, 0,	//863  void*
    219, 100, 0,	//865  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 290, 0,	//868  QDebug, const QPersistentModelIndex&
    10, 140, 0,	//871  QDataStream&, QVariant&
    309, 0,	//874  const QUrl&
    222, 101, 0,	//876  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    333, 292, 0,	//879  double, const QPoint&
    13, 289, 0,	//882  QDebug, const QObject*
    74, 80, 0,	//885  QFile::Permission, QFlags<QFile::Permission>
    329, 329, 335, 0,	//888  const char*, const char*, int
    13, 296, 0,	//892  QDebug, const QRectF&
    134, 86, 0,	//895  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//898  QDir::SortFlag, QDir::SortFlag
    222, 335, 0,	//901  Qt::TouchPointState, int
    14, 335, 0,	//904  QDir::Filter, int
    345, 0,	//907  unsigned long
    1, 75, 0,	//909  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    202, 97, 0,	//912  Qt::MouseButton, QFlags<Qt::MouseButton>
    180, 90, 0,	//915  Qt::DropAction, QFlags<Qt::DropAction>
    341, 0,	//918  size_t
    204, 335, 0,	//920  Qt::Orientation, int
    10, 142, 0,	//923  QDataStream&, QVariant::Type&
    219, 335, 0,	//926  Qt::ToolBarArea, int
    10, 6, 0,	//929  QDataStream&, QByteArray&
    10, 295, 0,	//932  QDataStream&, const QRect&
    13, 280, 0,	//935  QDebug, const QEasingCurve&
    290, 0,	//938  const QPersistentModelIndex&
    13, 308, 0,	//940  QDebug, const QTime&
    112, 335, 0,	//943  QLocale::NumberOption, int
    222, 222, 0,	//946  Qt::TouchPointState, Qt::TouchPointState
    189, 92, 0,	//949  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    228, 102, 0,	//952  Qt::WindowState, QFlags<Qt::WindowState>
    178, 178, 0,	//955  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 335, 0,	//958  QDirIterator::IteratorFlag, int
    333, 302, 0,	//961  double, const QSizeF&
    13, 286, 0,	//964  QDebug, const QMargins&
    288, 0,	//967  const QModelIndex&
    138, 335, 0,	//969  QUrl::FormattingOption, int
    200, 200, 0,	//972  Qt::MatchFlag, Qt::MatchFlag
    191, 191, 0,	//975  Qt::InputMethodHint, Qt::InputMethodHint
    204, 98, 0,	//978  Qt::Orientation, QFlags<Qt::Orientation>
    13, 76, 0,	//981  QDebug, QFlags<QDir::Filter>
    194, 335, 0,	//984  Qt::ItemFlag, int
    202, 335, 0,	//987  Qt::MouseButton, int
    10, 121, 0,	//990  QDataStream&, QSizeF&
    105, 335, 0,	//993  QIODevice::OpenModeFlag, int
    126, 335, 0,	//996  QString::SectionFlag, int
    254, 304, 0,	//999  char, const QString&
    10, 300, 0,	//1002  QDataStream&, const QSize&
    14, 76, 0,	//1005  QDir::Filter, QFlags<QDir::Filter>
    126, 126, 0,	//1008  QString::SectionFlag, QString::SectionFlag
    282, 0,	//1011  const QLatin1String&
    304, 304, 304, 304, 0,	//1013  const QString&, const QString&, const QString&, const QString&
    314, 0,	//1018  const QXmlAttributes&
    153, 0,	//1020  QXmlLocator*
    304, 304, 304, 314, 0,	//1022  const QString&, const QString&, const QString&, const QXmlAttributes&
    315, 0,	//1027  const QXmlContentHandler&
    316, 0,	//1029  const QXmlDTDHandler&
    304, 304, 304, 304, 304, 0,	//1031  const QString&, const QString&, const QString&, const QString&, const QString&
    317, 0,	//1037  const QXmlDeclHandler&
    324, 0,	//1039  const QXmlParseException&
    304, 304, 151, 0,	//1041  const QString&, const QString&, QXmlInputSource*&
    318, 0,	//1045  const QXmlEntityResolver&
    319, 0,	//1047  const QXmlErrorHandler&
    320, 0,	//1049  const QXmlInputSource&
    322, 0,	//1051  const QXmlLexicalHandler&
    323, 0,	//1053  const QXmlLocator&
    304, 123, 123, 0,	//1055  const QString&, QString&, QString&
    304, 252, 123, 123, 0,	//1059  const QString&, bool, QString&, QString&
    304, 335, 335, 304, 304, 0,	//1064  const QString&, int, int, const QString&, const QString&
    304, 335, 335, 0,	//1070  const QString&, int, int
    304, 335, 335, 304, 0,	//1074  const QString&, int, int, const QString&
    304, 253, 0,	//1079  const QString&, bool*
    304, 351, 0,	//1082  const QString&, void*
    148, 0,	//1085  QXmlEntityResolver*
    145, 0,	//1087  QXmlDTDHandler*
    144, 0,	//1089  QXmlContentHandler*
    149, 0,	//1091  QXmlErrorHandler*
    152, 0,	//1093  QXmlLexicalHandler*
    146, 0,	//1095  QXmlDeclHandler*
    321, 0,	//1097  const QXmlInputSource*
    325, 0,	//1099  const QXmlReader&
    321, 252, 0,	//1101  const QXmlInputSource*, bool
    7, 0,	//1104  QByteArray*
    124, 0,	//1106  QString*
    130, 0,	//1108  QTextCodec*
    326, 0,	//1110  const QXmlStreamAttribute&
    327, 0,	//1112  const QXmlStreamAttributes&
    328, 0,	//1114  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "NotationNode",	//38
    "ProcessingInstructionNode",	//39
    "QDomAttr",	//40
    "QDomAttr#",	//41
    "QDomCDATASection",	//42
    "QDomCDATASection#",	//43
    "QDomCharacterData",	//44
    "QDomCharacterData#",	//45
    "QDomComment",	//46
    "QDomComment#",	//47
    "QDomDocument",	//48
    "QDomDocument#",	//49
    "QDomDocument$",	//50
    "QDomDocumentFragment",	//51
    "QDomDocumentFragment#",	//52
    "QDomDocumentType",	//53
    "QDomDocumentType#",	//54
    "QDomElement",	//55
    "QDomElement#",	//56
    "QDomEntity",	//57
    "QDomEntity#",	//58
    "QDomEntityReference",	//59
    "QDomEntityReference#",	//60
    "QDomImplementation",	//61
    "QDomImplementation#",	//62
    "QDomNamedNodeMap",	//63
    "QDomNamedNodeMap#",	//64
    "QDomNode",	//65
    "QDomNode#",	//66
    "QDomNodeList",	//67
    "QDomNodeList#",	//68
    "QDomNotation",	//69
    "QDomNotation#",	//70
    "QDomProcessingInstruction",	//71
    "QDomProcessingInstruction#",	//72
    "QDomText",	//73
    "QDomText#",	//74
    "QXmlAttributes",	//75
    "QXmlAttributes#",	//76
    "QXmlContentHandler",	//77
    "QXmlContentHandler#",	//78
    "QXmlDTDHandler",	//79
    "QXmlDTDHandler#",	//80
    "QXmlDeclHandler",	//81
    "QXmlDeclHandler#",	//82
    "QXmlDefaultHandler",	//83
    "QXmlEntityResolver",	//84
    "QXmlEntityResolver#",	//85
    "QXmlErrorHandler",	//86
    "QXmlErrorHandler#",	//87
    "QXmlInputSource",	//88
    "QXmlInputSource#",	//89
    "QXmlLexicalHandler",	//90
    "QXmlLexicalHandler#",	//91
    "QXmlLocator",	//92
    "QXmlLocator#",	//93
    "QXmlNamespaceSupport",	//94
    "QXmlParseException",	//95
    "QXmlParseException#",	//96
    "QXmlParseException$",	//97
    "QXmlParseException$$",	//98
    "QXmlParseException$$$",	//99
    "QXmlParseException$$$$",	//100
    "QXmlParseException$$$$$",	//101
    "QXmlReader",	//102
    "QXmlReader#",	//103
    "QXmlSimpleReader",	//104
    "QXmlStreamWriter",	//105
    "QXmlStreamWriter#",	//106
    "QXmlStreamWriter$",	//107
    "Q_COMPLEX_TYPE",	//108
    "Q_DUMMY_TYPE",	//109
    "Q_MOVABLE_TYPE",	//110
    "Q_PRIMITIVE_TYPE",	//111
    "Q_STATIC_TYPE",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "ReturnNullNode",	//118
    "TextNode",	//119
    "append",	//120
    "append$$$$",	//121
    "appendChild",	//122
    "appendChild#",	//123
    "appendData",	//124
    "appendData$",	//125
    "at",	//126
    "at$",	//127
    "attribute",	//128
    "attribute$",	//129
    "attribute$$",	//130
    "attributeDecl",	//131
    "attributeDecl$$$$$",	//132
    "attributeNS",	//133
    "attributeNS$$",	//134
    "attributeNS$$$",	//135
    "attributeNode",	//136
    "attributeNode$",	//137
    "attributeNodeNS",	//138
    "attributeNodeNS$$",	//139
    "attributes",	//140
    "autoFormatting",	//141
    "autoFormattingIndent",	//142
    "characters",	//143
    "characters$",	//144
    "childNodes",	//145
    "clear",	//146
    "cloneNode",	//147
    "cloneNode$",	//148
    "codec",	//149
    "columnNumber",	//150
    "comment",	//151
    "comment$",	//152
    "contains",	//153
    "contains$",	//154
    "contentHandler",	//155
    "count",	//156
    "createAttribute",	//157
    "createAttribute$",	//158
    "createAttributeNS",	//159
    "createAttributeNS$$",	//160
    "createCDATASection",	//161
    "createCDATASection$",	//162
    "createComment",	//163
    "createComment$",	//164
    "createDocument",	//165
    "createDocument$$#",	//166
    "createDocumentFragment",	//167
    "createDocumentType",	//168
    "createDocumentType$$$",	//169
    "createElement",	//170
    "createElement$",	//171
    "createElementNS",	//172
    "createElementNS$$",	//173
    "createEntityReference",	//174
    "createEntityReference$",	//175
    "createProcessingInstruction",	//176
    "createProcessingInstruction$$",	//177
    "createTextNode",	//178
    "createTextNode$",	//179
    "data",	//180
    "declHandler",	//181
    "deleteData",	//182
    "deleteData$$",	//183
    "device",	//184
    "doctype",	//185
    "documentElement",	//186
    "elementById",	//187
    "elementById$",	//188
    "elementsByTagName",	//189
    "elementsByTagName$",	//190
    "elementsByTagNameNS",	//191
    "elementsByTagNameNS$$",	//192
    "endCDATA",	//193
    "endDTD",	//194
    "endDocument",	//195
    "endElement",	//196
    "endElement$$$",	//197
    "endEntity",	//198
    "endEntity$",	//199
    "endPrefixMapping",	//200
    "endPrefixMapping$",	//201
    "entities",	//202
    "entityResolver",	//203
    "error",	//204
    "error#",	//205
    "errorHandler",	//206
    "errorString",	//207
    "externalEntityDecl",	//208
    "externalEntityDecl$$$",	//209
    "fatalError",	//210
    "fatalError#",	//211
    "feature",	//212
    "feature$",	//213
    "feature$$",	//214
    "fetchData",	//215
    "firstChild",	//216
    "firstChildElement",	//217
    "firstChildElement$",	//218
    "fromRawData",	//219
    "fromRawData#",	//220
    "fromRawData#$",	//221
    "hasAttribute",	//222
    "hasAttribute$",	//223
    "hasAttributeNS",	//224
    "hasAttributeNS$$",	//225
    "hasAttributes",	//226
    "hasChildNodes",	//227
    "hasFeature",	//228
    "hasFeature$",	//229
    "hasFeature$$",	//230
    "hasProperty",	//231
    "hasProperty$",	//232
    "ignorableWhitespace",	//233
    "ignorableWhitespace$",	//234
    "impl",	//235
    "implementation",	//236
    "importNode",	//237
    "importNode#$",	//238
    "index",	//239
    "index#",	//240
    "index$",	//241
    "index$$",	//242
    "insertAfter",	//243
    "insertAfter##",	//244
    "insertBefore",	//245
    "insertBefore##",	//246
    "insertData",	//247
    "insertData$$",	//248
    "internalEntityDecl",	//249
    "internalEntityDecl$$",	//250
    "internalSubset",	//251
    "invalidDataPolicy",	//252
    "isAttr",	//253
    "isCDATASection",	//254
    "isCharacterData",	//255
    "isComment",	//256
    "isDocument",	//257
    "isDocumentFragment",	//258
    "isDocumentType",	//259
    "isElement",	//260
    "isEmpty",	//261
    "isEntity",	//262
    "isEntityReference",	//263
    "isNotation",	//264
    "isNull",	//265
    "isProcessingInstruction",	//266
    "isSupported",	//267
    "isSupported$$",	//268
    "isText",	//269
    "item",	//270
    "item$",	//271
    "lastChild",	//272
    "lastChildElement",	//273
    "lastChildElement$",	//274
    "length",	//275
    "lexicalHandler",	//276
    "lineNumber",	//277
    "localName",	//278
    "localName$",	//279
    "message",	//280
    "name",	//281
    "namedItem",	//282
    "namedItem$",	//283
    "namedItemNS",	//284
    "namedItemNS$$",	//285
    "namespaceURI",	//286
    "next",	//287
    "nextSibling",	//288
    "nextSiblingElement",	//289
    "nextSiblingElement$",	//290
    "nodeName",	//291
    "nodeType",	//292
    "nodeValue",	//293
    "normalize",	//294
    "notationDecl",	//295
    "notationDecl$$$",	//296
    "notationName",	//297
    "notations",	//298
    "operator!=",	//299
    "operator!=#",	//300
    "operator!=##",	//301
    "operator!=#$",	//302
    "operator!=$#",	//303
    "operator!=$$",	//304
    "operator&",	//305
    "operator&##",	//306
    "operator*",	//307
    "operator*#$",	//308
    "operator*$#",	//309
    "operator+",	//310
    "operator+##",	//311
    "operator+#$",	//312
    "operator+$#",	//313
    "operator+$$",	//314
    "operator-",	//315
    "operator-#",	//316
    "operator-##",	//317
    "operator/",	//318
    "operator/#$",	//319
    "operator<",	//320
    "operator<##",	//321
    "operator<#$",	//322
    "operator<$#",	//323
    "operator<$$",	//324
    "operator<<",	//325
    "operator<<##",	//326
    "operator<<#$",	//327
    "operator<<#?",	//328
    "operator<=",	//329
    "operator<=##",	//330
    "operator<=#$",	//331
    "operator<=$#",	//332
    "operator<=$$",	//333
    "operator=",	//334
    "operator=#",	//335
    "operator==",	//336
    "operator==#",	//337
    "operator==##",	//338
    "operator==#$",	//339
    "operator==$#",	//340
    "operator==$$",	//341
    "operator>",	//342
    "operator>##",	//343
    "operator>#$",	//344
    "operator>$#",	//345
    "operator>$$",	//346
    "operator>=",	//347
    "operator>=##",	//348
    "operator>=#$",	//349
    "operator>=$#",	//350
    "operator>=$$",	//351
    "operator>>",	//352
    "operator>>##",	//353
    "operator>>#$",	//354
    "operator>>#?",	//355
    "operator^",	//356
    "operator^##",	//357
    "operator|",	//358
    "operator|##",	//359
    "operator|$$",	//360
    "ownerDocument",	//361
    "ownerElement",	//362
    "parentNode",	//363
    "parse",	//364
    "parse#",	//365
    "parse#$",	//366
    "parseContinue",	//367
    "popContext",	//368
    "prefix",	//369
    "prefix$",	//370
    "prefixes",	//371
    "prefixes$",	//372
    "previousSibling",	//373
    "previousSiblingElement",	//374
    "previousSiblingElement$",	//375
    "processName",	//376
    "processName$$$$",	//377
    "processingInstruction",	//378
    "processingInstruction$$",	//379
    "property",	//380
    "property$",	//381
    "property$$",	//382
    "publicId",	//383
    "pushContext",	//384
    "qAcos",	//385
    "qAcos$",	//386
    "qAddPostRoutine",	//387
    "qAddPostRoutine$",	//388
    "qAppName",	//389
    "qAsin",	//390
    "qAsin$",	//391
    "qAtan",	//392
    "qAtan$",	//393
    "qAtan2",	//394
    "qAtan2$$",	//395
    "qBadAlloc",	//396
    "qCeil",	//397
    "qCeil$",	//398
    "qChecksum",	//399
    "qChecksum$$",	//400
    "qCompress",	//401
    "qCompress#",	//402
    "qCompress#$",	//403
    "qCompress$$",	//404
    "qCompress$$$",	//405
    "qCos",	//406
    "qCos$",	//407
    "qCritical",	//408
    "qDebug",	//409
    "qExp",	//410
    "qExp$",	//411
    "qFabs",	//412
    "qFabs$",	//413
    "qFastCos",	//414
    "qFastCos$",	//415
    "qFastSin",	//416
    "qFastSin$",	//417
    "qFlagLocation",	//418
    "qFlagLocation$",	//419
    "qFloor",	//420
    "qFloor$",	//421
    "qFree",	//422
    "qFree$",	//423
    "qFreeAligned",	//424
    "qFreeAligned$",	//425
    "qFuzzyCompare",	//426
    "qFuzzyCompare$$",	//427
    "qFuzzyIsNull",	//428
    "qFuzzyIsNull$",	//429
    "qHash",	//430
    "qHash#",	//431
    "qHash$",	//432
    "qInf",	//433
    "qInstallMsgHandler",	//434
    "qInstallMsgHandler$",	//435
    "qIntCast",	//436
    "qIntCast$",	//437
    "qIsFinite",	//438
    "qIsFinite$",	//439
    "qIsInf",	//440
    "qIsInf$",	//441
    "qIsNaN",	//442
    "qIsNaN$",	//443
    "qIsNull",	//444
    "qIsNull$",	//445
    "qLn",	//446
    "qLn$",	//447
    "qMalloc",	//448
    "qMalloc$",	//449
    "qMallocAligned",	//450
    "qMallocAligned$$",	//451
    "qMemCopy",	//452
    "qMemCopy$$$",	//453
    "qMemSet",	//454
    "qMemSet$$$",	//455
    "qName",	//456
    "qName$",	//457
    "qPow",	//458
    "qPow$$",	//459
    "qQNaN",	//460
    "qRealloc",	//461
    "qRealloc$$",	//462
    "qReallocAligned",	//463
    "qReallocAligned$$$$",	//464
    "qRegisterStaticPluginInstanceFunction",	//465
    "qRegisterStaticPluginInstanceFunction#",	//466
    "qRemovePostRoutine",	//467
    "qRemovePostRoutine$",	//468
    "qRound",	//469
    "qRound$",	//470
    "qRound64",	//471
    "qRound64$",	//472
    "qSNaN",	//473
    "qSetFieldWidth",	//474
    "qSetFieldWidth$",	//475
    "qSetPadChar",	//476
    "qSetPadChar#",	//477
    "qSetRealNumberPrecision",	//478
    "qSetRealNumberPrecision$",	//479
    "qSharedBuild",	//480
    "qSin",	//481
    "qSin$",	//482
    "qSqrt",	//483
    "qSqrt$",	//484
    "qStringComparisonHelper",	//485
    "qStringComparisonHelper#$",	//486
    "qStringComparisonHelper$$",	//487
    "qTan",	//488
    "qTan$",	//489
    "qUncompress",	//490
    "qUncompress#",	//491
    "qUncompress$$",	//492
    "qVersion",	//493
    "qWarning",	//494
    "qbswap_helper",	//495
    "qbswap_helper$$$",	//496
    "qgetenv",	//497
    "qgetenv$",	//498
    "qputenv",	//499
    "qputenv$#",	//500
    "qrand",	//501
    "qsrand",	//502
    "qsrand$",	//503
    "qstrcmp",	//504
    "qstrcmp##",	//505
    "qstrcmp#$",	//506
    "qstrcmp$#",	//507
    "qstrcmp$$",	//508
    "qstrcpy",	//509
    "qstrcpy$$",	//510
    "qstrdup",	//511
    "qstrdup$",	//512
    "qstricmp",	//513
    "qstricmp$$",	//514
    "qstrlen",	//515
    "qstrlen$",	//516
    "qstrncmp",	//517
    "qstrncmp$$$",	//518
    "qstrncpy",	//519
    "qstrncpy$$$",	//520
    "qstrnicmp",	//521
    "qstrnicmp$$$",	//522
    "qstrnlen",	//523
    "qstrnlen$$",	//524
    "qtTrId",	//525
    "qtTrId$",	//526
    "qtTrId$$",	//527
    "qt_assert",	//528
    "qt_assert$$$",	//529
    "qt_assert_x",	//530
    "qt_assert_x$$$$",	//531
    "qt_check_pointer",	//532
    "qt_check_pointer$$",	//533
    "qt_error_string",	//534
    "qt_error_string$",	//535
    "qt_message_output",	//536
    "qt_message_output$$",	//537
    "qt_noop",	//538
    "qt_qFindChild_helper",	//539
    "qt_qFindChild_helper#$#",	//540
    "qt_qFindChildren_helper",	//541
    "qt_qFindChildren_helper#$##?",	//542
    "qvariant_cast_helper",	//543
    "qvariant_cast_helper#$$",	//544
    "qvsnprintf",	//545
    "qvsnprintf$$$?",	//546
    "removeAttribute",	//547
    "removeAttribute$",	//548
    "removeAttributeNS",	//549
    "removeAttributeNS$$",	//550
    "removeAttributeNode",	//551
    "removeAttributeNode#",	//552
    "removeChild",	//553
    "removeChild#",	//554
    "removeNamedItem",	//555
    "removeNamedItem$",	//556
    "removeNamedItemNS",	//557
    "removeNamedItemNS$$",	//558
    "replaceChild",	//559
    "replaceChild##",	//560
    "replaceData",	//561
    "replaceData$$$",	//562
    "reset",	//563
    "resolveEntity",	//564
    "resolveEntity$$#",	//565
    "save",	//566
    "save#$",	//567
    "save#$$",	//568
    "setAttribute",	//569
    "setAttribute$$",	//570
    "setAttributeNS",	//571
    "setAttributeNS$$$",	//572
    "setAttributeNode",	//573
    "setAttributeNode#",	//574
    "setAttributeNodeNS",	//575
    "setAttributeNodeNS#",	//576
    "setAutoFormatting",	//577
    "setAutoFormatting$",	//578
    "setAutoFormattingIndent",	//579
    "setAutoFormattingIndent$",	//580
    "setCodec",	//581
    "setCodec#",	//582
    "setCodec$",	//583
    "setContent",	//584
    "setContent#",	//585
    "setContent##",	//586
    "setContent##$",	//587
    "setContent##$$",	//588
    "setContent##$$$",	//589
    "setContent#$",	//590
    "setContent#$$",	//591
    "setContent#$$$",	//592
    "setContent#$$$$",	//593
    "setContent$",	//594
    "setContent$$",	//595
    "setContent$$$",	//596
    "setContent$$$$",	//597
    "setContent$$$$$",	//598
    "setContentHandler",	//599
    "setContentHandler#",	//600
    "setDTDHandler",	//601
    "setDTDHandler#",	//602
    "setData",	//603
    "setData#",	//604
    "setData$",	//605
    "setDeclHandler",	//606
    "setDeclHandler#",	//607
    "setDevice",	//608
    "setDevice#",	//609
    "setDocumentLocator",	//610
    "setDocumentLocator#",	//611
    "setEntityResolver",	//612
    "setEntityResolver#",	//613
    "setErrorHandler",	//614
    "setErrorHandler#",	//615
    "setFeature",	//616
    "setFeature$$",	//617
    "setImpl",	//618
    "setImpl#",	//619
    "setInvalidDataPolicy",	//620
    "setInvalidDataPolicy$",	//621
    "setLexicalHandler",	//622
    "setLexicalHandler#",	//623
    "setNamedItem",	//624
    "setNamedItem#",	//625
    "setNamedItemNS",	//626
    "setNamedItemNS#",	//627
    "setNodeValue",	//628
    "setNodeValue$",	//629
    "setPrefix",	//630
    "setPrefix$",	//631
    "setPrefix$$",	//632
    "setProperty",	//633
    "setProperty$$",	//634
    "setTagName",	//635
    "setTagName$",	//636
    "setValue",	//637
    "setValue$",	//638
    "size",	//639
    "skippedEntity",	//640
    "skippedEntity$",	//641
    "specified",	//642
    "splitName",	//643
    "splitName$$$",	//644
    "splitText",	//645
    "splitText$",	//646
    "startCDATA",	//647
    "startDTD",	//648
    "startDTD$$$",	//649
    "startDocument",	//650
    "startElement",	//651
    "startElement$$$#",	//652
    "startEntity",	//653
    "startEntity$",	//654
    "startPrefixMapping",	//655
    "startPrefixMapping$$",	//656
    "substringData",	//657
    "substringData$$",	//658
    "systemId",	//659
    "tagName",	//660
    "target",	//661
    "text",	//662
    "toAttr",	//663
    "toByteArray",	//664
    "toByteArray$",	//665
    "toCDATASection",	//666
    "toCharacterData",	//667
    "toComment",	//668
    "toDocument",	//669
    "toDocumentFragment",	//670
    "toDocumentType",	//671
    "toElement",	//672
    "toEntity",	//673
    "toEntityReference",	//674
    "toNotation",	//675
    "toProcessingInstruction",	//676
    "toString",	//677
    "toString$",	//678
    "toText",	//679
    "type",	//680
    "type$",	//681
    "type$$",	//682
    "unparsedEntityDecl",	//683
    "unparsedEntityDecl$$$$",	//684
    "uri",	//685
    "uri$",	//686
    "value",	//687
    "value#",	//688
    "value$",	//689
    "value$$",	//690
    "warning",	//691
    "warning#",	//692
    "writeAttribute",	//693
    "writeAttribute#",	//694
    "writeAttribute$$",	//695
    "writeAttribute$$$",	//696
    "writeAttributes",	//697
    "writeAttributes#",	//698
    "writeCDATA",	//699
    "writeCDATA$",	//700
    "writeCharacters",	//701
    "writeCharacters$",	//702
    "writeComment",	//703
    "writeComment$",	//704
    "writeCurrentToken",	//705
    "writeCurrentToken#",	//706
    "writeDTD",	//707
    "writeDTD$",	//708
    "writeDefaultNamespace",	//709
    "writeDefaultNamespace$",	//710
    "writeEmptyElement",	//711
    "writeEmptyElement$",	//712
    "writeEmptyElement$$",	//713
    "writeEndDocument",	//714
    "writeEndElement",	//715
    "writeEntityReference",	//716
    "writeEntityReference$",	//717
    "writeNamespace",	//718
    "writeNamespace$",	//719
    "writeNamespace$$",	//720
    "writeProcessingInstruction",	//721
    "writeProcessingInstruction$",	//722
    "writeProcessingInstruction$$",	//723
    "writeStartDocument",	//724
    "writeStartDocument$",	//725
    "writeStartDocument$$",	//726
    "writeStartElement",	//727
    "writeStartElement$",	//728
    "writeStartElement$$",	//729
    "writeTextElement",	//730
    "writeTextElement$$",	//731
    "writeTextElement$$$",	//732
    "~QDomAttr",	//733
    "~QDomCDATASection",	//734
    "~QDomCharacterData",	//735
    "~QDomComment",	//736
    "~QDomDocument",	//737
    "~QDomDocumentFragment",	//738
    "~QDomDocumentType",	//739
    "~QDomElement",	//740
    "~QDomEntity",	//741
    "~QDomEntityReference",	//742
    "~QDomImplementation",	//743
    "~QDomNamedNodeMap",	//744
    "~QDomNode",	//745
    "~QDomNodeList",	//746
    "~QDomNotation",	//747
    "~QDomProcessingInstruction",	//748
    "~QDomText",	//749
    "~QXmlAttributes",	//750
    "~QXmlContentHandler",	//751
    "~QXmlDTDHandler",	//752
    "~QXmlDeclHandler",	//753
    "~QXmlDefaultHandler",	//754
    "~QXmlEntityResolver",	//755
    "~QXmlErrorHandler",	//756
    "~QXmlInputSource",	//757
    "~QXmlLexicalHandler",	//758
    "~QXmlLocator",	//759
    "~QXmlNamespaceSupport",	//760
    "~QXmlParseException",	//761
    "~QXmlReader",	//762
    "~QXmlSimpleReader",	//763
    "~QXmlStreamWriter",	//764
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 40, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 40, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 334, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 281, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 642, 0, 0, Smoke::mf_const, 252, 5},	//5 QDomAttr::specified() const
    {10, 362, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 687, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 637, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 292, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 733, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 42, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 42, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 334, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 292, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 734, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 44, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 44, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 334, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 657, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 124, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 247, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 182, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 561, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 275, 0, 0, Smoke::mf_const, 344, 9},	//24 QDomCharacterData::length() const
    {12, 180, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 603, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 292, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 735, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 46, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 46, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 334, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 292, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 736, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 48, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 48, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 48, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 48, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 334, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 170, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 167, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 178, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 163, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 161, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 176, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 157, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 174, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 189, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 237, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 172, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 159, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 191, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 187, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 185, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 236, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 186, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 292, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 584, 31, 5, 0, 252, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 584, 37, 5, 0, 252, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 584, 43, 5, 0, 252, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 584, 49, 5, 0, 252, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 584, 55, 4, 0, 252, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 584, 60, 4, 0, 252, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 584, 65, 4, 0, 252, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 584, 70, 5, 0, 252, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 677, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 664, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 584, 78, 2, 0, 252, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 584, 81, 3, 0, 252, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 584, 85, 4, 0, 252, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 584, 90, 2, 0, 252, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 584, 93, 3, 0, 252, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 584, 97, 4, 0, 252, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 584, 102, 2, 0, 252, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 584, 105, 3, 0, 252, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 584, 109, 4, 0, 252, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 584, 114, 2, 0, 252, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 584, 117, 3, 0, 252, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 584, 121, 4, 0, 252, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 584, 126, 1, 0, 252, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 584, 128, 2, 0, 252, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 584, 131, 3, 0, 252, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 584, 3, 1, 0, 252, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 584, 135, 2, 0, 252, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 584, 138, 3, 0, 252, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 584, 142, 1, 0, 252, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 584, 144, 2, 0, 252, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 584, 147, 3, 0, 252, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 584, 151, 2, 0, 252, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 584, 154, 3, 0, 252, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 584, 158, 4, 0, 252, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 677, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 664, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 737, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 51, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 334, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 292, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 738, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 53, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 53, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 334, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 281, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 202, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 298, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 383, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 659, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 251, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 292, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 739, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 55, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 55, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 334, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 128, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 569, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 569, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 569, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 569, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 569, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 569, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 569, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 547, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 136, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 573, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 551, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 189, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 222, 3, 1, Smoke::mf_const, 252, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 133, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 571, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 571, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 571, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 571, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 571, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 571, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 549, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 138, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 575, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 191, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 224, 25, 2, Smoke::mf_const, 252, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 660, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 635, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 140, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 292, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 662, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 128, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 133, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 740, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 57, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 57, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 334, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 383, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 659, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 297, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 292, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 741, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 59, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 59, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 334, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 292, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 742, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 61, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 61, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 334, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 336, 216, 1, Smoke::mf_const, 252, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 299, 216, 1, Smoke::mf_const, 252, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 228, 25, 2, Smoke::mf_const, 252, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 168, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 165, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 252, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 620, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 265, 0, 0, 0, 252, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 743, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 63, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 63, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 334, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 336, 228, 1, Smoke::mf_const, 252, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 299, 228, 1, Smoke::mf_const, 252, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 282, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 624, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 555, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 270, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 284, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 626, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 557, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 275, 0, 0, Smoke::mf_const, 344, 13},	//187 QDomNamedNodeMap::length() const
    {21, 156, 0, 0, Smoke::mf_const, 335, 14},	//188 QDomNamedNodeMap::count() const
    {21, 639, 0, 0, Smoke::mf_const, 335, 15},	//189 QDomNamedNodeMap::size() const
    {21, 261, 0, 0, Smoke::mf_const, 252, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 153, 3, 1, Smoke::mf_const, 252, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 744, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 65, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 65, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 334, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 336, 230, 1, Smoke::mf_const, 252, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 299, 230, 1, Smoke::mf_const, 252, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 245, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 243, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 559, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 553, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 122, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 227, 0, 0, Smoke::mf_const, 252, 11},	//203 QDomNode::hasChildNodes() const
    {22, 147, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 294, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 267, 25, 2, Smoke::mf_const, 252, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 291, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 292, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 363, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 145, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 216, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 272, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 373, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 288, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 140, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 361, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 286, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 278, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 226, 0, 0, Smoke::mf_const, 252, 27},	//219 QDomNode::hasAttributes() const
    {22, 293, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 628, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 369, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 630, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 253, 0, 0, Smoke::mf_const, 252, 32},	//224 QDomNode::isAttr() const
    {22, 254, 0, 0, Smoke::mf_const, 252, 33},	//225 QDomNode::isCDATASection() const
    {22, 258, 0, 0, Smoke::mf_const, 252, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 257, 0, 0, Smoke::mf_const, 252, 35},	//227 QDomNode::isDocument() const
    {22, 259, 0, 0, Smoke::mf_const, 252, 36},	//228 QDomNode::isDocumentType() const
    {22, 260, 0, 0, Smoke::mf_const, 252, 37},	//229 QDomNode::isElement() const
    {22, 263, 0, 0, Smoke::mf_const, 252, 38},	//230 QDomNode::isEntityReference() const
    {22, 269, 0, 0, Smoke::mf_const, 252, 39},	//231 QDomNode::isText() const
    {22, 262, 0, 0, Smoke::mf_const, 252, 40},	//232 QDomNode::isEntity() const
    {22, 264, 0, 0, Smoke::mf_const, 252, 41},	//233 QDomNode::isNotation() const
    {22, 266, 0, 0, Smoke::mf_const, 252, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 255, 0, 0, Smoke::mf_const, 252, 43},	//235 QDomNode::isCharacterData() const
    {22, 256, 0, 0, Smoke::mf_const, 252, 44},	//236 QDomNode::isComment() const
    {22, 282, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 265, 0, 0, Smoke::mf_const, 252, 46},	//238 QDomNode::isNull() const
    {22, 146, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 663, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 666, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 670, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 669, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 671, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 672, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 674, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 679, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 673, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 675, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 676, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 667, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 668, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 566, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 566, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 217, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 273, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 374, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 289, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 277, 0, 0, Smoke::mf_const, 335, 67},	//259 QDomNode::lineNumber() const
    {22, 150, 0, 0, Smoke::mf_const, 335, 68},	//260 QDomNode::columnNumber() const
    {22, 147, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 217, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 273, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 374, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 289, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 235, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 618, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 745, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 67, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 67, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 334, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 336, 246, 1, Smoke::mf_const, 252, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 299, 246, 1, Smoke::mf_const, 252, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 270, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 126, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 275, 0, 0, Smoke::mf_const, 344, 8},	//292 QDomNodeList::length() const
    {23, 156, 0, 0, Smoke::mf_const, 335, 9},	//293 QDomNodeList::count() const
    {23, 639, 0, 0, Smoke::mf_const, 335, 10},	//294 QDomNodeList::size() const
    {23, 261, 0, 0, Smoke::mf_const, 252, 11},	//295 QDomNodeList::isEmpty() const
    {23, 746, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 69, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 69, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 334, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 383, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 659, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 292, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 747, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 71, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 71, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 334, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 661, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 180, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 603, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 292, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 748, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 73, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 73, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 334, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 645, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 292, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 749, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 469, 254, 1, Smoke::mf_static, 335, 1},	//318 QGlobalSpace::qRound(double)
    {29, 358, 256, 2, Smoke::mf_static, 80, 2},	//319 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 385, 254, 1, Smoke::mf_static, 333, 3},	//320 QGlobalSpace::qAcos(double)
    {29, 352, 259, 2, Smoke::mf_static, 10, 4},	//321 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 358, 262, 2, Smoke::mf_static, 78, 5},	//322 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 347, 265, 2, Smoke::mf_static, 252, 6},	//323 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 389, 0, 0, Smoke::mf_static, 122, 7},	//324 QGlobalSpace::qAppName()
    {29, 352, 268, 2, Smoke::mf_static, 10, 8},	//325 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 358, 271, 2, Smoke::mf_static, 106, 9},	//326 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 519, 274, 3, Smoke::mf_static, 255, 10},	//327 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 430, 278, 1, Smoke::mf_static, 344, 11},	//328 QGlobalSpace::qHash(unsigned int)
    {29, 430, 280, 1, Smoke::mf_static, 344, 12},	//329 QGlobalSpace::qHash(char)
    {29, 307, 282, 2, Smoke::mf_static, 301, 13},	//330 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 325, 285, 2, Smoke::mf_static, 13, 14},	//331 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 497, 288, 1, Smoke::mf_static, 5, 15},	//332 QGlobalSpace::qgetenv(const char*)
    {29, 320, 290, 2, Smoke::mf_static, 252, 16},	//333 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 342, 293, 2, Smoke::mf_static, 252, 17},	//334 QGlobalSpace::operator>(const char*, const QString&)
    {29, 352, 296, 2, Smoke::mf_static, 10, 18},	//335 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 358, 299, 2, Smoke::mf_static, 94, 19},	//336 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 336, 302, 2, Smoke::mf_static, 252, 20},	//337 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 325, 305, 2, Smoke::mf_static, 13, 21},	//338 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 336, 308, 2, Smoke::mf_static, 252, 22},	//339 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 416, 254, 1, Smoke::mf_static, 333, 23},	//340 QGlobalSpace::qFastSin(double)
    {29, 310, 311, 2, Smoke::mf_static, 303, 24},	//341 QGlobalSpace::operator+(QChar, const QString&)
    {29, 517, 314, 3, Smoke::mf_static, 335, 25},	//342 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 329, 318, 2, Smoke::mf_static, 252, 26},	//343 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 329, 321, 2, Smoke::mf_static, 252, 27},	//344 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 545, 324, 4, Smoke::mf_static, 335, 28},	//345 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 299, 329, 2, Smoke::mf_static, 252, 29},	//346 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 299, 332, 2, Smoke::mf_static, 252, 30},	//347 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 310, 335, 2, Smoke::mf_static, 303, 31},	//348 QGlobalSpace::operator+(const QString&, QChar)
    {29, 310, 308, 2, Smoke::mf_static, 299, 32},	//349 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 523, 338, 2, Smoke::mf_static, 344, 33},	//350 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 336, 321, 2, Smoke::mf_static, 252, 34},	//351 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 352, 341, 2, Smoke::mf_static, 10, 35},	//352 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 299, 344, 2, Smoke::mf_static, 252, 36},	//353 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 325, 347, 2, Smoke::mf_static, 13, 37},	//354 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 358, 350, 2, Smoke::mf_static, 100, 38},	//355 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 325, 353, 2, Smoke::mf_static, 13, 39},	//356 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 299, 356, 2, Smoke::mf_static, 252, 40},	//357 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 430, 359, 1, Smoke::mf_static, 344, 41},	//358 QGlobalSpace::qHash(unsigned char)
    {29, 541, 361, 5, Smoke::mf_static, 0, 42},	//359 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 336, 367, 2, Smoke::mf_static, 252, 43},	//360 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 534, 76, 1, Smoke::mf_static, 122, 44},	//361 QGlobalSpace::qt_error_string(int)
    {29, 534, 0, 0, Smoke::mf_static, 122, 45},	//362 QGlobalSpace::qt_error_string()
    {29, 352, 370, 2, Smoke::mf_static, 10, 46},	//363 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 444, 373, 1, Smoke::mf_static, 252, 47},	//364 QGlobalSpace::qIsNull(float)
    {29, 358, 375, 2, Smoke::mf_static, 106, 48},	//365 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 460, 0, 0, Smoke::mf_static, 333, 49},	//366 QGlobalSpace::qQNaN()
    {29, 299, 378, 2, Smoke::mf_static, 252, 50},	//367 QGlobalSpace::operator!=(QChar, QChar)
    {29, 476, 381, 1, Smoke::mf_static, 135, 51},	//368 QGlobalSpace::qSetPadChar(QChar)
    {29, 352, 383, 2, Smoke::mf_static, 10, 52},	//369 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 325, 386, 2, Smoke::mf_static, 13, 53},	//370 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 358, 389, 2, Smoke::mf_static, 82, 54},	//371 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 315, 329, 2, Smoke::mf_static, 293, 55},	//372 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 525, 392, 2, Smoke::mf_static, 122, 56},	//373 QGlobalSpace::qtTrId(const char*, int)
    {29, 525, 288, 1, Smoke::mf_static, 122, 57},	//374 QGlobalSpace::qtTrId(const char*)
    {29, 394, 395, 2, Smoke::mf_static, 333, 58},	//375 QGlobalSpace::qAtan2(double, double)
    {29, 325, 398, 2, Smoke::mf_static, 10, 59},	//376 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 430, 401, 1, Smoke::mf_static, 344, 60},	//377 QGlobalSpace::qHash(short)
    {29, 325, 403, 2, Smoke::mf_static, 10, 61},	//378 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 336, 265, 2, Smoke::mf_static, 252, 62},	//379 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 358, 406, 2, Smoke::mf_static, 99, 63},	//380 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 438, 254, 1, Smoke::mf_static, 252, 64},	//381 QGlobalSpace::qIsFinite(double)
    {29, 358, 409, 2, Smoke::mf_static, 94, 65},	//382 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 504, 290, 2, Smoke::mf_static, 335, 66},	//383 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 511, 288, 1, Smoke::mf_static, 255, 67},	//384 QGlobalSpace::qstrdup(const char*)
    {29, 430, 412, 1, Smoke::mf_static, 344, 68},	//385 QGlobalSpace::qHash(long)
    {29, 358, 414, 2, Smoke::mf_static, 93, 69},	//386 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 504, 417, 2, Smoke::mf_static, 335, 70},	//387 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 325, 420, 2, Smoke::mf_static, 10, 71},	//388 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 342, 318, 2, Smoke::mf_static, 252, 72},	//389 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 299, 423, 2, Smoke::mf_static, 252, 73},	//390 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 310, 426, 2, Smoke::mf_static, 257, 74},	//391 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 299, 265, 2, Smoke::mf_static, 252, 75},	//392 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 430, 429, 1, Smoke::mf_static, 344, 76},	//393 QGlobalSpace::qHash(const QBitArray&)
    {29, 358, 431, 2, Smoke::mf_static, 78, 77},	//394 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 509, 434, 2, Smoke::mf_static, 255, 78},	//395 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 358, 437, 2, Smoke::mf_static, 2, 79},	//396 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 299, 440, 2, Smoke::mf_static, 252, 80},	//397 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 392, 254, 1, Smoke::mf_static, 333, 81},	//398 QGlobalSpace::qAtan(double)
    {29, 320, 426, 2, Smoke::mf_static, 252, 82},	//399 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 504, 426, 2, Smoke::mf_static, 335, 83},	//400 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 347, 378, 2, Smoke::mf_static, 252, 84},	//401 QGlobalSpace::operator>=(QChar, QChar)
    {29, 358, 443, 2, Smoke::mf_static, 95, 85},	//402 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 329, 378, 2, Smoke::mf_static, 252, 86},	//403 QGlobalSpace::operator<=(QChar, QChar)
    {29, 307, 446, 2, Smoke::mf_static, 293, 87},	//404 QGlobalSpace::operator*(const QPointF&, double)
    {29, 325, 449, 2, Smoke::mf_static, 13, 88},	//405 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 336, 452, 2, Smoke::mf_static, 252, 89},	//406 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 358, 455, 2, Smoke::mf_static, 75, 90},	//407 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 532, 392, 2, Smoke::mf_static, 0, 91},	//408 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 336, 423, 2, Smoke::mf_static, 252, 92},	//409 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 299, 318, 2, Smoke::mf_static, 252, 93},	//410 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 352, 458, 2, Smoke::mf_static, 10, 94},	//411 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 299, 461, 2, Smoke::mf_static, 252, 95},	//412 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 329, 464, 2, Smoke::mf_static, 252, 96},	//413 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 490, 467, 2, Smoke::mf_static, 5, 97},	//414 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 401, 470, 2, Smoke::mf_static, 5, 98},	//415 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 401, 126, 1, Smoke::mf_static, 5, 99},	//416 QGlobalSpace::qCompress(const QByteArray&)
    {29, 325, 473, 2, Smoke::mf_static, 10, 100},	//417 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 352, 476, 2, Smoke::mf_static, 132, 101},	//418 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 358, 479, 2, Smoke::mf_static, 106, 102},	//419 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 463, 482, 4, Smoke::mf_static, 351, 103},	//420 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 358, 487, 2, Smoke::mf_static, 106, 104},	//421 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 342, 265, 2, Smoke::mf_static, 252, 105},	//422 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 483, 254, 1, Smoke::mf_static, 333, 106},	//423 QGlobalSpace::qSqrt(double)
    {29, 325, 490, 2, Smoke::mf_static, 10, 107},	//424 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 325, 476, 2, Smoke::mf_static, 132, 108},	//425 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 325, 493, 2, Smoke::mf_static, 13, 109},	//426 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 342, 321, 2, Smoke::mf_static, 252, 110},	//427 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 347, 464, 2, Smoke::mf_static, 252, 111},	//428 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 436, 373, 1, Smoke::mf_static, 335, 112},	//429 QGlobalSpace::qIntCast(float)
    {29, 358, 496, 2, Smoke::mf_static, 85, 113},	//430 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 336, 329, 2, Smoke::mf_static, 252, 114},	//431 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 342, 426, 2, Smoke::mf_static, 252, 115},	//432 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 412, 254, 1, Smoke::mf_static, 333, 116},	//433 QGlobalSpace::qFabs(double)
    {29, 430, 499, 1, Smoke::mf_static, 344, 117},	//434 QGlobalSpace::qHash(unsigned short)
    {29, 336, 426, 2, Smoke::mf_static, 252, 118},	//435 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 358, 501, 2, Smoke::mf_static, 99, 119},	//436 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 358, 504, 2, Smoke::mf_static, 84, 120},	//437 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 325, 507, 2, Smoke::mf_static, 13, 121},	//438 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 358, 510, 2, Smoke::mf_static, 97, 122},	//439 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 299, 321, 2, Smoke::mf_static, 252, 123},	//440 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 461, 513, 2, Smoke::mf_static, 351, 124},	//441 QGlobalSpace::qRealloc(void*, size_t)
    {29, 358, 516, 2, Smoke::mf_static, 90, 125},	//442 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 358, 519, 2, Smoke::mf_static, 106, 126},	//443 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 336, 522, 2, Smoke::mf_static, 252, 127},	//444 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 358, 525, 2, Smoke::mf_static, 91, 128},	//445 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 494, 0, 0, Smoke::mf_static, 13, 129},	//446 QGlobalSpace::qWarning()
    {29, 358, 528, 2, Smoke::mf_static, 106, 130},	//447 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 426, 395, 2, Smoke::mf_static, 252, 131},	//448 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 329, 265, 2, Smoke::mf_static, 252, 132},	//449 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 358, 531, 2, Smoke::mf_static, 81, 133},	//450 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 358, 534, 2, Smoke::mf_static, 83, 134},	//451 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 352, 537, 2, Smoke::mf_static, 10, 135},	//452 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 325, 540, 2, Smoke::mf_static, 10, 136},	//453 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 299, 543, 2, Smoke::mf_static, 252, 137},	//454 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 307, 546, 2, Smoke::mf_static, 299, 138},	//455 QGlobalSpace::operator*(double, const QSize&)
    {29, 358, 549, 2, Smoke::mf_static, 89, 139},	//456 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 409, 0, 0, Smoke::mf_static, 13, 140},	//457 QGlobalSpace::qDebug()
    {29, 430, 552, 1, Smoke::mf_static, 344, 141},	//458 QGlobalSpace::qHash(long long)
    {29, 358, 554, 2, Smoke::mf_static, 96, 142},	//459 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 329, 293, 2, Smoke::mf_static, 252, 143},	//460 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 315, 557, 1, Smoke::mf_static, 293, 144},	//461 QGlobalSpace::operator-(const QPointF&)
    {29, 358, 559, 2, Smoke::mf_static, 106, 145},	//462 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 440, 373, 1, Smoke::mf_static, 252, 146},	//463 QGlobalSpace::qIsInf(float)
    {29, 358, 562, 2, Smoke::mf_static, 106, 147},	//464 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 310, 293, 2, Smoke::mf_static, 303, 148},	//465 QGlobalSpace::operator+(const char*, const QString&)
    {29, 329, 426, 2, Smoke::mf_static, 252, 149},	//466 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 325, 565, 2, Smoke::mf_static, 13, 150},	//467 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 299, 464, 2, Smoke::mf_static, 252, 151},	//468 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 342, 378, 2, Smoke::mf_static, 252, 152},	//469 QGlobalSpace::operator>(QChar, QChar)
    {29, 318, 282, 2, Smoke::mf_static, 301, 153},	//470 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 358, 568, 2, Smoke::mf_static, 106, 154},	//471 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 325, 571, 2, Smoke::mf_static, 13, 155},	//472 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 504, 464, 2, Smoke::mf_static, 335, 156},	//473 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 305, 437, 2, Smoke::mf_static, 2, 157},	//474 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 315, 574, 1, Smoke::mf_static, 291, 158},	//475 QGlobalSpace::operator-(const QPoint&)
    {29, 325, 576, 2, Smoke::mf_static, 13, 159},	//476 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 347, 290, 2, Smoke::mf_static, 252, 160},	//477 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 325, 579, 2, Smoke::mf_static, 10, 161},	//478 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 358, 582, 2, Smoke::mf_static, 85, 162},	//479 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 347, 318, 2, Smoke::mf_static, 252, 163},	//480 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 320, 321, 2, Smoke::mf_static, 252, 164},	//481 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 299, 585, 2, Smoke::mf_static, 252, 165},	//482 QGlobalSpace::operator!=(QBool, QBool)
    {29, 310, 588, 2, Smoke::mf_static, 303, 166},	//483 QGlobalSpace::operator+(const QString&, char)
    {29, 299, 591, 2, Smoke::mf_static, 252, 167},	//484 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 430, 594, 1, Smoke::mf_static, 344, 168},	//485 QGlobalSpace::qHash(unsigned long long)
    {29, 336, 318, 2, Smoke::mf_static, 252, 169},	//486 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 418, 288, 1, Smoke::mf_static, 329, 170},	//487 QGlobalSpace::qFlagLocation(const char*)
    {29, 318, 446, 2, Smoke::mf_static, 293, 171},	//488 QGlobalSpace::operator/(const QPointF&, double)
    {29, 436, 254, 1, Smoke::mf_static, 335, 172},	//489 QGlobalSpace::qIntCast(double)
    {29, 358, 596, 2, Smoke::mf_static, 106, 173},	//490 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 490, 126, 1, Smoke::mf_static, 5, 174},	//491 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 299, 302, 2, Smoke::mf_static, 252, 175},	//492 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 325, 599, 2, Smoke::mf_static, 13, 176},	//493 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 336, 602, 2, Smoke::mf_static, 252, 177},	//494 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 329, 290, 2, Smoke::mf_static, 252, 178},	//495 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 414, 254, 1, Smoke::mf_static, 333, 179},	//496 QGlobalSpace::qFastCos(double)
    {29, 467, 605, 1, Smoke::mf_static, 0, 180},	//497 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 358, 607, 2, Smoke::mf_static, 83, 181},	//498 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 358, 610, 2, Smoke::mf_static, 91, 182},	//499 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 352, 613, 2, Smoke::mf_static, 10, 183},	//500 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 426, 616, 2, Smoke::mf_static, 252, 184},	//501 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 325, 619, 2, Smoke::mf_static, 10, 185},	//502 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 399, 338, 2, Smoke::mf_static, 347, 186},	//503 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 352, 622, 2, Smoke::mf_static, 10, 187},	//504 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 307, 625, 2, Smoke::mf_static, 299, 188},	//505 QGlobalSpace::operator*(const QSize&, double)
    {29, 434, 628, 1, Smoke::mf_static, 350, 189},	//506 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 315, 440, 2, Smoke::mf_static, 291, 190},	//507 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 325, 630, 2, Smoke::mf_static, 132, 191},	//508 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 358, 633, 2, Smoke::mf_static, 88, 192},	//509 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 352, 636, 2, Smoke::mf_static, 10, 193},	//510 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 358, 639, 2, Smoke::mf_static, 76, 194},	//511 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 408, 0, 0, Smoke::mf_static, 13, 195},	//512 QGlobalSpace::qCritical()
    {29, 458, 395, 2, Smoke::mf_static, 333, 196},	//513 QGlobalSpace::qPow(double, double)
    {29, 318, 642, 2, Smoke::mf_static, 291, 197},	//514 QGlobalSpace::operator/(const QPoint&, double)
    {29, 325, 645, 2, Smoke::mf_static, 10, 198},	//515 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 325, 648, 2, Smoke::mf_static, 10, 199},	//516 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 299, 602, 2, Smoke::mf_static, 252, 200},	//517 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 430, 76, 1, Smoke::mf_static, 344, 201},	//518 QGlobalSpace::qHash(int)
    {29, 358, 651, 2, Smoke::mf_static, 92, 202},	//519 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 538, 0, 0, Smoke::mf_static, 0, 203},	//520 QGlobalSpace::qt_noop()
    {29, 336, 332, 2, Smoke::mf_static, 252, 204},	//521 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 358, 654, 2, Smoke::mf_static, 106, 205},	//522 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 299, 367, 2, Smoke::mf_static, 252, 206},	//523 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 352, 657, 2, Smoke::mf_static, 10, 207},	//524 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 539, 660, 3, Smoke::mf_static, 113, 208},	//525 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 325, 664, 2, Smoke::mf_static, 10, 209},	//526 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 336, 585, 2, Smoke::mf_static, 252, 210},	//527 QGlobalSpace::operator==(QBool, QBool)
    {29, 410, 254, 1, Smoke::mf_static, 333, 211},	//528 QGlobalSpace::qExp(double)
    {29, 352, 667, 2, Smoke::mf_static, 10, 212},	//529 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 352, 670, 2, Smoke::mf_static, 10, 213},	//530 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 358, 673, 2, Smoke::mf_static, 95, 214},	//531 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 336, 676, 2, Smoke::mf_static, 252, 215},	//532 QGlobalSpace::operator==(bool, QBool)
    {29, 358, 679, 2, Smoke::mf_static, 86, 216},	//533 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 428, 254, 1, Smoke::mf_static, 252, 217},	//534 QGlobalSpace::qFuzzyIsNull(double)
    {29, 352, 682, 2, Smoke::mf_static, 10, 218},	//535 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 543, 685, 3, Smoke::mf_static, 252, 219},	//536 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 320, 293, 2, Smoke::mf_static, 252, 220},	//537 QGlobalSpace::operator<(const char*, const QString&)
    {29, 336, 689, 2, Smoke::mf_static, 252, 221},	//538 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 495, 692, 3, Smoke::mf_static, 0, 222},	//539 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 430, 381, 1, Smoke::mf_static, 344, 223},	//540 QGlobalSpace::qHash(QChar)
    {29, 358, 696, 2, Smoke::mf_static, 106, 224},	//541 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 325, 699, 2, Smoke::mf_static, 10, 225},	//542 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 299, 689, 2, Smoke::mf_static, 252, 226},	//543 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 320, 265, 2, Smoke::mf_static, 252, 227},	//544 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 358, 702, 2, Smoke::mf_static, 79, 228},	//545 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 299, 676, 2, Smoke::mf_static, 252, 229},	//546 QGlobalSpace::operator!=(bool, QBool)
    {29, 536, 705, 2, Smoke::mf_static, 0, 230},	//547 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 502, 278, 1, Smoke::mf_static, 0, 231},	//548 QGlobalSpace::qsrand(unsigned int)
    {29, 336, 708, 2, Smoke::mf_static, 252, 232},	//549 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 310, 711, 2, Smoke::mf_static, 303, 233},	//550 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 358, 714, 2, Smoke::mf_static, 87, 234},	//551 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 325, 717, 2, Smoke::mf_static, 13, 235},	//552 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 358, 720, 2, Smoke::mf_static, 106, 236},	//553 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 352, 723, 2, Smoke::mf_static, 10, 237},	//554 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 299, 522, 2, Smoke::mf_static, 252, 238},	//555 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 513, 417, 2, Smoke::mf_static, 335, 239},	//556 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 358, 726, 2, Smoke::mf_static, 103, 240},	//557 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 454, 729, 3, Smoke::mf_static, 351, 241},	//558 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 325, 733, 2, Smoke::mf_static, 13, 242},	//559 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 299, 308, 2, Smoke::mf_static, 252, 243},	//560 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 397, 254, 1, Smoke::mf_static, 335, 244},	//561 QGlobalSpace::qCeil(double)
    {29, 430, 736, 1, Smoke::mf_static, 344, 245},	//562 QGlobalSpace::qHash(signed char)
    {29, 358, 738, 2, Smoke::mf_static, 103, 246},	//563 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 336, 356, 2, Smoke::mf_static, 252, 247},	//564 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 358, 741, 2, Smoke::mf_static, 102, 248},	//565 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 336, 591, 2, Smoke::mf_static, 252, 249},	//566 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 325, 744, 2, Smoke::mf_static, 13, 250},	//567 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 352, 747, 2, Smoke::mf_static, 10, 251},	//568 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 358, 750, 2, Smoke::mf_static, 106, 252},	//569 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 310, 440, 2, Smoke::mf_static, 291, 253},	//570 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 310, 290, 2, Smoke::mf_static, 257, 254},	//571 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 387, 605, 1, Smoke::mf_static, 0, 255},	//572 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 465, 753, 1, Smoke::mf_static, 0, 256},	//573 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 307, 755, 2, Smoke::mf_static, 293, 257},	//574 QGlobalSpace::operator*(double, const QPointF&)
    {29, 480, 0, 0, Smoke::mf_static, 252, 258},	//575 QGlobalSpace::qSharedBuild()
    {29, 325, 758, 2, Smoke::mf_static, 10, 259},	//576 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 325, 761, 2, Smoke::mf_static, 10, 260},	//577 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 352, 764, 2, Smoke::mf_static, 10, 261},	//578 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 433, 0, 0, Smoke::mf_static, 333, 262},	//579 QGlobalSpace::qInf()
    {29, 521, 314, 3, Smoke::mf_static, 335, 263},	//580 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 430, 767, 1, Smoke::mf_static, 344, 264},	//581 QGlobalSpace::qHash(const QStringRef&)
    {29, 352, 769, 2, Smoke::mf_static, 10, 265},	//582 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 358, 772, 2, Smoke::mf_static, 106, 266},	//583 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 342, 464, 2, Smoke::mf_static, 252, 267},	//584 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 325, 775, 2, Smoke::mf_static, 10, 268},	//585 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 325, 778, 2, Smoke::mf_static, 132, 269},	//586 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 336, 378, 2, Smoke::mf_static, 252, 270},	//587 QGlobalSpace::operator==(QChar, QChar)
    {29, 406, 254, 1, Smoke::mf_static, 333, 271},	//588 QGlobalSpace::qCos(double)
    {29, 450, 781, 2, Smoke::mf_static, 351, 272},	//589 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 325, 784, 2, Smoke::mf_static, 10, 273},	//590 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 310, 787, 2, Smoke::mf_static, 303, 274},	//591 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 530, 790, 4, Smoke::mf_static, 0, 275},	//592 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 358, 795, 2, Smoke::mf_static, 87, 276},	//593 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 358, 798, 2, Smoke::mf_static, 79, 277},	//594 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 310, 801, 2, Smoke::mf_static, 257, 278},	//595 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 358, 804, 2, Smoke::mf_static, 82, 279},	//596 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 493, 0, 0, Smoke::mf_static, 329, 280},	//597 QGlobalSpace::qVersion()
    {29, 358, 807, 2, Smoke::mf_static, 88, 281},	//598 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 325, 810, 2, Smoke::mf_static, 10, 282},	//599 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 310, 329, 2, Smoke::mf_static, 293, 283},	//600 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 336, 293, 2, Smoke::mf_static, 252, 284},	//601 QGlobalSpace::operator==(const char*, const QString&)
    {29, 358, 813, 2, Smoke::mf_static, 81, 285},	//602 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 325, 816, 2, Smoke::mf_static, 10, 286},	//603 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 358, 819, 2, Smoke::mf_static, 106, 287},	//604 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 336, 543, 2, Smoke::mf_static, 252, 288},	//605 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 485, 822, 2, Smoke::mf_static, 252, 289},	//606 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 358, 825, 2, Smoke::mf_static, 77, 290},	//607 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 325, 828, 2, Smoke::mf_static, 10, 291},	//608 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 310, 831, 2, Smoke::mf_static, 257, 292},	//609 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 310, 834, 2, Smoke::mf_static, 303, 293},	//610 QGlobalSpace::operator+(const QString&, const char*)
    {29, 358, 837, 2, Smoke::mf_static, 106, 294},	//611 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 320, 464, 2, Smoke::mf_static, 252, 295},	//612 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 401, 840, 3, Smoke::mf_static, 5, 296},	//613 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 401, 467, 2, Smoke::mf_static, 5, 297},	//614 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 420, 254, 1, Smoke::mf_static, 335, 298},	//615 QGlobalSpace::qFloor(double)
    {29, 358, 844, 2, Smoke::mf_static, 98, 299},	//616 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 430, 3, 1, Smoke::mf_static, 344, 300},	//617 QGlobalSpace::qHash(const QString&)
    {29, 310, 25, 2, Smoke::mf_static, 303, 301},	//618 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 299, 847, 2, Smoke::mf_static, 252, 302},	//619 QGlobalSpace::operator!=(QBool, bool)
    {29, 336, 464, 2, Smoke::mf_static, 252, 303},	//620 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 325, 850, 2, Smoke::mf_static, 10, 304},	//621 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 442, 373, 1, Smoke::mf_static, 252, 305},	//622 QGlobalSpace::qIsNaN(float)
    {29, 325, 853, 2, Smoke::mf_static, 10, 306},	//623 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 358, 856, 2, Smoke::mf_static, 106, 307},	//624 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 452, 859, 3, Smoke::mf_static, 351, 308},	//625 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 422, 863, 1, Smoke::mf_static, 0, 309},	//626 QGlobalSpace::qFree(void*)
    {29, 336, 822, 2, Smoke::mf_static, 252, 310},	//627 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 347, 293, 2, Smoke::mf_static, 252, 311},	//628 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 442, 254, 1, Smoke::mf_static, 252, 312},	//629 QGlobalSpace::qIsNaN(double)
    {29, 358, 865, 2, Smoke::mf_static, 100, 313},	//630 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 307, 642, 2, Smoke::mf_static, 291, 314},	//631 QGlobalSpace::operator*(const QPoint&, double)
    {29, 325, 868, 2, Smoke::mf_static, 13, 315},	//632 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 478, 76, 1, Smoke::mf_static, 135, 316},	//633 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 501, 0, 0, Smoke::mf_static, 335, 317},	//634 QGlobalSpace::qrand()
    {29, 352, 871, 2, Smoke::mf_static, 10, 318},	//635 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 430, 874, 1, Smoke::mf_static, 344, 319},	//636 QGlobalSpace::qHash(const QUrl&)
    {29, 358, 876, 2, Smoke::mf_static, 101, 320},	//637 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 310, 464, 2, Smoke::mf_static, 257, 321},	//638 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 307, 879, 2, Smoke::mf_static, 291, 322},	//639 QGlobalSpace::operator*(double, const QPoint&)
    {29, 299, 822, 2, Smoke::mf_static, 252, 323},	//640 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 481, 254, 1, Smoke::mf_static, 333, 324},	//641 QGlobalSpace::qSin(double)
    {29, 325, 882, 2, Smoke::mf_static, 13, 325},	//642 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 336, 440, 2, Smoke::mf_static, 252, 326},	//643 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 358, 885, 2, Smoke::mf_static, 80, 327},	//644 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 528, 888, 3, Smoke::mf_static, 0, 328},	//645 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 325, 892, 2, Smoke::mf_static, 13, 329},	//646 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 515, 288, 1, Smoke::mf_static, 344, 330},	//647 QGlobalSpace::qstrlen(const char*)
    {29, 358, 895, 2, Smoke::mf_static, 86, 331},	//648 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 358, 898, 2, Smoke::mf_static, 77, 332},	//649 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 440, 254, 1, Smoke::mf_static, 252, 333},	//650 QGlobalSpace::qIsInf(double)
    {29, 315, 308, 2, Smoke::mf_static, 299, 334},	//651 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 318, 625, 2, Smoke::mf_static, 299, 335},	//652 QGlobalSpace::operator/(const QSize&, double)
    {29, 347, 426, 2, Smoke::mf_static, 252, 336},	//653 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 358, 901, 2, Smoke::mf_static, 106, 337},	//654 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 358, 904, 2, Smoke::mf_static, 106, 338},	//655 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 299, 426, 2, Smoke::mf_static, 252, 339},	//656 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 488, 254, 1, Smoke::mf_static, 333, 340},	//657 QGlobalSpace::qTan(double)
    {29, 471, 254, 1, Smoke::mf_static, 338, 341},	//658 QGlobalSpace::qRound64(double)
    {29, 430, 907, 1, Smoke::mf_static, 344, 342},	//659 QGlobalSpace::qHash(unsigned long)
    {29, 358, 909, 2, Smoke::mf_static, 75, 343},	//660 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 473, 0, 0, Smoke::mf_static, 333, 344},	//661 QGlobalSpace::qSNaN()
    {29, 320, 378, 2, Smoke::mf_static, 252, 345},	//662 QGlobalSpace::operator<(QChar, QChar)
    {29, 358, 912, 2, Smoke::mf_static, 97, 346},	//663 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 358, 915, 2, Smoke::mf_static, 90, 347},	//664 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 315, 543, 2, Smoke::mf_static, 301, 348},	//665 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 448, 918, 1, Smoke::mf_static, 351, 349},	//666 QGlobalSpace::qMalloc(size_t)
    {29, 444, 254, 1, Smoke::mf_static, 252, 350},	//667 QGlobalSpace::qIsNull(double)
    {29, 499, 426, 2, Smoke::mf_static, 252, 351},	//668 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 358, 920, 2, Smoke::mf_static, 106, 352},	//669 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 352, 923, 2, Smoke::mf_static, 10, 353},	//670 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 358, 926, 2, Smoke::mf_static, 106, 354},	//671 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 352, 929, 2, Smoke::mf_static, 10, 355},	//672 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 428, 373, 1, Smoke::mf_static, 252, 356},	//673 QGlobalSpace::qFuzzyIsNull(float)
    {29, 325, 932, 2, Smoke::mf_static, 10, 357},	//674 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 325, 935, 2, Smoke::mf_static, 13, 358},	//675 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 430, 938, 1, Smoke::mf_static, 344, 359},	//676 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 325, 940, 2, Smoke::mf_static, 13, 360},	//677 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 358, 943, 2, Smoke::mf_static, 106, 361},	//678 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 358, 946, 2, Smoke::mf_static, 101, 362},	//679 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 342, 290, 2, Smoke::mf_static, 252, 363},	//680 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 299, 708, 2, Smoke::mf_static, 252, 364},	//681 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 358, 949, 2, Smoke::mf_static, 92, 365},	//682 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 299, 293, 2, Smoke::mf_static, 252, 366},	//683 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 474, 76, 1, Smoke::mf_static, 135, 367},	//684 QGlobalSpace::qSetFieldWidth(int)
    {29, 485, 834, 2, Smoke::mf_static, 252, 368},	//685 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 358, 952, 2, Smoke::mf_static, 102, 369},	//686 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 358, 955, 2, Smoke::mf_static, 89, 370},	//687 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 358, 958, 2, Smoke::mf_static, 106, 371},	//688 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 320, 318, 2, Smoke::mf_static, 252, 372},	//689 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 307, 961, 2, Smoke::mf_static, 301, 373},	//690 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 347, 321, 2, Smoke::mf_static, 252, 374},	//691 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 325, 964, 2, Smoke::mf_static, 13, 375},	//692 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 430, 126, 1, Smoke::mf_static, 344, 376},	//693 QGlobalSpace::qHash(const QByteArray&)
    {29, 336, 344, 2, Smoke::mf_static, 252, 377},	//694 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 430, 967, 1, Smoke::mf_static, 344, 378},	//695 QGlobalSpace::qHash(const QModelIndex&)
    {29, 336, 461, 2, Smoke::mf_static, 252, 379},	//696 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 358, 969, 2, Smoke::mf_static, 106, 380},	//697 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 358, 972, 2, Smoke::mf_static, 96, 381},	//698 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 358, 975, 2, Smoke::mf_static, 93, 382},	//699 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 424, 863, 1, Smoke::mf_static, 0, 383},	//700 QGlobalSpace::qFreeAligned(void*)
    {29, 358, 978, 2, Smoke::mf_static, 98, 384},	//701 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 325, 981, 2, Smoke::mf_static, 13, 385},	//702 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 336, 290, 2, Smoke::mf_static, 252, 386},	//703 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 358, 984, 2, Smoke::mf_static, 106, 387},	//704 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 358, 987, 2, Smoke::mf_static, 106, 388},	//705 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 446, 254, 1, Smoke::mf_static, 333, 389},	//706 QGlobalSpace::qLn(double)
    {29, 336, 847, 2, Smoke::mf_static, 252, 390},	//707 QGlobalSpace::operator==(QBool, bool)
    {29, 299, 290, 2, Smoke::mf_static, 252, 391},	//708 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 356, 437, 2, Smoke::mf_static, 2, 392},	//709 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 390, 254, 1, Smoke::mf_static, 333, 393},	//710 QGlobalSpace::qAsin(double)
    {29, 352, 990, 2, Smoke::mf_static, 10, 394},	//711 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 396, 0, 0, Smoke::mf_static, 0, 395},	//712 QGlobalSpace::qBadAlloc()
    {29, 358, 993, 2, Smoke::mf_static, 106, 396},	//713 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 358, 996, 2, Smoke::mf_static, 106, 397},	//714 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 310, 999, 2, Smoke::mf_static, 303, 398},	//715 QGlobalSpace::operator+(char, const QString&)
    {29, 325, 1002, 2, Smoke::mf_static, 10, 399},	//716 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 438, 373, 1, Smoke::mf_static, 252, 400},	//717 QGlobalSpace::qIsFinite(float)
    {29, 310, 543, 2, Smoke::mf_static, 301, 401},	//718 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 358, 1005, 2, Smoke::mf_static, 76, 402},	//719 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 358, 1008, 2, Smoke::mf_static, 84, 403},	//720 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 404},	//721 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 405},	//722 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {29, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 406},	//723 QGlobalSpace::Q_STATIC_TYPE (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 407},	//724 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 408},	//725 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 409},	//726 QGlobalSpace::LicensedGui (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 410},	//727 QGlobalSpace::LicensedXml (enum)
    {29, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 411},	//728 QGlobalSpace::LicensedQt3SupportLight (enum)
    {29, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 412},	//729 QGlobalSpace::LicensedScript (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 413},	//730 QGlobalSpace::LicensedOpenVG (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 414},	//731 QGlobalSpace::LicensedDBus (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 415},	//732 QGlobalSpace::LicensedTest (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 416},	//733 QGlobalSpace::LicensedActiveQt (enum)
    {29, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 417},	//734 QGlobalSpace::LicensedScriptTools (enum)
    {29, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 418},	//735 QGlobalSpace::LicensedSvg (enum)
    {29, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 419},	//736 QGlobalSpace::LicensedDeclarative (enum)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 420},	//737 QGlobalSpace::LicensedSql (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 421},	//738 QGlobalSpace::LicensedOpenGL (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 422},	//739 QGlobalSpace::LicensedCore (enum)
    {29, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 423},	//740 QGlobalSpace::QtDebugMsg (enum)
    {29, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 424},	//741 QGlobalSpace::QtWarningMsg (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 425},	//742 QGlobalSpace::QtCriticalMsg (enum)
    {29, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 426},	//743 QGlobalSpace::QtFatalMsg (enum)
    {29, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 427},	//744 QGlobalSpace::QtSystemMsg (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 428},	//745 QGlobalSpace::LicensedHelp (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 429},	//746 QGlobalSpace::LicensedMultimedia (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 430},	//747 QGlobalSpace::LicensedQt3Support (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 431},	//748 QGlobalSpace::LicensedXmlPatterns (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 432},	//749 QGlobalSpace::LicensedNetwork (enum)
    {59, 75, 0, 0, Smoke::mf_ctor, 143, 1},	//750 QXmlAttributes::QXmlAttributes()
    {59, 239, 3, 1, Smoke::mf_const, 335, 2},	//751 QXmlAttributes::index(const QString&) const
    {59, 239, 1011, 1, Smoke::mf_const, 335, 3},	//752 QXmlAttributes::index(const QLatin1String&) const
    {59, 239, 25, 2, Smoke::mf_const, 335, 4},	//753 QXmlAttributes::index(const QString&, const QString&) const
    {59, 275, 0, 0, Smoke::mf_const, 335, 5},	//754 QXmlAttributes::length() const
    {59, 156, 0, 0, Smoke::mf_const, 335, 6},	//755 QXmlAttributes::count() const
    {59, 278, 76, 1, Smoke::mf_const, 122, 7},	//756 QXmlAttributes::localName(int) const
    {59, 456, 76, 1, Smoke::mf_const, 122, 8},	//757 QXmlAttributes::qName(int) const
    {59, 685, 76, 1, Smoke::mf_const, 122, 9},	//758 QXmlAttributes::uri(int) const
    {59, 680, 76, 1, Smoke::mf_const, 122, 10},	//759 QXmlAttributes::type(int) const
    {59, 680, 3, 1, Smoke::mf_const, 122, 11},	//760 QXmlAttributes::type(const QString&) const
    {59, 680, 25, 2, Smoke::mf_const, 122, 12},	//761 QXmlAttributes::type(const QString&, const QString&) const
    {59, 687, 76, 1, Smoke::mf_const, 122, 13},	//762 QXmlAttributes::value(int) const
    {59, 687, 3, 1, Smoke::mf_const, 122, 14},	//763 QXmlAttributes::value(const QString&) const
    {59, 687, 1011, 1, Smoke::mf_const, 122, 15},	//764 QXmlAttributes::value(const QLatin1String&) const
    {59, 687, 25, 2, Smoke::mf_const, 122, 16},	//765 QXmlAttributes::value(const QString&, const QString&) const
    {59, 146, 0, 0, 0, 0, 17},	//766 QXmlAttributes::clear()
    {59, 120, 1013, 4, 0, 0, 18},	//767 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 75, 1018, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//768 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 750, 0, 0, Smoke::mf_dtor, 0, 20 },	//769 QXmlAttributes::~QXmlAttributes()
    {60, 610, 1020, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//770 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 650, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//771 QXmlContentHandler::startDocument() [pure virtual]
    {60, 195, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//772 QXmlContentHandler::endDocument() [pure virtual]
    {60, 655, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 4},	//773 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 200, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 5},	//774 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 651, 1022, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//775 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 196, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 7},	//776 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 8},	//777 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 233, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 9},	//778 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 378, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 10},	//779 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 640, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 11},	//780 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//781 QXmlContentHandler::errorString() const [pure virtual]
    {60, 77, 0, 0, Smoke::mf_ctor, 144, 13},	//782 QXmlContentHandler::QXmlContentHandler()
    {60, 77, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//783 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 751, 0, 0, Smoke::mf_dtor, 0, 15 },	//784 QXmlContentHandler::~QXmlContentHandler()
    {61, 295, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//785 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 683, 1013, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//786 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//787 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 79, 0, 0, Smoke::mf_ctor, 145, 4},	//788 QXmlDTDHandler::QXmlDTDHandler()
    {61, 79, 1029, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//789 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 752, 0, 0, Smoke::mf_dtor, 0, 6 },	//790 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 131, 1031, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//791 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 249, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//792 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 208, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//793 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//794 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 81, 0, 0, Smoke::mf_ctor, 146, 5},	//795 QXmlDeclHandler::QXmlDeclHandler()
    {62, 81, 1037, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//796 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 753, 0, 0, Smoke::mf_dtor, 0, 7 },	//797 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 83, 0, 0, Smoke::mf_ctor, 147, 1},	//798 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 610, 1020, 1, Smoke::mf_virtual, 0, 2},	//799 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 650, 0, 0, Smoke::mf_virtual, 252, 3},	//800 QXmlDefaultHandler::startDocument()
    {63, 195, 0, 0, Smoke::mf_virtual, 252, 4},	//801 QXmlDefaultHandler::endDocument()
    {63, 655, 25, 2, Smoke::mf_virtual, 252, 5},	//802 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 200, 3, 1, Smoke::mf_virtual, 252, 6},	//803 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 651, 1022, 4, Smoke::mf_virtual, 252, 7},	//804 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 196, 218, 3, Smoke::mf_virtual, 252, 8},	//805 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 143, 3, 1, Smoke::mf_virtual, 252, 9},	//806 QXmlDefaultHandler::characters(const QString&)
    {63, 233, 3, 1, Smoke::mf_virtual, 252, 10},	//807 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 378, 25, 2, Smoke::mf_virtual, 252, 11},	//808 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 640, 3, 1, Smoke::mf_virtual, 252, 12},	//809 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 691, 1039, 1, Smoke::mf_virtual, 252, 13},	//810 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 204, 1039, 1, Smoke::mf_virtual, 252, 14},	//811 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 210, 1039, 1, Smoke::mf_virtual, 252, 15},	//812 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 295, 218, 3, Smoke::mf_virtual, 252, 16},	//813 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 683, 1013, 4, Smoke::mf_virtual, 252, 17},	//814 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 564, 1041, 3, Smoke::mf_virtual, 252, 18},	//815 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 648, 218, 3, Smoke::mf_virtual, 252, 19},	//816 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 194, 0, 0, Smoke::mf_virtual, 252, 20},	//817 QXmlDefaultHandler::endDTD()
    {63, 653, 3, 1, Smoke::mf_virtual, 252, 21},	//818 QXmlDefaultHandler::startEntity(const QString&)
    {63, 198, 3, 1, Smoke::mf_virtual, 252, 22},	//819 QXmlDefaultHandler::endEntity(const QString&)
    {63, 647, 0, 0, Smoke::mf_virtual, 252, 23},	//820 QXmlDefaultHandler::startCDATA()
    {63, 193, 0, 0, Smoke::mf_virtual, 252, 24},	//821 QXmlDefaultHandler::endCDATA()
    {63, 151, 3, 1, Smoke::mf_virtual, 252, 25},	//822 QXmlDefaultHandler::comment(const QString&)
    {63, 131, 1031, 5, Smoke::mf_virtual, 252, 26},	//823 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 249, 25, 2, Smoke::mf_virtual, 252, 27},	//824 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 208, 218, 3, Smoke::mf_virtual, 252, 28},	//825 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//826 QXmlDefaultHandler::errorString() const
    {63, 754, 0, 0, Smoke::mf_dtor, 0, 30 },	//827 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 564, 1041, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//828 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//829 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 84, 0, 0, Smoke::mf_ctor, 148, 3},	//830 QXmlEntityResolver::QXmlEntityResolver()
    {64, 84, 1045, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//831 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 755, 0, 0, Smoke::mf_dtor, 0, 5 },	//832 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 691, 1039, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//833 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 204, 1039, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//834 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 210, 1039, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//835 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//836 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 86, 0, 0, Smoke::mf_ctor, 149, 5},	//837 QXmlErrorHandler::QXmlErrorHandler()
    {65, 86, 1047, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//838 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 756, 0, 0, Smoke::mf_dtor, 0, 7 },	//839 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 88, 0, 0, Smoke::mf_ctor, 150, 1},	//840 QXmlInputSource::QXmlInputSource()
    {66, 88, 142, 1, Smoke::mf_ctor, 150, 2},	//841 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 603, 3, 1, Smoke::mf_virtual, 0, 3},	//842 QXmlInputSource::setData(const QString&)
    {66, 603, 126, 1, Smoke::mf_virtual, 0, 4},	//843 QXmlInputSource::setData(const QByteArray&)
    {66, 215, 0, 0, Smoke::mf_virtual, 0, 5},	//844 QXmlInputSource::fetchData()
    {66, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//845 QXmlInputSource::data() const
    {66, 287, 0, 0, Smoke::mf_virtual, 8, 7},	//846 QXmlInputSource::next()
    {66, 563, 0, 0, Smoke::mf_virtual, 0, 8},	//847 QXmlInputSource::reset()
    {66, 219, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//848 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 88, 1049, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//849 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 219, 126, 1, Smoke::mf_protected, 122, 11},	//850 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 331, 12},	//851 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 331, 13},	//852 QXmlInputSource::EndOfDocument() const
    {66, 757, 0, 0, Smoke::mf_dtor, 0, 14 },	//853 QXmlInputSource::~QXmlInputSource()
    {67, 648, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//854 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 194, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//855 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 653, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//856 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 198, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 4},	//857 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 647, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 5},	//858 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 193, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//859 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 151, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 7},	//860 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//861 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 90, 0, 0, Smoke::mf_ctor, 152, 9},	//862 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 90, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//863 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 758, 0, 0, Smoke::mf_dtor, 0, 11 },	//864 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 92, 0, 0, Smoke::mf_ctor, 153, 1},	//865 QXmlLocator::QXmlLocator()
    {68, 150, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 335, 2},	//866 QXmlLocator::columnNumber() const [pure virtual]
    {68, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 335, 3},	//867 QXmlLocator::lineNumber() const [pure virtual]
    {68, 92, 1053, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//868 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 759, 0, 0, Smoke::mf_dtor, 0, 5 },	//869 QXmlLocator::~QXmlLocator()
    {69, 94, 0, 0, Smoke::mf_ctor, 154, 1},	//870 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 630, 25, 2, 0, 0, 2},	//871 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 369, 3, 1, Smoke::mf_const, 122, 3},	//872 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 685, 3, 1, Smoke::mf_const, 122, 4},	//873 QXmlNamespaceSupport::uri(const QString&) const
    {69, 643, 1055, 3, Smoke::mf_const, 0, 5},	//874 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 376, 1059, 4, Smoke::mf_const, 0, 6},	//875 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 371, 0, 0, Smoke::mf_const, 127, 7},	//876 QXmlNamespaceSupport::prefixes() const
    {69, 371, 3, 1, Smoke::mf_const, 127, 8},	//877 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 384, 0, 0, 0, 0, 9},	//878 QXmlNamespaceSupport::pushContext()
    {69, 368, 0, 0, 0, 0, 10},	//879 QXmlNamespaceSupport::popContext()
    {69, 563, 0, 0, 0, 0, 11},	//880 QXmlNamespaceSupport::reset()
    {69, 760, 0, 0, Smoke::mf_dtor, 0, 12 },	//881 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 95, 1064, 5, Smoke::mf_ctor, 155, 1},	//882 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 95, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//883 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 150, 0, 0, Smoke::mf_const, 335, 3},	//884 QXmlParseException::columnNumber() const
    {70, 277, 0, 0, Smoke::mf_const, 335, 4},	//885 QXmlParseException::lineNumber() const
    {70, 383, 0, 0, Smoke::mf_const, 122, 5},	//886 QXmlParseException::publicId() const
    {70, 659, 0, 0, Smoke::mf_const, 122, 6},	//887 QXmlParseException::systemId() const
    {70, 280, 0, 0, Smoke::mf_const, 122, 7},	//888 QXmlParseException::message() const
    {70, 95, 0, 0, Smoke::mf_ctor, 155, 8},	//889 QXmlParseException::QXmlParseException()
    {70, 95, 3, 1, Smoke::mf_ctor, 155, 9},	//890 QXmlParseException::QXmlParseException(const QString&)
    {70, 95, 173, 2, Smoke::mf_ctor, 155, 10},	//891 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 95, 1070, 3, Smoke::mf_ctor, 155, 11},	//892 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 95, 1074, 4, Smoke::mf_ctor, 155, 12},	//893 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 761, 0, 0, Smoke::mf_dtor, 0, 13 },	//894 QXmlParseException::~QXmlParseException()
    {71, 212, 1079, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//895 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 616, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//896 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 228, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//897 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 380, 1079, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 351, 4},	//898 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 633, 1082, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//899 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 231, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//900 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 612, 1085, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//901 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//902 QXmlReader::entityResolver() const [pure virtual]
    {71, 601, 1087, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//903 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//904 QXmlReader::DTDHandler() const [pure virtual]
    {71, 599, 1089, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//905 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//906 QXmlReader::contentHandler() const [pure virtual]
    {71, 614, 1091, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//907 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//908 QXmlReader::errorHandler() const [pure virtual]
    {71, 622, 1093, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//909 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//910 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 606, 1095, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//911 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//912 QXmlReader::declHandler() const [pure virtual]
    {71, 364, 1049, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 19},	//913 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 364, 1097, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 20},	//914 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 102, 0, 0, Smoke::mf_ctor, 156, 21},	//915 QXmlReader::QXmlReader()
    {71, 102, 1099, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//916 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 212, 3, 1, Smoke::mf_const, 252, 23},	//917 QXmlReader::feature(const QString&) const
    {71, 380, 3, 1, Smoke::mf_const, 351, 24},	//918 QXmlReader::property(const QString&) const
    {71, 762, 0, 0, Smoke::mf_dtor, 0, 25 },	//919 QXmlReader::~QXmlReader()
    {72, 104, 0, 0, Smoke::mf_ctor, 157, 1},	//920 QXmlSimpleReader::QXmlSimpleReader()
    {72, 212, 1079, 2, Smoke::mf_const|Smoke::mf_virtual, 252, 2},	//921 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 616, 90, 2, Smoke::mf_virtual, 0, 3},	//922 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 228, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 252, 4},	//923 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 380, 1079, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 5},	//924 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 633, 1082, 2, Smoke::mf_virtual, 0, 6},	//925 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 231, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 252, 7},	//926 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 612, 1085, 1, Smoke::mf_virtual, 0, 8},	//927 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//928 QXmlSimpleReader::entityResolver() const
    {72, 601, 1087, 1, Smoke::mf_virtual, 0, 10},	//929 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//930 QXmlSimpleReader::DTDHandler() const
    {72, 599, 1089, 1, Smoke::mf_virtual, 0, 12},	//931 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//932 QXmlSimpleReader::contentHandler() const
    {72, 614, 1091, 1, Smoke::mf_virtual, 0, 14},	//933 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//934 QXmlSimpleReader::errorHandler() const
    {72, 622, 1093, 1, Smoke::mf_virtual, 0, 16},	//935 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//936 QXmlSimpleReader::lexicalHandler() const
    {72, 606, 1095, 1, Smoke::mf_virtual, 0, 18},	//937 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//938 QXmlSimpleReader::declHandler() const
    {72, 364, 1049, 1, Smoke::mf_virtual, 252, 20},	//939 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 364, 1097, 1, Smoke::mf_virtual, 252, 21},	//940 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 364, 1101, 2, Smoke::mf_virtual, 252, 22},	//941 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 367, 0, 0, Smoke::mf_virtual, 252, 23},	//942 QXmlSimpleReader::parseContinue()
    {72, 212, 3, 1, Smoke::mf_const, 252, 24},	//943 QXmlSimpleReader::feature(const QString&) const
    {72, 380, 3, 1, Smoke::mf_const, 351, 25},	//944 QXmlSimpleReader::property(const QString&) const
    {72, 763, 0, 0, Smoke::mf_dtor, 0, 26 },	//945 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 105, 0, 0, Smoke::mf_ctor, 158, 1},	//946 QXmlStreamWriter::QXmlStreamWriter()
    {76, 105, 142, 1, Smoke::mf_ctor, 158, 2},	//947 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 105, 1104, 1, Smoke::mf_ctor, 158, 3},	//948 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 105, 1106, 1, Smoke::mf_ctor, 158, 4},	//949 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 608, 142, 1, 0, 0, 5},	//950 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 184, 0, 0, Smoke::mf_const, 104, 6},	//951 QXmlStreamWriter::device() const
    {76, 581, 1108, 1, 0, 0, 7},	//952 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 581, 288, 1, 0, 0, 8},	//953 QXmlStreamWriter::setCodec(const char*)
    {76, 149, 0, 0, Smoke::mf_const, 130, 9},	//954 QXmlStreamWriter::codec() const
    {76, 577, 235, 1, 0, 0, 10},	//955 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 141, 0, 0, Smoke::mf_const, 252, 11},	//956 QXmlStreamWriter::autoFormatting() const
    {76, 579, 76, 1, 0, 0, 12},	//957 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 142, 0, 0, Smoke::mf_const, 335, 13},	//958 QXmlStreamWriter::autoFormattingIndent() const
    {76, 693, 25, 2, 0, 0, 14},	//959 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 693, 218, 3, 0, 0, 15},	//960 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 693, 1110, 1, 0, 0, 16},	//961 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 697, 1112, 1, 0, 0, 17},	//962 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 699, 3, 1, 0, 0, 18},	//963 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 701, 3, 1, 0, 0, 19},	//964 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 703, 3, 1, 0, 0, 20},	//965 QXmlStreamWriter::writeComment(const QString&)
    {76, 707, 3, 1, 0, 0, 21},	//966 QXmlStreamWriter::writeDTD(const QString&)
    {76, 711, 3, 1, 0, 0, 22},	//967 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 711, 25, 2, 0, 0, 23},	//968 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 730, 25, 2, 0, 0, 24},	//969 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 730, 218, 3, 0, 0, 25},	//970 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 714, 0, 0, 0, 0, 26},	//971 QXmlStreamWriter::writeEndDocument()
    {76, 715, 0, 0, 0, 0, 27},	//972 QXmlStreamWriter::writeEndElement()
    {76, 716, 3, 1, 0, 0, 28},	//973 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 718, 25, 2, 0, 0, 29},	//974 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 709, 3, 1, 0, 0, 30},	//975 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 721, 25, 2, 0, 0, 31},	//976 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 724, 0, 0, 0, 0, 32},	//977 QXmlStreamWriter::writeStartDocument()
    {76, 724, 3, 1, 0, 0, 33},	//978 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 724, 90, 2, 0, 0, 34},	//979 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 727, 3, 1, 0, 0, 35},	//980 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 727, 25, 2, 0, 0, 36},	//981 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 705, 1114, 1, 0, 0, 37},	//982 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 718, 3, 1, 0, 0, 38},	//983 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 721, 3, 1, 0, 0, 39},	//984 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 764, 0, 0, Smoke::mf_dtor, 0, 40 },	//985 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    346,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    353,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    357,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    367,  // QGlobalSpace::operator!=(QChar, QChar)
    390,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    397,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    410,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    412,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    440,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    454,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    468,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    482,  // QGlobalSpace::operator!=(QBool, QBool)
    492,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    523,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    560,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    681,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    517,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    543,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    619,  // QGlobalSpace::operator!=(QBool, bool)
    640,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    708,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    347,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    392,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    484,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    546,  // QGlobalSpace::operator!=(bool, QBool)
    555,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    656,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator*(const QSizeF&, double)
    404,  // QGlobalSpace::operator*(const QPointF&, double)
    505,  // QGlobalSpace::operator*(const QSize&, double)
    631,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    455,  // QGlobalSpace::operator*(double, const QSize&)
    574,  // QGlobalSpace::operator*(double, const QPointF&)
    639,  // QGlobalSpace::operator*(double, const QPoint&)
    690,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    349,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    570,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    600,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    638,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    718,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    341,  // QGlobalSpace::operator+(QChar, const QString&)
    550,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    571,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    595,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    348,  // QGlobalSpace::operator+(const QString&, QChar)
    391,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    591,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    609,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    465,  // QGlobalSpace::operator+(const char*, const QString&)
    483,  // QGlobalSpace::operator+(const QString&, char)
    610,  // QGlobalSpace::operator+(const QString&, const char*)
    618,  // QGlobalSpace::operator+(const QString&, const QString&)
    715,  // QGlobalSpace::operator+(char, const QString&)
    0,
    461,  // QGlobalSpace::operator-(const QPointF&)
    475,  // QGlobalSpace::operator-(const QPoint&)
    0,
    372,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    507,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    651,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    665,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    470,  // QGlobalSpace::operator/(const QSizeF&, double)
    488,  // QGlobalSpace::operator/(const QPointF&, double)
    514,  // QGlobalSpace::operator/(const QPoint&, double)
    652,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    481,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    612,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    662,  // QGlobalSpace::operator<(QChar, QChar)
    689,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    399,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    544,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    331,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    354,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    356,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    370,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    405,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    424,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    425,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    426,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    438,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    467,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    472,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    476,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    478,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    493,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    502,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    508,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    515,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    526,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    542,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    559,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    567,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    577,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    585,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    586,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    590,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    599,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    603,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    608,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    632,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    642,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    646,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    674,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    675,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    677,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    692,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    716,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    338,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    376,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    417,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    552,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    702,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    343,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    344,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    403,  // QGlobalSpace::operator<=(QChar, QChar)
    413,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    449,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    466,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    337,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    339,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    351,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    360,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    406,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    409,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    431,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    486,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    527,  // QGlobalSpace::operator==(QBool, QBool)
    549,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    564,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    587,  // QGlobalSpace::operator==(QChar, QChar)
    605,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    620,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    643,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    694,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    696,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    494,  // QGlobalSpace::operator==(QString::Null, const QString&)
    538,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    627,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    703,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    707,  // QGlobalSpace::operator==(QBool, bool)
    0,
    379,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    435,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    444,  // QGlobalSpace::operator==(const QString&, QString::Null)
    521,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    532,  // QGlobalSpace::operator==(bool, QBool)
    566,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    389,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    427,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    469,  // QGlobalSpace::operator>(QChar, QChar)
    584,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    422,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    432,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    401,  // QGlobalSpace::operator>=(QChar, QChar)
    428,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    480,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    691,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    323,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    653,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    321,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    411,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    418,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    452,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    500,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    504,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    529,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    530,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    535,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    554,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    578,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    582,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    635,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    524,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    670,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    319,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    322,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    326,  // QGlobalSpace::operator|(Qt::WindowType, int)
    336,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    355,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    365,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    371,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    380,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    382,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    386,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    394,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    402,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    407,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    419,  // QGlobalSpace::operator|(Qt::DropAction, int)
    421,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    430,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    436,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    437,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    439,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    442,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    443,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    445,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    447,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    450,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    451,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    456,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    459,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    462,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    464,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    471,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    479,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    490,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    498,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    499,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    509,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    511,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    519,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    522,  // QGlobalSpace::operator|(Qt::WindowState, int)
    531,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    533,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    541,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    545,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    551,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    553,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    557,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    563,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    565,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    569,  // QGlobalSpace::operator|(QFile::Permission, int)
    583,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    593,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    594,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    596,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    598,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    602,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    604,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    607,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    611,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    616,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    624,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    630,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    637,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    644,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    648,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    649,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    654,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    655,  // QGlobalSpace::operator|(QDir::Filter, int)
    660,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    663,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    664,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    669,  // QGlobalSpace::operator|(Qt::Orientation, int)
    671,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    678,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    679,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    682,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    686,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    687,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    688,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    697,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    698,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    699,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    701,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    704,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    705,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    713,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    714,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    719,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    720,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    448,  // QGlobalSpace::qFuzzyCompare(double, double)
    501,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    534,  // QGlobalSpace::qFuzzyIsNull(double)
    673,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    393,  // QGlobalSpace::qHash(const QBitArray&)
    540,  // QGlobalSpace::qHash(QChar)
    581,  // QGlobalSpace::qHash(const QStringRef&)
    636,  // QGlobalSpace::qHash(const QUrl&)
    676,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    693,  // QGlobalSpace::qHash(const QByteArray&)
    695,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    328,  // QGlobalSpace::qHash(unsigned int)
    329,  // QGlobalSpace::qHash(char)
    358,  // QGlobalSpace::qHash(unsigned char)
    377,  // QGlobalSpace::qHash(short)
    385,  // QGlobalSpace::qHash(long)
    434,  // QGlobalSpace::qHash(unsigned short)
    458,  // QGlobalSpace::qHash(long long)
    485,  // QGlobalSpace::qHash(unsigned long long)
    518,  // QGlobalSpace::qHash(int)
    562,  // QGlobalSpace::qHash(signed char)
    617,  // QGlobalSpace::qHash(const QString&)
    659,  // QGlobalSpace::qHash(unsigned long)
    0,
    429,  // QGlobalSpace::qIntCast(float)
    489,  // QGlobalSpace::qIntCast(double)
    0,
    381,  // QGlobalSpace::qIsFinite(double)
    717,  // QGlobalSpace::qIsFinite(float)
    0,
    463,  // QGlobalSpace::qIsInf(float)
    650,  // QGlobalSpace::qIsInf(double)
    0,
    622,  // QGlobalSpace::qIsNaN(float)
    629,  // QGlobalSpace::qIsNaN(double)
    0,
    364,  // QGlobalSpace::qIsNull(float)
    667,  // QGlobalSpace::qIsNull(double)
    0,
    939,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    940,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    913,  // QXmlReader::parse(const QXmlInputSource&)
    914,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    759,  // QXmlAttributes::type(int) const
    760,  // QXmlAttributes::type(const QString&) const
    0,
    762,  // QXmlAttributes::value(int) const
    763,  // QXmlAttributes::value(const QString&) const
    0,
    947,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    948,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    841,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    849,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 40, 1},	// QDomAttr::QDomAttr
    {10, 41, 2},	// QDomAttr::QDomAttr#
    {10, 281, 4},	// QDomAttr::name
    {10, 292, 9},	// QDomAttr::nodeType
    {10, 335, 3},	// QDomAttr::operator=#
    {10, 362, 6},	// QDomAttr::ownerElement
    {10, 638, 8},	// QDomAttr::setValue$
    {10, 642, 5},	// QDomAttr::specified
    {10, 687, 7},	// QDomAttr::value
    {10, 733, 10},	// QDomAttr::~QDomAttr
    {11, 42, 11},	// QDomCDATASection::QDomCDATASection
    {11, 43, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 292, 14},	// QDomCDATASection::nodeType
    {11, 335, 13},	// QDomCDATASection::operator=#
    {11, 734, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 44, 16},	// QDomCharacterData::QDomCharacterData
    {12, 45, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 125, 20},	// QDomCharacterData::appendData$
    {12, 180, 25},	// QDomCharacterData::data
    {12, 183, 22},	// QDomCharacterData::deleteData$$
    {12, 248, 21},	// QDomCharacterData::insertData$$
    {12, 275, 24},	// QDomCharacterData::length
    {12, 292, 27},	// QDomCharacterData::nodeType
    {12, 335, 18},	// QDomCharacterData::operator=#
    {12, 562, 23},	// QDomCharacterData::replaceData$$$
    {12, 605, 26},	// QDomCharacterData::setData$
    {12, 658, 19},	// QDomCharacterData::substringData$$
    {12, 735, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 46, 29},	// QDomComment::QDomComment
    {13, 47, 30},	// QDomComment::QDomComment#
    {13, 292, 32},	// QDomComment::nodeType
    {13, 335, 31},	// QDomComment::operator=#
    {13, 736, 33},	// QDomComment::~QDomComment
    {14, 48, 34},	// QDomDocument::QDomDocument
    {14, 49, -361},	// QDomDocument::QDomDocument#
    {14, 50, 35},	// QDomDocument::QDomDocument$
    {14, 158, 45},	// QDomDocument::createAttribute$
    {14, 160, 50},	// QDomDocument::createAttributeNS$$
    {14, 162, 43},	// QDomDocument::createCDATASection$
    {14, 164, 42},	// QDomDocument::createComment$
    {14, 167, 40},	// QDomDocument::createDocumentFragment
    {14, 171, 39},	// QDomDocument::createElement$
    {14, 173, 49},	// QDomDocument::createElementNS$$
    {14, 175, 46},	// QDomDocument::createEntityReference$
    {14, 177, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 179, 41},	// QDomDocument::createTextNode$
    {14, 185, 53},	// QDomDocument::doctype
    {14, 186, 55},	// QDomDocument::documentElement
    {14, 188, 52},	// QDomDocument::elementById$
    {14, 190, 47},	// QDomDocument::elementsByTagName$
    {14, 192, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 236, 54},	// QDomDocument::implementation
    {14, 238, 48},	// QDomDocument::importNode#$
    {14, 292, 56},	// QDomDocument::nodeType
    {14, 335, 38},	// QDomDocument::operator=#
    {14, 585, -364},	// QDomDocument::setContent#
    {14, 586, 88},	// QDomDocument::setContent##
    {14, 587, 89},	// QDomDocument::setContent##$
    {14, 588, 90},	// QDomDocument::setContent##$$
    {14, 589, 64},	// QDomDocument::setContent##$$$
    {14, 590, -367},	// QDomDocument::setContent#$
    {14, 591, -373},	// QDomDocument::setContent#$$
    {14, 592, -379},	// QDomDocument::setContent#$$$
    {14, 593, -385},	// QDomDocument::setContent#$$$$
    {14, 594, 82},	// QDomDocument::setContent$
    {14, 595, -389},	// QDomDocument::setContent$$
    {14, 596, -392},	// QDomDocument::setContent$$$
    {14, 597, -395},	// QDomDocument::setContent$$$$
    {14, 598, 58},	// QDomDocument::setContent$$$$$
    {14, 664, 92},	// QDomDocument::toByteArray
    {14, 665, 66},	// QDomDocument::toByteArray$
    {14, 677, 91},	// QDomDocument::toString
    {14, 678, 65},	// QDomDocument::toString$
    {14, 737, 93},	// QDomDocument::~QDomDocument
    {15, 51, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 52, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 292, 97},	// QDomDocumentFragment::nodeType
    {15, 335, 96},	// QDomDocumentFragment::operator=#
    {15, 738, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 53, 99},	// QDomDocumentType::QDomDocumentType
    {16, 54, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 202, 103},	// QDomDocumentType::entities
    {16, 251, 107},	// QDomDocumentType::internalSubset
    {16, 281, 102},	// QDomDocumentType::name
    {16, 292, 108},	// QDomDocumentType::nodeType
    {16, 298, 104},	// QDomDocumentType::notations
    {16, 335, 101},	// QDomDocumentType::operator=#
    {16, 383, 105},	// QDomDocumentType::publicId
    {16, 659, 106},	// QDomDocumentType::systemId
    {16, 739, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 55, 110},	// QDomElement::QDomElement
    {17, 56, 111},	// QDomElement::QDomElement#
    {17, 129, 144},	// QDomElement::attribute$
    {17, 130, 113},	// QDomElement::attribute$$
    {17, 134, 145},	// QDomElement::attributeNS$$
    {17, 135, 127},	// QDomElement::attributeNS$$$
    {17, 137, 122},	// QDomElement::attributeNode$
    {17, 139, 135},	// QDomElement::attributeNodeNS$$
    {17, 140, 141},	// QDomElement::attributes
    {17, 190, 125},	// QDomElement::elementsByTagName$
    {17, 192, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 223, 126},	// QDomElement::hasAttribute$
    {17, 225, 138},	// QDomElement::hasAttributeNS$$
    {17, 292, 142},	// QDomElement::nodeType
    {17, 335, 112},	// QDomElement::operator=#
    {17, 548, 121},	// QDomElement::removeAttribute$
    {17, 550, 134},	// QDomElement::removeAttributeNS$$
    {17, 552, 124},	// QDomElement::removeAttributeNode#
    {17, 570, -346},	// QDomElement::setAttribute$$
    {17, 572, -354},	// QDomElement::setAttributeNS$$$
    {17, 574, 123},	// QDomElement::setAttributeNode#
    {17, 576, 136},	// QDomElement::setAttributeNodeNS#
    {17, 636, 140},	// QDomElement::setTagName$
    {17, 660, 139},	// QDomElement::tagName
    {17, 662, 143},	// QDomElement::text
    {17, 740, 146},	// QDomElement::~QDomElement
    {18, 57, 147},	// QDomEntity::QDomEntity
    {18, 58, 148},	// QDomEntity::QDomEntity#
    {18, 292, 153},	// QDomEntity::nodeType
    {18, 297, 152},	// QDomEntity::notationName
    {18, 335, 149},	// QDomEntity::operator=#
    {18, 383, 150},	// QDomEntity::publicId
    {18, 659, 151},	// QDomEntity::systemId
    {18, 741, 154},	// QDomEntity::~QDomEntity
    {19, 59, 155},	// QDomEntityReference::QDomEntityReference
    {19, 60, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 292, 158},	// QDomEntityReference::nodeType
    {19, 335, 157},	// QDomEntityReference::operator=#
    {19, 742, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 61, 160},	// QDomImplementation::QDomImplementation
    {20, 62, 161},	// QDomImplementation::QDomImplementation#
    {20, 118, 173},	// QDomImplementation::ReturnNullNode
    {20, 166, 167},	// QDomImplementation::createDocument$$#
    {20, 169, 166},	// QDomImplementation::createDocumentType$$$
    {20, 230, 165},	// QDomImplementation::hasFeature$$
    {20, 252, 168},	// QDomImplementation::invalidDataPolicy
    {20, 265, 170},	// QDomImplementation::isNull
    {20, 300, 164},	// QDomImplementation::operator!=#
    {20, 335, 162},	// QDomImplementation::operator=#
    {20, 337, 163},	// QDomImplementation::operator==#
    {20, 621, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 743, 174},	// QDomImplementation::~QDomImplementation
    {21, 63, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 64, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 154, 191},	// QDomNamedNodeMap::contains$
    {21, 156, 188},	// QDomNamedNodeMap::count
    {21, 261, 190},	// QDomNamedNodeMap::isEmpty
    {21, 271, 183},	// QDomNamedNodeMap::item$
    {21, 275, 187},	// QDomNamedNodeMap::length
    {21, 283, 180},	// QDomNamedNodeMap::namedItem$
    {21, 285, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 300, 179},	// QDomNamedNodeMap::operator!=#
    {21, 335, 177},	// QDomNamedNodeMap::operator=#
    {21, 337, 178},	// QDomNamedNodeMap::operator==#
    {21, 556, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 558, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 625, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 627, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 639, 189},	// QDomNamedNodeMap::size
    {21, 744, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 38, 279},	// QDomNode::NotationNode
    {22, 39, 274},	// QDomNode::ProcessingInstructionNode
    {22, 65, 193},	// QDomNode::QDomNode
    {22, 66, 194},	// QDomNode::QDomNode#
    {22, 119, 270},	// QDomNode::TextNode
    {22, 123, 202},	// QDomNode::appendChild#
    {22, 140, 215},	// QDomNode::attributes
    {22, 145, 210},	// QDomNode::childNodes
    {22, 146, 239},	// QDomNode::clear
    {22, 147, 261},	// QDomNode::cloneNode
    {22, 148, 204},	// QDomNode::cloneNode$
    {22, 150, 260},	// QDomNode::columnNumber
    {22, 216, 211},	// QDomNode::firstChild
    {22, 217, 262},	// QDomNode::firstChildElement
    {22, 218, 255},	// QDomNode::firstChildElement$
    {22, 226, 219},	// QDomNode::hasAttributes
    {22, 227, 203},	// QDomNode::hasChildNodes
    {22, 235, 266},	// QDomNode::impl
    {22, 244, 199},	// QDomNode::insertAfter##
    {22, 246, 198},	// QDomNode::insertBefore##
    {22, 253, 224},	// QDomNode::isAttr
    {22, 254, 225},	// QDomNode::isCDATASection
    {22, 255, 235},	// QDomNode::isCharacterData
    {22, 256, 236},	// QDomNode::isComment
    {22, 257, 227},	// QDomNode::isDocument
    {22, 258, 226},	// QDomNode::isDocumentFragment
    {22, 259, 228},	// QDomNode::isDocumentType
    {22, 260, 229},	// QDomNode::isElement
    {22, 262, 232},	// QDomNode::isEntity
    {22, 263, 230},	// QDomNode::isEntityReference
    {22, 264, 233},	// QDomNode::isNotation
    {22, 265, 238},	// QDomNode::isNull
    {22, 266, 234},	// QDomNode::isProcessingInstruction
    {22, 268, 206},	// QDomNode::isSupported$$
    {22, 269, 231},	// QDomNode::isText
    {22, 272, 212},	// QDomNode::lastChild
    {22, 273, 263},	// QDomNode::lastChildElement
    {22, 274, 256},	// QDomNode::lastChildElement$
    {22, 277, 259},	// QDomNode::lineNumber
    {22, 278, 218},	// QDomNode::localName
    {22, 283, 237},	// QDomNode::namedItem$
    {22, 286, 217},	// QDomNode::namespaceURI
    {22, 288, 214},	// QDomNode::nextSibling
    {22, 289, 265},	// QDomNode::nextSiblingElement
    {22, 290, 258},	// QDomNode::nextSiblingElement$
    {22, 291, 207},	// QDomNode::nodeName
    {22, 292, 208},	// QDomNode::nodeType
    {22, 293, 220},	// QDomNode::nodeValue
    {22, 294, 205},	// QDomNode::normalize
    {22, 300, 197},	// QDomNode::operator!=#
    {22, 335, 195},	// QDomNode::operator=#
    {22, 337, 196},	// QDomNode::operator==#
    {22, 361, 216},	// QDomNode::ownerDocument
    {22, 363, 209},	// QDomNode::parentNode
    {22, 369, 222},	// QDomNode::prefix
    {22, 373, 213},	// QDomNode::previousSibling
    {22, 374, 264},	// QDomNode::previousSiblingElement
    {22, 375, 257},	// QDomNode::previousSiblingElement$
    {22, 554, 201},	// QDomNode::removeChild#
    {22, 560, 200},	// QDomNode::replaceChild##
    {22, 567, 253},	// QDomNode::save#$
    {22, 568, 254},	// QDomNode::save#$$
    {22, 619, 267},	// QDomNode::setImpl#
    {22, 629, 221},	// QDomNode::setNodeValue$
    {22, 631, 223},	// QDomNode::setPrefix$
    {22, 663, 240},	// QDomNode::toAttr
    {22, 666, 241},	// QDomNode::toCDATASection
    {22, 667, 251},	// QDomNode::toCharacterData
    {22, 668, 252},	// QDomNode::toComment
    {22, 669, 243},	// QDomNode::toDocument
    {22, 670, 242},	// QDomNode::toDocumentFragment
    {22, 671, 244},	// QDomNode::toDocumentType
    {22, 672, 245},	// QDomNode::toElement
    {22, 673, 248},	// QDomNode::toEntity
    {22, 674, 246},	// QDomNode::toEntityReference
    {22, 675, 249},	// QDomNode::toNotation
    {22, 676, 250},	// QDomNode::toProcessingInstruction
    {22, 679, 247},	// QDomNode::toText
    {22, 745, 284},	// QDomNode::~QDomNode
    {23, 67, 285},	// QDomNodeList::QDomNodeList
    {23, 68, 286},	// QDomNodeList::QDomNodeList#
    {23, 127, 291},	// QDomNodeList::at$
    {23, 156, 293},	// QDomNodeList::count
    {23, 261, 295},	// QDomNodeList::isEmpty
    {23, 271, 290},	// QDomNodeList::item$
    {23, 275, 292},	// QDomNodeList::length
    {23, 300, 289},	// QDomNodeList::operator!=#
    {23, 335, 287},	// QDomNodeList::operator=#
    {23, 337, 288},	// QDomNodeList::operator==#
    {23, 639, 294},	// QDomNodeList::size
    {23, 746, 296},	// QDomNodeList::~QDomNodeList
    {25, 69, 297},	// QDomNotation::QDomNotation
    {25, 70, 298},	// QDomNotation::QDomNotation#
    {25, 292, 302},	// QDomNotation::nodeType
    {25, 335, 299},	// QDomNotation::operator=#
    {25, 383, 300},	// QDomNotation::publicId
    {25, 659, 301},	// QDomNotation::systemId
    {25, 747, 303},	// QDomNotation::~QDomNotation
    {26, 71, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 72, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 180, 308},	// QDomProcessingInstruction::data
    {26, 292, 310},	// QDomProcessingInstruction::nodeType
    {26, 335, 306},	// QDomProcessingInstruction::operator=#
    {26, 605, 309},	// QDomProcessingInstruction::setData$
    {26, 661, 307},	// QDomProcessingInstruction::target
    {26, 748, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 73, 312},	// QDomText::QDomText
    {27, 74, 313},	// QDomText::QDomText#
    {27, 292, 316},	// QDomText::nodeType
    {27, 335, 314},	// QDomText::operator=#
    {27, 646, 315},	// QDomText::splitText$
    {27, 749, 317},	// QDomText::~QDomText
    {29, 19, 733},	// QGlobalSpace::LicensedActiveQt
    {29, 20, 739},	// QGlobalSpace::LicensedCore
    {29, 21, 731},	// QGlobalSpace::LicensedDBus
    {29, 22, 736},	// QGlobalSpace::LicensedDeclarative
    {29, 23, 726},	// QGlobalSpace::LicensedGui
    {29, 24, 745},	// QGlobalSpace::LicensedHelp
    {29, 25, 746},	// QGlobalSpace::LicensedMultimedia
    {29, 26, 749},	// QGlobalSpace::LicensedNetwork
    {29, 27, 738},	// QGlobalSpace::LicensedOpenGL
    {29, 28, 730},	// QGlobalSpace::LicensedOpenVG
    {29, 29, 747},	// QGlobalSpace::LicensedQt3Support
    {29, 30, 728},	// QGlobalSpace::LicensedQt3SupportLight
    {29, 31, 729},	// QGlobalSpace::LicensedScript
    {29, 32, 734},	// QGlobalSpace::LicensedScriptTools
    {29, 33, 737},	// QGlobalSpace::LicensedSql
    {29, 34, 735},	// QGlobalSpace::LicensedSvg
    {29, 35, 732},	// QGlobalSpace::LicensedTest
    {29, 36, 727},	// QGlobalSpace::LicensedXml
    {29, 37, 748},	// QGlobalSpace::LicensedXmlPatterns
    {29, 108, 721},	// QGlobalSpace::Q_COMPLEX_TYPE
    {29, 109, 725},	// QGlobalSpace::Q_DUMMY_TYPE
    {29, 110, 724},	// QGlobalSpace::Q_MOVABLE_TYPE
    {29, 111, 722},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {29, 112, 723},	// QGlobalSpace::Q_STATIC_TYPE
    {29, 113, 742},	// QGlobalSpace::QtCriticalMsg
    {29, 114, 740},	// QGlobalSpace::QtDebugMsg
    {29, 115, 743},	// QGlobalSpace::QtFatalMsg
    {29, 116, 744},	// QGlobalSpace::QtSystemMsg
    {29, 117, 741},	// QGlobalSpace::QtWarningMsg
    {29, 301, -1},	// QGlobalSpace::operator!=##
    {29, 302, -18},	// QGlobalSpace::operator!=#$
    {29, 303, -24},	// QGlobalSpace::operator!=$#
    {29, 304, 683},	// QGlobalSpace::operator!=$$
    {29, 306, 474},	// QGlobalSpace::operator&##
    {29, 308, -31},	// QGlobalSpace::operator*#$
    {29, 309, -36},	// QGlobalSpace::operator*$#
    {29, 311, -41},	// QGlobalSpace::operator+##
    {29, 312, -47},	// QGlobalSpace::operator+#$
    {29, 313, -52},	// QGlobalSpace::operator+$#
    {29, 314, -57},	// QGlobalSpace::operator+$$
    {29, 316, -63},	// QGlobalSpace::operator-#
    {29, 317, -66},	// QGlobalSpace::operator-##
    {29, 319, -71},	// QGlobalSpace::operator/#$
    {29, 321, -76},	// QGlobalSpace::operator<##
    {29, 322, 333},	// QGlobalSpace::operator<#$
    {29, 323, -81},	// QGlobalSpace::operator<$#
    {29, 324, 537},	// QGlobalSpace::operator<$$
    {29, 326, -84},	// QGlobalSpace::operator<<##
    {29, 327, -127},	// QGlobalSpace::operator<<#$
    {29, 328, 621},	// QGlobalSpace::operator<<#?
    {29, 330, -133},	// QGlobalSpace::operator<=##
    {29, 331, 495},	// QGlobalSpace::operator<=#$
    {29, 332, -138},	// QGlobalSpace::operator<=$#
    {29, 333, 460},	// QGlobalSpace::operator<=$$
    {29, 338, -141},	// QGlobalSpace::operator==##
    {29, 339, -159},	// QGlobalSpace::operator==#$
    {29, 340, -165},	// QGlobalSpace::operator==$#
    {29, 341, 601},	// QGlobalSpace::operator==$$
    {29, 343, -172},	// QGlobalSpace::operator>##
    {29, 344, 680},	// QGlobalSpace::operator>#$
    {29, 345, -177},	// QGlobalSpace::operator>$#
    {29, 346, 334},	// QGlobalSpace::operator>$$
    {29, 348, -180},	// QGlobalSpace::operator>=##
    {29, 349, 477},	// QGlobalSpace::operator>=#$
    {29, 350, -185},	// QGlobalSpace::operator>=$#
    {29, 351, 628},	// QGlobalSpace::operator>=$$
    {29, 353, -188},	// QGlobalSpace::operator>>##
    {29, 354, -210},	// QGlobalSpace::operator>>#$
    {29, 355, 568},	// QGlobalSpace::operator>>#?
    {29, 357, 709},	// QGlobalSpace::operator^##
    {29, 359, 396},	// QGlobalSpace::operator|##
    {29, 360, -213},	// QGlobalSpace::operator|$$
    {29, 386, 320},	// QGlobalSpace::qAcos$
    {29, 388, 572},	// QGlobalSpace::qAddPostRoutine$
    {29, 389, 324},	// QGlobalSpace::qAppName
    {29, 391, 710},	// QGlobalSpace::qAsin$
    {29, 393, 398},	// QGlobalSpace::qAtan$
    {29, 395, 375},	// QGlobalSpace::qAtan2$$
    {29, 396, 712},	// QGlobalSpace::qBadAlloc
    {29, 398, 561},	// QGlobalSpace::qCeil$
    {29, 400, 503},	// QGlobalSpace::qChecksum$$
    {29, 402, 416},	// QGlobalSpace::qCompress#
    {29, 403, 415},	// QGlobalSpace::qCompress#$
    {29, 404, 614},	// QGlobalSpace::qCompress$$
    {29, 405, 613},	// QGlobalSpace::qCompress$$$
    {29, 407, 588},	// QGlobalSpace::qCos$
    {29, 408, 512},	// QGlobalSpace::qCritical
    {29, 409, 457},	// QGlobalSpace::qDebug
    {29, 411, 528},	// QGlobalSpace::qExp$
    {29, 413, 433},	// QGlobalSpace::qFabs$
    {29, 415, 496},	// QGlobalSpace::qFastCos$
    {29, 417, 340},	// QGlobalSpace::qFastSin$
    {29, 419, 487},	// QGlobalSpace::qFlagLocation$
    {29, 421, 615},	// QGlobalSpace::qFloor$
    {29, 423, 626},	// QGlobalSpace::qFree$
    {29, 425, 700},	// QGlobalSpace::qFreeAligned$
    {29, 427, -301},	// QGlobalSpace::qFuzzyCompare$$
    {29, 429, -304},	// QGlobalSpace::qFuzzyIsNull$
    {29, 431, -307},	// QGlobalSpace::qHash#
    {29, 432, -315},	// QGlobalSpace::qHash$
    {29, 433, 579},	// QGlobalSpace::qInf
    {29, 435, 506},	// QGlobalSpace::qInstallMsgHandler$
    {29, 437, -328},	// QGlobalSpace::qIntCast$
    {29, 439, -331},	// QGlobalSpace::qIsFinite$
    {29, 441, -334},	// QGlobalSpace::qIsInf$
    {29, 443, -337},	// QGlobalSpace::qIsNaN$
    {29, 445, -340},	// QGlobalSpace::qIsNull$
    {29, 447, 706},	// QGlobalSpace::qLn$
    {29, 449, 666},	// QGlobalSpace::qMalloc$
    {29, 451, 589},	// QGlobalSpace::qMallocAligned$$
    {29, 453, 625},	// QGlobalSpace::qMemCopy$$$
    {29, 455, 558},	// QGlobalSpace::qMemSet$$$
    {29, 459, 513},	// QGlobalSpace::qPow$$
    {29, 460, 366},	// QGlobalSpace::qQNaN
    {29, 462, 441},	// QGlobalSpace::qRealloc$$
    {29, 464, 420},	// QGlobalSpace::qReallocAligned$$$$
    {29, 466, 573},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 468, 497},	// QGlobalSpace::qRemovePostRoutine$
    {29, 470, 318},	// QGlobalSpace::qRound$
    {29, 472, 658},	// QGlobalSpace::qRound64$
    {29, 473, 661},	// QGlobalSpace::qSNaN
    {29, 475, 684},	// QGlobalSpace::qSetFieldWidth$
    {29, 477, 368},	// QGlobalSpace::qSetPadChar#
    {29, 479, 633},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 480, 575},	// QGlobalSpace::qSharedBuild
    {29, 482, 641},	// QGlobalSpace::qSin$
    {29, 484, 423},	// QGlobalSpace::qSqrt$
    {29, 486, 606},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 487, 685},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 489, 657},	// QGlobalSpace::qTan$
    {29, 491, 491},	// QGlobalSpace::qUncompress#
    {29, 492, 414},	// QGlobalSpace::qUncompress$$
    {29, 493, 597},	// QGlobalSpace::qVersion
    {29, 494, 446},	// QGlobalSpace::qWarning
    {29, 496, 539},	// QGlobalSpace::qbswap_helper$$$
    {29, 498, 332},	// QGlobalSpace::qgetenv$
    {29, 500, 668},	// QGlobalSpace::qputenv$#
    {29, 501, 634},	// QGlobalSpace::qrand
    {29, 503, 548},	// QGlobalSpace::qsrand$
    {29, 505, 473},	// QGlobalSpace::qstrcmp##
    {29, 506, 383},	// QGlobalSpace::qstrcmp#$
    {29, 507, 400},	// QGlobalSpace::qstrcmp$#
    {29, 508, 387},	// QGlobalSpace::qstrcmp$$
    {29, 510, 395},	// QGlobalSpace::qstrcpy$$
    {29, 512, 384},	// QGlobalSpace::qstrdup$
    {29, 514, 556},	// QGlobalSpace::qstricmp$$
    {29, 516, 647},	// QGlobalSpace::qstrlen$
    {29, 518, 342},	// QGlobalSpace::qstrncmp$$$
    {29, 520, 327},	// QGlobalSpace::qstrncpy$$$
    {29, 522, 580},	// QGlobalSpace::qstrnicmp$$$
    {29, 524, 350},	// QGlobalSpace::qstrnlen$$
    {29, 526, 374},	// QGlobalSpace::qtTrId$
    {29, 527, 373},	// QGlobalSpace::qtTrId$$
    {29, 529, 645},	// QGlobalSpace::qt_assert$$$
    {29, 531, 592},	// QGlobalSpace::qt_assert_x$$$$
    {29, 533, 408},	// QGlobalSpace::qt_check_pointer$$
    {29, 534, 362},	// QGlobalSpace::qt_error_string
    {29, 535, 361},	// QGlobalSpace::qt_error_string$
    {29, 537, 547},	// QGlobalSpace::qt_message_output$$
    {29, 538, 520},	// QGlobalSpace::qt_noop
    {29, 540, 525},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 542, 359},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 544, 536},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 546, 345},	// QGlobalSpace::qvsnprintf$$$?
    {59, 75, 750},	// QXmlAttributes::QXmlAttributes
    {59, 76, 768},	// QXmlAttributes::QXmlAttributes#
    {59, 121, 767},	// QXmlAttributes::append$$$$
    {59, 146, 766},	// QXmlAttributes::clear
    {59, 156, 755},	// QXmlAttributes::count
    {59, 240, 752},	// QXmlAttributes::index#
    {59, 241, 751},	// QXmlAttributes::index$
    {59, 242, 753},	// QXmlAttributes::index$$
    {59, 275, 754},	// QXmlAttributes::length
    {59, 279, 756},	// QXmlAttributes::localName$
    {59, 457, 757},	// QXmlAttributes::qName$
    {59, 681, -401},	// QXmlAttributes::type$
    {59, 682, 761},	// QXmlAttributes::type$$
    {59, 686, 758},	// QXmlAttributes::uri$
    {59, 688, 764},	// QXmlAttributes::value#
    {59, 689, -404},	// QXmlAttributes::value$
    {59, 690, 765},	// QXmlAttributes::value$$
    {59, 750, 769},	// QXmlAttributes::~QXmlAttributes
    {60, 77, 782},	// QXmlContentHandler::QXmlContentHandler
    {60, 78, 783},	// QXmlContentHandler::QXmlContentHandler#
    {60, 144, 777},	// QXmlContentHandler::characters$
    {60, 195, 772},	// QXmlContentHandler::endDocument
    {60, 197, 776},	// QXmlContentHandler::endElement$$$
    {60, 201, 774},	// QXmlContentHandler::endPrefixMapping$
    {60, 207, 781},	// QXmlContentHandler::errorString
    {60, 234, 778},	// QXmlContentHandler::ignorableWhitespace$
    {60, 379, 779},	// QXmlContentHandler::processingInstruction$$
    {60, 611, 770},	// QXmlContentHandler::setDocumentLocator#
    {60, 641, 780},	// QXmlContentHandler::skippedEntity$
    {60, 650, 771},	// QXmlContentHandler::startDocument
    {60, 652, 775},	// QXmlContentHandler::startElement$$$#
    {60, 656, 773},	// QXmlContentHandler::startPrefixMapping$$
    {60, 751, 784},	// QXmlContentHandler::~QXmlContentHandler
    {61, 79, 788},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 80, 789},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 207, 787},	// QXmlDTDHandler::errorString
    {61, 296, 785},	// QXmlDTDHandler::notationDecl$$$
    {61, 684, 786},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 752, 790},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 81, 795},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 82, 796},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 132, 791},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 207, 794},	// QXmlDeclHandler::errorString
    {62, 209, 793},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 250, 792},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 753, 797},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 83, 798},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 132, 823},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 144, 806},	// QXmlDefaultHandler::characters$
    {63, 152, 822},	// QXmlDefaultHandler::comment$
    {63, 193, 821},	// QXmlDefaultHandler::endCDATA
    {63, 194, 817},	// QXmlDefaultHandler::endDTD
    {63, 195, 801},	// QXmlDefaultHandler::endDocument
    {63, 197, 805},	// QXmlDefaultHandler::endElement$$$
    {63, 199, 819},	// QXmlDefaultHandler::endEntity$
    {63, 201, 803},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 205, 811},	// QXmlDefaultHandler::error#
    {63, 207, 826},	// QXmlDefaultHandler::errorString
    {63, 209, 825},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 211, 812},	// QXmlDefaultHandler::fatalError#
    {63, 234, 807},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 250, 824},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 296, 813},	// QXmlDefaultHandler::notationDecl$$$
    {63, 379, 808},	// QXmlDefaultHandler::processingInstruction$$
    {63, 565, 815},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 611, 799},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 641, 809},	// QXmlDefaultHandler::skippedEntity$
    {63, 647, 820},	// QXmlDefaultHandler::startCDATA
    {63, 649, 816},	// QXmlDefaultHandler::startDTD$$$
    {63, 650, 800},	// QXmlDefaultHandler::startDocument
    {63, 652, 804},	// QXmlDefaultHandler::startElement$$$#
    {63, 654, 818},	// QXmlDefaultHandler::startEntity$
    {63, 656, 802},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 684, 814},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 692, 810},	// QXmlDefaultHandler::warning#
    {63, 754, 827},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 84, 830},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 85, 831},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 207, 829},	// QXmlEntityResolver::errorString
    {64, 565, 828},	// QXmlEntityResolver::resolveEntity$$#
    {64, 755, 832},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 86, 837},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 87, 838},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 205, 834},	// QXmlErrorHandler::error#
    {65, 207, 836},	// QXmlErrorHandler::errorString
    {65, 211, 835},	// QXmlErrorHandler::fatalError#
    {65, 692, 833},	// QXmlErrorHandler::warning#
    {65, 756, 839},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 851},	// QXmlInputSource::EndOfData
    {66, 16, 852},	// QXmlInputSource::EndOfDocument
    {66, 88, 840},	// QXmlInputSource::QXmlInputSource
    {66, 89, -410},	// QXmlInputSource::QXmlInputSource#
    {66, 180, 845},	// QXmlInputSource::data
    {66, 215, 844},	// QXmlInputSource::fetchData
    {66, 220, 850},	// QXmlInputSource::fromRawData#
    {66, 221, 848},	// QXmlInputSource::fromRawData#$
    {66, 287, 846},	// QXmlInputSource::next
    {66, 563, 847},	// QXmlInputSource::reset
    {66, 604, 843},	// QXmlInputSource::setData#
    {66, 605, 842},	// QXmlInputSource::setData$
    {66, 757, 853},	// QXmlInputSource::~QXmlInputSource
    {67, 90, 862},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 91, 863},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 152, 860},	// QXmlLexicalHandler::comment$
    {67, 193, 859},	// QXmlLexicalHandler::endCDATA
    {67, 194, 855},	// QXmlLexicalHandler::endDTD
    {67, 199, 857},	// QXmlLexicalHandler::endEntity$
    {67, 207, 861},	// QXmlLexicalHandler::errorString
    {67, 647, 858},	// QXmlLexicalHandler::startCDATA
    {67, 649, 854},	// QXmlLexicalHandler::startDTD$$$
    {67, 654, 856},	// QXmlLexicalHandler::startEntity$
    {67, 758, 864},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 92, 865},	// QXmlLocator::QXmlLocator
    {68, 93, 868},	// QXmlLocator::QXmlLocator#
    {68, 150, 866},	// QXmlLocator::columnNumber
    {68, 277, 867},	// QXmlLocator::lineNumber
    {68, 759, 869},	// QXmlLocator::~QXmlLocator
    {69, 94, 870},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 368, 879},	// QXmlNamespaceSupport::popContext
    {69, 370, 872},	// QXmlNamespaceSupport::prefix$
    {69, 371, 876},	// QXmlNamespaceSupport::prefixes
    {69, 372, 877},	// QXmlNamespaceSupport::prefixes$
    {69, 377, 875},	// QXmlNamespaceSupport::processName$$$$
    {69, 384, 878},	// QXmlNamespaceSupport::pushContext
    {69, 563, 880},	// QXmlNamespaceSupport::reset
    {69, 632, 871},	// QXmlNamespaceSupport::setPrefix$$
    {69, 644, 874},	// QXmlNamespaceSupport::splitName$$$
    {69, 686, 873},	// QXmlNamespaceSupport::uri$
    {69, 760, 881},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 95, 889},	// QXmlParseException::QXmlParseException
    {70, 96, 883},	// QXmlParseException::QXmlParseException#
    {70, 97, 890},	// QXmlParseException::QXmlParseException$
    {70, 98, 891},	// QXmlParseException::QXmlParseException$$
    {70, 99, 892},	// QXmlParseException::QXmlParseException$$$
    {70, 100, 893},	// QXmlParseException::QXmlParseException$$$$
    {70, 101, 882},	// QXmlParseException::QXmlParseException$$$$$
    {70, 150, 884},	// QXmlParseException::columnNumber
    {70, 277, 885},	// QXmlParseException::lineNumber
    {70, 280, 888},	// QXmlParseException::message
    {70, 383, 886},	// QXmlParseException::publicId
    {70, 659, 887},	// QXmlParseException::systemId
    {70, 761, 894},	// QXmlParseException::~QXmlParseException
    {71, 7, 904},	// QXmlReader::DTDHandler
    {71, 102, 915},	// QXmlReader::QXmlReader
    {71, 103, 916},	// QXmlReader::QXmlReader#
    {71, 155, 906},	// QXmlReader::contentHandler
    {71, 181, 912},	// QXmlReader::declHandler
    {71, 203, 902},	// QXmlReader::entityResolver
    {71, 206, 908},	// QXmlReader::errorHandler
    {71, 213, 917},	// QXmlReader::feature$
    {71, 214, 895},	// QXmlReader::feature$$
    {71, 229, 897},	// QXmlReader::hasFeature$
    {71, 232, 900},	// QXmlReader::hasProperty$
    {71, 276, 910},	// QXmlReader::lexicalHandler
    {71, 365, -398},	// QXmlReader::parse#
    {71, 381, 918},	// QXmlReader::property$
    {71, 382, 898},	// QXmlReader::property$$
    {71, 600, 905},	// QXmlReader::setContentHandler#
    {71, 602, 903},	// QXmlReader::setDTDHandler#
    {71, 607, 911},	// QXmlReader::setDeclHandler#
    {71, 613, 901},	// QXmlReader::setEntityResolver#
    {71, 615, 907},	// QXmlReader::setErrorHandler#
    {71, 617, 896},	// QXmlReader::setFeature$$
    {71, 623, 909},	// QXmlReader::setLexicalHandler#
    {71, 634, 899},	// QXmlReader::setProperty$$
    {71, 762, 919},	// QXmlReader::~QXmlReader
    {72, 7, 930},	// QXmlSimpleReader::DTDHandler
    {72, 104, 920},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 155, 932},	// QXmlSimpleReader::contentHandler
    {72, 181, 938},	// QXmlSimpleReader::declHandler
    {72, 203, 928},	// QXmlSimpleReader::entityResolver
    {72, 206, 934},	// QXmlSimpleReader::errorHandler
    {72, 213, 943},	// QXmlSimpleReader::feature$
    {72, 214, 921},	// QXmlSimpleReader::feature$$
    {72, 229, 923},	// QXmlSimpleReader::hasFeature$
    {72, 232, 926},	// QXmlSimpleReader::hasProperty$
    {72, 276, 936},	// QXmlSimpleReader::lexicalHandler
    {72, 365, -343},	// QXmlSimpleReader::parse#
    {72, 366, 941},	// QXmlSimpleReader::parse#$
    {72, 367, 942},	// QXmlSimpleReader::parseContinue
    {72, 381, 944},	// QXmlSimpleReader::property$
    {72, 382, 924},	// QXmlSimpleReader::property$$
    {72, 600, 931},	// QXmlSimpleReader::setContentHandler#
    {72, 602, 929},	// QXmlSimpleReader::setDTDHandler#
    {72, 607, 937},	// QXmlSimpleReader::setDeclHandler#
    {72, 613, 927},	// QXmlSimpleReader::setEntityResolver#
    {72, 615, 933},	// QXmlSimpleReader::setErrorHandler#
    {72, 617, 922},	// QXmlSimpleReader::setFeature$$
    {72, 623, 935},	// QXmlSimpleReader::setLexicalHandler#
    {72, 634, 925},	// QXmlSimpleReader::setProperty$$
    {72, 763, 945},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 105, 946},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 106, -407},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 107, 949},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 141, 956},	// QXmlStreamWriter::autoFormatting
    {76, 142, 958},	// QXmlStreamWriter::autoFormattingIndent
    {76, 149, 954},	// QXmlStreamWriter::codec
    {76, 184, 951},	// QXmlStreamWriter::device
    {76, 578, 955},	// QXmlStreamWriter::setAutoFormatting$
    {76, 580, 957},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 582, 952},	// QXmlStreamWriter::setCodec#
    {76, 583, 953},	// QXmlStreamWriter::setCodec$
    {76, 609, 950},	// QXmlStreamWriter::setDevice#
    {76, 694, 961},	// QXmlStreamWriter::writeAttribute#
    {76, 695, 959},	// QXmlStreamWriter::writeAttribute$$
    {76, 696, 960},	// QXmlStreamWriter::writeAttribute$$$
    {76, 698, 962},	// QXmlStreamWriter::writeAttributes#
    {76, 700, 963},	// QXmlStreamWriter::writeCDATA$
    {76, 702, 964},	// QXmlStreamWriter::writeCharacters$
    {76, 704, 965},	// QXmlStreamWriter::writeComment$
    {76, 706, 982},	// QXmlStreamWriter::writeCurrentToken#
    {76, 708, 966},	// QXmlStreamWriter::writeDTD$
    {76, 710, 975},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 712, 967},	// QXmlStreamWriter::writeEmptyElement$
    {76, 713, 968},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 714, 971},	// QXmlStreamWriter::writeEndDocument
    {76, 715, 972},	// QXmlStreamWriter::writeEndElement
    {76, 717, 973},	// QXmlStreamWriter::writeEntityReference$
    {76, 719, 983},	// QXmlStreamWriter::writeNamespace$
    {76, 720, 974},	// QXmlStreamWriter::writeNamespace$$
    {76, 722, 984},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 723, 976},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 724, 977},	// QXmlStreamWriter::writeStartDocument
    {76, 725, 978},	// QXmlStreamWriter::writeStartDocument$
    {76, 726, 979},	// QXmlStreamWriter::writeStartDocument$$
    {76, 728, 980},	// QXmlStreamWriter::writeStartElement$
    {76, 729, 981},	// QXmlStreamWriter::writeStartElement$$
    {76, 731, 969},	// QXmlStreamWriter::writeTextElement$$
    {76, 732, 970},	// QXmlStreamWriter::writeTextElement$$$
    {76, 764, 985},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 986,
        __smokeqtxml::methodMaps, 682,
        __smokeqtxml::methodNames, 764,
        __smokeqtxml::types, 352,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
